package com.tencent.ttpic;

import com.tencent.filter.BaseFilter;
import com.tencent.filter.GLSLRender;
import com.tencent.filter.h;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.ttpic.PTFilter.PTAlphaFilter;
import com.tencent.ttpic.PTFilter.PTLongLegFilter;
import com.tencent.ttpic.baseutils.ApiHelper$VERSION_CODES;
import com.tencent.ttpic.config.BeautyRealConfig;
import com.tencent.ttpic.config.BeautyRealConfig.TYPE;
import com.tencent.ttpic.filter.BeautyFaceList;
import com.tencent.ttpic.filter.BeautyParam;
import com.tencent.ttpic.filter.BeautyTransformList;
import com.tencent.ttpic.filter.ColorToneFilter;
import com.tencent.ttpic.filter.RemodelFilter;
import com.tencent.ttpic.filter.SmoothBFilters;
import com.tencent.ttpic.model.VideoMaterial;
import com.tencent.ttpic.util.BeautyRealUtil;
import com.tencent.ttpic.util.BenchUtil;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class PTGlamorize {
    public static boolean ENABLE_GESTURE = true;
    public static final String TAG = PTGlamorize.class.getSimpleName();
    private static boolean isFaceDetectInited = false;
    private float FACE_DETECT_IMG_WIDTH = 180.0f;
    private boolean isUnInitSwapCopyFilter = true;
    private double mAspectRatio = 0.5625d;
    private BeautyFaceList mBeautyFaceList = new BeautyFaceList();
    private h mBeautyFrame2 = new h();
    private BeautyParam mBeautyParam;
    private h mBeautyTransformCopyFrame = new h();
    private BeautyTransformList mBeautyTransformList = new BeautyTransformList();
    private ColorToneFilter mColorToneFilter = new ColorToneFilter();
    private h mColorToneFrame = new h();
    private BaseFilter mCopyFilter = new BaseFilter(GLSLRender.bJB);
    private boolean mEnableLongLeg = true;
    private boolean mEnableSlimWaist = true;
    private PTFaceAttr mFaceAttr;
    private double mFaceDetectScale = 0.1666666716337204d;
    private int mFrameIndex = -1;
    private int mHeightFrame = 0;
    private PTFilter mPTAlphaFilter = new PTAlphaFilter();
    private PTFilter mPTFilter;
    private PTLongLegFilter mPTLongLegFilter = new PTLongLegFilter();
    PTSegmentor mPTSegmentor = PTSegmentor.getInstance();
    private PTFilter$PTSlimWaistFilter mPTSlimWaistFilter = new PTFilter$PTSlimWaistFilter();
    private PTSticker mPTSticker;
    private PTFaceDetector mPTfaceDectector = new PTFaceDetector();
    private RemodelFilter mRemodelFilter = new RemodelFilter();
    private int mRotationDegree = 0;
    private PTSegAttr mSegAttr;
    private SmoothBFilters mSmoothBFilters = new SmoothBFilters();
    private BaseFilter mSwapCopyFilter = new BaseFilter(GLSLRender.bJB);
    private h[] mSwapFrames = new h[2];
    private h mTempFrame = new h();
    private int mWidthFrame = 0;

    public PTGlamorize() {
        AppMethodBeat.i(80710);
        AppMethodBeat.o(80710);
    }

    static {
        AppMethodBeat.i(80730);
        AppMethodBeat.o(80730);
    }

    public void init() {
        int i = 0;
        AppMethodBeat.i(80711);
        this.mSmoothBFilters.initial();
        this.mSmoothBFilters.setOnlyDetFaceRectSkin(false);
        this.mBeautyTransformList.initial();
        this.mColorToneFilter.ApplyGLSLFilter();
        this.mBeautyFaceList.initial();
        this.mRemodelFilter.init();
        if (this.mPTFilter != null) {
            this.mPTFilter.init();
        }
        this.mPTAlphaFilter.init();
        this.mPTLongLegFilter.init();
        this.mPTSlimWaistFilter.init();
        this.mBeautyParam = new BeautyParam(true);
        this.mBeautyParam.changeFaceMeshSet(1);
        while (i < this.mSwapFrames.length) {
            this.mSwapFrames[i] = new h();
            i++;
        }
        try {
            this.mPTfaceDectector.init();
            this.mPTfaceDectector.getFaceDetector().clearActionCounter();
            this.mPTSegmentor.init();
            isFaceDetectInited = true;
            AppMethodBeat.o(80711);
        } catch (Exception e) {
            AppMethodBeat.o(80711);
        }
    }

    public void init(BeautyParam beautyParam) {
    }

    /* JADX WARNING: Removed duplicated region for block: B:51:0x01ad A:{Catch:{ Exception -> 0x0201 }} */
    /* JADX WARNING: Removed duplicated region for block: B:57:0x01db A:{Catch:{ Exception -> 0x0204 }} */
    public com.tencent.filter.h process(com.tencent.filter.h r13) {
        /*
        r12 = this;
        r0 = 80712; // 0x13b48 float:1.13102E-40 double:3.9877E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r0);
        r0 = r12.mWidthFrame;
        r1 = r13.width;
        if (r0 != r1) goto L_0x0012;
    L_0x000c:
        r0 = r12.mHeightFrame;
        r1 = r13.height;
        if (r0 == r1) goto L_0x0030;
    L_0x0012:
        r0 = r13.width;
        r12.mWidthFrame = r0;
        r0 = r13.height;
        r12.mHeightFrame = r0;
        r0 = 1127481344; // 0x43340000 float:180.0 double:5.570497984E-315;
        r1 = r12.mWidthFrame;
        r1 = (float) r1;
        r0 = r0 / r1;
        r0 = (double) r0;
        r12.mFaceDetectScale = r0;
        r0 = r12.mHeightFrame;
        if (r0 == 0) goto L_0x0030;
    L_0x0027:
        r0 = r12.mWidthFrame;
        r0 = (double) r0;
        r2 = r12.mHeightFrame;
        r2 = (double) r2;
        r0 = r0 / r2;
        r12.mAspectRatio = r0;
    L_0x0030:
        r0 = r12.mFrameIndex;
        r0 = r0 + 1;
        r0 = r0 % 2;
        r12.mFrameIndex = r0;
        r0 = r12.isUnInitSwapCopyFilter;
        if (r0 == 0) goto L_0x004b;
    L_0x003c:
        r0 = r12.mSwapCopyFilter;
        r1 = 1;
        r2 = r12.mWidthFrame;
        r2 = (float) r2;
        r3 = r12.mHeightFrame;
        r3 = (float) r3;
        r0.ApplyGLSLFilter(r1, r2, r3);
        r0 = 0;
        r12.isUnInitSwapCopyFilter = r0;
    L_0x004b:
        r0 = r12.mSwapCopyFilter;
        r1 = 0;
        r2 = 0;
        r3 = 1;
        r0.nativeSetRotationAndFlip(r1, r2, r3);
        r1 = r12.mSwapCopyFilter;
        r0 = r13.texture;
        r2 = 0;
        r2 = r0[r2];
        r3 = r12.mWidthFrame;
        r4 = r12.mHeightFrame;
        r5 = -1;
        r6 = 0;
        r0 = r12.mSwapFrames;
        r8 = r12.mFrameIndex;
        r8 = r0[r8];
        r1.RenderProcess(r2, r3, r4, r5, r6, r8);
        r0 = r12.mSwapFrames;
        r1 = r12.mFrameIndex;
        r1 = r0[r1];
        r0 = 0;
        r12.mRotationDegree = r0;
        r0 = r12.mPTSticker;
        if (r0 == 0) goto L_0x007a;
    L_0x0077:
        android.opengl.GLES20.glFinish();
    L_0x007a:
        r0 = r12.mRotationDegree;
        r2 = r12.mWidthFrame;
        r0 = r12.detectFace(r1, r0, r2);
        r12.mFaceAttr = r0;
        r2 = r12.mPTSegmentor;
        r3 = r12.mRotationDegree;
        r0 = r12.mPTSticker;
        if (r0 == 0) goto L_0x0176;
    L_0x008c:
        r0 = r12.mPTSticker;
        r0 = r0.isSegmentRequired();
        if (r0 == 0) goto L_0x0176;
    L_0x0094:
        r0 = 1;
    L_0x0095:
        r0 = r2.detectFrame(r1, r3, r0);
        r12.mSegAttr = r0;
        r0 = r12.mFaceAttr;
        r0 = r0.getHistogram();
        r0 = r0.first;
        r0 = (java.lang.Integer) r0;
        r0 = r0.intValue();
        r12.updateBeautyNormalFactor(r0);
        r0 = r12.mFaceAttr;
        r0 = r0.getOrigFrame();
        r1 = r12.mPTFilter;
        if (r1 == 0) goto L_0x00e3;
    L_0x00b6:
        r1 = r12.mPTFilter;
        r2 = r12.mWidthFrame;
        r3 = r12.mHeightFrame;
        r1 = r1.process(r0, r2, r3);
        r2 = r12.mPTAlphaFilter;
        r2 = r2.getFilter();
        r3 = new com.tencent.filter.m$n;
        r4 = "inputImageTexture2";
        r0 = r0.texture;
        r5 = 0;
        r0 = r0[r5];
        r5 = 33986; // 0x84c2 float:4.7625E-41 double:1.67913E-319;
        r3.<init>(r4, r0, r5);
        r2.addParam(r3);
        r0 = r12.mPTAlphaFilter;
        r2 = r12.mWidthFrame;
        r3 = r12.mHeightFrame;
        r0 = r0.process(r1, r2, r3);
    L_0x00e3:
        r2 = r12.mFaceDetectScale;
        r0 = r12.renderBeautyFilter(r0, r2);
        r1 = r12.mBeautyFaceList;
        if (r1 == 0) goto L_0x00f8;
    L_0x00ed:
        r1 = r12.mBeautyFaceList;
        r2 = r12.mWidthFrame;
        r3 = r12.mHeightFrame;
        r4 = r12.mFaceDetectScale;
        r1.updateVideoSize(r2, r3, r4);
    L_0x00f8:
        r1 = r12.mFaceAttr;
        r0 = r12.renderBeautyFaceList(r0, r1);
        r1 = r12.mColorToneFilter;
        r1 = r1.needRender();
        if (r1 == 0) goto L_0x0208;
    L_0x0106:
        r1 = r12.mColorToneFilter;
        r0 = r13.texture;
        r2 = 0;
        r2 = r0[r2];
        r3 = r13.width;
        r4 = r13.height;
        r5 = -1;
        r6 = 0;
        r8 = r12.mColorToneFrame;
        r1.RenderProcess(r2, r3, r4, r5, r6, r8);
        r0 = r12.mColorToneFrame;
        r2 = r0;
    L_0x011c:
        r0 = r12.mFaceAttr;
        if (r0 == 0) goto L_0x0206;
    L_0x0120:
        r0 = r12.mEnableLongLeg;
        if (r0 != 0) goto L_0x0128;
    L_0x0124:
        r0 = r12.mEnableSlimWaist;
        if (r0 == 0) goto L_0x0206;
    L_0x0128:
        r0 = r12.mFaceAttr;
        r0 = r0.getBodyPoints();
        r4 = new java.util.ArrayList;
        r4.<init>();
        r1 = r0.isEmpty();
        if (r1 != 0) goto L_0x0179;
    L_0x0139:
        r1 = 0;
        r0 = r0.get(r1);
        r0 = (java.util.List) r0;
        r1 = 0;
        r3 = r1;
    L_0x0142:
        r1 = r0.size();
        if (r3 >= r1) goto L_0x0179;
    L_0x0148:
        r5 = new android.graphics.PointF;
        r1 = r0.get(r3);
        r1 = (android.graphics.PointF) r1;
        r1 = r1.x;
        r6 = (double) r1;
        r1 = r12.mFaceAttr;
        r8 = r1.getFaceDetectScale();
        r6 = r6 / r8;
        r6 = (float) r6;
        r1 = r0.get(r3);
        r1 = (android.graphics.PointF) r1;
        r1 = r1.y;
        r8 = (double) r1;
        r1 = r12.mFaceAttr;
        r10 = r1.getFaceDetectScale();
        r8 = r8 / r10;
        r1 = (float) r8;
        r5.<init>(r6, r1);
        r4.add(r5);
        r1 = r3 + 1;
        r3 = r1;
        goto L_0x0142;
    L_0x0176:
        r0 = 0;
        goto L_0x0095;
    L_0x0179:
        r0 = r12.mEnableLongLeg;
        if (r0 == 0) goto L_0x018e;
    L_0x017d:
        r0 = r12.mPTLongLegFilter;
        r1 = r12.mHeightFrame;
        r0.setWaistLine(r4, r1);
        r0 = r12.mPTLongLegFilter;
        r1 = r12.mWidthFrame;
        r3 = r12.mHeightFrame;
        r2 = r0.process(r2, r1, r3);
    L_0x018e:
        r0 = r12.mEnableSlimWaist;
        if (r0 == 0) goto L_0x0206;
    L_0x0192:
        r0 = r12.mPTSlimWaistFilter;
        r1 = r12.mWidthFrame;
        r3 = r12.mHeightFrame;
        r0 = r0.setWaistRectangle(r4, r1, r3);
        if (r0 == 0) goto L_0x0206;
    L_0x019e:
        r0 = r12.mPTSlimWaistFilter;
        r1 = r12.mWidthFrame;
        r3 = r12.mHeightFrame;
        r2 = r0.process(r2, r1, r3);
        r0 = r2;
    L_0x01a9:
        r1 = r12.mPTSticker;	 Catch:{ Exception -> 0x0201 }
        if (r1 == 0) goto L_0x01c8;
    L_0x01ad:
        r1 = r12.mPTSticker;	 Catch:{ Exception -> 0x0201 }
        r2 = r12.mWidthFrame;	 Catch:{ Exception -> 0x0201 }
        r3 = r12.mHeightFrame;	 Catch:{ Exception -> 0x0201 }
        r4 = r12.mFaceAttr;	 Catch:{ Exception -> 0x0201 }
        r4 = r4.getFaceDetectScale();	 Catch:{ Exception -> 0x0201 }
        r6 = r12.mRotationDegree;	 Catch:{ Exception -> 0x0201 }
        r1.updateVideoSize(r2, r3, r4, r6);	 Catch:{ Exception -> 0x0201 }
        r1 = r12.mPTSticker;	 Catch:{ Exception -> 0x0201 }
        r2 = r12.mFaceAttr;	 Catch:{ Exception -> 0x0201 }
        r3 = r12.mSegAttr;	 Catch:{ Exception -> 0x0201 }
        r0 = r1.processTransformRelatedFilters(r0, r2, r3);	 Catch:{ Exception -> 0x0201 }
    L_0x01c8:
        r1 = r0;
    L_0x01c9:
        r2 = r12.mFaceAttr;
        r3 = r12.mSegAttr;
        r4 = r12.mFaceDetectScale;
        r0 = r12.mRotationDegree;
        r6 = (float) r0;
        r0 = r12;
        r0 = r0.renderBeautyTransformList(r1, r2, r3, r4, r6);
        r1 = r12.mPTSticker;	 Catch:{ Exception -> 0x0204 }
        if (r1 == 0) goto L_0x01e5;
    L_0x01db:
        r1 = r12.mPTSticker;	 Catch:{ Exception -> 0x0204 }
        r2 = r12.mFaceAttr;	 Catch:{ Exception -> 0x0204 }
        r3 = r12.mSegAttr;	 Catch:{ Exception -> 0x0204 }
        r0 = r1.processStickerFilters(r0, r2, r3);	 Catch:{ Exception -> 0x0204 }
    L_0x01e5:
        r1 = r12.mSwapCopyFilter;
        r0 = r0.texture;
        r2 = 0;
        r2 = r0[r2];
        r3 = r12.mWidthFrame;
        r4 = r12.mHeightFrame;
        r5 = -1;
        r6 = 0;
        r8 = r12.mTempFrame;
        r1.RenderProcess(r2, r3, r4, r5, r6, r8);
        r0 = r12.mTempFrame;
        r1 = 80712; // 0x13b48 float:1.13102E-40 double:3.9877E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
        return r0;
    L_0x0201:
        r1 = move-exception;
        r1 = r0;
        goto L_0x01c9;
    L_0x0204:
        r1 = move-exception;
        goto L_0x01e5;
    L_0x0206:
        r0 = r2;
        goto L_0x01a9;
    L_0x0208:
        r2 = r0;
        goto L_0x011c;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.ttpic.PTGlamorize.process(com.tencent.filter.h):com.tencent.filter.h");
    }

    private void updateBeautyNormalFactor(int i) {
        AppMethodBeat.i(80713);
        if (this.mBeautyFaceList != null) {
            float f;
            if (i <= 40) {
                f = 0.0f;
            } else if (i >= 80) {
                f = 1.0f;
            } else {
                f = (((float) i) - 40.0f) / 40.0f;
            }
            this.mBeautyFaceList.setNormalAlphaFactor(f);
        }
        AppMethodBeat.o(80713);
    }

    private PTFaceAttr detectFace(h hVar, int i, int i2) {
        boolean z;
        AppMethodBeat.i(80714);
        float f = this.FACE_DETECT_IMG_WIDTH / ((float) i2);
        boolean z2 = ENABLE_GESTURE && this.mPTSticker != null && this.mPTSticker.needDetectGesture();
        BenchUtil.benchStart("PTFaceDetector");
        PTFaceDetector pTFaceDetector = this.mPTfaceDectector;
        if (this.mEnableLongLeg || this.mEnableSlimWaist) {
            z = true;
        } else {
            z = false;
        }
        PTFaceAttr detectFrame = pTFaceDetector.detectFrame(hVar, null, i, true, z2, z, (double) f);
        BenchUtil.benchEnd("PTFaceDetector");
        AppMethodBeat.o(80714);
        return detectFrame;
    }

    private h renderBeautyFaceList(h hVar, PTFaceAttr pTFaceAttr) {
        AppMethodBeat.i(80715);
        if (!(this.mBeautyFaceList == null || pTFaceAttr == null || this.mSmoothBFilters == null)) {
            this.mBeautyFaceList.setLightRemovePouchSkinTexture(this.mSmoothBFilters.getVarianceFrame().texture[0]);
            hVar = this.mBeautyFaceList.render(hVar, pTFaceAttr.getAllFacePoints());
        }
        AppMethodBeat.o(80715);
        return hVar;
    }

    private h renderBeautyTransformList(h hVar, PTFaceAttr pTFaceAttr, PTSegAttr pTSegAttr, double d, float f) {
        AppMethodBeat.i(80716);
        if (this.mBeautyTransformList == null || pTFaceAttr == null) {
            AppMethodBeat.o(80716);
            return hVar;
        }
        h process = this.mBeautyTransformList.process(hVar, pTFaceAttr.getAllFacePoints(), d, pTFaceAttr.getAllFaceAngles(), f);
        if (!(pTSegAttr == null || pTSegAttr.getMaskFrame() == null)) {
            h maskFrame = pTSegAttr.getMaskFrame();
            this.mCopyFilter.RenderProcess(maskFrame.texture[0], maskFrame.width, maskFrame.height, -1, 0.0d, this.mBeautyTransformCopyFrame);
            pTSegAttr.setMaskFrame(this.mBeautyTransformList.process(this.mBeautyTransformCopyFrame, pTFaceAttr.getAllFacePoints(), this.mFaceDetectScale, pTFaceAttr.getAllFaceAngles(), (float) this.mRotationDegree));
        }
        hVar = this.mRemodelFilter.process(process, pTFaceAttr.getAllFacePoints(), pTFaceAttr.getAllFaceAngles(), d);
        AppMethodBeat.o(80716);
        return hVar;
    }

    private h renderBeautyFilter(h hVar, double d) {
        AppMethodBeat.i(80717);
        if (hVar.width > 0 && hVar.height > 0) {
            List arrayList = new ArrayList();
            if (this.mFaceAttr != null) {
                arrayList = this.mFaceAttr.getAllFacePoints();
            }
            this.mSmoothBFilters.updateAndRender(hVar, this.mBeautyFrame2, arrayList, (int) (((double) hVar.width) * d), (int) (((double) hVar.height) * d), this.mRotationDegree);
            hVar = this.mBeautyFrame2;
        }
        AppMethodBeat.o(80717);
        return hVar;
    }

    public void clear() {
        AppMethodBeat.i(80718);
        this.mPTfaceDectector.destroy();
        this.mPTSegmentor.destroy();
        this.mSmoothBFilters.clear();
        this.mBeautyTransformList.clear();
        this.mColorToneFilter.clearGLSLSelf();
        this.mBeautyFaceList.clear();
        this.mRemodelFilter.clear();
        if (this.mPTFilter != null) {
            this.mPTFilter.destroy();
        }
        this.mPTAlphaFilter.destroy();
        this.mPTLongLegFilter.destroy();
        this.mPTSlimWaistFilter.destroy();
        if (this.mPTSticker != null) {
            this.mPTSticker.destroy();
        }
        this.mSwapCopyFilter.ClearGLSL();
        this.mCopyFilter.ClearGLSL();
        clearFrames();
        AppMethodBeat.o(80718);
    }

    private void clearFrames() {
        AppMethodBeat.i(80719);
        this.mBeautyTransformCopyFrame.clear();
        for (h hVar : this.mSwapFrames) {
            if (hVar != null) {
                hVar.clear();
            }
        }
        this.mColorToneFrame.clear();
        this.mBeautyFrame2.clear();
        this.mTempFrame.clear();
        AppMethodBeat.o(80719);
    }

    public void setBeautyLevel(TYPE type, int i) {
        int i2 = 0;
        AppMethodBeat.i(80720);
        if (BeautyRealUtil.isCombinedType(type.value)) {
            Map beautyLevels = BeautyRealUtil.getBeautyLevels(type.value, false);
            if (beautyLevels.containsKey(TYPE.BEAUTY)) {
                setAtomBeautyLevel(TYPE.BEAUTY, ((Integer) beautyLevels.get(TYPE.BEAUTY)).intValue());
            }
            if (beautyLevels.containsKey(TYPE.BASIC3)) {
                setAtomBeautyLevel(TYPE.BASIC3, ((Integer) beautyLevels.get(TYPE.BASIC3)).intValue());
            }
            TYPE[] typeArr = BeautyRealConfig.SINGLE_TRANS_TYPE_574;
            int length = typeArr.length;
            while (i2 < length) {
                Object obj = typeArr[i2];
                setAtomBeautyLevel(obj, ((Integer) beautyLevels.get(obj)).intValue());
                i2++;
            }
            AppMethodBeat.o(80720);
        } else if (type == TYPE.LIPS_THICKNESS) {
            setAtomBeautyLevel(type, 0 - i);
            AppMethodBeat.o(80720);
        } else {
            setAtomBeautyLevel(type, i);
            AppMethodBeat.o(80720);
        }
    }

    private void setAtomBeautyLevel(TYPE type, int i) {
        AppMethodBeat.i(80721);
        switch (1.$SwitchMap$com$tencent$ttpic$config$BeautyRealConfig$TYPE[type.ordinal()]) {
            case 1:
                this.mSmoothBFilters.updateBlurAlpha((((float) i) * 0.8f) / 100.0f);
                AppMethodBeat.o(80721);
                return;
            case 2:
                this.mColorToneFilter.updateAlpha(((float) i) / 100.0f);
                AppMethodBeat.o(80721);
                return;
            case 3:
                this.mBeautyFaceList.setRemovePounchAlpha(((float) i) / 100.0f);
                AppMethodBeat.o(80721);
                return;
            case 4:
                this.mBeautyFaceList.setEyeLightenAlpha(((float) i) / 100.0f);
                AppMethodBeat.o(80721);
                return;
            case 5:
                this.mBeautyFaceList.setToothWhitenAlpha(((float) i) / 80.0f);
                AppMethodBeat.o(80721);
                return;
            case 6:
            case 7:
            case 8:
            case 9:
            case 10:
            case 11:
            case ApiHelper$VERSION_CODES.HONEYCOMB_MR1 /*12*/:
            case ApiHelper$VERSION_CODES.HONEYCOMB_MR2 /*13*/:
            case ApiHelper$VERSION_CODES.ICE_CREAM_SANDWICH /*14*/:
            case ApiHelper$VERSION_CODES.ICE_CREAM_SANDWICH_MR1 /*15*/:
            case ApiHelper$VERSION_CODES.JELLY_BEAN /*16*/:
            case ApiHelper$VERSION_CODES.JELLY_BEAN_MR1 /*17*/:
                this.mRemodelFilter.setParam(type.value, (float) i);
                AppMethodBeat.o(80721);
                return;
            case ApiHelper$VERSION_CODES.JELLY_BEAN_MR2 /*18*/:
            case ApiHelper$VERSION_CODES.KITKAT /*19*/:
            case ApiHelper$VERSION_CODES.KITKAT_WATCH /*20*/:
                this.mBeautyTransformList.setBeautyParam(type.value, BeautyRealUtil.getDistortParam(this.mBeautyParam.getDistortList(type.value), i, type.value));
                break;
        }
        AppMethodBeat.o(80721);
    }

    public void setCosmeticMaterial(VideoMaterial videoMaterial, int i) {
        AppMethodBeat.i(80722);
        if (this.mPTSticker != null) {
            this.mPTSticker.destroy();
            this.mPTSticker = null;
        }
        if (!(videoMaterial == null || videoMaterial.getDataPath() == null || videoMaterial.getId() == null)) {
            this.mPTSticker = new PTSticker(videoMaterial, this.mPTfaceDectector.getFaceDetector());
            this.mPTSticker.init();
            setCosmeticAlpha(i);
        }
        AppMethodBeat.o(80722);
    }

    public void setCosmeticAlpha(int i) {
        AppMethodBeat.i(80723);
        if (this.mPTSticker != null) {
            this.mPTSticker.updateCosAlpha(i);
        }
        AppMethodBeat.o(80723);
    }

    public void changeFilter(int i, int i2) {
        AppMethodBeat.i(80724);
        if (this.mPTFilter != null) {
            this.mPTFilter.destroy();
            this.mPTFilter = null;
        }
        if (FilterEnum4Shaka.contains(i)) {
            this.mPTFilter = new PTFilter();
            this.mPTFilter.setFilter(FilterPlus.createFilter(i));
            this.mPTFilter.getFilter().needFlipBlend = true;
            this.mPTFilter.getFilter().setEffectIndex(i2);
        } else {
            this.mPTFilter = PTFilter.createById(i, i2);
        }
        if (this.mPTFilter == null) {
            AppMethodBeat.o(80724);
            return;
        }
        this.mPTFilter.init();
        AppMethodBeat.o(80724);
    }

    public void adjustFilterParam(float f) {
        AppMethodBeat.i(80725);
        if (this.mPTAlphaFilter != null) {
            this.mPTAlphaFilter.getFilter().setAdjustParam(1.0f - f);
        }
        AppMethodBeat.o(80725);
    }

    public void setEnableLongLeg(boolean z) {
        AppMethodBeat.i(80726);
        this.mEnableLongLeg = z;
        if (this.mEnableLongLeg && ((double) this.mPTLongLegFilter.getStrength()) < 1.0E-5d) {
            this.mEnableLongLeg = false;
        }
        AppMethodBeat.o(80726);
    }

    public void setLongLegStrength(float f) {
        AppMethodBeat.i(80727);
        if (this.mPTLongLegFilter != null) {
            this.mPTLongLegFilter.setStrength(f);
            if (((double) this.mPTLongLegFilter.getStrength()) < 1.0E-5d) {
                this.mEnableLongLeg = false;
                AppMethodBeat.o(80727);
                return;
            }
            this.mEnableLongLeg = true;
        }
        AppMethodBeat.o(80727);
    }

    public void setmEnableSlimWaist(boolean z) {
        AppMethodBeat.i(80728);
        this.mEnableSlimWaist = z;
        if (this.mEnableSlimWaist && ((double) this.mPTSlimWaistFilter.getStrength()) < 1.0E-5d) {
            this.mEnableSlimWaist = false;
        }
        AppMethodBeat.o(80728);
    }

    public void setSlimWaistStrength(float f) {
        AppMethodBeat.i(80729);
        if (this.mPTSlimWaistFilter != null) {
            this.mPTSlimWaistFilter.setStrength(f);
            if (((double) this.mPTSlimWaistFilter.getStrength()) < 1.0E-5d) {
                this.mEnableSlimWaist = false;
                AppMethodBeat.o(80729);
                return;
            }
            this.mEnableSlimWaist = true;
        }
        AppMethodBeat.o(80729);
    }
}
