package com.tencent.ttpic.recorder;

import android.annotation.TargetApi;
import android.opengl.EGLContext;
import android.os.Handler;
import android.os.HandlerThread;
import com.tencent.filter.BaseFilter;
import com.tencent.filter.GLSLRender;
import com.tencent.filter.h;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.ttpic.gles.EglCore;
import com.tencent.ttpic.gles.GlUtil;
import com.tencent.ttpic.gles.WindowSurface;

@TargetApi(18)
public class RenderSrfTex {
    private static final String TAG = RenderSrfTex.class.getSimpleName();
    private int[] alterWidths;
    private Handler handler;
    private double mAspectRatio = 0.0d;
    private BaseFilter mCopyFilter = new BaseFilter(GLSLRender.bJB);
    private h mCopyFrame = new h();
    private EglCore mCore;
    private int mFboTexH;
    private int mFboTexW;
    private HandlerThread mGlThread;
    private boolean mIgnoreWatermark;
    private WindowSurface mInputSurface;
    private final MyRecorder mRecorder;
    private long mSampleTimeMs = -1;

    static /* synthetic */ void access$1000(RenderSrfTex renderSrfTex) {
        AppMethodBeat.i(83718);
        renderSrfTex.initGL();
        AppMethodBeat.o(83718);
    }

    static {
        AppMethodBeat.i(83719);
        AppMethodBeat.o(83719);
    }

    public RenderSrfTex(int i, int i2, String str, int i3, boolean z) {
        AppMethodBeat.i(83710);
        this.mRecorder = new MyRecorder(str);
        this.mFboTexW = Math.max(i, 1);
        this.mFboTexH = Math.max(i2, 1);
        if (i3 == 90 || i3 == 270) {
            int i4 = this.mFboTexW;
            this.mFboTexW = this.mFboTexH;
            this.mFboTexH = i4;
        }
        this.alterWidths = new int[0];
        this.mIgnoreWatermark = z;
        AppMethodBeat.o(83710);
    }

    public boolean prepare() {
        boolean prepareEncoder;
        AppMethodBeat.i(83711);
        int i = this.mFboTexH;
        int i2 = this.mFboTexW;
        float f = ((float) i) / ((float) i2);
        int i3 = 0;
        int i4 = i2;
        while (true) {
            prepareEncoder = this.mRecorder.prepareEncoder(i4, i);
            if (prepareEncoder || i3 >= this.alterWidths.length) {
                this.mFboTexW = Math.max(i4, 1);
                this.mFboTexH = Math.max(i, 1);
                AppMethodBeat.o(83711);
            } else if (i4 > i) {
                i2 = i3 + 1;
                i = this.alterWidths[i3];
                i4 = (int) (((float) i) / f);
                i3 = i2;
            } else {
                i2 = i3 + 1;
                i4 = this.alterWidths[i3];
                i = (int) (((float) i4) * f);
                i3 = i2;
            }
        }
        this.mFboTexW = Math.max(i4, 1);
        this.mFboTexH = Math.max(i, 1);
        AppMethodBeat.o(83711);
        return prepareEncoder;
    }

    public void setAlternativeWidth(int[] iArr) {
        this.alterWidths = iArr;
    }

    public boolean ignoreWatermark() {
        return this.mIgnoreWatermark;
    }

    public void draw(int i) {
        AppMethodBeat.i(83712);
        if (i < 0) {
            AppMethodBeat.o(83712);
            return;
        }
        queue(new 1(this, i));
        AppMethodBeat.o(83712);
    }

    private void initGL() {
        AppMethodBeat.i(83713);
        GlUtil.checkGlError("initGL_S");
        this.mCopyFilter.ApplyGLSLFilter();
        this.mCopyFilter.nativeSetRotationAndFlip(0, 0, 1);
        GlUtil.checkGlError("initGL_E");
        AppMethodBeat.o(83713);
    }

    public void initGlThread(EGLContext eGLContext) {
        AppMethodBeat.i(83714);
        2 2 = new 2(this, eGLContext);
        if (this.mGlThread == null) {
            this.mGlThread = new HandlerThread("VideoGlThread");
            this.mGlThread.start();
            this.handler = new Handler(this.mGlThread.getLooper());
            this.handler.post(2);
        }
        AppMethodBeat.o(83714);
    }

    public void queue(Runnable runnable) {
        AppMethodBeat.i(83715);
        if (this.handler != null) {
            this.handler.post(runnable);
        }
        AppMethodBeat.o(83715);
    }

    public void stop(VideoRecorderListener videoRecorderListener) {
        AppMethodBeat.i(83716);
        queue(new 3(this, videoRecorderListener));
        AppMethodBeat.o(83716);
    }

    public void setPlayRate(float f) {
        AppMethodBeat.i(83717);
        if (this.mRecorder != null) {
            this.mRecorder.setPlayRate(f);
        }
        AppMethodBeat.o(83717);
    }

    public void setSampleTime(long j) {
        this.mSampleTimeMs = j;
    }

    public int getWidth() {
        return this.mFboTexW;
    }

    public int getHeight() {
        return this.mFboTexH;
    }
}
