package com.tencent.youtu.ytcommon.auth;

import android.content.Context;
import android.net.wifi.WifiInfo;
import android.net.wifi.WifiManager;
import android.provider.Settings.Secure;
import android.telephony.TelephonyManager;
import android.text.TextUtils;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.ytcommon.BuildConfig;
import java.math.BigInteger;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

public class StatisticsUtils {
    public static String getDeviceUid(Context context) {
        AppMethodBeat.i(118057);
        String str;
        if (context.getPackageName().startsWith("com.tencent")) {
            str = "com.tencent";
            AppMethodBeat.o(118057);
            return str;
        }
        String imei = getIMEI(context.getApplicationContext());
        str = getMacAddr(context.getApplicationContext());
        Object obj = !TextUtils.isEmpty(str) ? 1 : null;
        if (obj != null) {
            str = str.replaceAll(":", BuildConfig.FLAVOR);
        }
        StringBuilder append = new StringBuilder().append(imei);
        if (obj == null) {
            str = BuildConfig.FLAVOR;
        }
        str = toMD5(encryptUid(append.append(str).toString()));
        AppMethodBeat.o(118057);
        return str;
    }

    public static String getMacAddr(Context context) {
        AppMethodBeat.i(118058);
        if (context == null) {
            AppMethodBeat.o(118058);
            return null;
        }
        String macAddress;
        WifiManager wifiManager = (WifiManager) context.getApplicationContext().getSystemService("wifi");
        if (wifiManager != null) {
            WifiInfo connectionInfo = wifiManager.getConnectionInfo();
            if (connectionInfo != null) {
                macAddress = connectionInfo.getMacAddress();
                AppMethodBeat.o(118058);
                return macAddress;
            }
        }
        macAddress = null;
        AppMethodBeat.o(118058);
        return macAddress;
    }

    public static String getIMEI(Context context) {
        String deviceId;
        AppMethodBeat.i(118059);
        String string = Secure.getString(context.getContentResolver(), "android_id");
        if (TextUtils.isEmpty(string)) {
            TelephonyManager telephonyManager = (TelephonyManager) context.getApplicationContext().getSystemService("phone");
            if (telephonyManager != null) {
                deviceId = telephonyManager.getDeviceId();
                AppMethodBeat.o(118059);
                return deviceId;
            }
        }
        deviceId = string;
        AppMethodBeat.o(118059);
        return deviceId;
    }

    public static String toMD5(String str) {
        AppMethodBeat.i(118060);
        String str2;
        if (TextUtils.isEmpty(str)) {
            str2 = BuildConfig.FLAVOR;
            AppMethodBeat.o(118060);
            return str2;
        }
        try {
            MessageDigest instance = MessageDigest.getInstance("MD5");
            instance.reset();
            instance.update(str.getBytes());
            str2 = new BigInteger(1, instance.digest()).toString(16);
            while (str2.length() < 32) {
                str2 = "0".concat(String.valueOf(str2));
            }
        } catch (NoSuchAlgorithmException e) {
            str2 = BuildConfig.FLAVOR;
        }
        AppMethodBeat.o(118060);
        return str2;
    }

    private static char getChar(byte b, int i) {
        AppMethodBeat.i(118061);
        char offset = (char) (b - getOffset(i & 1));
        AppMethodBeat.o(118061);
        return offset;
    }

    private static byte getOffset(int i) {
        return (byte) (i == 0 ? 65 : 97);
    }

    private static String encryptUid(String str) {
        AppMethodBeat.i(118062);
        String str2;
        if (TextUtils.isEmpty(str)) {
            str2 = BuildConfig.FLAVOR;
            AppMethodBeat.o(118062);
            return str2;
        }
        StringBuilder stringBuilder = new StringBuilder();
        int length = str.length();
        for (int i = 0; i < length; i++) {
            char charAt = str.charAt(i);
            stringBuilder.append(charAt + (charAt % length));
        }
        stringBuilder.reverse();
        str2 = stringBuilder.toString();
        AppMethodBeat.o(118062);
        return str2;
    }

    private StatisticsUtils() {
    }
}
