package com.eclipsesource.v8;

import com.tencent.matrix.trace.core.AppMethodBeat;
import java.util.Locale;

public class PlatformDetector {
    static /* synthetic */ String access$000(String str) {
        AppMethodBeat.i(75022);
        String normalizeArch = normalizeArch(str);
        AppMethodBeat.o(75022);
        return normalizeArch;
    }

    static /* synthetic */ String access$100(String str) {
        AppMethodBeat.i(75023);
        String normalizeOs = normalizeOs(str);
        AppMethodBeat.o(75023);
        return normalizeOs;
    }

    static /* synthetic */ String access$200(String str) {
        AppMethodBeat.i(75024);
        String normalize = normalize(str);
        AppMethodBeat.o(75024);
        return normalize;
    }

    static /* synthetic */ String access$300(String str) {
        AppMethodBeat.i(75025);
        String normalizeOsReleaseValue = normalizeOsReleaseValue(str);
        AppMethodBeat.o(75025);
        return normalizeOsReleaseValue;
    }

    private static String normalizeOsReleaseValue(String str) {
        AppMethodBeat.i(75018);
        String replace = str.trim().replace("\"", "");
        AppMethodBeat.o(75018);
        return replace;
    }

    private static String normalizeOs(String str) {
        AppMethodBeat.i(75019);
        String normalize = normalize(str);
        if (normalize.startsWith("aix")) {
            normalize = "aix";
            AppMethodBeat.o(75019);
            return normalize;
        } else if (normalize.startsWith("hpux")) {
            normalize = "hpux";
            AppMethodBeat.o(75019);
            return normalize;
        } else if (normalize.startsWith("os400") && (normalize.length() <= 5 || !Character.isDigit(normalize.charAt(5)))) {
            normalize = "os400";
            AppMethodBeat.o(75019);
            return normalize;
        } else if (normalize.startsWith("android")) {
            normalize = "android";
            AppMethodBeat.o(75019);
            return normalize;
        } else if (normalize.startsWith("linux")) {
            normalize = "linux";
            AppMethodBeat.o(75019);
            return normalize;
        } else if (normalize.startsWith("nacl")) {
            normalize = "nacl";
            AppMethodBeat.o(75019);
            return normalize;
        } else if (normalize.startsWith("macosx") || normalize.startsWith("osx")) {
            normalize = "macosx";
            AppMethodBeat.o(75019);
            return normalize;
        } else if (normalize.startsWith("freebsd")) {
            normalize = "freebsd";
            AppMethodBeat.o(75019);
            return normalize;
        } else if (normalize.startsWith("openbsd")) {
            normalize = "openbsd";
            AppMethodBeat.o(75019);
            return normalize;
        } else if (normalize.startsWith("netbsd")) {
            normalize = "netbsd";
            AppMethodBeat.o(75019);
            return normalize;
        } else if (normalize.startsWith("solaris") || normalize.startsWith("sunos")) {
            normalize = "sunos";
            AppMethodBeat.o(75019);
            return normalize;
        } else if (normalize.startsWith("windows")) {
            normalize = "windows";
            AppMethodBeat.o(75019);
            return normalize;
        } else {
            normalize = "unknown";
            AppMethodBeat.o(75019);
            return normalize;
        }
    }

    private static String normalizeArch(String str) {
        AppMethodBeat.i(75020);
        String normalize = normalize(str);
        if (normalize.matches("^(x8664|amd64|ia32e|em64t|x64)$")) {
            normalize = "x86_64";
            AppMethodBeat.o(75020);
            return normalize;
        } else if (normalize.matches("^(x8632|x86|i[3-6]86|ia32|x32)$")) {
            normalize = "x86_32";
            AppMethodBeat.o(75020);
            return normalize;
        } else if (normalize.matches("^(ia64|itanium64)$")) {
            normalize = "itanium_64";
            AppMethodBeat.o(75020);
            return normalize;
        } else if (normalize.matches("^(sparc|sparc32)$")) {
            normalize = "sparc_32";
            AppMethodBeat.o(75020);
            return normalize;
        } else if (normalize.matches("^(sparcv9|sparc64)$")) {
            normalize = "sparc_64";
            AppMethodBeat.o(75020);
            return normalize;
        } else if (normalize.matches("^(arm|arm32)$")) {
            normalize = "arm_32";
            AppMethodBeat.o(75020);
            return normalize;
        } else if ("aarch64".equals(normalize)) {
            normalize = "aarch_64";
            AppMethodBeat.o(75020);
            return normalize;
        } else if (normalize.matches("^(ppc|ppc32)$")) {
            normalize = "ppc_32";
            AppMethodBeat.o(75020);
            return normalize;
        } else if ("ppc64".equals(normalize)) {
            normalize = "ppc_64";
            AppMethodBeat.o(75020);
            return normalize;
        } else if ("ppc64le".equals(normalize)) {
            normalize = "ppcle_64";
            AppMethodBeat.o(75020);
            return normalize;
        } else if ("s390".equals(normalize)) {
            normalize = "s390_32";
            AppMethodBeat.o(75020);
            return normalize;
        } else if ("s390x".equals(normalize)) {
            normalize = "s390_64";
            AppMethodBeat.o(75020);
            return normalize;
        } else {
            normalize = "unknown";
            AppMethodBeat.o(75020);
            return normalize;
        }
    }

    private static String normalize(String str) {
        AppMethodBeat.i(75021);
        String str2;
        if (str == null) {
            str2 = "";
            AppMethodBeat.o(75021);
            return str2;
        }
        str2 = str.toLowerCase(Locale.US).replaceAll("[^a-z0-9]+", "");
        AppMethodBeat.o(75021);
        return str2;
    }
}
