package com.facebook;

import android.os.Bundle;
import com.facebook.share.internal.OpenGraphJSONUtility;
import com.facebook.share.model.ShareOpenGraphObject;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.ttpic.util.VideoMaterialUtil;
import java.util.Locale;
import org.json.JSONException;
import org.json.JSONObject;

public class ShareGraphRequest {
    public static GraphRequest createOpenGraphObject(ShareOpenGraphObject shareOpenGraphObject) {
        Object string;
        AppMethodBeat.i(96596);
        String string2 = shareOpenGraphObject.getString(VideoMaterialUtil.CRAZYFACE_LAYER_TYPE);
        if (string2 == null) {
            string = shareOpenGraphObject.getString("og:type");
        } else {
            String string3 = string2;
        }
        if (string3 == null) {
            FacebookException facebookException = new FacebookException("Open graph object type cannot be null");
            AppMethodBeat.o(96596);
            throw facebookException;
        }
        try {
            JSONObject jSONObject = (JSONObject) OpenGraphJSONUtility.toJSONValue(shareOpenGraphObject, new 1());
            Bundle bundle = new Bundle();
            bundle.putString("object", jSONObject.toString());
            GraphRequest graphRequest = new GraphRequest(AccessToken.getCurrentAccessToken(), String.format(Locale.ROOT, "%s/%s", new Object[]{"me", "objects/".concat(String.valueOf(string3))}), bundle, HttpMethod.POST);
            AppMethodBeat.o(96596);
            return graphRequest;
        } catch (JSONException e) {
            FacebookException facebookException2 = new FacebookException(e.getMessage());
            AppMethodBeat.o(96596);
            throw facebookException2;
        }
    }
}
