package com.facebook.share.model;

import android.os.Bundle;
import java.util.ArrayList;

public abstract class ShareOpenGraphValueContainer$Builder<P extends ShareOpenGraphValueContainer, E extends ShareOpenGraphValueContainer$Builder> implements ShareModelBuilder<P, E> {
    private Bundle bundle = new Bundle();

    public E putBoolean(String str, boolean z) {
        this.bundle.putBoolean(str, z);
        return this;
    }

    public E putBooleanArray(String str, boolean[] zArr) {
        this.bundle.putBooleanArray(str, zArr);
        return this;
    }

    public E putDouble(String str, double d) {
        this.bundle.putDouble(str, d);
        return this;
    }

    public E putDoubleArray(String str, double[] dArr) {
        this.bundle.putDoubleArray(str, dArr);
        return this;
    }

    public E putInt(String str, int i) {
        this.bundle.putInt(str, i);
        return this;
    }

    public E putIntArray(String str, int[] iArr) {
        this.bundle.putIntArray(str, iArr);
        return this;
    }

    public E putLong(String str, long j) {
        this.bundle.putLong(str, j);
        return this;
    }

    public E putLongArray(String str, long[] jArr) {
        this.bundle.putLongArray(str, jArr);
        return this;
    }

    public E putObject(String str, ShareOpenGraphObject shareOpenGraphObject) {
        this.bundle.putParcelable(str, shareOpenGraphObject);
        return this;
    }

    public E putObjectArrayList(String str, ArrayList<ShareOpenGraphObject> arrayList) {
        this.bundle.putParcelableArrayList(str, arrayList);
        return this;
    }

    public E putPhoto(String str, SharePhoto sharePhoto) {
        this.bundle.putParcelable(str, sharePhoto);
        return this;
    }

    public E putPhotoArrayList(String str, ArrayList<SharePhoto> arrayList) {
        this.bundle.putParcelableArrayList(str, arrayList);
        return this;
    }

    public E putString(String str, String str2) {
        this.bundle.putString(str, str2);
        return this;
    }

    public E putStringArrayList(String str, ArrayList<String> arrayList) {
        this.bundle.putStringArrayList(str, arrayList);
        return this;
    }

    public E readFrom(P p) {
        if (p != null) {
            this.bundle.putAll(p.getBundle());
        }
        return this;
    }
}
