package com.facebook.share.model;

import android.os.Parcel;
import android.os.Parcelable.Creator;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

public final class ShareStoryContent extends ShareContent<ShareStoryContent, Builder> {
    public static final Creator<ShareStoryContent> CREATOR = new 1();
    private final String mAttributionLink;
    private final ShareMedia mBackgroundAsset;
    private final List<String> mBackgroundColorList;
    private final SharePhoto mStickerAsset;

    private ShareStoryContent(Builder builder) {
        super(builder);
        AppMethodBeat.i(97591);
        this.mBackgroundAsset = Builder.access$000(builder);
        this.mStickerAsset = Builder.access$100(builder);
        this.mBackgroundColorList = Builder.access$200(builder);
        this.mAttributionLink = Builder.access$300(builder);
        AppMethodBeat.o(97591);
    }

    ShareStoryContent(Parcel parcel) {
        super(parcel);
        AppMethodBeat.i(97592);
        this.mBackgroundAsset = (ShareMedia) parcel.readParcelable(ShareMedia.class.getClassLoader());
        this.mStickerAsset = (SharePhoto) parcel.readParcelable(SharePhoto.class.getClassLoader());
        this.mBackgroundColorList = readUnmodifiableStringList(parcel);
        this.mAttributionLink = parcel.readString();
        AppMethodBeat.o(97592);
    }

    public final ShareMedia getBackgroundAsset() {
        return this.mBackgroundAsset;
    }

    public final SharePhoto getStickerAsset() {
        return this.mStickerAsset;
    }

    public final List<String> getBackgroundColorList() {
        AppMethodBeat.i(97593);
        if (this.mBackgroundColorList == null) {
            AppMethodBeat.o(97593);
            return null;
        }
        List<String> unmodifiableList = Collections.unmodifiableList(this.mBackgroundColorList);
        AppMethodBeat.o(97593);
        return unmodifiableList;
    }

    public final String getAttributionLink() {
        return this.mAttributionLink;
    }

    public final int describeContents() {
        return 0;
    }

    public final void writeToParcel(Parcel parcel, int i) {
        AppMethodBeat.i(97594);
        super.writeToParcel(parcel, i);
        parcel.writeParcelable(this.mBackgroundAsset, 0);
        parcel.writeParcelable(this.mStickerAsset, 0);
        parcel.writeStringList(this.mBackgroundColorList);
        parcel.writeString(this.mAttributionLink);
        AppMethodBeat.o(97594);
    }

    static {
        AppMethodBeat.i(97596);
        AppMethodBeat.o(97596);
    }

    private List<String> readUnmodifiableStringList(Parcel parcel) {
        AppMethodBeat.i(97595);
        ArrayList arrayList = new ArrayList();
        parcel.readStringList(arrayList);
        if (arrayList.isEmpty()) {
            AppMethodBeat.o(97595);
            return null;
        }
        List<String> unmodifiableList = Collections.unmodifiableList(arrayList);
        AppMethodBeat.o(97595);
        return unmodifiableList;
    }
}
