package com.google.android.exoplayer2.drm;

import android.os.Parcel;
import android.os.Parcelable;
import android.os.Parcelable.Creator;
import com.google.android.exoplayer2.b;
import com.google.android.exoplayer2.i.v;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.util.Arrays;
import java.util.Comparator;
import java.util.List;

public final class DrmInitData implements Parcelable, Comparator<SchemeData> {
    public static final Creator<DrmInitData> CREATOR = new 1();
    private int aBR;
    public final SchemeData[] aSw;
    public final int aSx;

    public final /* synthetic */ int compare(Object obj, Object obj2) {
        AppMethodBeat.i(94769);
        SchemeData schemeData = (SchemeData) obj;
        SchemeData schemeData2 = (SchemeData) obj2;
        if (!b.aMx.equals(SchemeData.a(schemeData))) {
            int compareTo = SchemeData.a(schemeData).compareTo(SchemeData.a(schemeData2));
            AppMethodBeat.o(94769);
            return compareTo;
        } else if (b.aMx.equals(SchemeData.a(schemeData2))) {
            AppMethodBeat.o(94769);
            return 0;
        } else {
            AppMethodBeat.o(94769);
            return 1;
        }
    }

    public DrmInitData(List<SchemeData> list) {
        this(false, (SchemeData[]) list.toArray(new SchemeData[list.size()]));
        AppMethodBeat.i(94762);
        AppMethodBeat.o(94762);
    }

    public DrmInitData(SchemeData... schemeDataArr) {
        this(true, schemeDataArr);
    }

    private DrmInitData(boolean z, SchemeData... schemeDataArr) {
        Object[] objArr;
        AppMethodBeat.i(94763);
        if (z) {
            objArr = (SchemeData[]) schemeDataArr.clone();
        } else {
            SchemeData[] objArr2 = schemeDataArr;
        }
        Arrays.sort(objArr2, this);
        for (int i = 1; i < objArr2.length; i++) {
            if (SchemeData.a(objArr2[i - 1]).equals(SchemeData.a(objArr2[i]))) {
                IllegalArgumentException illegalArgumentException = new IllegalArgumentException("Duplicate data for uuid: " + SchemeData.a(objArr2[i]));
                AppMethodBeat.o(94763);
                throw illegalArgumentException;
            }
        }
        this.aSw = objArr2;
        this.aSx = objArr2.length;
        AppMethodBeat.o(94763);
    }

    DrmInitData(Parcel parcel) {
        AppMethodBeat.i(94764);
        this.aSw = (SchemeData[]) parcel.createTypedArray(SchemeData.CREATOR);
        this.aSx = this.aSw.length;
        AppMethodBeat.o(94764);
    }

    public final DrmInitData aw(String str) {
        int i;
        int i2 = 0;
        AppMethodBeat.i(94765);
        for (SchemeData schemeData : this.aSw) {
            if (!v.j(schemeData.type, str)) {
                i = 1;
                break;
            }
        }
        i = 0;
        if (i != 0) {
            SchemeData[] schemeDataArr = new SchemeData[this.aSw.length];
            while (true) {
                int i3 = i2;
                if (i3 < schemeDataArr.length) {
                    SchemeData schemeData2;
                    SchemeData schemeData3 = this.aSw[i3];
                    if (v.j(schemeData3.type, str)) {
                        schemeData2 = schemeData3;
                    } else {
                        schemeData2 = new SchemeData(schemeData3.uuid, str, schemeData3.mimeType, schemeData3.data, schemeData3.aSy);
                    }
                    schemeDataArr[i3] = schemeData2;
                    i2 = i3 + 1;
                } else {
                    this = new DrmInitData(schemeDataArr);
                    AppMethodBeat.o(94765);
                    return this;
                }
            }
        }
        AppMethodBeat.o(94765);
        return this;
    }

    public final int hashCode() {
        AppMethodBeat.i(94766);
        if (this.aBR == 0) {
            this.aBR = Arrays.hashCode(this.aSw);
        }
        int i = this.aBR;
        AppMethodBeat.o(94766);
        return i;
    }

    public final boolean equals(Object obj) {
        AppMethodBeat.i(94767);
        if (this == obj) {
            AppMethodBeat.o(94767);
            return true;
        } else if (obj == null || getClass() != obj.getClass()) {
            AppMethodBeat.o(94767);
            return false;
        } else {
            boolean equals = Arrays.equals(this.aSw, ((DrmInitData) obj).aSw);
            AppMethodBeat.o(94767);
            return equals;
        }
    }

    public final int describeContents() {
        return 0;
    }

    public final void writeToParcel(Parcel parcel, int i) {
        AppMethodBeat.i(94768);
        parcel.writeTypedArray(this.aSw, 0);
        AppMethodBeat.o(94768);
    }

    static {
        AppMethodBeat.i(94770);
        AppMethodBeat.o(94770);
    }
}
