package com.google.android.gms.auth.api.credentials;

import android.os.Parcel;
import android.os.Parcelable.Creator;
import com.google.android.gms.common.internal.ReflectedParcelable;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import com.google.android.gms.common.internal.safeparcel.SafeParcelWriter;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable.Class;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable.Constructor;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable.Field;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable.Param;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

@Class(creator = "CredentialPickerConfigCreator")
public final class CredentialPickerConfig extends AbstractSafeParcelable implements ReflectedParcelable {
    public static final Creator<CredentialPickerConfig> CREATOR = new zzf();
    @Field(getter = "shouldShowCancelButton", id = 2)
    private final boolean mShowCancelButton;
    @Field(getter = "shouldShowAddAccountButton", id = 1)
    private final boolean zzcq;
    @Field(getter = "isForNewAccount", id = 3)
    @Deprecated
    private final boolean zzcr;
    @Field(getter = "getPromptInternalId", id = 4)
    private final int zzcs;
    @Field(id = 1000)
    private final int zzy;

    @Retention(RetentionPolicy.SOURCE)
    public @interface Prompt {
        public static final int CONTINUE = 1;
        public static final int SIGN_IN = 2;
        public static final int SIGN_UP = 3;
    }

    static {
        AppMethodBeat.i(50319);
        AppMethodBeat.o(50319);
    }

    @Constructor
    CredentialPickerConfig(@Param(id = 1000) int i, @Param(id = 1) boolean z, @Param(id = 2) boolean z2, @Param(id = 3) boolean z3, @Param(id = 4) int i2) {
        int i3 = 3;
        boolean z4 = true;
        AppMethodBeat.i(50316);
        this.zzy = i;
        this.zzcq = z;
        this.mShowCancelButton = z2;
        if (i < 2) {
            this.zzcr = z3;
            if (!z3) {
                i3 = 1;
            }
            this.zzcs = i3;
            AppMethodBeat.o(50316);
            return;
        }
        if (i2 != 3) {
            z4 = false;
        }
        this.zzcr = z4;
        this.zzcs = i2;
        AppMethodBeat.o(50316);
    }

    private CredentialPickerConfig(Builder builder) {
        this(2, Builder.zzd(builder), Builder.zze(builder), false, Builder.zzf(builder));
        AppMethodBeat.i(50317);
        AppMethodBeat.o(50317);
    }

    @Deprecated
    public final boolean isForNewAccount() {
        return this.zzcs == 3;
    }

    public final boolean shouldShowAddAccountButton() {
        return this.zzcq;
    }

    public final boolean shouldShowCancelButton() {
        return this.mShowCancelButton;
    }

    public final void writeToParcel(Parcel parcel, int i) {
        AppMethodBeat.i(50318);
        int beginObjectHeader = SafeParcelWriter.beginObjectHeader(parcel);
        SafeParcelWriter.writeBoolean(parcel, 1, shouldShowAddAccountButton());
        SafeParcelWriter.writeBoolean(parcel, 2, shouldShowCancelButton());
        SafeParcelWriter.writeBoolean(parcel, 3, isForNewAccount());
        SafeParcelWriter.writeInt(parcel, 4, this.zzcs);
        SafeParcelWriter.writeInt(parcel, CredentialsApi.ACTIVITY_RESULT_ADD_ACCOUNT, this.zzy);
        SafeParcelWriter.finishObjectHeader(parcel, beginObjectHeader);
        AppMethodBeat.o(50318);
    }
}
