package com.google.android.gms.auth.api.proxy;

import android.os.Bundle;
import android.util.Patterns;
import com.google.android.gms.common.annotation.KeepForSdkWithMembers;
import com.google.android.gms.common.internal.Preconditions;
import com.tencent.matrix.trace.core.AppMethodBeat;

@KeepForSdkWithMembers
public class ProxyRequest$Builder {
    private String zzdx;
    private int zzdy = ProxyRequest.HTTP_METHOD_GET;
    private long zzdz = 3000;
    private byte[] zzea = null;
    private Bundle zzeb = new Bundle();

    public ProxyRequest$Builder(String str) {
        AppMethodBeat.i(77035);
        Preconditions.checkNotEmpty(str);
        if (Patterns.WEB_URL.matcher(str).matches()) {
            this.zzdx = str;
            AppMethodBeat.o(77035);
            return;
        }
        IllegalArgumentException illegalArgumentException = new IllegalArgumentException(new StringBuilder(String.valueOf(str).length() + 51).append("The supplied url [ ").append(str).append("] is not match Patterns.WEB_URL!").toString());
        AppMethodBeat.o(77035);
        throw illegalArgumentException;
    }

    public ProxyRequest build() {
        AppMethodBeat.i(77039);
        if (this.zzea == null) {
            this.zzea = new byte[0];
        }
        ProxyRequest proxyRequest = new ProxyRequest(2, this.zzdx, this.zzdy, this.zzdz, this.zzea, this.zzeb);
        AppMethodBeat.o(77039);
        return proxyRequest;
    }

    public ProxyRequest$Builder putHeader(String str, String str2) {
        AppMethodBeat.i(77038);
        Preconditions.checkNotEmpty(str, "Header name cannot be null or empty!");
        Bundle bundle = this.zzeb;
        if (str2 == null) {
            str2 = "";
        }
        bundle.putString(str, str2);
        AppMethodBeat.o(77038);
        return this;
    }

    public ProxyRequest$Builder setBody(byte[] bArr) {
        this.zzea = bArr;
        return this;
    }

    public ProxyRequest$Builder setHttpMethod(int i) {
        AppMethodBeat.i(77036);
        boolean z = i >= 0 && i <= ProxyRequest.LAST_CODE;
        Preconditions.checkArgument(z, "Unrecognized http method code.");
        this.zzdy = i;
        AppMethodBeat.o(77036);
        return this;
    }

    public ProxyRequest$Builder setTimeoutMillis(long j) {
        AppMethodBeat.i(77037);
        Preconditions.checkArgument(j >= 0, "The specified timeout must be non-negative.");
        this.zzdz = j;
        AppMethodBeat.o(77037);
        return this;
    }
}
