package com.google.android.gms.common.images;

import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.widget.TextView;
import com.google.android.gms.common.images.internal.CrossFadingDrawable;
import com.google.android.gms.common.internal.Asserts;
import com.google.android.gms.common.internal.Objects;
import com.google.android.gms.common.util.PlatformVersion;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.lang.ref.WeakReference;

public final class ImageRequest$TextViewImageRequest extends ImageRequest {
    public static final int POSITION_BOTTOM = 3;
    public static final int POSITION_END = 2;
    public static final int POSITION_START = 0;
    public static final int POSITION_TOP = 1;
    private WeakReference<TextView> zzpq;
    private int zzpr = -1;

    public ImageRequest$TextViewImageRequest(TextView textView, int i, int i2) {
        boolean z = true;
        super(null, i2);
        AppMethodBeat.i(61237);
        Asserts.checkNotNull(textView);
        if (i == 0 || i == 1 || i == 2 || i == 3) {
            z = false;
        }
        Asserts.checkState(z, "Invalid position: " + i);
        this.zzpq = new WeakReference(textView);
        this.zzpr = i;
        AppMethodBeat.o(61237);
    }

    public ImageRequest$TextViewImageRequest(TextView textView, int i, Uri uri) {
        boolean z = true;
        super(uri, 0);
        AppMethodBeat.i(61236);
        Asserts.checkNotNull(textView);
        if (i == 0 || i == 1 || i == 2 || i == 3) {
            z = false;
        }
        Asserts.checkState(z, "Invalid position: " + i);
        this.zzpq = new WeakReference(textView);
        this.zzpr = i;
        AppMethodBeat.o(61236);
    }

    public final boolean equals(Object obj) {
        AppMethodBeat.i(61239);
        if (!(obj instanceof ImageRequest$TextViewImageRequest)) {
            AppMethodBeat.o(61239);
            return false;
        } else if (this == obj) {
            AppMethodBeat.o(61239);
            return true;
        } else {
            ImageRequest$TextViewImageRequest imageRequest$TextViewImageRequest = (ImageRequest$TextViewImageRequest) obj;
            TextView textView = (TextView) this.zzpq.get();
            TextView textView2 = (TextView) imageRequest$TextViewImageRequest.zzpq.get();
            if (textView2 == null || textView == null || !Objects.equal(textView2, textView) || !Objects.equal(Integer.valueOf(imageRequest$TextViewImageRequest.zzpr), Integer.valueOf(this.zzpr))) {
                AppMethodBeat.o(61239);
                return false;
            }
            AppMethodBeat.o(61239);
            return true;
        }
    }

    public final int hashCode() {
        AppMethodBeat.i(61238);
        int hashCode = Objects.hashCode(new Object[]{Integer.valueOf(this.zzpr)});
        AppMethodBeat.o(61238);
        return hashCode;
    }

    /* Access modifiers changed, original: protected|final */
    public final void loadImage(Drawable drawable, boolean z, boolean z2, boolean z3) {
        AppMethodBeat.i(61240);
        TextView textView = (TextView) this.zzpq.get();
        if (textView != null) {
            int i = this.zzpr;
            boolean shouldCrossFade = shouldCrossFade(z, z2);
            Drawable[] compoundDrawablesRelative = PlatformVersion.isAtLeastJellyBeanMR1() ? textView.getCompoundDrawablesRelative() : textView.getCompoundDrawables();
            CrossFadingDrawable createTransitionDrawable = shouldCrossFade ? createTransitionDrawable(compoundDrawablesRelative[i], drawable) : drawable;
            Drawable drawable2 = i == 0 ? createTransitionDrawable : compoundDrawablesRelative[0];
            Drawable drawable3 = i == 1 ? createTransitionDrawable : compoundDrawablesRelative[1];
            Drawable drawable4 = i == 2 ? createTransitionDrawable : compoundDrawablesRelative[2];
            Drawable drawable5 = i == 3 ? createTransitionDrawable : compoundDrawablesRelative[3];
            if (PlatformVersion.isAtLeastJellyBeanMR1()) {
                textView.setCompoundDrawablesRelativeWithIntrinsicBounds(drawable2, drawable3, drawable4, drawable5);
            } else {
                textView.setCompoundDrawablesWithIntrinsicBounds(drawable2, drawable3, drawable4, drawable5);
            }
            if (shouldCrossFade) {
                createTransitionDrawable.startTransition(250);
            }
        }
        AppMethodBeat.o(61240);
    }
}
