package com.google.android.gms.gcm;

import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable.Creator;
import com.tencent.matrix.trace.core.AppMethodBeat;

public class PeriodicTask extends Task {
    public static final Creator<PeriodicTask> CREATOR = new zzk();
    protected long mFlexInSeconds;
    protected long mIntervalInSeconds;

    static {
        AppMethodBeat.i(70013);
        AppMethodBeat.o(70013);
    }

    @Deprecated
    private PeriodicTask(Parcel parcel) {
        super(parcel);
        AppMethodBeat.i(70009);
        this.mIntervalInSeconds = -1;
        this.mFlexInSeconds = -1;
        this.mIntervalInSeconds = parcel.readLong();
        this.mFlexInSeconds = Math.min(parcel.readLong(), this.mIntervalInSeconds);
        AppMethodBeat.o(70009);
    }

    private PeriodicTask(Builder builder) {
        super(builder);
        AppMethodBeat.i(70008);
        this.mIntervalInSeconds = -1;
        this.mFlexInSeconds = -1;
        this.mIntervalInSeconds = Builder.zzd(builder);
        this.mFlexInSeconds = Math.min(Builder.zze(builder), this.mIntervalInSeconds);
        AppMethodBeat.o(70008);
    }

    public long getFlex() {
        return this.mFlexInSeconds;
    }

    public long getPeriod() {
        return this.mIntervalInSeconds;
    }

    public void toBundle(Bundle bundle) {
        AppMethodBeat.i(70010);
        super.toBundle(bundle);
        bundle.putLong("period", this.mIntervalInSeconds);
        bundle.putLong("period_flex", this.mFlexInSeconds);
        AppMethodBeat.o(70010);
    }

    public String toString() {
        AppMethodBeat.i(70012);
        String obj = super.toString();
        long period = getPeriod();
        obj = new StringBuilder(String.valueOf(obj).length() + 54).append(obj).append(" period=").append(period).append(" flex=").append(getFlex()).toString();
        AppMethodBeat.o(70012);
        return obj;
    }

    public void writeToParcel(Parcel parcel, int i) {
        AppMethodBeat.i(70011);
        super.writeToParcel(parcel, i);
        parcel.writeLong(this.mIntervalInSeconds);
        parcel.writeLong(this.mFlexInSeconds);
        AppMethodBeat.o(70011);
    }
}
