package com.google.android.gms.internal.measurement;

import com.google.android.gms.common.internal.Preconditions;
import com.google.android.gms.common.util.VisibleForTesting;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Locale;
import java.util.regex.Pattern;
import java.util.regex.PatternSyntaxException;

final class zzeb extends zzjq {
    zzeb(zzjr zzjr) {
        super(zzjr);
    }

    private final Boolean zza(double d, zzkg zzkg) {
        AppMethodBeat.i(68589);
        try {
            Boolean zza = zza(new BigDecimal(d), zzkg, Math.ulp(d));
            AppMethodBeat.o(68589);
            return zza;
        } catch (NumberFormatException e) {
            AppMethodBeat.o(68589);
            return null;
        }
    }

    private final Boolean zza(long j, zzkg zzkg) {
        AppMethodBeat.i(68588);
        try {
            Boolean zza = zza(new BigDecimal(j), zzkg, 0.0d);
            AppMethodBeat.o(68588);
            return zza;
        } catch (NumberFormatException e) {
            AppMethodBeat.o(68588);
            return null;
        }
    }

    @VisibleForTesting
    private static Boolean zza(Boolean bool, boolean z) {
        AppMethodBeat.i(68585);
        if (bool == null) {
            AppMethodBeat.o(68585);
            return null;
        }
        Boolean valueOf = Boolean.valueOf(bool.booleanValue() ^ z);
        AppMethodBeat.o(68585);
        return valueOf;
    }

    private final Boolean zza(String str, int i, boolean z, String str2, List<String> list, String str3) {
        AppMethodBeat.i(68587);
        if (str == null) {
            AppMethodBeat.o(68587);
            return null;
        }
        CharSequence str4;
        if (i == 6) {
            if (list == null || list.size() == 0) {
                AppMethodBeat.o(68587);
                return null;
            }
        } else if (str2 == null) {
            AppMethodBeat.o(68587);
            return null;
        }
        if (!(z || i == 1)) {
            str4 = str4.toUpperCase(Locale.ENGLISH);
        }
        Boolean valueOf;
        switch (i) {
            case 1:
                try {
                    valueOf = Boolean.valueOf(Pattern.compile(str3, z ? 0 : 66).matcher(str4).matches());
                    AppMethodBeat.o(68587);
                    return valueOf;
                } catch (PatternSyntaxException e) {
                    zzge().zzip().zzg("Invalid regular expression in REGEXP audience filter. expression", str3);
                    AppMethodBeat.o(68587);
                    return null;
                }
            case 2:
                valueOf = Boolean.valueOf(str4.startsWith(str2));
                AppMethodBeat.o(68587);
                return valueOf;
            case 3:
                valueOf = Boolean.valueOf(str4.endsWith(str2));
                AppMethodBeat.o(68587);
                return valueOf;
            case 4:
                valueOf = Boolean.valueOf(str4.contains(str2));
                AppMethodBeat.o(68587);
                return valueOf;
            case 5:
                valueOf = Boolean.valueOf(str4.equals(str2));
                AppMethodBeat.o(68587);
                return valueOf;
            case 6:
                valueOf = Boolean.valueOf(list.contains(str4));
                AppMethodBeat.o(68587);
                return valueOf;
            default:
                AppMethodBeat.o(68587);
                return null;
        }
    }

    private final Boolean zza(String str, zzkg zzkg) {
        Boolean bool = null;
        AppMethodBeat.i(68590);
        if (zzka.zzck(str)) {
            try {
                bool = zza(new BigDecimal(str), zzkg, 0.0d);
                AppMethodBeat.o(68590);
            } catch (NumberFormatException e) {
                AppMethodBeat.o(68590);
            }
        } else {
            AppMethodBeat.o(68590);
        }
        return bool;
    }

    @VisibleForTesting
    private final Boolean zza(String str, zzki zzki) {
        int i = 0;
        String str2 = null;
        AppMethodBeat.i(68586);
        Preconditions.checkNotNull(zzki);
        if (str == null) {
            AppMethodBeat.o(68586);
            return null;
        } else if (zzki.zzash == null || zzki.zzash.intValue() == 0) {
            AppMethodBeat.o(68586);
            return null;
        } else {
            List list;
            if (zzki.zzash.intValue() == 6) {
                if (zzki.zzask == null || zzki.zzask.length == 0) {
                    AppMethodBeat.o(68586);
                    return null;
                }
            } else if (zzki.zzasi == null) {
                AppMethodBeat.o(68586);
                return null;
            }
            int intValue = zzki.zzash.intValue();
            boolean z = zzki.zzasj != null && zzki.zzasj.booleanValue();
            String toUpperCase = (z || intValue == 1 || intValue == 6) ? zzki.zzasi : zzki.zzasi.toUpperCase(Locale.ENGLISH);
            if (zzki.zzask == null) {
                list = null;
            } else {
                String[] strArr = zzki.zzask;
                if (z) {
                    list = Arrays.asList(strArr);
                } else {
                    list = new ArrayList();
                    int length = strArr.length;
                    while (i < length) {
                        list.add(strArr[i].toUpperCase(Locale.ENGLISH));
                        i++;
                    }
                }
            }
            if (intValue == 1) {
                str2 = toUpperCase;
            }
            Boolean zza = zza(str, intValue, z, toUpperCase, list, str2);
            AppMethodBeat.o(68586);
            return zza;
        }
    }

    /* JADX WARNING: Missing block: B:39:0x009d, code skipped:
            if (r5 != null) goto L_0x009f;
     */
    @com.google.android.gms.common.util.VisibleForTesting
    private static java.lang.Boolean zza(java.math.BigDecimal r10, com.google.android.gms.internal.measurement.zzkg r11, double r12) {
        /*
        r9 = -1;
        r1 = 0;
        r0 = 1;
        r2 = 0;
        r8 = 68591; // 0x10bef float:9.6116E-41 double:3.38885E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r8);
        com.google.android.gms.common.internal.Preconditions.checkNotNull(r11);
        r3 = r11.zzarz;
        if (r3 == 0) goto L_0x0019;
    L_0x0011:
        r3 = r11.zzarz;
        r3 = r3.intValue();
        if (r3 != 0) goto L_0x001e;
    L_0x0019:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        r0 = r2;
    L_0x001d:
        return r0;
    L_0x001e:
        r3 = r11.zzarz;
        r3 = r3.intValue();
        r4 = 4;
        if (r3 != r4) goto L_0x0034;
    L_0x0027:
        r3 = r11.zzasc;
        if (r3 == 0) goto L_0x002f;
    L_0x002b:
        r3 = r11.zzasd;
        if (r3 != 0) goto L_0x003d;
    L_0x002f:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        r0 = r2;
        goto L_0x001d;
    L_0x0034:
        r3 = r11.zzasb;
        if (r3 != 0) goto L_0x003d;
    L_0x0038:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        r0 = r2;
        goto L_0x001d;
    L_0x003d:
        r3 = r11.zzarz;
        r6 = r3.intValue();
        r3 = r11.zzarz;
        r3 = r3.intValue();
        r4 = 4;
        if (r3 != r4) goto L_0x0080;
    L_0x004c:
        r3 = r11.zzasc;
        r3 = com.google.android.gms.internal.measurement.zzka.zzck(r3);
        if (r3 == 0) goto L_0x005c;
    L_0x0054:
        r3 = r11.zzasd;
        r3 = com.google.android.gms.internal.measurement.zzka.zzck(r3);
        if (r3 != 0) goto L_0x0061;
    L_0x005c:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        r0 = r2;
        goto L_0x001d;
    L_0x0061:
        r4 = new java.math.BigDecimal;	 Catch:{ NumberFormatException -> 0x007a }
        r3 = r11.zzasc;	 Catch:{ NumberFormatException -> 0x007a }
        r4.<init>(r3);	 Catch:{ NumberFormatException -> 0x007a }
        r3 = new java.math.BigDecimal;	 Catch:{ NumberFormatException -> 0x007a }
        r5 = r11.zzasd;	 Catch:{ NumberFormatException -> 0x007a }
        r3.<init>(r5);	 Catch:{ NumberFormatException -> 0x007a }
        r5 = r2;
    L_0x0070:
        r7 = 4;
        if (r6 != r7) goto L_0x009d;
    L_0x0073:
        if (r4 != 0) goto L_0x009f;
    L_0x0075:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        r0 = r2;
        goto L_0x001d;
    L_0x007a:
        r0 = move-exception;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        r0 = r2;
        goto L_0x001d;
    L_0x0080:
        r3 = r11.zzasb;
        r3 = com.google.android.gms.internal.measurement.zzka.zzck(r3);
        if (r3 != 0) goto L_0x008d;
    L_0x0088:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        r0 = r2;
        goto L_0x001d;
    L_0x008d:
        r5 = new java.math.BigDecimal;	 Catch:{ NumberFormatException -> 0x0097 }
        r3 = r11.zzasb;	 Catch:{ NumberFormatException -> 0x0097 }
        r5.<init>(r3);	 Catch:{ NumberFormatException -> 0x0097 }
        r3 = r2;
        r4 = r2;
        goto L_0x0070;
    L_0x0097:
        r0 = move-exception;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        r0 = r2;
        goto L_0x001d;
    L_0x009d:
        if (r5 == 0) goto L_0x00a2;
    L_0x009f:
        switch(r6) {
            case 1: goto L_0x00a8;
            case 2: goto L_0x00b9;
            case 3: goto L_0x00ca;
            case 4: goto L_0x011e;
            default: goto L_0x00a2;
        };
    L_0x00a2:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        r0 = r2;
        goto L_0x001d;
    L_0x00a8:
        r2 = r10.compareTo(r5);
        if (r2 != r9) goto L_0x00b7;
    L_0x00ae:
        r0 = java.lang.Boolean.valueOf(r0);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        goto L_0x001d;
    L_0x00b7:
        r0 = r1;
        goto L_0x00ae;
    L_0x00b9:
        r2 = r10.compareTo(r5);
        if (r2 != r0) goto L_0x00c8;
    L_0x00bf:
        r0 = java.lang.Boolean.valueOf(r0);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        goto L_0x001d;
    L_0x00c8:
        r0 = r1;
        goto L_0x00bf;
    L_0x00ca:
        r2 = 0;
        r2 = (r12 > r2 ? 1 : (r12 == r2 ? 0 : -1));
        if (r2 == 0) goto L_0x010d;
    L_0x00d0:
        r2 = new java.math.BigDecimal;
        r2.<init>(r12);
        r3 = new java.math.BigDecimal;
        r4 = 2;
        r3.<init>(r4);
        r2 = r2.multiply(r3);
        r2 = r5.subtract(r2);
        r2 = r10.compareTo(r2);
        if (r2 != r0) goto L_0x010b;
    L_0x00e9:
        r2 = new java.math.BigDecimal;
        r2.<init>(r12);
        r3 = new java.math.BigDecimal;
        r4 = 2;
        r3.<init>(r4);
        r2 = r2.multiply(r3);
        r2 = r5.add(r2);
        r2 = r10.compareTo(r2);
        if (r2 != r9) goto L_0x010b;
    L_0x0102:
        r0 = java.lang.Boolean.valueOf(r0);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        goto L_0x001d;
    L_0x010b:
        r0 = r1;
        goto L_0x0102;
    L_0x010d:
        r2 = r10.compareTo(r5);
        if (r2 != 0) goto L_0x011c;
    L_0x0113:
        r0 = java.lang.Boolean.valueOf(r0);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        goto L_0x001d;
    L_0x011c:
        r0 = r1;
        goto L_0x0113;
    L_0x011e:
        r2 = r10.compareTo(r4);
        if (r2 == r9) goto L_0x0133;
    L_0x0124:
        r2 = r10.compareTo(r3);
        if (r2 == r0) goto L_0x0133;
    L_0x012a:
        r0 = java.lang.Boolean.valueOf(r0);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        goto L_0x001d;
    L_0x0133:
        r0 = r1;
        goto L_0x012a;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.gms.internal.measurement.zzeb.zza(java.math.BigDecimal, com.google.android.gms.internal.measurement.zzkg, double):java.lang.Boolean");
    }

    /* Access modifiers changed, original: final */
    /* JADX WARNING: Removed duplicated region for block: B:212:0x0775  */
    /* JADX WARNING: Removed duplicated region for block: B:121:0x0478  */
    /* JADX WARNING: Removed duplicated region for block: B:213:0x0778  */
    /* JADX WARNING: Removed duplicated region for block: B:124:0x0482  */
    /* JADX WARNING: Removed duplicated region for block: B:96:0x0356  */
    /* JADX WARNING: Removed duplicated region for block: B:73:0x0244  */
    /* JADX WARNING: Removed duplicated region for block: B:317:0x0be4  */
    /* JADX WARNING: Removed duplicated region for block: B:76:0x0290  */
    /* JADX WARNING: Removed duplicated region for block: B:83:0x02b9  */
    public final com.google.android.gms.internal.measurement.zzkm[] zza(java.lang.String r37, com.google.android.gms.internal.measurement.zzkn[] r38, com.google.android.gms.internal.measurement.zzks[] r39) {
        /*
        r36 = this;
        r4 = 68584; // 0x10be8 float:9.6107E-41 double:3.3885E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r4);
        com.google.android.gms.common.internal.Preconditions.checkNotEmpty(r37);
        r26 = new java.util.HashSet;
        r26.<init>();
        r27 = new android.support.v4.f.a;
        r27.<init>();
        r28 = new android.support.v4.f.a;
        r28.<init>();
        r29 = new android.support.v4.f.a;
        r29.<init>();
        r4 = r36.zzix();
        r0 = r37;
        r8 = r4.zzbf(r0);
        if (r8 == 0) goto L_0x00e5;
    L_0x0029:
        r4 = r8.keySet();
        r9 = r4.iterator();
    L_0x0031:
        r4 = r9.hasNext();
        if (r4 == 0) goto L_0x00e5;
    L_0x0037:
        r4 = r9.next();
        r4 = (java.lang.Integer) r4;
        r10 = r4.intValue();
        r4 = java.lang.Integer.valueOf(r10);
        r4 = r8.get(r4);
        r4 = (com.google.android.gms.internal.measurement.zzkr) r4;
        r5 = java.lang.Integer.valueOf(r10);
        r0 = r28;
        r5 = r0.get(r5);
        r5 = (java.util.BitSet) r5;
        r6 = java.lang.Integer.valueOf(r10);
        r0 = r29;
        r6 = r0.get(r6);
        r6 = (java.util.BitSet) r6;
        if (r5 != 0) goto L_0x0081;
    L_0x0065:
        r5 = new java.util.BitSet;
        r5.<init>();
        r6 = java.lang.Integer.valueOf(r10);
        r0 = r28;
        r0.put(r6, r5);
        r6 = new java.util.BitSet;
        r6.<init>();
        r7 = java.lang.Integer.valueOf(r10);
        r0 = r29;
        r0.put(r7, r6);
    L_0x0081:
        r7 = 0;
    L_0x0082:
        r11 = r4.zzauk;
        r11 = r11.length;
        r11 = r11 << 6;
        if (r7 >= r11) goto L_0x00b8;
    L_0x0089:
        r11 = r4.zzauk;
        r11 = com.google.android.gms.internal.measurement.zzka.zza(r11, r7);
        if (r11 == 0) goto L_0x00b5;
    L_0x0091:
        r11 = r36.zzge();
        r11 = r11.zzit();
        r12 = "Filter already evaluated. audience ID, filter ID";
        r13 = java.lang.Integer.valueOf(r10);
        r14 = java.lang.Integer.valueOf(r7);
        r11.zze(r12, r13, r14);
        r6.set(r7);
        r11 = r4.zzaul;
        r11 = com.google.android.gms.internal.measurement.zzka.zza(r11, r7);
        if (r11 == 0) goto L_0x00b5;
    L_0x00b2:
        r5.set(r7);
    L_0x00b5:
        r7 = r7 + 1;
        goto L_0x0082;
    L_0x00b8:
        r7 = new com.google.android.gms.internal.measurement.zzkm;
        r7.<init>();
        r10 = java.lang.Integer.valueOf(r10);
        r0 = r27;
        r0.put(r10, r7);
        r10 = java.lang.Boolean.FALSE;
        r7.zzasy = r10;
        r7.zzasx = r4;
        r4 = new com.google.android.gms.internal.measurement.zzkr;
        r4.<init>();
        r7.zzasw = r4;
        r4 = r7.zzasw;
        r5 = com.google.android.gms.internal.measurement.zzka.zza(r5);
        r4.zzaul = r5;
        r4 = r7.zzasw;
        r5 = com.google.android.gms.internal.measurement.zzka.zza(r6);
        r4.zzauk = r5;
        goto L_0x0031;
    L_0x00e5:
        if (r38 == 0) goto L_0x0792;
    L_0x00e7:
        r10 = 0;
        r8 = 0;
        r5 = 0;
        r30 = new android.support.v4.f.a;
        r30.<init>();
        r0 = r38;
        r0 = r0.length;
        r31 = r0;
        r4 = 0;
        r25 = r4;
    L_0x00f8:
        r0 = r25;
        r1 = r31;
        if (r0 >= r1) goto L_0x0792;
    L_0x00fe:
        r14 = r38[r25];
        r11 = r14.name;
        r12 = r14.zzata;
        r4 = r36.zzgg();
        r6 = com.google.android.gms.internal.measurement.zzew.zzahv;
        r0 = r37;
        r4 = r4.zzd(r0, r6);
        if (r4 == 0) goto L_0x0bc9;
    L_0x0112:
        r36.zzgb();
        r4 = "_eid";
        r7 = com.google.android.gms.internal.measurement.zzka.zzb(r14, r4);
        r7 = (java.lang.Long) r7;
        if (r7 == 0) goto L_0x0156;
    L_0x0120:
        r4 = 1;
        r6 = r4;
    L_0x0122:
        if (r6 == 0) goto L_0x0159;
    L_0x0124:
        r4 = "_ep";
        r4 = r11.equals(r4);
        if (r4 == 0) goto L_0x0159;
    L_0x012d:
        r4 = 1;
    L_0x012e:
        if (r4 == 0) goto L_0x0304;
    L_0x0130:
        r36.zzgb();
        r4 = "_en";
        r4 = com.google.android.gms.internal.measurement.zzka.zzb(r14, r4);
        r11 = r4;
        r11 = (java.lang.String) r11;
        r4 = android.text.TextUtils.isEmpty(r11);
        if (r4 == 0) goto L_0x015b;
    L_0x0143:
        r4 = r36.zzge();
        r4 = r4.zzim();
        r6 = "Extra parameter without an event name. eventId";
        r4.zzg(r6, r7);
    L_0x0151:
        r4 = r25 + 1;
        r25 = r4;
        goto L_0x00f8;
    L_0x0156:
        r4 = 0;
        r6 = r4;
        goto L_0x0122;
    L_0x0159:
        r4 = 0;
        goto L_0x012e;
    L_0x015b:
        if (r10 == 0) goto L_0x016b;
    L_0x015d:
        if (r5 == 0) goto L_0x016b;
    L_0x015f:
        r16 = r7.longValue();
        r18 = r5.longValue();
        r4 = (r16 > r18 ? 1 : (r16 == r18 ? 0 : -1));
        if (r4 == 0) goto L_0x0bd5;
    L_0x016b:
        r4 = r36.zzix();
        r0 = r37;
        r6 = r4.zza(r0, r7);
        if (r6 == 0) goto L_0x017b;
    L_0x0177:
        r4 = r6.first;
        if (r4 != 0) goto L_0x018a;
    L_0x017b:
        r4 = r36.zzge();
        r4 = r4.zzim();
        r6 = "Extra parameter without existing main event. eventName, eventId";
        r4.zze(r6, r11, r7);
        goto L_0x0151;
    L_0x018a:
        r4 = r6.first;
        r4 = (com.google.android.gms.internal.measurement.zzkn) r4;
        r5 = r6.second;
        r5 = (java.lang.Long) r5;
        r8 = r5.longValue();
        r36.zzgb();
        r5 = "_eid";
        r5 = com.google.android.gms.internal.measurement.zzka.zzb(r4, r5);
        r5 = (java.lang.Long) r5;
        r13 = r5;
        r10 = r4;
    L_0x01a4:
        r4 = 1;
        r8 = r8 - r4;
        r4 = 0;
        r4 = (r8 > r4 ? 1 : (r8 == r4 ? 0 : -1));
        if (r4 > 0) goto L_0x020e;
    L_0x01ad:
        r5 = r36.zzix();
        r5.zzab();
        r4 = r5.zzge();
        r4 = r4.zzit();
        r6 = "Clearing complex main event info. appId";
        r0 = r37;
        r4.zzg(r6, r0);
        r4 = r5.getWritableDatabase();	 Catch:{ SQLiteException -> 0x01fe }
        r6 = "delete from main_event_params where app_id=?";
        r7 = 1;
        r7 = new java.lang.String[r7];	 Catch:{ SQLiteException -> 0x01fe }
        r15 = 0;
        r7[r15] = r37;	 Catch:{ SQLiteException -> 0x01fe }
        r4.execSQL(r6, r7);	 Catch:{ SQLiteException -> 0x01fe }
    L_0x01d4:
        r4 = r10.zzata;
        r4 = r4.length;
        r5 = r12.length;
        r4 = r4 + r5;
        r6 = new com.google.android.gms.internal.measurement.zzko[r4];
        r5 = 0;
        r15 = r10.zzata;
        r0 = r15.length;
        r16 = r0;
        r4 = 0;
        r7 = r4;
    L_0x01e3:
        r0 = r16;
        if (r7 >= r0) goto L_0x0218;
    L_0x01e7:
        r17 = r15[r7];
        r36.zzgb();
        r0 = r17;
        r4 = r0.name;
        r4 = com.google.android.gms.internal.measurement.zzka.zza(r14, r4);
        if (r4 != 0) goto L_0x0be7;
    L_0x01f6:
        r4 = r5 + 1;
        r6[r5] = r17;
    L_0x01fa:
        r7 = r7 + 1;
        r5 = r4;
        goto L_0x01e3;
    L_0x01fe:
        r4 = move-exception;
        r5 = r5.zzge();
        r5 = r5.zzim();
        r6 = "Error clearing complex main event";
        r5.zzg(r6, r4);
        goto L_0x01d4;
    L_0x020e:
        r5 = r36.zzix();
        r6 = r37;
        r5.zza(r6, r7, r8, r10);
        goto L_0x01d4;
    L_0x0218:
        if (r5 <= 0) goto L_0x02ea;
    L_0x021a:
        r15 = r12.length;
        r4 = 0;
    L_0x021c:
        if (r4 >= r15) goto L_0x0228;
    L_0x021e:
        r16 = r12[r4];
        r7 = r5 + 1;
        r6[r5] = r16;
        r4 = r4 + 1;
        r5 = r7;
        goto L_0x021c;
    L_0x0228:
        r4 = r6.length;
        if (r5 != r4) goto L_0x02e2;
    L_0x022b:
        r4 = r6;
    L_0x022c:
        r19 = r4;
        r20 = r11;
        r22 = r8;
        r21 = r13;
        r24 = r10;
    L_0x0236:
        r4 = r36.zzix();
        r5 = r14.name;
        r0 = r37;
        r4 = r4.zzf(r0, r5);
        if (r4 != 0) goto L_0x0356;
    L_0x0244:
        r4 = r36.zzge();
        r4 = r4.zzip();
        r5 = "Event aggregate wasn't created during raw event logging. appId, event";
        r6 = com.google.android.gms.internal.measurement.zzfg.zzbm(r37);
        r7 = r36.zzga();
        r0 = r20;
        r7 = r7.zzbj(r0);
        r4.zze(r5, r6, r7);
        r5 = new com.google.android.gms.internal.measurement.zzeq;
        r7 = r14.name;
        r8 = 1;
        r10 = 1;
        r4 = r14.zzatb;
        r12 = r4.longValue();
        r14 = 0;
        r16 = 0;
        r17 = 0;
        r18 = 0;
        r6 = r37;
        r5.<init>(r6, r7, r8, r10, r12, r14, r16, r17, r18);
    L_0x027b:
        r4 = r36.zzix();
        r4.zza(r5);
        r12 = r5.zzafr;
        r0 = r30;
        r1 = r20;
        r4 = r0.get(r1);
        r4 = (java.util.Map) r4;
        if (r4 != 0) goto L_0x0be4;
    L_0x0290:
        r4 = r36.zzix();
        r0 = r37;
        r1 = r20;
        r4 = r4.zzk(r0, r1);
        if (r4 != 0) goto L_0x02a3;
    L_0x029e:
        r4 = new android.support.v4.f.a;
        r4.<init>();
    L_0x02a3:
        r0 = r30;
        r1 = r20;
        r0.put(r1, r4);
        r7 = r4;
    L_0x02ab:
        r4 = r7.keySet();
        r11 = r4.iterator();
    L_0x02b3:
        r4 = r11.hasNext();
        if (r4 == 0) goto L_0x0bdc;
    L_0x02b9:
        r4 = r11.next();
        r4 = (java.lang.Integer) r4;
        r14 = r4.intValue();
        r4 = java.lang.Integer.valueOf(r14);
        r0 = r26;
        r4 = r0.contains(r4);
        if (r4 == 0) goto L_0x035c;
    L_0x02cf:
        r4 = r36.zzge();
        r4 = r4.zzit();
        r5 = "Skipping failed audience ID";
        r6 = java.lang.Integer.valueOf(r14);
        r4.zzg(r5, r6);
        goto L_0x02b3;
    L_0x02e2:
        r4 = java.util.Arrays.copyOf(r6, r5);
        r4 = (com.google.android.gms.internal.measurement.zzko[]) r4;
        goto L_0x022c;
    L_0x02ea:
        r4 = r36.zzge();
        r4 = r4.zzip();
        r5 = "No unique parameters in main event. eventName";
        r4.zzg(r5, r11);
        r19 = r12;
        r20 = r11;
        r22 = r8;
        r21 = r13;
        r24 = r10;
        goto L_0x0236;
    L_0x0304:
        if (r6 == 0) goto L_0x0bc9;
    L_0x0306:
        r36.zzgb();
        r5 = "_epc";
        r8 = 0;
        r4 = java.lang.Long.valueOf(r8);
        r5 = com.google.android.gms.internal.measurement.zzka.zzb(r14, r5);
        if (r5 != 0) goto L_0x033e;
    L_0x0318:
        r4 = (java.lang.Long) r4;
        r8 = r4.longValue();
        r4 = 0;
        r4 = (r8 > r4 ? 1 : (r8 == r4 ? 0 : -1));
        if (r4 > 0) goto L_0x0340;
    L_0x0324:
        r4 = r36.zzge();
        r4 = r4.zzip();
        r5 = "Complex event with zero extra param count. eventName";
        r4.zzg(r5, r11);
        r19 = r12;
        r20 = r11;
        r22 = r8;
        r21 = r7;
        r24 = r14;
        goto L_0x0236;
    L_0x033e:
        r4 = r5;
        goto L_0x0318;
    L_0x0340:
        r5 = r36.zzix();
        r6 = r37;
        r10 = r14;
        r5.zza(r6, r7, r8, r10);
        r19 = r12;
        r20 = r11;
        r22 = r8;
        r21 = r7;
        r24 = r14;
        goto L_0x0236;
    L_0x0356:
        r5 = r4.zzie();
        goto L_0x027b;
    L_0x035c:
        r4 = java.lang.Integer.valueOf(r14);
        r0 = r27;
        r4 = r0.get(r4);
        r4 = (com.google.android.gms.internal.measurement.zzkm) r4;
        r5 = java.lang.Integer.valueOf(r14);
        r0 = r28;
        r5 = r0.get(r5);
        r5 = (java.util.BitSet) r5;
        r6 = java.lang.Integer.valueOf(r14);
        r0 = r29;
        r6 = r0.get(r6);
        r6 = (java.util.BitSet) r6;
        if (r4 != 0) goto L_0x0bd8;
    L_0x0382:
        r4 = new com.google.android.gms.internal.measurement.zzkm;
        r4.<init>();
        r5 = java.lang.Integer.valueOf(r14);
        r0 = r27;
        r0.put(r5, r4);
        r5 = java.lang.Boolean.TRUE;
        r4.zzasy = r5;
        r5 = new java.util.BitSet;
        r5.<init>();
        r4 = java.lang.Integer.valueOf(r14);
        r0 = r28;
        r0.put(r4, r5);
        r6 = new java.util.BitSet;
        r6.<init>();
        r4 = java.lang.Integer.valueOf(r14);
        r0 = r29;
        r0.put(r4, r6);
        r8 = r6;
        r9 = r5;
    L_0x03b2:
        r4 = java.lang.Integer.valueOf(r14);
        r4 = r7.get(r4);
        r4 = (java.util.List) r4;
        r15 = r4.iterator();
    L_0x03c0:
        r4 = r15.hasNext();
        if (r4 == 0) goto L_0x02b3;
    L_0x03c6:
        r4 = r15.next();
        r4 = (com.google.android.gms.internal.measurement.zzke) r4;
        r5 = r36.zzge();
        r6 = 2;
        r5 = r5.isLoggable(r6);
        if (r5 == 0) goto L_0x0413;
    L_0x03d7:
        r5 = r36.zzge();
        r5 = r5.zzit();
        r6 = "Evaluating filter. audience, filter, event";
        r10 = java.lang.Integer.valueOf(r14);
        r0 = r4.zzarp;
        r16 = r0;
        r17 = r36.zzga();
        r0 = r4.zzarq;
        r18 = r0;
        r17 = r17.zzbj(r18);
        r0 = r16;
        r1 = r17;
        r5.zzd(r6, r10, r0, r1);
        r5 = r36.zzge();
        r5 = r5.zzit();
        r6 = "Filter definition";
        r10 = r36.zzga();
        r10 = r10.zza(r4);
        r5.zzg(r6, r10);
    L_0x0413:
        r5 = r4.zzarp;
        if (r5 == 0) goto L_0x0421;
    L_0x0417:
        r5 = r4.zzarp;
        r5 = r5.intValue();
        r6 = 256; // 0x100 float:3.59E-43 double:1.265E-321;
        if (r5 <= r6) goto L_0x043a;
    L_0x0421:
        r5 = r36.zzge();
        r5 = r5.zzip();
        r6 = "Invalid event filter ID. appId, id";
        r10 = com.google.android.gms.internal.measurement.zzfg.zzbm(r37);
        r4 = r4.zzarp;
        r4 = java.lang.String.valueOf(r4);
        r5.zze(r6, r10, r4);
        goto L_0x03c0;
    L_0x043a:
        r5 = r4.zzarp;
        r5 = r5.intValue();
        r5 = r9.get(r5);
        if (r5 == 0) goto L_0x045c;
    L_0x0446:
        r5 = r36.zzge();
        r5 = r5.zzit();
        r6 = "Event filter already evaluated true. audience ID, filter ID";
        r10 = java.lang.Integer.valueOf(r14);
        r4 = r4.zzarp;
        r5.zze(r6, r10, r4);
        goto L_0x03c0;
    L_0x045c:
        r5 = r4.zzart;
        if (r5 == 0) goto L_0x0496;
    L_0x0460:
        r5 = r4.zzart;
        r0 = r36;
        r5 = r0.zza(r12, r5);
        if (r5 != 0) goto L_0x048d;
    L_0x046a:
        r5 = 0;
    L_0x046b:
        r6 = r36.zzge();
        r10 = r6.zzit();
        r16 = "Event filter result";
        if (r5 != 0) goto L_0x0775;
    L_0x0478:
        r6 = "null";
    L_0x047b:
        r0 = r16;
        r10.zzg(r0, r6);
        if (r5 != 0) goto L_0x0778;
    L_0x0482:
        r4 = java.lang.Integer.valueOf(r14);
        r0 = r26;
        r0.add(r4);
        goto L_0x03c0;
    L_0x048d:
        r5 = r5.booleanValue();
        if (r5 != 0) goto L_0x0496;
    L_0x0493:
        r5 = java.lang.Boolean.FALSE;
        goto L_0x046b;
    L_0x0496:
        r6 = new java.util.HashSet;
        r6.<init>();
        r10 = r4.zzarr;
        r0 = r10.length;
        r16 = r0;
        r5 = 0;
    L_0x04a1:
        r0 = r16;
        if (r5 >= r0) goto L_0x04db;
    L_0x04a5:
        r17 = r10[r5];
        r0 = r17;
        r0 = r0.zzary;
        r18 = r0;
        r18 = android.text.TextUtils.isEmpty(r18);
        if (r18 == 0) goto L_0x04cd;
    L_0x04b3:
        r5 = r36.zzge();
        r5 = r5.zzip();
        r6 = "null or empty param name in filter. event";
        r10 = r36.zzga();
        r0 = r20;
        r10 = r10.zzbj(r0);
        r5.zzg(r6, r10);
        r5 = 0;
        goto L_0x046b;
    L_0x04cd:
        r0 = r17;
        r0 = r0.zzary;
        r17 = r0;
        r0 = r17;
        r6.add(r0);
        r5 = r5 + 1;
        goto L_0x04a1;
    L_0x04db:
        r16 = new android.support.v4.f.a;
        r16.<init>();
        r0 = r19;
        r10 = r0.length;
        r5 = 0;
    L_0x04e4:
        if (r5 >= r10) goto L_0x057d;
    L_0x04e6:
        r17 = r19[r5];
        r0 = r17;
        r0 = r0.name;
        r18 = r0;
        r0 = r18;
        r18 = r6.contains(r0);
        if (r18 == 0) goto L_0x0513;
    L_0x04f6:
        r0 = r17;
        r0 = r0.zzate;
        r18 = r0;
        if (r18 == 0) goto L_0x0516;
    L_0x04fe:
        r0 = r17;
        r0 = r0.name;
        r18 = r0;
        r0 = r17;
        r0 = r0.zzate;
        r17 = r0;
        r0 = r16;
        r1 = r18;
        r2 = r17;
        r0.put(r1, r2);
    L_0x0513:
        r5 = r5 + 1;
        goto L_0x04e4;
    L_0x0516:
        r0 = r17;
        r0 = r0.zzarc;
        r18 = r0;
        if (r18 == 0) goto L_0x0534;
    L_0x051e:
        r0 = r17;
        r0 = r0.name;
        r18 = r0;
        r0 = r17;
        r0 = r0.zzarc;
        r17 = r0;
        r0 = r16;
        r1 = r18;
        r2 = r17;
        r0.put(r1, r2);
        goto L_0x0513;
    L_0x0534:
        r0 = r17;
        r0 = r0.zzajf;
        r18 = r0;
        if (r18 == 0) goto L_0x0552;
    L_0x053c:
        r0 = r17;
        r0 = r0.name;
        r18 = r0;
        r0 = r17;
        r0 = r0.zzajf;
        r17 = r0;
        r0 = r16;
        r1 = r18;
        r2 = r17;
        r0.put(r1, r2);
        goto L_0x0513;
    L_0x0552:
        r5 = r36.zzge();
        r5 = r5.zzip();
        r6 = "Unknown value for param. event, param";
        r10 = r36.zzga();
        r0 = r20;
        r10 = r10.zzbj(r0);
        r16 = r36.zzga();
        r0 = r17;
        r0 = r0.name;
        r17 = r0;
        r16 = r16.zzbk(r17);
        r0 = r16;
        r5.zze(r6, r10, r0);
        r5 = 0;
        goto L_0x046b;
    L_0x057d:
        r0 = r4.zzarr;
        r17 = r0;
        r0 = r17;
        r0 = r0.length;
        r18 = r0;
        r5 = 0;
        r10 = r5;
    L_0x0588:
        r0 = r18;
        if (r10 >= r0) goto L_0x0771;
    L_0x058c:
        r32 = r17[r10];
        r5 = java.lang.Boolean.TRUE;
        r0 = r32;
        r6 = r0.zzarx;
        r33 = r5.equals(r6);
        r0 = r32;
        r0 = r0.zzary;
        r34 = r0;
        r5 = android.text.TextUtils.isEmpty(r34);
        if (r5 == 0) goto L_0x05bf;
    L_0x05a4:
        r5 = r36.zzge();
        r5 = r5.zzip();
        r6 = "Event has empty param name. event";
        r10 = r36.zzga();
        r0 = r20;
        r10 = r10.zzbj(r0);
        r5.zzg(r6, r10);
        r5 = 0;
        goto L_0x046b;
    L_0x05bf:
        r0 = r16;
        r1 = r34;
        r5 = r0.get(r1);
        r6 = r5 instanceof java.lang.Long;
        if (r6 == 0) goto L_0x0622;
    L_0x05cb:
        r0 = r32;
        r6 = r0.zzarw;
        if (r6 != 0) goto L_0x05fa;
    L_0x05d1:
        r5 = r36.zzge();
        r5 = r5.zzip();
        r6 = "No number filter for long param. event, param";
        r10 = r36.zzga();
        r0 = r20;
        r10 = r10.zzbj(r0);
        r16 = r36.zzga();
        r0 = r16;
        r1 = r34;
        r16 = r0.zzbk(r1);
        r0 = r16;
        r5.zze(r6, r10, r0);
        r5 = 0;
        goto L_0x046b;
    L_0x05fa:
        r5 = (java.lang.Long) r5;
        r34 = r5.longValue();
        r0 = r32;
        r5 = r0.zzarw;
        r0 = r36;
        r1 = r34;
        r5 = r0.zza(r1, r5);
        if (r5 != 0) goto L_0x0611;
    L_0x060e:
        r5 = 0;
        goto L_0x046b;
    L_0x0611:
        r5 = r5.booleanValue();
        if (r5 != 0) goto L_0x0620;
    L_0x0617:
        r5 = 1;
    L_0x0618:
        r5 = r5 ^ r33;
        if (r5 == 0) goto L_0x076c;
    L_0x061c:
        r5 = java.lang.Boolean.FALSE;
        goto L_0x046b;
    L_0x0620:
        r5 = 0;
        goto L_0x0618;
    L_0x0622:
        r6 = r5 instanceof java.lang.Double;
        if (r6 == 0) goto L_0x067d;
    L_0x0626:
        r0 = r32;
        r6 = r0.zzarw;
        if (r6 != 0) goto L_0x0655;
    L_0x062c:
        r5 = r36.zzge();
        r5 = r5.zzip();
        r6 = "No number filter for double param. event, param";
        r10 = r36.zzga();
        r0 = r20;
        r10 = r10.zzbj(r0);
        r16 = r36.zzga();
        r0 = r16;
        r1 = r34;
        r16 = r0.zzbk(r1);
        r0 = r16;
        r5.zze(r6, r10, r0);
        r5 = 0;
        goto L_0x046b;
    L_0x0655:
        r5 = (java.lang.Double) r5;
        r34 = r5.doubleValue();
        r0 = r32;
        r5 = r0.zzarw;
        r0 = r36;
        r1 = r34;
        r5 = r0.zza(r1, r5);
        if (r5 != 0) goto L_0x066c;
    L_0x0669:
        r5 = 0;
        goto L_0x046b;
    L_0x066c:
        r5 = r5.booleanValue();
        if (r5 != 0) goto L_0x067b;
    L_0x0672:
        r5 = 1;
    L_0x0673:
        r5 = r5 ^ r33;
        if (r5 == 0) goto L_0x076c;
    L_0x0677:
        r5 = java.lang.Boolean.FALSE;
        goto L_0x046b;
    L_0x067b:
        r5 = 0;
        goto L_0x0673;
    L_0x067d:
        r6 = r5 instanceof java.lang.String;
        if (r6 == 0) goto L_0x0717;
    L_0x0681:
        r0 = r32;
        r6 = r0.zzarv;
        if (r6 == 0) goto L_0x0698;
    L_0x0687:
        r5 = (java.lang.String) r5;
        r0 = r32;
        r6 = r0.zzarv;
        r0 = r36;
        r5 = r0.zza(r5, r6);
    L_0x0693:
        if (r5 != 0) goto L_0x0706;
    L_0x0695:
        r5 = 0;
        goto L_0x046b;
    L_0x0698:
        r0 = r32;
        r6 = r0.zzarw;
        if (r6 == 0) goto L_0x06dd;
    L_0x069e:
        r6 = r5;
        r6 = (java.lang.String) r6;
        r6 = com.google.android.gms.internal.measurement.zzka.zzck(r6);
        if (r6 == 0) goto L_0x06b4;
    L_0x06a7:
        r5 = (java.lang.String) r5;
        r0 = r32;
        r6 = r0.zzarw;
        r0 = r36;
        r5 = r0.zza(r5, r6);
        goto L_0x0693;
    L_0x06b4:
        r5 = r36.zzge();
        r5 = r5.zzip();
        r6 = "Invalid param value for number filter. event, param";
        r10 = r36.zzga();
        r0 = r20;
        r10 = r10.zzbj(r0);
        r16 = r36.zzga();
        r0 = r16;
        r1 = r34;
        r16 = r0.zzbk(r1);
        r0 = r16;
        r5.zze(r6, r10, r0);
        r5 = 0;
        goto L_0x046b;
    L_0x06dd:
        r5 = r36.zzge();
        r5 = r5.zzip();
        r6 = "No filter for String param. event, param";
        r10 = r36.zzga();
        r0 = r20;
        r10 = r10.zzbj(r0);
        r16 = r36.zzga();
        r0 = r16;
        r1 = r34;
        r16 = r0.zzbk(r1);
        r0 = r16;
        r5.zze(r6, r10, r0);
        r5 = 0;
        goto L_0x046b;
    L_0x0706:
        r5 = r5.booleanValue();
        if (r5 != 0) goto L_0x0715;
    L_0x070c:
        r5 = 1;
    L_0x070d:
        r5 = r5 ^ r33;
        if (r5 == 0) goto L_0x076c;
    L_0x0711:
        r5 = java.lang.Boolean.FALSE;
        goto L_0x046b;
    L_0x0715:
        r5 = 0;
        goto L_0x070d;
    L_0x0717:
        if (r5 != 0) goto L_0x0743;
    L_0x0719:
        r5 = r36.zzge();
        r5 = r5.zzit();
        r6 = "Missing param for filter. event, param";
        r10 = r36.zzga();
        r0 = r20;
        r10 = r10.zzbj(r0);
        r16 = r36.zzga();
        r0 = r16;
        r1 = r34;
        r16 = r0.zzbk(r1);
        r0 = r16;
        r5.zze(r6, r10, r0);
        r5 = java.lang.Boolean.FALSE;
        goto L_0x046b;
    L_0x0743:
        r5 = r36.zzge();
        r5 = r5.zzip();
        r6 = "Unknown param type. event, param";
        r10 = r36.zzga();
        r0 = r20;
        r10 = r10.zzbj(r0);
        r16 = r36.zzga();
        r0 = r16;
        r1 = r34;
        r16 = r0.zzbk(r1);
        r0 = r16;
        r5.zze(r6, r10, r0);
        r5 = 0;
        goto L_0x046b;
    L_0x076c:
        r5 = r10 + 1;
        r10 = r5;
        goto L_0x0588;
    L_0x0771:
        r5 = java.lang.Boolean.TRUE;
        goto L_0x046b;
    L_0x0775:
        r6 = r5;
        goto L_0x047b;
    L_0x0778:
        r6 = r4.zzarp;
        r6 = r6.intValue();
        r8.set(r6);
        r5 = r5.booleanValue();
        if (r5 == 0) goto L_0x03c0;
    L_0x0787:
        r4 = r4.zzarp;
        r4 = r4.intValue();
        r9.set(r4);
        goto L_0x03c0;
    L_0x0792:
        if (r39 == 0) goto L_0x0aa8;
    L_0x0794:
        r11 = new android.support.v4.f.a;
        r11.<init>();
        r0 = r39;
        r12 = r0.length;
        r4 = 0;
        r10 = r4;
    L_0x079e:
        if (r10 >= r12) goto L_0x0aa8;
    L_0x07a0:
        r13 = r39[r10];
        r4 = r13.name;
        r4 = r11.get(r4);
        r4 = (java.util.Map) r4;
        if (r4 != 0) goto L_0x0bc6;
    L_0x07ac:
        r4 = r36.zzix();
        r5 = r13.name;
        r0 = r37;
        r4 = r4.zzl(r0, r5);
        if (r4 != 0) goto L_0x07bf;
    L_0x07ba:
        r4 = new android.support.v4.f.a;
        r4.<init>();
    L_0x07bf:
        r5 = r13.name;
        r11.put(r5, r4);
        r7 = r4;
    L_0x07c5:
        r4 = r7.keySet();
        r14 = r4.iterator();
    L_0x07cd:
        r4 = r14.hasNext();
        if (r4 == 0) goto L_0x0aa3;
    L_0x07d3:
        r4 = r14.next();
        r4 = (java.lang.Integer) r4;
        r15 = r4.intValue();
        r4 = java.lang.Integer.valueOf(r15);
        r0 = r26;
        r4 = r0.contains(r4);
        if (r4 == 0) goto L_0x07fc;
    L_0x07e9:
        r4 = r36.zzge();
        r4 = r4.zzit();
        r5 = "Skipping failed audience ID";
        r6 = java.lang.Integer.valueOf(r15);
        r4.zzg(r5, r6);
        goto L_0x07cd;
    L_0x07fc:
        r4 = java.lang.Integer.valueOf(r15);
        r0 = r27;
        r4 = r0.get(r4);
        r4 = (com.google.android.gms.internal.measurement.zzkm) r4;
        r5 = java.lang.Integer.valueOf(r15);
        r0 = r28;
        r5 = r0.get(r5);
        r5 = (java.util.BitSet) r5;
        r6 = java.lang.Integer.valueOf(r15);
        r0 = r29;
        r6 = r0.get(r6);
        r6 = (java.util.BitSet) r6;
        if (r4 != 0) goto L_0x0850;
    L_0x0822:
        r4 = new com.google.android.gms.internal.measurement.zzkm;
        r4.<init>();
        r5 = java.lang.Integer.valueOf(r15);
        r0 = r27;
        r0.put(r5, r4);
        r5 = java.lang.Boolean.TRUE;
        r4.zzasy = r5;
        r5 = new java.util.BitSet;
        r5.<init>();
        r4 = java.lang.Integer.valueOf(r15);
        r0 = r28;
        r0.put(r4, r5);
        r6 = new java.util.BitSet;
        r6.<init>();
        r4 = java.lang.Integer.valueOf(r15);
        r0 = r29;
        r0.put(r4, r6);
    L_0x0850:
        r4 = java.lang.Integer.valueOf(r15);
        r4 = r7.get(r4);
        r4 = (java.util.List) r4;
        r16 = r4.iterator();
    L_0x085e:
        r4 = r16.hasNext();
        if (r4 == 0) goto L_0x07cd;
    L_0x0864:
        r4 = r16.next();
        r4 = (com.google.android.gms.internal.measurement.zzkh) r4;
        r8 = r36.zzge();
        r9 = 2;
        r8 = r8.isLoggable(r9);
        if (r8 == 0) goto L_0x08b7;
    L_0x0875:
        r8 = r36.zzge();
        r8 = r8.zzit();
        r9 = "Evaluating filter. audience, filter, property";
        r17 = java.lang.Integer.valueOf(r15);
        r0 = r4.zzarp;
        r18 = r0;
        r19 = r36.zzga();
        r0 = r4.zzasf;
        r20 = r0;
        r19 = r19.zzbl(r20);
        r0 = r17;
        r1 = r18;
        r2 = r19;
        r8.zzd(r9, r0, r1, r2);
        r8 = r36.zzge();
        r8 = r8.zzit();
        r9 = "Filter definition";
        r17 = r36.zzga();
        r0 = r17;
        r17 = r0.zza(r4);
        r0 = r17;
        r8.zzg(r9, r0);
    L_0x08b7:
        r8 = r4.zzarp;
        if (r8 == 0) goto L_0x08c5;
    L_0x08bb:
        r8 = r4.zzarp;
        r8 = r8.intValue();
        r9 = 256; // 0x100 float:3.59E-43 double:1.265E-321;
        if (r8 <= r9) goto L_0x08e8;
    L_0x08c5:
        r5 = r36.zzge();
        r5 = r5.zzip();
        r6 = "Invalid property filter ID. appId, id";
        r8 = com.google.android.gms.internal.measurement.zzfg.zzbm(r37);
        r4 = r4.zzarp;
        r4 = java.lang.String.valueOf(r4);
        r5.zze(r6, r8, r4);
        r4 = java.lang.Integer.valueOf(r15);
        r0 = r26;
        r0.add(r4);
        goto L_0x07cd;
    L_0x08e8:
        r8 = r4.zzarp;
        r8 = r8.intValue();
        r8 = r5.get(r8);
        if (r8 == 0) goto L_0x090c;
    L_0x08f4:
        r8 = r36.zzge();
        r8 = r8.zzit();
        r9 = "Property filter already evaluated true. audience ID, filter ID";
        r17 = java.lang.Integer.valueOf(r15);
        r4 = r4.zzarp;
        r0 = r17;
        r8.zze(r9, r0, r4);
        goto L_0x085e;
    L_0x090c:
        r8 = r4.zzasg;
        if (r8 != 0) goto L_0x0951;
    L_0x0910:
        r8 = r36.zzge();
        r8 = r8.zzip();
        r9 = "Missing property filter. property";
        r17 = r36.zzga();
        r0 = r13.name;
        r18 = r0;
        r17 = r17.zzbl(r18);
        r0 = r17;
        r8.zzg(r9, r0);
        r8 = 0;
    L_0x092d:
        r9 = r36.zzge();
        r17 = r9.zzit();
        r18 = "Property filter result";
        if (r8 != 0) goto L_0x0a86;
    L_0x093a:
        r9 = "null";
    L_0x093d:
        r0 = r17;
        r1 = r18;
        r0.zzg(r1, r9);
        if (r8 != 0) goto L_0x0a89;
    L_0x0946:
        r4 = java.lang.Integer.valueOf(r15);
        r0 = r26;
        r0.add(r4);
        goto L_0x085e;
    L_0x0951:
        r9 = java.lang.Boolean.TRUE;
        r0 = r8.zzarx;
        r17 = r0;
        r0 = r17;
        r9 = r9.equals(r0);
        r0 = r13.zzate;
        r17 = r0;
        if (r17 == 0) goto L_0x099e;
    L_0x0963:
        r0 = r8.zzarw;
        r17 = r0;
        if (r17 != 0) goto L_0x0987;
    L_0x0969:
        r8 = r36.zzge();
        r8 = r8.zzip();
        r9 = "No number filter for long property. property";
        r17 = r36.zzga();
        r0 = r13.name;
        r18 = r0;
        r17 = r17.zzbl(r18);
        r0 = r17;
        r8.zzg(r9, r0);
        r8 = 0;
        goto L_0x092d;
    L_0x0987:
        r0 = r13.zzate;
        r17 = r0;
        r18 = r17.longValue();
        r8 = r8.zzarw;
        r0 = r36;
        r1 = r18;
        r8 = r0.zza(r1, r8);
        r8 = zza(r8, r9);
        goto L_0x092d;
    L_0x099e:
        r0 = r13.zzarc;
        r17 = r0;
        if (r17 == 0) goto L_0x09e1;
    L_0x09a4:
        r0 = r8.zzarw;
        r17 = r0;
        if (r17 != 0) goto L_0x09c9;
    L_0x09aa:
        r8 = r36.zzge();
        r8 = r8.zzip();
        r9 = "No number filter for double property. property";
        r17 = r36.zzga();
        r0 = r13.name;
        r18 = r0;
        r17 = r17.zzbl(r18);
        r0 = r17;
        r8.zzg(r9, r0);
        r8 = 0;
        goto L_0x092d;
    L_0x09c9:
        r0 = r13.zzarc;
        r17 = r0;
        r18 = r17.doubleValue();
        r8 = r8.zzarw;
        r0 = r36;
        r1 = r18;
        r8 = r0.zza(r1, r8);
        r8 = zza(r8, r9);
        goto L_0x092d;
    L_0x09e1:
        r0 = r13.zzajf;
        r17 = r0;
        if (r17 == 0) goto L_0x0a67;
    L_0x09e7:
        r0 = r8.zzarv;
        r17 = r0;
        if (r17 != 0) goto L_0x0a53;
    L_0x09ed:
        r0 = r8.zzarw;
        r17 = r0;
        if (r17 != 0) goto L_0x0a12;
    L_0x09f3:
        r8 = r36.zzge();
        r8 = r8.zzip();
        r9 = "No string or number filter defined. property";
        r17 = r36.zzga();
        r0 = r13.name;
        r18 = r0;
        r17 = r17.zzbl(r18);
        r0 = r17;
        r8.zzg(r9, r0);
    L_0x0a0f:
        r8 = 0;
        goto L_0x092d;
    L_0x0a12:
        r0 = r13.zzajf;
        r17 = r0;
        r17 = com.google.android.gms.internal.measurement.zzka.zzck(r17);
        if (r17 == 0) goto L_0x0a30;
    L_0x0a1c:
        r0 = r13.zzajf;
        r17 = r0;
        r8 = r8.zzarw;
        r0 = r36;
        r1 = r17;
        r8 = r0.zza(r1, r8);
        r8 = zza(r8, r9);
        goto L_0x092d;
    L_0x0a30:
        r8 = r36.zzge();
        r8 = r8.zzip();
        r9 = "Invalid user property value for Numeric number filter. property, value";
        r17 = r36.zzga();
        r0 = r13.name;
        r18 = r0;
        r17 = r17.zzbl(r18);
        r0 = r13.zzajf;
        r18 = r0;
        r0 = r17;
        r1 = r18;
        r8.zze(r9, r0, r1);
        goto L_0x0a0f;
    L_0x0a53:
        r0 = r13.zzajf;
        r17 = r0;
        r8 = r8.zzarv;
        r0 = r36;
        r1 = r17;
        r8 = r0.zza(r1, r8);
        r8 = zza(r8, r9);
        goto L_0x092d;
    L_0x0a67:
        r8 = r36.zzge();
        r8 = r8.zzip();
        r9 = "User property has no value, property";
        r17 = r36.zzga();
        r0 = r13.name;
        r18 = r0;
        r17 = r17.zzbl(r18);
        r0 = r17;
        r8.zzg(r9, r0);
        r8 = 0;
        goto L_0x092d;
    L_0x0a86:
        r9 = r8;
        goto L_0x093d;
    L_0x0a89:
        r9 = r4.zzarp;
        r9 = r9.intValue();
        r6.set(r9);
        r8 = r8.booleanValue();
        if (r8 == 0) goto L_0x085e;
    L_0x0a98:
        r4 = r4.zzarp;
        r4 = r4.intValue();
        r5.set(r4);
        goto L_0x085e;
    L_0x0aa3:
        r4 = r10 + 1;
        r10 = r4;
        goto L_0x079e;
    L_0x0aa8:
        r4 = r28.size();
        r8 = new com.google.android.gms.internal.measurement.zzkm[r4];
        r4 = 0;
        r5 = r28.keySet();
        r9 = r5.iterator();
        r5 = r4;
    L_0x0ab8:
        r4 = r9.hasNext();
        if (r4 == 0) goto L_0x0bb6;
    L_0x0abe:
        r4 = r9.next();
        r4 = (java.lang.Integer) r4;
        r10 = r4.intValue();
        r4 = java.lang.Integer.valueOf(r10);
        r0 = r26;
        r4 = r0.contains(r4);
        if (r4 != 0) goto L_0x0ab8;
    L_0x0ad4:
        r4 = java.lang.Integer.valueOf(r10);
        r0 = r27;
        r4 = r0.get(r4);
        r4 = (com.google.android.gms.internal.measurement.zzkm) r4;
        if (r4 != 0) goto L_0x0bc3;
    L_0x0ae2:
        r4 = new com.google.android.gms.internal.measurement.zzkm;
        r4.<init>();
        r7 = r4;
    L_0x0ae8:
        r6 = r5 + 1;
        r8[r5] = r7;
        r4 = java.lang.Integer.valueOf(r10);
        r7.zzarl = r4;
        r4 = new com.google.android.gms.internal.measurement.zzkr;
        r4.<init>();
        r7.zzasw = r4;
        r5 = r7.zzasw;
        r4 = java.lang.Integer.valueOf(r10);
        r0 = r28;
        r4 = r0.get(r4);
        r4 = (java.util.BitSet) r4;
        r4 = com.google.android.gms.internal.measurement.zzka.zza(r4);
        r5.zzaul = r4;
        r5 = r7.zzasw;
        r4 = java.lang.Integer.valueOf(r10);
        r0 = r29;
        r4 = r0.get(r4);
        r4 = (java.util.BitSet) r4;
        r4 = com.google.android.gms.internal.measurement.zzka.zza(r4);
        r5.zzauk = r4;
        r5 = r36.zzix();
        r4 = r7.zzasw;
        r5.zzch();
        r5.zzab();
        com.google.android.gms.common.internal.Preconditions.checkNotEmpty(r37);
        com.google.android.gms.common.internal.Preconditions.checkNotNull(r4);
        r7 = r4.zzvm();	 Catch:{ IOException -> 0x0b8a }
        r7 = new byte[r7];	 Catch:{ IOException -> 0x0b8a }
        r11 = 0;
        r12 = r7.length;	 Catch:{ IOException -> 0x0b8a }
        r11 = com.google.android.gms.internal.measurement.zzabw.zzb(r7, r11, r12);	 Catch:{ IOException -> 0x0b8a }
        r4.zza(r11);	 Catch:{ IOException -> 0x0b8a }
        r11.zzve();	 Catch:{ IOException -> 0x0b8a }
        r4 = new android.content.ContentValues;
        r4.<init>();
        r11 = "app_id";
        r0 = r37;
        r4.put(r11, r0);
        r11 = "audience_id";
        r10 = java.lang.Integer.valueOf(r10);
        r4.put(r11, r10);
        r10 = "current_results";
        r4.put(r10, r7);
        r7 = r5.getWritableDatabase();	 Catch:{ SQLiteException -> 0x0ba0 }
        r10 = "audience_filter_values";
        r11 = 0;
        r12 = 5;
        r10 = r7.insertWithOnConflict(r10, r11, r4, r12);	 Catch:{ SQLiteException -> 0x0ba0 }
        r12 = -1;
        r4 = (r10 > r12 ? 1 : (r10 == r12 ? 0 : -1));
        if (r4 != 0) goto L_0x0b87;
    L_0x0b75:
        r4 = r5.zzge();	 Catch:{ SQLiteException -> 0x0ba0 }
        r4 = r4.zzim();	 Catch:{ SQLiteException -> 0x0ba0 }
        r7 = "Failed to insert filter results (got -1). appId";
        r10 = com.google.android.gms.internal.measurement.zzfg.zzbm(r37);	 Catch:{ SQLiteException -> 0x0ba0 }
        r4.zzg(r7, r10);	 Catch:{ SQLiteException -> 0x0ba0 }
    L_0x0b87:
        r5 = r6;
        goto L_0x0ab8;
    L_0x0b8a:
        r4 = move-exception;
        r5 = r5.zzge();
        r5 = r5.zzim();
        r7 = "Configuration loss. Failed to serialize filter results. appId";
        r10 = com.google.android.gms.internal.measurement.zzfg.zzbm(r37);
        r5.zze(r7, r10, r4);
        r5 = r6;
        goto L_0x0ab8;
    L_0x0ba0:
        r4 = move-exception;
        r5 = r5.zzge();
        r5 = r5.zzim();
        r7 = "Error storing filter results. appId";
        r10 = com.google.android.gms.internal.measurement.zzfg.zzbm(r37);
        r5.zze(r7, r10, r4);
        r5 = r6;
        goto L_0x0ab8;
    L_0x0bb6:
        r4 = java.util.Arrays.copyOf(r8, r5);
        r4 = (com.google.android.gms.internal.measurement.zzkm[]) r4;
        r5 = 68584; // 0x10be8 float:9.6107E-41 double:3.3885E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
        return r4;
    L_0x0bc3:
        r7 = r4;
        goto L_0x0ae8;
    L_0x0bc6:
        r7 = r4;
        goto L_0x07c5;
    L_0x0bc9:
        r19 = r12;
        r20 = r11;
        r22 = r8;
        r21 = r5;
        r24 = r10;
        goto L_0x0236;
    L_0x0bd5:
        r13 = r5;
        goto L_0x01a4;
    L_0x0bd8:
        r8 = r6;
        r9 = r5;
        goto L_0x03b2;
    L_0x0bdc:
        r8 = r22;
        r5 = r21;
        r10 = r24;
        goto L_0x0151;
    L_0x0be4:
        r7 = r4;
        goto L_0x02ab;
    L_0x0be7:
        r4 = r5;
        goto L_0x01fa;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.gms.internal.measurement.zzeb.zza(java.lang.String, com.google.android.gms.internal.measurement.zzkn[], com.google.android.gms.internal.measurement.zzks[]):com.google.android.gms.internal.measurement.zzkm[]");
    }

    /* Access modifiers changed, original: protected|final */
    public final boolean zzhf() {
        return false;
    }
}
