package com.tencent.mm.compatible.loader;

import android.content.res.Resources;
import android.content.res.XmlResourceParser;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.Drawable.ConstantState;
import android.util.TypedValue;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.sdk.platformtools.ab;
import java.io.InputStream;
import java.lang.ref.WeakReference;
import java.lang.reflect.Method;
import java.util.HashMap;
import java.util.Map.Entry;
import java.util.zip.ZipFile;

public class PluginResourceLoader extends Resources {
    public Resources euo;
    private Method eup;
    private Method euq;
    private HashMap<String, ZipFile> eur;
    private final b<WeakReference<ConstantState>> eus;

    private XmlResourceParser b(String str, int i, int i2, String str2) {
        AppMethodBeat.i(93028);
        try {
            XmlResourceParser xmlResourceParser = (XmlResourceParser) this.euq.invoke(this.euo, new Object[]{str, Integer.valueOf(i), Integer.valueOf(i2), str2});
            AppMethodBeat.o(93028);
            return xmlResourceParser;
        } catch (Exception e) {
            ab.printErrStackTrace("MicroMsg.PluginResourceLoader", e, "", new Object[0]);
            AppMethodBeat.o(93028);
            return null;
        }
    }

    /* Access modifiers changed, original: 0000 */
    public Drawable loadDrawable(TypedValue typedValue, int i) {
        AppMethodBeat.i(93029);
        Drawable a = a(typedValue, i);
        AppMethodBeat.o(93029);
        return a;
    }

    /* Access modifiers changed, original: 0000 */
    public Drawable loadDrawable(TypedValue typedValue, int i, boolean z) {
        AppMethodBeat.i(93030);
        Drawable a = a(typedValue, i);
        AppMethodBeat.o(93030);
        return a;
    }

    public InputStream openRawResource(int i, TypedValue typedValue) {
        InputStream openRawResource;
        InputStream inputStream = null;
        AppMethodBeat.i(93031);
        getValue(i, typedValue, true);
        try {
            openRawResource = super.openRawResource(i, typedValue);
        } catch (Exception e) {
            openRawResource = null;
        }
        if (openRawResource == null) {
            for (Entry value : this.eur.entrySet()) {
                inputStream = b((ZipFile) value.getValue(), typedValue);
                if (inputStream != null) {
                    break;
                }
            }
        }
        inputStream = openRawResource;
        AppMethodBeat.o(93031);
        return inputStream;
    }

    private Drawable a(TypedValue typedValue, int i) {
        XmlResourceParser b;
        AppMethodBeat.i(93032);
        Drawable drawable;
        try {
            drawable = (Drawable) this.eup.invoke(this.euo, new Object[]{typedValue, Integer.valueOf(i)});
            AppMethodBeat.o(93032);
            return drawable;
        } catch (Exception e) {
            try {
                if (typedValue.string != null && typedValue.string.toString().endsWith(".xml")) {
                    b = b(typedValue.string.toString(), i, typedValue.assetCookie, "drawable");
                    drawable = Drawable.createFromXml(this, b);
                    b.close();
                    AppMethodBeat.o(93032);
                    return drawable;
                }
            } catch (Exception e2) {
            }
            for (Entry value : this.eur.entrySet()) {
                drawable = a((ZipFile) value.getValue(), typedValue);
                if (drawable != null) {
                    AppMethodBeat.o(93032);
                    return drawable;
                }
            }
            ab.d("MicroMsg.PluginResourceLoader", "loadFromZipFile null");
            AppMethodBeat.o(93032);
            return null;
        } catch (StackOverflowError e3) {
            ab.e("MicroMsg.PluginResourceLoader", "load drawable StackOverflowError");
            b = b(typedValue.string.toString(), i, typedValue.assetCookie, "drawable");
            drawable = Drawable.createFromXml(this, b);
            b.close();
            AppMethodBeat.o(93032);
            return drawable;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:38:0x00b1  */
    /* JADX WARNING: Removed duplicated region for block: B:22:0x0072  */
    /* JADX WARNING: Removed duplicated region for block: B:14:0x0041  */
    private android.graphics.drawable.Drawable a(java.util.zip.ZipFile r12, android.util.TypedValue r13) {
        /*
        r11 = this;
        r7 = 1;
        r1 = 0;
        r10 = 93033; // 0x16b69 float:1.30367E-40 double:4.59644E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r10);
        r0 = r13.string;
        if (r0 != 0) goto L_0x0010;
    L_0x000c:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
    L_0x000f:
        return r1;
    L_0x0010:
        r0 = r13.assetCookie;
        r2 = (long) r0;
        r0 = 32;
        r2 = r2 << r0;
        r0 = r13.data;
        r4 = (long) r0;
        r4 = r4 | r2;
        r0 = r11.eus;
        r2 = r0.Lk;
        r3 = r0.mSize;
        r2 = com.tencent.mm.compatible.loader.b.b(r2, r3, r4);
        if (r2 < 0) goto L_0x002e;
    L_0x0026:
        r3 = r0.Ll;
        r3 = r3[r2];
        r6 = com.tencent.mm.compatible.loader.b.Li;
        if (r3 != r6) goto L_0x004f;
    L_0x002e:
        r0 = r1;
    L_0x002f:
        r0 = (java.lang.ref.WeakReference) r0;
        if (r0 == 0) goto L_0x0070;
    L_0x0033:
        r0 = r0.get();
        r0 = (android.graphics.drawable.Drawable.ConstantState) r0;
        if (r0 == 0) goto L_0x0054;
    L_0x003b:
        r0 = r0.newDrawable(r11);
    L_0x003f:
        if (r0 == 0) goto L_0x0072;
    L_0x0041:
        r1 = "MicroMsg.PluginResourceLoader";
        r2 = "get form cache";
        com.tencent.mm.sdk.platformtools.ab.v(r1, r2);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        r1 = r0;
        goto L_0x000f;
    L_0x004f:
        r0 = r0.Ll;
        r0 = r0[r2];
        goto L_0x002f;
    L_0x0054:
        r0 = r11.eus;
        r2 = r0.Lk;
        r3 = r0.mSize;
        r2 = com.tencent.mm.compatible.loader.b.b(r2, r3, r4);
        if (r2 < 0) goto L_0x0070;
    L_0x0060:
        r3 = r0.Ll;
        r3 = r3[r2];
        r6 = com.tencent.mm.compatible.loader.b.Li;
        if (r3 == r6) goto L_0x0070;
    L_0x0068:
        r3 = r0.Ll;
        r6 = com.tencent.mm.compatible.loader.b.Li;
        r3[r2] = r6;
        r0.Lj = r7;
    L_0x0070:
        r0 = r1;
        goto L_0x003f;
    L_0x0072:
        r2 = r13.string;
        r2 = r2.toString();
        r3 = "MicroMsg.PluginResourceLoader";
        r6 = "try load drawable from zip, entry=%s, file=%s";
        r7 = 2;
        r7 = new java.lang.Object[r7];	 Catch:{ Exception -> 0x00da }
        r8 = 0;
        r7[r8] = r2;	 Catch:{ Exception -> 0x00da }
        r8 = 1;
        r9 = r12.getName();	 Catch:{ Exception -> 0x00da }
        r7[r8] = r9;	 Catch:{ Exception -> 0x00da }
        com.tencent.mm.sdk.platformtools.ab.v(r3, r6, r7);	 Catch:{ Exception -> 0x00da }
        r3 = r12.getEntry(r2);	 Catch:{ Exception -> 0x00da }
        r1 = r12.getInputStream(r3);	 Catch:{ Exception -> 0x00c4, all -> 0x00cd }
        r0 = android.graphics.drawable.Drawable.createFromResourceStream(r11, r13, r1, r2);	 Catch:{ Exception -> 0x00c4, all -> 0x00cd }
        if (r1 == 0) goto L_0x009f;
    L_0x009c:
        r1.close();	 Catch:{ Exception -> 0x00fa }
    L_0x009f:
        if (r0 != 0) goto L_0x00f8;
    L_0x00a1:
        r1 = r12.getInputStream(r3);	 Catch:{ Exception -> 0x00e0, all -> 0x00eb }
        r0 = android.graphics.drawable.Drawable.createFromStream(r1, r2);	 Catch:{ Exception -> 0x00e0, all -> 0x00eb }
        if (r1 == 0) goto L_0x00f8;
    L_0x00ab:
        r1.close();	 Catch:{ Exception -> 0x00dd }
        r1 = r0;
    L_0x00af:
        if (r1 == 0) goto L_0x00bf;
    L_0x00b1:
        r0 = r11.eus;
        r2 = new java.lang.ref.WeakReference;
        r3 = r1.getConstantState();
        r2.<init>(r3);
        r0.put(r4, r2);
    L_0x00bf:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        goto L_0x000f;
    L_0x00c4:
        r6 = move-exception;
        if (r1 == 0) goto L_0x009f;
    L_0x00c7:
        r1.close();	 Catch:{ Exception -> 0x00cb }
        goto L_0x009f;
    L_0x00cb:
        r6 = move-exception;
        goto L_0x009f;
    L_0x00cd:
        r2 = move-exception;
        if (r1 == 0) goto L_0x00d3;
    L_0x00d0:
        r1.close();	 Catch:{ Exception -> 0x00fc }
    L_0x00d3:
        r1 = 93033; // 0x16b69 float:1.30367E-40 double:4.59644E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);	 Catch:{ Exception -> 0x00da }
        throw r2;	 Catch:{ Exception -> 0x00da }
    L_0x00da:
        r1 = move-exception;
        r1 = r0;
        goto L_0x00af;
    L_0x00dd:
        r1 = move-exception;
        r1 = r0;
        goto L_0x00af;
    L_0x00e0:
        r2 = move-exception;
        if (r1 == 0) goto L_0x00f8;
    L_0x00e3:
        r1.close();	 Catch:{ Exception -> 0x00e8 }
        r1 = r0;
        goto L_0x00af;
    L_0x00e8:
        r1 = move-exception;
        r1 = r0;
        goto L_0x00af;
    L_0x00eb:
        r2 = move-exception;
        if (r1 == 0) goto L_0x00f1;
    L_0x00ee:
        r1.close();	 Catch:{ Exception -> 0x00fe }
    L_0x00f1:
        r1 = 93033; // 0x16b69 float:1.30367E-40 double:4.59644E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);	 Catch:{ Exception -> 0x00da }
        throw r2;	 Catch:{ Exception -> 0x00da }
    L_0x00f8:
        r1 = r0;
        goto L_0x00af;
    L_0x00fa:
        r6 = move-exception;
        goto L_0x009f;
    L_0x00fc:
        r1 = move-exception;
        goto L_0x00d3;
    L_0x00fe:
        r1 = move-exception;
        goto L_0x00f1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.compatible.loader.PluginResourceLoader.a(java.util.zip.ZipFile, android.util.TypedValue):android.graphics.drawable.Drawable");
    }

    private static InputStream b(ZipFile zipFile, TypedValue typedValue) {
        InputStream inputStream = null;
        AppMethodBeat.i(93034);
        if (typedValue.string == null) {
            AppMethodBeat.o(93034);
        } else {
            try {
                ab.d("MicroMsg.PluginResourceLoader", "try load stream from zip, entry=%s, file=%s", new Object[]{typedValue.string.toString(), zipFile.getName()});
                inputStream = zipFile.getInputStream(zipFile.getEntry(r1));
                AppMethodBeat.o(93034);
            } catch (Exception e) {
                AppMethodBeat.o(93034);
            }
        }
        return inputStream;
    }
}
