package com.tencent.mm.opensdk.openapi;

import android.content.ContentResolver;
import android.content.Context;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.content.SharedPreferences.OnSharedPreferenceChangeListener;
import android.database.Cursor;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.opensdk.utils.Log;
import com.tencent.mm.opensdk.utils.c.a;
import com.tencent.mm.opensdk.utils.c.b;
import com.tencent.ttpic.util.VideoMaterialUtil;
import java.util.HashMap;
import java.util.Map;
import java.util.Set;

class MMSharedPreferences implements SharedPreferences {
    private static final String TAG = "MicroMsg.SDK.SharedPreferences";
    private final String[] columns = new String[]{"_id", "key", VideoMaterialUtil.CRAZYFACE_LAYER_TYPE, "value"};
    private final ContentResolver cr;
    private REditor editor = null;
    private final HashMap<String, Object> values = new HashMap();

    public MMSharedPreferences(Context context) {
        AppMethodBeat.i(128080);
        this.cr = context.getContentResolver();
        AppMethodBeat.o(128080);
    }

    private Object getValue(String str) {
        AppMethodBeat.i(128081);
        try {
            Cursor query = this.cr.query(b.CONTENT_URI, this.columns, "key = ?", new String[]{str}, null);
            if (query == null) {
                AppMethodBeat.o(128081);
                return null;
            }
            Object a = query.moveToFirst() ? a.a(query.getInt(query.getColumnIndex(VideoMaterialUtil.CRAZYFACE_LAYER_TYPE)), query.getString(query.getColumnIndex("value"))) : null;
            query.close();
            AppMethodBeat.o(128081);
            return a;
        } catch (Exception e) {
            Log.e(TAG, "getValue exception:" + e.getMessage());
            AppMethodBeat.o(128081);
            return null;
        }
    }

    public boolean contains(String str) {
        AppMethodBeat.i(128088);
        if (getValue(str) != null) {
            AppMethodBeat.o(128088);
            return true;
        }
        AppMethodBeat.o(128088);
        return false;
    }

    public Editor edit() {
        AppMethodBeat.i(128089);
        if (this.editor == null) {
            this.editor = new REditor(this.cr);
        }
        REditor rEditor = this.editor;
        AppMethodBeat.o(128089);
        return rEditor;
    }

    public Map<String, ?> getAll() {
        AppMethodBeat.i(128082);
        HashMap hashMap;
        try {
            Cursor query = this.cr.query(b.CONTENT_URI, this.columns, null, null, null);
            if (query == null) {
                AppMethodBeat.o(128082);
                return null;
            }
            int columnIndex = query.getColumnIndex("key");
            int columnIndex2 = query.getColumnIndex(VideoMaterialUtil.CRAZYFACE_LAYER_TYPE);
            int columnIndex3 = query.getColumnIndex("value");
            while (query.moveToNext()) {
                this.values.put(query.getString(columnIndex), a.a(query.getInt(columnIndex2), query.getString(columnIndex3)));
            }
            query.close();
            hashMap = this.values;
            AppMethodBeat.o(128082);
            return hashMap;
        } catch (Exception e) {
            Log.e(TAG, "getAll exception:" + e.getMessage());
            hashMap = this.values;
            AppMethodBeat.o(128082);
            return hashMap;
        }
    }

    public boolean getBoolean(String str, boolean z) {
        AppMethodBeat.i(128087);
        Object value = getValue(str);
        if (value == null || !(value instanceof Boolean)) {
            AppMethodBeat.o(128087);
            return z;
        }
        z = ((Boolean) value).booleanValue();
        AppMethodBeat.o(128087);
        return z;
    }

    public float getFloat(String str, float f) {
        AppMethodBeat.i(128086);
        Object value = getValue(str);
        if (value == null || !(value instanceof Float)) {
            AppMethodBeat.o(128086);
            return f;
        }
        f = ((Float) value).floatValue();
        AppMethodBeat.o(128086);
        return f;
    }

    public int getInt(String str, int i) {
        AppMethodBeat.i(128084);
        Object value = getValue(str);
        if (value == null || !(value instanceof Integer)) {
            AppMethodBeat.o(128084);
            return i;
        }
        i = ((Integer) value).intValue();
        AppMethodBeat.o(128084);
        return i;
    }

    public long getLong(String str, long j) {
        AppMethodBeat.i(128085);
        Object value = getValue(str);
        if (value == null || !(value instanceof Long)) {
            AppMethodBeat.o(128085);
            return j;
        }
        j = ((Long) value).longValue();
        AppMethodBeat.o(128085);
        return j;
    }

    public String getString(String str, String str2) {
        AppMethodBeat.i(128083);
        Object value = getValue(str);
        if (value == null || !(value instanceof String)) {
            AppMethodBeat.o(128083);
            return str2;
        }
        String str3 = (String) value;
        AppMethodBeat.o(128083);
        return str3;
    }

    public Set<String> getStringSet(String str, Set<String> set) {
        return null;
    }

    public void registerOnSharedPreferenceChangeListener(OnSharedPreferenceChangeListener onSharedPreferenceChangeListener) {
    }

    public void unregisterOnSharedPreferenceChangeListener(OnSharedPreferenceChangeListener onSharedPreferenceChangeListener) {
    }
}
