package com.tencent.mm.plugin.appbrand.jsapi.bluetooth;

import android.annotation.TargetApi;
import android.os.ParcelUuid;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.appbrand.jsapi.a;
import com.tencent.mm.plugin.appbrand.jsapi.bluetooth.sdk.d.b;
import com.tencent.mm.plugin.appbrand.jsapi.bluetooth.sdk.scan.ScanFilterCompat;
import com.tencent.mm.plugin.appbrand.jsapi.c;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.tmassistantsdk.downloadservice.Downloads;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import org.json.JSONArray;
import org.json.JSONObject;

@TargetApi(18)
public final class o extends a {
    private static final int CTRL_INDEX = 176;
    private static final String NAME = "startBluetoothDevicesDiscovery";

    public final void a(c cVar, JSONObject jSONObject, int i) {
        AppMethodBeat.i(94212);
        c.kT(11);
        HashMap hashMap;
        if (jSONObject == null) {
            ab.e("MicroMsg.JsApiStartBluetoothDevicesDiscovery", "startBluetoothDevicesDiscovery data is null");
            hashMap = new HashMap();
            hashMap.put("errCode", Integer.valueOf(10013));
            cVar.M(i, j("fail:invalid data", hashMap));
            c.cZ(13, 14);
            AppMethodBeat.o(94212);
            return;
        }
        ab.i("MicroMsg.JsApiStartBluetoothDevicesDiscovery", "appId:%s startBluetoothDevicesDiscovery data:%s", new Object[]{cVar.getAppId(), jSONObject});
        b AT = a.AT(cVar.getAppId());
        if (AT == null) {
            ab.e("MicroMsg.JsApiStartBluetoothDevicesDiscovery", "bleWorker is null, may not open ble");
            hashMap = new HashMap();
            hashMap.put("errCode", Integer.valueOf(Downloads.MIN_WAIT_FOR_NETWORK));
            cVar.M(i, j("fail:not init", hashMap));
            c.cZ(13, 16);
            AppMethodBeat.o(94212);
        } else if (!b.aCZ()) {
            ab.e("MicroMsg.JsApiStartBluetoothDevicesDiscovery", "adapter is null or not enabled!");
            hashMap = new HashMap();
            hashMap.put("errCode", Integer.valueOf(10001));
            cVar.M(i, j("fail:not available", hashMap));
            c.cZ(13, 18);
            AppMethodBeat.o(94212);
        } else if (b.aCZ()) {
            boolean optBoolean = jSONObject.optBoolean("allowDuplicatesKey");
            int optInt = jSONObject.optInt("interval");
            String optString = jSONObject.optString("", "middle");
            List list = null;
            if (jSONObject.has("services")) {
                list = new ArrayList();
                try {
                    JSONArray jSONArray = new JSONArray(jSONObject.optString("services"));
                    for (int i2 = 0; i2 < jSONArray.length(); i2++) {
                        list.add(new ScanFilterCompat.a().a(ParcelUuid.fromString(jSONArray.getString(i2).toUpperCase())).aCV());
                    }
                } catch (Exception e) {
                    ab.e("MicroMsg.JsApiStartBluetoothDevicesDiscovery", "get uuid error!");
                    hashMap = new HashMap();
                    hashMap.put("isDiscovering", Boolean.FALSE);
                    hashMap.put("errCode", Integer.valueOf(10004));
                    cVar.M(i, j("fail:no service", hashMap));
                    c.kT(13);
                    AppMethodBeat.o(94212);
                    return;
                }
            }
            com.tencent.mm.plugin.appbrand.jsapi.bluetooth.sdk.a.a aVar = new com.tencent.mm.plugin.appbrand.jsapi.bluetooth.sdk.a.a();
            aVar.eCL = optInt;
            aVar.hDL = optBoolean;
            aVar.hDU = optString;
            com.tencent.mm.plugin.appbrand.jsapi.bluetooth.sdk.a aCP = aVar.aCP();
            if (AT.hDu != null) {
                com.tencent.mm.plugin.appbrand.jsapi.bluetooth.sdk.d.a.i("MicroMsg.Ble.BleManager", "initBleConfig:%s", new Object[]{aCP});
                com.tencent.mm.plugin.appbrand.jsapi.bluetooth.sdk.a.a(aCP);
            }
            1 1 = new 1(this, cVar, i);
            2 2 = new 2(this, cVar);
            if (AT.hDu != null) {
                com.tencent.mm.plugin.appbrand.jsapi.bluetooth.sdk.b bVar = AT.hDu;
                if (bVar.hDZ != null) {
                    bVar.hDZ.a(1, list, 2);
                }
            }
            m$c.a(cVar, true, true);
            AppMethodBeat.o(94212);
        } else {
            ab.e("MicroMsg.JsApiStartBluetoothDevicesDiscovery", "adapter is null or not enabled!");
            hashMap = new HashMap();
            hashMap.put("errCode", Integer.valueOf(10001));
            cVar.M(i, j("fail:not available", hashMap));
            c.cZ(13, 18);
            AppMethodBeat.o(94212);
        }
    }
}
