package com.tencent.mm.plugin.appbrand.jsapi.coverview;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Paint.Style;
import android.graphics.Path;
import android.graphics.Path.Direction;
import android.graphics.RectF;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewGroup.LayoutParams;
import android.widget.FrameLayout;
import android.widget.ScrollView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.appbrand.jsapi.s.f;

public class WxaScrollView extends FrameLayout implements n, o, f {
    private int eHE;
    private float hIW;
    private int hIX;
    private Paint hIY = new Paint();
    private FrameLayout hJg;
    private ScrollView hJh;
    private m hJi;
    private boolean hJj = true;
    private boolean hJk = true;
    private float nJ;

    public WxaScrollView(Context context) {
        super(context);
        AppMethodBeat.i(126323);
        init();
        AppMethodBeat.o(126323);
    }

    public WxaScrollView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        AppMethodBeat.i(126324);
        init();
        AppMethodBeat.o(126324);
    }

    public WxaScrollView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        AppMethodBeat.i(126325);
        init();
        AppMethodBeat.o(126325);
    }

    private void init() {
        AppMethodBeat.i(126326);
        this.hJh = new 1(this, getContext());
        this.hJg = new FrameLayout(getContext());
        super.addView(this.hJh, 0, new LayoutParams(-1, -1));
        this.hJh.addView(this.hJg, 0, new LayoutParams(-1, -2));
        this.hIY.setStyle(Style.STROKE);
        this.hIY.setAntiAlias(true);
        setWillNotDraw(false);
        AppMethodBeat.o(126326);
    }

    public void draw(Canvas canvas) {
        Object obj;
        float f = 0.0f;
        AppMethodBeat.i(126327);
        Object obj2 = this.hIW > 0.0f ? 1 : null;
        if (obj2 != null) {
            canvas.save();
            Path path = new Path();
            path.addRoundRect(new RectF(0.0f, 0.0f, (float) getWidth(), (float) getHeight()), this.hIW, this.hIW, Direction.CW);
            canvas.clipPath(path);
        }
        if (this.eHE != 0) {
            canvas.drawColor(this.eHE);
        }
        if (this.nJ > 0.0f) {
            float f2 = this.nJ / 2.0f;
            canvas.drawRoundRect(new RectF(f2, f2, ((float) getWidth()) - f2, ((float) getHeight()) - f2), this.hIW, this.hIW, this.hIY);
            if (obj2 != null) {
                canvas.restore();
            }
            canvas.save();
            Path path2 = new Path();
            if (this.hIW > 0.0f && this.hIW - this.nJ > 0.0f) {
                f = this.hIW - this.nJ;
            }
            path2.addRoundRect(new RectF(this.nJ, this.nJ, ((float) getWidth()) - this.nJ, ((float) getHeight()) - this.nJ), f, f, Direction.CW);
            canvas.clipPath(path2);
            obj = 1;
        } else {
            obj = obj2;
        }
        int save = canvas.save();
        super.draw(canvas);
        canvas.restoreToCount(save);
        if (obj != null) {
            canvas.restore();
        }
        AppMethodBeat.o(126327);
    }

    public ViewGroup getTargetView() {
        return this.hJg;
    }

    public int getTargetViewChildCount() {
        AppMethodBeat.i(126328);
        int childCount = this.hJg.getChildCount();
        AppMethodBeat.o(126328);
        return childCount;
    }

    public void addView(View view, int i) {
        AppMethodBeat.i(126329);
        this.hJg.addView(view, i);
        AppMethodBeat.o(126329);
    }

    public void addView(View view, int i, LayoutParams layoutParams) {
        AppMethodBeat.i(126330);
        this.hJg.addView(view, i, layoutParams);
        AppMethodBeat.o(126330);
    }

    public void removeView(View view) {
        AppMethodBeat.i(126331);
        this.hJg.removeView(view);
        AppMethodBeat.o(126331);
    }

    public void setBorderRadius(float f) {
        this.hIW = f;
    }

    public void setBorderColor(int i) {
        AppMethodBeat.i(126332);
        this.hIX = i;
        this.hIY.setColor(i);
        AppMethodBeat.o(126332);
    }

    public void setBorderWidth(float f) {
        AppMethodBeat.i(126333);
        this.nJ = f;
        this.hIY.setStrokeWidth(f);
        AppMethodBeat.o(126333);
    }

    public void setBgColor(int i) {
        this.eHE = i;
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:0x0054  */
    /* JADX WARNING: Removed duplicated region for block: B:12:0x0054  */
    /* JADX WARNING: Removed duplicated region for block: B:12:0x0054  */
    /* JADX WARNING: Removed duplicated region for block: B:12:0x0054  */
    public boolean dispatchTouchEvent(android.view.MotionEvent r14) {
        /*
        r13 = this;
        r12 = 126334; // 0x1ed7e float:1.77032E-40 double:6.24173E-319;
        r0 = 0;
        r10 = 4611686018427387904; // 0x4000000000000000 float:0.0 double:2.0;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r12);
        r1 = r14.getActionMasked();
        if (r1 != 0) goto L_0x00c2;
    L_0x000f:
        r1 = r14.getX();
        r2 = r14.getY();
        r3 = r13.hIW;
        r4 = 0;
        r3 = (r3 > r4 ? 1 : (r3 == r4 ? 0 : -1));
        if (r3 <= 0) goto L_0x00c0;
    L_0x001e:
        r3 = r13.hIW;
        r4 = (double) r3;
        r4 = java.lang.Math.pow(r4, r10);
        r3 = r13.getWidth();
        r3 = (float) r3;
        r6 = r13.getHeight();
        r6 = (float) r6;
        r7 = r13.hIW;
        r7 = (r1 > r7 ? 1 : (r1 == r7 ? 0 : -1));
        if (r7 >= 0) goto L_0x0079;
    L_0x0035:
        r3 = r13.hIW;
        r3 = (r2 > r3 ? 1 : (r2 == r3 ? 0 : -1));
        if (r3 >= 0) goto L_0x0058;
    L_0x003b:
        r3 = r13.hIW;
        r1 = r3 - r1;
        r6 = (double) r1;
        r6 = java.lang.Math.pow(r6, r10);
        r1 = r13.hIW;
        r1 = r1 - r2;
        r2 = (double) r1;
        r2 = java.lang.Math.pow(r2, r10);
        r2 = r2 + r6;
        r1 = (r2 > r4 ? 1 : (r2 == r4 ? 0 : -1));
        if (r1 <= 0) goto L_0x00c0;
    L_0x0051:
        r1 = r0;
    L_0x0052:
        if (r1 != 0) goto L_0x00c2;
    L_0x0054:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r12);
    L_0x0057:
        return r0;
    L_0x0058:
        r3 = r13.hIW;
        r3 = r6 - r3;
        r3 = (r2 > r3 ? 1 : (r2 == r3 ? 0 : -1));
        if (r3 <= 0) goto L_0x00c0;
    L_0x0060:
        r3 = r13.hIW;
        r1 = r3 - r1;
        r8 = (double) r1;
        r8 = java.lang.Math.pow(r8, r10);
        r1 = r13.hIW;
        r1 = r1 + r2;
        r1 = r1 - r6;
        r2 = (double) r1;
        r2 = java.lang.Math.pow(r2, r10);
        r2 = r2 + r8;
        r1 = (r2 > r4 ? 1 : (r2 == r4 ? 0 : -1));
        if (r1 <= 0) goto L_0x00c0;
    L_0x0077:
        r1 = r0;
        goto L_0x0052;
    L_0x0079:
        r7 = r13.hIW;
        r7 = r3 - r7;
        r7 = (r1 > r7 ? 1 : (r1 == r7 ? 0 : -1));
        if (r7 <= 0) goto L_0x00c0;
    L_0x0081:
        r7 = r13.hIW;
        r7 = (r2 > r7 ? 1 : (r2 == r7 ? 0 : -1));
        if (r7 >= 0) goto L_0x009f;
    L_0x0087:
        r6 = r13.hIW;
        r1 = r1 + r6;
        r1 = r1 - r3;
        r6 = (double) r1;
        r6 = java.lang.Math.pow(r6, r10);
        r1 = r13.hIW;
        r1 = r1 - r2;
        r2 = (double) r1;
        r2 = java.lang.Math.pow(r2, r10);
        r2 = r2 + r6;
        r1 = (r2 > r4 ? 1 : (r2 == r4 ? 0 : -1));
        if (r1 <= 0) goto L_0x00c0;
    L_0x009d:
        r1 = r0;
        goto L_0x0052;
    L_0x009f:
        r7 = r13.hIW;
        r7 = r6 - r7;
        r7 = (r2 > r7 ? 1 : (r2 == r7 ? 0 : -1));
        if (r7 <= 0) goto L_0x00c0;
    L_0x00a7:
        r7 = r13.hIW;
        r1 = r1 + r7;
        r1 = r1 - r3;
        r8 = (double) r1;
        r8 = java.lang.Math.pow(r8, r10);
        r1 = r13.hIW;
        r1 = r1 + r2;
        r1 = r1 - r6;
        r2 = (double) r1;
        r2 = java.lang.Math.pow(r2, r10);
        r2 = r2 + r8;
        r1 = (r2 > r4 ? 1 : (r2 == r4 ? 0 : -1));
        if (r1 <= 0) goto L_0x00c0;
    L_0x00be:
        r1 = r0;
        goto L_0x0052;
    L_0x00c0:
        r1 = 1;
        goto L_0x0052;
    L_0x00c2:
        r0 = super.dispatchTouchEvent(r14);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r12);
        goto L_0x0057;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.appbrand.jsapi.coverview.WxaScrollView.dispatchTouchEvent(android.view.MotionEvent):boolean");
    }

    public void setOnScrollChangedListener(m mVar) {
        this.hJi = mVar;
    }

    public void setScrollVertical(boolean z) {
        this.hJj = z;
    }

    public void setScrollHorizontal(boolean z) {
        this.hJk = z;
    }

    public void scrollTo(int i, int i2) {
        AppMethodBeat.i(126335);
        this.hJh.scrollTo(i, i2);
        invalidate();
        AppMethodBeat.o(126335);
    }
}
