package com.tencent.mm.plugin.appbrand.jsapi.file;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.appbrand.jsapi.a;
import com.tencent.mm.plugin.appbrand.jsapi.c;
import com.tencent.mm.sdk.g.d;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import org.json.JSONObject;

public final class o extends a {
    private static final int CTRL_INDEX = 278;
    private static final String NAME = "getFileInfo";

    public final void a(c cVar, JSONObject jSONObject, int i) {
        String str;
        AppMethodBeat.i(102785);
        String optString = jSONObject.optString("filePath", "");
        if ("sha1".equalsIgnoreCase(jSONObject.optString("digestAlgorithm", "md5"))) {
            str = "sha1";
        } else {
            str = "md5";
        }
        if (bo.isNullOrNil(optString)) {
            cVar.M(i, j("fail:invalid data", null));
            AppMethodBeat.o(102785);
            return;
        }
        d.post(new 1(this, cVar, optString, i, str), "AppBrandJsApiGetFileInfo");
        AppMethodBeat.o(102785);
    }

    static String H(File file) {
        AppMethodBeat.i(102786);
        String str;
        try {
            MessageDigest instance = MessageDigest.getInstance("SHA1");
            try {
                FileInputStream fileInputStream = new FileInputStream(file);
                byte[] bArr = new byte[8192];
                while (true) {
                    try {
                        int read = fileInputStream.read(bArr);
                        if (read <= 0) {
                            break;
                        }
                        instance.update(bArr, 0, read);
                    } catch (IOException e) {
                        str = "";
                    } finally {
                        try {
                            fileInputStream.close();
                        } catch (IOException e2) {
                            ab.e("MicroMsg.JsApiGetFileInfo", "Exception on closing MD5 input stream", new Object[]{e2});
                        }
                        AppMethodBeat.o(102786);
                    }
                }
                str = bytesToHexString(instance.digest());
                return str;
            } catch (FileNotFoundException e3) {
                ab.e("MicroMsg.JsApiGetFileInfo", "Exception while getting FileInputStream", new Object[]{e3});
                str = "";
                AppMethodBeat.o(102786);
                return str;
            }
        } catch (NoSuchAlgorithmException e4) {
            ab.e("MicroMsg.JsApiGetFileInfo", "Exception while getting Digest", new Object[]{e4});
            str = "";
            AppMethodBeat.o(102786);
            return str;
        }
    }

    private static String bytesToHexString(byte[] bArr) {
        AppMethodBeat.i(102787);
        if (bArr == null) {
            AppMethodBeat.o(102787);
            return null;
        }
        StringBuffer stringBuffer = new StringBuffer(bArr.length);
        for (byte b : bArr) {
            String toHexString = Integer.toHexString(b & 255);
            if (toHexString.length() < 2) {
                stringBuffer.append(0);
            }
            stringBuffer.append(toHexString.toLowerCase());
        }
        String stringBuffer2 = stringBuffer.toString();
        AppMethodBeat.o(102787);
        return stringBuffer2;
    }
}
