package com.tencent.mm.plugin.appbrand.widget.desktop.dynamicbackground;

import com.tencent.magicbrush.a.c$c;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.appbrand.widget.desktop.dynamicbackground.GameGLSurfaceView.g;
import java.lang.ref.WeakReference;
import javax.microedition.khronos.egl.EGL10;
import javax.microedition.khronos.egl.EGLConfig;
import javax.microedition.khronos.egl.EGLContext;
import javax.microedition.khronos.egl.EGLDisplay;
import javax.microedition.khronos.egl.EGLSurface;

class GameGLSurfaceView$i {
    EGLSurface jad;
    EGL10 mEgl;
    EGLConfig mEglConfig;
    EGLContext mEglContext;
    EGLDisplay mEglDisplay;
    EGLSurface mEglSurface;
    WeakReference<GameGLSurfaceView> mGLSurfaceViewWeakRef;

    public GameGLSurfaceView$i(WeakReference<GameGLSurfaceView> weakReference) {
        this.mGLSurfaceViewWeakRef = weakReference;
    }

    public final void start() {
        AppMethodBeat.i(134072);
        c$c.w("MicroMsg.GLThread", "start() tid=" + Thread.currentThread().getId(), new Object[0]);
        this.mEgl = (EGL10) EGLContext.getEGL();
        this.mEglDisplay = this.mEgl.eglGetDisplay(EGL10.EGL_DEFAULT_DISPLAY);
        RuntimeException runtimeException;
        if (this.mEglDisplay == EGL10.EGL_NO_DISPLAY) {
            runtimeException = new RuntimeException("eglGetDisplay failed");
            AppMethodBeat.o(134072);
            throw runtimeException;
        }
        if (this.mEgl.eglInitialize(this.mEglDisplay, new int[2])) {
            GameGLSurfaceView gameGLSurfaceView = (GameGLSurfaceView) this.mGLSurfaceViewWeakRef.get();
            if (gameGLSurfaceView == null) {
                this.mEglConfig = null;
                this.mEglContext = null;
                c$c.w("MicroMsg.GameGLSurfaceView", "alvinluo EglHelper start but view is null and set mEglConfig = null, mEglContext = null", new Object[0]);
            } else {
                this.mEglConfig = GameGLSurfaceView.b(gameGLSurfaceView).chooseConfig(this.mEgl, this.mEglDisplay);
                c$c.i("MicroMsg.GameGLSurfaceView", "alvinluo EglHelper start chooseConfig end config: %s, display: %s", Integer.valueOf(this.mEglConfig.hashCode()), Integer.valueOf(this.mEglDisplay.hashCode()));
                this.mEglContext = GameGLSurfaceView.c(gameGLSurfaceView).b(this.mEgl, this.mEglDisplay, this.mEglConfig, EGL10.EGL_NO_CONTEXT);
                c$c.i("MicroMsg.GameGLSurfaceView", "alvinluo EglHelper start createContext end", new Object[0]);
            }
            if (this.mEglContext == null || this.mEglContext == EGL10.EGL_NO_CONTEXT) {
                this.mEglContext = null;
                throwEglException("createContext", this.mEgl.eglGetError());
            }
            c$c.w("MicroMsg.GLThread", "createContext " + this.mEglContext + " tid=" + Thread.currentThread().getId(), new Object[0]);
            this.jad = this.mEgl.eglCreatePbufferSurface(this.mEglDisplay, this.mEglConfig, new int[]{12375, 16, 12374, 16, 12344});
            this.mEgl.eglMakeCurrent(this.mEglDisplay, this.jad, this.jad, this.mEglContext);
            this.mEglSurface = null;
            AppMethodBeat.o(134072);
            return;
        }
        runtimeException = new RuntimeException("eglInitialize failed");
        AppMethodBeat.o(134072);
        throw runtimeException;
    }

    /* Access modifiers changed, original: final */
    public final void destroySurfaceImp() {
        AppMethodBeat.i(134073);
        if (!(this.mEglSurface == null || this.mEglSurface == EGL10.EGL_NO_SURFACE)) {
            EGL10 egl10 = this.mEgl;
            EGLDisplay eGLDisplay = this.mEglDisplay;
            EGLSurface eGLSurface = EGL10.EGL_NO_SURFACE;
            egl10.eglMakeCurrent(eGLDisplay, eGLSurface, eGLSurface, EGL10.EGL_NO_CONTEXT);
            GameGLSurfaceView gameGLSurfaceView = (GameGLSurfaceView) this.mGLSurfaceViewWeakRef.get();
            if (gameGLSurfaceView != null) {
                GameGLSurfaceView.d(gameGLSurfaceView).destroySurface(this.mEgl, this.mEglDisplay, this.mEglSurface);
            }
            this.mEglSurface = null;
        }
        AppMethodBeat.o(134073);
    }

    public static void throwEglException(String str, int i) {
        AppMethodBeat.i(134074);
        String formatEglError = formatEglError(str, i);
        c$c.e("MicroMsg.GLThread", "throwEglException tid=" + Thread.currentThread().getId() + " " + formatEglError, new Object[0]);
        RuntimeException runtimeException = new RuntimeException(formatEglError);
        AppMethodBeat.o(134074);
        throw runtimeException;
    }

    public static void logEglErrorAsWarning(String str, String str2, int i) {
        AppMethodBeat.i(134075);
        c$c.w(str, formatEglError(str2, i), new Object[0]);
        AppMethodBeat.o(134075);
    }

    private static String formatEglError(String str, int i) {
        AppMethodBeat.i(134076);
        String str2 = str + " failed: " + g.getErrorString(i);
        AppMethodBeat.o(134076);
        return str2;
    }
}
