package com.tencent.mm.plugin.exdevice.model;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.IntentFilter;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.g.a.du;
import com.tencent.mm.plugin.exdevice.jni.Java2CExDevice;
import com.tencent.mm.plugin.exdevice.model.j.a;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ah;
import java.util.HashMap;
import org.json.JSONObject;

public final class ExdeviceWCLanSDKUtil {
    BroadcastReceiver jIA;
    HashMap<String, byte[]> lsL;
    HashMap<String, Boolean> lsN;
    a lsO;
    a lsQ;
    private int lte;
    private int ltf;
    a ltg;
    a lth;
    HashMap<String, String> lti;
    boolean ltj;
    boolean ltk;
    boolean ltl;
    int ltm;
    Context mContext;

    public ExdeviceWCLanSDKUtil() {
        AppMethodBeat.i(19290);
        this.lte = 0;
        this.ltf = 0;
        this.lsL = new HashMap();
        this.lsN = new HashMap();
        this.lti = new HashMap();
        this.mContext = null;
        this.ltj = false;
        this.ltk = false;
        this.ltl = false;
        this.ltj = true;
        this.ltk = true;
        this.lsL.clear();
        this.lsN.clear();
        this.lti.clear();
        this.mContext = ah.getContext();
        IntentFilter intentFilter = new IntentFilter();
        intentFilter.addAction("android.net.wifi.STATE_CHANGE");
        if (this.jIA == null) {
            this.jIA = new LanStateChangeReceiver(this);
        }
        this.mContext.registerReceiver(this.jIA, intentFilter);
        this.ltg = new 1(this);
        this.lsO = new 2(this);
        this.lsQ = new 3(this);
        this.lth = new 4(this);
        AppMethodBeat.o(19290);
    }

    public final boolean l(boolean z, String str) {
        AppMethodBeat.i(19291);
        if (str == null || !this.lsL.containsKey(str)) {
            ab.e("MicroMsg.exdevice.ExdeviceWCLanSDKUtil", "mDevClassInfo is null in openOrCloseDevice");
            AppMethodBeat.o(19291);
            return false;
        }
        byte[] bArr = (byte[]) this.lsL.get(str);
        try {
            JSONObject jSONObject = new JSONObject();
            if (z) {
                ab.i("MicroMsg.exdevice.ExdeviceWCLanSDKUtil", "open device!");
                jSONObject.put("cmd", "open");
            } else {
                ab.i("MicroMsg.exdevice.ExdeviceWCLanSDKUtil", "close device!");
                jSONObject.put("cmd", "close");
            }
            JSONObject jSONObject2 = new JSONObject();
            jSONObject2.put("wxmsg_jsapi", jSONObject);
            jSONObject = new JSONObject();
            jSONObject.put("services", jSONObject2);
            this.ltf = Java2CExDevice.useWCLanDeviceService(bArr, jSONObject.toString().getBytes());
            if (this.ltf != 0) {
                ab.d("MicroMsg.exdevice.ExdeviceWCLanSDKUtil", "get openOrCloseDevice mCallBackCmdId =" + this.ltf);
            } else {
                ab.e("MicroMsg.exdevice.ExdeviceWCLanSDKUtil", "openOrCloseDevice error!");
            }
            AppMethodBeat.o(19291);
            return true;
        } catch (Exception e) {
            ab.printErrStackTrace("MicroMsg.exdevice.ExdeviceWCLanSDKUtil", e, "", new Object[0]);
            ab.e("MicroMsg.exdevice.ExdeviceWCLanSDKUtil", "JSON encode failed in openOrCloseDevice");
            AppMethodBeat.o(19291);
            return false;
        }
    }

    public final boolean ax(String str, boolean z) {
        AppMethodBeat.i(19292);
        if (str == null || !this.lsL.containsKey(str)) {
            ab.e("MicroMsg.exdevice.ExdeviceWCLanSDKUtil", "mDevClassInfo is null in connectWCLanDevice");
            AppMethodBeat.o(19292);
            return false;
        }
        byte[] bArr = (byte[]) this.lsL.get(str);
        this.ltl = true;
        if (z) {
            try {
                String string = new JSONObject(new String(bArr)).getString("deviceType");
                ab.i("MicroMsg.exdevice.ExdeviceWCLanSDKUtil", "connectWCLanDevice deviceId: ".concat(String.valueOf(str)));
                if (Java2CExDevice.connectWCLanDevice(bArr, false) != 0) {
                    ab.e("MicroMsg.exdevice.ExdeviceWCLanSDKUtil", "connectWCLanDevice error!");
                    AppMethodBeat.o(19292);
                    return false;
                }
                du duVar = new du();
                duVar.cxr.ceI = str;
                duVar.cxr.cxs = 1;
                duVar.cxr.cwz = string;
                com.tencent.mm.sdk.b.a.xxA.m(duVar);
            } catch (Exception e) {
                ab.printErrStackTrace("MicroMsg.exdevice.ExdeviceWCLanSDKUtil", e, "", new Object[0]);
                ab.e("MicroMsg.exdevice.ExdeviceWCLanSDKUtil", "JSON decode failed in connectWCLanDevice!");
                AppMethodBeat.o(19292);
                return false;
            }
        }
        l(false, str);
        ab.i("MicroMsg.exdevice.ExdeviceWCLanSDKUtil", "disconnectWCLanDevice...");
        Java2CExDevice.disconnectWCLanDevice(bArr);
        AppMethodBeat.o(19292);
        return true;
    }

    public final boolean dR(String str, String str2) {
        AppMethodBeat.i(19293);
        if (!Ki(str)) {
            ab.e("MicroMsg.exdevice.ExdeviceWCLanSDKUtil", "deviceId " + str + " not connected!");
            AppMethodBeat.o(19293);
            return false;
        } else if (str == null || !this.lsL.containsKey(str)) {
            ab.e("MicroMsg.exdevice.ExdeviceWCLanSDKUtil", "mDevClassInfo is null in useWCLanDeviceService");
            AppMethodBeat.o(19293);
            return false;
        } else {
            byte[] bArr = (byte[]) this.lsL.get(str);
            this.lte = 0;
            try {
                boolean z;
                JSONObject jSONObject = new JSONObject();
                jSONObject.put("data", str2);
                JSONObject jSONObject2 = new JSONObject();
                jSONObject2.put("wxmsg_jsapi", jSONObject);
                jSONObject = new JSONObject();
                jSONObject.put("services", jSONObject2);
                this.lte = Java2CExDevice.useWCLanDeviceService(bArr, jSONObject.toString().getBytes());
                if (this.lte != 0) {
                    z = true;
                    ab.d("MicroMsg.exdevice.ExdeviceWCLanSDKUtil", "get useWCLanDeviceService mCallBackCmdId =" + this.lte);
                } else {
                    ab.e("MicroMsg.exdevice.ExdeviceWCLanSDKUtil", "useWCLanDeviceService error!");
                    z = false;
                }
                AppMethodBeat.o(19293);
                return z;
            } catch (Exception e) {
                ab.printErrStackTrace("MicroMsg.exdevice.ExdeviceWCLanSDKUtil", e, "", new Object[0]);
                ab.e("MicroMsg.exdevice.ExdeviceWCLanSDKUtil", "JSON encode failed in useWCLanDeviceService");
                AppMethodBeat.o(19293);
                return false;
            }
        }
    }

    public final boolean Ki(String str) {
        AppMethodBeat.i(19294);
        if (str == null || !this.lsN.containsKey(str)) {
            AppMethodBeat.o(19294);
            return false;
        }
        boolean booleanValue = ((Boolean) this.lsN.get(str)).booleanValue();
        AppMethodBeat.o(19294);
        return booleanValue;
    }
}
