package com.tencent.mm.plugin.facedetect;

import android.support.annotation.Keep;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.compatible.util.k;
import com.tencent.mm.kernel.g;
import com.tencent.mm.plugin.zero.b.a;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.al;
import com.tencent.mm.sdk.platformtools.bo;
import java.util.ArrayList;
import org.json.JSONArray;
import org.json.JSONException;

public class FaceProNative {
    public static final int ROTFLIPHOR = 3;
    public static final int ROTFLIPLEFT = 4;
    public static final int ROTFLIPRIGHT = 5;
    public static final int ROTLEFT = 1;
    public static final int ROTRIGHT = 2;
    public static final int ROTSTABLE = 0;
    private static final String TAG = "MicroMsg.FaceProNative";
    private static final long TIMEOUT_CHECKER = 3600000;
    private static String[] cachedStr = null;
    public static volatile boolean hasDetectInit = false;
    private static long lastCheckTime = -1;
    private long nativePtr;

    private native void NativeConstructor();

    private native void NativeDestructor();

    public static native int engineVersion();

    public static native int nativeFacedetectInitBin(byte[] bArr);

    public static native void nativeFacedetectRelease();

    public static native int nativeFacedetectWithBitmap(Object obj);

    public static native boolean nativeInit();

    public native FaceStatus engineFaceProcess(byte[] bArr, int i, int i2, int i3, int i4, int i5);

    public native int[] engineGetAllMotions();

    public native int engineGetCurrMotion();

    public native String engineGetCurrMotionData();

    public native int engineGroupChange();

    public native int engineInit(String str, byte[] bArr, String str2, String str3);

    public native int engineNextMotion();

    public native int engineRelease();

    public native int engineReleaseCurrMotion();

    public native FaceResult engineReleaseOut();

    public native int engineSetVoiceData(byte[] bArr);

    public native int engineStartRecord();

    public FaceProNative() {
        AppMethodBeat.i(44);
        NativeConstructor();
        AppMethodBeat.o(44);
    }

    public void destroy() {
        AppMethodBeat.i(45);
        NativeDestructor();
        AppMethodBeat.o(45);
    }

    /* Access modifiers changed, original: protected */
    public void finalize() {
        AppMethodBeat.i(46);
        super.finalize();
        NativeDestructor();
        AppMethodBeat.o(46);
    }

    static {
        AppMethodBeat.i(49);
        k.a("FacePro", FaceProNative.class.getClassLoader());
        k.a("wechatvoicereco", FaceProNative.class.getClassLoader());
        k.a("wechatxlog", FaceProNative.class.getClassLoader());
        nativeInit();
        AppMethodBeat.o(49);
    }

    public static int detectFaceCnt(String str) {
        return 0;
    }

    public static void checkInitDetectFace() {
        AppMethodBeat.i(47);
        synchronized (FaceProNative.class) {
            try {
                ab.c(TAG, "checkInitDetectFace, hasDetectInit: %s", new Object[]{Boolean.valueOf(hasDetectInit)});
                al.d(new 1());
            } finally {
                while (true) {
                }
                AppMethodBeat.o(47);
            }
        }
    }

    @Keep
    public static String[] getDynamicValue(String str) {
        AppMethodBeat.i(48);
        if (System.currentTimeMillis() - lastCheckTime >= TIMEOUT_CHECKER) {
            lastCheckTime = System.currentTimeMillis();
            String value = ((a) g.K(a.class)).Nu().getValue(str);
            if (!bo.isNullOrNil(value)) {
                try {
                    JSONArray jSONArray = new JSONArray(value);
                    ArrayList arrayList = new ArrayList(5);
                    int length = jSONArray.length();
                    for (int i = 0; i < length; i++) {
                        arrayList.add(jSONArray.getString(i));
                    }
                    cachedStr = new String[length];
                    arrayList.toArray(cachedStr);
                } catch (JSONException e) {
                    ab.printErrStackTrace(TAG, e, "hy: array resolve failed", new Object[0]);
                }
            }
        }
        String[] strArr = cachedStr;
        AppMethodBeat.o(48);
        return strArr;
    }
}
