package com.tencent.mm.ui.base;

import android.content.Context;
import android.graphics.Rect;
import android.graphics.RectF;
import android.os.Looper;
import android.support.v4.view.ViewPager.OnPageChangeListener;
import android.support.v4.view.p;
import android.util.AttributeSet;
import android.view.GestureDetector;
import android.view.GestureDetector.SimpleOnGestureListener;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.View;
import android.view.View.MeasureSpec;
import android.view.View.OnLongClickListener;
import android.view.View.OnTouchListener;
import android.view.animation.DecelerateInterpolator;
import android.widget.OverScroller;
import com.google.android.gms.auth.api.credentials.CredentialsApi;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ak;
import com.tencent.mm.ui.mogic.WxViewPager;
import java.lang.ref.WeakReference;

public class MMViewPager extends WxViewPager {
    private float aKM = 0.0f;
    private float aKN = 0.0f;
    private int aaF = -1;
    private int alh = -1;
    private int apF;
    private int apG;
    private float ccB;
    private ak handler = new ak(Looper.getMainLooper());
    private GestureDetector iay;
    private int ieu;
    private int iev;
    private OnTouchListener jZu;
    private boolean mSp = false;
    private OverScroller mSq;
    private RectF mSs = new RectF();
    private float mSu;
    private boolean mSv = false;
    private boolean mSw = false;
    private boolean mSx = false;
    private boolean mSy = false;
    private VelocityTracker mVelocityTracker;
    private boolean rvb = false;
    private boolean rvc = false;
    private boolean rvd = false;
    private final int yyA = 60;
    private final int yyB = 500;
    private g yye;
    private WxImageView yyf;
    private k yyg;
    private boolean yyh = false;
    private boolean yyi = false;
    private boolean yyj = false;
    private boolean yyk = false;
    private boolean yyl = false;
    private int yym = 0;
    private a yyn;
    private e yyo;
    private c yyp;
    private OnPageChangeListener yyq = null;
    private float yyr = 0.0f;
    private float yys;
    private float yyt;
    private VelocityTracker yyu = null;
    private MotionEvent yyv;
    private long yyw = 0;
    private b yyx;
    private SimpleOnGestureListener yyy = new d(this, (byte) 0);
    private OnLongClickListener yyz = new 3(this);

    public interface c {
        void bvE();
    }

    static /* synthetic */ boolean g(MMViewPager mMViewPager) {
        AppMethodBeat.i(106946);
        boolean dAj = mMViewPager.dAj();
        AppMethodBeat.o(106946);
        return dAj;
    }

    static /* synthetic */ void h(MMViewPager mMViewPager) {
        AppMethodBeat.i(106947);
        mMViewPager.dAi();
        AppMethodBeat.o(106947);
    }

    static /* synthetic */ void w(MMViewPager mMViewPager) {
        AppMethodBeat.i(106953);
        mMViewPager.bCP();
        AppMethodBeat.o(106953);
    }

    public void setSingleClickOverListener(e eVar) {
        this.yyo = eVar;
    }

    public void setLongClickOverListener(c cVar) {
        this.yyp = cVar;
    }

    public MMViewPager(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet);
        AppMethodBeat.i(106921);
        setStaticTransformationsEnabled(true);
        AppMethodBeat.o(106921);
    }

    private void bCP() {
        AppMethodBeat.i(106922);
        this.yyg.removeMessages(1);
        AppMethodBeat.o(106922);
    }

    private void bCQ() {
        AppMethodBeat.i(106923);
        bCP();
        k kVar = this.yyg;
        kVar.mSL = 15;
        kVar.sendEmptyMessageDelayed(1, 15);
        AppMethodBeat.o(106923);
    }

    public void setOnPageChangeListener(OnPageChangeListener onPageChangeListener) {
        this.yyq = onPageChangeListener;
    }

    public MMViewPager(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        AppMethodBeat.i(106924);
        setStaticTransformationsEnabled(true);
        this.yyg = new k(new WeakReference(this));
        this.iay = new GestureDetector(context, new d(this, (byte) 0));
        this.mSq = new OverScroller(context, new DecelerateInterpolator(2.0f));
        this.yym = (int) (getResources().getDisplayMetrics().density * 3000.0f);
        super.setOnPageChangeListener(new 1(this));
        super.setOnTouchListener(new 2(this));
        AppMethodBeat.o(106924);
    }

    private void dAi() {
        AppMethodBeat.i(106925);
        this.yyf = getSelectedWxImageView();
        if (this.yyf != null) {
            ab.d("MicroMsg.MMViewPager", "alvinluo ViewPager initWxImageView");
            this.yyf.setGestureDetectorListener(this.yyy);
            this.yyf.setOnLongClickListener(this.yyz);
            this.yyf.dzA();
        }
        AppMethodBeat.o(106925);
    }

    private boolean dAj() {
        AppMethodBeat.i(106926);
        g selectedImageView = getSelectedImageView();
        if (selectedImageView == null || !(selectedImageView instanceof WxImageView)) {
            AppMethodBeat.o(106926);
            return false;
        }
        AppMethodBeat.o(106926);
        return true;
    }

    public boolean dispatchTouchEvent(MotionEvent motionEvent) {
        boolean z = false;
        AppMethodBeat.i(106927);
        try {
            ab.d("MicroMsg.MMViewPager", "alvinluo dispatchTouchEvent action: %s", new Object[]{Integer.valueOf(motionEvent.getAction())});
            if (this.yyf == null) {
                dAi();
            }
            z = super.dispatchTouchEvent(motionEvent);
            AppMethodBeat.o(106927);
        } catch (Exception e) {
            ab.printErrStackTrace("MicroMsg.MMViewPager", e, "alvinluo MMViewPager dispatchTouchEvent exception", new Object[0]);
            AppMethodBeat.o(106927);
        }
        return z;
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        AppMethodBeat.i(106928);
        boolean onInterceptTouchEvent = super.onInterceptTouchEvent(motionEvent);
        if (!dAj()) {
            AppMethodBeat.o(106928);
        } else if (onInterceptTouchEvent) {
            AppMethodBeat.o(106928);
        } else {
            if (this.yyu == null) {
                this.yyu = VelocityTracker.obtain();
            }
            this.yyu.addMovement(motionEvent);
            VelocityTracker velocityTracker = this.yyu;
            velocityTracker.computeCurrentVelocity(CredentialsApi.ACTIVITY_RESULT_ADD_ACCOUNT);
            int xVelocity = (int) velocityTracker.getXVelocity();
            int yVelocity = (int) velocityTracker.getYVelocity();
            switch (motionEvent.getAction() & 255) {
                case 0:
                    this.yys = motionEvent.getRawX();
                    this.yyt = motionEvent.getRawY();
                    onInterceptTouchEvent = false;
                    break;
                case 1:
                    onInterceptTouchEvent = false;
                    break;
                case 2:
                    float rawY = motionEvent.getRawY() - this.yyt;
                    ab.d("MicroMsg.MMViewPager", "alvinluo ViewPager onInterceptTouchEvent action_move tx: %f, ty: %f, velocityX: %d, velocityY: %d", new Object[]{Float.valueOf(motionEvent.getRawX() - this.yys), Float.valueOf(rawY), Integer.valueOf(xVelocity), Integer.valueOf(yVelocity)});
                    if (Math.abs(motionEvent.getRawX() - this.yys) <= 250.0f && Math.abs(yVelocity) > Math.abs(xVelocity) && Math.abs(yVelocity) > 0) {
                        ab.i("MicroMsg.MMViewPager", "alvinluo ViewPager onInterceptTouchEvent action: %d", new Object[]{Integer.valueOf(motionEvent.getAction())});
                        onInterceptTouchEvent = true;
                        break;
                    }
                    onInterceptTouchEvent = false;
                    break;
                    break;
                default:
                    onInterceptTouchEvent = false;
                    break;
            }
            if (onInterceptTouchEvent) {
                this.aKM = motionEvent.getRawX();
                this.aKN = motionEvent.getRawY();
                this.mSu = this.yyf.getScale();
            }
            AppMethodBeat.o(106928);
        }
        return onInterceptTouchEvent;
    }

    public void setGalleryScaleListener(b bVar) {
        this.yyx = bVar;
    }

    public void setOnTouchListener(OnTouchListener onTouchListener) {
        this.jZu = onTouchListener;
    }

    public void onMeasure(int i, int i2) {
        AppMethodBeat.i(106929);
        super.onMeasure(i, i2);
        this.ieu = MeasureSpec.getSize(i);
        this.iev = MeasureSpec.getSize(i2);
        this.mSs.set(0.0f, 0.0f, (float) this.ieu, (float) this.iev);
        AppMethodBeat.o(106929);
    }

    private boolean dAk() {
        AppMethodBeat.i(106930);
        ab.d("MicroMsg.MMViewPager", "dancy scroll left right !!");
        if (this.yyi) {
            AppMethodBeat.o(106930);
            return true;
        }
        this.yyj = true;
        AppMethodBeat.o(106930);
        return false;
    }

    private boolean a(float f, View view, float f2) {
        AppMethodBeat.i(106931);
        if (getAdapter().getItemPosition(view) == firstItemPosForDetermine()) {
            if (this.yye instanceof WxImageView) {
                float f3 = f2 * 0.3f;
                ab.d("MicroMsg.MMViewPager", "alvinluo scrollFirst current is WxImageView, distanceX: %f, translateLeft: %f", new Object[]{Float.valueOf(f3), Float.valueOf(((WxImageView) this.yye).getTranslationX())});
                if (f3 < 0.0f && r0 - f3 > 0.0f) {
                    this.yyk = true;
                }
                if (this.yyk) {
                    ((WxImageView) this.yye).translate(-f3, 0.0f);
                    AppMethodBeat.o(106931);
                    return true;
                }
                AppMethodBeat.o(106931);
                return false;
            } else if (this.yyk) {
                if (f2 < 0.0f) {
                    if (f <= this.mSs.left) {
                        this.yye.aj(-f2, 0.0f);
                    } else if (f > this.mSs.left && f < ((float) this.ieu) * 0.3f) {
                        this.yye.aj(-(f2 * 0.3f), 0.0f);
                        AppMethodBeat.o(106931);
                        return true;
                    }
                }
                AppMethodBeat.o(106931);
                return false;
            } else if (f2 < 0.0f) {
                if (f > 0.0f) {
                    this.yyk = true;
                }
                if (f <= this.mSs.left) {
                    this.yye.aj(-f2, 0.0f);
                } else if (f > this.mSs.left && f < ((float) this.ieu) * 0.3f) {
                    this.yye.aj(-(f2 * 0.3f), 0.0f);
                    AppMethodBeat.o(106931);
                    return true;
                }
            }
        }
        if (this.yyj || this.yyi) {
            AppMethodBeat.o(106931);
            return false;
        }
        this.yyk = false;
        AppMethodBeat.o(106931);
        return false;
    }

    private boolean b(float f, View view, float f2) {
        AppMethodBeat.i(106932);
        if (getAdapter().getItemPosition(view) == lastItemPosForDetermine()) {
            if (this.yye instanceof WxImageView) {
                float f3 = f2 * 0.3f;
                ab.d("MicroMsg.MMViewPager", "alvinluo scrollLast current is WxImageView, distanceX: %f, translateRight: %f", new Object[]{Float.valueOf(f3), Float.valueOf(((WxImageView) this.yye).getTranslationX())});
                if (f3 > 0.0f && r0 - f3 < 0.0f) {
                    this.yyl = true;
                }
                if (this.yyl) {
                    ((WxImageView) this.yye).translate(-f3, 0.0f);
                    AppMethodBeat.o(106932);
                    return true;
                }
                AppMethodBeat.o(106932);
                return false;
            } else if (this.yyl) {
                if (f2 > 0.0f) {
                    if (f >= ((float) this.ieu)) {
                        this.yye.aj(-f2, 0.0f);
                    } else if (f > ((float) this.ieu) * 0.7f && f < ((float) this.iev)) {
                        this.yye.aj(-(f2 * 0.3f), 0.0f);
                        AppMethodBeat.o(106932);
                        return true;
                    }
                }
                AppMethodBeat.o(106932);
                return false;
            } else if (f2 > 0.0f) {
                if (f < ((float) this.ieu)) {
                    this.yyl = true;
                }
                if (f >= ((float) this.ieu)) {
                    this.yye.aj(-f2, 0.0f);
                } else if (f > ((float) this.ieu) * 0.7f && f < ((float) this.iev)) {
                    this.yye.aj(-(f2 * 0.3f), 0.0f);
                    AppMethodBeat.o(106932);
                    return true;
                }
            }
        }
        if (this.yyj || this.yyi) {
            AppMethodBeat.o(106932);
            return false;
        }
        this.yyl = false;
        AppMethodBeat.o(106932);
        return false;
    }

    private boolean a(float f, float f2, View view, float f3) {
        AppMethodBeat.i(106933);
        if (b(f2, view, f3)) {
            AppMethodBeat.o(106933);
            return true;
        } else if (a(f, view, f3)) {
            AppMethodBeat.o(106933);
            return true;
        } else {
            AppMethodBeat.o(106933);
            return false;
        }
    }

    private View getSelectedView() {
        AppMethodBeat.i(106934);
        View Fp = ((u) getAdapter()).Fp(getCurrentItem());
        AppMethodBeat.o(106934);
        return Fp;
    }

    public g getSelectedImageView() {
        AppMethodBeat.i(106935);
        MultiTouchImageView selectedMultiTouchImageView = getSelectedMultiTouchImageView();
        if (selectedMultiTouchImageView != null) {
            AppMethodBeat.o(106935);
            return selectedMultiTouchImageView;
        }
        g selectedWxImageView = getSelectedWxImageView();
        AppMethodBeat.o(106935);
        return selectedWxImageView;
    }

    private MultiTouchImageView getSelectedMultiTouchImageView() {
        AppMethodBeat.i(106936);
        MultiTouchImageView wx = ((u) getAdapter()).wx(getCurrentItem());
        AppMethodBeat.o(106936);
        return wx;
    }

    private WxImageView getSelectedWxImageView() {
        AppMethodBeat.i(106937);
        WxImageView wy = ((u) getAdapter()).wy(getCurrentItem());
        if (wy != null) {
            wy = wy;
            AppMethodBeat.o(106937);
            return wy;
        }
        AppMethodBeat.o(106937);
        return null;
    }

    public void setAdapter(p pVar) {
        AppMethodBeat.i(106938);
        if (pVar instanceof u) {
            super.setAdapter(pVar);
            AppMethodBeat.o(106938);
            return;
        }
        IllegalArgumentException illegalArgumentException = new IllegalArgumentException("must be MMViewPagerAdapter");
        AppMethodBeat.o(106938);
        throw illegalArgumentException;
    }

    private int getCurrentX() {
        AppMethodBeat.i(106939);
        if (getAdapter() == null) {
            AppMethodBeat.o(106939);
            return -1;
        }
        int scrollX = getScrollX() - (this.ieu * ((getAdapter().getCount() - getCurrentItem()) - 1));
        AppMethodBeat.o(106939);
        return scrollX;
    }

    private static boolean b(MotionEvent motionEvent, MotionEvent motionEvent2) {
        AppMethodBeat.i(106940);
        if (motionEvent == null || motionEvent2 == null) {
            AppMethodBeat.o(106940);
            return false;
        } else if (motionEvent.getX() - motionEvent2.getX() < 0.0f) {
            AppMethodBeat.o(106940);
            return true;
        } else {
            AppMethodBeat.o(106940);
            return false;
        }
    }

    public void computeScroll() {
        int i = 0;
        AppMethodBeat.i(106941);
        super.computeScroll();
        if (this.yye == null) {
            AppMethodBeat.o(106941);
            return;
        }
        float scale = this.yye.getScale() * ((float) this.yye.getImageWidth());
        float scale2 = this.yye.getScale() * ((float) this.yye.getImageHeight());
        if (this.mSq.computeScrollOffset()) {
            int currX = this.mSq.getCurrX() - this.apF;
            int currY = this.mSq.getCurrY() - this.apG;
            this.apF = this.mSq.getCurrX();
            this.apG = this.mSq.getCurrY();
            float[] fArr = new float[9];
            this.yye.getImageMatrix().getValues(fArr);
            float f = fArr[2];
            scale += f;
            float f2 = fArr[5];
            float f3 = f2 + scale2;
            if (currX < 0 && ((float) currX) < this.mSs.right - ((float) Math.round(scale))) {
                currX = (int) (this.mSs.right - ((float) Math.round(scale)));
            }
            if (currX > 0 && ((float) currX) > this.mSs.left - ((float) Math.round(f))) {
                currX = (int) (this.mSs.left - ((float) Math.round(f)));
            }
            if (currY < 0 && ((float) currY) < this.mSs.bottom - ((float) Math.round(f3))) {
                currY = (int) (this.mSs.bottom - ((float) Math.round(f3)));
            }
            if (currY > 0 && ((float) currY) > this.mSs.top - ((float) Math.round(f2))) {
                currY = (int) (this.mSs.top - ((float) Math.round(f2)));
            }
            if (((float) Math.round(f)) >= this.mSs.left || ((float) Math.round(scale)) <= this.mSs.right) {
                currX = 0;
            } else if (((float) Math.round(f2)) >= this.mSs.top || ((float) Math.round(f3)) <= this.mSs.bottom) {
                currY = 0;
            }
            if (scale2 >= ((float) this.iev)) {
                i = currY;
            }
            this.yye.aj((float) currX, (float) i);
            postInvalidate();
        }
        AppMethodBeat.o(106941);
    }

    public int getScreenWidth() {
        return this.ieu;
    }

    /* Access modifiers changed, original: protected */
    public void onFocusChanged(boolean z, int i, Rect rect) {
        AppMethodBeat.i(106942);
        if (z) {
            super.onFocusChanged(z, i, rect);
        }
        AppMethodBeat.o(106942);
    }

    public void onWindowFocusChanged(boolean z) {
        AppMethodBeat.i(106943);
        if (z) {
            super.onWindowFocusChanged(z);
        }
        AppMethodBeat.o(106943);
    }

    public boolean isFocused() {
        return true;
    }

    public int firstItemPosForDetermine() {
        AppMethodBeat.i(106944);
        int firstItemPosForDetermine = ((u) getAdapter()).firstItemPosForDetermine();
        if (firstItemPosForDetermine >= 0) {
            AppMethodBeat.o(106944);
            return firstItemPosForDetermine;
        }
        firstItemPosForDetermine = super.firstItemPosForDetermine();
        AppMethodBeat.o(106944);
        return firstItemPosForDetermine;
    }

    public int lastItemPosForDetermine() {
        AppMethodBeat.i(106945);
        int lastItemPosForDetermine = ((u) getAdapter()).lastItemPosForDetermine();
        if (lastItemPosForDetermine >= 0) {
            AppMethodBeat.o(106945);
            return lastItemPosForDetermine;
        }
        lastItemPosForDetermine = super.lastItemPosForDetermine();
        AppMethodBeat.o(106945);
        return lastItemPosForDetermine;
    }
}
