package com.tencent.smtt.sdk;

import android.content.Context;
import android.os.Looper;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.smtt.export.external.jscore.interfaces.IX5JsContext;
import com.tencent.smtt.export.external.jscore.interfaces.IX5JsVirtualMachine;
import java.lang.ref.WeakReference;
import java.util.HashSet;
import java.util.Iterator;

public final class JsVirtualMachine {
    private final Context a;
    private final IX5JsVirtualMachine b;
    private final HashSet<WeakReference<a>> c;

    public JsVirtualMachine(Context context) {
        this(context, null);
    }

    public JsVirtualMachine(Context context, Looper looper) {
        AppMethodBeat.i(63970);
        this.c = new HashSet();
        this.a = context;
        this.b = X5JsCore.a(context, looper);
        AppMethodBeat.o(63970);
    }

    /* Access modifiers changed, original: protected|final */
    public final IX5JsContext a() {
        IX5JsContext aVar;
        AppMethodBeat.i(63971);
        if (this.b == null) {
            aVar = new a(this.a);
            this.c.add(new WeakReference(aVar));
        } else {
            aVar = this.b.createJsContext();
        }
        AppMethodBeat.o(63971);
        return aVar;
    }

    public final void destroy() {
        AppMethodBeat.i(63972);
        if (this.b != null) {
            this.b.destroy();
            AppMethodBeat.o(63972);
            return;
        }
        Iterator it = this.c.iterator();
        while (it.hasNext()) {
            WeakReference weakReference = (WeakReference) it.next();
            if (weakReference.get() != null) {
                ((a) weakReference.get()).destroy();
            }
        }
        AppMethodBeat.o(63972);
    }

    public final Looper getLooper() {
        AppMethodBeat.i(63973);
        Looper looper;
        if (this.b != null) {
            looper = this.b.getLooper();
            AppMethodBeat.o(63973);
            return looper;
        }
        looper = Looper.myLooper();
        AppMethodBeat.o(63973);
        return looper;
    }

    public final boolean isFallback() {
        return this.b == null;
    }

    public final void onPause() {
        AppMethodBeat.i(63974);
        if (this.b != null) {
            this.b.onPause();
            AppMethodBeat.o(63974);
            return;
        }
        Iterator it = this.c.iterator();
        while (it.hasNext()) {
            WeakReference weakReference = (WeakReference) it.next();
            if (weakReference.get() != null) {
                ((a) weakReference.get()).a();
            }
        }
        AppMethodBeat.o(63974);
    }

    public final void onResume() {
        AppMethodBeat.i(63975);
        if (this.b != null) {
            this.b.onResume();
            AppMethodBeat.o(63975);
            return;
        }
        Iterator it = this.c.iterator();
        while (it.hasNext()) {
            WeakReference weakReference = (WeakReference) it.next();
            if (weakReference.get() != null) {
                ((a) weakReference.get()).b();
            }
        }
        AppMethodBeat.o(63975);
    }
}
