package com.tencent.smtt.sdk;

import android.annotation.TargetApi;
import android.content.Context;
import android.os.Build;
import android.os.Build.VERSION;
import android.os.Handler;
import android.os.HandlerThread;
import android.os.Message;
import android.text.TextUtils;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.opensdk.channel.MMessageActV2;
import com.tencent.mm.plugin.appbrand.jsapi.g.c;
import com.tencent.mm.plugin.appbrand.jsapi.o.g;
import com.tencent.smtt.sdk.TbsLogReport.EventType;
import com.tencent.smtt.sdk.TbsLogReport.TbsLogInfo;
import com.tencent.smtt.utils.TbsLog;
import com.tencent.smtt.utils.a;
import com.tencent.smtt.utils.b;
import com.tencent.smtt.utils.k;
import com.tencent.smtt.utils.n;
import com.tencent.smtt.utils.v;
import java.io.File;
import java.util.Locale;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import org.json.JSONArray;
import org.json.JSONObject;

public class TbsDownloader {
    public static final boolean DEBUG_DISABLE_DOWNLOAD = false;
    public static boolean DOWNLOAD_OVERSEA_TBS = false;
    public static final String LOGTAG = "TbsDownload";
    public static final String TBS_METADATA = "com.tencent.mm.BuildInfo.CLIENT_VERSION";
    static boolean a;
    private static String b;
    private static Context c;
    private static Handler d;
    private static String e;
    private static Object f = new byte[0];
    private static ag g;
    private static HandlerThread h;
    private static boolean i = false;
    private static boolean j = false;
    private static boolean k = false;
    private static long l = -1;

    protected static File a(int i) {
        AppMethodBeat.i(64380);
        File file = null;
        for (String str : TbsShareManager.getCoreProviderAppList()) {
            if (!str.equals(c.getApplicationInfo().packageName)) {
                file = new File(k.a(c, str, 4, false), getOverSea(c) ? "x5.oversea.tbs.org" : "x5.tbs.org");
                if (!file.exists()) {
                    TbsLog.i(LOGTAG, "can not find local backup core file");
                } else if (a.a(c, file) == i) {
                    TbsLog.i(LOGTAG, "local tbs version fond,path = " + file.getAbsolutePath());
                    break;
                } else {
                    TbsLog.i(LOGTAG, "version is not match");
                }
            }
        }
        AppMethodBeat.o(64380);
        return file;
    }

    static String a(Context context) {
        AppMethodBeat.i(64377);
        String str;
        if (TextUtils.isEmpty(b)) {
            Locale locale = Locale.getDefault();
            StringBuffer stringBuffer = new StringBuffer();
            String str2 = VERSION.RELEASE;
            try {
                str = new String(str2.getBytes("UTF-8"), "ISO8859-1");
            } catch (Exception e) {
                str = str2;
            }
            if (str == null) {
                stringBuffer.append("1.0");
            } else if (str.length() > 0) {
                stringBuffer.append(str);
            } else {
                stringBuffer.append("1.0");
            }
            stringBuffer.append("; ");
            str = locale.getLanguage();
            if (str != null) {
                stringBuffer.append(str.toLowerCase());
                str = locale.getCountry();
                if (str != null) {
                    stringBuffer.append("-");
                    stringBuffer.append(str.toLowerCase());
                }
            } else {
                stringBuffer.append("en");
            }
            if ("REL".equals(VERSION.CODENAME)) {
                str2 = Build.MODEL;
                try {
                    str = new String(str2.getBytes("UTF-8"), "ISO8859-1");
                } catch (Exception e2) {
                    str = str2;
                }
                if (str == null) {
                    stringBuffer.append("; ");
                } else if (str.length() > 0) {
                    stringBuffer.append("; ");
                    stringBuffer.append(str);
                }
            }
            str = (Build.ID == null ? "" : Build.ID).replaceAll("[一-龥]", "");
            if (str == null) {
                stringBuffer.append(" Build/");
                stringBuffer.append("00");
            } else if (str.length() > 0) {
                stringBuffer.append(" Build/");
                stringBuffer.append(str);
            }
            str = String.format("Mozilla/5.0 (Linux; U; Android %s) AppleWebKit/533.1 (KHTML, like Gecko)Version/4.0 Mobile Safari/533.1", new Object[]{stringBuffer});
            b = str;
            AppMethodBeat.o(64377);
            return str;
        }
        str = b;
        AppMethodBeat.o(64377);
        return str;
    }

    private static String a(String str) {
        return str == null ? "" : str;
    }

    private static void a(JSONArray jSONArray) {
        AppMethodBeat.i(64367);
        for (String str : e()) {
            int sharedTbsCoreVersion = TbsShareManager.getSharedTbsCoreVersion(c, str);
            if (sharedTbsCoreVersion > 0) {
                Context packageContext = TbsShareManager.getPackageContext(c, str, true);
                if (packageContext == null || an.a().f(packageContext)) {
                    boolean z;
                    for (int i = 0; i < jSONArray.length(); i++) {
                        if (jSONArray.optInt(i) == sharedTbsCoreVersion) {
                            z = true;
                            break;
                        }
                    }
                    z = false;
                    if (!z) {
                        jSONArray.put(sharedTbsCoreVersion);
                    }
                } else {
                    TbsLog.e(LOGTAG, "host check failed,packageName = ".concat(String.valueOf(str)));
                }
            }
        }
        AppMethodBeat.o(64367);
    }

    private static void a(boolean z, TbsDownloaderCallback tbsDownloaderCallback) {
        int i = 0;
        AppMethodBeat.i(64364);
        TbsLog.i(LOGTAG, "[TbsDownloader.queryConfig]");
        d.removeMessages(100);
        Message obtain = Message.obtain(d, 100);
        if (tbsDownloaderCallback != null) {
            obtain.obj = tbsDownloaderCallback;
        }
        obtain.arg1 = 0;
        if (z) {
            i = 1;
        }
        obtain.arg1 = i;
        obtain.sendToTarget();
        AppMethodBeat.o(64364);
    }

    private static boolean a(Context context, boolean z, TbsDownloaderCallback tbsDownloaderCallback) {
        Matcher matcher = null;
        AppMethodBeat.i(64351);
        TbsDownloadConfig instance = TbsDownloadConfig.getInstance(context);
        if (VERSION.SDK_INT < 8) {
            instance.setDownloadInterruptCode(-102);
            AppMethodBeat.o(64351);
            return false;
        }
        if (!instance.mPreferences.contains("is_oversea")) {
            if (z && !MMessageActV2.MM_ENTRY_PACKAGE_NAME.equals(context.getApplicationInfo().packageName)) {
                TbsLog.i(LOGTAG, "needDownload-oversea is true, but not WX");
                z = false;
            }
            instance.a.put("is_oversea", Boolean.valueOf(z));
            instance.commit();
            j = z;
            TbsLog.i(LOGTAG, "needDownload-first-called--isoversea = ".concat(String.valueOf(z)));
        }
        if (!getOverSea(context) || VERSION.SDK_INT == 16 || VERSION.SDK_INT == 17 || VERSION.SDK_INT == 18) {
            String string = instance.mPreferences.getString("device_cpuabi", matcher);
            e = string;
            if (!TextUtils.isEmpty(string)) {
                try {
                    matcher = Pattern.compile("i686|mips|x86_64").matcher(e);
                } catch (Exception e) {
                }
                if (matcher != null && matcher.find()) {
                    if (tbsDownloaderCallback != null) {
                        tbsDownloaderCallback.onNeedDownloadFinish(false, 0);
                    }
                    instance.setDownloadInterruptCode(-104);
                    AppMethodBeat.o(64351);
                    return false;
                }
            }
            AppMethodBeat.o(64351);
            return true;
        }
        TbsLog.i(LOGTAG, "needDownload- return false,  because of  version is " + VERSION.SDK_INT + ", and overea");
        if (tbsDownloaderCallback != null) {
            tbsDownloaderCallback.onNeedDownloadFinish(false, 0);
        }
        instance.setDownloadInterruptCode(-103);
        AppMethodBeat.o(64351);
        return false;
    }

    private static boolean a(Context context, boolean z, boolean z2) {
        boolean z3;
        TbsLogInfo tbsLogInfo;
        AppMethodBeat.i(64350);
        TbsDownloadConfig instance = TbsDownloadConfig.getInstance(context);
        String str = null;
        if (!z) {
            String string = instance.mPreferences.getString("app_versionname", null);
            int i = instance.mPreferences.getInt("app_versioncode", 0);
            String string2 = instance.mPreferences.getString("app_metadata", null);
            String a = b.a(c);
            int b = b.b(c);
            String a2 = b.a(c, TBS_METADATA);
            TbsLog.i(LOGTAG, "[TbsDownloader.needSendQueryRequest] appVersionName=" + a + " oldAppVersionName=" + string + " appVersionCode=" + b + " oldAppVersionCode=" + i + " appMetadata=" + a2 + " oldAppVersionMetadata=" + string2);
            long currentTimeMillis = System.currentTimeMillis();
            long j = instance.mPreferences.getLong("last_check", 0);
            TbsLog.i(LOGTAG, "[TbsDownloader.needSendQueryRequest] timeLastCheck=" + j + " timeNow=" + currentTimeMillis);
            if (z2) {
                boolean contains = instance.mPreferences.contains("last_check");
                TbsLog.i(LOGTAG, "[TbsDownloader.needSendQueryRequest] hasLaskCheckKey=".concat(String.valueOf(contains)));
                if (contains && j == 0) {
                    j = currentTimeMillis;
                }
            }
            long j2 = instance.mPreferences.getLong("last_request_success", 0);
            long j3 = instance.mPreferences.getLong("count_request_fail_in_24hours", 0);
            long retryInterval = instance.getRetryInterval();
            TbsLog.i(LOGTAG, "retryInterval = " + retryInterval + " s");
            TbsPVConfig.releaseInstance();
            int emergentCoreVersion = TbsPVConfig.getInstance(c).getEmergentCoreVersion();
            int i2 = TbsDownloadConfig.getInstance(c).mPreferences.getInt("tbs_download_version", 0);
            if (currentTimeMillis - j <= 1000 * retryInterval && ((emergentCoreVersion <= an.a().j(c) || emergentCoreVersion <= i2) && (!TbsShareManager.isThirdPartyApp(c) || j2 <= 0 || currentTimeMillis - j2 <= retryInterval * 1000 || j3 >= 11))) {
                if (TbsShareManager.isThirdPartyApp(c) && TbsShareManager.findCoreForThirdPartyApp(c) == 0 && !d()) {
                    an.a().d(c);
                    z3 = true;
                    tbsLogInfo = TbsLogReport.getInstance(c).tbsLogInfo();
                    tbsLogInfo.setErrorCode(-119);
                    tbsLogInfo.setFailDetail(str);
                    TbsLogReport.getInstance(c).eventReport(EventType.TYPE_DOWNLOAD, tbsLogInfo);
                    AppMethodBeat.o(64350);
                    return z3;
                }
                String str2;
                if (a == null || b == 0 || a2 == null) {
                    if (TbsShareManager.isThirdPartyApp(c)) {
                        str2 = "timeNow - timeLastCheck is " + (currentTimeMillis - j) + " TbsShareManager.findCoreForThirdPartyApp(sAppContext) is " + TbsShareManager.findCoreForThirdPartyApp(c) + " sendRequestWithSameHostCoreVersion() is " + d() + " appVersionName is " + a + " appVersionCode is " + b + " appMetadata is " + a2 + " oldAppVersionName is " + string + " oldAppVersionCode is " + i + " oldAppVersionMetadata is " + string2;
                    }
                    str2 = null;
                } else {
                    if (!(a.equals(string) && b == i && a2.equals(string2))) {
                        z3 = true;
                        if (!z3 && TbsShareManager.isThirdPartyApp(c)) {
                            tbsLogInfo = TbsLogReport.getInstance(c).tbsLogInfo();
                            tbsLogInfo.setErrorCode(-119);
                            tbsLogInfo.setFailDetail(str);
                            TbsLogReport.getInstance(c).eventReport(EventType.TYPE_DOWNLOAD, tbsLogInfo);
                        }
                        AppMethodBeat.o(64350);
                        return z3;
                    }
                    str2 = null;
                }
                str = str2;
                z3 = false;
                tbsLogInfo = TbsLogReport.getInstance(c).tbsLogInfo();
                tbsLogInfo.setErrorCode(-119);
                tbsLogInfo.setFailDetail(str);
                TbsLogReport.getInstance(c).eventReport(EventType.TYPE_DOWNLOAD, tbsLogInfo);
                AppMethodBeat.o(64350);
                return z3;
            }
        }
        z3 = true;
        tbsLogInfo = TbsLogReport.getInstance(c).tbsLogInfo();
        tbsLogInfo.setErrorCode(-119);
        tbsLogInfo.setFailDetail(str);
        TbsLogReport.getInstance(c).eventReport(EventType.TYPE_DOWNLOAD, tbsLogInfo);
        AppMethodBeat.o(64350);
        return z3;
    }

    /* JADX WARNING: Missing block: B:127:0x0341, code skipped:
            if (r2 > 0) goto L_0x0343;
     */
    @android.annotation.TargetApi(11)
    private static boolean a(java.lang.String r31, int r32, boolean r33, boolean r34) {
        /*
        r2 = 64375; // 0xfb77 float:9.0209E-41 double:3.18055E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r2);
        r2 = "TbsDownload";
        r3 = "[TbsDownloader.readResponse] response=";
        r4 = java.lang.String.valueOf(r31);
        r3 = r3.concat(r4);
        com.tencent.smtt.utils.TbsLog.i(r2, r3);
        r2 = c;
        r14 = com.tencent.smtt.sdk.TbsDownloadConfig.getInstance(r2);
        r2 = android.text.TextUtils.isEmpty(r31);
        if (r2 == 0) goto L_0x0041;
    L_0x0023:
        if (r33 == 0) goto L_0x003b;
    L_0x0025:
        r2 = -108; // 0xffffffffffffff94 float:NaN double:NaN;
        r14.setDownloadInterruptCode(r2);
    L_0x002a:
        r2 = "TbsDownload";
        r3 = "[TbsDownloader.readResponse] return #1,response is empty...";
        com.tencent.smtt.utils.TbsLog.i(r2, r3);
        r2 = 0;
        r3 = 64375; // 0xfb77 float:9.0209E-41 double:3.18055E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r3);
    L_0x003a:
        return r2;
    L_0x003b:
        r2 = -208; // 0xffffffffffffff30 float:NaN double:NaN;
        r14.setDownloadInterruptCode(r2);
        goto L_0x002a;
    L_0x0041:
        r15 = new org.json.JSONObject;
        r0 = r31;
        r15.<init>(r0);
        r2 = "RET";
        r2 = r15.getInt(r2);
        if (r2 == 0) goto L_0x0077;
    L_0x0051:
        if (r33 == 0) goto L_0x0071;
    L_0x0053:
        r3 = -109; // 0xffffffffffffff93 float:NaN double:NaN;
        r14.setDownloadInterruptCode(r3);
    L_0x0058:
        r3 = "TbsDownload";
        r4 = "[TbsDownloader.readResponse] return #2,returnCode=";
        r2 = java.lang.String.valueOf(r2);
        r2 = r4.concat(r2);
        com.tencent.smtt.utils.TbsLog.i(r3, r2);
        r2 = 0;
        r3 = 64375; // 0xfb77 float:9.0209E-41 double:3.18055E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r3);
        goto L_0x003a;
    L_0x0071:
        r3 = -209; // 0xffffffffffffff2f float:NaN double:NaN;
        r14.setDownloadInterruptCode(r3);
        goto L_0x0058;
    L_0x0077:
        r2 = "RESPONSECODE";
        r16 = r15.getInt(r2);
        r2 = "DOWNLOADURL";
        r17 = r15.getString(r2);
        r2 = "URLLIST";
        r3 = "";
        r18 = r15.optString(r2, r3);
        r2 = "TBSAPKSERVERVERSION";
        r19 = r15.getInt(r2);
        r2 = "DOWNLOADMAXFLOW";
        r20 = r15.getInt(r2);
        r2 = "DOWNLOAD_MIN_FREE_SPACE";
        r21 = r15.getInt(r2);
        r2 = "DOWNLOAD_SUCCESS_MAX_RETRYTIMES";
        r22 = r15.getInt(r2);
        r2 = "DOWNLOAD_FAILED_MAX_RETRYTIMES";
        r23 = r15.getInt(r2);
        r2 = "DOWNLOAD_SINGLE_TIMEOUT";
        r24 = r15.getLong(r2);
        r2 = "TBSAPKFILESIZE";
        r26 = r15.getLong(r2);
        r2 = "RETRY_INTERVAL";
        r4 = 0;
        r12 = r15.optLong(r2, r4);
        r2 = "FLOWCTR";
        r3 = -1;
        r28 = r15.optInt(r2, r3);
        r2 = 0;
        r3 = "USEBBACKUPVER";
        r2 = r15.getInt(r3);	 Catch:{ Exception -> 0x085f }
    L_0x00d9:
        r3 = r14.a;
        r4 = "use_backup_version";
        r2 = java.lang.Integer.valueOf(r2);
        r3.put(r4, r2);
        if (r33 == 0) goto L_0x010b;
    L_0x00e7:
        r2 = com.tencent.smtt.sdk.QbSdk.i;
        if (r2 == 0) goto L_0x010b;
    L_0x00eb:
        r2 = c;
        r2 = com.tencent.smtt.sdk.TbsShareManager.isThirdPartyApp(r2);
        if (r2 == 0) goto L_0x010b;
    L_0x00f3:
        r2 = "BUGLY";
        r3 = 0;
        r2 = r15.optInt(r2, r3);	 Catch:{ Throwable -> 0x0298 }
        r3 = com.tencent.smtt.sdk.TbsExtensionFunctionManager.getInstance();	 Catch:{ Throwable -> 0x0298 }
        r4 = c;	 Catch:{ Throwable -> 0x0298 }
        r5 = "bugly_switch.txt";
        r6 = 1;
        if (r2 != r6) goto L_0x0295;
    L_0x0107:
        r2 = 1;
    L_0x0108:
        r3.setFunctionEnable(r4, r5, r2);	 Catch:{ Throwable -> 0x0298 }
    L_0x010b:
        if (r33 == 0) goto L_0x01a3;
    L_0x010d:
        r2 = "TEMPLATESWITCH";
        r3 = 0;
        r3 = r15.optInt(r2, r3);	 Catch:{ Throwable -> 0x02c1 }
        r2 = r3 & 1;
        if (r2 == 0) goto L_0x02b5;
    L_0x0119:
        r2 = 1;
    L_0x011a:
        r4 = com.tencent.smtt.sdk.TbsExtensionFunctionManager.getInstance();	 Catch:{ Throwable -> 0x02c1 }
        r5 = c;	 Catch:{ Throwable -> 0x02c1 }
        r6 = "cookie_switch.txt";
        r4.setFunctionEnable(r5, r6, r2);	 Catch:{ Throwable -> 0x02c1 }
        r4 = "TbsDownload";
        r5 = "useCookieCompatiable:";
        r2 = java.lang.String.valueOf(r2);	 Catch:{ Throwable -> 0x02c1 }
        r2 = r5.concat(r2);	 Catch:{ Throwable -> 0x02c1 }
        com.tencent.smtt.utils.TbsLog.w(r4, r2);	 Catch:{ Throwable -> 0x02c1 }
        r2 = r3 & 2;
        if (r2 == 0) goto L_0x02b8;
    L_0x013b:
        r2 = 1;
    L_0x013c:
        r4 = com.tencent.smtt.sdk.TbsExtensionFunctionManager.getInstance();	 Catch:{ Throwable -> 0x02c1 }
        r5 = c;	 Catch:{ Throwable -> 0x02c1 }
        r6 = "disable_get_apk_version_switch.txt";
        r4.setFunctionEnable(r5, r6, r2);	 Catch:{ Throwable -> 0x02c1 }
        r4 = "TbsDownload";
        r5 = "disableGetApkVersionByReadFile:";
        r2 = java.lang.String.valueOf(r2);	 Catch:{ Throwable -> 0x02c1 }
        r2 = r5.concat(r2);	 Catch:{ Throwable -> 0x02c1 }
        com.tencent.smtt.utils.TbsLog.w(r4, r2);	 Catch:{ Throwable -> 0x02c1 }
        r2 = r3 & 4;
        if (r2 == 0) goto L_0x02bb;
    L_0x015d:
        r2 = 1;
    L_0x015e:
        r4 = com.tencent.smtt.sdk.TbsExtensionFunctionManager.getInstance();	 Catch:{ Throwable -> 0x02c1 }
        r5 = c;	 Catch:{ Throwable -> 0x02c1 }
        r6 = "disable_unpreinit.txt";
        r4.setFunctionEnable(r5, r6, r2);	 Catch:{ Throwable -> 0x02c1 }
        com.tencent.smtt.sdk.QbSdk.setDisableUnpreinitBySwitch(r2);	 Catch:{ Throwable -> 0x02c1 }
        r4 = "TbsDownload";
        r5 = "disableUnpreinitBySwitch:";
        r2 = java.lang.String.valueOf(r2);	 Catch:{ Throwable -> 0x02c1 }
        r2 = r5.concat(r2);	 Catch:{ Throwable -> 0x02c1 }
        com.tencent.smtt.utils.TbsLog.i(r4, r2);	 Catch:{ Throwable -> 0x02c1 }
        r2 = r3 & 8;
        if (r2 == 0) goto L_0x02be;
    L_0x0182:
        r2 = 1;
    L_0x0183:
        r3 = com.tencent.smtt.sdk.TbsExtensionFunctionManager.getInstance();	 Catch:{ Throwable -> 0x02c1 }
        r4 = c;	 Catch:{ Throwable -> 0x02c1 }
        r5 = "disable_use_host_backup_core.txt";
        r3.setFunctionEnable(r4, r5, r2);	 Catch:{ Throwable -> 0x02c1 }
        com.tencent.smtt.sdk.QbSdk.setDisableUseHostBackupCoreBySwitch(r2);	 Catch:{ Throwable -> 0x02c1 }
        r3 = "TbsDownload";
        r4 = "disableUseHostBackupCoreBySwitch:";
        r2 = java.lang.String.valueOf(r2);	 Catch:{ Throwable -> 0x02c1 }
        r2 = r4.concat(r2);	 Catch:{ Throwable -> 0x02c1 }
        com.tencent.smtt.utils.TbsLog.i(r3, r2);	 Catch:{ Throwable -> 0x02c1 }
    L_0x01a3:
        r10 = 0;
        r9 = 0;
        r4 = 0;
        r8 = 0;
        r7 = 0;
        r6 = 1;
        r3 = 1;
        r5 = "";
        r2 = "PKGMD5";
        r10 = r15.getString(r2);	 Catch:{ Exception -> 0x02e7 }
        r2 = "RESETX5";
        r9 = r15.getInt(r2);	 Catch:{ Exception -> 0x02e7 }
        r2 = "UPLOADLOG";
        r8 = r15.getInt(r2);	 Catch:{ Exception -> 0x02e7 }
        r2 = "RESETTOKEN";
        r2 = r15.has(r2);	 Catch:{ Exception -> 0x02e7 }
        if (r2 == 0) goto L_0x01d6;
    L_0x01cb:
        r2 = "RESETTOKEN";
        r2 = r15.getInt(r2);	 Catch:{ Exception -> 0x02e7 }
        if (r2 == 0) goto L_0x02de;
    L_0x01d4:
        r2 = 1;
    L_0x01d5:
        r7 = r2;
    L_0x01d6:
        r2 = "SETTOKEN";
        r2 = r15.has(r2);	 Catch:{ Exception -> 0x02e7 }
        if (r2 == 0) goto L_0x01e6;
    L_0x01df:
        r2 = "SETTOKEN";
        r5 = r15.getString(r2);	 Catch:{ Exception -> 0x02e7 }
    L_0x01e6:
        r2 = "ENABLE_LOAD_RENAME_FILE_LOCK";
        r2 = r15.has(r2);	 Catch:{ Exception -> 0x02e7 }
        if (r2 == 0) goto L_0x01fa;
    L_0x01ef:
        r2 = "ENABLE_LOAD_RENAME_FILE_LOCK";
        r2 = r15.getInt(r2);	 Catch:{ Exception -> 0x02e7 }
        if (r2 == 0) goto L_0x02e1;
    L_0x01f8:
        r2 = 1;
    L_0x01f9:
        r6 = r2;
    L_0x01fa:
        r2 = "ENABLE_LOAD_RENAME_FILE_LOCK_WAIT";
        r2 = r15.has(r2);	 Catch:{ Exception -> 0x02e7 }
        if (r2 == 0) goto L_0x0868;
    L_0x0203:
        r2 = "ENABLE_LOAD_RENAME_FILE_LOCK_WAIT";
        r2 = r15.getInt(r2);	 Catch:{ Exception -> 0x02e7 }
        if (r2 == 0) goto L_0x02e4;
    L_0x020c:
        r2 = 1;
    L_0x020d:
        r11 = r2;
    L_0x020e:
        r2 = "RESETDECOUPLECORE";
        r2 = r15.getInt(r2);	 Catch:{ Exception -> 0x02ed }
    L_0x0215:
        r3 = 0;
        r4 = "RESETTODECOUPLECORE";
        r3 = r15.getInt(r4);	 Catch:{ Exception -> 0x085c }
    L_0x021d:
        r4 = f;
        monitor-enter(r4);
        if (r7 == 0) goto L_0x0231;
    L_0x0222:
        r7 = r14.a;	 Catch:{ all -> 0x02f1 }
        r29 = "tbs_deskey_token";
        r30 = "";
        r0 = r29;
        r1 = r30;
        r7.put(r0, r1);	 Catch:{ all -> 0x02f1 }
    L_0x0231:
        r7 = android.text.TextUtils.isEmpty(r5);	 Catch:{ all -> 0x02f1 }
        if (r7 != 0) goto L_0x0267;
    L_0x0237:
        r7 = r5.length();	 Catch:{ all -> 0x02f1 }
        r29 = 96;
        r0 = r29;
        if (r7 != r0) goto L_0x0267;
    L_0x0241:
        r7 = new java.lang.StringBuilder;	 Catch:{ all -> 0x02f1 }
        r7.<init>();	 Catch:{ all -> 0x02f1 }
        r5 = r7.append(r5);	 Catch:{ all -> 0x02f1 }
        r7 = "&";
        r5 = r5.append(r7);	 Catch:{ all -> 0x02f1 }
        r7 = com.tencent.smtt.utils.o.c();	 Catch:{ all -> 0x02f1 }
        r5 = r5.append(r7);	 Catch:{ all -> 0x02f1 }
        r5 = r5.toString();	 Catch:{ all -> 0x02f1 }
        r7 = r14.a;	 Catch:{ all -> 0x02f1 }
        r29 = "tbs_deskey_token";
        r0 = r29;
        r7.put(r0, r5);	 Catch:{ all -> 0x02f1 }
    L_0x0267:
        monitor-exit(r4);	 Catch:{ all -> 0x02f1 }
        r4 = 1;
        if (r9 != r4) goto L_0x0304;
    L_0x026b:
        if (r33 == 0) goto L_0x02fa;
    L_0x026d:
        r2 = -110; // 0xffffffffffffff92 float:NaN double:NaN;
        r14.setDownloadInterruptCode(r2);
    L_0x0272:
        r4 = c;
        r2 = 1;
        if (r3 != r2) goto L_0x0301;
    L_0x0277:
        r2 = 1;
    L_0x0278:
        com.tencent.smtt.sdk.QbSdk.reset(r4, r2);
        r2 = "TbsDownload";
        r3 = "[TbsDownloader.readResponse] return #3,needResetTbs=1,isQuery=";
        r4 = java.lang.String.valueOf(r33);
        r3 = r3.concat(r4);
        com.tencent.smtt.utils.TbsLog.i(r2, r3);
        r2 = 0;
        r3 = 64375; // 0xfb77 float:9.0209E-41 double:3.18055E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r3);
        goto L_0x003a;
    L_0x0295:
        r2 = 0;
        goto L_0x0108;
    L_0x0298:
        r2 = move-exception;
        r3 = "qbsdk";
        r4 = new java.lang.StringBuilder;
        r5 = "throwable:";
        r4.<init>(r5);
        r2 = r2.toString();
        r2 = r4.append(r2);
        r2 = r2.toString();
        com.tencent.smtt.utils.TbsLog.i(r3, r2);
        goto L_0x010b;
    L_0x02b5:
        r2 = 0;
        goto L_0x011a;
    L_0x02b8:
        r2 = 0;
        goto L_0x013c;
    L_0x02bb:
        r2 = 0;
        goto L_0x015e;
    L_0x02be:
        r2 = 0;
        goto L_0x0183;
    L_0x02c1:
        r2 = move-exception;
        r3 = "qbsdk";
        r4 = new java.lang.StringBuilder;
        r5 = "throwable:";
        r4.<init>(r5);
        r2 = r2.toString();
        r2 = r4.append(r2);
        r2 = r2.toString();
        com.tencent.smtt.utils.TbsLog.i(r3, r2);
        goto L_0x01a3;
    L_0x02de:
        r2 = 0;
        goto L_0x01d5;
    L_0x02e1:
        r2 = 0;
        goto L_0x01f9;
    L_0x02e4:
        r2 = 0;
        goto L_0x020d;
    L_0x02e7:
        r2 = move-exception;
        r2 = r5;
        r5 = r2;
        r11 = r3;
        goto L_0x020e;
    L_0x02ed:
        r2 = move-exception;
        r2 = r4;
        goto L_0x0215;
    L_0x02f1:
        r2 = move-exception;
        monitor-exit(r4);	 Catch:{ all -> 0x02f1 }
        r3 = 64375; // 0xfb77 float:9.0209E-41 double:3.18055E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r3);
        throw r2;
    L_0x02fa:
        r2 = -210; // 0xffffffffffffff2e float:NaN double:NaN;
        r14.setDownloadInterruptCode(r2);
        goto L_0x0272;
    L_0x0301:
        r2 = 0;
        goto L_0x0278;
    L_0x0304:
        if (r6 != 0) goto L_0x0309;
    L_0x0306:
        r14.setTbsCoreLoadRenameFileLockEnable(r6);
    L_0x0309:
        if (r11 != 0) goto L_0x030e;
    L_0x030b:
        r14.setTbsCoreLoadRenameFileLockWaitEnable(r11);
    L_0x030e:
        r3 = 1;
        if (r2 != r3) goto L_0x0316;
    L_0x0311:
        r2 = c;
        com.tencent.smtt.sdk.QbSdk.resetDecoupleCore(r2);
    L_0x0316:
        r2 = 1;
        if (r8 != r2) goto L_0x032b;
    L_0x0319:
        r2 = d;
        r3 = 104; // 0x68 float:1.46E-43 double:5.14E-322;
        r2.removeMessages(r3);
        r2 = d;
        r3 = 104; // 0x68 float:1.46E-43 double:5.14E-322;
        r2 = android.os.Message.obtain(r2, r3);
        r2.sendToTarget();
    L_0x032b:
        r4 = 86400; // 0x15180 float:1.21072E-40 double:4.26873E-319;
        r2 = 1;
        r0 = r28;
        if (r0 != r2) goto L_0x0862;
    L_0x0333:
        r2 = 604800; // 0x93a80 float:8.47505E-40 double:2.98811E-318;
        r2 = (r12 > r2 ? 1 : (r12 == r2 ? 0 : -1));
        if (r2 <= 0) goto L_0x0865;
    L_0x033a:
        r2 = 604800; // 0x93a80 float:8.47505E-40 double:2.98811E-318;
    L_0x033d:
        r6 = 0;
        r6 = (r2 > r6 ? 1 : (r2 == r6 ? 0 : -1));
        if (r6 <= 0) goto L_0x0862;
    L_0x0343:
        r4 = getRetryIntervalInSeconds();
        r6 = 0;
        r4 = (r4 > r6 ? 1 : (r4 == r6 ? 0 : -1));
        if (r4 < 0) goto L_0x0351;
    L_0x034d:
        r2 = getRetryIntervalInSeconds();
    L_0x0351:
        r4 = r14.a;
        r5 = "retry_interval";
        r2 = java.lang.Long.valueOf(r2);
        r4.put(r5, r2);
        r2 = 0;
        r3 = 0;
        if (r33 == 0) goto L_0x0419;
    L_0x0361:
        r4 = "DECOUPLECOREVERSION";
        r2 = r15.getInt(r4);	 Catch:{ Exception -> 0x0859 }
    L_0x0368:
        r4 = c;	 Catch:{ Exception -> 0x0856 }
        r4 = com.tencent.smtt.sdk.TbsDownloadConfig.getInstance(r4);	 Catch:{ Exception -> 0x0856 }
        r4 = r4.mPreferences;	 Catch:{ Exception -> 0x0856 }
        r5 = "tbs_downloaddecouplecore";
        r6 = 0;
        r3 = r4.getInt(r5, r6);	 Catch:{ Exception -> 0x0856 }
    L_0x0378:
        if (r33 == 0) goto L_0x038e;
    L_0x037a:
        r4 = c;
        r4 = com.tencent.smtt.sdk.TbsShareManager.isThirdPartyApp(r4);
        if (r4 != 0) goto L_0x038e;
    L_0x0382:
        if (r2 != 0) goto L_0x038e;
    L_0x0384:
        r2 = com.tencent.smtt.sdk.an.a();
        r4 = c;
        r2 = r2.i(r4);
    L_0x038e:
        r4 = "TbsDownload";
        r5 = "in response decoupleCoreVersion is ";
        r6 = java.lang.String.valueOf(r2);
        r5 = r5.concat(r6);
        com.tencent.smtt.utils.TbsLog.i(r4, r5);
        r4 = r14.a;
        r5 = "tbs_decouplecoreversion";
        r6 = java.lang.Integer.valueOf(r2);
        r4.put(r5, r6);
        r4 = r14.a;
        r5 = "tbs_downloaddecouplecore";
        r6 = java.lang.Integer.valueOf(r3);
        r4.put(r5, r6);
        r4 = c;
        r4 = com.tencent.smtt.sdk.TbsShareManager.isThirdPartyApp(r4);
        if (r4 != 0) goto L_0x03e2;
    L_0x03bf:
        if (r2 <= 0) goto L_0x042b;
    L_0x03c1:
        r4 = com.tencent.smtt.sdk.an.a();
        r5 = c;
        r4 = r4.i(r5);
        if (r2 == r4) goto L_0x042b;
    L_0x03cd:
        r4 = com.tencent.smtt.sdk.an.a();
        r5 = c;
        r4 = r4.j(r5);
        if (r2 != r4) goto L_0x042b;
    L_0x03d9:
        r2 = com.tencent.smtt.sdk.an.a();
        r4 = c;
        r2.o(r4);
    L_0x03e2:
        r2 = android.text.TextUtils.isEmpty(r17);
        if (r2 == 0) goto L_0x043d;
    L_0x03e8:
        r2 = c;
        r2 = com.tencent.smtt.sdk.TbsShareManager.isThirdPartyApp(r2);
        if (r2 == 0) goto L_0x043d;
    L_0x03f0:
        r2 = r14.a;
        r3 = "tbs_needdownload";
        r4 = java.lang.Boolean.FALSE;
        r2.put(r3, r4);
        r14.commit();
        if (r33 == 0) goto L_0x0407;
    L_0x03ff:
        r2 = c;
        r3 = 0;
        r0 = r19;
        com.tencent.smtt.sdk.TbsShareManager.writeCoreInfoForThirdPartyApp(r2, r0, r3);
    L_0x0407:
        r2 = "TbsDownload";
        r3 = "[TbsDownloader.readResponse] return #4,current app is third app...";
        com.tencent.smtt.utils.TbsLog.i(r2, r3);
        r2 = 0;
        r3 = 64375; // 0xfb77 float:9.0209E-41 double:3.18055E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r3);
        goto L_0x003a;
    L_0x0419:
        r4 = c;	 Catch:{ Exception -> 0x0859 }
        r4 = com.tencent.smtt.sdk.TbsDownloadConfig.getInstance(r4);	 Catch:{ Exception -> 0x0859 }
        r4 = r4.mPreferences;	 Catch:{ Exception -> 0x0859 }
        r5 = "tbs_decouplecoreversion";
        r6 = 0;
        r2 = r4.getInt(r5, r6);	 Catch:{ Exception -> 0x0859 }
        goto L_0x0368;
    L_0x042b:
        if (r2 != 0) goto L_0x03e2;
    L_0x042d:
        r2 = com.tencent.smtt.sdk.an.a();	 Catch:{ Throwable -> 0x043b }
        r4 = c;	 Catch:{ Throwable -> 0x043b }
        r2 = r2.q(r4);	 Catch:{ Throwable -> 0x043b }
        com.tencent.smtt.utils.k.b(r2);	 Catch:{ Throwable -> 0x043b }
        goto L_0x03e2;
    L_0x043b:
        r2 = move-exception;
        goto L_0x03e2;
    L_0x043d:
        r2 = "TbsDownload";
        r4 = "in response responseCode is ";
        r5 = java.lang.String.valueOf(r16);
        r4 = r4.concat(r5);
        com.tencent.smtt.utils.TbsLog.i(r2, r4);
        if (r16 != 0) goto L_0x04aa;
    L_0x0450:
        r2 = r14.a;
        r3 = "tbs_responsecode";
        r4 = java.lang.Integer.valueOf(r16);
        r2.put(r3, r4);
        r2 = r14.a;
        r3 = "tbs_needdownload";
        r4 = java.lang.Boolean.FALSE;
        r2.put(r3, r4);
        if (r33 == 0) goto L_0x0496;
    L_0x0468:
        r2 = r14.a;
        r3 = "tbs_download_interrupt_code_reason";
        r4 = -111; // 0xffffffffffffff91 float:NaN double:NaN;
        r4 = java.lang.Integer.valueOf(r4);
        r2.put(r3, r4);
    L_0x0476:
        r14.commit();
        r2 = c;
        r2 = com.tencent.smtt.sdk.TbsShareManager.isThirdPartyApp(r2);
        if (r2 != 0) goto L_0x0484;
    L_0x0481:
        startDecoupleCoreIfNeeded();
    L_0x0484:
        r2 = "TbsDownload";
        r3 = "[TbsDownloader.readResponse] return #5,responseCode=0";
        com.tencent.smtt.utils.TbsLog.i(r2, r3);
        r2 = 0;
        r3 = 64375; // 0xfb77 float:9.0209E-41 double:3.18055E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r3);
        goto L_0x003a;
    L_0x0496:
        r2 = r14.a;
        r3 = "tbs_download_interrupt_code_reason";
        r4 = -211; // 0xffffffffffffff2d float:NaN double:NaN;
        r4 = java.lang.Integer.valueOf(r4);
        r2.put(r3, r4);
        r2 = -211; // 0xffffffffffffff2d float:NaN double:NaN;
        r14.setDownloadInterruptCode(r2);
        goto L_0x0476;
    L_0x04aa:
        r2 = c;
        r2 = com.tencent.smtt.sdk.TbsDownloadConfig.getInstance(r2);
        r2 = r2.mPreferences;
        r4 = "tbs_download_version";
        r5 = 0;
        r4 = r2.getInt(r4, r5);
        r0 = r19;
        if (r4 <= r0) goto L_0x04cc;
    L_0x04be:
        r2 = g;
        r2.d();
        r2 = com.tencent.smtt.sdk.an.a();
        r5 = c;
        r2.p(r5);
    L_0x04cc:
        r2 = 0;
        r5 = c;
        r5 = com.tencent.smtt.sdk.TbsShareManager.isThirdPartyApp(r5);
        if (r5 != 0) goto L_0x0507;
    L_0x04d5:
        r5 = com.tencent.smtt.sdk.an.a();
        r6 = c;
        r5 = r5.h(r6);
        r0 = r19;
        if (r5 < r0) goto L_0x04e4;
    L_0x04e3:
        r2 = 1;
    L_0x04e4:
        r6 = "TbsDownload";
        r7 = new java.lang.StringBuilder;
        r8 = "tmpCoreVersion is ";
        r7.<init>(r8);
        r5 = r7.append(r5);
        r7 = " tbsDownloadVersion is";
        r5 = r5.append(r7);
        r0 = r19;
        r5 = r5.append(r0);
        r5 = r5.toString();
        com.tencent.smtt.utils.TbsLog.i(r6, r5);
    L_0x0507:
        r0 = r32;
        r1 = r19;
        if (r0 >= r1) goto L_0x0515;
    L_0x050d:
        r5 = android.text.TextUtils.isEmpty(r17);
        if (r5 != 0) goto L_0x0515;
    L_0x0513:
        if (r2 == 0) goto L_0x05df;
    L_0x0515:
        r2 = 1;
        if (r3 == r2) goto L_0x05df;
    L_0x0518:
        r2 = r14.a;
        r3 = "tbs_needdownload";
        r5 = java.lang.Boolean.FALSE;
        r2.put(r3, r5);
        if (r33 == 0) goto L_0x05b6;
    L_0x0524:
        r2 = android.text.TextUtils.isEmpty(r17);
        if (r2 == 0) goto L_0x0581;
    L_0x052a:
        r2 = r14.a;
        r3 = "tbs_download_interrupt_code_reason";
        r5 = -124; // 0xffffffffffffff84 float:NaN double:NaN;
        r5 = java.lang.Integer.valueOf(r5);
        r2.put(r3, r5);
    L_0x0538:
        r14.commit();
        r2 = "TbsDownload";
        r3 = new java.lang.StringBuilder;
        r5 = "version error or downloadUrl empty ,return ahead tbsLocalVersion=";
        r3.<init>(r5);
        r0 = r32;
        r3 = r3.append(r0);
        r5 = " tbsDownloadVersion=";
        r3 = r3.append(r5);
        r0 = r19;
        r3 = r3.append(r0);
        r5 = " tbsLastDownloadVersion=";
        r3 = r3.append(r5);
        r3 = r3.append(r4);
        r4 = " downloadUrl=";
        r3 = r3.append(r4);
        r0 = r17;
        r3 = r3.append(r0);
        r3 = r3.toString();
        com.tencent.smtt.utils.TbsLog.i(r2, r3);
        r2 = 0;
        r3 = 64375; // 0xfb77 float:9.0209E-41 double:3.18055E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r3);
        goto L_0x003a;
    L_0x0581:
        if (r19 > 0) goto L_0x0592;
    L_0x0583:
        r2 = r14.a;
        r3 = "tbs_download_interrupt_code_reason";
        r5 = -125; // 0xffffffffffffff83 float:NaN double:NaN;
        r5 = java.lang.Integer.valueOf(r5);
        r2.put(r3, r5);
        goto L_0x0538;
    L_0x0592:
        r0 = r32;
        r1 = r19;
        if (r0 < r1) goto L_0x05a7;
    L_0x0598:
        r2 = r14.a;
        r3 = "tbs_download_interrupt_code_reason";
        r5 = -127; // 0xffffffffffffff81 float:NaN double:NaN;
        r5 = java.lang.Integer.valueOf(r5);
        r2.put(r3, r5);
        goto L_0x0538;
    L_0x05a7:
        r2 = r14.a;
        r3 = "tbs_download_interrupt_code_reason";
        r5 = -112; // 0xffffffffffffff90 float:NaN double:NaN;
        r5 = java.lang.Integer.valueOf(r5);
        r2.put(r3, r5);
        goto L_0x0538;
    L_0x05b6:
        r2 = -212; // 0xffffffffffffff2c float:NaN double:NaN;
        r3 = android.text.TextUtils.isEmpty(r17);
        if (r3 == 0) goto L_0x05d1;
    L_0x05be:
        r2 = -217; // 0xffffffffffffff27 float:NaN double:NaN;
    L_0x05c0:
        r3 = r14.a;
        r5 = "tbs_download_interrupt_code_reason";
        r6 = java.lang.Integer.valueOf(r2);
        r3.put(r5, r6);
        r14.setDownloadInterruptCode(r2);
        goto L_0x0538;
    L_0x05d1:
        if (r19 > 0) goto L_0x05d6;
    L_0x05d3:
        r2 = -218; // 0xffffffffffffff26 float:NaN double:NaN;
        goto L_0x05c0;
    L_0x05d6:
        r0 = r32;
        r1 = r19;
        if (r0 < r1) goto L_0x05c0;
    L_0x05dc:
        r2 = -219; // 0xffffffffffffff25 float:NaN double:NaN;
        goto L_0x05c0;
    L_0x05df:
        r2 = r14.mPreferences;
        r4 = "tbs_downloadurl";
        r5 = 0;
        r2 = r2.getString(r4, r5);
        r0 = r17;
        r2 = r0.equals(r2);
        if (r2 != 0) goto L_0x0610;
    L_0x05f1:
        r2 = g;
        r2.d();
        r2 = r14.a;
        r4 = "tbs_download_failed_retrytimes";
        r5 = 0;
        r5 = java.lang.Integer.valueOf(r5);
        r2.put(r4, r5);
        r2 = r14.a;
        r4 = "tbs_download_success_retrytimes";
        r5 = 0;
        r5 = java.lang.Integer.valueOf(r5);
        r2.put(r4, r5);
    L_0x0610:
        r2 = r14.a;
        r4 = "tbs_download_version";
        r5 = java.lang.Integer.valueOf(r19);
        r2.put(r4, r5);
        r2 = "TbsDownload";
        r4 = "put KEY_TBS_DOWNLOAD_V is ";
        r5 = java.lang.String.valueOf(r19);
        r4 = r4.concat(r5);
        com.tencent.smtt.utils.TbsLog.i(r2, r4);
        if (r19 <= 0) goto L_0x0650;
    L_0x062f:
        r2 = 1;
        if (r3 != r2) goto L_0x0719;
    L_0x0632:
        r2 = r14.a;
        r4 = "tbs_download_version_type";
        r5 = 1;
        r5 = java.lang.Integer.valueOf(r5);
        r2.put(r4, r5);
    L_0x063f:
        r2 = "TbsDownload";
        r4 = "put KEY_TBS_DOWNLOAD_V_TYPE is ";
        r3 = java.lang.String.valueOf(r3);
        r3 = r4.concat(r3);
        com.tencent.smtt.utils.TbsLog.i(r2, r3);
    L_0x0650:
        r2 = r14.a;
        r3 = "tbs_downloadurl";
        r0 = r17;
        r2.put(r3, r0);
        r2 = r14.a;
        r3 = "tbs_downloadurl_list";
        r0 = r18;
        r2.put(r3, r0);
        r2 = r14.a;
        r3 = "tbs_responsecode";
        r4 = java.lang.Integer.valueOf(r16);
        r2.put(r3, r4);
        r2 = r14.a;
        r3 = "tbs_download_maxflow";
        r4 = java.lang.Integer.valueOf(r20);
        r2.put(r3, r4);
        r2 = r14.a;
        r3 = "tbs_download_min_free_space";
        r4 = java.lang.Integer.valueOf(r21);
        r2.put(r3, r4);
        r2 = r14.a;
        r3 = "tbs_download_success_max_retrytimes";
        r4 = java.lang.Integer.valueOf(r22);
        r2.put(r3, r4);
        r2 = r14.a;
        r3 = "tbs_download_failed_max_retrytimes";
        r4 = java.lang.Integer.valueOf(r23);
        r2.put(r3, r4);
        r2 = r14.a;
        r3 = "tbs_single_timeout";
        r4 = java.lang.Long.valueOf(r24);
        r2.put(r3, r4);
        r2 = r14.a;
        r3 = "tbs_apkfilesize";
        r4 = java.lang.Long.valueOf(r26);
        r2.put(r3, r4);
        r14.commit();
        if (r10 == 0) goto L_0x06c5;
    L_0x06bd:
        r2 = r14.a;
        r3 = "tbs_apk_md5";
        r2.put(r3, r10);
    L_0x06c5:
        if (r34 != 0) goto L_0x073c;
    L_0x06c7:
        r2 = com.tencent.smtt.sdk.an.a();
        r3 = c;
        r0 = r19;
        r2 = r2.b(r3, r0);
        if (r2 == 0) goto L_0x073c;
    L_0x06d5:
        if (r33 == 0) goto L_0x0728;
    L_0x06d7:
        r2 = r14.a;
        r3 = "tbs_download_interrupt_code_reason";
        r4 = -113; // 0xffffffffffffff8f float:NaN double:NaN;
        r4 = java.lang.Integer.valueOf(r4);
        r2.put(r3, r4);
    L_0x06e5:
        r2 = r14.a;
        r3 = "tbs_needdownload";
        r4 = java.lang.Boolean.FALSE;
        r2.put(r3, r4);
        r2 = "TbsDownload";
        r3 = "[TbsDownloader.readResponse] ##6 set needDownload=false";
        com.tencent.smtt.utils.TbsLog.i(r2, r3);
    L_0x06f8:
        r2 = "stop_pre_oat";
        r3 = 0;
        r2 = r15.optInt(r2, r3);
        r3 = 1;
        if (r2 != r3) goto L_0x070d;
    L_0x0703:
        r2 = r14.a;
        r3 = "tbs_stop_preoat";
        r4 = java.lang.Boolean.TRUE;
        r2.put(r3, r4);
    L_0x070d:
        r14.commit();
        r2 = 1;
        r3 = 64375; // 0xfb77 float:9.0209E-41 double:3.18055E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r3);
        goto L_0x003a;
    L_0x0719:
        r2 = r14.a;
        r4 = "tbs_download_version_type";
        r5 = 0;
        r5 = java.lang.Integer.valueOf(r5);
        r2.put(r4, r5);
        goto L_0x063f;
    L_0x0728:
        r2 = r14.a;
        r3 = "tbs_download_interrupt_code_reason";
        r4 = -213; // 0xffffffffffffff2b float:NaN double:NaN;
        r4 = java.lang.Integer.valueOf(r4);
        r2.put(r3, r4);
        r2 = -213; // 0xffffffffffffff2b float:NaN double:NaN;
        r14.setDownloadInterruptCode(r2);
        goto L_0x06e5;
    L_0x073c:
        if (r34 != 0) goto L_0x07ba;
    L_0x073e:
        r3 = g;
        r2 = 1;
        r0 = r16;
        if (r0 == r2) goto L_0x074a;
    L_0x0745:
        r2 = 2;
        r0 = r16;
        if (r0 != r2) goto L_0x07ac;
    L_0x074a:
        r2 = 1;
    L_0x074b:
        r0 = r34;
        r2 = r3.a(r0, r2);
        if (r2 == 0) goto L_0x07ba;
    L_0x0753:
        r2 = r14.a;
        r3 = "tbs_needdownload";
        r4 = java.lang.Boolean.FALSE;
        r2.put(r3, r4);
        r2 = c;
        r2 = com.tencent.smtt.sdk.TbsLogReport.getInstance(r2);
        r2 = r2.tbsLogInfo();
        r3 = 100;
        r2.setErrorCode(r3);
        r3 = new java.lang.StringBuilder;
        r4 = "use local backup apk in needDownload";
        r3.<init>(r4);
        r4 = g;
        r4 = r4.a;
        r3 = r3.append(r4);
        r3 = r3.toString();
        r2.setFailDetail(r3);
        r3 = c;
        r3 = com.tencent.smtt.sdk.TbsDownloadConfig.getInstance(r3);
        r3 = r3.mPreferences;
        r4 = "tbs_downloaddecouplecore";
        r5 = 0;
        r3 = r3.getInt(r4, r5);
        r4 = 1;
        if (r3 != r4) goto L_0x07ae;
    L_0x0796:
        r3 = c;
        r3 = com.tencent.smtt.sdk.TbsLogReport.getInstance(r3);
        r4 = com.tencent.smtt.sdk.TbsLogReport.EventType.TYPE_DOWNLOAD_DECOUPLE;
        r3.eventReport(r4, r2);
    L_0x07a1:
        r2 = "TbsDownload";
        r3 = "[TbsDownloader.readResponse] ##7 set needDownload=false";
        com.tencent.smtt.utils.TbsLog.i(r2, r3);
        goto L_0x06f8;
    L_0x07ac:
        r2 = 0;
        goto L_0x074b;
    L_0x07ae:
        r3 = c;
        r3 = com.tencent.smtt.sdk.TbsLogReport.getInstance(r3);
        r4 = com.tencent.smtt.sdk.TbsLogReport.EventType.TYPE_DOWNLOAD;
        r3.eventReport(r4, r2);
        goto L_0x07a1;
    L_0x07ba:
        r2 = c;
        r2 = com.tencent.smtt.sdk.TbsDownloadConfig.getInstance(r2);
        r2 = r2.mPreferences;
        r3 = "tbs_download_version_type";
        r4 = 0;
        r2 = r2.getInt(r3, r4);
        r3 = 1;
        if (r2 != r3) goto L_0x083a;
    L_0x07cd:
        r2 = g;
        r2 = r2.a();
        if (r2 == 0) goto L_0x083a;
    L_0x07d5:
        r2 = r14.a;
        r3 = "tbs_needdownload";
        r4 = java.lang.Boolean.FALSE;
        r2.put(r3, r4);
        r2 = c;
        r2 = com.tencent.smtt.sdk.TbsLogReport.getInstance(r2);
        r2 = r2.tbsLogInfo();
        r3 = 100;
        r2.setErrorCode(r3);
        r3 = new java.lang.StringBuilder;
        r4 = "installDecoupleCoreFromBackup";
        r3.<init>(r4);
        r4 = g;
        r4 = r4.a;
        r3 = r3.append(r4);
        r3 = r3.toString();
        r2.setFailDetail(r3);
        r3 = c;
        r3 = com.tencent.smtt.sdk.TbsDownloadConfig.getInstance(r3);
        r3 = r3.mPreferences;
        r4 = "tbs_downloaddecouplecore";
        r5 = 0;
        r3 = r3.getInt(r4, r5);
        r4 = 1;
        if (r3 != r4) goto L_0x082e;
    L_0x0818:
        r3 = c;
        r3 = com.tencent.smtt.sdk.TbsLogReport.getInstance(r3);
        r4 = com.tencent.smtt.sdk.TbsLogReport.EventType.TYPE_DOWNLOAD_DECOUPLE;
        r3.eventReport(r4, r2);
    L_0x0823:
        r2 = "TbsDownload";
        r3 = "[TbsDownloader.readResponse] ##8 set needDownload=false";
        com.tencent.smtt.utils.TbsLog.i(r2, r3);
        goto L_0x06f8;
    L_0x082e:
        r3 = c;
        r3 = com.tencent.smtt.sdk.TbsLogReport.getInstance(r3);
        r4 = com.tencent.smtt.sdk.TbsLogReport.EventType.TYPE_DOWNLOAD;
        r3.eventReport(r4, r2);
        goto L_0x0823;
    L_0x083a:
        if (r33 != 0) goto L_0x0841;
    L_0x083c:
        r2 = -216; // 0xffffffffffffff28 float:NaN double:NaN;
        r14.setDownloadInterruptCode(r2);
    L_0x0841:
        r2 = r14.a;
        r3 = "tbs_needdownload";
        r4 = java.lang.Boolean.TRUE;
        r2.put(r3, r4);
        r2 = "TbsDownload";
        r3 = "[TbsDownloader.readResponse] ##9 set needDownload=true";
        com.tencent.smtt.utils.TbsLog.i(r2, r3);
        goto L_0x06f8;
    L_0x0856:
        r4 = move-exception;
        goto L_0x0378;
    L_0x0859:
        r4 = move-exception;
        goto L_0x0368;
    L_0x085c:
        r4 = move-exception;
        goto L_0x021d;
    L_0x085f:
        r3 = move-exception;
        goto L_0x00d9;
    L_0x0862:
        r2 = r4;
        goto L_0x0343;
    L_0x0865:
        r2 = r12;
        goto L_0x033d;
    L_0x0868:
        r2 = r3;
        goto L_0x020d;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.smtt.sdk.TbsDownloader.a(java.lang.String, int, boolean, boolean):boolean");
    }

    protected static File b(int i) {
        AppMethodBeat.i(64381);
        String[] coreProviderAppList = TbsShareManager.getCoreProviderAppList();
        File file = null;
        int length = coreProviderAppList.length;
        int i2 = 0;
        while (i2 < length) {
            String str = coreProviderAppList[i2];
            File file2 = new File(k.a(c, str, 4, false), getOverSea(c) ? "x5.oversea.tbs.org" : "x5.tbs.org");
            if (!file2.exists() || a.a(c, file2) != i) {
                file = new File(k.a(c, str, 4, false), "x5.tbs.decouple");
                if (file.exists() && a.a(c, file) == i) {
                    TbsLog.i(LOGTAG, "local tbs version fond,path = " + file.getAbsolutePath());
                    break;
                }
                i2++;
            } else {
                TbsLog.i(LOGTAG, "local tbs version fond,path = " + file2.getAbsolutePath());
                file = file2;
                break;
            }
        }
        AppMethodBeat.o(64381);
        return file;
    }

    /* JADX WARNING: Removed duplicated region for block: B:75:0x02b0 A:{Catch:{ Exception -> 0x02bb }} */
    /* JADX WARNING: Removed duplicated region for block: B:17:0x0099 A:{Catch:{ Exception -> 0x02bb }} */
    /* JADX WARNING: Removed duplicated region for block: B:82:0x02c0 A:{Catch:{ Exception -> 0x02bb }} */
    /* JADX WARNING: Removed duplicated region for block: B:20:0x00a8 A:{Catch:{ Exception -> 0x02bb }} */
    /* JADX WARNING: Removed duplicated region for block: B:89:0x02df A:{Catch:{ Exception -> 0x02bb }} */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x0124 A:{Catch:{ Exception -> 0x02bb }} */
    /* JADX WARNING: Removed duplicated region for block: B:90:0x02e2 A:{Catch:{ Exception -> 0x02bb }} */
    /* JADX WARNING: Removed duplicated region for block: B:28:0x012f A:{Catch:{ Exception -> 0x02bb }} */
    /* JADX WARNING: Removed duplicated region for block: B:31:0x013c A:{Catch:{ Exception -> 0x02bb }} */
    /* JADX WARNING: Removed duplicated region for block: B:34:0x017c A:{Catch:{ Exception -> 0x02bb }} */
    /* JADX WARNING: Removed duplicated region for block: B:94:0x02f4  */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x01c6 A:{Catch:{ Exception -> 0x02bb }} */
    /* JADX WARNING: Removed duplicated region for block: B:49:0x01cb A:{Catch:{ Exception -> 0x02bb }} */
    /* JADX WARNING: Removed duplicated region for block: B:52:0x01da A:{Catch:{ Exception -> 0x02bb }} */
    /* JADX WARNING: Removed duplicated region for block: B:54:0x01e3 A:{Catch:{ Exception -> 0x02bb }} */
    /* JADX WARNING: Removed duplicated region for block: B:97:0x02fd  */
    /* JADX WARNING: Removed duplicated region for block: B:61:0x0221 A:{Catch:{ Exception -> 0x02bb }} */
    /* JADX WARNING: Removed duplicated region for block: B:12:0x008b A:{Catch:{ Exception -> 0x02bb }} */
    /* JADX WARNING: Removed duplicated region for block: B:17:0x0099 A:{Catch:{ Exception -> 0x02bb }} */
    /* JADX WARNING: Removed duplicated region for block: B:75:0x02b0 A:{Catch:{ Exception -> 0x02bb }} */
    /* JADX WARNING: Removed duplicated region for block: B:20:0x00a8 A:{Catch:{ Exception -> 0x02bb }} */
    /* JADX WARNING: Removed duplicated region for block: B:82:0x02c0 A:{Catch:{ Exception -> 0x02bb }} */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x0124 A:{Catch:{ Exception -> 0x02bb }} */
    /* JADX WARNING: Removed duplicated region for block: B:89:0x02df A:{Catch:{ Exception -> 0x02bb }} */
    /* JADX WARNING: Removed duplicated region for block: B:28:0x012f A:{Catch:{ Exception -> 0x02bb }} */
    /* JADX WARNING: Removed duplicated region for block: B:90:0x02e2 A:{Catch:{ Exception -> 0x02bb }} */
    /* JADX WARNING: Removed duplicated region for block: B:31:0x013c A:{Catch:{ Exception -> 0x02bb }} */
    /* JADX WARNING: Removed duplicated region for block: B:34:0x017c A:{Catch:{ Exception -> 0x02bb }} */
    /* JADX WARNING: Removed duplicated region for block: B:42:0x01ba A:{Catch:{ Exception -> 0x02bb }} */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x01c6 A:{Catch:{ Exception -> 0x02bb }} */
    /* JADX WARNING: Removed duplicated region for block: B:94:0x02f4  */
    /* JADX WARNING: Removed duplicated region for block: B:49:0x01cb A:{Catch:{ Exception -> 0x02bb }} */
    /* JADX WARNING: Removed duplicated region for block: B:52:0x01da A:{Catch:{ Exception -> 0x02bb }} */
    /* JADX WARNING: Removed duplicated region for block: B:54:0x01e3 A:{Catch:{ Exception -> 0x02bb }} */
    private static org.json.JSONObject b(boolean r11, boolean r12, boolean r13) {
        /*
        r0 = 64371; // 0xfb73 float:9.0203E-41 double:3.18035E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r0);
        r0 = "TbsDownload";
        r1 = new java.lang.StringBuilder;
        r2 = "[TbsDownloader.postJsonData]isQuery: ";
        r1.<init>(r2);
        r1 = r1.append(r11);
        r2 = " forDecoupleCore is ";
        r1 = r1.append(r2);
        r1 = r1.append(r13);
        r1 = r1.toString();
        com.tencent.smtt.utils.TbsLog.i(r0, r1);
        r0 = c;
        r4 = com.tencent.smtt.sdk.TbsDownloadConfig.getInstance(r0);
        r0 = c;
        r5 = a(r0);
        r0 = c;
        r6 = com.tencent.smtt.utils.b.d(r0);
        r0 = c;
        r7 = com.tencent.smtt.utils.b.c(r0);
        r0 = c;
        r8 = com.tencent.smtt.utils.b.f(r0);
        r0 = "";
        r2 = "";
        r1 = java.util.TimeZone.getDefault();
        r1 = r1.getID();
        if (r1 == 0) goto L_0x0300;
    L_0x0055:
        r3 = r1;
    L_0x0056:
        r0 = c;	 Catch:{ Exception -> 0x020b }
        r9 = "phone";
        r0 = r0.getSystemService(r9);	 Catch:{ Exception -> 0x020b }
        r0 = (android.telephony.TelephonyManager) r0;	 Catch:{ Exception -> 0x020b }
        r0 = (android.telephony.TelephonyManager) r0;	 Catch:{ Exception -> 0x020b }
        if (r0 == 0) goto L_0x020c;
    L_0x0065:
        r0 = r0.getSimCountryIso();	 Catch:{ Exception -> 0x020b }
    L_0x0069:
        if (r0 == 0) goto L_0x02fd;
    L_0x006b:
        r2 = new org.json.JSONObject;
        r2.<init>();
        r1 = "TIMEZONEID";
        r2.put(r1, r3);	 Catch:{ Exception -> 0x02bb }
        r1 = "COUNTRYISO";
        r2.put(r1, r0);	 Catch:{ Exception -> 0x02bb }
        r0 = "PROTOCOLVERSION";
        r1 = 1;
        r2.put(r0, r1);	 Catch:{ Exception -> 0x02bb }
        r0 = c;	 Catch:{ Exception -> 0x02bb }
        r0 = com.tencent.smtt.sdk.TbsShareManager.isThirdPartyApp(r0);	 Catch:{ Exception -> 0x02bb }
        if (r0 == 0) goto L_0x0221;
    L_0x008b:
        r0 = com.tencent.smtt.sdk.QbSdk.c;	 Catch:{ Exception -> 0x02bb }
        if (r0 == 0) goto L_0x020f;
    L_0x008f:
        r0 = c;	 Catch:{ Exception -> 0x02bb }
        r1 = 0;
        r0 = com.tencent.smtt.sdk.TbsShareManager.a(r0, r1);	 Catch:{ Exception -> 0x02bb }
    L_0x0096:
        r1 = r0;
    L_0x0097:
        if (r11 == 0) goto L_0x02b0;
    L_0x0099:
        r0 = "FUNCTION";
        r3 = 2;
        r2.put(r0, r3);	 Catch:{ Exception -> 0x02bb }
    L_0x00a0:
        r0 = c;	 Catch:{ Exception -> 0x02bb }
        r0 = com.tencent.smtt.sdk.TbsShareManager.isThirdPartyApp(r0);	 Catch:{ Exception -> 0x02bb }
        if (r0 == 0) goto L_0x02c0;
    L_0x00a8:
        r0 = f();	 Catch:{ Exception -> 0x02bb }
        r3 = "TBSVLARR";
        r2.put(r3, r0);	 Catch:{ Exception -> 0x02bb }
        r3 = r4.a;	 Catch:{ Exception -> 0x02bb }
        r9 = "last_thirdapp_sendrequest_coreversion";
        r0 = r0.toString();	 Catch:{ Exception -> 0x02bb }
        r3.put(r9, r0);	 Catch:{ Exception -> 0x02bb }
        r4.commit();	 Catch:{ Exception -> 0x02bb }
        r0 = com.tencent.smtt.sdk.QbSdk.c;	 Catch:{ Exception -> 0x02bb }
        if (r0 == 0) goto L_0x00cc;
    L_0x00c5:
        r0 = "THIRDREQ";
        r3 = 1;
        r2.put(r0, r3);	 Catch:{ Exception -> 0x02bb }
    L_0x00cc:
        r0 = c;	 Catch:{ Exception -> 0x02bb }
        r0 = r0.getPackageName();	 Catch:{ Exception -> 0x02bb }
        r3 = "APPN";
        r2.put(r3, r0);	 Catch:{ Exception -> 0x02bb }
        r0 = "APPVN";
        r3 = r4.mPreferences;	 Catch:{ Exception -> 0x02bb }
        r9 = "app_versionname";
        r10 = 0;
        r3 = r3.getString(r9, r10);	 Catch:{ Exception -> 0x02bb }
        r3 = a(r3);	 Catch:{ Exception -> 0x02bb }
        r2.put(r0, r3);	 Catch:{ Exception -> 0x02bb }
        r0 = "APPVC";
        r3 = r4.mPreferences;	 Catch:{ Exception -> 0x02bb }
        r9 = "app_versioncode";
        r10 = 0;
        r3 = r3.getInt(r9, r10);	 Catch:{ Exception -> 0x02bb }
        r2.put(r0, r3);	 Catch:{ Exception -> 0x02bb }
        r0 = "APPMETA";
        r3 = r4.mPreferences;	 Catch:{ Exception -> 0x02bb }
        r9 = "app_metadata";
        r10 = 0;
        r3 = r3.getString(r9, r10);	 Catch:{ Exception -> 0x02bb }
        r3 = a(r3);	 Catch:{ Exception -> 0x02bb }
        r2.put(r0, r3);	 Catch:{ Exception -> 0x02bb }
        r0 = "TBSSDKV";
        r3 = 43644; // 0xaa7c float:6.1158E-41 double:2.1563E-319;
        r2.put(r0, r3);	 Catch:{ Exception -> 0x02bb }
        r0 = "TBSV";
        r2.put(r0, r1);	 Catch:{ Exception -> 0x02bb }
        r3 = "DOWNLOADDECOUPLECORE";
        if (r13 == 0) goto L_0x02df;
    L_0x0124:
        r0 = 1;
    L_0x0125:
        r2.put(r3, r0);	 Catch:{ Exception -> 0x02bb }
        r3 = r4.a;	 Catch:{ Exception -> 0x02bb }
        r9 = "tbs_downloaddecouplecore";
        if (r13 == 0) goto L_0x02e2;
    L_0x012f:
        r0 = 1;
    L_0x0130:
        r0 = java.lang.Integer.valueOf(r0);	 Catch:{ Exception -> 0x02bb }
        r3.put(r9, r0);	 Catch:{ Exception -> 0x02bb }
        r4.commit();	 Catch:{ Exception -> 0x02bb }
        if (r1 == 0) goto L_0x0148;
    L_0x013c:
        r0 = "TBSBACKUPV";
        r3 = g;	 Catch:{ Exception -> 0x02bb }
        r3 = r3.b();	 Catch:{ Exception -> 0x02bb }
        r2.put(r0, r3);	 Catch:{ Exception -> 0x02bb }
    L_0x0148:
        r0 = "CPU";
        r3 = e;	 Catch:{ Exception -> 0x02bb }
        r2.put(r0, r3);	 Catch:{ Exception -> 0x02bb }
        r0 = "UA";
        r2.put(r0, r5);	 Catch:{ Exception -> 0x02bb }
        r0 = "IMSI";
        r3 = a(r6);	 Catch:{ Exception -> 0x02bb }
        r2.put(r0, r3);	 Catch:{ Exception -> 0x02bb }
        r0 = "IMEI";
        r3 = a(r7);	 Catch:{ Exception -> 0x02bb }
        r2.put(r0, r3);	 Catch:{ Exception -> 0x02bb }
        r0 = "ANDROID_ID";
        r3 = a(r8);	 Catch:{ Exception -> 0x02bb }
        r2.put(r0, r3);	 Catch:{ Exception -> 0x02bb }
        r0 = c;	 Catch:{ Exception -> 0x02bb }
        r0 = com.tencent.smtt.sdk.TbsShareManager.isThirdPartyApp(r0);	 Catch:{ Exception -> 0x02bb }
        if (r0 != 0) goto L_0x019d;
    L_0x017c:
        if (r1 == 0) goto L_0x02e8;
    L_0x017e:
        r3 = "STATUS";
        r0 = c;	 Catch:{ Exception -> 0x02bb }
        r0 = com.tencent.smtt.sdk.QbSdk.a(r0, r1);	 Catch:{ Exception -> 0x02bb }
        if (r0 == 0) goto L_0x02e5;
    L_0x0189:
        r0 = 0;
    L_0x018a:
        r2.put(r3, r0);	 Catch:{ Exception -> 0x02bb }
    L_0x018d:
        r0 = "TBSDV";
        r1 = com.tencent.smtt.sdk.an.a();	 Catch:{ Exception -> 0x02bb }
        r3 = c;	 Catch:{ Exception -> 0x02bb }
        r1 = r1.i(r3);	 Catch:{ Exception -> 0x02bb }
        r2.put(r0, r1);	 Catch:{ Exception -> 0x02bb }
    L_0x019d:
        r0 = c;	 Catch:{ Exception -> 0x02bb }
        r0 = com.tencent.smtt.sdk.TbsDownloadConfig.getInstance(r0);	 Catch:{ Exception -> 0x02bb }
        r0 = r0.mPreferences;	 Catch:{ Exception -> 0x02bb }
        r1 = "request_full_package";
        r3 = 0;
        r3 = r0.getBoolean(r1, r3);	 Catch:{ Exception -> 0x02bb }
        r1 = 0;
        r0 = c;	 Catch:{ Exception -> 0x02bb }
        r4 = "can_unlzma";
        r5 = 0;
        r0 = com.tencent.smtt.sdk.QbSdk.a(r0, r4, r5);	 Catch:{ Exception -> 0x02bb }
        if (r0 == 0) goto L_0x02f7;
    L_0x01ba:
        r4 = r0 instanceof java.lang.Boolean;	 Catch:{ Exception -> 0x02bb }
        if (r4 == 0) goto L_0x02f7;
    L_0x01be:
        r0 = (java.lang.Boolean) r0;	 Catch:{ Exception -> 0x02bb }
        r0 = r0.booleanValue();	 Catch:{ Exception -> 0x02bb }
    L_0x01c4:
        if (r0 == 0) goto L_0x02f4;
    L_0x01c6:
        if (r3 != 0) goto L_0x02f1;
    L_0x01c8:
        r0 = 1;
    L_0x01c9:
        if (r0 == 0) goto L_0x01d2;
    L_0x01cb:
        r0 = "REQUEST_LZMA";
        r1 = 1;
        r2.put(r0, r1);	 Catch:{ Exception -> 0x02bb }
    L_0x01d2:
        r0 = c;	 Catch:{ Exception -> 0x02bb }
        r0 = getOverSea(r0);	 Catch:{ Exception -> 0x02bb }
        if (r0 == 0) goto L_0x01e1;
    L_0x01da:
        r0 = "OVERSEA";
        r1 = 1;
        r2.put(r0, r1);	 Catch:{ Exception -> 0x02bb }
    L_0x01e1:
        if (r12 == 0) goto L_0x01ea;
    L_0x01e3:
        r0 = "DOWNLOAD_FOREGROUND";
        r1 = 1;
        r2.put(r0, r1);	 Catch:{ Exception -> 0x02bb }
    L_0x01ea:
        r0 = "TbsDownload";
        r1 = new java.lang.StringBuilder;
        r3 = "[TbsDownloader.postJsonData] jsonData=";
        r1.<init>(r3);
        r3 = r2.toString();
        r1 = r1.append(r3);
        r1 = r1.toString();
        com.tencent.smtt.utils.TbsLog.i(r0, r1);
        r0 = 64371; // 0xfb73 float:9.0203E-41 double:3.18035E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
        return r2;
    L_0x020b:
        r0 = move-exception;
    L_0x020c:
        r0 = r1;
        goto L_0x0069;
    L_0x020f:
        r0 = c;	 Catch:{ Exception -> 0x02bb }
        r0 = com.tencent.smtt.sdk.TbsDownloadConfig.getInstance(r0);	 Catch:{ Exception -> 0x02bb }
        r0 = r0.mPreferences;	 Catch:{ Exception -> 0x02bb }
        r1 = "tbs_download_version";
        r3 = 0;
        r0 = r0.getInt(r1, r3);	 Catch:{ Exception -> 0x02bb }
        goto L_0x0096;
    L_0x0221:
        r0 = com.tencent.smtt.sdk.an.a();	 Catch:{ Exception -> 0x02bb }
        r1 = c;	 Catch:{ Exception -> 0x02bb }
        r0 = r0.n(r1);	 Catch:{ Exception -> 0x02bb }
        if (r0 != 0) goto L_0x027e;
    L_0x022d:
        r1 = com.tencent.smtt.sdk.an.a();	 Catch:{ Exception -> 0x02bb }
        r3 = c;	 Catch:{ Exception -> 0x02bb }
        r1 = r1.m(r3);	 Catch:{ Exception -> 0x02bb }
        if (r1 == 0) goto L_0x027e;
    L_0x0239:
        r0 = -1;
        r1 = "com.tencent.mobileqq";
        r3 = c;	 Catch:{ Exception -> 0x02bb }
        r3 = r3.getApplicationInfo();	 Catch:{ Exception -> 0x02bb }
        r3 = r3.packageName;	 Catch:{ Exception -> 0x02bb }
        r1 = r1.equals(r3);	 Catch:{ Exception -> 0x02bb }
        if (r1 == 0) goto L_0x027e;
    L_0x024b:
        com.tencent.smtt.sdk.TbsDownloadUpload.clear();	 Catch:{ Exception -> 0x02bb }
        r1 = c;	 Catch:{ Exception -> 0x02bb }
        r1 = com.tencent.smtt.sdk.TbsDownloadUpload.getInstance(r1);	 Catch:{ Exception -> 0x02bb }
        r3 = r1.a;	 Catch:{ Exception -> 0x02bb }
        r9 = "tbs_local_core_version";
        r10 = -1;
        r10 = java.lang.Integer.valueOf(r10);	 Catch:{ Exception -> 0x02bb }
        r3.put(r9, r10);	 Catch:{ Exception -> 0x02bb }
        r1.commit();	 Catch:{ Exception -> 0x02bb }
        com.tencent.smtt.sdk.TbsPVConfig.releaseInstance();	 Catch:{ Exception -> 0x02bb }
        r1 = c;	 Catch:{ Exception -> 0x02bb }
        r1 = com.tencent.smtt.sdk.TbsPVConfig.getInstance(r1);	 Catch:{ Exception -> 0x02bb }
        r1 = r1.getLocalCoreVersionMoreTimes();	 Catch:{ Exception -> 0x02bb }
        r3 = 1;
        if (r1 != r3) goto L_0x027e;
    L_0x0274:
        r0 = com.tencent.smtt.sdk.an.a();	 Catch:{ Exception -> 0x02bb }
        r1 = c;	 Catch:{ Exception -> 0x02bb }
        r0 = r0.j(r1);	 Catch:{ Exception -> 0x02bb }
    L_0x027e:
        r1 = "TbsDownload";
        r3 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x02bb }
        r9 = "[TbsDownloader.postJsonData] tbsLocalVersion=";
        r3.<init>(r9);	 Catch:{ Exception -> 0x02bb }
        r3 = r3.append(r0);	 Catch:{ Exception -> 0x02bb }
        r9 = " isDownloadForeground=";
        r3 = r3.append(r9);	 Catch:{ Exception -> 0x02bb }
        r3 = r3.append(r12);	 Catch:{ Exception -> 0x02bb }
        r3 = r3.toString();	 Catch:{ Exception -> 0x02bb }
        com.tencent.smtt.utils.TbsLog.i(r1, r3);	 Catch:{ Exception -> 0x02bb }
        if (r12 == 0) goto L_0x02fa;
    L_0x02a1:
        r1 = com.tencent.smtt.sdk.an.a();	 Catch:{ Exception -> 0x02bb }
        r3 = c;	 Catch:{ Exception -> 0x02bb }
        r1 = r1.m(r3);	 Catch:{ Exception -> 0x02bb }
        if (r1 != 0) goto L_0x0096;
    L_0x02ad:
        r0 = 0;
        goto L_0x0096;
    L_0x02b0:
        r3 = "FUNCTION";
        if (r1 != 0) goto L_0x02be;
    L_0x02b5:
        r0 = 0;
    L_0x02b6:
        r2.put(r3, r0);	 Catch:{ Exception -> 0x02bb }
        goto L_0x00a0;
    L_0x02bb:
        r0 = move-exception;
        goto L_0x01ea;
    L_0x02be:
        r0 = 1;
        goto L_0x02b6;
    L_0x02c0:
        r0 = h();	 Catch:{ Exception -> 0x02bb }
        r3 = c;	 Catch:{ Exception -> 0x02bb }
        r3 = com.tencent.smtt.utils.Apn.getApnType(r3);	 Catch:{ Exception -> 0x02bb }
        r9 = 3;
        if (r3 == r9) goto L_0x00cc;
    L_0x02cd:
        r3 = r0.length();	 Catch:{ Exception -> 0x02bb }
        if (r3 == 0) goto L_0x00cc;
    L_0x02d3:
        if (r1 != 0) goto L_0x00cc;
    L_0x02d5:
        if (r11 == 0) goto L_0x00cc;
    L_0x02d7:
        r3 = "TBSBACKUPARR";
        r2.put(r3, r0);	 Catch:{ Exception -> 0x02bb }
        goto L_0x00cc;
    L_0x02df:
        r0 = 0;
        goto L_0x0125;
    L_0x02e2:
        r0 = 0;
        goto L_0x0130;
    L_0x02e5:
        r0 = 1;
        goto L_0x018a;
    L_0x02e8:
        r0 = "STATUS";
        r1 = 0;
        r2.put(r0, r1);	 Catch:{ Exception -> 0x02bb }
        goto L_0x018d;
    L_0x02f1:
        r0 = 0;
        goto L_0x01c9;
    L_0x02f4:
        r0 = 0;
        goto L_0x01c9;
    L_0x02f7:
        r0 = r1;
        goto L_0x01c4;
    L_0x02fa:
        r1 = r0;
        goto L_0x0097;
    L_0x02fd:
        r0 = r2;
        goto L_0x006b;
    L_0x0300:
        r3 = r0;
        goto L_0x0056;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.smtt.sdk.TbsDownloader.b(boolean, boolean, boolean):org.json.JSONObject");
    }

    @TargetApi(11)
    static void b(Context context) {
        AppMethodBeat.i(64378);
        TbsDownloadConfig.getInstance(context).clear();
        TbsLogReport.getInstance(context).clear();
        ag.c(context);
        (VERSION.SDK_INT >= 11 ? context.getSharedPreferences("tbs_extension_config", 4) : context.getSharedPreferences("tbs_extension_config", 0)).edit().clear().commit();
        (VERSION.SDK_INT >= 11 ? context.getSharedPreferences("tbs_preloadx5_check_cfg_file", 4) : context.getSharedPreferences("tbs_preloadx5_check_cfg_file", 0)).edit().clear().commit();
        AppMethodBeat.o(64378);
    }

    private static void b(JSONArray jSONArray) {
        Object obj = null;
        AppMethodBeat.i(64368);
        if (TbsShareManager.getHostCorePathAppDefined() != null) {
            int a = an.a().a(TbsShareManager.getHostCorePathAppDefined());
            for (int i = 0; i < jSONArray.length(); i++) {
                if (jSONArray.optInt(i) == a) {
                    obj = 1;
                    break;
                }
            }
            if (obj == null) {
                jSONArray.put(a);
            }
        }
        AppMethodBeat.o(64368);
    }

    private static boolean b(boolean z, boolean z2) {
        AppMethodBeat.i(64373);
        boolean c = c(z, z2, false);
        AppMethodBeat.o(64373);
        return c;
    }

    private static synchronized void c() {
        synchronized (TbsDownloader.class) {
            AppMethodBeat.i(64363);
            if (h == null) {
                h = al.a();
                try {
                    g = new ag(c);
                    d = new aj(h.getLooper());
                } catch (Exception e) {
                    i = true;
                    TbsLog.e(LOGTAG, "TbsApkDownloader init has Exception");
                    AppMethodBeat.o(64363);
                }
            }
            AppMethodBeat.o(64363);
        }
        return;
    }

    private static void c(JSONArray jSONArray) {
        AppMethodBeat.i(64370);
        if (!TbsPVConfig.getInstance(c).isDisableHostBackupCore()) {
            for (String str : e()) {
                Context packageContext;
                int i;
                boolean z;
                int backupCoreVersion = TbsShareManager.getBackupCoreVersion(c, str);
                if (backupCoreVersion > 0) {
                    packageContext = TbsShareManager.getPackageContext(c, str, false);
                    if (packageContext == null || an.a().f(packageContext)) {
                        for (i = 0; i < jSONArray.length(); i++) {
                            if (jSONArray.optInt(i) == backupCoreVersion) {
                                z = true;
                                break;
                            }
                        }
                        z = false;
                        if (!z) {
                            jSONArray.put(backupCoreVersion);
                        }
                    } else {
                        TbsLog.e(LOGTAG, "host check failed,packageName = ".concat(String.valueOf(str)));
                    }
                }
                backupCoreVersion = TbsShareManager.getBackupDecoupleCoreVersion(c, str);
                if (backupCoreVersion > 0) {
                    packageContext = TbsShareManager.getPackageContext(c, str, false);
                    if (packageContext == null || an.a().f(packageContext)) {
                        for (i = 0; i < jSONArray.length(); i++) {
                            if (jSONArray.optInt(i) == backupCoreVersion) {
                                z = true;
                                break;
                            }
                        }
                        z = false;
                        if (!z) {
                            jSONArray.put(backupCoreVersion);
                        }
                    } else {
                        TbsLog.e(LOGTAG, "host check failed,packageName = ".concat(String.valueOf(str)));
                    }
                }
            }
        }
        AppMethodBeat.o(64370);
    }

    private static boolean c(boolean z, boolean z2, boolean z3) {
        TbsDownloadUpload instance;
        AppMethodBeat.i(64374);
        if (z) {
            instance = TbsDownloadUpload.getInstance(c);
            instance.a.put("tbs_needdownload_code", Integer.valueOf(144));
            instance.commit();
        } else if (!z3) {
            instance = TbsDownloadUpload.getInstance(c);
            instance.a.put("tbs_startdownload_code", Integer.valueOf(164));
            instance.commit();
        }
        if (QbSdk.n != null && QbSdk.n.containsKey(QbSdk.KEY_SET_SENDREQUEST_AND_UPLOAD) && QbSdk.n.get(QbSdk.KEY_SET_SENDREQUEST_AND_UPLOAD).equals("false")) {
            TbsLog.i(LOGTAG, "[TbsDownloader.sendRequest] -- SET_SENDREQUEST_AND_UPLOAD is false");
            if (z) {
                instance = TbsDownloadUpload.getInstance(c);
                instance.a.put("tbs_needdownload_code", Integer.valueOf(145));
                instance.commit();
            } else if (!z3) {
                instance = TbsDownloadUpload.getInstance(c);
                instance.a.put("tbs_startdownload_code", Integer.valueOf(165));
                instance.commit();
            }
            AppMethodBeat.o(64374);
            return false;
        }
        TbsLog.i(LOGTAG, "[TbsDownloader.sendRequest]isQuery: " + z + " forDecoupleCore is " + z3);
        if (an.a().c(c)) {
            TbsLog.i(LOGTAG, "[TbsDownloader.sendRequest] -- isTbsLocalInstalled!");
            if (z) {
                instance = TbsDownloadUpload.getInstance(c);
                instance.a.put("tbs_needdownload_code", Integer.valueOf(146));
                instance.commit();
            } else if (!z3) {
                instance = TbsDownloadUpload.getInstance(c);
                instance.a.put("tbs_startdownload_code", Integer.valueOf(166));
                instance.commit();
            }
            AppMethodBeat.o(64374);
            return false;
        }
        int i;
        boolean a;
        TbsDownloadConfig instance2 = TbsDownloadConfig.getInstance(c);
        File file = new File(k.a(c, 1), getOverSea(c) ? "x5.oversea.tbs.org" : "x5.tbs.org");
        File file2 = new File(k.a(c, 2), getOverSea(c) ? "x5.oversea.tbs.org" : "x5.tbs.org");
        File file3 = new File(k.a(c, 3), getOverSea(c) ? "x5.oversea.tbs.org" : "x5.tbs.org");
        File file4 = new File(k.a(c, 4), getOverSea(c) ? "x5.oversea.tbs.org" : "x5.tbs.org");
        if (!file4.exists()) {
            if (file3.exists()) {
                file3.renameTo(file4);
            } else if (file2.exists()) {
                file2.renameTo(file4);
            } else if (file.exists()) {
                file.renameTo(file4);
            }
        }
        if (e == null) {
            e = b.a();
            instance2.a.put("device_cpuabi", e);
            instance2.commit();
        }
        Object obj = null;
        if (!TextUtils.isEmpty(e)) {
            Matcher matcher = null;
            try {
                matcher = Pattern.compile("i686|mips|x86_64").matcher(e);
            } catch (Exception e) {
            }
            if (matcher != null && matcher.find()) {
                if (TbsShareManager.isThirdPartyApp(c)) {
                    TbsLogInfo tbsLogInfo = TbsLogReport.getInstance(c).tbsLogInfo();
                    if (z) {
                        instance2.setDownloadInterruptCode(-104);
                        tbsLogInfo.setErrorCode(-104);
                    } else {
                        instance2.setDownloadInterruptCode(-205);
                        tbsLogInfo.setErrorCode(-205);
                    }
                    tbsLogInfo.setFailDetail("mycpu is " + e);
                    TbsLogReport.getInstance(c).eventReport(EventType.TYPE_DOWNLOAD, tbsLogInfo);
                } else if (z) {
                    instance2.setDownloadInterruptCode(-104);
                } else {
                    instance2.setDownloadInterruptCode(-205);
                }
                obj = 1;
            }
        }
        instance2.a.put("app_versionname", b.a(c));
        instance2.a.put("app_versioncode", Integer.valueOf(b.b(c)));
        instance2.commit();
        JSONObject b = b(z, z2, z3);
        int i2 = -1;
        try {
            i = b.getInt("TBSV");
        } catch (Exception e2) {
            i = i2;
        }
        if (!(obj == null && i == -1)) {
            long currentTimeMillis = System.currentTimeMillis();
            if (TbsShareManager.isThirdPartyApp(c)) {
                instance2.a.put("count_request_fail_in_24hours", Long.valueOf(currentTimeMillis - instance2.mPreferences.getLong("request_fail", 0) < instance2.getRetryInterval() * 1000 ? 1 + instance2.mPreferences.getLong("count_request_fail_in_24hours", 0) : 1));
            }
            instance2.a.put("request_fail", Long.valueOf(currentTimeMillis));
            instance2.a.put("app_versionname", b.a(c));
            instance2.a.put("app_versioncode", Integer.valueOf(b.b(c)));
            instance2.a.put("app_metadata", b.a(c, TBS_METADATA));
            instance2.commit();
            if (obj != null) {
                if (z) {
                    instance = TbsDownloadUpload.getInstance(c);
                    instance.a.put("tbs_needdownload_code", Integer.valueOf(147));
                    instance.commit();
                } else if (!z3) {
                    instance = TbsDownloadUpload.getInstance(c);
                    instance.a.put("tbs_startdownload_code", Integer.valueOf(167));
                    instance.commit();
                }
                AppMethodBeat.o(64374);
                return false;
            }
        }
        if (i != -1) {
            try {
                String d = v.a(c).d();
                TbsLog.i(LOGTAG, "[TbsDownloader.sendRequest] postUrl=".concat(String.valueOf(d)));
                TbsDownloadUpload instance3;
                if (z) {
                    instance3 = TbsDownloadUpload.getInstance(c);
                    instance3.a.put("tbs_needdownload_code", Integer.valueOf(148));
                    instance3.a.put("tbs_needdownload_sent", Integer.valueOf(1));
                    instance3.commit();
                    TbsLog.i(LOGTAG, "sendRequest query 148");
                } else if (!z3) {
                    instance3 = TbsDownloadUpload.getInstance(c);
                    instance3.a.put("tbs_startdownload_code", Integer.valueOf(168));
                    instance3.a.put("tbs_startdownload_sent", Integer.valueOf(1));
                    instance3.commit();
                    TbsLog.i(LOGTAG, "sendRequest download 168");
                }
                a = a(n.a(d, b.toString().getBytes("utf-8"), new ak(instance2, z), false), i, z, z2);
            } catch (Throwable th) {
                if (z) {
                    instance2.setDownloadInterruptCode(-106);
                    a = false;
                } else {
                    instance2.setDownloadInterruptCode(-206);
                    a = false;
                }
            }
        } else if (z) {
            instance = TbsDownloadUpload.getInstance(c);
            instance.a.put("tbs_needdownload_code", Integer.valueOf(149));
            instance.commit();
            a = false;
        } else {
            if (!z3) {
                instance = TbsDownloadUpload.getInstance(c);
                instance.a.put("tbs_startdownload_code", Integer.valueOf(169));
                instance.commit();
            }
            a = false;
        }
        AppMethodBeat.o(64374);
        return a;
    }

    private static boolean d() {
        AppMethodBeat.i(64365);
        try {
            boolean equals = TbsDownloadConfig.getInstance(c).mPreferences.getString("last_thirdapp_sendrequest_coreversion", "").equals(f().toString());
            AppMethodBeat.o(64365);
            return equals;
        } catch (Exception e) {
            AppMethodBeat.o(64365);
            return false;
        }
    }

    private static String[] e() {
        String[] strArr;
        AppMethodBeat.i(64366);
        if (QbSdk.getOnlyDownload()) {
            strArr = new String[]{c.getApplicationContext().getPackageName()};
        } else {
            String[] coreProviderAppList = TbsShareManager.getCoreProviderAppList();
            String packageName = c.getApplicationContext().getPackageName();
            if (packageName.equals(TbsShareManager.f(c))) {
                int length = coreProviderAppList.length;
                strArr = new String[(length + 1)];
                System.arraycopy(coreProviderAppList, 0, strArr, 0, length);
                strArr[length] = packageName;
            } else {
                strArr = coreProviderAppList;
            }
        }
        AppMethodBeat.o(64366);
        return strArr;
    }

    private static JSONArray f() {
        AppMethodBeat.i(64369);
        if (TbsShareManager.isThirdPartyApp(c)) {
            JSONArray jSONArray = new JSONArray();
            a(jSONArray);
            c(jSONArray);
            b(jSONArray);
            AppMethodBeat.o(64369);
            return jSONArray;
        }
        AppMethodBeat.o(64369);
        return null;
    }

    private static boolean g() {
        AppMethodBeat.i(64379);
        TbsDownloadConfig instance = TbsDownloadConfig.getInstance(c);
        if (instance.mPreferences.getInt("tbs_download_success_retrytimes", 0) >= instance.getDownloadSuccessMaxRetrytimes()) {
            TbsLog.i(LOGTAG, "[TbsDownloader.needStartDownload] out of success retrytimes", true);
            instance.setDownloadInterruptCode(-115);
            AppMethodBeat.o(64379);
            return false;
        } else if (instance.mPreferences.getInt("tbs_download_failed_retrytimes", 0) >= instance.getDownloadFailedMaxRetrytimes()) {
            TbsLog.i(LOGTAG, "[TbsDownloader.needStartDownload] out of failed retrytimes", true);
            instance.setDownloadInterruptCode(-116);
            AppMethodBeat.o(64379);
            return false;
        } else if (k.b(c)) {
            if (System.currentTimeMillis() - instance.mPreferences.getLong("tbs_downloadstarttime", 0) <= 86400000) {
                long j = instance.mPreferences.getLong("tbs_downloadflow", 0);
                TbsLog.i(LOGTAG, "[TbsDownloader.needStartDownload] downloadFlow=".concat(String.valueOf(j)));
                if (j >= instance.getDownloadMaxflow()) {
                    TbsLog.i(LOGTAG, "[TbsDownloader.needStartDownload] failed because you exceeded max flow!", true);
                    instance.setDownloadInterruptCode(-120);
                    AppMethodBeat.o(64379);
                    return false;
                }
            }
            AppMethodBeat.o(64379);
            return true;
        } else {
            TbsLog.i(LOGTAG, "[TbsDownloader.needStartDownload] local rom freespace limit", true);
            instance.setDownloadInterruptCode(-117);
            AppMethodBeat.o(64379);
            return false;
        }
    }

    public static int getCoreShareDecoupleCoreVersion() {
        AppMethodBeat.i(64357);
        int i = an.a().i(c);
        AppMethodBeat.o(64357);
        return i;
    }

    public static int getCoreShareDecoupleCoreVersionByContext(Context context) {
        AppMethodBeat.i(64356);
        int i = an.a().i(context);
        AppMethodBeat.o(64356);
        return i;
    }

    public static synchronized boolean getOverSea(Context context) {
        boolean z;
        synchronized (TbsDownloader.class) {
            AppMethodBeat.i(64372);
            if (!k) {
                k = true;
                TbsDownloadConfig instance = TbsDownloadConfig.getInstance(context);
                if (instance.mPreferences.contains("is_oversea")) {
                    j = instance.mPreferences.getBoolean("is_oversea", false);
                    TbsLog.i(LOGTAG, "[TbsDownloader.getOverSea]  first called. sOverSea = " + j);
                }
                TbsLog.i(LOGTAG, "[TbsDownloader.getOverSea]  sOverSea = " + j);
            }
            z = j;
            AppMethodBeat.o(64372);
        }
        return z;
    }

    public static long getRetryIntervalInSeconds() {
        return l;
    }

    public static HandlerThread getsTbsHandlerThread() {
        return h;
    }

    private static JSONArray h() {
        AppMethodBeat.i(64382);
        JSONArray jSONArray = new JSONArray();
        for (String a : TbsShareManager.getCoreProviderAppList()) {
            File file = new File(k.a(c, a, 4, false), getOverSea(c) ? "x5.oversea.tbs.org" : "x5.tbs.org");
            if (file.exists()) {
                long a2 = (long) a.a(c, file);
                if (a2 > 0) {
                    boolean z;
                    for (int i = 0; i < jSONArray.length(); i++) {
                        if (((long) jSONArray.optInt(i)) == a2) {
                            z = true;
                            break;
                        }
                    }
                    z = false;
                    if (!z) {
                        jSONArray.put(a2);
                    }
                }
            }
        }
        AppMethodBeat.o(64382);
        return jSONArray;
    }

    public static boolean isDownloadForeground() {
        AppMethodBeat.i(64362);
        if (g == null || !g.e()) {
            AppMethodBeat.o(64362);
            return false;
        }
        AppMethodBeat.o(64362);
        return true;
    }

    public static synchronized boolean isDownloading() {
        boolean z;
        synchronized (TbsDownloader.class) {
            AppMethodBeat.i(64361);
            TbsLog.i(LOGTAG, "[TbsDownloader.isDownloading] is " + a);
            z = a;
            AppMethodBeat.o(64361);
        }
        return z;
    }

    public static boolean needDownload(Context context, boolean z) {
        AppMethodBeat.i(64352);
        boolean needDownload = needDownload(context, z, false, null);
        AppMethodBeat.o(64352);
        return needDownload;
    }

    public static boolean needDownload(Context context, boolean z, boolean z2, TbsDownloaderCallback tbsDownloaderCallback) {
        AppMethodBeat.i(64353);
        TbsDownloadUpload.clear();
        TbsDownloadUpload instance = TbsDownloadUpload.getInstance(context);
        instance.a.put("tbs_needdownload_code", Integer.valueOf(c.CTRL_INDEX));
        instance.commit();
        TbsLog.i(LOGTAG, "[TbsDownloader.needDownload] oversea=" + z + ",isDownloadForeground=" + z2);
        TbsLog.initIfNeed(context);
        if (an.b) {
            if (tbsDownloaderCallback != null) {
                tbsDownloaderCallback.onNeedDownloadFinish(false, 0);
            }
            TbsLog.i(LOGTAG, "[TbsDownloader.needDownload]#1,return false");
            instance.a.put("tbs_needdownload_return", Integer.valueOf(171));
            instance.commit();
            AppMethodBeat.o(64353);
            return false;
        }
        TbsLog.app_extra(LOGTAG, context);
        Context applicationContext = context.getApplicationContext();
        c = applicationContext;
        TbsDownloadConfig instance2 = TbsDownloadConfig.getInstance(applicationContext);
        instance2.setDownloadInterruptCode(-100);
        if (a(c, z, tbsDownloaderCallback)) {
            c();
            if (i) {
                if (tbsDownloaderCallback != null) {
                    tbsDownloaderCallback.onNeedDownloadFinish(false, 0);
                }
                instance2.setDownloadInterruptCode(-105);
                TbsLog.i(LOGTAG, "[TbsDownloader.needDownload]#3,return false");
                instance.a.put("tbs_needdownload_code", Integer.valueOf(142));
                instance.commit();
                instance.a.put("tbs_needdownload_return", Integer.valueOf(173));
                instance.commit();
                AppMethodBeat.o(64353);
                return false;
            }
            boolean contains;
            boolean z3;
            boolean z4;
            boolean a = a(c, z2, false);
            TbsLog.i(LOGTAG, "[TbsDownloader.needDownload],needSendRequest=".concat(String.valueOf(a)));
            if (a) {
                a(z2, tbsDownloaderCallback);
                instance2.setDownloadInterruptCode(-114);
            } else {
                instance.a.put("tbs_needdownload_code", Integer.valueOf(143));
                instance.commit();
            }
            d.removeMessages(102);
            Message.obtain(d, 102).sendToTarget();
            if (QbSdk.c || !TbsShareManager.isThirdPartyApp(context)) {
                contains = instance2.mPreferences.contains("tbs_needdownload");
                TbsLog.i(LOGTAG, "[TbsDownloader.needDownload] hasNeedDownloadKey=".concat(String.valueOf(contains)));
                z3 = (contains || TbsShareManager.isThirdPartyApp(context)) ? instance2.mPreferences.getBoolean("tbs_needdownload", false) : true;
            } else {
                z3 = false;
                contains = false;
            }
            TbsLog.i(LOGTAG, "[TbsDownloader.needDownload]#4,needDownload=" + z3 + ",hasNeedDownloadKey=" + contains);
            if (!z3) {
                int n = an.a().n(c);
                TbsLog.i(LOGTAG, "[TbsDownloader.needDownload]#7,tbsLocalVersion=" + n + ",needSendRequest=" + a);
                if (a || n <= 0) {
                    d.removeMessages(103);
                    if (n > 0 || a) {
                        Message.obtain(d, 103, 1, 0, c).sendToTarget();
                    } else {
                        Message.obtain(d, 103, 0, 0, c).sendToTarget();
                    }
                    instance2.setDownloadInterruptCode(-121);
                    z4 = z3;
                } else {
                    instance2.setDownloadInterruptCode(-119);
                    z4 = z3;
                }
            } else if (g()) {
                instance2.setDownloadInterruptCode(-118);
                TbsLog.i(LOGTAG, "[TbsDownloader.needDownload]#6");
                z4 = z3;
            } else {
                TbsLog.i(LOGTAG, "[TbsDownloader.needDownload]#5,set needDownload = false");
                z4 = false;
            }
            if (!(a || tbsDownloaderCallback == null)) {
                tbsDownloaderCallback.onNeedDownloadFinish(false, 0);
            }
            TbsLog.i(LOGTAG, "[TbsDownloader.needDownload] needDownload=".concat(String.valueOf(z4)));
            instance.a.put("tbs_needdownload_return", Integer.valueOf(z4 ? 170 : 174));
            instance.commit();
            AppMethodBeat.o(64353);
            return z4;
        }
        TbsLog.i(LOGTAG, "[TbsDownloader.needDownload]#2,return false");
        instance.a.put("tbs_needdownload_code", Integer.valueOf(141));
        instance.commit();
        instance.a.put("tbs_needdownload_return", Integer.valueOf(172));
        instance.commit();
        AppMethodBeat.o(64353);
        return false;
    }

    public static boolean needDownloadDecoupleCore() {
        AppMethodBeat.i(64358);
        if (TbsShareManager.isThirdPartyApp(c)) {
            AppMethodBeat.o(64358);
            return false;
        } else if (TbsDownloadConfig.getInstance(c).mPreferences.getInt("tbs_downloaddecouplecore", 0) == 1) {
            AppMethodBeat.o(64358);
            return false;
        } else {
            long j = TbsDownloadConfig.getInstance(c).mPreferences.getLong("last_download_decouple_core", 0);
            if (System.currentTimeMillis() - j < 1000 * TbsDownloadConfig.getInstance(c).getRetryInterval()) {
                AppMethodBeat.o(64358);
                return false;
            }
            int i = TbsDownloadConfig.getInstance(c).mPreferences.getInt("tbs_decouplecoreversion", 0);
            if (i <= 0 || i == an.a().i(c) || TbsDownloadConfig.getInstance(c).mPreferences.getInt("tbs_download_version", 0) == i) {
                AppMethodBeat.o(64358);
                return false;
            }
            AppMethodBeat.o(64358);
            return true;
        }
    }

    public static boolean needSendRequest(Context context, boolean z) {
        boolean z2 = true;
        AppMethodBeat.i(64349);
        c = context.getApplicationContext();
        TbsLog.initIfNeed(context);
        if (a(c, z, null)) {
            int n = an.a().n(context);
            TbsLog.i(LOGTAG, "[TbsDownloader.needSendRequest] localTbsVersion=".concat(String.valueOf(n)));
            if (n > 0) {
                AppMethodBeat.o(64349);
                return false;
            } else if (a(c, false, true)) {
                AppMethodBeat.o(64349);
                return true;
            } else {
                TbsDownloadConfig instance = TbsDownloadConfig.getInstance(c);
                boolean contains = instance.mPreferences.contains("tbs_needdownload");
                TbsLog.i(LOGTAG, "[TbsDownloader.needSendRequest] hasNeedDownloadKey=".concat(String.valueOf(contains)));
                boolean z3 = !contains ? true : instance.mPreferences.getBoolean("tbs_needdownload", false);
                TbsLog.i(LOGTAG, "[TbsDownloader.needSendRequest] needDownload=".concat(String.valueOf(z3)));
                if (!(z3 && g())) {
                    z2 = false;
                }
                TbsLog.i(LOGTAG, "[TbsDownloader.needSendRequest] ret=".concat(String.valueOf(z2)));
                AppMethodBeat.o(64349);
                return z2;
            }
        }
        AppMethodBeat.o(64349);
        return false;
    }

    public static void setAppContext(Context context) {
        AppMethodBeat.i(64348);
        if (!(context == null || context.getApplicationContext() == null)) {
            c = context.getApplicationContext();
        }
        AppMethodBeat.o(64348);
    }

    public static void setRetryIntervalInSeconds(Context context, long j) {
        AppMethodBeat.i(64376);
        if (context == null) {
            AppMethodBeat.o(64376);
            return;
        }
        if (context.getApplicationInfo().packageName.equals("com.tencent.qqlive")) {
            l = j;
        }
        TbsLog.i(LOGTAG, "mRetryIntervalInSeconds is " + l);
        AppMethodBeat.o(64376);
    }

    public static boolean startDecoupleCoreIfNeeded() {
        AppMethodBeat.i(64359);
        TbsLog.i(LOGTAG, "startDecoupleCoreIfNeeded ");
        if (TbsShareManager.isThirdPartyApp(c)) {
            AppMethodBeat.o(64359);
            return false;
        }
        TbsLog.i(LOGTAG, "startDecoupleCoreIfNeeded #1");
        if (TbsDownloadConfig.getInstance(c).mPreferences.getInt("tbs_downloaddecouplecore", 0) == 1) {
            AppMethodBeat.o(64359);
            return false;
        } else if (d == null) {
            AppMethodBeat.o(64359);
            return false;
        } else {
            TbsLog.i(LOGTAG, "startDecoupleCoreIfNeeded #2");
            long j = TbsDownloadConfig.getInstance(c).mPreferences.getLong("last_download_decouple_core", 0);
            if (System.currentTimeMillis() - j < 1000 * TbsDownloadConfig.getInstance(c).getRetryInterval()) {
                AppMethodBeat.o(64359);
                return false;
            }
            TbsLog.i(LOGTAG, "startDecoupleCoreIfNeeded #3");
            int i = TbsDownloadConfig.getInstance(c).mPreferences.getInt("tbs_decouplecoreversion", 0);
            if (i <= 0 || i == an.a().i(c)) {
                TbsLog.i(LOGTAG, "startDecoupleCoreIfNeeded no need, deCoupleCoreVersion is " + i + " getTbsCoreShareDecoupleCoreVersion is " + an.a().i(c));
            } else if (TbsDownloadConfig.getInstance(c).mPreferences.getInt("tbs_download_version", 0) != i || TbsDownloadConfig.getInstance(c).mPreferences.getInt("tbs_download_version_type", 0) == 1) {
                TbsLog.i(LOGTAG, "startDecoupleCoreIfNeeded #4");
                a = true;
                d.removeMessages(g.CTRL_INDEX);
                Message obtain = Message.obtain(d, g.CTRL_INDEX, QbSdk.m);
                obtain.arg1 = 0;
                obtain.sendToTarget();
                TbsDownloadConfig.getInstance(c).a.put("last_download_decouple_core", Long.valueOf(System.currentTimeMillis()));
                AppMethodBeat.o(64359);
                return true;
            } else {
                TbsLog.i(LOGTAG, "startDecoupleCoreIfNeeded no need, KEY_TBS_DOWNLOAD_V is " + TbsDownloadConfig.getInstance(c).mPreferences.getInt("tbs_download_version", 0) + " deCoupleCoreVersion is " + i + " KEY_TBS_DOWNLOAD_V_TYPE is " + TbsDownloadConfig.getInstance(c).mPreferences.getInt("tbs_download_version_type", 0));
            }
            AppMethodBeat.o(64359);
            return false;
        }
    }

    public static void startDownload(Context context) {
        AppMethodBeat.i(64354);
        startDownload(context, false);
        AppMethodBeat.o(64354);
    }

    public static synchronized void startDownload(Context context, boolean z) {
        int i = 1;
        synchronized (TbsDownloader.class) {
            AppMethodBeat.i(64355);
            TbsDownloadUpload instance = TbsDownloadUpload.getInstance(context);
            instance.a.put("tbs_startdownload_code", Integer.valueOf(160));
            instance.commit();
            TbsLog.i(LOGTAG, "[TbsDownloader.startDownload] sAppContext=" + c);
            if (an.b) {
                instance.a.put("tbs_startdownload_code", Integer.valueOf(161));
                instance.commit();
                AppMethodBeat.o(64355);
            } else {
                a = true;
                Context applicationContext = context.getApplicationContext();
                c = applicationContext;
                TbsDownloadConfig.getInstance(applicationContext).setDownloadInterruptCode(-200);
                if (VERSION.SDK_INT < 8) {
                    QbSdk.m.onDownloadFinish(110);
                    TbsDownloadConfig.getInstance(c).setDownloadInterruptCode(-201);
                    instance.a.put("tbs_startdownload_code", Integer.valueOf(162));
                    instance.commit();
                    AppMethodBeat.o(64355);
                } else {
                    c();
                    if (i) {
                        QbSdk.m.onDownloadFinish(121);
                        TbsDownloadConfig.getInstance(c).setDownloadInterruptCode(-202);
                        instance.a.put("tbs_startdownload_code", Integer.valueOf(163));
                        instance.commit();
                        AppMethodBeat.o(64355);
                    } else {
                        if (z) {
                            stopDownload();
                        }
                        d.removeMessages(101);
                        d.removeMessages(100);
                        Message obtain = Message.obtain(d, 101, QbSdk.m);
                        if (!z) {
                            i = 0;
                        }
                        obtain.arg1 = i;
                        obtain.sendToTarget();
                        AppMethodBeat.o(64355);
                    }
                }
            }
        }
    }

    public static void stopDownload() {
        AppMethodBeat.i(64360);
        if (i) {
            AppMethodBeat.o(64360);
            return;
        }
        TbsLog.i(LOGTAG, "[TbsDownloader.stopDownload]");
        if (g != null) {
            g.c();
        }
        if (d != null) {
            d.removeMessages(100);
            d.removeMessages(101);
            d.removeMessages(g.CTRL_INDEX);
        }
        AppMethodBeat.o(64360);
    }
}
