package com.tencent.soter.a.g;

import android.annotation.SuppressLint;
import android.content.Context;
import android.os.Build;
import android.os.Build.VERSION;
import android.os.CancellationSignal;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.soter.a.a.a;
import com.tencent.soter.a.a.b;
import com.tencent.soter.a.f.c;
import com.tencent.soter.a.f.f;
import com.tencent.soter.core.biometric.BiometricManagerCompat;
import com.tencent.soter.core.biometric.BiometricManagerCompat.CryptoObject;
import com.tencent.soter.core.c.d;
import com.tencent.soter.core.c.g;
import com.tencent.soter.core.c.j;
import com.tencent.soter.soterserver.SoterSessionResult;
import java.lang.ref.WeakReference;
import java.security.Signature;
import junit.framework.Assert;

public final class i extends d implements a {
    String AvS = null;
    private c AwB = null;
    f AwC = null;
    private WeakReference<Context> AwD = null;
    j AwG = null;
    boolean AwI;
    boolean AwJ;
    boolean AwK;
    a AwS = null;
    b AwT = null;
    private a AwU = null;
    int Awh;
    private int gOW = -1;
    String tWZ = null;

    public i(b bVar) {
        boolean z = true;
        AppMethodBeat.i(10541);
        boolean z2 = VERSION.SDK_INT < 23 && Build.MANUFACTURER.equalsIgnoreCase("vivo");
        this.AwI = z2;
        if (VERSION.SDK_INT >= 23) {
            z = false;
        }
        this.AwJ = z;
        this.AwK = false;
        if (bVar == null) {
            IllegalArgumentException illegalArgumentException = new IllegalArgumentException("param is null!");
            AppMethodBeat.o(10541);
            throw illegalArgumentException;
        }
        this.gOW = bVar.gOW;
        this.AwB = bVar.Awf;
        this.AwC = bVar.Awg;
        this.AwD = new WeakReference(bVar.mContext);
        this.AwT = bVar.Awj;
        this.AwS = bVar.mrW;
        this.Awh = bVar.Awh;
        this.tWZ = bVar.tWZ;
        AppMethodBeat.o(10541);
    }

    /* Access modifiers changed, original: final */
    @SuppressLint({"DefaultLocale", "NewApi"})
    public final boolean dRl() {
        AppMethodBeat.i(10542);
        if (!com.tencent.soter.a.c.a.dRe().isInit()) {
            d.w("Soter.TaskBiometricAuthentication", "soter: not initialized yet", new Object[0]);
            b(new com.tencent.soter.a.b.a(14));
            AppMethodBeat.o(10542);
            return true;
        } else if (com.tencent.soter.a.c.a.dRe().dRc()) {
            Assert.assertTrue(VERSION.SDK_INT >= 16);
            this.AvS = (String) com.tencent.soter.a.c.a.dRe().dRg().get(this.gOW, "");
            if (g.isNullOrNil(this.AvS)) {
                d.w("Soter.TaskBiometricAuthentication", "soter: request prepare auth key scene: %d, but key name is not registered. Please make sure you register the scene in init", new Object[0]);
                b(new com.tencent.soter.a.b.a(15, String.format("auth scene %d not initialized in map", new Object[]{Integer.valueOf(this.gOW)})));
                AppMethodBeat.o(10542);
                return true;
            } else if (!com.tencent.soter.core.a.aua(this.AvS)) {
                d.w("Soter.TaskBiometricAuthentication", "soter: auth key %s not exists. need re-generate", new Object[]{this.AvS});
                b(new com.tencent.soter.a.b.a(12, String.format("the auth key to scene %d not exists. it may because you haven't prepare it, or user removed them already in system settings. please prepare the key again", new Object[]{Integer.valueOf(this.gOW)})));
                AppMethodBeat.o(10542);
                return true;
            } else if (this.AwB == null && g.isNullOrNil(this.tWZ)) {
                d.w("Soter.TaskBiometricAuthentication", "soter: challenge wrapper is null!", new Object[0]);
                b(new com.tencent.soter.a.b.a(16, "neither get challenge wrapper nor challenge str is found in request parameter"));
                AppMethodBeat.o(10542);
                return true;
            } else {
                Context context = (Context) this.AwD.get();
                if (context == null) {
                    d.w("Soter.TaskBiometricAuthentication", "soter: context instance released in preExecute", new Object[0]);
                    b(new com.tencent.soter.a.b.a(17));
                    AppMethodBeat.o(10542);
                    return true;
                } else if (!BiometricManagerCompat.from(context, Integer.valueOf(this.Awh)).hasEnrolledBiometric()) {
                    d.w("Soter.TaskBiometricAuthentication", "soter: user has not enrolled any biometric in system.", new Object[0]);
                    b(new com.tencent.soter.a.b.a(18));
                    AppMethodBeat.o(10542);
                    return true;
                } else if (com.tencent.soter.core.a.aC(context, this.Awh)) {
                    d.w("Soter.TaskBiometricAuthentication", "soter: biometric sensor frozen", new Object[0]);
                    b(new com.tencent.soter.a.b.a(25, "Too many failed times"));
                    AppMethodBeat.o(10542);
                    return true;
                } else if (this.AwS == null) {
                    d.w("Soter.TaskBiometricAuthentication", "soter: did not pass cancellation obj. We suggest you pass one", new Object[0]);
                    this.AwS = new a();
                    AppMethodBeat.o(10542);
                    return false;
                } else {
                    if (this.AwC == null) {
                        d.w("Soter.TaskBiometricAuthentication", "hy: we strongly recommend you to check the final authentication data in server! Please make sure you upload and check later", new Object[0]);
                    }
                    AppMethodBeat.o(10542);
                    return false;
                }
            }
        } else {
            d.w("Soter.TaskBiometricAuthentication", "soter: not support soter", new Object[0]);
            b(new com.tencent.soter.a.b.a(2));
            AppMethodBeat.o(10542);
            return true;
        }
    }

    /* Access modifiers changed, original: final */
    public final void dRm() {
        AppMethodBeat.i(10543);
        if (this.AwS != null) {
            this.AwS.rp(true);
        }
        AppMethodBeat.o(10543);
    }

    /* Access modifiers changed, original: final */
    public final void execute() {
        AppMethodBeat.i(10544);
        if (g.isNullOrNil(this.tWZ)) {
            d.i("Soter.TaskBiometricAuthentication", "soter: not provide the challenge. we will do the job", new Object[0]);
            this.AwB.bR(new c.a());
            this.AwB.a(new com.tencent.soter.a.f.b<c.b>() {
                public final /* synthetic */ void dd(Object obj) {
                    AppMethodBeat.i(10521);
                    c.b bVar = (c.b) obj;
                    if (g.isNullOrNil(bVar.msn)) {
                        d.w("Soter.TaskBiometricAuthentication", "soter: get challenge failed", new Object[0]);
                        i.this.b(new com.tencent.soter.a.b.a(19));
                        AppMethodBeat.o(10521);
                        return;
                    }
                    i.this.tWZ = bVar.msn;
                    i.this.dRr();
                    AppMethodBeat.o(10521);
                }
            });
            this.AwB.execute();
            AppMethodBeat.o(10544);
            return;
        }
        d.i("Soter.TaskBiometricAuthentication", "soter: already provided the challenge. directly authenticate", new Object[0]);
        dRr();
        AppMethodBeat.o(10544);
    }

    /* Access modifiers changed, original: final */
    public final void dRr() {
        AppMethodBeat.i(10545);
        if (com.tencent.soter.core.a.dQL() == 1) {
            SoterSessionResult iC = com.tencent.soter.core.a.iC(this.AvS, this.tWZ);
            if (iC == null) {
                d.w("Soter.TaskBiometricAuthentication", "soter: error occurred when init sign soterSessionResult is null", new Object[0]);
                b(new com.tencent.soter.a.b.a(13));
                AppMethodBeat.o(10545);
                return;
            } else if (iC.bFZ != 0) {
                d.w("Soter.TaskBiometricAuthentication", "soter: error occurred when init sign resultCode error", new Object[0]);
                b(new com.tencent.soter.a.b.a(13));
                AppMethodBeat.o(10545);
                return;
            } else {
                d.d("Soter.TaskBiometricAuthentication", "soter: session is %d", new Object[]{Long.valueOf(iC.AvH)});
                this.AwU = new a(this, null, (byte) 0);
                a.a(this.AwU, iC.AvH);
                b(null);
                g.dRq().d(new 2(this));
                AppMethodBeat.o(10545);
                return;
            }
        }
        Signature aud = com.tencent.soter.core.a.aud(this.AvS);
        if (aud == null) {
            d.w("Soter.TaskBiometricAuthentication", "soter: error occurred when init sign", new Object[0]);
            b(new com.tencent.soter.a.b.a(13));
            AppMethodBeat.o(10545);
            return;
        }
        this.AwU = new a(this, aud, (byte) 0);
        b(aud);
        g.dRq().d(new 3(this));
        AppMethodBeat.o(10545);
    }

    /* Access modifiers changed, original: final */
    public final void dRs() {
        AppMethodBeat.i(10547);
        if (this.AwG == null) {
            b(new com.tencent.soter.a.b.a(22, "sign failed even after user authenticated the key."));
            AppMethodBeat.o(10547);
            return;
        }
        this.AwC.bR(new f.a(this.AwG.signature, this.AwG.Avx, this.AwG.Avw));
        this.AwC.a(new 4(this));
        this.AwC.execute();
        AppMethodBeat.o(10547);
    }

    public final void dRk() {
        AppMethodBeat.i(10548);
        d.i("Soter.TaskBiometricAuthentication", "soter: called from cancellation signal", new Object[0]);
        if (this.AwU != null) {
            this.AwU.onAuthenticationCancelled();
        }
        AppMethodBeat.o(10548);
    }

    public final boolean isCancelled() {
        return this.AwK;
    }

    /* Access modifiers changed, original: final */
    @SuppressLint({"NewApi"})
    public final void b(Signature signature) {
        CancellationSignal cancellationSignal = null;
        AppMethodBeat.i(10546);
        if (this.AvW) {
            d.w("Soter.TaskBiometricAuthentication", "soter: already finished. can not authenticate", new Object[0]);
            AppMethodBeat.o(10546);
            return;
        }
        Context context = (Context) this.AwD.get();
        if (context == null) {
            d.w("Soter.TaskBiometricAuthentication", "soter: context instance released in startAuthenticate", new Object[0]);
            b(new com.tencent.soter.a.b.a(17));
            AppMethodBeat.o(10546);
            return;
        }
        try {
            d.v("Soter.TaskBiometricAuthentication", "soter: performing start", new Object[0]);
            BiometricManagerCompat from = BiometricManagerCompat.from(context, Integer.valueOf(this.Awh));
            CryptoObject cryptoObject = new CryptoObject(signature);
            if (this.AwS != null) {
                cancellationSignal = this.AwS.zZp;
            }
            from.authenticate(cryptoObject, 0, cancellationSignal, this.AwU, null);
            AppMethodBeat.o(10546);
        } catch (Exception e) {
            String message = e.getMessage();
            d.e("Soter.TaskBiometricAuthentication", "soter: caused exception when authenticating: %s", new Object[]{message});
            d.a("Soter.TaskBiometricAuthentication", e, "soter: caused exception when authenticating");
            b(new com.tencent.soter.a.b.a(20, String.format("start authentication failed due to %s", new Object[]{message})));
            AppMethodBeat.o(10546);
        }
    }
}
