package org.xwalk.core;

import android.content.Context;
import android.content.res.Resources;
import android.os.SystemClock;
import android.text.TextUtils;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.xweb.util.b;
import java.io.Closeable;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.net.URLEncoder;
import java.util.Enumeration;
import java.util.zip.ZipEntry;
import java.util.zip.ZipFile;

public class XWalkDecompressor {
    private static final int LZMA_OUTSIZE = 8;
    private static final int LZMA_PROP_SIZE = 5;
    private static final String[] MANDATORY_LIBRARIES = new String[]{"libxwalkcore.so"};
    private static final String[] MANDATORY_RESOURCES = XWalkEnvironment.MANDATORY_RESOURCES;
    private static final int STREAM_BUFFER_SIZE = 1048576;
    private static final String TAG = "XWalkLib";

    public static boolean extractResource(String str, String str2) {
        IOException e;
        Throwable th;
        AppMethodBeat.i(85592);
        Log.i(TAG, "Extract resource from Apk ".concat(String.valueOf(str)));
        long uptimeMillis = SystemClock.uptimeMillis();
        ZipFile zipFile;
        try {
            zipFile = new ZipFile(str);
            try {
                for (String str3 : MANDATORY_RESOURCES) {
                    ZipEntry entry;
                    if (isNativeLibrary(str3)) {
                        entry = zipFile.getEntry("lib" + File.separator + "armeabi" + File.separator + str3);
                    } else if (isAsset(str3)) {
                        entry = zipFile.getEntry("assets" + File.separator + str3);
                    } else {
                        entry = zipFile.getEntry(str3);
                    }
                    if (entry != null) {
                        Log.d(TAG, "Extracting ".concat(String.valueOf(str3)));
                        File file = new File(str2, str3);
                        if (file.isFile() && file.exists()) {
                            file.delete();
                        }
                        extractStreamToFile(zipFile.getInputStream(entry), new File(str2, str3));
                    } else if (isClassesDex(str3)) {
                        Log.i(TAG, str3 + " not found, may be it is new version of package");
                    } else {
                        Log.e(TAG, str3 + " not found");
                        try {
                            zipFile.close();
                        } catch (IOException | NullPointerException e2) {
                        }
                        AppMethodBeat.o(85592);
                        return false;
                    }
                }
                try {
                    zipFile.close();
                } catch (IOException | NullPointerException e3) {
                }
                System.gc();
                Log.d(TAG, "Time to extract : " + (SystemClock.uptimeMillis() - uptimeMillis) + " ms");
                AppMethodBeat.o(85592);
                return true;
            } catch (IOException e4) {
                e = e4;
                try {
                    Log.e(TAG, "Extract error:" + e.getLocalizedMessage());
                    try {
                        zipFile.close();
                    } catch (IOException | NullPointerException e5) {
                    }
                    AppMethodBeat.o(85592);
                    return false;
                } catch (Throwable th2) {
                    th = th2;
                    try {
                        zipFile.close();
                    } catch (IOException | NullPointerException e6) {
                    }
                    AppMethodBeat.o(85592);
                    throw th;
                }
            }
        } catch (IOException e7) {
            e = e7;
            zipFile = null;
            Log.e(TAG, "Extract error:" + e.getLocalizedMessage());
            zipFile.close();
            AppMethodBeat.o(85592);
            return false;
        } catch (Throwable th3) {
            th = th3;
            zipFile = null;
            zipFile.close();
            AppMethodBeat.o(85592);
            throw th;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:38:0x00e0 A:{SYNTHETIC, Splitter:B:38:0x00e0} */
    /* JADX WARNING: Removed duplicated region for block: B:41:0x00e5 A:{Catch:{ Exception -> 0x014f }} */
    /* JADX WARNING: Removed duplicated region for block: B:43:0x00ea A:{Catch:{ Exception -> 0x014f }} */
    /* JADX WARNING: Removed duplicated region for block: B:38:0x00e0 A:{SYNTHETIC, Splitter:B:38:0x00e0} */
    /* JADX WARNING: Removed duplicated region for block: B:41:0x00e5 A:{Catch:{ Exception -> 0x014f }} */
    /* JADX WARNING: Removed duplicated region for block: B:43:0x00ea A:{Catch:{ Exception -> 0x014f }} */
    /* JADX WARNING: Removed duplicated region for block: B:50:0x00fa A:{SYNTHETIC, Splitter:B:50:0x00fa} */
    /* JADX WARNING: Removed duplicated region for block: B:53:0x00ff A:{Catch:{ Exception -> 0x0142 }} */
    /* JADX WARNING: Removed duplicated region for block: B:55:0x0104 A:{Catch:{ Exception -> 0x0142 }} */
    /* JADX WARNING: Removed duplicated region for block: B:50:0x00fa A:{SYNTHETIC, Splitter:B:50:0x00fa} */
    /* JADX WARNING: Removed duplicated region for block: B:53:0x00ff A:{Catch:{ Exception -> 0x0142 }} */
    /* JADX WARNING: Removed duplicated region for block: B:55:0x0104 A:{Catch:{ Exception -> 0x0142 }} */
    /* JADX WARNING: Removed duplicated region for block: B:50:0x00fa A:{SYNTHETIC, Splitter:B:50:0x00fa} */
    /* JADX WARNING: Removed duplicated region for block: B:53:0x00ff A:{Catch:{ Exception -> 0x0142 }} */
    /* JADX WARNING: Removed duplicated region for block: B:55:0x0104 A:{Catch:{ Exception -> 0x0142 }} */
    public static boolean decompressDownloadFullZip(java.lang.String r12, int r13) {
        /*
        r1 = 0;
        r11 = 85593; // 0x14e59 float:1.19941E-40 double:4.22886E-319;
        r3 = 0;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r11);
        r0 = "XWalkLib";
        r2 = new java.lang.StringBuilder;
        r4 = "decompress full zip from zip ";
        r2.<init>(r4);
        r2 = r2.append(r12);
        r4 = ",version:";
        r2 = r2.append(r4);
        r2 = r2.append(r13);
        r2 = r2.toString();
        org.xwalk.core.Log.i(r0, r2);
        r6 = android.os.SystemClock.uptimeMillis();
        r5 = new java.util.zip.ZipFile;	 Catch:{ IOException -> 0x0151, all -> 0x0144 }
        r5.<init>(r12);	 Catch:{ IOException -> 0x0151, all -> 0x0144 }
        r8 = r5.entries();	 Catch:{ IOException -> 0x0157, all -> 0x0149 }
    L_0x0036:
        r0 = r8.hasMoreElements();	 Catch:{ IOException -> 0x0157, all -> 0x0149 }
        if (r0 == 0) goto L_0x0113;
    L_0x003c:
        r0 = r8.nextElement();	 Catch:{ IOException -> 0x0157, all -> 0x0149 }
        r0 = (java.util.zip.ZipEntry) r0;	 Catch:{ IOException -> 0x0157, all -> 0x0149 }
        r2 = r0.getName();	 Catch:{ IOException -> 0x0157, all -> 0x0149 }
        r4 = "UTF-8";
        r2 = java.net.URLEncoder.encode(r2, r4);	 Catch:{ IOException -> 0x0157, all -> 0x0149 }
        r4 = "XWalkLib";
        r9 = "decompressDownloadFullZip fileName:";
        r10 = java.lang.String.valueOf(r2);	 Catch:{ IOException -> 0x0157, all -> 0x0149 }
        r9 = r9.concat(r10);	 Catch:{ IOException -> 0x0157, all -> 0x0149 }
        org.xwalk.core.Log.i(r4, r9);	 Catch:{ IOException -> 0x0157, all -> 0x0149 }
        r4 = "../";
        r4 = r2.contains(r4);	 Catch:{ IOException -> 0x0157, all -> 0x0149 }
        if (r4 != 0) goto L_0x0036;
    L_0x0067:
        r4 = "..\\";
        r4 = r2.contains(r4);	 Catch:{ IOException -> 0x0157, all -> 0x0149 }
        if (r4 != 0) goto L_0x0036;
    L_0x0070:
        r4 = r0.isDirectory();	 Catch:{ IOException -> 0x0157, all -> 0x0149 }
        if (r4 != 0) goto L_0x0036;
    L_0x0076:
        r4 = r5.getInputStream(r0);	 Catch:{ IOException -> 0x0157, all -> 0x0149 }
        r0 = "base.apk";
        r0 = r2.equals(r0);	 Catch:{ IOException -> 0x00c2, all -> 0x00f6 }
        if (r0 == 0) goto L_0x00b8;
    L_0x0083:
        r0 = new java.io.File;	 Catch:{ IOException -> 0x00c2, all -> 0x00f6 }
        r2 = org.xwalk.core.XWalkEnvironment.getDownloadApkPath(r13);	 Catch:{ IOException -> 0x00c2, all -> 0x00f6 }
        r0.<init>(r2);	 Catch:{ IOException -> 0x00c2, all -> 0x00f6 }
    L_0x008c:
        r2 = r0.exists();	 Catch:{ IOException -> 0x00c2, all -> 0x00f6 }
        if (r2 != 0) goto L_0x00f2;
    L_0x0092:
        r2 = r0.getParentFile();	 Catch:{ IOException -> 0x00c2, all -> 0x00f6 }
        r9 = r2.exists();	 Catch:{ IOException -> 0x00c2, all -> 0x00f6 }
        if (r9 != 0) goto L_0x009f;
    L_0x009c:
        r2.mkdirs();	 Catch:{ IOException -> 0x00c2, all -> 0x00f6 }
    L_0x009f:
        r2 = new java.io.FileOutputStream;	 Catch:{ IOException -> 0x00c2, all -> 0x00f6 }
        r2.<init>(r0);	 Catch:{ IOException -> 0x00c2, all -> 0x00f6 }
        r0 = 1048576; // 0x100000 float:1.469368E-39 double:5.180654E-318;
        r9 = new byte[r0];	 Catch:{ IOException -> 0x015c }
        r0 = r4.read(r9);	 Catch:{ IOException -> 0x015c }
    L_0x00ac:
        r10 = -1;
        if (r0 == r10) goto L_0x010b;
    L_0x00af:
        r10 = 0;
        r2.write(r9, r10, r0);	 Catch:{ IOException -> 0x015c }
        r0 = r4.read(r9);	 Catch:{ IOException -> 0x015c }
        goto L_0x00ac;
    L_0x00b8:
        r0 = new java.io.File;	 Catch:{ IOException -> 0x00c2, all -> 0x00f6 }
        r2 = org.xwalk.core.XWalkEnvironment.getExtractedCoreFile(r13, r2);	 Catch:{ IOException -> 0x00c2, all -> 0x00f6 }
        r0.<init>(r2);	 Catch:{ IOException -> 0x00c2, all -> 0x00f6 }
        goto L_0x008c;
    L_0x00c2:
        r0 = move-exception;
        r2 = r3;
    L_0x00c4:
        r3 = "XWalkLib";
        r6 = new java.lang.StringBuilder;	 Catch:{ all -> 0x014d }
        r7 = "decompressDownloadPatchZip error:";
        r6.<init>(r7);	 Catch:{ all -> 0x014d }
        r0 = r0.getLocalizedMessage();	 Catch:{ all -> 0x014d }
        r0 = r6.append(r0);	 Catch:{ all -> 0x014d }
        r0 = r0.toString();	 Catch:{ all -> 0x014d }
        org.xwalk.core.Log.e(r3, r0);	 Catch:{ all -> 0x014d }
        if (r5 == 0) goto L_0x00e3;
    L_0x00e0:
        r5.close();	 Catch:{ Exception -> 0x014f }
    L_0x00e3:
        if (r2 == 0) goto L_0x00e8;
    L_0x00e5:
        r2.close();	 Catch:{ Exception -> 0x014f }
    L_0x00e8:
        if (r4 == 0) goto L_0x00ed;
    L_0x00ea:
        r4.close();	 Catch:{ Exception -> 0x014f }
    L_0x00ed:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r11);
        r0 = r1;
    L_0x00f1:
        return r0;
    L_0x00f2:
        r0.delete();	 Catch:{ IOException -> 0x00c2, all -> 0x00f6 }
        goto L_0x009f;
    L_0x00f6:
        r0 = move-exception;
        r2 = r3;
    L_0x00f8:
        if (r5 == 0) goto L_0x00fd;
    L_0x00fa:
        r5.close();	 Catch:{ Exception -> 0x0142 }
    L_0x00fd:
        if (r2 == 0) goto L_0x0102;
    L_0x00ff:
        r2.close();	 Catch:{ Exception -> 0x0142 }
    L_0x0102:
        if (r4 == 0) goto L_0x0107;
    L_0x0104:
        r4.close();	 Catch:{ Exception -> 0x0142 }
    L_0x0107:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r11);
        throw r0;
    L_0x010b:
        r2.close();	 Catch:{ IOException -> 0x015c }
        r4.close();	 Catch:{ IOException -> 0x00c2, all -> 0x00f6 }
        goto L_0x0036;
    L_0x0113:
        r5.close();	 Catch:{ Exception -> 0x0140 }
    L_0x0116:
        java.lang.System.gc();
        r0 = "XWalkLib";
        r1 = new java.lang.StringBuilder;
        r2 = "Time to decompress : ";
        r1.<init>(r2);
        r2 = android.os.SystemClock.uptimeMillis();
        r2 = r2 - r6;
        r1 = r1.append(r2);
        r2 = " ms";
        r1 = r1.append(r2);
        r1 = r1.toString();
        org.xwalk.core.Log.d(r0, r1);
        r0 = 1;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r11);
        goto L_0x00f1;
    L_0x0140:
        r0 = move-exception;
        goto L_0x0116;
    L_0x0142:
        r1 = move-exception;
        goto L_0x0107;
    L_0x0144:
        r0 = move-exception;
        r2 = r3;
        r4 = r3;
        r5 = r3;
        goto L_0x00f8;
    L_0x0149:
        r0 = move-exception;
        r2 = r3;
        r4 = r3;
        goto L_0x00f8;
    L_0x014d:
        r0 = move-exception;
        goto L_0x00f8;
    L_0x014f:
        r0 = move-exception;
        goto L_0x00ed;
    L_0x0151:
        r0 = move-exception;
        r2 = r3;
        r4 = r3;
        r5 = r3;
        goto L_0x00c4;
    L_0x0157:
        r0 = move-exception;
        r2 = r3;
        r4 = r3;
        goto L_0x00c4;
    L_0x015c:
        r0 = move-exception;
        goto L_0x00c4;
        */
        throw new UnsupportedOperationException("Method not decompiled: org.xwalk.core.XWalkDecompressor.decompressDownloadFullZip(java.lang.String, int):boolean");
    }

    public static boolean decompressDownloadPatchZip(String str, String str2) {
        IOException e;
        Object obj;
        Throwable th;
        AppMethodBeat.i(85594);
        Log.d(TAG, "decompress from zip ".concat(String.valueOf(str)));
        long uptimeMillis = SystemClock.uptimeMillis();
        ZipFile zipFile;
        Closeable closeable;
        Closeable closeable2;
        try {
            zipFile = new ZipFile(str);
            try {
                Enumeration entries = zipFile.entries();
                closeable = null;
                closeable2 = null;
                while (entries.hasMoreElements()) {
                    try {
                        ZipEntry zipEntry = (ZipEntry) entries.nextElement();
                        String encode = URLEncoder.encode(zipEntry.getName(), "UTF-8");
                        if (!(encode.contains("../") || encode.contains("..\\") || zipEntry.isDirectory())) {
                            b.tryClose(closeable2);
                            closeable2 = zipFile.getInputStream(zipEntry);
                            File file = new File(str2, encode);
                            if (file.exists()) {
                                file.delete();
                            } else {
                                File parentFile = file.getParentFile();
                                if (!parentFile.exists()) {
                                    parentFile.mkdirs();
                                }
                            }
                            b.tryClose(closeable);
                            FileOutputStream fileOutputStream = new FileOutputStream(file);
                            try {
                                byte[] bArr = new byte[STREAM_BUFFER_SIZE];
                                for (int read = closeable2.read(bArr); read != -1; read = closeable2.read(bArr)) {
                                    fileOutputStream.write(bArr, 0, read);
                                }
                                closeable = fileOutputStream;
                            } catch (IOException e2) {
                                e = e2;
                                obj = fileOutputStream;
                                try {
                                    Log.e(TAG, "decompressDownloadPatchZip error:" + e.getLocalizedMessage());
                                    try {
                                        zipFile.close();
                                    } catch (IOException | NullPointerException e3) {
                                    }
                                    b.tryClose(closeable);
                                    b.tryClose(closeable2);
                                    AppMethodBeat.o(85594);
                                    return false;
                                } catch (Throwable th2) {
                                    th = th2;
                                    try {
                                        zipFile.close();
                                    } catch (IOException | NullPointerException e4) {
                                    }
                                    b.tryClose(closeable);
                                    b.tryClose(closeable2);
                                    AppMethodBeat.o(85594);
                                    throw th;
                                }
                            } catch (Throwable th3) {
                                th = th3;
                                obj = fileOutputStream;
                                zipFile.close();
                                b.tryClose(closeable);
                                b.tryClose(closeable2);
                                AppMethodBeat.o(85594);
                                throw th;
                            }
                        }
                    } catch (IOException e5) {
                        e = e5;
                    }
                }
                try {
                    zipFile.close();
                } catch (IOException | NullPointerException e6) {
                }
                b.tryClose(closeable);
                b.tryClose(closeable2);
                System.gc();
                Log.d(TAG, "Time to decompress : " + (SystemClock.uptimeMillis() - uptimeMillis) + " ms");
                AppMethodBeat.o(85594);
                return true;
            } catch (IOException e7) {
                e = e7;
                closeable = null;
                closeable2 = null;
                Log.e(TAG, "decompressDownloadPatchZip error:" + e.getLocalizedMessage());
                zipFile.close();
                b.tryClose(closeable);
                b.tryClose(closeable2);
                AppMethodBeat.o(85594);
                return false;
            } catch (Throwable th4) {
                th = th4;
                closeable = null;
                closeable2 = null;
                zipFile.close();
                b.tryClose(closeable);
                b.tryClose(closeable2);
                AppMethodBeat.o(85594);
                throw th;
            }
        } catch (IOException e8) {
            e = e8;
            closeable = null;
            closeable2 = null;
            zipFile = null;
            Log.e(TAG, "decompressDownloadPatchZip error:" + e.getLocalizedMessage());
            zipFile.close();
            b.tryClose(closeable);
            b.tryClose(closeable2);
            AppMethodBeat.o(85594);
            return false;
        } catch (Throwable th5) {
            th = th5;
            closeable = null;
            closeable2 = null;
            zipFile = null;
            zipFile.close();
            b.tryClose(closeable);
            b.tryClose(closeable2);
            AppMethodBeat.o(85594);
            throw th;
        }
    }

    private static boolean isNativeLibrary(String str) {
        AppMethodBeat.i(85595);
        boolean endsWith = str.endsWith(".so");
        AppMethodBeat.o(85595);
        return endsWith;
    }

    private static boolean isAsset(String str) {
        AppMethodBeat.i(85596);
        if (str.endsWith(".dat") || str.endsWith(".pak") || str.endsWith(".js")) {
            AppMethodBeat.o(85596);
            return true;
        }
        AppMethodBeat.o(85596);
        return false;
    }

    private static boolean isClassesDex(String str) {
        AppMethodBeat.i(85597);
        if (TextUtils.isEmpty(str)) {
            AppMethodBeat.o(85597);
            return false;
        }
        boolean endsWith = str.endsWith("classes.dex");
        AppMethodBeat.o(85597);
        return endsWith;
    }

    private static InputStream openRawResource(String str) {
        AppMethodBeat.i(85598);
        Context applicationContext = XWalkEnvironment.getApplicationContext();
        Resources resources = applicationContext.getResources();
        InputStream openRawResource = resources.openRawResource(resources.getIdentifier(str.split("\\.")[0], "raw", applicationContext.getPackageName()));
        AppMethodBeat.o(85598);
        return openRawResource;
    }

    /* JADX WARNING: Removed duplicated region for block: B:15:0x0039 A:{Catch:{ all -> 0x0043 }} */
    /* JADX WARNING: Removed duplicated region for block: B:15:0x0039 A:{Catch:{ all -> 0x0043 }} */
    private static void extractLzmaToFile(java.io.InputStream r11, java.io.File r12) {
        /*
        r2 = 0;
        r0 = 0;
        r6 = 5;
        r10 = 85599; // 0x14e5f float:1.1995E-40 double:4.22915E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r10);
        r3 = new java.io.BufferedInputStream;	 Catch:{ IOException -> 0x00ce, all -> 0x00c5 }
        r3.<init>(r11);	 Catch:{ IOException -> 0x00ce, all -> 0x00c5 }
        r1 = new java.io.BufferedOutputStream;	 Catch:{ IOException -> 0x00d3, all -> 0x00ca }
        r4 = new java.io.FileOutputStream;	 Catch:{ IOException -> 0x00d3, all -> 0x00ca }
        r4.<init>(r12);	 Catch:{ IOException -> 0x00d3, all -> 0x00ca }
        r1.<init>(r4);	 Catch:{ IOException -> 0x00d3, all -> 0x00ca }
        r2 = 5;
        r2 = new byte[r2];	 Catch:{ IOException -> 0x0032 }
        r4 = 0;
        r5 = 5;
        r4 = r3.read(r2, r4, r5);	 Catch:{ IOException -> 0x0032 }
        if (r4 == r6) goto L_0x0051;
    L_0x0023:
        r0 = new java.io.IOException;	 Catch:{ IOException -> 0x0032 }
        r2 = "Input lzma file is too short";
        r0.<init>(r2);	 Catch:{ IOException -> 0x0032 }
        r2 = 85599; // 0x14e5f float:1.1995E-40 double:4.22915E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);	 Catch:{ IOException -> 0x0032 }
        throw r0;	 Catch:{ IOException -> 0x0032 }
    L_0x0032:
        r0 = move-exception;
    L_0x0033:
        r2 = r12.isFile();	 Catch:{ all -> 0x0043 }
        if (r2 == 0) goto L_0x003c;
    L_0x0039:
        r12.delete();	 Catch:{ all -> 0x0043 }
    L_0x003c:
        r2 = 85599; // 0x14e5f float:1.1995E-40 double:4.22915E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);	 Catch:{ all -> 0x0043 }
        throw r0;	 Catch:{ all -> 0x0043 }
    L_0x0043:
        r0 = move-exception;
    L_0x0044:
        r1.flush();	 Catch:{ IOException | NullPointerException -> 0x00b9, NullPointerException -> 0x00bb }
    L_0x0047:
        r1.close();	 Catch:{ IOException | NullPointerException -> 0x00bd, NullPointerException -> 0x00bf }
    L_0x004a:
        r3.close();	 Catch:{ IOException | NullPointerException -> 0x00c1, NullPointerException -> 0x00c3 }
    L_0x004d:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        throw r0;
    L_0x0051:
        r6 = new g.a.b.a;	 Catch:{ IOException -> 0x0032 }
        r6.<init>();	 Catch:{ IOException -> 0x0032 }
        r2 = r6.cR(r2);	 Catch:{ IOException -> 0x0032 }
        if (r2 != 0) goto L_0x006b;
    L_0x005c:
        r0 = new java.io.IOException;	 Catch:{ IOException -> 0x0032 }
        r2 = "Incorrect lzma properties";
        r0.<init>(r2);	 Catch:{ IOException -> 0x0032 }
        r2 = 85599; // 0x14e5f float:1.1995E-40 double:4.22915E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);	 Catch:{ IOException -> 0x0032 }
        throw r0;	 Catch:{ IOException -> 0x0032 }
    L_0x006b:
        r4 = 0;
    L_0x006d:
        r2 = 8;
        if (r0 >= r2) goto L_0x0088;
    L_0x0071:
        r2 = r3.read();	 Catch:{ IOException -> 0x0032 }
        if (r2 >= 0) goto L_0x0080;
    L_0x0077:
        r7 = "XWalkLib";
        r8 = "Can't read stream size";
        org.xwalk.core.Log.w(r7, r8);	 Catch:{ IOException -> 0x0032 }
    L_0x0080:
        r8 = (long) r2;	 Catch:{ IOException -> 0x0032 }
        r2 = r0 * 8;
        r8 = r8 << r2;
        r4 = r4 | r8;
        r0 = r0 + 1;
        goto L_0x006d;
    L_0x0088:
        r0 = r6.a(r3, r1, r4);	 Catch:{ IOException -> 0x0032 }
        if (r0 != 0) goto L_0x009d;
    L_0x008e:
        r0 = new java.io.IOException;	 Catch:{ IOException -> 0x0032 }
        r2 = "Error in data stream";
        r0.<init>(r2);	 Catch:{ IOException -> 0x0032 }
        r2 = 85599; // 0x14e5f float:1.1995E-40 double:4.22915E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);	 Catch:{ IOException -> 0x0032 }
        throw r0;	 Catch:{ IOException -> 0x0032 }
    L_0x009d:
        r1.flush();	 Catch:{ IOException | NullPointerException -> 0x00af, NullPointerException -> 0x00b1 }
    L_0x00a0:
        r1.close();	 Catch:{ IOException | NullPointerException -> 0x00b3, NullPointerException -> 0x00b5 }
    L_0x00a3:
        r3.close();	 Catch:{ IOException | NullPointerException -> 0x00aa, NullPointerException -> 0x00b7 }
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
    L_0x00a9:
        return;
    L_0x00aa:
        r0 = move-exception;
    L_0x00ab:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        goto L_0x00a9;
    L_0x00af:
        r0 = move-exception;
        goto L_0x00a0;
    L_0x00b1:
        r0 = move-exception;
        goto L_0x00a0;
    L_0x00b3:
        r0 = move-exception;
        goto L_0x00a3;
    L_0x00b5:
        r0 = move-exception;
        goto L_0x00a3;
    L_0x00b7:
        r0 = move-exception;
        goto L_0x00ab;
    L_0x00b9:
        r2 = move-exception;
        goto L_0x0047;
    L_0x00bb:
        r2 = move-exception;
        goto L_0x0047;
    L_0x00bd:
        r1 = move-exception;
        goto L_0x004a;
    L_0x00bf:
        r1 = move-exception;
        goto L_0x004a;
    L_0x00c1:
        r1 = move-exception;
        goto L_0x004d;
    L_0x00c3:
        r1 = move-exception;
        goto L_0x004d;
    L_0x00c5:
        r0 = move-exception;
        r1 = r2;
        r3 = r2;
        goto L_0x0044;
    L_0x00ca:
        r0 = move-exception;
        r1 = r2;
        goto L_0x0044;
    L_0x00ce:
        r0 = move-exception;
        r1 = r2;
        r3 = r2;
        goto L_0x0033;
    L_0x00d3:
        r0 = move-exception;
        r1 = r2;
        goto L_0x0033;
        */
        throw new UnsupportedOperationException("Method not decompiled: org.xwalk.core.XWalkDecompressor.extractLzmaToFile(java.io.InputStream, java.io.File):void");
    }

    /* JADX WARNING: Removed duplicated region for block: B:14:0x0025 A:{Catch:{ all -> 0x002f }} */
    private static void extractStreamToFile(java.io.InputStream r5, java.io.File r6) {
        /*
        r4 = 85600; // 0x14e60 float:1.19951E-40 double:4.2292E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r4);
        r2 = 0;
        r5.available();	 Catch:{ IOException -> 0x0068, all -> 0x0065 }
        r1 = new java.io.FileOutputStream;	 Catch:{ IOException -> 0x0068, all -> 0x0065 }
        r1.<init>(r6);	 Catch:{ IOException -> 0x0068, all -> 0x0065 }
        r0 = 1048576; // 0x100000 float:1.469368E-39 double:5.180654E-318;
        r0 = new byte[r0];	 Catch:{ IOException -> 0x001e }
    L_0x0013:
        r2 = r5.read(r0);	 Catch:{ IOException -> 0x001e }
        if (r2 < 0) goto L_0x003d;
    L_0x0019:
        r3 = 0;
        r1.write(r0, r3, r2);	 Catch:{ IOException -> 0x001e }
        goto L_0x0013;
    L_0x001e:
        r0 = move-exception;
    L_0x001f:
        r2 = r6.isFile();	 Catch:{ all -> 0x002f }
        if (r2 == 0) goto L_0x0028;
    L_0x0025:
        r6.delete();	 Catch:{ all -> 0x002f }
    L_0x0028:
        r2 = 85600; // 0x14e60 float:1.19951E-40 double:4.2292E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);	 Catch:{ all -> 0x002f }
        throw r0;	 Catch:{ all -> 0x002f }
    L_0x002f:
        r0 = move-exception;
    L_0x0030:
        r1.flush();	 Catch:{ IOException | NullPointerException -> 0x0059, NullPointerException -> 0x005b }
    L_0x0033:
        r1.close();	 Catch:{ IOException | NullPointerException -> 0x005d, NullPointerException -> 0x005f }
    L_0x0036:
        r5.close();	 Catch:{ IOException | NullPointerException -> 0x0061, NullPointerException -> 0x0063 }
    L_0x0039:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r4);
        throw r0;
    L_0x003d:
        r1.flush();	 Catch:{ IOException | NullPointerException -> 0x004f, NullPointerException -> 0x0051 }
    L_0x0040:
        r1.close();	 Catch:{ IOException | NullPointerException -> 0x0053, NullPointerException -> 0x0055 }
    L_0x0043:
        r5.close();	 Catch:{ IOException | NullPointerException -> 0x004a, NullPointerException -> 0x0057 }
        com.tencent.matrix.trace.core.AppMethodBeat.o(r4);
    L_0x0049:
        return;
    L_0x004a:
        r0 = move-exception;
    L_0x004b:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r4);
        goto L_0x0049;
    L_0x004f:
        r0 = move-exception;
        goto L_0x0040;
    L_0x0051:
        r0 = move-exception;
        goto L_0x0040;
    L_0x0053:
        r0 = move-exception;
        goto L_0x0043;
    L_0x0055:
        r0 = move-exception;
        goto L_0x0043;
    L_0x0057:
        r0 = move-exception;
        goto L_0x004b;
    L_0x0059:
        r2 = move-exception;
        goto L_0x0033;
    L_0x005b:
        r2 = move-exception;
        goto L_0x0033;
    L_0x005d:
        r1 = move-exception;
        goto L_0x0036;
    L_0x005f:
        r1 = move-exception;
        goto L_0x0036;
    L_0x0061:
        r1 = move-exception;
        goto L_0x0039;
    L_0x0063:
        r1 = move-exception;
        goto L_0x0039;
    L_0x0065:
        r0 = move-exception;
        r1 = r2;
        goto L_0x0030;
    L_0x0068:
        r0 = move-exception;
        r1 = r2;
        goto L_0x001f;
        */
        throw new UnsupportedOperationException("Method not decompiled: org.xwalk.core.XWalkDecompressor.extractStreamToFile(java.io.InputStream, java.io.File):void");
    }

    public static void copyApkToLocal(String str, String str2) {
        Exception e;
        Throwable th;
        AppMethodBeat.i(85601);
        Log.d(TAG, "Copy to local from Apk ".concat(String.valueOf(str)));
        Closeable fileInputStream;
        Closeable fileOutputStream;
        try {
            fileInputStream = new FileInputStream(new File(str));
            try {
                File file = new File(str2);
                if (file.exists()) {
                    file.delete();
                }
                fileOutputStream = new FileOutputStream(file);
                try {
                    byte[] bArr = new byte[1024];
                    while (true) {
                        int read = fileInputStream.read(bArr);
                        if (read > 0) {
                            fileOutputStream.write(bArr, 0, read);
                        } else {
                            b.tryClose(fileInputStream);
                            b.tryClose(fileOutputStream);
                            AppMethodBeat.o(85601);
                            return;
                        }
                    }
                } catch (Exception e2) {
                    e = e2;
                    try {
                        Log.e("copyApkToLocal error:", e.getMessage());
                        b.tryClose(fileInputStream);
                        b.tryClose(fileOutputStream);
                        AppMethodBeat.o(85601);
                    } catch (Throwable th2) {
                        th = th2;
                        b.tryClose(fileInputStream);
                        b.tryClose(fileOutputStream);
                        AppMethodBeat.o(85601);
                        throw th;
                    }
                }
            } catch (Exception e3) {
                e = e3;
                fileOutputStream = null;
                Log.e("copyApkToLocal error:", e.getMessage());
                b.tryClose(fileInputStream);
                b.tryClose(fileOutputStream);
                AppMethodBeat.o(85601);
            } catch (Throwable th3) {
                th = th3;
                fileOutputStream = null;
                b.tryClose(fileInputStream);
                b.tryClose(fileOutputStream);
                AppMethodBeat.o(85601);
                throw th;
            }
        } catch (Exception e4) {
            e = e4;
            fileOutputStream = null;
            fileInputStream = null;
            Log.e("copyApkToLocal error:", e.getMessage());
            b.tryClose(fileInputStream);
            b.tryClose(fileOutputStream);
            AppMethodBeat.o(85601);
        } catch (Throwable th4) {
            th = th4;
            fileOutputStream = null;
            fileInputStream = null;
            b.tryClose(fileInputStream);
            b.tryClose(fileOutputStream);
            AppMethodBeat.o(85601);
            throw th;
        }
    }
}
