package com.facebook.appevents.codeless;

import android.os.Bundle;
import android.view.View;
import android.view.View.AccessibilityDelegate;
import com.facebook.FacebookException;
import com.facebook.FacebookSdk;
import com.facebook.appevents.codeless.CodelessLoggingEventListener.1;
import com.facebook.appevents.codeless.internal.EventBinding;
import com.facebook.appevents.codeless.internal.EventBinding.ActionType;
import com.facebook.appevents.codeless.internal.ViewHierarchy;
import com.facebook.appevents.internal.AppEventUtility;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.lang.ref.WeakReference;

public class CodelessLoggingEventListener$AutoLoggingAccessibilityDelegate extends AccessibilityDelegate {
    private int accessibilityEventType;
    private AccessibilityDelegate existingDelegate;
    private WeakReference<View> hostView;
    private EventBinding mapping;
    private WeakReference<View> rootView;
    protected boolean supportButtonIndexing = false;
    private boolean supportCodelessLogging = false;

    public CodelessLoggingEventListener$AutoLoggingAccessibilityDelegate(EventBinding eventBinding, View view, View view2) {
        AppMethodBeat.i(72042);
        if (eventBinding == null || view == null || view2 == null) {
            AppMethodBeat.o(72042);
            return;
        }
        this.existingDelegate = ViewHierarchy.getExistingDelegate(view2);
        this.mapping = eventBinding;
        this.hostView = new WeakReference(view2);
        this.rootView = new WeakReference(view);
        ActionType type = eventBinding.getType();
        switch (1.$SwitchMap$com$facebook$appevents$codeless$internal$EventBinding$ActionType[eventBinding.getType().ordinal()]) {
            case 1:
                this.accessibilityEventType = 1;
                break;
            case 2:
                this.accessibilityEventType = 4;
                break;
            case 3:
                this.accessibilityEventType = 16;
                break;
            default:
                FacebookException facebookException = new FacebookException("Unsupported action type: " + type.toString());
                AppMethodBeat.o(72042);
                throw facebookException;
        }
        this.supportCodelessLogging = true;
        AppMethodBeat.o(72042);
    }

    public void sendAccessibilityEvent(View view, int i) {
        AppMethodBeat.i(72043);
        if (i == -1) {
            CodelessLoggingEventListener.access$000();
        }
        if (i != this.accessibilityEventType) {
            AppMethodBeat.o(72043);
            return;
        }
        if (!(this.existingDelegate == null || (this.existingDelegate instanceof CodelessLoggingEventListener$AutoLoggingAccessibilityDelegate))) {
            this.existingDelegate.sendAccessibilityEvent(view, i);
        }
        logEvent();
        AppMethodBeat.o(72043);
    }

    private void logEvent() {
        AppMethodBeat.i(72044);
        String eventName = this.mapping.getEventName();
        Bundle parameters = CodelessMatcher.getParameters(this.mapping, (View) this.rootView.get(), (View) this.hostView.get());
        if (parameters.containsKey("_valueToSum")) {
            parameters.putDouble("_valueToSum", AppEventUtility.normalizePrice(parameters.getString("_valueToSum")));
        }
        parameters.putString("_is_fb_codeless", "1");
        FacebookSdk.getExecutor().execute(new 1(this, eventName, parameters));
        AppMethodBeat.o(72044);
    }

    public boolean getSupportCodelessLogging() {
        return this.supportCodelessLogging;
    }

    public boolean getSupportButtonIndexing() {
        return this.supportButtonIndexing;
    }
}
