package com.facebook.internal;

import android.net.Uri;
import android.os.AsyncTask;
import android.os.Bundle;
import com.facebook.AccessToken;
import com.facebook.FacebookException;
import com.facebook.FacebookSdk;
import com.facebook.share.internal.MessengerShareContentUtility;
import com.facebook.share.internal.ShareInternalUtility;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.util.Arrays;
import java.util.Iterator;
import java.util.List;
import java.util.concurrent.ConcurrentLinkedQueue;
import java.util.concurrent.CountDownLatch;
import org.json.JSONArray;

class WebDialog$UploadStagingResourcesTask extends AsyncTask<Void, Void, String[]> {
    private String action;
    private Exception[] exceptions;
    private Bundle parameters;
    final /* synthetic */ WebDialog this$0;

    WebDialog$UploadStagingResourcesTask(WebDialog webDialog, String str, Bundle bundle) {
        this.this$0 = webDialog;
        this.action = str;
        this.parameters = bundle;
    }

    /* Access modifiers changed, original: protected|varargs */
    public String[] doInBackground(Void... voidArr) {
        AppMethodBeat.i(96669);
        String[] stringArray = this.parameters.getStringArray(MessengerShareContentUtility.TEMPLATE_MEDIA_TYPE);
        String[] strArr = new String[stringArray.length];
        this.exceptions = new Exception[stringArray.length];
        CountDownLatch countDownLatch = new CountDownLatch(stringArray.length);
        ConcurrentLinkedQueue concurrentLinkedQueue = new ConcurrentLinkedQueue();
        AccessToken currentAccessToken = AccessToken.getCurrentAccessToken();
        int i = 0;
        while (i < stringArray.length) {
            Iterator it;
            try {
                if (isCancelled()) {
                    it = concurrentLinkedQueue.iterator();
                    while (it.hasNext()) {
                        ((AsyncTask) it.next()).cancel(true);
                    }
                    AppMethodBeat.o(96669);
                    return null;
                }
                Uri parse = Uri.parse(stringArray[i]);
                if (Utility.isWebUri(parse)) {
                    strArr[i] = parse.toString();
                    countDownLatch.countDown();
                } else {
                    concurrentLinkedQueue.add(ShareInternalUtility.newUploadStagingResourceWithImageRequest(currentAccessToken, parse, new 1(this, strArr, i, countDownLatch)).executeAsync());
                }
                i++;
            } catch (Exception e) {
                it = concurrentLinkedQueue.iterator();
                while (it.hasNext()) {
                    ((AsyncTask) it.next()).cancel(true);
                }
                AppMethodBeat.o(96669);
                return null;
            }
        }
        countDownLatch.await();
        AppMethodBeat.o(96669);
        return strArr;
    }

    /* Access modifiers changed, original: protected */
    public void onPostExecute(String[] strArr) {
        AppMethodBeat.i(96670);
        WebDialog.access$300(this.this$0).dismiss();
        for (Throwable th : this.exceptions) {
            if (th != null) {
                this.this$0.sendErrorToListener(th);
                AppMethodBeat.o(96670);
                return;
            }
        }
        if (strArr == null) {
            this.this$0.sendErrorToListener(new FacebookException("Failed to stage photos for web dialog"));
            AppMethodBeat.o(96670);
            return;
        }
        List asList = Arrays.asList(strArr);
        if (asList.contains(null)) {
            this.this$0.sendErrorToListener(new FacebookException("Failed to stage photos for web dialog"));
            AppMethodBeat.o(96670);
            return;
        }
        Utility.putJSONValueInBundle(this.parameters, MessengerShareContentUtility.TEMPLATE_MEDIA_TYPE, new JSONArray(asList));
        WebDialog.access$902(this.this$0, Utility.buildUri(ServerProtocol.getDialogAuthority(), FacebookSdk.getGraphApiVersion() + "/dialog/" + this.action, this.parameters).toString());
        WebDialog.access$1000(this.this$0, (WebDialog.access$600(this.this$0).getDrawable().getIntrinsicWidth() / 2) + 1);
        AppMethodBeat.o(96670);
    }
}
