package com.facebook.internal;

import com.facebook.FacebookSdk;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.util.concurrent.Executor;

public class WorkQueue {
    static final /* synthetic */ boolean $assertionsDisabled = (!WorkQueue.class.desiredAssertionStatus());
    public static final int DEFAULT_MAX_CONCURRENT = 8;
    private final Executor executor;
    private final int maxConcurrent;
    private WorkNode pendingJobs;
    private int runningCount;
    private WorkNode runningJobs;
    private final Object workLock;

    static {
        AppMethodBeat.i(72610);
        AppMethodBeat.o(72610);
    }

    static /* synthetic */ void access$000(WorkQueue workQueue, WorkNode workNode) {
        AppMethodBeat.i(72609);
        workQueue.finishItemAndStartNew(workNode);
        AppMethodBeat.o(72609);
    }

    public WorkQueue() {
        this(8);
    }

    public WorkQueue(int i) {
        this(i, FacebookSdk.getExecutor());
        AppMethodBeat.i(72601);
        AppMethodBeat.o(72601);
    }

    public WorkQueue(int i, Executor executor) {
        AppMethodBeat.i(72602);
        this.workLock = new Object();
        this.runningJobs = null;
        this.runningCount = 0;
        this.maxConcurrent = i;
        this.executor = executor;
        AppMethodBeat.o(72602);
    }

    public WorkItem addActiveWorkItem(Runnable runnable) {
        AppMethodBeat.i(72603);
        WorkItem addActiveWorkItem = addActiveWorkItem(runnable, true);
        AppMethodBeat.o(72603);
        return addActiveWorkItem;
    }

    public WorkItem addActiveWorkItem(Runnable runnable, boolean z) {
        AppMethodBeat.i(72604);
        WorkItem workNode = new WorkNode(this, runnable);
        synchronized (this.workLock) {
            try {
                this.pendingJobs = workNode.addToList(this.pendingJobs, z);
            } finally {
                while (true) {
                }
                AppMethodBeat.o(72604);
            }
        }
        startItem();
        return workNode;
    }

    public void validate() {
        AppMethodBeat.i(72605);
        synchronized (this.workLock) {
            int i = 0;
            try {
                if (this.runningJobs != null) {
                    WorkNode workNode = this.runningJobs;
                    while (true) {
                        workNode.verify(true);
                        i++;
                        workNode = workNode.getNext();
                        if (workNode == this.runningJobs) {
                            break;
                        }
                    }
                }
                if ($assertionsDisabled || this.runningCount == i) {
                } else {
                    Object assertionError = new AssertionError();
                    throw assertionError;
                }
            } finally {
                AppMethodBeat.o(72605);
            }
        }
        AppMethodBeat.o(72605);
    }

    private void startItem() {
        AppMethodBeat.i(72606);
        finishItemAndStartNew(null);
        AppMethodBeat.o(72606);
    }

    private void finishItemAndStartNew(WorkNode workNode) {
        AppMethodBeat.i(72607);
        WorkNode workNode2 = null;
        synchronized (this.workLock) {
            if (workNode != null) {
                try {
                    this.runningJobs = workNode.removeFromList(this.runningJobs);
                    this.runningCount--;
                } catch (Throwable th) {
                    while (true) {
                        AppMethodBeat.o(72607);
                    }
                }
            }
            if (this.runningCount < this.maxConcurrent) {
                workNode2 = this.pendingJobs;
                if (workNode2 != null) {
                    this.pendingJobs = workNode2.removeFromList(this.pendingJobs);
                    this.runningJobs = workNode2.addToList(this.runningJobs, false);
                    this.runningCount++;
                    workNode2.setIsRunning(true);
                }
            }
        }
        if (workNode2 != null) {
            execute(workNode2);
        }
        AppMethodBeat.o(72607);
    }

    private void execute(WorkNode workNode) {
        AppMethodBeat.i(72608);
        this.executor.execute(new 1(this, workNode));
        AppMethodBeat.o(72608);
    }
}
