package com.facebook.login.widget;

import android.app.Activity;
import android.content.Context;
import android.view.View;
import android.view.View.MeasureSpec;
import android.view.View.OnClickListener;
import android.view.ViewTreeObserver.OnScrollChangedListener;
import android.widget.PopupWindow;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.lang.ref.WeakReference;

public class ToolTipPopup {
    public static final long DEFAULT_POPUP_DISPLAY_TIME = 6000;
    private final WeakReference<View> mAnchorViewRef;
    private final Context mContext;
    private long mNuxDisplayTime = DEFAULT_POPUP_DISPLAY_TIME;
    private PopupContentView mPopupContent;
    private PopupWindow mPopupWindow;
    private final OnScrollChangedListener mScrollListener = new OnScrollChangedListener() {
        public void onScrollChanged() {
            AppMethodBeat.i(92711);
            if (!(ToolTipPopup.this.mAnchorViewRef.get() == null || ToolTipPopup.this.mPopupWindow == null || !ToolTipPopup.this.mPopupWindow.isShowing())) {
                if (ToolTipPopup.this.mPopupWindow.isAboveAnchor()) {
                    ToolTipPopup.this.mPopupContent.showBottomArrow();
                    AppMethodBeat.o(92711);
                    return;
                }
                ToolTipPopup.this.mPopupContent.showTopArrow();
            }
            AppMethodBeat.o(92711);
        }
    };
    private Style mStyle = Style.BLUE;
    private final String mText;

    public ToolTipPopup(String str, View view) {
        AppMethodBeat.i(92721);
        this.mText = str;
        this.mAnchorViewRef = new WeakReference(view);
        this.mContext = view.getContext();
        AppMethodBeat.o(92721);
    }

    public void setStyle(Style style) {
        this.mStyle = style;
    }

    public void show() {
        AppMethodBeat.i(92722);
        if (this.mAnchorViewRef.get() != null) {
            this.mPopupContent = new PopupContentView(this, this.mContext);
            ((TextView) this.mPopupContent.findViewById(2131822902)).setText(this.mText);
            if (this.mStyle == Style.BLUE) {
                PopupContentView.access$300(this.mPopupContent).setBackgroundResource(2130838391);
                PopupContentView.access$400(this.mPopupContent).setImageResource(2130838392);
                PopupContentView.access$500(this.mPopupContent).setImageResource(2130838393);
                PopupContentView.access$600(this.mPopupContent).setImageResource(2130838394);
            } else {
                PopupContentView.access$300(this.mPopupContent).setBackgroundResource(2130838387);
                PopupContentView.access$400(this.mPopupContent).setImageResource(2130838388);
                PopupContentView.access$500(this.mPopupContent).setImageResource(2130838389);
                PopupContentView.access$600(this.mPopupContent).setImageResource(2130838390);
            }
            View decorView = ((Activity) this.mContext).getWindow().getDecorView();
            int width = decorView.getWidth();
            int height = decorView.getHeight();
            registerObserver();
            this.mPopupContent.measure(MeasureSpec.makeMeasureSpec(width, Integer.MIN_VALUE), MeasureSpec.makeMeasureSpec(height, Integer.MIN_VALUE));
            this.mPopupWindow = new PopupWindow(this.mPopupContent, this.mPopupContent.getMeasuredWidth(), this.mPopupContent.getMeasuredHeight());
            this.mPopupWindow.showAsDropDown((View) this.mAnchorViewRef.get());
            updateArrows();
            if (this.mNuxDisplayTime > 0) {
                this.mPopupContent.postDelayed(new 2(this), this.mNuxDisplayTime);
            }
            this.mPopupWindow.setTouchable(true);
            this.mPopupContent.setOnClickListener(new OnClickListener() {
                public void onClick(View view) {
                    AppMethodBeat.i(92713);
                    ToolTipPopup.this.dismiss();
                    AppMethodBeat.o(92713);
                }
            });
        }
        AppMethodBeat.o(92722);
    }

    public void setNuxDisplayTime(long j) {
        this.mNuxDisplayTime = j;
    }

    private void updateArrows() {
        AppMethodBeat.i(92723);
        if (this.mPopupWindow != null && this.mPopupWindow.isShowing()) {
            if (this.mPopupWindow.isAboveAnchor()) {
                this.mPopupContent.showBottomArrow();
                AppMethodBeat.o(92723);
                return;
            }
            this.mPopupContent.showTopArrow();
        }
        AppMethodBeat.o(92723);
    }

    public void dismiss() {
        AppMethodBeat.i(92724);
        unregisterObserver();
        if (this.mPopupWindow != null) {
            this.mPopupWindow.dismiss();
        }
        AppMethodBeat.o(92724);
    }

    private void registerObserver() {
        AppMethodBeat.i(92725);
        unregisterObserver();
        if (this.mAnchorViewRef.get() != null) {
            ((View) this.mAnchorViewRef.get()).getViewTreeObserver().addOnScrollChangedListener(this.mScrollListener);
        }
        AppMethodBeat.o(92725);
    }

    private void unregisterObserver() {
        AppMethodBeat.i(92726);
        if (this.mAnchorViewRef.get() != null) {
            ((View) this.mAnchorViewRef.get()).getViewTreeObserver().removeOnScrollChangedListener(this.mScrollListener);
        }
        AppMethodBeat.o(92726);
    }
}
