package com.facebook.share.internal;

import android.os.Bundle;
import com.facebook.AccessToken;
import com.facebook.FacebookRequestError;
import com.facebook.GraphRequest;
import com.facebook.GraphResponse;
import com.facebook.HttpMethod;
import com.facebook.LoggingBehavior;
import com.facebook.internal.Logger;
import com.facebook.internal.Utility;
import com.facebook.share.internal.LikeActionController.AbstractRequestWrapper;
import com.facebook.share.widget.LikeView.ObjectType;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.util.Locale;
import org.json.JSONObject;

class LikeActionController$GetEngagementRequestWrapper extends AbstractRequestWrapper {
    String likeCountStringWithLike = LikeActionController.access$700(this.this$0);
    String likeCountStringWithoutLike = LikeActionController.access$800(this.this$0);
    String socialSentenceStringWithLike = LikeActionController.access$900(this.this$0);
    String socialSentenceStringWithoutLike = LikeActionController.access$1000(this.this$0);
    final /* synthetic */ LikeActionController this$0;

    LikeActionController$GetEngagementRequestWrapper(LikeActionController likeActionController, String str, ObjectType objectType) {
        this.this$0 = likeActionController;
        super(likeActionController, str, objectType);
        AppMethodBeat.i(96998);
        Bundle bundle = new Bundle();
        bundle.putString("fields", "engagement.fields(count_string_with_like,count_string_without_like,social_sentence_with_like,social_sentence_without_like)");
        bundle.putString("locale", Locale.getDefault().toString());
        setRequest(new GraphRequest(AccessToken.getCurrentAccessToken(), str, bundle, HttpMethod.GET));
        AppMethodBeat.o(96998);
    }

    /* Access modifiers changed, original: protected */
    public void processSuccess(GraphResponse graphResponse) {
        AppMethodBeat.i(96999);
        JSONObject tryGetJSONObjectFromResponse = Utility.tryGetJSONObjectFromResponse(graphResponse.getJSONObject(), "engagement");
        if (tryGetJSONObjectFromResponse != null) {
            this.likeCountStringWithLike = tryGetJSONObjectFromResponse.optString("count_string_with_like", this.likeCountStringWithLike);
            this.likeCountStringWithoutLike = tryGetJSONObjectFromResponse.optString("count_string_without_like", this.likeCountStringWithoutLike);
            this.socialSentenceStringWithLike = tryGetJSONObjectFromResponse.optString("social_sentence_with_like", this.socialSentenceStringWithLike);
            this.socialSentenceStringWithoutLike = tryGetJSONObjectFromResponse.optString("social_sentence_without_like", this.socialSentenceStringWithoutLike);
        }
        AppMethodBeat.o(96999);
    }

    /* Access modifiers changed, original: protected */
    public void processError(FacebookRequestError facebookRequestError) {
        AppMethodBeat.i(97000);
        Logger.log(LoggingBehavior.REQUESTS, LikeActionController.access$100(), "Error fetching engagement for object '%s' with type '%s' : %s", new Object[]{this.objectId, this.objectType, facebookRequestError});
        LikeActionController.access$2400(this.this$0, "get_engagement", facebookRequestError);
        AppMethodBeat.o(97000);
    }
}
