package com.facebook.share.internal;

import com.facebook.FacebookException;
import com.facebook.internal.Utility;
import com.facebook.share.internal.ShareContentValidation.Validator;
import com.facebook.share.model.ShareLinkContent;
import com.facebook.share.model.ShareMediaContent;
import com.facebook.share.model.SharePhoto;
import com.facebook.share.model.ShareVideoContent;
import com.tencent.matrix.trace.core.AppMethodBeat;

class ShareContentValidation$ApiValidator extends Validator {
    private ShareContentValidation$ApiValidator() {
        super(null);
    }

    public void validate(SharePhoto sharePhoto) {
        AppMethodBeat.i(97166);
        ShareContentValidation.access$600(sharePhoto, this);
        AppMethodBeat.o(97166);
    }

    public void validate(ShareVideoContent shareVideoContent) {
        AppMethodBeat.i(97167);
        FacebookException facebookException;
        if (!Utility.isNullOrEmpty(shareVideoContent.getPlaceId())) {
            facebookException = new FacebookException("Cannot share video content with place IDs using the share api");
            AppMethodBeat.o(97167);
            throw facebookException;
        } else if (!Utility.isNullOrEmpty(shareVideoContent.getPeopleIds())) {
            facebookException = new FacebookException("Cannot share video content with people IDs using the share api");
            AppMethodBeat.o(97167);
            throw facebookException;
        } else if (Utility.isNullOrEmpty(shareVideoContent.getRef())) {
            AppMethodBeat.o(97167);
        } else {
            facebookException = new FacebookException("Cannot share video content with referrer URL using the share api");
            AppMethodBeat.o(97167);
            throw facebookException;
        }
    }

    public void validate(ShareMediaContent shareMediaContent) {
        AppMethodBeat.i(97168);
        FacebookException facebookException = new FacebookException("Cannot share ShareMediaContent using the share api");
        AppMethodBeat.o(97168);
        throw facebookException;
    }

    public void validate(ShareLinkContent shareLinkContent) {
        AppMethodBeat.i(97169);
        if (Utility.isNullOrEmpty(shareLinkContent.getQuote())) {
            AppMethodBeat.o(97169);
            return;
        }
        FacebookException facebookException = new FacebookException("Cannot share link content with quote using the share api");
        AppMethodBeat.o(97169);
        throw facebookException;
    }
}
