package com.facebook.share.model;

import android.net.Uri;
import java.util.Collections;
import java.util.List;

public abstract class ShareContent$Builder<P extends ShareContent, E extends ShareContent$Builder> implements ShareModelBuilder<P, E> {
    private Uri contentUrl;
    private ShareHashtag hashtag;
    private String pageId;
    private List<String> peopleIds;
    private String placeId;
    private String ref;

    public E setContentUrl(Uri uri) {
        this.contentUrl = uri;
        return this;
    }

    public E setPeopleIds(List<String> list) {
        this.peopleIds = list == null ? null : Collections.unmodifiableList(list);
        return this;
    }

    public E setPlaceId(String str) {
        this.placeId = str;
        return this;
    }

    public E setPageId(String str) {
        this.pageId = str;
        return this;
    }

    public E setRef(String str) {
        this.ref = str;
        return this;
    }

    public E setShareHashtag(ShareHashtag shareHashtag) {
        this.hashtag = shareHashtag;
        return this;
    }

    public E readFrom(P p) {
        if (p == null) {
            return this;
        }
        return setContentUrl(p.getContentUrl()).setPeopleIds(p.getPeopleIds()).setPlaceId(p.getPlaceId()).setPageId(p.getPageId()).setRef(p.getRef());
    }
}
