package com.google.android.flexbox;

import android.content.Context;
import android.graphics.PointF;
import android.graphics.Rect;
import android.os.Parcelable;
import android.support.v7.widget.RecyclerView;
import android.support.v7.widget.RecyclerView$o;
import android.support.v7.widget.RecyclerView.LayoutParams;
import android.support.v7.widget.RecyclerView.i;
import android.support.v7.widget.RecyclerView.r.b;
import android.support.v7.widget.RecyclerView.s;
import android.support.v7.widget.ah;
import android.support.v7.widget.am;
import android.util.AttributeSet;
import android.util.SparseArray;
import android.view.View;
import android.view.View.MeasureSpec;
import com.google.android.flexbox.c.a;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.util.List;

public class FlexboxLayoutManager extends i implements b, a {
    static final /* synthetic */ boolean $assertionsDisabled = (!FlexboxLayoutManager.class.desiredAssertionStatus());
    private static final Rect btW = new Rect();
    private am alA;
    private int alG;
    private int alH;
    private boolean alI;
    private s anY;
    private RecyclerView$o anc;
    private int btA;
    private int btB;
    private int btC;
    private int btD;
    private int btF;
    private final c btO;
    private a btP;
    private boolean btX;
    private b btY;
    private a btZ;
    private List<b> bty;
    private am bua;
    private SavedState bub;
    private int buc;
    private int bud;
    private SparseArray<View> bue;
    private View bug;
    private int buh;
    private boolean hq;
    private final Context mContext;

    static {
        AppMethodBeat.i(54865);
        AppMethodBeat.o(54865);
    }

    public int getFlexDirection() {
        return this.btA;
    }

    public int getFlexWrap() {
        return this.btB;
    }

    public int getAlignItems() {
        return this.btD;
    }

    public int getAlignContent() {
        return 5;
    }

    public int getMaxLine() {
        return this.btF;
    }

    public final int m(View view, int i, int i2) {
        AppMethodBeat.i(54793);
        int bD;
        if (ua()) {
            bD = bD(view) + bE(view);
            AppMethodBeat.o(54793);
            return bD;
        }
        bD = bB(view) + bC(view);
        AppMethodBeat.o(54793);
        return bD;
    }

    public final int ca(View view) {
        AppMethodBeat.i(54794);
        int bB;
        if (ua()) {
            bB = bB(view) + bC(view);
            AppMethodBeat.o(54794);
            return bB;
        }
        bB = bD(view) + bE(view);
        AppMethodBeat.o(54794);
        return bB;
    }

    public final void a(View view, int i, int i2, b bVar) {
        AppMethodBeat.i(54795);
        g(view, btW);
        int bD;
        if (ua()) {
            bD = bD(view) + bE(view);
            bVar.bti += bD;
            bVar.btj = bD + bVar.btj;
            AppMethodBeat.o(54795);
            return;
        }
        bD = bB(view) + bC(view);
        bVar.bti += bD;
        bVar.btj = bD + bVar.btj;
        AppMethodBeat.o(54795);
    }

    public int getFlexItemCount() {
        AppMethodBeat.i(54796);
        int itemCount = this.anY.getItemCount();
        AppMethodBeat.o(54796);
        return itemCount;
    }

    public final View eU(int i) {
        AppMethodBeat.i(54797);
        View view = (View) this.bue.get(i);
        if (view != null) {
            AppMethodBeat.o(54797);
            return view;
        }
        view = this.anc.cq(i);
        AppMethodBeat.o(54797);
        return view;
    }

    public final View eV(int i) {
        AppMethodBeat.i(54798);
        View eU = eU(i);
        AppMethodBeat.o(54798);
        return eU;
    }

    public final void a(b bVar) {
    }

    public int getLargestMainSize() {
        AppMethodBeat.i(54801);
        if (this.bty.size() == 0) {
            AppMethodBeat.o(54801);
            return 0;
        }
        int i = Integer.MIN_VALUE;
        int size = this.bty.size();
        for (int i2 = 0; i2 < size; i2++) {
            i = Math.max(i, ((b) this.bty.get(i2)).bti);
        }
        AppMethodBeat.o(54801);
        return i;
    }

    public int getSumOfCrossSize() {
        AppMethodBeat.i(54802);
        int i = 0;
        for (int i2 = 0; i2 < this.bty.size(); i2++) {
            i += ((b) this.bty.get(i2)).btk;
        }
        AppMethodBeat.o(54802);
        return i;
    }

    public void setFlexLines(List<b> list) {
        this.bty = list;
    }

    public List<b> getFlexLinesInternal() {
        return this.bty;
    }

    public final void a(int i, View view) {
        AppMethodBeat.i(54803);
        this.bue.put(i, view);
        AppMethodBeat.o(54803);
    }

    public final PointF bX(int i) {
        AppMethodBeat.i(54804);
        if (getChildCount() == 0) {
            AppMethodBeat.o(54804);
            return null;
        }
        int i2 = i < bt(getChildAt(0)) ? -1 : 1;
        PointF pointF;
        if (ua()) {
            pointF = new PointF(0.0f, (float) i2);
            AppMethodBeat.o(54804);
            return pointF;
        }
        pointF = new PointF((float) i2, 0.0f);
        AppMethodBeat.o(54804);
        return pointF;
    }

    public final LayoutParams iA() {
        AppMethodBeat.i(54805);
        LayoutParams layoutParams = new LayoutParams();
        AppMethodBeat.o(54805);
        return layoutParams;
    }

    public final LayoutParams a(Context context, AttributeSet attributeSet) {
        AppMethodBeat.i(54806);
        LayoutParams layoutParams = new LayoutParams(context, attributeSet);
        AppMethodBeat.o(54806);
        return layoutParams;
    }

    public final boolean a(LayoutParams layoutParams) {
        return layoutParams instanceof LayoutParams;
    }

    public final void jW() {
        AppMethodBeat.i(54807);
        removeAllViews();
        AppMethodBeat.o(54807);
    }

    public final Parcelable onSaveInstanceState() {
        AppMethodBeat.i(54808);
        if (this.bub != null) {
            SavedState savedState = new SavedState(this.bub, (byte) 0);
            AppMethodBeat.o(54808);
            return savedState;
        }
        Parcelable savedState2 = new SavedState();
        if (getChildCount() > 0) {
            View childAt = getChildAt(0);
            SavedState.a(savedState2, bt(childAt));
            SavedState.b(savedState2, this.alA.bf(childAt) - this.alA.je());
        } else {
            SavedState.a(savedState2);
        }
        AppMethodBeat.o(54808);
        return savedState2;
    }

    public final void onRestoreInstanceState(Parcelable parcelable) {
        AppMethodBeat.i(54809);
        if (parcelable instanceof SavedState) {
            this.bub = (SavedState) parcelable;
            requestLayout();
        }
        AppMethodBeat.o(54809);
    }

    public final void c(RecyclerView recyclerView, int i, int i2) {
        AppMethodBeat.i(54810);
        super.c(recyclerView, i, i2);
        fg(i);
        AppMethodBeat.o(54810);
    }

    public final void a(RecyclerView recyclerView, int i, int i2, Object obj) {
        AppMethodBeat.i(54811);
        super.a(recyclerView, i, i2, obj);
        fg(i);
        AppMethodBeat.o(54811);
    }

    public final void g(RecyclerView recyclerView, int i, int i2) {
        AppMethodBeat.i(54812);
        super.g(recyclerView, i, i2);
        fg(i);
        AppMethodBeat.o(54812);
    }

    public final void d(RecyclerView recyclerView, int i, int i2) {
        AppMethodBeat.i(54813);
        super.d(recyclerView, i, i2);
        fg(i);
        AppMethodBeat.o(54813);
    }

    public final void a(RecyclerView recyclerView, int i, int i2, int i3) {
        AppMethodBeat.i(54814);
        super.a(recyclerView, i, i2, i3);
        fg(Math.min(i, i2));
        AppMethodBeat.o(54814);
    }

    private void fg(int i) {
        AppMethodBeat.i(54815);
        int iQ = iQ();
        int iS = iS();
        if (i >= iS) {
            AppMethodBeat.o(54815);
            return;
        }
        int childCount = getChildCount();
        this.btO.fa(childCount);
        this.btO.eZ(childCount);
        this.btO.fb(childCount);
        if (!$assertionsDisabled && this.btO.btv == null) {
            AssertionError assertionError = new AssertionError();
            AppMethodBeat.o(54815);
            throw assertionError;
        } else if (i >= this.btO.btv.length) {
            AppMethodBeat.o(54815);
        } else {
            this.buh = i;
            View iM = iM();
            if (iM == null) {
                AppMethodBeat.o(54815);
            } else if (iQ > i || i > iS) {
                this.alG = bt(iM);
                if (ua() || !this.hq) {
                    this.alH = this.alA.bf(iM) - this.alA.je();
                    AppMethodBeat.o(54815);
                    return;
                }
                this.alH = this.alA.bg(iM) + this.alA.getEndPadding();
                AppMethodBeat.o(54815);
            } else {
                AppMethodBeat.o(54815);
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:95:0x01aa  */
    public final void c(android.support.v7.widget.RecyclerView$o r18, android.support.v7.widget.RecyclerView.s r19) {
        /*
        r17 = this;
        r3 = 54816; // 0xd620 float:7.6814E-41 double:2.70827E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r3);
        r0 = r18;
        r1 = r17;
        r1.anc = r0;
        r0 = r19;
        r1 = r17;
        r1.anY = r0;
        r9 = r19.getItemCount();
        if (r9 != 0) goto L_0x0025;
    L_0x0018:
        r0 = r19;
        r3 = r0.apv;
        if (r3 == 0) goto L_0x0025;
    L_0x001e:
        r3 = 54816; // 0xd620 float:7.6814E-41 double:2.70827E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r3);
    L_0x0024:
        return;
    L_0x0025:
        r0 = r17;
        r3 = r0.aiB;
        r3 = android.support.v4.view.s.T(r3);
        r0 = r17;
        r4 = r0.btA;
        switch(r4) {
            case 0: goto L_0x00ba;
            case 1: goto L_0x00d4;
            case 2: goto L_0x00ee;
            case 3: goto L_0x0113;
            default: goto L_0x0034;
        };
    L_0x0034:
        r3 = 0;
        r0 = r17;
        r0.hq = r3;
        r3 = 0;
        r0 = r17;
        r0.btX = r3;
    L_0x003e:
        r17.uo();
        r17.iJ();
        r0 = r17;
        r3 = r0.btO;
        r3.fa(r9);
        r0 = r17;
        r3 = r0.btO;
        r3.eZ(r9);
        r0 = r17;
        r3 = r0.btO;
        r3.fb(r9);
        r0 = r17;
        r3 = r0.btY;
        r4 = 0;
        r3.bum = r4;
        r0 = r17;
        r3 = r0.bub;
        if (r3 == 0) goto L_0x007c;
    L_0x0066:
        r0 = r17;
        r3 = r0.bub;
        r3 = com.google.android.flexbox.FlexboxLayoutManager.SavedState.c(r3, r9);
        if (r3 == 0) goto L_0x007c;
    L_0x0070:
        r0 = r17;
        r3 = r0.bub;
        r3 = com.google.android.flexbox.FlexboxLayoutManager.SavedState.b(r3);
        r0 = r17;
        r0.alG = r3;
    L_0x007c:
        r0 = r17;
        r3 = r0.btZ;
        r3 = com.google.android.flexbox.FlexboxLayoutManager.a.a(r3);
        if (r3 == 0) goto L_0x0093;
    L_0x0086:
        r0 = r17;
        r3 = r0.alG;
        r4 = -1;
        if (r3 != r4) goto L_0x0093;
    L_0x008d:
        r0 = r17;
        r3 = r0.bub;
        if (r3 == 0) goto L_0x01bc;
    L_0x0093:
        r0 = r17;
        r3 = r0.btZ;
        com.google.android.flexbox.FlexboxLayoutManager.a.b(r3);
        r0 = r17;
        r4 = r0.btZ;
        r0 = r17;
        r3 = r0.bub;
        r5 = $assertionsDisabled;
        if (r5 != 0) goto L_0x0138;
    L_0x00a6:
        r0 = r17;
        r5 = r0.btO;
        r5 = r5.btv;
        if (r5 != 0) goto L_0x0138;
    L_0x00ae:
        r3 = new java.lang.AssertionError;
        r3.<init>();
        r4 = 54816; // 0xd620 float:7.6814E-41 double:2.70827E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r4);
        throw r3;
    L_0x00ba:
        r4 = 1;
        if (r3 != r4) goto L_0x00d0;
    L_0x00bd:
        r3 = 1;
    L_0x00be:
        r0 = r17;
        r0.hq = r3;
        r0 = r17;
        r3 = r0.btB;
        r4 = 2;
        if (r3 != r4) goto L_0x00d2;
    L_0x00c9:
        r3 = 1;
    L_0x00ca:
        r0 = r17;
        r0.btX = r3;
        goto L_0x003e;
    L_0x00d0:
        r3 = 0;
        goto L_0x00be;
    L_0x00d2:
        r3 = 0;
        goto L_0x00ca;
    L_0x00d4:
        r4 = 1;
        if (r3 == r4) goto L_0x00ea;
    L_0x00d7:
        r3 = 1;
    L_0x00d8:
        r0 = r17;
        r0.hq = r3;
        r0 = r17;
        r3 = r0.btB;
        r4 = 2;
        if (r3 != r4) goto L_0x00ec;
    L_0x00e3:
        r3 = 1;
    L_0x00e4:
        r0 = r17;
        r0.btX = r3;
        goto L_0x003e;
    L_0x00ea:
        r3 = 0;
        goto L_0x00d8;
    L_0x00ec:
        r3 = 0;
        goto L_0x00e4;
    L_0x00ee:
        r4 = 1;
        if (r3 != r4) goto L_0x010f;
    L_0x00f1:
        r3 = 1;
    L_0x00f2:
        r0 = r17;
        r0.hq = r3;
        r0 = r17;
        r3 = r0.btB;
        r4 = 2;
        if (r3 != r4) goto L_0x0108;
    L_0x00fd:
        r0 = r17;
        r3 = r0.hq;
        if (r3 != 0) goto L_0x0111;
    L_0x0103:
        r3 = 1;
    L_0x0104:
        r0 = r17;
        r0.hq = r3;
    L_0x0108:
        r3 = 0;
        r0 = r17;
        r0.btX = r3;
        goto L_0x003e;
    L_0x010f:
        r3 = 0;
        goto L_0x00f2;
    L_0x0111:
        r3 = 0;
        goto L_0x0104;
    L_0x0113:
        r4 = 1;
        if (r3 != r4) goto L_0x0134;
    L_0x0116:
        r3 = 1;
    L_0x0117:
        r0 = r17;
        r0.hq = r3;
        r0 = r17;
        r3 = r0.btB;
        r4 = 2;
        if (r3 != r4) goto L_0x012d;
    L_0x0122:
        r0 = r17;
        r3 = r0.hq;
        if (r3 != 0) goto L_0x0136;
    L_0x0128:
        r3 = 1;
    L_0x0129:
        r0 = r17;
        r0.hq = r3;
    L_0x012d:
        r3 = 1;
        r0 = r17;
        r0.btX = r3;
        goto L_0x003e;
    L_0x0134:
        r3 = 0;
        goto L_0x0117;
    L_0x0136:
        r3 = 0;
        goto L_0x0129;
    L_0x0138:
        r0 = r19;
        r5 = r0.apv;
        if (r5 != 0) goto L_0x0145;
    L_0x013e:
        r0 = r17;
        r5 = r0.alG;
        r6 = -1;
        if (r5 != r6) goto L_0x0261;
    L_0x0145:
        r3 = 0;
    L_0x0146:
        if (r3 != 0) goto L_0x01b5;
    L_0x0148:
        r3 = r17.getChildCount();
        if (r3 == 0) goto L_0x03c3;
    L_0x014e:
        r3 = com.google.android.flexbox.FlexboxLayoutManager.a.d(r4);
        if (r3 == 0) goto L_0x03aa;
    L_0x0154:
        r3 = r19.getItemCount();
        r0 = r17;
        r3 = r0.fi(r3);
    L_0x015e:
        if (r3 == 0) goto L_0x03c3;
    L_0x0160:
        com.google.android.flexbox.FlexboxLayoutManager.a.a(r4, r3);
        r0 = r19;
        r5 = r0.apv;
        if (r5 != 0) goto L_0x01a7;
    L_0x0169:
        r5 = r17.iE();
        if (r5 == 0) goto L_0x01a7;
    L_0x016f:
        r0 = r17;
        r5 = r0.alA;
        r5 = r5.bf(r3);
        r0 = r17;
        r6 = r0.alA;
        r6 = r6.jf();
        if (r5 >= r6) goto L_0x0193;
    L_0x0181:
        r0 = r17;
        r5 = r0.alA;
        r3 = r5.bg(r3);
        r0 = r17;
        r5 = r0.alA;
        r5 = r5.je();
        if (r3 >= r5) goto L_0x03b6;
    L_0x0193:
        r3 = 1;
    L_0x0194:
        if (r3 == 0) goto L_0x01a7;
    L_0x0196:
        r3 = com.google.android.flexbox.FlexboxLayoutManager.a.d(r4);
        if (r3 == 0) goto L_0x03b9;
    L_0x019c:
        r0 = r17;
        r3 = r0.alA;
        r3 = r3.jf();
    L_0x01a4:
        com.google.android.flexbox.FlexboxLayoutManager.a.c(r4, r3);
    L_0x01a7:
        r3 = 1;
    L_0x01a8:
        if (r3 != 0) goto L_0x01b5;
    L_0x01aa:
        com.google.android.flexbox.FlexboxLayoutManager.a.g(r4);
        r3 = 0;
        com.google.android.flexbox.FlexboxLayoutManager.a.b(r4, r3);
        r3 = 0;
        com.google.android.flexbox.FlexboxLayoutManager.a.a(r4, r3);
    L_0x01b5:
        r0 = r17;
        r3 = r0.btZ;
        com.google.android.flexbox.FlexboxLayoutManager.a.c(r3);
    L_0x01bc:
        r17.b(r18);
        r0 = r17;
        r3 = r0.btZ;
        r3 = com.google.android.flexbox.FlexboxLayoutManager.a.d(r3);
        if (r3 == 0) goto L_0x03c6;
    L_0x01c9:
        r0 = r17;
        r3 = r0.btZ;
        r4 = 0;
        r5 = 1;
        r0 = r17;
        r0.b(r3, r4, r5);
    L_0x01d4:
        r0 = r17;
        r3 = r0.mWidth;
        r0 = r17;
        r4 = r0.aoJ;
        r5 = android.view.View.MeasureSpec.makeMeasureSpec(r3, r4);
        r0 = r17;
        r3 = r0.mHeight;
        r0 = r17;
        r4 = r0.aoK;
        r6 = android.view.View.MeasureSpec.makeMeasureSpec(r3, r4);
        r0 = r17;
        r8 = r0.mWidth;
        r0 = r17;
        r10 = r0.mHeight;
        r3 = r17.ua();
        if (r3 == 0) goto L_0x03de;
    L_0x01fa:
        r0 = r17;
        r3 = r0.buc;
        r4 = -2147483648; // 0xffffffff80000000 float:-0.0 double:NaN;
        if (r3 == r4) goto L_0x03d3;
    L_0x0202:
        r0 = r17;
        r3 = r0.buc;
        if (r3 == r8) goto L_0x03d3;
    L_0x0208:
        r3 = 1;
    L_0x0209:
        r0 = r17;
        r4 = r0.btY;
        r4 = r4.alm;
        if (r4 == 0) goto L_0x03d6;
    L_0x0211:
        r0 = r17;
        r4 = r0.mContext;
        r4 = r4.getResources();
        r4 = r4.getDisplayMetrics();
        r4 = r4.heightPixels;
    L_0x021f:
        r7 = r4;
    L_0x0220:
        r0 = r17;
        r0.buc = r8;
        r0 = r17;
        r0.bud = r10;
        r0 = r17;
        r4 = r0.buh;
        r8 = -1;
        if (r4 != r8) goto L_0x04f2;
    L_0x022f:
        r0 = r17;
        r4 = r0.alG;
        r8 = -1;
        if (r4 != r8) goto L_0x0238;
    L_0x0236:
        if (r3 == 0) goto L_0x04f2;
    L_0x0238:
        r0 = r17;
        r3 = r0.btZ;
        r3 = com.google.android.flexbox.FlexboxLayoutManager.a.d(r3);
        if (r3 != 0) goto L_0x0470;
    L_0x0242:
        r0 = r17;
        r3 = r0.bty;
        r3.clear();
        r3 = $assertionsDisabled;
        if (r3 != 0) goto L_0x040f;
    L_0x024d:
        r0 = r17;
        r3 = r0.btO;
        r3 = r3.btv;
        if (r3 != 0) goto L_0x040f;
    L_0x0255:
        r3 = new java.lang.AssertionError;
        r3.<init>();
        r4 = 54816; // 0xd620 float:7.6814E-41 double:2.70827E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r4);
        throw r3;
    L_0x0261:
        r0 = r17;
        r5 = r0.alG;
        if (r5 < 0) goto L_0x0271;
    L_0x0267:
        r0 = r17;
        r5 = r0.alG;
        r6 = r19.getItemCount();
        if (r5 < r6) goto L_0x027f;
    L_0x0271:
        r3 = -1;
        r0 = r17;
        r0.alG = r3;
        r3 = -2147483648; // 0xffffffff80000000 float:-0.0 double:NaN;
        r0 = r17;
        r0.alH = r3;
        r3 = 0;
        goto L_0x0146;
    L_0x027f:
        r0 = r17;
        r5 = r0.alG;
        com.google.android.flexbox.FlexboxLayoutManager.a.b(r4, r5);
        r0 = r17;
        r5 = r0.btO;
        r5 = r5.btv;
        r6 = com.google.android.flexbox.FlexboxLayoutManager.a.e(r4);
        r5 = r5[r6];
        com.google.android.flexbox.FlexboxLayoutManager.a.a(r4, r5);
        r0 = r17;
        r5 = r0.bub;
        if (r5 == 0) goto L_0x02c3;
    L_0x029b:
        r0 = r17;
        r5 = r0.bub;
        r6 = r19.getItemCount();
        r5 = com.google.android.flexbox.FlexboxLayoutManager.SavedState.c(r5, r6);
        if (r5 == 0) goto L_0x02c3;
    L_0x02a9:
        r0 = r17;
        r5 = r0.alA;
        r5 = r5.je();
        r3 = com.google.android.flexbox.FlexboxLayoutManager.SavedState.c(r3);
        r3 = r3 + r5;
        com.google.android.flexbox.FlexboxLayoutManager.a.c(r4, r3);
        com.google.android.flexbox.FlexboxLayoutManager.a.h(r4);
        r3 = -1;
        com.google.android.flexbox.FlexboxLayoutManager.a.a(r4, r3);
    L_0x02c0:
        r3 = 1;
        goto L_0x0146;
    L_0x02c3:
        r0 = r17;
        r3 = r0.alH;
        r5 = -2147483648; // 0xffffffff80000000 float:-0.0 double:NaN;
        if (r3 != r5) goto L_0x037a;
    L_0x02cb:
        r0 = r17;
        r3 = r0.alG;
        r0 = r17;
        r3 = r0.bW(r3);
        if (r3 == 0) goto L_0x0359;
    L_0x02d7:
        r0 = r17;
        r5 = r0.alA;
        r5 = r5.bj(r3);
        r0 = r17;
        r6 = r0.alA;
        r6 = r6.jg();
        if (r5 <= r6) goto L_0x02ed;
    L_0x02e9:
        com.google.android.flexbox.FlexboxLayoutManager.a.g(r4);
        goto L_0x02c0;
    L_0x02ed:
        r0 = r17;
        r5 = r0.alA;
        r5 = r5.bf(r3);
        r0 = r17;
        r6 = r0.alA;
        r6 = r6.je();
        r5 = r5 - r6;
        if (r5 >= 0) goto L_0x0310;
    L_0x0300:
        r0 = r17;
        r3 = r0.alA;
        r3 = r3.je();
        com.google.android.flexbox.FlexboxLayoutManager.a.c(r4, r3);
        r3 = 0;
        com.google.android.flexbox.FlexboxLayoutManager.a.a(r4, r3);
        goto L_0x02c0;
    L_0x0310:
        r0 = r17;
        r5 = r0.alA;
        r5 = r5.jf();
        r0 = r17;
        r6 = r0.alA;
        r6 = r6.bg(r3);
        r5 = r5 - r6;
        if (r5 >= 0) goto L_0x0333;
    L_0x0323:
        r0 = r17;
        r3 = r0.alA;
        r3 = r3.jf();
        com.google.android.flexbox.FlexboxLayoutManager.a.c(r4, r3);
        r3 = 1;
        com.google.android.flexbox.FlexboxLayoutManager.a.a(r4, r3);
        goto L_0x02c0;
    L_0x0333:
        r5 = com.google.android.flexbox.FlexboxLayoutManager.a.d(r4);
        if (r5 == 0) goto L_0x0350;
    L_0x0339:
        r0 = r17;
        r5 = r0.alA;
        r3 = r5.bg(r3);
        r0 = r17;
        r5 = r0.alA;
        r5 = r5.jd();
        r3 = r3 + r5;
    L_0x034a:
        com.google.android.flexbox.FlexboxLayoutManager.a.c(r4, r3);
    L_0x034d:
        r3 = 1;
        goto L_0x0146;
    L_0x0350:
        r0 = r17;
        r5 = r0.alA;
        r3 = r5.bf(r3);
        goto L_0x034a;
    L_0x0359:
        r3 = r17.getChildCount();
        if (r3 <= 0) goto L_0x0374;
    L_0x035f:
        r3 = 0;
        r0 = r17;
        r3 = r0.getChildAt(r3);
        r3 = bt(r3);
        r0 = r17;
        r5 = r0.alG;
        if (r5 >= r3) goto L_0x0378;
    L_0x0370:
        r3 = 1;
    L_0x0371:
        com.google.android.flexbox.FlexboxLayoutManager.a.a(r4, r3);
    L_0x0374:
        com.google.android.flexbox.FlexboxLayoutManager.a.g(r4);
        goto L_0x034d;
    L_0x0378:
        r3 = 0;
        goto L_0x0371;
    L_0x037a:
        r3 = r17.ua();
        if (r3 != 0) goto L_0x0398;
    L_0x0380:
        r0 = r17;
        r3 = r0.hq;
        if (r3 == 0) goto L_0x0398;
    L_0x0386:
        r0 = r17;
        r3 = r0.alH;
        r0 = r17;
        r5 = r0.alA;
        r5 = r5.getEndPadding();
        r3 = r3 - r5;
        com.google.android.flexbox.FlexboxLayoutManager.a.c(r4, r3);
        goto L_0x02c0;
    L_0x0398:
        r0 = r17;
        r3 = r0.alA;
        r3 = r3.je();
        r0 = r17;
        r5 = r0.alH;
        r3 = r3 + r5;
        com.google.android.flexbox.FlexboxLayoutManager.a.c(r4, r3);
        goto L_0x02c0;
    L_0x03aa:
        r3 = r19.getItemCount();
        r0 = r17;
        r3 = r0.fh(r3);
        goto L_0x015e;
    L_0x03b6:
        r3 = 0;
        goto L_0x0194;
    L_0x03b9:
        r0 = r17;
        r3 = r0.alA;
        r3 = r3.je();
        goto L_0x01a4;
    L_0x03c3:
        r3 = 0;
        goto L_0x01a8;
    L_0x03c6:
        r0 = r17;
        r3 = r0.btZ;
        r4 = 0;
        r5 = 1;
        r0 = r17;
        r0.a(r3, r4, r5);
        goto L_0x01d4;
    L_0x03d3:
        r3 = 0;
        goto L_0x0209;
    L_0x03d6:
        r0 = r17;
        r4 = r0.btY;
        r4 = r4.alg;
        goto L_0x021f;
    L_0x03de:
        r0 = r17;
        r3 = r0.bud;
        r4 = -2147483648; // 0xffffffff80000000 float:-0.0 double:NaN;
        if (r3 == r4) goto L_0x0406;
    L_0x03e6:
        r0 = r17;
        r3 = r0.bud;
        if (r3 == r10) goto L_0x0406;
    L_0x03ec:
        r3 = 1;
    L_0x03ed:
        r0 = r17;
        r4 = r0.btY;
        r4 = r4.alm;
        if (r4 == 0) goto L_0x0408;
    L_0x03f5:
        r0 = r17;
        r4 = r0.mContext;
        r4 = r4.getResources();
        r4 = r4.getDisplayMetrics();
        r4 = r4.widthPixels;
    L_0x0403:
        r7 = r4;
        goto L_0x0220;
    L_0x0406:
        r3 = 0;
        goto L_0x03ed;
    L_0x0408:
        r0 = r17;
        r4 = r0.btY;
        r4 = r4.alg;
        goto L_0x0403;
    L_0x040f:
        r0 = r17;
        r3 = r0.btP;
        r3.reset();
        r3 = r17.ua();
        if (r3 == 0) goto L_0x04d9;
    L_0x041c:
        r0 = r17;
        r3 = r0.btO;
        r0 = r17;
        r4 = r0.btP;
        r0 = r17;
        r8 = r0.btZ;
        r8 = com.google.android.flexbox.FlexboxLayoutManager.a.e(r8);
        r0 = r17;
        r9 = r0.bty;
        r3.b(r4, r5, r6, r7, r8, r9);
    L_0x0433:
        r0 = r17;
        r3 = r0.btP;
        r3 = r3.bty;
        r0 = r17;
        r0.bty = r3;
        r0 = r17;
        r3 = r0.btO;
        r3.bk(r5, r6);
        r0 = r17;
        r3 = r0.btO;
        r3.ul();
        r0 = r17;
        r3 = r0.btZ;
        r0 = r17;
        r4 = r0.btO;
        r4 = r4.btv;
        r0 = r17;
        r5 = r0.btZ;
        r5 = com.google.android.flexbox.FlexboxLayoutManager.a.e(r5);
        r4 = r4[r5];
        com.google.android.flexbox.FlexboxLayoutManager.a.a(r3, r4);
        r0 = r17;
        r3 = r0.btY;
        r0 = r17;
        r4 = r0.btZ;
        r4 = com.google.android.flexbox.FlexboxLayoutManager.a.f(r4);
        r3.bui = r4;
    L_0x0470:
        r0 = r17;
        r3 = r0.btZ;
        r3 = com.google.android.flexbox.FlexboxLayoutManager.a.d(r3);
        if (r3 == 0) goto L_0x05cf;
    L_0x047a:
        r0 = r17;
        r3 = r0.btY;
        r0 = r17;
        r1 = r18;
        r2 = r19;
        r0.a(r1, r2, r3);
        r0 = r17;
        r3 = r0.btY;
        r4 = r3.Lp;
        r0 = r17;
        r3 = r0.btZ;
        r5 = 1;
        r6 = 0;
        r0 = r17;
        r0.a(r3, r5, r6);
        r0 = r17;
        r3 = r0.btY;
        r0 = r17;
        r1 = r18;
        r2 = r19;
        r0.a(r1, r2, r3);
        r0 = r17;
        r3 = r0.btY;
        r3 = r3.Lp;
    L_0x04ab:
        r5 = r17.getChildCount();
        if (r5 <= 0) goto L_0x0618;
    L_0x04b1:
        r0 = r17;
        r5 = r0.btZ;
        r5 = com.google.android.flexbox.FlexboxLayoutManager.a.d(r5);
        if (r5 == 0) goto L_0x0602;
    L_0x04bb:
        r5 = 1;
        r0 = r17;
        r1 = r18;
        r2 = r19;
        r3 = r0.a(r3, r1, r2, r5);
        r3 = r3 + r4;
        r4 = 0;
        r0 = r17;
        r1 = r18;
        r2 = r19;
        r0.b(r3, r1, r2, r4);
        r3 = 54816; // 0xd620 float:7.6814E-41 double:2.70827E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r3);
        goto L_0x0024;
    L_0x04d9:
        r0 = r17;
        r3 = r0.btO;
        r0 = r17;
        r4 = r0.btP;
        r0 = r17;
        r8 = r0.btZ;
        r8 = com.google.android.flexbox.FlexboxLayoutManager.a.e(r8);
        r0 = r17;
        r9 = r0.bty;
        r3.d(r4, r5, r6, r7, r8, r9);
        goto L_0x0433;
    L_0x04f2:
        r0 = r17;
        r3 = r0.buh;
        r4 = -1;
        if (r3 == r4) goto L_0x055c;
    L_0x04f9:
        r0 = r17;
        r3 = r0.buh;
        r0 = r17;
        r4 = r0.btZ;
        r4 = com.google.android.flexbox.FlexboxLayoutManager.a.e(r4);
        r8 = java.lang.Math.min(r3, r4);
    L_0x0509:
        r0 = r17;
        r3 = r0.btP;
        r3.reset();
        r3 = r17.ua();
        if (r3 == 0) goto L_0x0580;
    L_0x0516:
        r0 = r17;
        r3 = r0.bty;
        r3 = r3.size();
        if (r3 <= 0) goto L_0x0565;
    L_0x0520:
        r0 = r17;
        r3 = r0.btO;
        r0 = r17;
        r4 = r0.bty;
        r3.d(r4, r8);
        r0 = r17;
        r3 = r0.btO;
        r0 = r17;
        r4 = r0.btP;
        r0 = r17;
        r9 = r0.btZ;
        r9 = com.google.android.flexbox.FlexboxLayoutManager.a.e(r9);
        r0 = r17;
        r10 = r0.bty;
        r3.a(r4, r5, r6, r7, r8, r9, r10);
    L_0x0542:
        r0 = r17;
        r3 = r0.btP;
        r3 = r3.bty;
        r0 = r17;
        r0.bty = r3;
        r0 = r17;
        r3 = r0.btO;
        r3.x(r5, r6, r8);
        r0 = r17;
        r3 = r0.btO;
        r3.eY(r8);
        goto L_0x0470;
    L_0x055c:
        r0 = r17;
        r3 = r0.btZ;
        r8 = com.google.android.flexbox.FlexboxLayoutManager.a.e(r3);
        goto L_0x0509;
    L_0x0565:
        r0 = r17;
        r3 = r0.btO;
        r3.fb(r9);
        r0 = r17;
        r9 = r0.btO;
        r0 = r17;
        r10 = r0.btP;
        r14 = 0;
        r0 = r17;
        r15 = r0.bty;
        r11 = r5;
        r12 = r6;
        r13 = r7;
        r9.a(r10, r11, r12, r13, r14, r15);
        goto L_0x0542;
    L_0x0580:
        r0 = r17;
        r3 = r0.bty;
        r3 = r3.size();
        if (r3 <= 0) goto L_0x05b3;
    L_0x058a:
        r0 = r17;
        r3 = r0.btO;
        r0 = r17;
        r4 = r0.bty;
        r3.d(r4, r8);
        r0 = r17;
        r9 = r0.btO;
        r0 = r17;
        r10 = r0.btP;
        r0 = r17;
        r3 = r0.btZ;
        r15 = com.google.android.flexbox.FlexboxLayoutManager.a.e(r3);
        r0 = r17;
        r0 = r0.bty;
        r16 = r0;
        r11 = r6;
        r12 = r5;
        r13 = r7;
        r14 = r8;
        r9.a(r10, r11, r12, r13, r14, r15, r16);
        goto L_0x0542;
    L_0x05b3:
        r0 = r17;
        r3 = r0.btO;
        r3.fb(r9);
        r0 = r17;
        r9 = r0.btO;
        r0 = r17;
        r10 = r0.btP;
        r14 = 0;
        r0 = r17;
        r15 = r0.bty;
        r11 = r5;
        r12 = r6;
        r13 = r7;
        r9.c(r10, r11, r12, r13, r14, r15);
        goto L_0x0542;
    L_0x05cf:
        r0 = r17;
        r3 = r0.btY;
        r0 = r17;
        r1 = r18;
        r2 = r19;
        r0.a(r1, r2, r3);
        r0 = r17;
        r3 = r0.btY;
        r3 = r3.Lp;
        r0 = r17;
        r4 = r0.btZ;
        r5 = 1;
        r6 = 0;
        r0 = r17;
        r0.b(r4, r5, r6);
        r0 = r17;
        r4 = r0.btY;
        r0 = r17;
        r1 = r18;
        r2 = r19;
        r0.a(r1, r2, r4);
        r0 = r17;
        r4 = r0.btY;
        r4 = r4.Lp;
        goto L_0x04ab;
    L_0x0602:
        r5 = 1;
        r0 = r17;
        r1 = r18;
        r2 = r19;
        r4 = r0.b(r4, r1, r2, r5);
        r3 = r3 + r4;
        r4 = 0;
        r0 = r17;
        r1 = r18;
        r2 = r19;
        r0.a(r3, r1, r2, r4);
    L_0x0618:
        r3 = 54816; // 0xd620 float:7.6814E-41 double:2.70827E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r3);
        goto L_0x0024;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.flexbox.FlexboxLayoutManager.c(android.support.v7.widget.RecyclerView$o, android.support.v7.widget.RecyclerView$s):void");
    }

    private int b(int i, RecyclerView$o recyclerView$o, s sVar, boolean z) {
        int je;
        int i2;
        AppMethodBeat.i(54817);
        if (ua() || !this.hq) {
            je = i - this.alA.je();
            if (je > 0) {
                i2 = -d(je, recyclerView$o, sVar);
            } else {
                AppMethodBeat.o(54817);
                return 0;
            }
        }
        je = this.alA.jf() - i;
        if (je > 0) {
            i2 = d(-je, recyclerView$o, sVar);
        } else {
            AppMethodBeat.o(54817);
            return 0;
        }
        je = i + i2;
        if (z) {
            je -= this.alA.je();
            if (je > 0) {
                this.alA.cc(-je);
                i2 -= je;
                AppMethodBeat.o(54817);
                return i2;
            }
        }
        AppMethodBeat.o(54817);
        return i2;
    }

    private int a(int i, RecyclerView$o recyclerView$o, s sVar, boolean z) {
        int d;
        AppMethodBeat.i(54818);
        int i2 = (ua() || !this.hq) ? 0 : 1;
        if (i2 != 0) {
            i2 = i - this.alA.je();
            if (i2 > 0) {
                d = d(i2, recyclerView$o, sVar);
            } else {
                AppMethodBeat.o(54818);
                return 0;
            }
        }
        i2 = this.alA.jf() - i;
        if (i2 > 0) {
            d = -d(-i2, recyclerView$o, sVar);
        } else {
            AppMethodBeat.o(54818);
            return 0;
        }
        i2 = i + d;
        if (z) {
            i2 = this.alA.jf() - i2;
            if (i2 > 0) {
                this.alA.cc(i2);
                d += i2;
                AppMethodBeat.o(54818);
                return d;
            }
        }
        AppMethodBeat.o(54818);
        return d;
    }

    public final void a(s sVar) {
        AppMethodBeat.i(54819);
        super.a(sVar);
        this.bub = null;
        this.alG = -1;
        this.alH = Integer.MIN_VALUE;
        this.buh = -1;
        a.b(this.btZ);
        this.bue.clear();
        AppMethodBeat.o(54819);
    }

    private View fh(int i) {
        AppMethodBeat.i(54820);
        if ($assertionsDisabled || this.btO.btv != null) {
            View z = z(0, getChildCount(), i);
            if (z == null) {
                AppMethodBeat.o(54820);
                return null;
            }
            int i2 = this.btO.btv[bt(z)];
            if (i2 == -1) {
                AppMethodBeat.o(54820);
                return null;
            }
            View a = a(z, (b) this.bty.get(i2));
            AppMethodBeat.o(54820);
            return a;
        }
        AssertionError assertionError = new AssertionError();
        AppMethodBeat.o(54820);
        throw assertionError;
    }

    private View fi(int i) {
        AppMethodBeat.i(54821);
        if ($assertionsDisabled || this.btO.btv != null) {
            View z = z(getChildCount() - 1, -1, i);
            if (z == null) {
                AppMethodBeat.o(54821);
                return null;
            }
            View b = b(z, (b) this.bty.get(this.btO.btv[bt(z)]));
            AppMethodBeat.o(54821);
            return b;
        }
        AssertionError assertionError = new AssertionError();
        AppMethodBeat.o(54821);
        throw assertionError;
    }

    private View z(int i, int i2, int i3) {
        AppMethodBeat.i(54822);
        uo();
        iJ();
        int je = this.alA.je();
        int jf = this.alA.jf();
        int i4 = i2 > i ? 1 : -1;
        View view = null;
        View view2 = null;
        while (i != i2) {
            View view3;
            View childAt = getChildAt(i);
            int bt = bt(childAt);
            if (bt >= 0 && bt < i3) {
                if (((LayoutParams) childAt.getLayoutParams()).aoM.isRemoved()) {
                    if (view2 == null) {
                        view3 = view;
                        view2 = childAt;
                        i += i4;
                        view = view3;
                    }
                } else if (this.alA.bf(childAt) >= je && this.alA.bg(childAt) <= jf) {
                    AppMethodBeat.o(54822);
                    return childAt;
                } else if (view == null) {
                    view3 = childAt;
                    i += i4;
                    view = view3;
                }
            }
            view3 = view;
            i += i4;
            view = view3;
        }
        if (view != null) {
            AppMethodBeat.o(54822);
            return view;
        }
        AppMethodBeat.o(54822);
        return view2;
    }

    private View iM() {
        AppMethodBeat.i(138507);
        View childAt = getChildAt(0);
        AppMethodBeat.o(138507);
        return childAt;
    }

    private boolean D(View view, int i) {
        AppMethodBeat.i(54827);
        if (ua() || !this.hq) {
            if (this.alA.bg(view) <= i) {
                AppMethodBeat.o(54827);
                return true;
            }
            AppMethodBeat.o(54827);
            return false;
        } else if (this.alA.getEnd() - this.alA.bf(view) <= i) {
            AppMethodBeat.o(54827);
            return true;
        } else {
            AppMethodBeat.o(54827);
            return false;
        }
    }

    private boolean E(View view, int i) {
        AppMethodBeat.i(54829);
        if (ua() || !this.hq) {
            if (this.alA.bf(view) >= this.alA.getEnd() - i) {
                AppMethodBeat.o(54829);
                return true;
            }
            AppMethodBeat.o(54829);
            return false;
        } else if (this.alA.bg(view) <= i) {
            AppMethodBeat.o(54829);
            return true;
        } else {
            AppMethodBeat.o(54829);
            return false;
        }
    }

    private void a(RecyclerView$o recyclerView$o, int i, int i2) {
        AppMethodBeat.i(54830);
        while (i2 >= i) {
            a(i2, recyclerView$o);
            i2--;
        }
        AppMethodBeat.o(54830);
    }

    private int a(b bVar, b bVar2) {
        AppMethodBeat.i(54831);
        if ($assertionsDisabled || this.btO.btw != null) {
            int i;
            int i2;
            float f;
            float f2;
            int paddingTop = getPaddingTop();
            int paddingBottom = getPaddingBottom();
            int i3 = this.mHeight;
            int i4 = bVar2.Lp;
            int i5 = bVar2.Lp;
            if (bVar2.sE == -1) {
                i = i5 + bVar.btk;
                i2 = i4 - bVar.btk;
            } else {
                i = i5;
                i2 = i4;
            }
            int i6 = bVar2.mPosition;
            float f3 = 0.0f;
            switch (this.btC) {
                case 0:
                    f = (float) paddingTop;
                    f2 = (float) (i3 - paddingBottom);
                    break;
                case 1:
                    f = (float) ((i3 - bVar.bti) + paddingBottom);
                    f2 = (float) (bVar.bti - paddingTop);
                    break;
                case 2:
                    f = ((float) paddingTop) + (((float) (i3 - bVar.bti)) / 2.0f);
                    f2 = ((float) (i3 - paddingBottom)) - (((float) (i3 - bVar.bti)) / 2.0f);
                    break;
                case 3:
                    f = (float) paddingTop;
                    f3 = ((float) (i3 - bVar.bti)) / (bVar.apt != 1 ? (float) (bVar.apt - 1) : 1.0f);
                    f2 = (float) (i3 - paddingBottom);
                    break;
                case 4:
                    if (bVar.apt != 0) {
                        f3 = ((float) (i3 - bVar.bti)) / ((float) bVar.apt);
                    }
                    f = ((float) paddingTop) + (f3 / 2.0f);
                    f2 = ((float) (i3 - paddingBottom)) - (f3 / 2.0f);
                    break;
                case 5:
                    if (bVar.apt != 0) {
                        f3 = ((float) (i3 - bVar.bti)) / ((float) (bVar.apt + 1));
                    }
                    f = ((float) paddingTop) + f3;
                    f2 = ((float) (i3 - paddingBottom)) - f3;
                    break;
                default:
                    IllegalStateException illegalStateException = new IllegalStateException("Invalid justifyContent is set: " + this.btC);
                    AppMethodBeat.o(54831);
                    throw illegalStateException;
            }
            float i7 = f - ((float) a.i(this.btZ));
            float i8 = f2 - ((float) a.i(this.btZ));
            float max = Math.max(f3, 0.0f);
            paddingTop = 0;
            int i9 = bVar.apt;
            int i10 = i6;
            while (i10 < i6 + i9) {
                int i11;
                View eU = eU(i10);
                if (eU != null) {
                    long j = this.btO.btw[i10];
                    int at = c.at(j);
                    int au = c.au(j);
                    LayoutParams layoutParams = (LayoutParams) eU.getLayoutParams();
                    if (b(eU, at, au, layoutParams)) {
                        eU.measure(at, au);
                    }
                    float bB = i7 + ((float) (layoutParams.topMargin + bB(eU)));
                    float bC = i8 - ((float) (layoutParams.rightMargin + bC(eU)));
                    if (bVar2.sE == 1) {
                        g(eU, btW);
                        addView(eU);
                        i11 = paddingTop;
                    } else {
                        g(eU, btW);
                        addView(eU, paddingTop);
                        i11 = paddingTop + 1;
                    }
                    i3 = i2 + bD(eU);
                    au = i - bE(eU);
                    if (this.hq) {
                        if (this.btX) {
                            this.btO.a(eU, bVar, this.hq, au - eU.getMeasuredWidth(), Math.round(bC) - eU.getMeasuredHeight(), au, Math.round(bC));
                        } else {
                            this.btO.a(eU, bVar, this.hq, au - eU.getMeasuredWidth(), Math.round(bB), au, eU.getMeasuredHeight() + Math.round(bB));
                        }
                    } else if (this.btX) {
                        this.btO.a(eU, bVar, this.hq, i3, Math.round(bC) - eU.getMeasuredHeight(), i3 + eU.getMeasuredWidth(), Math.round(bC));
                    } else {
                        this.btO.a(eU, bVar, this.hq, i3, Math.round(bB), i3 + eU.getMeasuredWidth(), eU.getMeasuredHeight() + Math.round(bB));
                    }
                    f3 = (((float) ((eU.getMeasuredHeight() + layoutParams.topMargin) + bC(eU))) + max) + bB;
                    f = bC - (((float) (bB(eU) + (eU.getMeasuredHeight() + layoutParams.bottomMargin))) + max);
                } else {
                    i11 = paddingTop;
                    f3 = i7;
                    f = i8;
                }
                paddingTop = i11;
                i7 = f3;
                i10++;
                i8 = f;
            }
            bVar2.bui += this.btY.sE;
            i5 = bVar.btk;
            AppMethodBeat.o(54831);
            return i5;
        }
        AssertionError assertionError = new AssertionError();
        AppMethodBeat.o(54831);
        throw assertionError;
    }

    public final boolean ua() {
        return this.btA == 0 || this.btA == 1;
    }

    private void a(a aVar, boolean z, boolean z2) {
        AppMethodBeat.i(54832);
        if (z2) {
            un();
        } else {
            this.btY.alm = false;
        }
        if (ua() || !this.hq) {
            this.btY.alg = this.alA.jf() - a.j(aVar);
        } else {
            this.btY.alg = a.j(aVar) - getPaddingRight();
        }
        this.btY.mPosition = a.e(aVar);
        this.btY.ali = 1;
        this.btY.sE = 1;
        this.btY.Lp = a.j(aVar);
        this.btY.alS = Integer.MIN_VALUE;
        this.btY.bui = a.f(aVar);
        if (z && this.bty.size() > 1 && a.f(aVar) >= 0 && a.f(aVar) < this.bty.size() - 1) {
            b bVar = (b) this.bty.get(a.f(aVar));
            b.a(this.btY);
            b bVar2 = this.btY;
            bVar2.mPosition = bVar.apt + bVar2.mPosition;
        }
        AppMethodBeat.o(54832);
    }

    private void b(a aVar, boolean z, boolean z2) {
        AppMethodBeat.i(54833);
        if (z2) {
            un();
        } else {
            this.btY.alm = false;
        }
        if (ua() || !this.hq) {
            this.btY.alg = a.j(aVar) - this.alA.je();
        } else {
            this.btY.alg = (this.bug.getWidth() - a.j(aVar)) - this.alA.je();
        }
        this.btY.mPosition = a.e(aVar);
        this.btY.ali = 1;
        this.btY.sE = -1;
        this.btY.Lp = a.j(aVar);
        this.btY.alS = Integer.MIN_VALUE;
        this.btY.bui = a.f(aVar);
        if (z && a.f(aVar) > 0 && this.bty.size() > a.f(aVar)) {
            b bVar = (b) this.bty.get(a.f(aVar));
            b.b(this.btY);
            b bVar2 = this.btY;
            bVar2.mPosition -= bVar.apt;
        }
        AppMethodBeat.o(54833);
    }

    private void un() {
        int i;
        boolean z;
        AppMethodBeat.i(54834);
        if (ua()) {
            i = this.aoK;
        } else {
            i = this.aoJ;
        }
        b bVar = this.btY;
        if (i == 0 || i == Integer.MIN_VALUE) {
            z = true;
        } else {
            z = false;
        }
        bVar.alm = z;
        AppMethodBeat.o(54834);
    }

    private void uo() {
        AppMethodBeat.i(54835);
        if (this.alA != null) {
            AppMethodBeat.o(54835);
            return;
        }
        if (ua()) {
            if (this.btB != 0) {
                this.alA = am.e(this);
                this.bua = am.d(this);
                AppMethodBeat.o(54835);
                return;
            }
        } else if (this.btB == 0) {
            this.alA = am.e(this);
            this.bua = am.d(this);
            AppMethodBeat.o(54835);
            return;
        }
        this.alA = am.d(this);
        this.bua = am.e(this);
        AppMethodBeat.o(54835);
    }

    private void iJ() {
        AppMethodBeat.i(54836);
        if (this.btY == null) {
            this.btY = new b((byte) 0);
        }
        AppMethodBeat.o(54836);
    }

    public final void bY(int i) {
        AppMethodBeat.i(54837);
        this.alG = i;
        this.alH = Integer.MIN_VALUE;
        if (this.bub != null) {
            SavedState.a(this.bub);
        }
        requestLayout();
        AppMethodBeat.o(54837);
    }

    public final void a(RecyclerView recyclerView, int i) {
        AppMethodBeat.i(54838);
        ah ahVar = new ah(recyclerView.getContext());
        ahVar.ape = i;
        a(ahVar);
        AppMethodBeat.o(54838);
    }

    public final void f(RecyclerView recyclerView) {
        AppMethodBeat.i(54839);
        super.f(recyclerView);
        this.bug = (View) recyclerView.getParent();
        AppMethodBeat.o(54839);
    }

    public final void a(RecyclerView recyclerView, RecyclerView$o recyclerView$o) {
        AppMethodBeat.i(54840);
        super.a(recyclerView, recyclerView$o);
        if (this.alI) {
            d(recyclerView$o);
            recyclerView$o.clear();
        }
        AppMethodBeat.o(54840);
    }

    public final boolean iG() {
        AppMethodBeat.i(54841);
        if (!ua() || this.mWidth > this.bug.getWidth()) {
            AppMethodBeat.o(54841);
            return true;
        }
        AppMethodBeat.o(54841);
        return false;
    }

    public final boolean iH() {
        AppMethodBeat.i(54842);
        if (ua() || this.mHeight > this.bug.getHeight()) {
            AppMethodBeat.o(54842);
            return true;
        }
        AppMethodBeat.o(54842);
        return false;
    }

    public final int a(int i, RecyclerView$o recyclerView$o, s sVar) {
        AppMethodBeat.i(54843);
        int fj;
        if (ua()) {
            fj = fj(i);
            a aVar = this.btZ;
            a.d(aVar, a.i(aVar) + fj);
            this.bua.cc(-fj);
            AppMethodBeat.o(54843);
            return fj;
        }
        fj = d(i, recyclerView$o, sVar);
        this.bue.clear();
        AppMethodBeat.o(54843);
        return fj;
    }

    public final int b(int i, RecyclerView$o recyclerView$o, s sVar) {
        AppMethodBeat.i(54844);
        int d;
        if (ua()) {
            d = d(i, recyclerView$o, sVar);
            this.bue.clear();
            AppMethodBeat.o(54844);
            return d;
        }
        d = fj(i);
        a aVar = this.btZ;
        a.d(aVar, a.i(aVar) + d);
        this.bua.cc(-d);
        AppMethodBeat.o(54844);
        return d;
    }

    private int d(int i, RecyclerView$o recyclerView$o, s sVar) {
        int i2 = 1;
        AppMethodBeat.i(54845);
        if (getChildCount() == 0 || i == 0) {
            AppMethodBeat.o(54845);
            return 0;
        }
        uo();
        this.btY.bum = true;
        int i3 = (ua() || !this.hq) ? 0 : 1;
        if (i3 != 0) {
            if (i >= 0) {
                i2 = -1;
            }
        } else if (i <= 0) {
            i2 = -1;
        }
        int abs = Math.abs(i);
        bo(i2, abs);
        int a = this.btY.alS + a(recyclerView$o, sVar, this.btY);
        if (a < 0) {
            AppMethodBeat.o(54845);
            return 0;
        }
        if (i3 != 0) {
            if (abs > a) {
                i = (-i2) * a;
            }
        } else if (abs > a) {
            i = i2 * a;
        }
        this.alA.cc(-i);
        this.btY.alV = i;
        AppMethodBeat.o(54845);
        return i;
    }

    private int fj(int i) {
        Object obj = null;
        AppMethodBeat.i(54846);
        if (getChildCount() == 0 || i == 0) {
            AppMethodBeat.o(54846);
            return 0;
        }
        int width;
        int i2;
        uo();
        boolean ua = ua();
        if (ua) {
            width = this.bug.getWidth();
        } else {
            width = this.bug.getHeight();
        }
        if (ua) {
            i2 = this.mWidth;
        } else {
            i2 = this.mHeight;
        }
        if (android.support.v4.view.s.T(this.aiB) == 1) {
            obj = 1;
        }
        if (obj != null) {
            int abs = Math.abs(i);
            if (i < 0) {
                i = -Math.min((i2 + a.i(this.btZ)) - width, abs);
            } else if (a.i(this.btZ) + i > 0) {
                i = -a.i(this.btZ);
            }
        } else if (i > 0) {
            i = Math.min((i2 - a.i(this.btZ)) - width, i);
        } else if (a.i(this.btZ) + i < 0) {
            i = -a.i(this.btZ);
        }
        AppMethodBeat.o(54846);
        return i;
    }

    private void bo(int i, int i2) {
        int i3 = 0;
        AppMethodBeat.i(54847);
        if ($assertionsDisabled || this.btO.btv != null) {
            b bVar;
            this.btY.sE = i;
            boolean ua = ua();
            int makeMeasureSpec = MeasureSpec.makeMeasureSpec(this.mWidth, this.aoJ);
            int makeMeasureSpec2 = MeasureSpec.makeMeasureSpec(this.mHeight, this.aoK);
            int i4 = (ua || !this.hq) ? 0 : 1;
            int i5;
            if (i == 1) {
                View childAt = getChildAt(getChildCount() - 1);
                this.btY.Lp = this.alA.bg(childAt);
                int bt = bt(childAt);
                View b = b(childAt, (b) this.bty.get(this.btO.btv[bt]));
                this.btY.ali = 1;
                b bVar2 = this.btY;
                bVar2.mPosition = bVar2.ali + bt;
                if (this.btO.btv.length <= this.btY.mPosition) {
                    this.btY.bui = -1;
                } else {
                    this.btY.bui = this.btO.btv[this.btY.mPosition];
                }
                if (i4 != 0) {
                    this.btY.Lp = this.alA.bf(b);
                    this.btY.alS = (-this.alA.bf(b)) + this.alA.je();
                    b bVar3 = this.btY;
                    if (this.btY.alS >= 0) {
                        i5 = this.btY.alS;
                    } else {
                        i5 = 0;
                    }
                    bVar3.alS = i5;
                } else {
                    this.btY.Lp = this.alA.bg(b);
                    this.btY.alS = this.alA.bg(b) - this.alA.jf();
                }
                if ((this.btY.bui == -1 || this.btY.bui > this.bty.size() - 1) && this.btY.mPosition <= getFlexItemCount()) {
                    i4 = i2 - this.btY.alS;
                    this.btP.reset();
                    if (i4 > 0) {
                        if (ua) {
                            this.btO.a(this.btP, makeMeasureSpec, makeMeasureSpec2, i4, this.btY.mPosition, this.bty);
                        } else {
                            this.btO.c(this.btP, makeMeasureSpec, makeMeasureSpec2, i4, this.btY.mPosition, this.bty);
                        }
                        this.btO.x(makeMeasureSpec, makeMeasureSpec2, this.btY.mPosition);
                        this.btO.eY(this.btY.mPosition);
                    }
                }
            } else {
                View childAt2 = getChildAt(0);
                this.btY.Lp = this.alA.bf(childAt2);
                makeMeasureSpec2 = bt(childAt2);
                View a = a(childAt2, (b) this.bty.get(this.btO.btv[makeMeasureSpec2]));
                this.btY.ali = 1;
                i5 = this.btO.btv[makeMeasureSpec2];
                if (i5 == -1) {
                    makeMeasureSpec = 0;
                } else {
                    makeMeasureSpec = i5;
                }
                if (makeMeasureSpec > 0) {
                    this.btY.mPosition = makeMeasureSpec2 - ((b) this.bty.get(makeMeasureSpec - 1)).apt;
                } else {
                    this.btY.mPosition = -1;
                }
                b bVar4 = this.btY;
                if (makeMeasureSpec > 0) {
                    i5 = makeMeasureSpec - 1;
                } else {
                    i5 = 0;
                }
                bVar4.bui = i5;
                if (i4 != 0) {
                    this.btY.Lp = this.alA.bg(a);
                    this.btY.alS = this.alA.bg(a) - this.alA.jf();
                    bVar = this.btY;
                    if (this.btY.alS >= 0) {
                        i3 = this.btY.alS;
                    }
                    bVar.alS = i3;
                } else {
                    this.btY.Lp = this.alA.bf(a);
                    this.btY.alS = (-this.alA.bf(a)) + this.alA.je();
                }
            }
            bVar = this.btY;
            bVar.alg = i2 - bVar.alS;
            AppMethodBeat.o(54847);
            return;
        }
        AssertionError assertionError = new AssertionError();
        AppMethodBeat.o(54847);
        throw assertionError;
    }

    private View a(View view, b bVar) {
        AppMethodBeat.i(54848);
        boolean ua = ua();
        int i = bVar.apt;
        int i2 = 1;
        View view2 = view;
        while (i2 < i) {
            View childAt = getChildAt(i2);
            if (!(childAt == null || childAt.getVisibility() == 8)) {
                if (!this.hq || ua) {
                    if (this.alA.bf(view2) > this.alA.bf(childAt)) {
                        i2++;
                        view2 = childAt;
                    }
                } else if (this.alA.bg(view2) < this.alA.bg(childAt)) {
                    i2++;
                    view2 = childAt;
                }
            }
            childAt = view2;
            i2++;
            view2 = childAt;
        }
        AppMethodBeat.o(54848);
        return view2;
    }

    private View b(View view, b bVar) {
        AppMethodBeat.i(54849);
        boolean ua = ua();
        int childCount = (getChildCount() - bVar.apt) - 1;
        int childCount2 = getChildCount() - 2;
        View view2 = view;
        while (childCount2 > childCount) {
            View childAt = getChildAt(childCount2);
            if (!(childAt == null || childAt.getVisibility() == 8)) {
                if (!this.hq || ua) {
                    if (this.alA.bg(view2) < this.alA.bg(childAt)) {
                        childCount2--;
                        view2 = childAt;
                    }
                } else if (this.alA.bf(view2) > this.alA.bf(childAt)) {
                    childCount2--;
                    view2 = childAt;
                }
            }
            childAt = view2;
            childCount2--;
            view2 = childAt;
        }
        AppMethodBeat.o(54849);
        return view2;
    }

    public final int f(s sVar) {
        AppMethodBeat.i(54850);
        int k = k(sVar);
        AppMethodBeat.o(54850);
        return k;
    }

    public final int g(s sVar) {
        AppMethodBeat.i(54851);
        int k = k(sVar);
        AppMethodBeat.o(54851);
        return k;
    }

    private int k(s sVar) {
        AppMethodBeat.i(54852);
        if (getChildCount() == 0) {
            AppMethodBeat.o(54852);
            return 0;
        }
        int itemCount = sVar.getItemCount();
        uo();
        View fh = fh(itemCount);
        View fi = fi(itemCount);
        if (sVar.getItemCount() == 0 || fh == null || fi == null) {
            AppMethodBeat.o(54852);
            return 0;
        }
        int min = Math.min(this.alA.jg(), this.alA.bg(fi) - this.alA.bf(fh));
        AppMethodBeat.o(54852);
        return min;
    }

    public final int d(s sVar) {
        AppMethodBeat.i(54853);
        j(sVar);
        int j = j(sVar);
        AppMethodBeat.o(54853);
        return j;
    }

    public final int e(s sVar) {
        AppMethodBeat.i(54854);
        int j = j(sVar);
        AppMethodBeat.o(54854);
        return j;
    }

    private int j(s sVar) {
        AppMethodBeat.i(54855);
        if (getChildCount() == 0) {
            AppMethodBeat.o(54855);
            return 0;
        }
        int itemCount = sVar.getItemCount();
        View fh = fh(itemCount);
        View fi = fi(itemCount);
        if (sVar.getItemCount() == 0 || fh == null || fi == null) {
            AppMethodBeat.o(54855);
            return 0;
        } else if ($assertionsDisabled || this.btO.btv != null) {
            int bt = bt(fh);
            int bt2 = bt(fi);
            itemCount = Math.abs(this.alA.bg(fi) - this.alA.bf(fh));
            bt = this.btO.btv[bt];
            if (bt == 0 || bt == -1) {
                AppMethodBeat.o(54855);
                return 0;
            }
            int round = Math.round(((((float) itemCount) / ((float) ((this.btO.btv[bt2] - bt) + 1))) * ((float) bt)) + ((float) (this.alA.je() - this.alA.bf(fh))));
            AppMethodBeat.o(54855);
            return round;
        } else {
            AssertionError assertionError = new AssertionError();
            AppMethodBeat.o(54855);
            throw assertionError;
        }
    }

    public final int h(s sVar) {
        AppMethodBeat.i(54856);
        int l = l(sVar);
        AppMethodBeat.o(54856);
        return l;
    }

    public final int i(s sVar) {
        AppMethodBeat.i(54857);
        int l = l(sVar);
        AppMethodBeat.o(54857);
        return l;
    }

    private int l(s sVar) {
        AppMethodBeat.i(54858);
        if (getChildCount() == 0) {
            AppMethodBeat.o(54858);
            return 0;
        }
        int itemCount = sVar.getItemCount();
        View fh = fh(itemCount);
        View fi = fi(itemCount);
        if (sVar.getItemCount() == 0 || fh == null || fi == null) {
            AppMethodBeat.o(54858);
            return 0;
        } else if ($assertionsDisabled || this.btO.btv != null) {
            int iQ = iQ();
            iQ = (int) ((((float) Math.abs(this.alA.bg(fi) - this.alA.bf(fh))) / ((float) ((iS() - iQ) + 1))) * ((float) sVar.getItemCount()));
            AppMethodBeat.o(54858);
            return iQ;
        } else {
            AssertionError assertionError = new AssertionError();
            AppMethodBeat.o(54858);
            throw assertionError;
        }
    }

    private boolean b(View view, int i, int i2, LayoutParams layoutParams) {
        AppMethodBeat.i(54859);
        if (!view.isLayoutRequested() && this.aoF && m(view.getWidth(), i, layoutParams.width) && m(view.getHeight(), i2, layoutParams.height)) {
            AppMethodBeat.o(54859);
            return false;
        }
        AppMethodBeat.o(54859);
        return true;
    }

    private static boolean m(int i, int i2, int i3) {
        AppMethodBeat.i(54860);
        int mode = MeasureSpec.getMode(i2);
        int size = MeasureSpec.getSize(i2);
        if (i3 <= 0 || i == i3) {
            switch (mode) {
                case Integer.MIN_VALUE:
                    if (size >= i) {
                        AppMethodBeat.o(54860);
                        return true;
                    }
                    AppMethodBeat.o(54860);
                    return false;
                case 0:
                    AppMethodBeat.o(54860);
                    return true;
                case 1073741824:
                    if (size == i) {
                        AppMethodBeat.o(54860);
                        return true;
                    }
                    AppMethodBeat.o(54860);
                    return false;
                default:
                    AppMethodBeat.o(54860);
                    return false;
            }
        }
        AppMethodBeat.o(54860);
        return false;
    }

    private boolean cb(View view) {
        Object obj;
        AppMethodBeat.i(54861);
        int paddingLeft = getPaddingLeft();
        int paddingTop = getPaddingTop();
        int paddingBottom = this.mHeight - getPaddingBottom();
        int by = by(view) - ((LayoutParams) view.getLayoutParams()).topMargin;
        int bz = bz(view) + ((LayoutParams) view.getLayoutParams()).rightMargin;
        LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
        int bA = layoutParams.bottomMargin + bA(view);
        if (bx(view) - ((LayoutParams) view.getLayoutParams()).leftMargin >= this.mWidth - getPaddingRight() || bz >= paddingLeft) {
            obj = 1;
        } else {
            obj = null;
        }
        Object obj2;
        if (by >= paddingBottom || bA >= paddingTop) {
            obj2 = 1;
        } else {
            obj2 = null;
        }
        if (obj == null || obj2 == null) {
            AppMethodBeat.o(54861);
            return false;
        }
        AppMethodBeat.o(54861);
        return true;
    }

    private int iQ() {
        AppMethodBeat.i(54862);
        View bp = bp(0, getChildCount());
        if (bp == null) {
            AppMethodBeat.o(54862);
            return -1;
        }
        int bt = bt(bp);
        AppMethodBeat.o(54862);
        return bt;
    }

    private int iS() {
        AppMethodBeat.i(54863);
        View bp = bp(getChildCount() - 1, -1);
        if (bp == null) {
            AppMethodBeat.o(54863);
            return -1;
        }
        int bt = bt(bp);
        AppMethodBeat.o(54863);
        return bt;
    }

    private View bp(int i, int i2) {
        AppMethodBeat.i(54864);
        int i3 = i2 > i ? 1 : -1;
        while (i != i2) {
            View childAt = getChildAt(i);
            if (cb(childAt)) {
                AppMethodBeat.o(54864);
                return childAt;
            }
            i += i3;
        }
        AppMethodBeat.o(54864);
        return null;
    }

    public final int v(int i, int i2, int i3) {
        AppMethodBeat.i(54799);
        int c = c(this.mWidth, this.aoJ, i2, i3, iG());
        AppMethodBeat.o(54799);
        return c;
    }

    public final int w(int i, int i2, int i3) {
        AppMethodBeat.i(54800);
        int c = c(this.mHeight, this.aoK, i2, i3, iH());
        AppMethodBeat.o(54800);
        return c;
    }

    private int a(RecyclerView$o recyclerView$o, s sVar, b bVar) {
        int a;
        AppMethodBeat.i(54824);
        if (bVar.alS != Integer.MIN_VALUE) {
            if (bVar.alg < 0) {
                bVar.alS += bVar.alg;
            }
            a(recyclerView$o, bVar);
        }
        int i = bVar.alg;
        int i2 = bVar.alg;
        boolean ua = ua();
        int i3 = 0;
        int i4 = i2;
        while (true) {
            if (i4 > 0 || this.btY.alm) {
                Object obj;
                List list = this.bty;
                if (bVar.mPosition < 0 || bVar.mPosition >= sVar.getItemCount() || bVar.bui < 0 || bVar.bui >= list.size()) {
                    obj = null;
                } else {
                    obj = 1;
                }
                if (obj != null) {
                    b bVar2 = (b) this.bty.get(bVar.bui);
                    bVar.mPosition = bVar2.btr;
                    if (!ua()) {
                        a = a(bVar2, bVar);
                    } else if ($assertionsDisabled || this.btO.btw != null) {
                        int i5;
                        float f;
                        float f2;
                        int paddingLeft = getPaddingLeft();
                        int paddingRight = getPaddingRight();
                        int i6 = this.mWidth;
                        a = bVar.Lp;
                        if (bVar.sE == -1) {
                            i5 = a - bVar2.btk;
                        } else {
                            i5 = a;
                        }
                        int i7 = bVar.mPosition;
                        float f3 = 0.0f;
                        switch (this.btC) {
                            case 0:
                                f = (float) paddingLeft;
                                f2 = (float) (i6 - paddingRight);
                                break;
                            case 1:
                                f = (float) ((i6 - bVar2.bti) + paddingRight);
                                f2 = (float) (bVar2.bti - paddingLeft);
                                break;
                            case 2:
                                f = ((float) paddingLeft) + (((float) (i6 - bVar2.bti)) / 2.0f);
                                f2 = ((float) (i6 - paddingRight)) - (((float) (i6 - bVar2.bti)) / 2.0f);
                                break;
                            case 3:
                                f = (float) paddingLeft;
                                f3 = ((float) (i6 - bVar2.bti)) / (bVar2.apt != 1 ? (float) (bVar2.apt - 1) : 1.0f);
                                f2 = (float) (i6 - paddingRight);
                                break;
                            case 4:
                                if (bVar2.apt != 0) {
                                    f3 = ((float) (i6 - bVar2.bti)) / ((float) bVar2.apt);
                                }
                                f = ((float) paddingLeft) + (f3 / 2.0f);
                                f2 = ((float) (i6 - paddingRight)) - (f3 / 2.0f);
                                break;
                            case 5:
                                if (bVar2.apt != 0) {
                                    f3 = ((float) (i6 - bVar2.bti)) / ((float) (bVar2.apt + 1));
                                }
                                f = ((float) paddingLeft) + f3;
                                f2 = ((float) (i6 - paddingRight)) - f3;
                                break;
                            default:
                                IllegalStateException illegalStateException = new IllegalStateException("Invalid justifyContent is set: " + this.btC);
                                AppMethodBeat.o(54824);
                                throw illegalStateException;
                        }
                        f -= (float) a.i(this.btZ);
                        float i8 = f2 - ((float) a.i(this.btZ));
                        float max = Math.max(f3, 0.0f);
                        a = 0;
                        int i9 = bVar2.apt;
                        f2 = f;
                        for (int i10 = i7; i10 < i7 + i9; i10++) {
                            int i11;
                            View eU = eU(i10);
                            if (eU != null) {
                                if (bVar.sE == 1) {
                                    g(eU, btW);
                                    addView(eU);
                                    i11 = a;
                                } else {
                                    g(eU, btW);
                                    addView(eU, a);
                                    i11 = a + 1;
                                }
                                long j = this.btO.btw[i10];
                                i6 = c.at(j);
                                int au = c.au(j);
                                LayoutParams layoutParams = (LayoutParams) eU.getLayoutParams();
                                if (b(eU, i6, au, layoutParams)) {
                                    eU.measure(i6, au);
                                }
                                float bD = f2 + ((float) (layoutParams.leftMargin + bD(eU)));
                                float bE = i8 - ((float) (layoutParams.rightMargin + bE(eU)));
                                paddingRight = i5 + bB(eU);
                                if (this.hq) {
                                    this.btO.a(eU, bVar2, Math.round(bE) - eU.getMeasuredWidth(), paddingRight, Math.round(bE), eU.getMeasuredHeight() + paddingRight);
                                } else {
                                    this.btO.a(eU, bVar2, Math.round(bD), paddingRight, Math.round(bD) + eU.getMeasuredWidth(), eU.getMeasuredHeight() + paddingRight);
                                }
                                f2 = bE - (((float) (bD(eU) + (eU.getMeasuredWidth() + layoutParams.leftMargin))) + max);
                                f = (((float) ((eU.getMeasuredWidth() + layoutParams.rightMargin) + bE(eU))) + max) + bD;
                                i8 = f2;
                            } else {
                                i11 = a;
                                f = f2;
                            }
                            a = i11;
                            f2 = f;
                        }
                        bVar.bui += this.btY.sE;
                        a = bVar2.btk;
                    } else {
                        AssertionError assertionError = new AssertionError();
                        AppMethodBeat.o(54824);
                        throw assertionError;
                    }
                    a += i3;
                    if (ua || !this.hq) {
                        bVar.Lp += bVar2.btk * bVar.sE;
                    } else {
                        bVar.Lp -= bVar2.btk * bVar.sE;
                    }
                    i3 = a;
                    i4 -= bVar2.btk;
                }
            }
        }
        bVar.alg -= i3;
        if (bVar.alS != Integer.MIN_VALUE) {
            bVar.alS += i3;
            if (bVar.alg < 0) {
                bVar.alS += bVar.alg;
            }
            a(recyclerView$o, bVar);
        }
        a = i - bVar.alg;
        AppMethodBeat.o(54824);
        return a;
    }

    private void a(RecyclerView$o recyclerView$o, b bVar) {
        AppMethodBeat.i(54825);
        if (!bVar.bum) {
            AppMethodBeat.o(54825);
        } else if (bVar.sE == -1) {
            c(recyclerView$o, bVar);
            AppMethodBeat.o(54825);
        } else {
            b(recyclerView$o, bVar);
            AppMethodBeat.o(54825);
        }
    }

    private void b(RecyclerView$o recyclerView$o, b bVar) {
        int i = -1;
        AppMethodBeat.i(54826);
        if (bVar.alS < 0) {
            AppMethodBeat.o(54826);
        } else if ($assertionsDisabled || this.btO.btv != null) {
            int childCount = getChildCount();
            if (childCount == 0) {
                AppMethodBeat.o(54826);
                return;
            }
            int i2 = this.btO.btv[bt(getChildAt(0))];
            if (i2 == -1) {
                AppMethodBeat.o(54826);
                return;
            }
            b bVar2 = (b) this.bty.get(i2);
            for (int i3 = 0; i3 < childCount; i3++) {
                View childAt = getChildAt(i3);
                if (!D(childAt, bVar.alS)) {
                    break;
                }
                if (bVar2.bts == bt(childAt)) {
                    if (i2 >= this.bty.size() - 1) {
                        i = i3;
                        break;
                    }
                    i2 += bVar.sE;
                    bVar2 = (b) this.bty.get(i2);
                    i = i3;
                }
            }
            a(recyclerView$o, 0, i);
            AppMethodBeat.o(54826);
        } else {
            AssertionError assertionError = new AssertionError();
            AppMethodBeat.o(54826);
            throw assertionError;
        }
    }

    private void c(RecyclerView$o recyclerView$o, b bVar) {
        AppMethodBeat.i(54828);
        if (bVar.alS < 0) {
            AppMethodBeat.o(54828);
        } else if ($assertionsDisabled || this.btO.btv != null) {
            int childCount = getChildCount();
            if (childCount == 0) {
                AppMethodBeat.o(54828);
                return;
            }
            int i = this.btO.btv[bt(getChildAt(childCount - 1))];
            if (i == -1) {
                AppMethodBeat.o(54828);
                return;
            }
            int i2 = childCount - 1;
            b bVar2 = (b) this.bty.get(i);
            for (int i3 = childCount - 1; i3 >= 0; i3--) {
                View childAt = getChildAt(i3);
                if (!E(childAt, bVar.alS)) {
                    break;
                }
                if (bVar2.btr == bt(childAt)) {
                    if (i <= 0) {
                        childCount = i3;
                        break;
                    }
                    i += bVar.sE;
                    bVar2 = (b) this.bty.get(i);
                    childCount = i3;
                }
            }
            a(recyclerView$o, childCount, i2);
            AppMethodBeat.o(54828);
        } else {
            AssertionError assertionError = new AssertionError();
            AppMethodBeat.o(54828);
            throw assertionError;
        }
    }
}
