package com.google.android.gms.common.server.response;

import android.os.Parcel;
import com.google.android.gms.common.internal.Objects;
import com.google.android.gms.common.internal.Objects.ToStringHelper;
import com.google.android.gms.common.internal.Preconditions;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import com.google.android.gms.common.internal.safeparcel.SafeParcelWriter;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable.Class;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable.Constructor;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable.Field;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable.Param;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable.VersionField;
import com.google.android.gms.common.server.converter.ConverterWrapper;
import com.google.android.gms.common.server.response.FastJsonResponse.FieldConverter;
import com.google.android.gms.common.util.VisibleForTesting;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;

@Class(creator = "FieldCreator")
@VisibleForTesting
public class FastJsonResponse$Field<I, O> extends AbstractSafeParcelable {
    public static final FieldCreator CREATOR = new FieldCreator();
    protected final Class<? extends FastJsonResponse> mConcreteType;
    @Field(getter = "getConcreteTypeName", id = 8)
    protected final String mConcreteTypeName;
    @Field(getter = "getOutputFieldName", id = 6)
    protected final String mOutputFieldName;
    @Field(getter = "getSafeParcelableFieldId", id = 7)
    protected final int mSafeParcelableFieldId;
    @Field(getter = "getTypeIn", id = 2)
    protected final int mTypeIn;
    @Field(getter = "isTypeInArray", id = 3)
    protected final boolean mTypeInArray;
    @Field(getter = "getTypeOut", id = 4)
    protected final int mTypeOut;
    @Field(getter = "isTypeOutArray", id = 5)
    protected final boolean mTypeOutArray;
    @VersionField(getter = "getVersionCode", id = 1)
    private final int zzal;
    private FieldMappingDictionary zzwn;
    @Field(getter = "getWrappedConverter", id = 9, type = "com.google.android.gms.common.server.converter.ConverterWrapper")
    private FieldConverter<I, O> zzwo;

    static {
        AppMethodBeat.i(61521);
        AppMethodBeat.o(61521);
    }

    @Constructor
    FastJsonResponse$Field(@Param(id = 1) int i, @Param(id = 2) int i2, @Param(id = 3) boolean z, @Param(id = 4) int i3, @Param(id = 5) boolean z2, @Param(id = 6) String str, @Param(id = 7) int i4, @Param(id = 8) String str2, @Param(id = 9) ConverterWrapper converterWrapper) {
        AppMethodBeat.i(61465);
        this.zzal = i;
        this.mTypeIn = i2;
        this.mTypeInArray = z;
        this.mTypeOut = i3;
        this.mTypeOutArray = z2;
        this.mOutputFieldName = str;
        this.mSafeParcelableFieldId = i4;
        if (str2 == null) {
            this.mConcreteType = null;
            this.mConcreteTypeName = null;
        } else {
            this.mConcreteType = SafeParcelResponse.class;
            this.mConcreteTypeName = str2;
        }
        if (converterWrapper == null) {
            this.zzwo = null;
            AppMethodBeat.o(61465);
            return;
        }
        this.zzwo = converterWrapper.unwrap();
        AppMethodBeat.o(61465);
    }

    protected FastJsonResponse$Field(int i, boolean z, int i2, boolean z2, String str, int i3, Class<? extends FastJsonResponse> cls, FieldConverter<I, O> fieldConverter) {
        AppMethodBeat.i(61466);
        this.zzal = 1;
        this.mTypeIn = i;
        this.mTypeInArray = z;
        this.mTypeOut = i2;
        this.mTypeOutArray = z2;
        this.mOutputFieldName = str;
        this.mSafeParcelableFieldId = i3;
        this.mConcreteType = cls;
        if (cls == null) {
            this.mConcreteTypeName = null;
        } else {
            this.mConcreteTypeName = cls.getCanonicalName();
        }
        this.zzwo = fieldConverter;
        AppMethodBeat.o(61466);
    }

    public static FastJsonResponse$Field<byte[], byte[]> forBase64(String str) {
        AppMethodBeat.i(61513);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(8, false, 8, false, str, -1, null, null);
        AppMethodBeat.o(61513);
        return fastJsonResponse$Field;
    }

    @VisibleForTesting
    public static FastJsonResponse$Field<byte[], byte[]> forBase64(String str, int i) {
        AppMethodBeat.i(61489);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(8, false, 8, false, str, i, null, null);
        AppMethodBeat.o(61489);
        return fastJsonResponse$Field;
    }

    @VisibleForTesting
    public static FastJsonResponse$Field<byte[], byte[]> forBase64UrlSafe(String str) {
        AppMethodBeat.i(61514);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(9, false, 9, false, str, -1, null, null);
        AppMethodBeat.o(61514);
        return fastJsonResponse$Field;
    }

    @VisibleForTesting
    public static FastJsonResponse$Field<byte[], byte[]> forBase64UrlSafe(String str, int i) {
        AppMethodBeat.i(61490);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(9, false, 9, false, str, i, null, null);
        AppMethodBeat.o(61490);
        return fastJsonResponse$Field;
    }

    public static FastJsonResponse$Field<BigDecimal, BigDecimal> forBigDecimal(String str) {
        AppMethodBeat.i(61507);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(5, false, 5, false, str, -1, null, null);
        AppMethodBeat.o(61507);
        return fastJsonResponse$Field;
    }

    @VisibleForTesting
    public static FastJsonResponse$Field<BigDecimal, BigDecimal> forBigDecimal(String str, int i) {
        AppMethodBeat.i(61483);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(5, false, 5, false, str, i, null, null);
        AppMethodBeat.o(61483);
        return fastJsonResponse$Field;
    }

    public static FastJsonResponse$Field<ArrayList<BigDecimal>, ArrayList<BigDecimal>> forBigDecimals(String str) {
        AppMethodBeat.i(61508);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(5, true, 5, true, str, -1, null, null);
        AppMethodBeat.o(61508);
        return fastJsonResponse$Field;
    }

    public static FastJsonResponse$Field<ArrayList<BigDecimal>, ArrayList<BigDecimal>> forBigDecimals(String str, int i) {
        AppMethodBeat.i(61484);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(5, true, 5, true, str, i, null, null);
        AppMethodBeat.o(61484);
        return fastJsonResponse$Field;
    }

    public static FastJsonResponse$Field<BigInteger, BigInteger> forBigInteger(String str) {
        AppMethodBeat.i(61499);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(1, false, 1, false, str, -1, null, null);
        AppMethodBeat.o(61499);
        return fastJsonResponse$Field;
    }

    public static FastJsonResponse$Field<BigInteger, BigInteger> forBigInteger(String str, int i) {
        AppMethodBeat.i(61475);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(1, false, 1, false, str, i, null, null);
        AppMethodBeat.o(61475);
        return fastJsonResponse$Field;
    }

    public static FastJsonResponse$Field<ArrayList<BigInteger>, ArrayList<BigInteger>> forBigIntegers(String str) {
        AppMethodBeat.i(61500);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(0, true, 1, true, str, -1, null, null);
        AppMethodBeat.o(61500);
        return fastJsonResponse$Field;
    }

    public static FastJsonResponse$Field<ArrayList<BigInteger>, ArrayList<BigInteger>> forBigIntegers(String str, int i) {
        AppMethodBeat.i(61476);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(0, true, 1, true, str, i, null, null);
        AppMethodBeat.o(61476);
        return fastJsonResponse$Field;
    }

    public static FastJsonResponse$Field<Boolean, Boolean> forBoolean(String str) {
        AppMethodBeat.i(61509);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(6, false, 6, false, str, -1, null, null);
        AppMethodBeat.o(61509);
        return fastJsonResponse$Field;
    }

    public static FastJsonResponse$Field<Boolean, Boolean> forBoolean(String str, int i) {
        AppMethodBeat.i(61485);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(6, false, 6, false, str, i, null, null);
        AppMethodBeat.o(61485);
        return fastJsonResponse$Field;
    }

    public static FastJsonResponse$Field<ArrayList<Boolean>, ArrayList<Boolean>> forBooleans(String str) {
        AppMethodBeat.i(61510);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(6, true, 6, true, str, -1, null, null);
        AppMethodBeat.o(61510);
        return fastJsonResponse$Field;
    }

    public static FastJsonResponse$Field<ArrayList<Boolean>, ArrayList<Boolean>> forBooleans(String str, int i) {
        AppMethodBeat.i(61486);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(6, true, 6, true, str, i, null, null);
        AppMethodBeat.o(61486);
        return fastJsonResponse$Field;
    }

    public static <T extends FastJsonResponse> FastJsonResponse$Field<T, T> forConcreteType(String str, int i, Class<T> cls) {
        AppMethodBeat.i(61492);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(11, false, 11, false, str, i, cls, null);
        AppMethodBeat.o(61492);
        return fastJsonResponse$Field;
    }

    public static <T extends FastJsonResponse> FastJsonResponse$Field<T, T> forConcreteType(String str, Class<T> cls) {
        AppMethodBeat.i(61516);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(11, false, 11, false, str, -1, cls, null);
        AppMethodBeat.o(61516);
        return fastJsonResponse$Field;
    }

    public static <T extends FastJsonResponse> FastJsonResponse$Field<ArrayList<T>, ArrayList<T>> forConcreteTypeArray(String str, int i, Class<T> cls) {
        AppMethodBeat.i(61493);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(11, true, 11, true, str, i, cls, null);
        AppMethodBeat.o(61493);
        return fastJsonResponse$Field;
    }

    public static <T extends FastJsonResponse> FastJsonResponse$Field<ArrayList<T>, ArrayList<T>> forConcreteTypeArray(String str, Class<T> cls) {
        AppMethodBeat.i(61517);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(11, true, 11, true, str, -1, cls, null);
        AppMethodBeat.o(61517);
        return fastJsonResponse$Field;
    }

    public static FastJsonResponse$Field<Double, Double> forDouble(String str) {
        AppMethodBeat.i(61505);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(4, false, 4, false, str, -1, null, null);
        AppMethodBeat.o(61505);
        return fastJsonResponse$Field;
    }

    public static FastJsonResponse$Field<Double, Double> forDouble(String str, int i) {
        AppMethodBeat.i(61481);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(4, false, 4, false, str, i, null, null);
        AppMethodBeat.o(61481);
        return fastJsonResponse$Field;
    }

    public static FastJsonResponse$Field<ArrayList<Double>, ArrayList<Double>> forDoubles(String str) {
        AppMethodBeat.i(61506);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(4, true, 4, true, str, -1, null, null);
        AppMethodBeat.o(61506);
        return fastJsonResponse$Field;
    }

    public static FastJsonResponse$Field<ArrayList<Double>, ArrayList<Double>> forDoubles(String str, int i) {
        AppMethodBeat.i(61482);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(4, true, 4, true, str, i, null, null);
        AppMethodBeat.o(61482);
        return fastJsonResponse$Field;
    }

    public static FastJsonResponse$Field<Float, Float> forFloat(String str) {
        AppMethodBeat.i(61503);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(3, false, 3, false, str, -1, null, null);
        AppMethodBeat.o(61503);
        return fastJsonResponse$Field;
    }

    public static FastJsonResponse$Field<Float, Float> forFloat(String str, int i) {
        AppMethodBeat.i(61479);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(3, false, 3, false, str, i, null, null);
        AppMethodBeat.o(61479);
        return fastJsonResponse$Field;
    }

    public static FastJsonResponse$Field<ArrayList<Float>, ArrayList<Float>> forFloats(String str) {
        AppMethodBeat.i(61504);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(3, true, 3, true, str, -1, null, null);
        AppMethodBeat.o(61504);
        return fastJsonResponse$Field;
    }

    public static FastJsonResponse$Field<ArrayList<Float>, ArrayList<Float>> forFloats(String str, int i) {
        AppMethodBeat.i(61480);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(3, true, 3, true, str, i, null, null);
        AppMethodBeat.o(61480);
        return fastJsonResponse$Field;
    }

    public static FastJsonResponse$Field<Integer, Integer> forInteger(String str) {
        AppMethodBeat.i(61497);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(0, false, 0, false, str, -1, null, null);
        AppMethodBeat.o(61497);
        return fastJsonResponse$Field;
    }

    @VisibleForTesting
    public static FastJsonResponse$Field<Integer, Integer> forInteger(String str, int i) {
        AppMethodBeat.i(61473);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(0, false, 0, false, str, i, null, null);
        AppMethodBeat.o(61473);
        return fastJsonResponse$Field;
    }

    public static FastJsonResponse$Field<ArrayList<Integer>, ArrayList<Integer>> forIntegers(String str) {
        AppMethodBeat.i(61498);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(0, true, 0, true, str, -1, null, null);
        AppMethodBeat.o(61498);
        return fastJsonResponse$Field;
    }

    @VisibleForTesting
    public static FastJsonResponse$Field<ArrayList<Integer>, ArrayList<Integer>> forIntegers(String str, int i) {
        AppMethodBeat.i(61474);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(0, true, 0, true, str, i, null, null);
        AppMethodBeat.o(61474);
        return fastJsonResponse$Field;
    }

    @VisibleForTesting
    public static FastJsonResponse$Field<Long, Long> forLong(String str) {
        AppMethodBeat.i(61501);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(2, false, 2, false, str, -1, null, null);
        AppMethodBeat.o(61501);
        return fastJsonResponse$Field;
    }

    public static FastJsonResponse$Field<Long, Long> forLong(String str, int i) {
        AppMethodBeat.i(61477);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(2, false, 2, false, str, i, null, null);
        AppMethodBeat.o(61477);
        return fastJsonResponse$Field;
    }

    @VisibleForTesting
    public static FastJsonResponse$Field<ArrayList<Long>, ArrayList<Long>> forLongs(String str) {
        AppMethodBeat.i(61502);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(2, true, 2, true, str, -1, null, null);
        AppMethodBeat.o(61502);
        return fastJsonResponse$Field;
    }

    public static FastJsonResponse$Field<ArrayList<Long>, ArrayList<Long>> forLongs(String str, int i) {
        AppMethodBeat.i(61478);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(2, true, 2, true, str, i, null, null);
        AppMethodBeat.o(61478);
        return fastJsonResponse$Field;
    }

    public static FastJsonResponse$Field<String, String> forString(String str) {
        AppMethodBeat.i(61511);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(7, false, 7, false, str, -1, null, null);
        AppMethodBeat.o(61511);
        return fastJsonResponse$Field;
    }

    public static FastJsonResponse$Field<String, String> forString(String str, int i) {
        AppMethodBeat.i(61487);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(7, false, 7, false, str, i, null, null);
        AppMethodBeat.o(61487);
        return fastJsonResponse$Field;
    }

    public static FastJsonResponse$Field<HashMap<String, String>, HashMap<String, String>> forStringMap(String str) {
        AppMethodBeat.i(61515);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(10, false, 10, false, str, -1, null, null);
        AppMethodBeat.o(61515);
        return fastJsonResponse$Field;
    }

    public static FastJsonResponse$Field<HashMap<String, String>, HashMap<String, String>> forStringMap(String str, int i) {
        AppMethodBeat.i(61491);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(10, false, 10, false, str, i, null, null);
        AppMethodBeat.o(61491);
        return fastJsonResponse$Field;
    }

    public static FastJsonResponse$Field<ArrayList<String>, ArrayList<String>> forStrings(String str) {
        AppMethodBeat.i(61512);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(7, true, 7, true, str, -1, null, null);
        AppMethodBeat.o(61512);
        return fastJsonResponse$Field;
    }

    public static FastJsonResponse$Field<ArrayList<String>, ArrayList<String>> forStrings(String str, int i) {
        AppMethodBeat.i(61488);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(7, true, 7, true, str, i, null, null);
        AppMethodBeat.o(61488);
        return fastJsonResponse$Field;
    }

    public static FastJsonResponse$Field withConverter(String str, int i, FieldConverter<?, ?> fieldConverter, boolean z) {
        AppMethodBeat.i(61496);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(fieldConverter.getTypeIn(), z, fieldConverter.getTypeOut(), false, str, i, null, fieldConverter);
        AppMethodBeat.o(61496);
        return fastJsonResponse$Field;
    }

    public static <T extends FieldConverter> FastJsonResponse$Field withConverter(String str, int i, Class<T> cls, boolean z) {
        RuntimeException runtimeException;
        AppMethodBeat.i(61494);
        try {
            FastJsonResponse$Field withConverter = withConverter(str, i, (FieldConverter) cls.newInstance(), z);
            AppMethodBeat.o(61494);
            return withConverter;
        } catch (InstantiationException e) {
            runtimeException = new RuntimeException(e);
            AppMethodBeat.o(61494);
            throw runtimeException;
        } catch (IllegalAccessException e2) {
            runtimeException = new RuntimeException(e2);
            AppMethodBeat.o(61494);
            throw runtimeException;
        }
    }

    public static FastJsonResponse$Field withConverter(String str, FieldConverter<?, ?> fieldConverter, boolean z) {
        AppMethodBeat.i(61495);
        FastJsonResponse$Field withConverter = withConverter(str, -1, (FieldConverter) fieldConverter, z);
        AppMethodBeat.o(61495);
        return withConverter;
    }

    public static <T extends FieldConverter> FastJsonResponse$Field withConverter(String str, Class<T> cls, boolean z) {
        AppMethodBeat.i(61518);
        FastJsonResponse$Field withConverter = withConverter(str, -1, (Class) cls, z);
        AppMethodBeat.o(61518);
        return withConverter;
    }

    private final String zzcz() {
        return this.mConcreteTypeName == null ? null : this.mConcreteTypeName;
    }

    private final ConverterWrapper zzda() {
        AppMethodBeat.i(61468);
        if (this.zzwo == null) {
            AppMethodBeat.o(61468);
            return null;
        }
        ConverterWrapper wrap = ConverterWrapper.wrap(this.zzwo);
        AppMethodBeat.o(61468);
        return wrap;
    }

    public O convert(I i) {
        AppMethodBeat.i(61471);
        Object convert = this.zzwo.convert(i);
        AppMethodBeat.o(61471);
        return convert;
    }

    public I convertBack(O o) {
        AppMethodBeat.i(61472);
        Object convertBack = this.zzwo.convertBack(o);
        AppMethodBeat.o(61472);
        return convertBack;
    }

    public FastJsonResponse$Field<I, O> copyForDictionary() {
        AppMethodBeat.i(61467);
        FastJsonResponse$Field fastJsonResponse$Field = new FastJsonResponse$Field(this.zzal, this.mTypeIn, this.mTypeInArray, this.mTypeOut, this.mTypeOutArray, this.mOutputFieldName, this.mSafeParcelableFieldId, this.mConcreteTypeName, zzda());
        AppMethodBeat.o(61467);
        return fastJsonResponse$Field;
    }

    public Class<? extends FastJsonResponse> getConcreteType() {
        return this.mConcreteType;
    }

    public Map<String, FastJsonResponse$Field<?, ?>> getConcreteTypeFieldMappingFromDictionary() {
        AppMethodBeat.i(61470);
        Preconditions.checkNotNull(this.mConcreteTypeName);
        Preconditions.checkNotNull(this.zzwn);
        Map fieldMapping = this.zzwn.getFieldMapping(this.mConcreteTypeName);
        AppMethodBeat.o(61470);
        return fieldMapping;
    }

    public String getOutputFieldName() {
        return this.mOutputFieldName;
    }

    public int getSafeParcelableFieldId() {
        return this.mSafeParcelableFieldId;
    }

    public int getTypeIn() {
        return this.mTypeIn;
    }

    public int getTypeOut() {
        return this.mTypeOut;
    }

    public int getVersionCode() {
        return this.zzal;
    }

    public boolean hasConverter() {
        return this.zzwo != null;
    }

    public boolean isTypeInArray() {
        return this.mTypeInArray;
    }

    public boolean isTypeOutArray() {
        return this.mTypeOutArray;
    }

    public boolean isValidSafeParcelableFieldId() {
        return this.mSafeParcelableFieldId != -1;
    }

    public FastJsonResponse newConcreteTypeInstance() {
        AppMethodBeat.i(61469);
        if (this.mConcreteType == SafeParcelResponse.class) {
            Preconditions.checkNotNull(this.zzwn, "The field mapping dictionary must be set if the concrete type is a SafeParcelResponse object.");
            SafeParcelResponse safeParcelResponse = new SafeParcelResponse(this.zzwn, this.mConcreteTypeName);
            AppMethodBeat.o(61469);
            return safeParcelResponse;
        }
        FastJsonResponse fastJsonResponse = (FastJsonResponse) this.mConcreteType.newInstance();
        AppMethodBeat.o(61469);
        return fastJsonResponse;
    }

    public void setFieldMappingDictionary(FieldMappingDictionary fieldMappingDictionary) {
        this.zzwn = fieldMappingDictionary;
    }

    public String toString() {
        AppMethodBeat.i(61520);
        ToStringHelper add = Objects.toStringHelper(this).add("versionCode", Integer.valueOf(this.zzal)).add("typeIn", Integer.valueOf(this.mTypeIn)).add("typeInArray", Boolean.valueOf(this.mTypeInArray)).add("typeOut", Integer.valueOf(this.mTypeOut)).add("typeOutArray", Boolean.valueOf(this.mTypeOutArray)).add("outputFieldName", this.mOutputFieldName).add("safeParcelFieldId", Integer.valueOf(this.mSafeParcelableFieldId)).add("concreteTypeName", zzcz());
        Class concreteType = getConcreteType();
        if (concreteType != null) {
            add.add("concreteType.class", concreteType.getCanonicalName());
        }
        if (this.zzwo != null) {
            add.add("converterName", this.zzwo.getClass().getCanonicalName());
        }
        String toStringHelper = add.toString();
        AppMethodBeat.o(61520);
        return toStringHelper;
    }

    public void writeToParcel(Parcel parcel, int i) {
        AppMethodBeat.i(61519);
        int beginObjectHeader = SafeParcelWriter.beginObjectHeader(parcel);
        SafeParcelWriter.writeInt(parcel, 1, getVersionCode());
        SafeParcelWriter.writeInt(parcel, 2, getTypeIn());
        SafeParcelWriter.writeBoolean(parcel, 3, isTypeInArray());
        SafeParcelWriter.writeInt(parcel, 4, getTypeOut());
        SafeParcelWriter.writeBoolean(parcel, 5, isTypeOutArray());
        SafeParcelWriter.writeString(parcel, 6, getOutputFieldName(), false);
        SafeParcelWriter.writeInt(parcel, 7, getSafeParcelableFieldId());
        SafeParcelWriter.writeString(parcel, 8, zzcz(), false);
        SafeParcelWriter.writeParcelable(parcel, 9, zzda(), i, false);
        SafeParcelWriter.finishObjectHeader(parcel, beginObjectHeader);
        AppMethodBeat.o(61519);
    }
}
