package com.google.android.gms.common.server.response;

import android.os.Parcel;
import android.os.Parcelable.Creator;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import com.google.android.gms.common.internal.safeparcel.SafeParcelWriter;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable.Class;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable.Constructor;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable.Field;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable.Param;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable.VersionField;
import com.google.android.gms.common.server.response.FieldMappingDictionary.FieldMapPair;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.util.ArrayList;
import java.util.Map;

@Class(creator = "FieldMappingDictionaryEntryCreator")
public class FieldMappingDictionary$Entry extends AbstractSafeParcelable {
    public static final Creator<FieldMappingDictionary$Entry> CREATOR = new FieldMappingDictionaryEntryCreator();
    @Field(id = 2)
    final String className;
    @VersionField(id = 1)
    private final int versionCode;
    @Field(id = 3)
    final ArrayList<FieldMapPair> zzxn;

    static {
        AppMethodBeat.i(61561);
        AppMethodBeat.o(61561);
    }

    @Constructor
    FieldMappingDictionary$Entry(@Param(id = 1) int i, @Param(id = 2) String str, @Param(id = 3) ArrayList<FieldMapPair> arrayList) {
        this.versionCode = i;
        this.className = str;
        this.zzxn = arrayList;
    }

    FieldMappingDictionary$Entry(String str, Map<String, FastJsonResponse$Field<?, ?>> map) {
        ArrayList arrayList;
        AppMethodBeat.i(61559);
        this.versionCode = 1;
        this.className = str;
        if (map == null) {
            arrayList = null;
        } else {
            ArrayList arrayList2 = new ArrayList();
            for (String str2 : map.keySet()) {
                arrayList2.add(new FieldMapPair(str2, (FastJsonResponse$Field) map.get(str2)));
            }
            arrayList = arrayList2;
        }
        this.zzxn = arrayList;
        AppMethodBeat.o(61559);
    }

    public void writeToParcel(Parcel parcel, int i) {
        AppMethodBeat.i(61560);
        int beginObjectHeader = SafeParcelWriter.beginObjectHeader(parcel);
        SafeParcelWriter.writeInt(parcel, 1, this.versionCode);
        SafeParcelWriter.writeString(parcel, 2, this.className, false);
        SafeParcelWriter.writeTypedList(parcel, 3, this.zzxn, false);
        SafeParcelWriter.finishObjectHeader(parcel, beginObjectHeader);
        AppMethodBeat.o(61560);
    }
}
