package com.google.firebase.messaging;

import android.annotation.TargetApi;
import android.app.Notification;
import android.app.Notification.BigTextStyle;
import android.app.Notification.Builder;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.content.Context;
import android.content.Intent;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageManager.NameNotFoundException;
import android.content.res.Resources;
import android.content.res.Resources.NotFoundException;
import android.graphics.Color;
import android.graphics.drawable.AdaptiveIconDrawable;
import android.net.Uri;
import android.os.Build.VERSION;
import android.os.Bundle;
import android.os.SystemClock;
import android.support.v4.content.b;
import android.text.TextUtils;
import com.google.android.gms.common.util.PlatformVersion;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.view.d;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.Arrays;
import java.util.MissingFormatArgumentException;
import java.util.concurrent.atomic.AtomicInteger;
import org.json.JSONArray;
import org.json.JSONException;

final class c {
    private static c bxf;
    private final Context bvF;
    private Bundle bxg;
    private Method bxh;
    private Method bxi;
    private final AtomicInteger bxj = new AtomicInteger((int) SystemClock.elapsedRealtime());

    private c(Context context) {
        AppMethodBeat.i(77221);
        this.bvF = context.getApplicationContext();
        AppMethodBeat.o(77221);
    }

    @TargetApi(26)
    private final Notification a(CharSequence charSequence, String str, int i, Integer num, Uri uri, PendingIntent pendingIntent, PendingIntent pendingIntent2, String str2) {
        AppMethodBeat.i(77223);
        Builder smallIcon = new Builder(this.bvF).setAutoCancel(true).setSmallIcon(i);
        if (!TextUtils.isEmpty(charSequence)) {
            smallIcon.setContentTitle(charSequence);
        }
        if (!TextUtils.isEmpty(str)) {
            smallIcon.setContentText(str);
            smallIcon.setStyle(new BigTextStyle().bigText(str));
        }
        if (num != null) {
            smallIcon.setColor(num.intValue());
        }
        if (uri != null) {
            smallIcon.setSound(uri);
        }
        if (pendingIntent != null) {
            smallIcon.setContentIntent(pendingIntent);
        }
        if (pendingIntent2 != null) {
            smallIcon.setDeleteIntent(pendingIntent2);
        }
        if (str2 != null) {
            if (this.bxh == null) {
                this.bxh = bd("setChannelId");
            }
            if (this.bxh == null) {
                this.bxh = bd("setChannel");
            }
            if (this.bxh != null) {
                try {
                    this.bxh.invoke(smallIcon, new Object[]{str2});
                } catch (IllegalAccessException | IllegalArgumentException | SecurityException | InvocationTargetException e) {
                }
            }
        }
        Notification build = smallIcon.build();
        AppMethodBeat.o(77223);
        return build;
    }

    static synchronized c as(Context context) {
        c cVar;
        synchronized (c.class) {
            AppMethodBeat.i(77218);
            if (bxf == null) {
                bxf = new c(context);
            }
            cVar = bxf;
            AppMethodBeat.o(77218);
        }
        return cVar;
    }

    private static void b(Intent intent, Bundle bundle) {
        AppMethodBeat.i(77229);
        for (String str : bundle.keySet()) {
            if (str.startsWith("google.c.a.") || str.equals("from")) {
                intent.putExtra(str, bundle.getString(str));
            }
        }
        AppMethodBeat.o(77229);
    }

    @TargetApi(26)
    private static Method bd(String str) {
        AppMethodBeat.i(77224);
        try {
            Method method = Builder.class.getMethod(str, new Class[]{String.class});
            AppMethodBeat.o(77224);
            return method;
        } catch (NoSuchMethodException | SecurityException e) {
            AppMethodBeat.o(77224);
            return null;
        }
    }

    private final Integer be(String str) {
        Integer num = null;
        AppMethodBeat.i(77227);
        if (VERSION.SDK_INT < 21) {
            AppMethodBeat.o(77227);
        } else {
            if (!TextUtils.isEmpty(str)) {
                try {
                    num = Integer.valueOf(Color.parseColor(str));
                    AppMethodBeat.o(77227);
                } catch (IllegalArgumentException e) {
                    new StringBuilder(String.valueOf(str).length() + 54).append("Color ").append(str).append(" not valid. Notification will use default color.");
                }
            }
            int i = vb().getInt("com.google.firebase.messaging.default_notification_color", 0);
            if (i != 0) {
                try {
                    num = Integer.valueOf(b.i(this.bvF, i));
                    AppMethodBeat.o(77227);
                } catch (NotFoundException e2) {
                }
            }
            AppMethodBeat.o(77227);
        }
        return num;
    }

    static String d(Bundle bundle, String str) {
        AppMethodBeat.i(77219);
        String string = bundle.getString(str);
        if (string == null) {
            string = bundle.getString(str.replace("gcm.n.", "gcm.notification."));
        }
        AppMethodBeat.o(77219);
        return string;
    }

    private static Object[] e(Bundle bundle, String str) {
        AppMethodBeat.i(77220);
        String valueOf = String.valueOf(str);
        String valueOf2 = String.valueOf("_loc_args");
        String d = d(bundle, valueOf2.length() != 0 ? valueOf.concat(valueOf2) : new String(valueOf));
        if (TextUtils.isEmpty(d)) {
            AppMethodBeat.o(77220);
            return null;
        }
        try {
            JSONArray jSONArray = new JSONArray(d);
            String[] strArr = new String[jSONArray.length()];
            for (int i = 0; i < strArr.length; i++) {
                strArr[i] = jSONArray.opt(i);
            }
            AppMethodBeat.o(77220);
            return strArr;
        } catch (JSONException e) {
            valueOf = String.valueOf(str);
            valueOf2 = String.valueOf("_loc_args");
            valueOf2 = (valueOf2.length() != 0 ? valueOf.concat(valueOf2) : new String(valueOf)).substring(6);
            new StringBuilder((String.valueOf(valueOf2).length() + 41) + String.valueOf(d).length()).append("Malformed ").append(valueOf2).append(": ").append(d).append("  Default value will be used.");
            AppMethodBeat.o(77220);
            return null;
        }
    }

    @TargetApi(26)
    private final boolean fl(int i) {
        AppMethodBeat.i(77226);
        if (VERSION.SDK_INT != 26) {
            AppMethodBeat.o(77226);
            return true;
        }
        try {
            if (this.bvF.getResources().getDrawable(i, null) instanceof AdaptiveIconDrawable) {
                new StringBuilder(77).append("Adaptive icons cannot be used in notifications. Ignoring icon id: ").append(i);
                AppMethodBeat.o(77226);
                return false;
            }
            AppMethodBeat.o(77226);
            return true;
        } catch (NotFoundException e) {
            AppMethodBeat.o(77226);
            return false;
        }
    }

    private final Bundle vb() {
        AppMethodBeat.i(77230);
        Bundle bundle;
        if (this.bxg != null) {
            bundle = this.bxg;
            AppMethodBeat.o(77230);
            return bundle;
        }
        ApplicationInfo applicationInfo = null;
        try {
            applicationInfo = this.bvF.getPackageManager().getApplicationInfo(this.bvF.getPackageName(), d.MIC_NEWSKETCH);
        } catch (NameNotFoundException e) {
        }
        if (applicationInfo == null || applicationInfo.metaData == null) {
            bundle = Bundle.EMPTY;
            AppMethodBeat.o(77230);
            return bundle;
        }
        this.bxg = applicationInfo.metaData;
        bundle = this.bxg;
        AppMethodBeat.o(77230);
        return bundle;
    }

    @TargetApi(26)
    private final String zzn(String str) {
        AppMethodBeat.i(77228);
        if (PlatformVersion.isAtLeastO()) {
            NotificationManager notificationManager = (NotificationManager) this.bvF.getSystemService(NotificationManager.class);
            try {
                if (this.bxi == null) {
                    this.bxi = notificationManager.getClass().getMethod("getNotificationChannel", new Class[]{String.class});
                }
                if (!TextUtils.isEmpty(str)) {
                    if (this.bxi.invoke(notificationManager, new Object[]{str}) != null) {
                        AppMethodBeat.o(77228);
                        return str;
                    }
                    new StringBuilder(String.valueOf(str).length() + d.MIC_Montager).append("Notification Channel requested (").append(str).append(") has not been created by the app. Manifest configuration, or default, value will be used.");
                }
                str = vb().getString("com.google.firebase.messaging.default_notification_channel_id");
                if (!TextUtils.isEmpty(str)) {
                    if (this.bxi.invoke(notificationManager, new Object[]{str}) != null) {
                        AppMethodBeat.o(77228);
                        return str;
                    }
                }
                if (this.bxi.invoke(notificationManager, new Object[]{"fcm_fallback_notification_channel"}) == null) {
                    Object newInstance = Class.forName("android.app.NotificationChannel").getConstructor(new Class[]{String.class, CharSequence.class, Integer.TYPE}).newInstance(new Object[]{"fcm_fallback_notification_channel", this.bvF.getString(2131296256), Integer.valueOf(3)});
                    notificationManager.getClass().getMethod("createNotificationChannel", new Class[]{r1}).invoke(notificationManager, new Object[]{newInstance});
                }
                str = "fcm_fallback_notification_channel";
                AppMethodBeat.o(77228);
                return str;
            } catch (ClassNotFoundException | IllegalAccessException | IllegalArgumentException | InstantiationException | LinkageError | NoSuchMethodException | SecurityException | InvocationTargetException e) {
                AppMethodBeat.o(77228);
                return null;
            }
        }
        AppMethodBeat.o(77228);
        return null;
    }

    /* Access modifiers changed, original: final */
    /* JADX WARNING: Removed duplicated region for block: B:33:0x00d9  */
    /* JADX WARNING: Removed duplicated region for block: B:69:0x0208  */
    /* JADX WARNING: Removed duplicated region for block: B:36:0x00e6  */
    /* JADX WARNING: Removed duplicated region for block: B:75:0x026b  */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x00f4  */
    /* JADX WARNING: Removed duplicated region for block: B:85:0x02b8  */
    /* JADX WARNING: Removed duplicated region for block: B:41:0x010a  */
    /* JADX WARNING: Removed duplicated region for block: B:109:0x034c  */
    /* JADX WARNING: Removed duplicated region for block: B:44:0x0111  */
    /* JADX WARNING: Removed duplicated region for block: B:96:0x0317  */
    /* JADX WARNING: Removed duplicated region for block: B:99:0x0320  */
    /* JADX WARNING: Removed duplicated region for block: B:101:0x0331  */
    /* JADX WARNING: Removed duplicated region for block: B:103:0x0339  */
    /* JADX WARNING: Removed duplicated region for block: B:105:0x033e  */
    /* JADX WARNING: Removed duplicated region for block: B:107:0x0342  */
    /* JADX WARNING: Removed duplicated region for block: B:52:0x0187  */
    /* JADX WARNING: Removed duplicated region for block: B:22:0x0075  */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x006c  */
    public final boolean k(android.os.Bundle r14) {
        /*
        r13 = this;
        r7 = 0;
        r12 = 77222; // 0x12da6 float:1.08211E-40 double:3.81527E-319;
        r9 = 1;
        r10 = 0;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r12);
        r0 = "1";
        r1 = "gcm.n.noui";
        r1 = d(r14, r1);
        r0 = r0.equals(r1);
        if (r0 == 0) goto L_0x001e;
    L_0x0019:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r12);
        r0 = r9;
    L_0x001d:
        return r0;
    L_0x001e:
        r0 = r13.bvF;
        r1 = "keyguard";
        r0 = r0.getSystemService(r1);
        r0 = (android.app.KeyguardManager) r0;
        r0 = r0.inKeyguardRestrictedInputMode();
        if (r0 != 0) goto L_0x0073;
    L_0x002f:
        r0 = com.google.android.gms.common.util.PlatformVersion.isAtLeastLollipop();
        if (r0 != 0) goto L_0x003a;
    L_0x0035:
        r0 = 10;
        android.os.SystemClock.sleep(r0);
    L_0x003a:
        r1 = android.os.Process.myPid();
        r0 = r13.bvF;
        r2 = "activity";
        r0 = r0.getSystemService(r2);
        r0 = (android.app.ActivityManager) r0;
        r0 = r0.getRunningAppProcesses();
        if (r0 == 0) goto L_0x0073;
    L_0x004f:
        r2 = r0.iterator();
    L_0x0053:
        r0 = r2.hasNext();
        if (r0 == 0) goto L_0x0073;
    L_0x0059:
        r0 = r2.next();
        r0 = (android.app.ActivityManager.RunningAppProcessInfo) r0;
        r3 = r0.pid;
        if (r3 != r1) goto L_0x0053;
    L_0x0063:
        r0 = r0.importance;
        r1 = 100;
        if (r0 != r1) goto L_0x0071;
    L_0x0069:
        r0 = r9;
    L_0x006a:
        if (r0 == 0) goto L_0x0075;
    L_0x006c:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r12);
        r0 = r10;
        goto L_0x001d;
    L_0x0071:
        r0 = r10;
        goto L_0x006a;
    L_0x0073:
        r0 = r10;
        goto L_0x006a;
    L_0x0075:
        r0 = "gcm.n.title";
        r1 = r13.zzd(r14, r0);
        r0 = android.text.TextUtils.isEmpty(r1);
        if (r0 == 0) goto L_0x0092;
    L_0x0082:
        r0 = r13.bvF;
        r0 = r0.getApplicationInfo();
        r1 = r13.bvF;
        r1 = r1.getPackageManager();
        r1 = r0.loadLabel(r1);
    L_0x0092:
        r0 = "gcm.n.body";
        r2 = r13.zzd(r14, r0);
        r0 = "gcm.n.icon";
        r0 = d(r14, r0);
        r3 = android.text.TextUtils.isEmpty(r0);
        if (r3 != 0) goto L_0x01df;
    L_0x00a6:
        r3 = r13.bvF;
        r4 = r3.getResources();
        r3 = "drawable";
        r5 = r13.bvF;
        r5 = r5.getPackageName();
        r3 = r4.getIdentifier(r0, r3, r5);
        if (r3 == 0) goto L_0x01aa;
    L_0x00bb:
        r5 = r13.fl(r3);
        if (r5 == 0) goto L_0x01aa;
    L_0x00c1:
        r0 = "gcm.n.color";
        r0 = d(r14, r0);
        r4 = r13.be(r0);
        r0 = "gcm.n.sound2";
        r0 = d(r14, r0);
        r5 = android.text.TextUtils.isEmpty(r0);
        if (r5 == 0) goto L_0x00e0;
    L_0x00d9:
        r0 = "gcm.n.sound";
        r0 = d(r14, r0);
    L_0x00e0:
        r5 = android.text.TextUtils.isEmpty(r0);
        if (r5 == 0) goto L_0x0208;
    L_0x00e6:
        r5 = r7;
    L_0x00e7:
        r0 = "gcm.n.click_action";
        r6 = d(r14, r0);
        r0 = android.text.TextUtils.isEmpty(r6);
        if (r0 != 0) goto L_0x026b;
    L_0x00f4:
        r0 = new android.content.Intent;
        r0.<init>(r6);
        r6 = r13.bvF;
        r6 = r6.getPackageName();
        r0.setPackage(r6);
        r6 = 268435456; // 0x10000000 float:2.5243549E-29 double:1.32624737E-315;
        r0.setFlags(r6);
        r6 = r0;
    L_0x0108:
        if (r6 != 0) goto L_0x02b8;
    L_0x010a:
        r0 = r7;
    L_0x010b:
        r6 = com.google.firebase.messaging.FirebaseMessagingService.j(r14);
        if (r6 == 0) goto L_0x034c;
    L_0x0111:
        r6 = new android.content.Intent;
        r7 = "com.google.firebase.messaging.NOTIFICATION_OPEN";
        r6.<init>(r7);
        b(r6, r14);
        r7 = "pending_intent";
        r6.putExtra(r7, r0);
        r0 = r13.bvF;
        r7 = r13.bxj;
        r7 = r7.incrementAndGet();
        r6 = com.google.firebase.iid.o.a(r0, r7, r6);
        r0 = new android.content.Intent;
        r7 = "com.google.firebase.messaging.NOTIFICATION_DISMISS";
        r0.<init>(r7);
        b(r0, r14);
        r7 = r13.bvF;
        r8 = r13.bxj;
        r8 = r8.incrementAndGet();
        r7 = com.google.firebase.iid.o.a(r7, r8, r0);
    L_0x0145:
        r0 = com.google.android.gms.common.util.PlatformVersion.isAtLeastO();
        if (r0 == 0) goto L_0x0302;
    L_0x014b:
        r0 = r13.bvF;
        r0 = r0.getApplicationInfo();
        r0 = r0.targetSdkVersion;
        r8 = 25;
        if (r0 <= r8) goto L_0x0302;
    L_0x0157:
        r0 = "gcm.n.android_channel_id";
        r0 = d(r14, r0);
        r8 = r13.zzn(r0);
        r0 = r13;
        r0 = r0.a(r1, r2, r3, r4, r5, r6, r7, r8);
        r1 = r0;
    L_0x0168:
        r0 = "gcm.n.tag";
        r2 = d(r14, r0);
        r0 = "FirebaseMessaging";
        r3 = 3;
        android.util.Log.isLoggable(r0, r3);
        r0 = r13.bvF;
        r3 = "notification";
        r0 = r0.getSystemService(r3);
        r0 = (android.app.NotificationManager) r0;
        r3 = android.text.TextUtils.isEmpty(r2);
        if (r3 == 0) goto L_0x01a1;
    L_0x0187:
        r2 = android.os.SystemClock.uptimeMillis();
        r4 = 37;
        r5 = new java.lang.StringBuilder;
        r5.<init>(r4);
        r4 = "FCM-Notification:";
        r4 = r5.append(r4);
        r2 = r4.append(r2);
        r2 = r2.toString();
    L_0x01a1:
        r0.notify(r2, r10, r1);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r12);
        r0 = r9;
        goto L_0x001d;
    L_0x01aa:
        r3 = "mipmap";
        r5 = r13.bvF;
        r5 = r5.getPackageName();
        r3 = r4.getIdentifier(r0, r3, r5);
        if (r3 == 0) goto L_0x01bf;
    L_0x01b9:
        r4 = r13.fl(r3);
        if (r4 != 0) goto L_0x00c1;
    L_0x01bf:
        r3 = java.lang.String.valueOf(r0);
        r3 = r3.length();
        r3 = r3 + 61;
        r4 = new java.lang.StringBuilder;
        r4.<init>(r3);
        r3 = "Icon resource ";
        r3 = r4.append(r3);
        r0 = r3.append(r0);
        r3 = " not found. Notification will use default icon.";
        r0.append(r3);
    L_0x01df:
        r0 = r13.vb();
        r3 = "com.google.firebase.messaging.default_notification_icon";
        r0 = r0.getInt(r3, r10);
        if (r0 == 0) goto L_0x01f2;
    L_0x01ec:
        r3 = r13.fl(r0);
        if (r3 != 0) goto L_0x01fa;
    L_0x01f2:
        r0 = r13.bvF;
        r0 = r0.getApplicationInfo();
        r0 = r0.icon;
    L_0x01fa:
        if (r0 == 0) goto L_0x0202;
    L_0x01fc:
        r3 = r13.fl(r0);
        if (r3 != 0) goto L_0x0205;
    L_0x0202:
        r0 = 17301651; // 0x1080093 float:2.4979667E-38 double:8.5481514E-317;
    L_0x0205:
        r3 = r0;
        goto L_0x00c1;
    L_0x0208:
        r5 = "default";
        r5 = r5.equals(r0);
        if (r5 != 0) goto L_0x0264;
    L_0x0211:
        r5 = r13.bvF;
        r5 = r5.getResources();
        r6 = "raw";
        r8 = r13.bvF;
        r8 = r8.getPackageName();
        r5 = r5.getIdentifier(r0, r6, r8);
        if (r5 == 0) goto L_0x0264;
    L_0x0226:
        r5 = r13.bvF;
        r5 = r5.getPackageName();
        r6 = java.lang.String.valueOf(r5);
        r6 = r6.length();
        r6 = r6 + 24;
        r8 = java.lang.String.valueOf(r0);
        r8 = r8.length();
        r6 = r6 + r8;
        r8 = new java.lang.StringBuilder;
        r8.<init>(r6);
        r6 = "android.resource://";
        r6 = r8.append(r6);
        r5 = r6.append(r5);
        r6 = "/raw/";
        r5 = r5.append(r6);
        r0 = r5.append(r0);
        r0 = r0.toString();
        r5 = android.net.Uri.parse(r0);
        goto L_0x00e7;
    L_0x0264:
        r0 = 2;
        r5 = android.media.RingtoneManager.getDefaultUri(r0);
        goto L_0x00e7;
    L_0x026b:
        r0 = "gcm.n.link_android";
        r0 = d(r14, r0);
        r6 = android.text.TextUtils.isEmpty(r0);
        if (r6 == 0) goto L_0x027f;
    L_0x0278:
        r0 = "gcm.n.link";
        r0 = d(r14, r0);
    L_0x027f:
        r6 = android.text.TextUtils.isEmpty(r0);
        if (r6 != 0) goto L_0x02a3;
    L_0x0285:
        r0 = android.net.Uri.parse(r0);
        r6 = r0;
    L_0x028a:
        if (r6 == 0) goto L_0x02a5;
    L_0x028c:
        r0 = new android.content.Intent;
        r8 = "android.intent.action.VIEW";
        r0.<init>(r8);
        r8 = r13.bvF;
        r8 = r8.getPackageName();
        r0.setPackage(r8);
        r0.setData(r6);
        r6 = r0;
        goto L_0x0108;
    L_0x02a3:
        r6 = r7;
        goto L_0x028a;
    L_0x02a5:
        r0 = r13.bvF;
        r0 = r0.getPackageManager();
        r6 = r13.bvF;
        r6 = r6.getPackageName();
        r0 = r0.getLaunchIntentForPackage(r6);
        r6 = r0;
        goto L_0x0108;
    L_0x02b8:
        r0 = 67108864; // 0x4000000 float:1.5046328E-36 double:3.31561842E-316;
        r6.addFlags(r0);
        r0 = new android.os.Bundle;
        r0.<init>(r14);
        com.google.firebase.messaging.FirebaseMessagingService.i(r0);
        r6.putExtras(r0);
        r0 = r0.keySet();
        r8 = r0.iterator();
    L_0x02d0:
        r0 = r8.hasNext();
        if (r0 == 0) goto L_0x02f2;
    L_0x02d6:
        r0 = r8.next();
        r0 = (java.lang.String) r0;
        r11 = "gcm.n.";
        r11 = r0.startsWith(r11);
        if (r11 != 0) goto L_0x02ee;
    L_0x02e5:
        r11 = "gcm.notification.";
        r11 = r0.startsWith(r11);
        if (r11 == 0) goto L_0x02d0;
    L_0x02ee:
        r6.removeExtra(r0);
        goto L_0x02d0;
    L_0x02f2:
        r0 = r13.bvF;
        r8 = r13.bxj;
        r8 = r8.incrementAndGet();
        r11 = 1073741824; // 0x40000000 float:2.0 double:5.304989477E-315;
        r0 = android.app.PendingIntent.getActivity(r0, r8, r6, r11);
        goto L_0x010b;
    L_0x0302:
        r0 = new android.support.v4.app.v$c;
        r8 = r13.bvF;
        r0.<init>(r8);
        r0 = r0.z(r9);
        r0 = r0.as(r3);
        r3 = android.text.TextUtils.isEmpty(r1);
        if (r3 != 0) goto L_0x031a;
    L_0x0317:
        r0.d(r1);
    L_0x031a:
        r1 = android.text.TextUtils.isEmpty(r2);
        if (r1 != 0) goto L_0x032f;
    L_0x0320:
        r0.e(r2);
        r1 = new android.support.v4.app.v$b;
        r1.<init>();
        r1 = r1.c(r2);
        r0.a(r1);
    L_0x032f:
        if (r4 == 0) goto L_0x0337;
    L_0x0331:
        r1 = r4.intValue();
        r0.mColor = r1;
    L_0x0337:
        if (r5 == 0) goto L_0x033c;
    L_0x0339:
        r0.b(r5);
    L_0x033c:
        if (r6 == 0) goto L_0x0340;
    L_0x033e:
        r0.EI = r6;
    L_0x0340:
        if (r7 == 0) goto L_0x0345;
    L_0x0342:
        r0.a(r7);
    L_0x0345:
        r0 = r0.build();
        r1 = r0;
        goto L_0x0168;
    L_0x034c:
        r6 = r0;
        goto L_0x0145;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.firebase.messaging.c.k(android.os.Bundle):boolean");
    }

    private final String zzd(Bundle bundle, String str) {
        AppMethodBeat.i(77225);
        String d = d(bundle, str);
        if (TextUtils.isEmpty(d)) {
            String valueOf = String.valueOf(str);
            d = String.valueOf("_loc_key");
            valueOf = d(bundle, d.length() != 0 ? valueOf.concat(d) : new String(valueOf));
            if (TextUtils.isEmpty(valueOf)) {
                AppMethodBeat.o(77225);
                return null;
            }
            Resources resources = this.bvF.getResources();
            int identifier = resources.getIdentifier(valueOf, "string", this.bvF.getPackageName());
            if (identifier == 0) {
                String valueOf2 = String.valueOf(str);
                d = String.valueOf("_loc_key");
                d = (d.length() != 0 ? valueOf2.concat(d) : new String(valueOf2)).substring(6);
                new StringBuilder((String.valueOf(d).length() + 49) + String.valueOf(valueOf).length()).append(d).append(" resource not found: ").append(valueOf).append(" Default value will be used.");
                AppMethodBeat.o(77225);
                return null;
            }
            Object[] e = e(bundle, str);
            if (e == null) {
                d = resources.getString(identifier);
                AppMethodBeat.o(77225);
                return d;
            }
            try {
                d = resources.getString(identifier, e);
                AppMethodBeat.o(77225);
                return d;
            } catch (MissingFormatArgumentException e2) {
                d = Arrays.toString(e);
                new StringBuilder((String.valueOf(valueOf).length() + 58) + String.valueOf(d).length()).append("Missing format argument for ").append(valueOf).append(": ").append(d).append(" Default value will be used.");
                AppMethodBeat.o(77225);
                return null;
            }
        }
        AppMethodBeat.o(77225);
        return d;
    }
}
