package com.tencent.mm.accessibility;

import android.os.SystemClock;
import android.view.View;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.view.accessibility.AccessibilityRecord;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.lang.reflect.Field;
import java.util.List;

public class AccessibilityCapture$ViewSearchTask implements Runnable {
    private long elapsedTime = 0;
    private final AccessibilityEvent mEvent;

    public AccessibilityCapture$ViewSearchTask(AccessibilityEvent accessibilityEvent, long j) {
        this.mEvent = accessibilityEvent;
        this.elapsedTime = j;
    }

    private int findAccessibilityId() {
        Field declaredField;
        int longValue;
        AppMethodBeat.i(118627);
        try {
            declaredField = AccessibilityRecord.class.getDeclaredField("mSourceNodeId");
        } catch (NoSuchFieldException e) {
            declaredField = AccessibilityRecord.class.getDeclaredField("mSourceViewId");
        }
        try {
            declaredField.setAccessible(true);
            longValue = (int) ((Long) declaredField.get(this.mEvent)).longValue();
        } catch (NoSuchFieldException e2) {
            declaredField = AccessibilityNodeInfo.class.getDeclaredField("mSourceNodeId");
            Field declaredField2 = AccessibilityRecord.class.getDeclaredField("mSealed");
            declaredField2.setAccessible(true);
            declaredField2.set(this.mEvent, Boolean.TRUE);
            AccessibilityNodeInfo source = this.mEvent.getSource();
            if (source == null) {
                AccessibilityIdNotFoundException accessibilityIdNotFoundException = new AccessibilityIdNotFoundException();
                AppMethodBeat.o(118627);
                throw accessibilityIdNotFoundException;
            }
            declaredField.setAccessible(true);
            longValue = (int) ((Long) declaredField.get(source)).longValue();
        } catch (NoSuchFieldException e3) {
            AccessibilityIdNotFoundException accessibilityIdNotFoundException2 = new AccessibilityIdNotFoundException(e3);
            AppMethodBeat.o(118627);
            throw accessibilityIdNotFoundException2;
        }
        AppMethodBeat.o(118627);
        return longValue;
    }

    public void run() {
        AppMethodBeat.i(118628);
        if (this.mEvent == null) {
            AppMethodBeat.o(118628);
            return;
        }
        try {
            long elapsedRealtime = SystemClock.elapsedRealtime();
            AccessibilityCapture.access$800(this.mEvent, searchViewByAccessibilityId(findAccessibilityId()), this.elapsedTime);
            elapsedRealtime = SystemClock.elapsedRealtime() - elapsedRealtime;
            AccessibilityCapture.access$600().i("MicroMsg.AccessibilityCapture", "analysis event %s, cost %dms", new Object[]{AccessibilityEvent.eventTypeToString(this.mEvent.getEventType()), Long.valueOf(elapsedRealtime)});
            try {
                this.mEvent.recycle();
                AppMethodBeat.o(118628);
            } catch (Throwable th) {
                AccessibilityCapture.access$600().e("MicroMsg.AccessibilityCapture", "Throw something when recycle event which shouldn't occurs.", new Object[]{th});
                AppMethodBeat.o(118628);
            }
        } catch (Throwable th2) {
            AccessibilityCapture.access$600().e("MicroMsg.AccessibilityCapture", "Throw something when recycle event which shouldn't occurs.", new Object[]{th2});
            AppMethodBeat.o(118628);
        }
    }

    private View searchViewByAccessibilityId(int i) {
        AppMethodBeat.i(118629);
        try {
            List findView = new ViewSearchTool().findView(new 1(this, i));
            if (findView != null && findView.size() == 1) {
                View view = (View) findView.get(0);
                AppMethodBeat.o(118629);
                return view;
            }
        } catch (NoSuchMethodException e) {
        } catch (Exception e2) {
            AccessibilityCapture.access$600().e("MicroMsg.AccessibilityCapture", "exception when find root", new Object[]{e2});
        }
        AppMethodBeat.o(118629);
        return null;
    }
}
