package com.tencent.mm.plugin.appbrand.jsapi.audio;

import android.os.Parcel;
import android.os.Parcelable.Creator;
import android.text.TextUtils;
import com.google.android.gms.stats.netstats.NetstatsParserPatterns;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.aw.b;
import com.tencent.mm.aw.e;
import com.tencent.mm.plugin.appbrand.ipc.MainProcessTask;
import com.tencent.mm.plugin.appbrand.jsapi.a;
import com.tencent.mm.plugin.appbrand.jsapi.c;
import com.tencent.mm.plugin.appbrand.jsapi.m;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import org.json.JSONException;
import org.json.JSONObject;

protected class JsApiOperateBackgroundAudio$OperateBackgroundAudioTask extends MainProcessTask {
    public static final Creator<JsApiOperateBackgroundAudio$OperateBackgroundAudioTask> CREATOR = new 1();
    public String appId;
    public boolean error = false;
    public String hAa = "";
    public String hAs;
    public int hwi;
    private m hwz;
    public c hxS;

    public JsApiOperateBackgroundAudio$OperateBackgroundAudioTask(a aVar, c cVar, int i) {
        this.hwz = aVar;
        this.hxS = cVar;
        this.hwi = i;
    }

    public JsApiOperateBackgroundAudio$OperateBackgroundAudioTask(Parcel parcel) {
        AppMethodBeat.i(137753);
        g(parcel);
        AppMethodBeat.o(137753);
    }

    public final void asP() {
        AppMethodBeat.i(137754);
        ab.i("MicroMsg.Music.JsApiOperateBackgroundAudio", "runInMainProcess");
        String str = com.tencent.mm.plugin.appbrand.media.music.a.a.aId().ikS;
        if (bo.isNullOrNil(str) || str.equals(this.appId)) {
            try {
                JSONObject jSONObject = new JSONObject(this.hAs);
                String optString = jSONObject.optString("operationType");
                int optInt = jSONObject.optInt("currentTime", -1);
                if (TextUtils.isEmpty(optString)) {
                    ab.e("MicroMsg.Music.JsApiOperateBackgroundAudio", "operationType is null");
                    this.error = true;
                    this.hAa = "operationType is null";
                    aCb();
                    AppMethodBeat.o(137754);
                    return;
                }
                ab.i("MicroMsg.Music.JsApiOperateBackgroundAudio", "operationType;%s, currentTime:%d", new Object[]{optString, Integer.valueOf(optInt)});
                this.error = false;
                if (optString.equalsIgnoreCase("play")) {
                    e aih = com.tencent.mm.aw.a.aih();
                    if (aih != null) {
                        com.tencent.mm.plugin.appbrand.media.music.a.a.aId().ikT = aih.fJU;
                    }
                    if (b.aij()) {
                        ab.i("MicroMsg.Music.JsApiOperateBackgroundAudio", "play music ok");
                    } else if (com.tencent.mm.aw.a.aie()) {
                        this.error = true;
                        this.hAa = "music is playing, don't play again";
                    } else {
                        this.error = true;
                        this.hAa = "play music fail";
                    }
                } else if (optString.equalsIgnoreCase("pause")) {
                    if (b.aik()) {
                        ab.i("MicroMsg.Music.JsApiOperateBackgroundAudio", "pause music ok");
                    } else {
                        this.error = true;
                        this.hAa = "pause music fail";
                    }
                } else if (optString.equalsIgnoreCase("seek")) {
                    if (optInt < 0) {
                        ab.e("MicroMsg.Music.JsApiOperateBackgroundAudio", "currentTime is invalid!");
                        this.error = true;
                        this.hAa = "currentTime is invalid";
                    } else if (com.tencent.mm.aw.a.lP(optInt * NetstatsParserPatterns.NEW_TS_TO_MILLIS)) {
                        ab.i("MicroMsg.Music.JsApiOperateBackgroundAudio", "seek music ok");
                    } else {
                        this.error = true;
                        this.hAa = "seek music fail";
                    }
                } else if (!optString.equalsIgnoreCase("stop")) {
                    ab.e("MicroMsg.Music.JsApiOperateBackgroundAudio", "operationType is invalid");
                    this.error = true;
                    this.hAa = "operationType is invalid";
                } else if (b.ail()) {
                    ab.i("MicroMsg.Music.JsApiOperateBackgroundAudio", "stop music ok");
                } else {
                    this.error = true;
                    this.hAa = "stop music fail";
                }
                if (this.error) {
                    ab.e("MicroMsg.Music.JsApiOperateBackgroundAudio", this.hAa);
                }
                aCb();
                AppMethodBeat.o(137754);
                return;
            } catch (JSONException e) {
                ab.e("MicroMsg.Music.JsApiOperateBackgroundAudio", "new json exists exception, data is invalid, jsonStr:%s", new Object[]{this.hAs});
                this.error = true;
                this.hAa = "parser data fail, data is invalid";
                ab.e("MicroMsg.Music.JsApiOperateBackgroundAudio", "exception:%s" + e.getMessage());
                aCb();
                AppMethodBeat.o(137754);
                return;
            }
        }
        ab.i("MicroMsg.Music.JsApiOperateBackgroundAudio", "appid not match cannot operate, preAppId:%s, appId:%s", new Object[]{str, this.appId});
        this.error = true;
        this.hAa = "appid not match cannot operate";
        aCb();
        AppMethodBeat.o(137754);
    }

    public final void asQ() {
        AppMethodBeat.i(137755);
        if (this.hxS == null) {
            ab.e("MicroMsg.Music.JsApiOperateBackgroundAudio", "service is null, don't callback");
            AppMethodBeat.o(137755);
        } else if (this.error) {
            ab.e("MicroMsg.Music.JsApiOperateBackgroundAudio", "operateBackgroundAudio fail:%s", new Object[]{this.hAa});
            this.hxS.M(this.hwi, this.hwz.j("fail:" + this.hAa, null));
            AppMethodBeat.o(137755);
        } else {
            ab.i("MicroMsg.Music.JsApiOperateBackgroundAudio", "operateBackgroundAudio ok");
            this.hxS.M(this.hwi, this.hwz.j("ok", null));
            AppMethodBeat.o(137755);
        }
    }

    public final void g(Parcel parcel) {
        boolean z = true;
        AppMethodBeat.i(137756);
        this.appId = parcel.readString();
        this.hAs = parcel.readString();
        if (parcel.readInt() != 1) {
            z = false;
        }
        this.error = z;
        this.hAa = parcel.readString();
        AppMethodBeat.o(137756);
    }

    public void writeToParcel(Parcel parcel, int i) {
        AppMethodBeat.i(137757);
        parcel.writeString(this.appId);
        parcel.writeString(this.hAs);
        parcel.writeInt(this.error ? 1 : 0);
        parcel.writeString(this.hAa);
        AppMethodBeat.o(137757);
    }

    static {
        AppMethodBeat.i(137758);
        AppMethodBeat.o(137758);
    }
}
