package com.tencent.mm.plugin.appbrand.widget.desktop.dynamicbackground;

import android.content.Context;
import android.util.AttributeSet;
import android.view.SurfaceHolder;
import android.view.SurfaceHolder.Callback2;
import android.view.SurfaceView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.sdk.platformtools.ab;
import java.lang.ref.WeakReference;
import javax.microedition.khronos.egl.EGL10;
import javax.microedition.khronos.egl.EGLConfig;
import javax.microedition.khronos.egl.EGLDisplay;

public class GLSurfaceView extends SurfaceView implements Callback2 {
    private static final j iZF = new j((byte) 0);
    private i iZG;
    private m iZH;
    private e iZI;
    private f iZJ;
    private g iZK;
    private k iZL;
    private int mDebugFlags;
    private boolean mDetached;
    private int mEGLContextClientVersion;
    private boolean mPreserveEGLContextOnPause;
    private final WeakReference<GLSurfaceView> mThisWeakRef = new WeakReference(this);

    public interface e {
        EGLConfig chooseConfig(EGL10 egl10, EGLDisplay eGLDisplay);
    }

    public GLSurfaceView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        AppMethodBeat.i(134000);
        getHolder().addCallback(this);
        AppMethodBeat.o(134000);
    }

    /* Access modifiers changed, original: protected */
    public void finalize() {
        AppMethodBeat.i(134001);
        try {
            if (this.iZG != null) {
                this.iZG.requestExitAndWait();
            }
            super.finalize();
            AppMethodBeat.o(134001);
        } catch (Throwable th) {
            super.finalize();
            AppMethodBeat.o(134001);
        }
    }

    public void setGLWrapper(k kVar) {
        this.iZL = kVar;
    }

    public void setDebugFlags(int i) {
        this.mDebugFlags = i;
    }

    public int getDebugFlags() {
        return this.mDebugFlags;
    }

    public void setPreserveEGLContextOnPause(boolean z) {
        this.mPreserveEGLContextOnPause = z;
    }

    public boolean getPreserveEGLContextOnPause() {
        return this.mPreserveEGLContextOnPause;
    }

    public void setRenderer(m mVar) {
        AppMethodBeat.i(134002);
        checkRenderThreadState();
        if (this.iZI == null) {
            this.iZI = new n(this, true);
        }
        if (this.iZJ == null) {
            this.iZJ = new c(this, (byte) 0);
        }
        if (this.iZK == null) {
            this.iZK = new d((byte) 0);
        }
        this.iZH = mVar;
        this.iZG = new i(this.mThisWeakRef);
        this.iZG.start();
        AppMethodBeat.o(134002);
    }

    public void setEGLContextFactory(f fVar) {
        AppMethodBeat.i(134003);
        checkRenderThreadState();
        this.iZJ = fVar;
        AppMethodBeat.o(134003);
    }

    public void setEGLWindowSurfaceFactory(g gVar) {
        AppMethodBeat.i(134004);
        checkRenderThreadState();
        this.iZK = gVar;
        AppMethodBeat.o(134004);
    }

    public void setEGLConfigChooser(e eVar) {
        AppMethodBeat.i(134005);
        checkRenderThreadState();
        this.iZI = eVar;
        AppMethodBeat.o(134005);
    }

    public void setEGLConfigChooser(boolean z) {
        AppMethodBeat.i(134006);
        setEGLConfigChooser(new n(this, z));
        AppMethodBeat.o(134006);
    }

    public void setEGLContextClientVersion(int i) {
        AppMethodBeat.i(134007);
        checkRenderThreadState();
        this.mEGLContextClientVersion = i;
        AppMethodBeat.o(134007);
    }

    public void setRenderMode(int i) {
        AppMethodBeat.i(134008);
        this.iZG.setRenderMode(i);
        AppMethodBeat.o(134008);
    }

    public int getRenderMode() {
        AppMethodBeat.i(134009);
        int renderMode = this.iZG.getRenderMode();
        AppMethodBeat.o(134009);
        return renderMode;
    }

    public void surfaceCreated(SurfaceHolder surfaceHolder) {
        AppMethodBeat.i(134010);
        i iVar = this.iZG;
        synchronized (iZF) {
            try {
                ab.i("GLThread", "surfaceCreated tid=" + iVar.getId());
                iVar.mHasSurface = true;
                iVar.mFinishedCreatingEglSurface = false;
                iZF.notifyAll();
                while (iVar.mWaitingForSurface && !iVar.mFinishedCreatingEglSurface && !iVar.mExited) {
                    iZF.wait();
                }
            } catch (InterruptedException e) {
                Thread.currentThread().interrupt();
            } catch (Throwable th) {
                AppMethodBeat.o(134010);
            }
        }
        AppMethodBeat.o(134010);
    }

    public void surfaceDestroyed(SurfaceHolder surfaceHolder) {
        AppMethodBeat.i(134011);
        i iVar = this.iZG;
        synchronized (iZF) {
            try {
                ab.i("GLThread", "surfaceDestroyed tid=" + iVar.getId());
                iVar.mHasSurface = false;
                iZF.notifyAll();
                while (!iVar.mWaitingForSurface && !iVar.mExited) {
                    iZF.wait();
                }
            } catch (InterruptedException e) {
                Thread.currentThread().interrupt();
            } catch (Throwable th) {
                AppMethodBeat.o(134011);
            }
        }
        AppMethodBeat.o(134011);
    }

    public void surfaceChanged(SurfaceHolder surfaceHolder, int i, int i2, int i3) {
        AppMethodBeat.i(134012);
        i iVar = this.iZG;
        synchronized (iZF) {
            try {
                iVar.mWidth = i2;
                iVar.mHeight = i3;
                iVar.mSizeChanged = true;
                iVar.mRequestRender = true;
                iVar.mRenderComplete = false;
                if (Thread.currentThread() == iVar) {
                    AppMethodBeat.o(134012);
                    return;
                }
                iZF.notifyAll();
                while (!iVar.mExited && !iVar.mPaused && !iVar.mRenderComplete) {
                    Object obj;
                    if (iVar.mHaveEglContext && iVar.mHaveEglSurface && iVar.readyToDraw()) {
                        obj = 1;
                    } else {
                        obj = null;
                    }
                    if (obj != null) {
                        ab.i("Main thread", "onWindowResize waiting for render complete from tid=" + iVar.getId());
                        iZF.wait();
                    }
                }
                AppMethodBeat.o(134012);
            } catch (InterruptedException e) {
                Thread.currentThread().interrupt();
            } catch (Throwable th) {
                AppMethodBeat.o(134012);
            }
        }
    }

    public void surfaceRedrawNeededAsync(SurfaceHolder surfaceHolder, Runnable runnable) {
        AppMethodBeat.i(134013);
        if (this.iZG != null) {
            i iVar = this.iZG;
            synchronized (iZF) {
                try {
                    if (Thread.currentThread() == iVar) {
                    } else {
                        iVar.mWantRenderNotification = true;
                        iVar.mRequestRender = true;
                        iVar.mRenderComplete = false;
                        iVar.mFinishDrawingRunnable = runnable;
                        iZF.notifyAll();
                        AppMethodBeat.o(134013);
                    }
                } finally {
                    while (true) {
                    }
                    AppMethodBeat.o(134013);
                }
            }
        } else {
            AppMethodBeat.o(134013);
        }
    }

    @Deprecated
    public void surfaceRedrawNeeded(SurfaceHolder surfaceHolder) {
    }

    /* Access modifiers changed, original: protected */
    public void onAttachedToWindow() {
        AppMethodBeat.i(134014);
        super.onAttachedToWindow();
        ab.d("CustomGLSurfaceView", "onAttachedToWindow reattach =" + this.mDetached);
        if (this.mDetached && this.iZH != null) {
            int renderMode;
            if (this.iZG != null) {
                renderMode = this.iZG.getRenderMode();
            } else {
                renderMode = 1;
            }
            this.iZG = new i(this.mThisWeakRef);
            if (renderMode != 1) {
                this.iZG.setRenderMode(renderMode);
            }
            this.iZG.start();
        }
        this.mDetached = false;
        AppMethodBeat.o(134014);
    }

    /* Access modifiers changed, original: protected */
    public void onDetachedFromWindow() {
        AppMethodBeat.i(134015);
        ab.d("CustomGLSurfaceView", "onDetachedFromWindow");
        if (this.iZG != null) {
            this.iZG.requestExitAndWait();
        }
        this.mDetached = true;
        super.onDetachedFromWindow();
        AppMethodBeat.o(134015);
    }

    private void checkRenderThreadState() {
        AppMethodBeat.i(134016);
        if (this.iZG != null) {
            IllegalStateException illegalStateException = new IllegalStateException("setRenderer has already been called for this instance.");
            AppMethodBeat.o(134016);
            throw illegalStateException;
        }
        AppMethodBeat.o(134016);
    }

    static {
        AppMethodBeat.i(134017);
        AppMethodBeat.o(134017);
    }
}
