package com.tencent.mm.plugin.freewifi;

import android.app.Activity;
import android.content.BroadcastReceiver;
import android.content.IntentFilter;
import android.net.ConnectivityManager;
import android.net.wifi.WifiManager;
import android.os.Looper;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.freewifi.model.d;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ah;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.locks.Condition;
import java.util.concurrent.locks.Lock;
import java.util.concurrent.locks.ReentrantLock;

public final class a {
    Lock aCZ;
    Activity activity;
    private WifiManager bJj;
    private BroadcastReceiver broadcastReceiver;
    Condition cbS;
    private long ftP;
    boolean mtC = false;
    boolean mtD = false;
    String ssid;

    public a(String str, Activity activity) {
        AppMethodBeat.i(20557);
        this.activity = activity;
        this.ftP = 15000;
        this.ssid = str;
        this.aCZ = new ReentrantLock();
        this.cbS = this.aCZ.newCondition();
        this.bJj = (WifiManager) ah.getContext().getSystemService("wifi");
        AppMethodBeat.o(20557);
    }

    public final void a(a aVar) {
        AppMethodBeat.i(20558);
        1 1 = new 1(this, aVar);
        if (((ConnectivityManager) ah.getContext().getSystemService("connectivity")).getNetworkInfo(1).isConnected() && this.ssid.equals(d.byO())) {
            1.onSuccess();
            AppMethodBeat.o(20558);
        } else if (Thread.currentThread() == Looper.getMainLooper().getThread()) {
            RuntimeException runtimeException = new RuntimeException("ConnectNetworkHelper组件不能在主线程中运行。");
            AppMethodBeat.o(20558);
            throw runtimeException;
        } else {
            this.broadcastReceiver = new 2(this);
            try {
                int bye;
                this.aCZ.lock();
                IntentFilter intentFilter = new IntentFilter();
                intentFilter.addAction("android.net.wifi.STATE_CHANGE");
                intentFilter.addAction("android.net.conn.CONNECTIVITY_CHANGE");
                this.activity.registerReceiver(this.broadcastReceiver, intentFilter);
                if (!this.bJj.isWifiEnabled()) {
                    bye = new e(this.activity).bye();
                    ab.i("MicroMsg.FreeWifi.ConnectNetworkHelper", "enable ret = ".concat(String.valueOf(bye)));
                    if (bye != 0) {
                        1.onFail(bye);
                        byc();
                        this.aCZ.unlock();
                        AppMethodBeat.o(20558);
                        return;
                    }
                }
                bye = d.ME(this.ssid);
                if (bye != 0) {
                    byc();
                    1.onFail(bye);
                    byc();
                    this.aCZ.unlock();
                    AppMethodBeat.o(20558);
                    return;
                }
                boolean z = false;
                while (true) {
                    if (!this.mtC || !this.mtD) {
                        long currentTimeMillis = System.currentTimeMillis();
                        z = this.cbS.await(this.ftP, TimeUnit.MILLISECONDS);
                        if (!z) {
                            break;
                        }
                        currentTimeMillis = System.currentTimeMillis() - currentTimeMillis;
                        this.ftP -= currentTimeMillis;
                        ab.i("MicroMsg.FreeWifi.ConnectNetworkHelper", "costMillis=" + currentTimeMillis + "; left timeout=" + this.ftP);
                        this.ftP = this.ftP > 0 ? this.ftP : 3000;
                    } else {
                        break;
                    }
                }
                if (z) {
                    1.onSuccess();
                } else {
                    1.onFail(-16);
                }
                byc();
                this.aCZ.unlock();
                AppMethodBeat.o(20558);
            } catch (InterruptedException e) {
                ab.i("MicroMsg.FreeWifi.ConnectNetworkHelper", "sessionKey=%s, step=%d, desc=ConnectNetworkHelper encounter interrupted exception. msg=%s", new Object[]{m.V(this.activity.getIntent()), Integer.valueOf(m.W(this.activity.getIntent())), e.getMessage()});
                1.onFail(-17);
                byc();
                this.aCZ.unlock();
                AppMethodBeat.o(20558);
            } catch (Throwable th) {
                byc();
                this.aCZ.unlock();
                AppMethodBeat.o(20558);
                throw th;
            }
        }
    }

    private void byc() {
        AppMethodBeat.i(20559);
        try {
            this.activity.unregisterReceiver(this.broadcastReceiver);
            AppMethodBeat.o(20559);
        } catch (IllegalArgumentException e) {
            AppMethodBeat.o(20559);
        }
    }
}
