package com.tencent.mm.plugin.fts.ui.widget;

import android.annotation.TargetApi;
import android.app.Activity;
import android.content.Context;
import android.util.AttributeSet;
import android.widget.LinearLayout;
import com.tencent.mm.modelvoiceaddr.SceneVoiceInputAddrProxy;
import com.tencent.mm.modelvoiceaddr.b;
import com.tencent.mm.modelvoiceaddr.g;
import com.tencent.mm.r.a;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ah;
import com.tencent.mm.sdk.platformtools.ak;
import com.tencent.mm.sdk.platformtools.ap;

public abstract class VoiceInputLayout extends LinearLayout {
    protected int currentState = 1;
    public final ap gci = new ap(new 4(this), true);
    public ak ilv = new 1(this);
    protected a mMQ;
    protected b mNf = null;
    private b mNg;
    protected boolean mNh = false;
    private int mNi = 3000;
    private int mNj = 10000;
    public ak mNk = new 3(this);

    public abstract void bBM();

    public abstract void bBN();

    public abstract void onReset();

    public abstract void wj(int i);

    public void setLongClickLisnter(a aVar) {
        this.mMQ = aVar;
    }

    public void setVoiceDetectListener(b bVar) {
        this.mNf = bVar;
    }

    public void setFromFullScreen(boolean z) {
        this.mNh = z;
    }

    @TargetApi(11)
    public VoiceInputLayout(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
    }

    public VoiceInputLayout(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }

    public final void bBO() {
        if (a.bJ(getContext()) || a.bH(getContext())) {
            ab.d("MicroMsg.VoiceInputLayout", "voip is running, cann't record voice");
            onReset();
            return;
        }
        ab.d("MicroMsg.VoiceInputLayout", "summerper checkPermission checkMicrophone[%s]", new Object[]{Boolean.valueOf(com.tencent.mm.pluginsdk.permission.b.o(getContext(), "android.permission.RECORD_AUDIO"))});
        if (com.tencent.mm.pluginsdk.permission.b.o(getContext(), "android.permission.RECORD_AUDIO")) {
            ab.d("MicroMsg.VoiceInputLayout", "doStart currentState = %s", new Object[]{Integer.valueOf(this.currentState)});
            if (this.currentState == 1) {
                this.currentState = 2;
                if (this.mNf != null) {
                    this.mNf.bBz();
                }
                this.gci.ae(50, 50);
                bBM();
                if (ah.bqo()) {
                    this.mNg = new g();
                } else {
                    this.mNg = SceneVoiceInputAddrProxy.getInstance();
                }
                this.mNg.init(g.gbc, 8, new 2(this));
                this.mNg.start();
            }
        } else if (getContext() instanceof Activity) {
            com.tencent.mm.pluginsdk.permission.b.b((Activity) getContext(), "android.permission.RECORD_AUDIO", 80);
        }
    }

    public final void amA() {
        ab.d("MicroMsg.VoiceInputLayout", "doCancel. state = %s", new Object[]{Integer.valueOf(this.currentState)});
        if (this.currentState != 1) {
            this.currentState = 1;
            if (this.mNf != null) {
                this.mNf.bBD();
            }
            if (this.mNg != null) {
                this.mNg.cancel(true);
            }
            onReset();
        }
    }

    public final void bBP() {
        ab.d("MicroMsg.VoiceInputLayout", "do Stop. currentState = %s", new Object[]{Integer.valueOf(this.currentState)});
        if (this.currentState != 1 && this.currentState == 2) {
            this.currentState = 3;
            if (this.mNf != null) {
                this.mNf.bBC();
            }
            if (this.gci != null) {
                this.gci.stopTimer();
            }
            this.ilv.removeMessages(0);
            this.ilv.sendEmptyMessageDelayed(0, (long) this.mNi);
            this.ilv.sendEmptyMessageDelayed(1, (long) this.mNj);
            bBN();
            if (this.mNg != null) {
                this.mNg.stop(true);
            }
        }
    }

    public final void bBQ() {
        ab.d("MicroMsg.VoiceInputLayout", "doWaiting currentState = %s", new Object[]{Integer.valueOf(this.currentState)});
        if (this.currentState == 2) {
            this.currentState = 3;
            this.ilv.removeMessages(0);
            this.ilv.sendEmptyMessageDelayed(0, (long) this.mNi);
            this.ilv.sendEmptyMessageDelayed(1, (long) this.mNj);
            bBN();
        }
    }

    public final void bBR() {
        V(12, -1, -1);
    }

    public final void V(int i, int i2, int i3) {
        ab.d("MicroMsg.VoiceInputLayout", "doNetworkError localerrorType:%s,errorType:%s,errCode:%s", new Object[]{Integer.valueOf(i), Integer.valueOf(i2), Integer.valueOf(i3)});
        this.currentState = 1;
        onReset();
        if (this.mNf != null) {
            this.mNf.wi(i);
        }
    }

    /* Access modifiers changed, original: protected|final */
    public final void reset(boolean z) {
        ab.d("MicroMsg.VoiceInputLayout", "reset currentState %s", new Object[]{Integer.valueOf(this.currentState)});
        if (this.currentState != 1) {
            this.currentState = 1;
            onReset();
            if (z && this.mNf != null) {
                this.mNf.bBE();
            }
        }
    }

    public int getCurrentState() {
        return this.currentState;
    }
}
