package com.tencent.mm.plugin.gwallet.a;

import android.content.Context;
import android.content.Intent;
import android.content.ServiceConnection;
import android.os.Bundle;
import android.os.RemoteException;
import android.text.TextUtils;
import com.android.vending.billing.IInAppBillingService;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.sdk.platformtools.ab;
import java.util.ArrayList;
import java.util.Iterator;

public final class b {
    public int czV;
    public Context mContext;
    public IInAppBillingService npJ;
    private ServiceConnection npK;
    boolean npL = false;
    public boolean npM = false;
    public b npN;
    public String npO;

    public interface c {
        void a(c cVar, Intent intent);
    }

    public b(Context context) {
        this.mContext = context;
    }

    public final void a(a aVar) {
        AppMethodBeat.i(41697);
        if (this.npL) {
            IllegalStateException illegalStateException = new IllegalStateException("IAB helper is already set up.");
            AppMethodBeat.o(41697);
            throw illegalStateException;
        }
        ab.d("MicroMsg.IabHelper", "Starting in-app billing setup.");
        this.npK = new 1(this, aVar);
        Intent intent = new Intent("com.android.vending.billing.InAppBillingService.BIND");
        intent.setPackage("com.android.vending");
        if (this.mContext == null || this.mContext.getPackageManager() == null || this.mContext.getPackageManager().queryIntentServices(intent, 0) == null || this.mContext.getPackageManager().queryIntentServices(intent, 0).isEmpty()) {
            aVar.a(new c(-2001, "Google play not installed!"));
            AppMethodBeat.o(41697);
            return;
        }
        this.mContext.bindService(intent, this.npK, 1);
        AppMethodBeat.o(41697);
    }

    public final void dispose() {
        AppMethodBeat.i(41698);
        ab.d("MicroMsg.IabHelper", "Disposing.");
        this.npL = false;
        if (this.npK != null) {
            ab.d("MicroMsg.IabHelper", "Unbinding from service.");
            try {
                if (this.mContext != null) {
                    this.mContext.unbindService(this.npK);
                }
            } catch (IllegalArgumentException e) {
                ab.e("MicroMsg.IabHelper", e.toString());
            }
            this.npK = null;
            this.npJ = null;
        }
        AppMethodBeat.o(41698);
    }

    public final void Oz(String str) {
        AppMethodBeat.i(41699);
        if (this.npL) {
            AppMethodBeat.o(41699);
            return;
        }
        ab.e("MicroMsg.IabHelper", "Illegal state for operation (" + str + "): IAB helper is not set up.");
        IllegalStateException illegalStateException = new IllegalStateException("IAB helper is not set up. Can't perform operation: ".concat(String.valueOf(str)));
        AppMethodBeat.o(41699);
        throw illegalStateException;
    }

    public final boolean a(ArrayList<String> arrayList, c cVar) {
        AppMethodBeat.i(41700);
        Oz("query details");
        Intent intent = new Intent();
        c cVar2;
        if (arrayList == null || arrayList.size() == 0) {
            ab.e("MicroMsg.IabHelper", "query list is empty!");
            cVar2 = new c(5, "no query list or is empty");
            intent.putExtra("RESPONSE_CODE", 5);
            intent.putExtra("QUERY_DETAIL_INFO", new ArrayList());
            cVar.a(cVar2, intent);
            AppMethodBeat.o(41700);
            return true;
        }
        try {
            ab.d("MicroMsg.IabHelper", "query detail list with the size is " + arrayList.size());
            Bundle bundle = new Bundle();
            bundle.putStringArrayList("ITEM_ID_LIST", arrayList);
            bundle = this.npJ.getSkuDetails(3, this.mContext.getPackageName(), "inapp", bundle);
            int J = J(bundle);
            ab.d("MicroMsg.IabHelper", "detail response: " + String.valueOf(J));
            if (J != 0) {
                ab.d("MicroMsg.IabHelper", "cannot query details");
                cVar2 = new c(J, "cannot query details");
                intent.putExtra("RESPONSE_CODE", J);
                cVar.a(cVar2, intent);
                AppMethodBeat.o(41700);
                return true;
            }
            c cVar3 = new c(J, "query list ok!");
            ab.d("MicroMsg.IabHelper", "result code : ".concat(String.valueOf(J)));
            intent.putExtra("RESPONSE_CODE", J);
            intent.putExtra("RESPONSE_QUERY_DETAIL_INFO", bundle.getStringArrayList("DETAILS_LIST"));
            cVar.a(cVar3, intent);
            Iterator it = bundle.getStringArrayList("DETAILS_LIST").iterator();
            while (it.hasNext()) {
                ab.d("MicroMsg.IabHelper", (String) it.next());
            }
            AppMethodBeat.o(41700);
            return true;
        } catch (RemoteException e) {
            OA("RemoteException while launching query details ");
            ab.printErrStackTrace("MicroMsg.IabHelper", e, "", new Object[0]);
            cVar2 = new c(-1001, "Remote exception while starting purchase flow");
            intent.putExtra("RESPONSE_CODE", 6);
            intent.putExtra("QUERY_DETAIL_INFO", new ArrayList());
            cVar.a(cVar2, intent);
            AppMethodBeat.o(41700);
            return false;
        }
    }

    public static String wR(int i) {
        AppMethodBeat.i(41701);
        String[] split = "0:OK/1:User Canceled/2:Unknown/3:Billing Unavailable/4:Item unavailable/5:Developer Error/6:Error/7:Item Already Owned/8:Item not owned".split("/");
        String[] split2 = "0:OK/-1001:Remote exception during initialization/-1002:Bad response received/-1003:Purchase signature verification failed/-1004:Send intent failed/-1005:User cancelled/-1006:Unknown purchase response/-1007:Missing token/-1008:Unknown error/-1009:Subscriptions not available/-1010:Invalid consumption attempt".split("/");
        String str;
        if (i <= -1000) {
            int i2 = -1000 - i;
            if (i2 < 0 || i2 >= split2.length) {
                str = String.valueOf(i) + ":Unknown IAB Helper Error";
                AppMethodBeat.o(41701);
                return str;
            }
            str = split2[i2];
            AppMethodBeat.o(41701);
            return str;
        } else if (i < 0 || i >= split.length) {
            str = String.valueOf(i) + ":Unknown";
            AppMethodBeat.o(41701);
            return str;
        } else {
            str = split[i];
            AppMethodBeat.o(41701);
            return str;
        }
    }

    public static int J(Bundle bundle) {
        AppMethodBeat.i(41702);
        Object obj = bundle.get("RESPONSE_CODE");
        int intValue;
        if (obj == null) {
            ab.d("MicroMsg.IabHelper", "Bundle with null response code, assuming OK (known issue)");
            AppMethodBeat.o(41702);
            return 0;
        } else if (obj instanceof Integer) {
            intValue = ((Integer) obj).intValue();
            AppMethodBeat.o(41702);
            return intValue;
        } else if (obj instanceof Long) {
            intValue = (int) ((Long) obj).longValue();
            AppMethodBeat.o(41702);
            return intValue;
        } else {
            OA("Unexpected type for bundle response code.");
            OA(obj.getClass().getName());
            RuntimeException runtimeException = new RuntimeException("Unexpected type for bundle response code: " + obj.getClass().getName());
            AppMethodBeat.o(41702);
            throw runtimeException;
        }
    }

    public static void OA(String str) {
        AppMethodBeat.i(41703);
        ab.e("MicroMsg.IabHelper", "In-app billing error: ".concat(String.valueOf(str)));
        AppMethodBeat.o(41703);
    }

    static /* synthetic */ int a(b bVar, Intent intent, String str) {
        AppMethodBeat.i(41704);
        ab.d("MicroMsg.IabHelper", "Querying owned items, item type: ".concat(String.valueOf(str)));
        ab.d("MicroMsg.IabHelper", "Package name: " + bVar.mContext.getPackageName());
        Object obj = null;
        ArrayList arrayList = new ArrayList();
        ArrayList arrayList2 = new ArrayList();
        ArrayList arrayList3 = new ArrayList();
        do {
            ab.d("MicroMsg.IabHelper", "Calling getPurchases with continuation token: ".concat(String.valueOf(obj)));
            Bundle b = bVar.npJ.b(3, bVar.mContext.getPackageName(), str, obj);
            int J = J(b);
            ab.d("MicroMsg.IabHelper", "Owned items response: " + String.valueOf(J));
            if (J != 0) {
                ab.d("MicroMsg.IabHelper", "getPurchases() failed: ".concat(String.valueOf(J)));
                AppMethodBeat.o(41704);
                return J;
            } else if (b.containsKey("INAPP_PURCHASE_ITEM_LIST") && b.containsKey("INAPP_PURCHASE_DATA_LIST") && b.containsKey("INAPP_DATA_SIGNATURE_LIST")) {
                arrayList.addAll(b.getStringArrayList("INAPP_PURCHASE_ITEM_LIST"));
                arrayList2.addAll(b.getStringArrayList("INAPP_PURCHASE_DATA_LIST"));
                arrayList3.addAll(b.getStringArrayList("INAPP_DATA_SIGNATURE_LIST"));
                obj = b.getString("INAPP_CONTINUATION_TOKEN");
                ab.d("MicroMsg.IabHelper", "Continuation token: ".concat(String.valueOf(obj)));
            } else {
                OA("Bundle returned from getPurchases() doesn't contain required fields.");
                AppMethodBeat.o(41704);
                return -1002;
            }
        } while (!TextUtils.isEmpty(obj));
        intent.putStringArrayListExtra("INAPP_PURCHASE_ITEM_LIST", arrayList);
        intent.putStringArrayListExtra("INAPP_PURCHASE_DATA_LIST", arrayList2);
        intent.putStringArrayListExtra("INAPP_DATA_SIGNATURE_LIST", arrayList3);
        AppMethodBeat.o(41704);
        return 0;
    }
}
