package com.tencent.mm.plugin.mmsight.segment;

import android.graphics.Point;
import android.media.MediaCodec;
import android.media.MediaCodec.BufferInfo;
import android.media.MediaCodecInfo;
import android.media.MediaCodecInfo.CodecCapabilities;
import android.media.MediaCodecList;
import android.media.MediaExtractor;
import android.media.MediaFormat;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.mmsight.segment.e.a;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.view.d;
import java.nio.ByteBuffer;

public class i implements e {
    protected long bqO;
    protected MediaExtractor clX;
    protected long eTA;
    protected int eTJ;
    protected MediaCodec eTq;
    protected BufferInfo eTy = new BufferInfo();
    protected int eWc;
    protected String fUM = null;
    protected MediaFormat fYc;
    private byte[] fYd;
    private int frameCount = 0;
    protected a oxF;
    protected int sampleSize;

    public i(MediaExtractor mediaExtractor, MediaFormat mediaFormat, int i) {
        AppMethodBeat.i(3664);
        ab.i("MicroMsg.MediaCodecTranscodeDecoder", "create MediaCodecTranscodeDecoder: %s, %s, %s", new Object[]{mediaExtractor, mediaFormat, Integer.valueOf(i)});
        this.clX = mediaExtractor;
        this.fYc = mediaFormat;
        this.eWc = i;
        AppMethodBeat.o(3664);
    }

    public final int i(String str, long j, long j2) {
        AppMethodBeat.i(3665);
        this.fUM = str;
        this.bqO = j;
        this.eTA = j2;
        ab.i("MicroMsg.MediaCodecTranscodeDecoder", "initDecoder() called with: format = [" + this.fYc + "]");
        try {
            String string = this.fYc.getString("mime");
            this.eTq = MediaCodec.createDecoderByType(string);
            MediaCodecInfo selectCodec = selectCodec(string);
            ab.i("MicroMsg.MediaCodecTranscodeDecoder", "found codec: %s", new Object[]{selectCodec});
            if (selectCodec != null) {
                ab.i("MicroMsg.MediaCodecTranscodeDecoder", "codec name: %s", new Object[]{selectCodec.getName()});
                ab.i("MicroMsg.MediaCodecTranscodeDecoder", "found colorFormat: %s", new Object[]{Integer.valueOf(a(selectCodec, string))});
                this.fYc.setInteger("color-format", r1);
            }
            this.eTq.configure(this.fYc, null, null, 0);
            this.eTq.start();
            AppMethodBeat.o(3665);
            return 0;
        } catch (Exception e) {
            ab.printErrStackTrace("MicroMsg.MediaCodecTranscodeDecoder", e, "Init decoder failed : %s", new Object[]{e.getMessage()});
            AppMethodBeat.o(3665);
            return -1;
        }
    }

    private static MediaCodecInfo selectCodec(String str) {
        AppMethodBeat.i(3666);
        int codecCount = MediaCodecList.getCodecCount();
        for (int i = 0; i < codecCount; i++) {
            MediaCodecInfo codecInfoAt = MediaCodecList.getCodecInfoAt(i);
            if (!codecInfoAt.isEncoder()) {
                String[] supportedTypes = codecInfoAt.getSupportedTypes();
                for (String equalsIgnoreCase : supportedTypes) {
                    if (equalsIgnoreCase.equalsIgnoreCase(str)) {
                        AppMethodBeat.o(3666);
                        return codecInfoAt;
                    }
                }
                continue;
            }
        }
        AppMethodBeat.o(3666);
        return null;
    }

    /* Access modifiers changed, original: protected */
    public int a(MediaCodecInfo mediaCodecInfo, String str) {
        AppMethodBeat.i(3667);
        ab.i("MicroMsg.MediaCodecTranscodeDecoder", "selectColorFormat, mimeType: %s, codecInfo: %s", new Object[]{str, mediaCodecInfo});
        long yz = bo.yz();
        CodecCapabilities capabilitiesForType = mediaCodecInfo.getCapabilitiesForType(str);
        ab.i("MicroMsg.MediaCodecTranscodeDecoder", "getCapabilitiesForType used %sms", new Object[]{Long.valueOf(bo.az(yz))});
        ab.i("MicroMsg.MediaCodecTranscodeDecoder", "color format length: %s", new Object[]{Integer.valueOf(capabilitiesForType.colorFormats.length)});
        int i = 0;
        for (int i2 : capabilitiesForType.colorFormats) {
            ab.i("MicroMsg.MediaCodecTranscodeDecoder", "capabilities colorFormat: %s", new Object[]{Integer.valueOf(i2)});
            if (mr(i2) && (i2 > i || i2 == 21)) {
                i = i2;
            }
        }
        ab.i("MicroMsg.MediaCodecTranscodeDecoder", "codec: %s, colorFormat: %s", new Object[]{mediaCodecInfo.getName(), Integer.valueOf(i)});
        AppMethodBeat.o(3667);
        return i;
    }

    /* Access modifiers changed, original: protected */
    public boolean mr(int i) {
        switch (i) {
            case 19:
            case d.MIC_BASE_SOFTLIGHTBLEND /*21*/:
                return true;
            default:
                return false;
        }
    }

    /* Access modifiers changed, original: protected */
    public boolean UF() {
        AppMethodBeat.i(3668);
        if (this.eTq == null) {
            ab.e("MicroMsg.MediaCodecTranscodeDecoder", "drainDecoder, decoder is null");
            AppMethodBeat.o(3668);
            return true;
        }
        ByteBuffer[] outputBuffers = this.eTq.getOutputBuffers();
        ab.i("MicroMsg.MediaCodecTranscodeDecoder", "decoderOutputByteBuffers length: %s", new Object[]{Integer.valueOf(outputBuffers.length)});
        int dequeueOutputBuffer = this.eTq.dequeueOutputBuffer(this.eTy, 60000);
        ab.i("MicroMsg.MediaCodecTranscodeDecoder", "outputBufferIndex-->".concat(String.valueOf(dequeueOutputBuffer)));
        while (dequeueOutputBuffer != -1) {
            if (dequeueOutputBuffer != -3) {
                if (dequeueOutputBuffer != -2) {
                    if (dequeueOutputBuffer >= 0) {
                        ab.v("MicroMsg.MediaCodecTranscodeDecoder", "perform decoding");
                        ByteBuffer byteBuffer = outputBuffers[dequeueOutputBuffer];
                        if (byteBuffer == null) {
                            break;
                        }
                        long j = this.eTy.presentationTimeUs;
                        if (j < this.bqO * 1000 && (this.eTy.flags & 4) == 0) {
                            this.eTq.releaseOutputBuffer(dequeueOutputBuffer, false);
                            ab.i("MicroMsg.MediaCodecTranscodeDecoder", "decoder pts: %s, not reach start: %s", new Object[]{Long.valueOf(j), Long.valueOf(this.bqO * 1000)});
                            AppMethodBeat.o(3668);
                            return false;
                        } else if (this.eTy.size != 0) {
                            byteBuffer.position(this.eTy.offset);
                            byteBuffer.limit(this.eTy.offset + this.eTy.size);
                            long yz = bo.yz();
                            BufferInfo bufferInfo = this.eTy;
                            if (byteBuffer == null) {
                                ab.e("MicroMsg.MediaCodecTranscodeDecoder", "processDecodeOutputBuffer error! byteBuffer is null");
                            } else {
                                this.frameCount++;
                                if (this.eTJ <= 1 || this.frameCount % this.eTJ != 0) {
                                    if (this.fYd == null) {
                                        this.fYd = new byte[byteBuffer.remaining()];
                                    }
                                    long yz2 = bo.yz();
                                    try {
                                        this.fYc = this.eTq.getOutputFormat();
                                    } catch (Exception e) {
                                        ab.e("MicroMsg.MediaCodecTranscodeDecoder", "get output format error");
                                    }
                                    byteBuffer.get(this.fYd, 0, byteBuffer.remaining());
                                    ab.i("MicroMsg.MediaCodecTranscodeDecoder", "processDecodeOutputBuffer, byteBuffer: %s, bufferInfo: %s, size: %d cost %d", new Object[]{byteBuffer, bufferInfo, Integer.valueOf(bufferInfo.size), Long.valueOf(bo.az(yz2))});
                                    if (this.oxF != null) {
                                        this.oxF.ba(this.fYd);
                                    }
                                }
                            }
                            ab.v("MicroMsg.MediaCodecTranscodeDecoder", "processDecodeOutputBuffer %s", new Object[]{Long.valueOf(bo.az(yz))});
                            this.eTq.releaseOutputBuffer(dequeueOutputBuffer, false);
                            if (this.eTA != 1 && j >= this.eTA * 1000) {
                                ab.e("MicroMsg.MediaCodecTranscodeDecoder", "exceed endTimeMs");
                                AppMethodBeat.o(3668);
                                return true;
                            } else if ((this.eTy.flags & 4) != 0) {
                                ab.i("MicroMsg.MediaCodecTranscodeDecoder", "receive end of stream");
                                try {
                                    this.eTq.stop();
                                    this.eTq.release();
                                    this.eTq = null;
                                } catch (Exception e2) {
                                    ab.e("MicroMsg.MediaCodecTranscodeDecoder", "stop and release decoder error: %s", new Object[]{e2.getMessage()});
                                }
                                AppMethodBeat.o(3668);
                                return true;
                            } else {
                                AppMethodBeat.o(3668);
                                return false;
                            }
                        } else {
                            this.eTq.releaseOutputBuffer(dequeueOutputBuffer, false);
                        }
                    } else {
                        ab.w("MicroMsg.MediaCodecTranscodeDecoder", "unexpected result from decoder.dequeueOutputBuffer: ".concat(String.valueOf(dequeueOutputBuffer)));
                    }
                } else {
                    this.fYc = this.eTq.getOutputFormat();
                    ab.i("MicroMsg.MediaCodecTranscodeDecoder", "decoder output format changed: " + this.fYc);
                }
            } else {
                outputBuffers = this.eTq.getOutputBuffers();
                ab.i("MicroMsg.MediaCodecTranscodeDecoder", "decoder output buffers changed");
            }
            dequeueOutputBuffer = this.eTq.dequeueOutputBuffer(this.eTy, 60000);
            if (dequeueOutputBuffer < 0) {
                break;
            }
        }
        ab.i("MicroMsg.MediaCodecTranscodeDecoder", "no output from decoder available, break");
        AppMethodBeat.o(3668);
        return false;
    }

    /* JADX WARNING: Missing block: B:11:0x006d, code skipped:
            if (UF() == false) goto L_0x006f;
     */
    /* JADX WARNING: Missing block: B:32:0x0112, code skipped:
            if (r1 < 0) goto L_0x018e;
     */
    /* JADX WARNING: Missing block: B:33:0x0114, code skipped:
            r3 = r3[r1];
            r3.clear();
            r10.sampleSize = r2.readSampleData(r3, 0);
            r3.position(0);
            r4 = r2.getSampleTime();
            com.tencent.mm.sdk.platformtools.ab.i("MicroMsg.MediaCodecTranscodeDecoder", "sampleTime: %s", new java.lang.Object[]{java.lang.Long.valueOf(r4)});
     */
    /* JADX WARNING: Missing block: B:34:0x013d, code skipped:
            if (r10.sampleSize < 0) goto L_0x0148;
     */
    /* JADX WARNING: Missing block: B:36:0x0146, code skipped:
            if (r4 < (r10.eTA * 1000)) goto L_0x01a4;
     */
    /* JADX WARNING: Missing block: B:37:0x0148, code skipped:
            r7 = true;
     */
    /* JADX WARNING: Missing block: B:38:0x014a, code skipped:
            com.tencent.mm.sdk.platformtools.ab.i("MicroMsg.MediaCodecTranscodeDecoder", "sawInputEOS: %s", new java.lang.Object[]{java.lang.Boolean.valueOf(r7)});
            r0 = r10.eTq;
            r3 = r10.sampleSize;
     */
    /* JADX WARNING: Missing block: B:39:0x0162, code skipped:
            if (r7 == false) goto L_0x018c;
     */
    /* JADX WARNING: Missing block: B:40:0x0164, code skipped:
            r6 = 4;
     */
    /* JADX WARNING: Missing block: B:41:0x0165, code skipped:
            r0.queueInputBuffer(r1, 0, r3, r4, r6);
     */
    /* JADX WARNING: Missing block: B:42:0x0168, code skipped:
            r0 = com.tencent.mm.sdk.platformtools.bo.yz();
            r2 = UF();
            com.tencent.mm.sdk.platformtools.ab.i("MicroMsg.MediaCodecTranscodeDecoder", "drain cost2 %d", new java.lang.Object[]{java.lang.Long.valueOf(com.tencent.mm.sdk.platformtools.bo.az(r0))});
     */
    /* JADX WARNING: Missing block: B:43:0x0187, code skipped:
            if (r2 == false) goto L_0x0018;
     */
    /* JADX WARNING: Missing block: B:44:0x0189, code skipped:
            r7 = true;
     */
    /* JADX WARNING: Missing block: B:45:0x018c, code skipped:
            r6 = 0;
     */
    /* JADX WARNING: Missing block: B:46:0x018e, code skipped:
            com.tencent.mm.sdk.platformtools.ab.w("MicroMsg.MediaCodecTranscodeDecoder", "input buffer not available");
            r7 = false;
     */
    /* JADX WARNING: Missing block: B:48:0x01a4, code skipped:
            r7 = false;
     */
    public final void z(java.lang.Runnable r11) {
        /*
        r10 = this;
        r0 = 3669; // 0xe55 float:5.141E-42 double:1.8127E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r0);
        r0 = 0;
        r10.frameCount = r0;
    L_0x0008:
        r2 = r10.clX;
        r0 = r10.eTq;
        if (r0 != 0) goto L_0x00bb;
    L_0x000e:
        r0 = "MicroMsg.MediaCodecTranscodeDecoder";
        r1 = "input decoder is null";
        com.tencent.mm.sdk.platformtools.ab.i(r0, r1);
        r7 = 1;
    L_0x0018:
        if (r7 != 0) goto L_0x0032;
    L_0x001a:
        r0 = r10.clX;
        r0.advance();
        r0 = r10.clX;
        r0 = r0.getSampleTrackIndex();
        r1 = r10.eWc;
        if (r0 == r1) goto L_0x0008;
    L_0x0029:
        r0 = "MicroMsg.MediaCodecTranscodeDecoder";
        r1 = "track index not match, break";
        com.tencent.mm.sdk.platformtools.ab.i(r0, r1);
    L_0x0032:
        r0 = r10.clX;
        r1 = "MicroMsg.MediaCodecTranscodeDecoder";
        r2 = "sendDecoderEOS";
        com.tencent.mm.sdk.platformtools.ab.i(r1, r2);
        r1 = r10.eTq;
        r2 = r1.getInputBuffers();
        r1 = r10.eTq;
        r4 = 60000; // 0xea60 float:8.4078E-41 double:2.9644E-319;
        r1 = r1.dequeueInputBuffer(r4);
        if (r1 >= 0) goto L_0x006f;
    L_0x004e:
        r3 = "MicroMsg.MediaCodecTranscodeDecoder";
        r4 = "check decoder input buffer index = %d count = %d";
        r5 = 2;
        r5 = new java.lang.Object[r5];
        r6 = 0;
        r7 = java.lang.Integer.valueOf(r1);
        r5[r6] = r7;
        r6 = 1;
        r7 = 0;
        r7 = java.lang.Integer.valueOf(r7);
        r5[r6] = r7;
        com.tencent.mm.sdk.platformtools.ab.i(r3, r4, r5);
        r3 = r10.UF();
        if (r3 != 0) goto L_0x00a8;
    L_0x006f:
        if (r1 < 0) goto L_0x00a5;
    L_0x0071:
        r2 = r2[r1];
        r2.clear();
        r3 = 0;
        r3 = r0.readSampleData(r2, r3);
        r10.sampleSize = r3;
        r3 = 0;
        r2.position(r3);
        r4 = r0.getSampleTime();
        if (r1 < 0) goto L_0x0199;
    L_0x0087:
        r0 = "MicroMsg.MediaCodecTranscodeDecoder";
        r2 = "send EOS, decoderInputBufferIndex: %s";
        r3 = 1;
        r3 = new java.lang.Object[r3];
        r6 = 0;
        r7 = java.lang.Integer.valueOf(r1);
        r3[r6] = r7;
        com.tencent.mm.sdk.platformtools.ab.i(r0, r2, r3);
        r0 = r10.eTq;
        r2 = 0;
        r3 = 0;
        r6 = 1000; // 0x3e8 float:1.401E-42 double:4.94E-321;
        r4 = r4 * r6;
        r6 = 4;
        r0.queueInputBuffer(r1, r2, r3, r4, r6);
    L_0x00a5:
        r10.UF();
    L_0x00a8:
        r0 = new com.tencent.mm.plugin.mmsight.segment.i$1;
        r0.<init>();
        r2 = 500; // 0x1f4 float:7.0E-43 double:2.47E-321;
        com.tencent.mm.sdk.platformtools.al.n(r0, r2);
        r11.run();
        r0 = 3669; // 0xe55 float:5.141E-42 double:1.8127E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
        return;
    L_0x00bb:
        r0 = r10.eTq;
        r3 = r0.getInputBuffers();
        if (r3 != 0) goto L_0x00c6;
    L_0x00c3:
        r7 = 0;
        goto L_0x0018;
    L_0x00c6:
        r0 = "MicroMsg.MediaCodecTranscodeDecoder";
        r1 = "decoderInputByteBuffers size: %d";
        r4 = 1;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = r3.length;
        r6 = java.lang.Integer.valueOf(r6);
        r4[r5] = r6;
        com.tencent.mm.sdk.platformtools.ab.i(r0, r1, r4);
        r0 = 0;
    L_0x00db:
        r1 = r10.eTq;
        r4 = 60000; // 0xea60 float:8.4078E-41 double:2.9644E-319;
        r1 = r1.dequeueInputBuffer(r4);
        if (r1 >= 0) goto L_0x0111;
    L_0x00e6:
        r4 = 15;
        if (r0 >= r4) goto L_0x0111;
    L_0x00ea:
        r4 = com.tencent.mm.sdk.platformtools.bo.yz();
        r1 = r10.UF();
        r6 = "MicroMsg.MediaCodecTranscodeDecoder";
        r7 = "drain cost1 %d";
        r8 = 1;
        r8 = new java.lang.Object[r8];
        r9 = 0;
        r4 = com.tencent.mm.sdk.platformtools.bo.az(r4);
        r4 = java.lang.Long.valueOf(r4);
        r8[r9] = r4;
        com.tencent.mm.sdk.platformtools.ab.i(r6, r7, r8);
        if (r1 == 0) goto L_0x010e;
    L_0x010b:
        r7 = 1;
        goto L_0x0018;
    L_0x010e:
        r0 = r0 + 1;
        goto L_0x00db;
    L_0x0111:
        r0 = 0;
        if (r1 < 0) goto L_0x018e;
    L_0x0114:
        r3 = r3[r1];
        r3.clear();
        r4 = 0;
        r4 = r2.readSampleData(r3, r4);
        r10.sampleSize = r4;
        r4 = 0;
        r3.position(r4);
        r4 = r2.getSampleTime();
        r2 = "MicroMsg.MediaCodecTranscodeDecoder";
        r3 = "sampleTime: %s";
        r6 = 1;
        r6 = new java.lang.Object[r6];
        r7 = 0;
        r8 = java.lang.Long.valueOf(r4);
        r6[r7] = r8;
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3, r6);
        r2 = r10.sampleSize;
        if (r2 < 0) goto L_0x0148;
    L_0x013f:
        r2 = r10.eTA;
        r6 = 1000; // 0x3e8 float:1.401E-42 double:4.94E-321;
        r2 = r2 * r6;
        r2 = (r4 > r2 ? 1 : (r4 == r2 ? 0 : -1));
        if (r2 < 0) goto L_0x01a4;
    L_0x0148:
        r0 = 1;
        r7 = r0;
    L_0x014a:
        r0 = "MicroMsg.MediaCodecTranscodeDecoder";
        r2 = "sawInputEOS: %s";
        r3 = 1;
        r3 = new java.lang.Object[r3];
        r6 = 0;
        r8 = java.lang.Boolean.valueOf(r7);
        r3[r6] = r8;
        com.tencent.mm.sdk.platformtools.ab.i(r0, r2, r3);
        r0 = r10.eTq;
        r2 = 0;
        r3 = r10.sampleSize;
        if (r7 == 0) goto L_0x018c;
    L_0x0164:
        r6 = 4;
    L_0x0165:
        r0.queueInputBuffer(r1, r2, r3, r4, r6);
    L_0x0168:
        r0 = com.tencent.mm.sdk.platformtools.bo.yz();
        r2 = r10.UF();
        r3 = "MicroMsg.MediaCodecTranscodeDecoder";
        r4 = "drain cost2 %d";
        r5 = 1;
        r5 = new java.lang.Object[r5];
        r6 = 0;
        r0 = com.tencent.mm.sdk.platformtools.bo.az(r0);
        r0 = java.lang.Long.valueOf(r0);
        r5[r6] = r0;
        com.tencent.mm.sdk.platformtools.ab.i(r3, r4, r5);
        if (r2 == 0) goto L_0x0018;
    L_0x0189:
        r7 = 1;
        goto L_0x0018;
    L_0x018c:
        r6 = 0;
        goto L_0x0165;
    L_0x018e:
        r1 = "MicroMsg.MediaCodecTranscodeDecoder";
        r2 = "input buffer not available";
        com.tencent.mm.sdk.platformtools.ab.w(r1, r2);
        r7 = r0;
        goto L_0x0168;
    L_0x0199:
        r0 = "MicroMsg.MediaCodecTranscodeDecoder";
        r1 = "input buffer not available";
        com.tencent.mm.sdk.platformtools.ab.w(r0, r1);
        goto L_0x00a5;
    L_0x01a4:
        r7 = r0;
        goto L_0x014a;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.mmsight.segment.i.z(java.lang.Runnable):void");
    }

    public final void a(a aVar) {
        this.oxF = aVar;
    }

    public int alK() {
        AppMethodBeat.i(3670);
        ab.i("MicroMsg.MediaCodecTranscodeDecoder", "src color format: %s", new Object[]{Integer.valueOf(this.fYc.getInteger("color-format"))});
        switch (this.fYc.getInteger("color-format")) {
            case 19:
                AppMethodBeat.o(3670);
                return 2;
            case d.MIC_BASE_SOFTLIGHTBLEND /*21*/:
            case 2130706688:
                AppMethodBeat.o(3670);
                return 1;
            default:
                AppMethodBeat.o(3670);
                return 1;
        }
    }

    public final Point alJ() {
        AppMethodBeat.i(3671);
        Point point = new Point(this.fYc.getInteger("width"), this.fYc.getInteger("height"));
        AppMethodBeat.o(3671);
        return point;
    }

    public final void stop() {
        AppMethodBeat.i(3672);
        if (this.eTq != null) {
            try {
                ab.i("MicroMsg.MediaCodecTranscodeDecoder", "stop decoder");
                this.eTq.stop();
                this.eTq.release();
                this.eTq = null;
                AppMethodBeat.o(3672);
                return;
            } catch (Exception e) {
                ab.printErrStackTrace("MicroMsg.MediaCodecTranscodeDecoder", e, "stop decoder error: %s", new Object[]{e.getMessage()});
            }
        }
        AppMethodBeat.o(3672);
    }

    public final void mp(int i) {
        AppMethodBeat.i(3673);
        ab.i("MicroMsg.MediaCodecTranscodeDecoder", "setFrameDropInterval: %s", new Object[]{Integer.valueOf(i)});
        this.eTJ = i;
        AppMethodBeat.o(3673);
    }
}
