package com.tencent.mm.plugin.scanner.ui;

import android.animation.ValueAnimator;
import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.content.res.Configuration;
import android.graphics.Point;
import android.graphics.Rect;
import android.graphics.SurfaceTexture;
import android.hardware.Camera;
import android.hardware.Camera.AutoFocusCallback;
import android.hardware.Camera.Parameters;
import android.hardware.Camera.PreviewCallback;
import android.os.Bundle;
import android.os.Message;
import android.os.PowerManager.WakeLock;
import android.util.DisplayMetrics;
import android.view.KeyEvent;
import android.view.MenuItem;
import android.view.MenuItem.OnMenuItemClickListener;
import android.view.TextureView.SurfaceTextureListener;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup.LayoutParams;
import android.view.ViewGroup.MarginLayoutParams;
import android.view.animation.TranslateAnimation;
import android.widget.Button;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.g.a.mi;
import com.tencent.mm.g.a.mk;
import com.tencent.mm.g.a.ps;
import com.tencent.mm.g.a.ui;
import com.tencent.mm.kernel.g;
import com.tencent.mm.kernel.i;
import com.tencent.mm.network.n;
import com.tencent.mm.opensdk.modelmsg.WXMediaMessage;
import com.tencent.mm.platformtools.ae;
import com.tencent.mm.plugin.scanner.util.ScanCameraLightDetector;
import com.tencent.mm.plugin.scanner.util.ScanCameraLightDetector.1;
import com.tencent.mm.plugin.scanner.util.e;
import com.tencent.mm.plugin.scanner.util.h;
import com.tencent.mm.plugin.scanner.util.m;
import com.tencent.mm.plugin.scanner.util.r;
import com.tencent.mm.sdk.b.b;
import com.tencent.mm.sdk.b.c;
import com.tencent.mm.sdk.g.d;
import com.tencent.mm.sdk.platformtools.BackwardSupportUtil;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ak;
import com.tencent.mm.sdk.platformtools.al;
import com.tencent.mm.sdk.platformtools.ay;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.storage.ac;
import com.tencent.mm.ui.MMActivity;
import com.tencent.mm.ui.base.MMTextureView;
import com.tencent.mm.ui.base.a;
import com.tencent.mm.ui.q;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

@a(3)
@i
public class BaseScanUI extends MMActivity implements AutoFocusCallback, PreviewCallback, SurfaceTextureListener, i$b {
    private final Object cli = new Object();
    private int cvH = 0;
    private int[] gCr = new int[8];
    private volatile boolean lZT = false;
    private boolean oOH = false;
    private final long qaT = 150;
    private final int qaU = 2;
    private MMTextureView qaV;
    private SurfaceTexture qaW;
    private LinearLayout qaX;
    private TextView qaY;
    private FrameLayout qaZ;
    private int qbA = 0;
    private boolean qbB = true;
    private boolean qbC = false;
    private boolean qbD = false;
    private long qbE;
    private long qbF;
    private Set<Integer> qbG = new HashSet();
    private int qbH;
    private ValueAnimator qbI;
    private c<ui> qbJ = new c<ui>() {
        {
            AppMethodBeat.i(138459);
            this.xxI = ui.class.getName().hashCode();
            AppMethodBeat.o(138459);
        }

        public final /* synthetic */ boolean a(b bVar) {
            AppMethodBeat.i(138460);
            ui uiVar = (ui) bVar;
            if (uiVar instanceof ui) {
                if (!g.RK()) {
                    AppMethodBeat.o(138460);
                    return false;
                } else if (uiVar.cQx.cAd == 3) {
                    if (BaseScanUI.this.qba != null) {
                        BaseScanUI.this.qba.stopPreview();
                        BaseScanUI.this.qba.release();
                    }
                    BaseScanUI.this.finish();
                }
            }
            AppMethodBeat.o(138460);
            return true;
        }
    };
    private n qbK = new 12(this);
    private c<mk> qbL = new 22(this);
    protected ak qbM = new 9(this);
    private final int qbN = 2600;
    protected ak qbO = new 16(this);
    protected ak qbP = new 17(this);
    private c qbQ = new 18(this);
    protected ak qbR = new 19(this);
    protected final int qbS = 0;
    protected final int qbT = 1;
    protected final int qbU = 2;
    private h qba;
    private Point qbb;
    private SelectScanModePanel qbc;
    private ScanMaskView qbd = null;
    private ScannerFlashSwitcher qbe;
    private boolean qbf = false;
    private boolean qbg = false;
    private boolean qbh = true;
    private i.a qbi;
    private int qbj;
    private int qbk;
    private int qbl;
    private int qbm;
    private boolean qbn = true;
    private Rect qbo = new Rect();
    private TextView qbp;
    private View qbq;
    private boolean qbr = false;
    private boolean qbs = true;
    private boolean qbt = false;
    private boolean qbu = false;
    private e qbv = null;
    private TranslateAnimation qbw;
    private ImageView qbx;
    private i qby;
    private int qbz = 0;
    private WakeLock wakeLock = null;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public BaseScanUI() {
        AppMethodBeat.i(80943);
        AppMethodBeat.o(80943);
    }

    static /* synthetic */ void B(BaseScanUI baseScanUI) {
        AppMethodBeat.i(80996);
        baseScanUI.btW();
        AppMethodBeat.o(80996);
    }

    static /* synthetic */ void C(BaseScanUI baseScanUI) {
        AppMethodBeat.i(80997);
        baseScanUI.bwV();
        AppMethodBeat.o(80997);
    }

    static /* synthetic */ boolean E(BaseScanUI baseScanUI) {
        AppMethodBeat.i(80998);
        boolean Lt = baseScanUI.Lt();
        AppMethodBeat.o(80998);
        return Lt;
    }

    static /* synthetic */ void I(BaseScanUI baseScanUI) {
        AppMethodBeat.i(80999);
        baseScanUI.cgW();
        AppMethodBeat.o(80999);
    }

    static /* synthetic */ void f(BaseScanUI baseScanUI) {
        AppMethodBeat.i(138486);
        baseScanUI.e(true, 0);
        AppMethodBeat.o(138486);
    }

    static /* synthetic */ void t(BaseScanUI baseScanUI) {
        AppMethodBeat.i(80992);
        baseScanUI.chc();
        AppMethodBeat.o(80992);
    }

    static /* synthetic */ void w(BaseScanUI baseScanUI) {
        AppMethodBeat.i(80993);
        baseScanUI.chd();
        AppMethodBeat.o(80993);
    }

    static /* synthetic */ void x(BaseScanUI baseScanUI) {
        AppMethodBeat.i(80994);
        baseScanUI.chb();
        AppMethodBeat.o(80994);
    }

    static /* synthetic */ void y(BaseScanUI baseScanUI) {
        AppMethodBeat.i(80995);
        baseScanUI.startPreview();
        AppMethodBeat.o(80995);
    }

    public View findViewById(int i) {
        AppMethodBeat.i(80944);
        View findViewById = super.findViewById(i);
        AppMethodBeat.o(80944);
        return findViewById;
    }

    public final int getLayoutId() {
        AppMethodBeat.i(80945);
        if (Lt()) {
            ab.d("MicroMsg.scanner.BaseScanUI", "getLayoutId LANDSCAPE");
            AppMethodBeat.o(80945);
            return 2130970541;
        }
        ab.d("MicroMsg.scanner.BaseScanUI", "getLayoutId PORTRAIT");
        AppMethodBeat.o(80945);
        return 2130970540;
    }

    public final int getForceOrientation() {
        AppMethodBeat.i(80946);
        if (Lt()) {
            ab.d("MicroMsg.scanner.BaseScanUI", "getForceOrientation LANDSCAPE");
            AppMethodBeat.o(80946);
            return 0;
        }
        ab.d("MicroMsg.scanner.BaseScanUI", "getForceOrientation PORTRAIT");
        AppMethodBeat.o(80946);
        return 1;
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(80947);
        this.qbz = getIntent().getIntExtra("BaseScanUI_select_scan_mode", 1);
        this.ylm = true;
        super.onCreate(bundle);
        q.initLanguage(this);
        getWindow().addFlags(2097280);
        getWindow().getDecorView().setSystemUiVisibility(1280);
        if (g.Rg().acS() == 6 || g.Rg().acS() == 4) {
            this.qbh = true;
        } else {
            this.qbh = false;
        }
        if (7 == this.qbz || 11 == this.qbz) {
            this.qbs = false;
        }
        com.tencent.mm.sdk.b.a.xxA.c(this.qbQ);
        com.tencent.mm.sdk.b.a.xxA.c(this.qbL);
        initView();
        this.qbE = System.currentTimeMillis();
        ScanCameraLightDetector scanCameraLightDetector = ScanCameraLightDetector.qia;
        try {
            scanCameraLightDetector.qie = d.anM("ScanCameraLightDetector_detectThread");
            scanCameraLightDetector.qie.start();
            scanCameraLightDetector.handler = new 1(scanCameraLightDetector, scanCameraLightDetector.qie.getLooper());
        } catch (Exception e) {
            ab.printErrStackTrace("MicroMsg.ScanCameraLightDetector", e, "start error: %s", new Object[]{e.getMessage()});
        }
        ab.i("MicroMsg.ScanCameraLightDetector", "start, sensorManager: %s, lightSensor: %s, isRegister: %s", new Object[]{scanCameraLightDetector.sensorManager, scanCameraLightDetector.qic, Boolean.valueOf(scanCameraLightDetector.qid)});
        this.qbE = System.currentTimeMillis();
        com.tencent.mm.sdk.b.a.xxA.c(this.qbJ);
        AppMethodBeat.o(80947);
    }

    public final void initView() {
        Button button;
        AppMethodBeat.i(80948);
        if (Lt()) {
            getWindow().setFlags(WXMediaMessage.DESCRIPTION_LENGTH_LIMIT, WXMediaMessage.DESCRIPTION_LENGTH_LIMIT);
            this.mController.hideTitleView();
            ab.d("MicroMsg.scanner.BaseScanUI", "oncreate LANDSCAPE");
        }
        this.qbq = findViewById(2131827193);
        this.qbp = (TextView) findViewById(2131827194);
        this.qaX = (LinearLayout) findViewById(2131827204);
        this.qaY = (TextView) findViewById(2131827205);
        this.qaZ = (FrameLayout) findViewById(2131827192);
        this.qbe = (ScannerFlashSwitcher) findViewById(2131827196);
        this.qaV = (MMTextureView) findViewById(2131827191);
        this.qaV.setOpaque(false);
        this.qaV.setSurfaceTextureListener(this);
        if (7 == this.qbz || 9 == this.qbz || 10 == this.qbz || 11 == this.qbz) {
            button = (Button) findViewById(2131827206);
            button.setVisibility(0);
            findViewById(2131827198).setVisibility(8);
            findViewById(2131827201).setVisibility(8);
            if (9 == this.qbz || 10 == this.qbz) {
                LayoutParams layoutParams = button.getLayoutParams();
                if (layoutParams != null && (layoutParams instanceof MarginLayoutParams)) {
                    MarginLayoutParams marginLayoutParams = (MarginLayoutParams) layoutParams;
                    marginLayoutParams.leftMargin = marginLayoutParams.topMargin;
                    button.setLayoutParams(marginLayoutParams);
                }
            }
        } else {
            button = (Button) findViewById(2131827202);
        }
        if (button != null) {
            button.setOnClickListener(new 23(this));
        } else {
            setBackBtn(new 24(this));
        }
        this.qbx = (ImageView) findViewById(2131827195);
        this.cvH = getIntent().getIntExtra("GetFriendQRCodeUI.INTENT_FROM_ACTIVITY", 0);
        this.qbc = (SelectScanModePanel) findViewById(2131827197);
        this.qaZ.setVisibility(0);
        if (!(7 == this.qbz || 9 == this.qbz || 10 == this.qbz || 11 == this.qbz || !Lt())) {
            this.qbz = 1;
            this.qbr = true;
        }
        int[] intArrayExtra = getIntent().getIntArrayExtra("key_support_scan_code_type");
        HashSet hashSet = new HashSet();
        if (intArrayExtra != null && intArrayExtra.length > 0) {
            for (int valueOf : intArrayExtra) {
                hashSet.add(Integer.valueOf(valueOf));
            }
        }
        chf();
        setMMSubTitle(null);
        DisplayMetrics displayMetrics;
        if (this.qbz == 2) {
            this.qby = new k(this, this.qbb);
            setMMTitle(r.fT(r.qiQ, getString(2131302746)));
        } else if (this.qbz == 5) {
            this.qby = new q(this, this.qbb);
            setMMTitle(2131302738);
            this.qbC = true;
        } else if (this.qbz == 3) {
            this.qby = new o(this, this.qbb);
            setMMTitle(2131302734);
        } else if (this.qbz == 4 && !Lt()) {
            if (hashSet.isEmpty()) {
                this.qby = new p(this, this.qbb, this.cvH, 2);
            } else {
                this.qby = new p(this, this.qbb, this.cvH, hashSet);
            }
            ((p) this.qby).qfn = getIntent().getBooleanExtra("key_is_finish_on_scanned", false);
            this.qbc.setVisibility(8);
            setMMTitle(2131302739);
        } else if (this.qbz == 8) {
            if (hashSet.isEmpty()) {
                this.qby = new p(this, this.qbb, this.cvH, 1);
            } else {
                this.qby = new p(this, this.qbb, this.cvH, hashSet);
            }
            ((p) this.qby).qfn = getIntent().getBooleanExtra("key_is_finish_on_scanned", false);
            this.qbc.setVisibility(8);
            setMMTitle(2131302736);
        } else if (7 == this.qbz) {
            boolean z;
            displayMetrics = new DisplayMetrics();
            getWindowManager().getDefaultDisplay().getMetrics(displayMetrics);
            this.qby = new j(this, this.qbb, displayMetrics, getWindowManager().getDefaultDisplay().getRotation());
            j jVar = (j) this.qby;
            if (getIntent() == null || !getIntent().getBooleanExtra("scan_bankcard_with_confirm_ui", false)) {
                z = false;
            } else {
                z = true;
            }
            jVar.qeB = z;
            setMMTitle(2131302729);
            this.qbc.setVisibility(8);
        } else if (9 == this.qbz) {
            displayMetrics = new DisplayMetrics();
            getWindowManager().getDefaultDisplay().getMetrics(displayMetrics);
            this.qby = new m(this, this.qbb, displayMetrics, getWindowManager().getDefaultDisplay().getRotation());
            setMMTitle(2131302731);
            this.qbc.setVisibility(8);
        } else if (10 == this.qbz) {
            displayMetrics = new DisplayMetrics();
            getWindowManager().getDefaultDisplay().getMetrics(displayMetrics);
            this.qby = new l(this, this.qbb, displayMetrics, getWindowManager().getDefaultDisplay().getRotation());
            setMMTitle(2131302730);
            this.qbc.setVisibility(8);
        } else if (11 == this.qbz) {
            displayMetrics = new DisplayMetrics();
            getWindowManager().getDefaultDisplay().getMetrics(displayMetrics);
            this.qby = new n(this, this.qbb, displayMetrics, getWindowManager().getDefaultDisplay().getRotation());
            setMMTitle(2131302732);
            this.qbc.setVisibility(8);
        } else {
            this.qbz = 1;
            if (hashSet.isEmpty()) {
                this.qby = new p(this, this.qbb, this.cvH, Lt() ? 1 : 0);
            } else {
                this.qby = new p(this, this.qbb, this.cvH, hashSet);
            }
            ((p) this.qby).qfn = getIntent().getBooleanExtra("key_is_finish_on_scanned", false);
            if (com.tencent.mm.au.b.ahO()) {
                this.qbr = true;
                if (r.cio()) {
                    this.qbc.setDisplayModes(new int[]{1, 3});
                    this.qbc.setVisibility(0);
                } else {
                    this.qbc.setVisibility(8);
                }
            } else if (getIntent().getBooleanExtra("BaseScanUI_only_scan_qrcode_with_zbar", false)) {
                this.qbr = false;
                this.qbc.setVisibility(8);
            }
            if (this.qbr) {
                setMMTitle(2131302736);
            } else {
                setMMTitle(2131302737);
            }
        }
        if (com.tencent.mm.x.c.PK().b(ac.a.xVK, ac.a.xVL)) {
            this.qbG.add(Integer.valueOf(3));
        }
        this.qbn = this.qby.cgS();
        this.qbx.setBackgroundResource(this.qbn ? 2130839930 : 2130839931);
        cgV();
        if (this.qba != null) {
            this.qba.Cd(this.qbz);
        }
        cgW();
        this.qbI = ValueAnimator.ofFloat(new float[]{0.0f, 1.0f});
        this.qbI.addUpdateListener(new 25(this));
        this.qbI.setDuration(300);
        xE(getResources().getColor(2131690597));
        ab.i("MicroMsg.scanner.BaseScanUI", "initView() done, fromSource=[%s], directSelectMode=[%s]", new Object[]{Integer.valueOf(this.cvH), Integer.valueOf(this.qbz)});
        AppMethodBeat.o(80948);
    }

    private void cgV() {
        AppMethodBeat.i(80949);
        if (7 == this.qbz || 9 == this.qbz || 10 == this.qbz || 11 == this.qbz) {
            AppMethodBeat.o(80949);
            return;
        }
        this.qbc.setShowRedDotModes(this.qbG);
        this.qbc.setSelectedMode(this.qbz);
        this.qbc.setOnGridItemClickCallback(new 26(this));
        AppMethodBeat.o(80949);
    }

    private void cgW() {
        AppMethodBeat.i(80950);
        if (this.qby == null) {
            AppMethodBeat.o(80950);
            return;
        }
        che();
        AppMethodBeat.o(80950);
    }

    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        AppMethodBeat.i(80951);
        if (i == 4 && keyEvent.getAction() == 0 && keyEvent.getRepeatCount() == 0) {
            ab.d("MicroMsg.scanner.BaseScanUI", "keyCode KEYCODE_BACK");
            this.qbg = true;
            bwV();
            overridePendingTransition(0, 0);
            AppMethodBeat.o(80951);
            return true;
        }
        boolean onKeyDown = super.onKeyDown(i, keyEvent);
        AppMethodBeat.o(80951);
        return onKeyDown;
    }

    /* JADX WARNING: Removed duplicated region for block: B:13:0x005d  */
    /* JADX WARNING: Removed duplicated region for block: B:27:0x00bb  */
    /* JADX WARNING: Removed duplicated region for block: B:13:0x005d  */
    /* JADX WARNING: Removed duplicated region for block: B:27:0x00bb  */
    public void onResume() {
        /*
        r11 = this;
        r10 = 80952; // 0x13c38 float:1.13438E-40 double:3.99956E-319;
        r9 = 0;
        r6 = 0;
        r8 = 1;
        r5 = 0;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r10);
        super.onResume();
        r0 = r11.qbD;
        if (r0 != 0) goto L_0x0016;
    L_0x0011:
        com.tencent.mm.cj.c.aNX();
        r11.qbD = r8;
    L_0x0016:
        r0 = "MicroMsg.scanner.BaseScanUI";
        r1 = "should check camera %s, location %s";
        r2 = 2;
        r2 = new java.lang.Object[r2];
        r3 = r11.qbB;
        r3 = java.lang.Boolean.valueOf(r3);
        r2[r5] = r3;
        r3 = r11.qbC;
        r3 = java.lang.Boolean.valueOf(r3);
        r2[r8] = r3;
        com.tencent.mm.sdk.platformtools.ab.i(r0, r1, r2);
        r0 = r11.qbB;
        if (r0 != 0) goto L_0x003a;
    L_0x0036:
        r0 = r11.qbC;
        if (r0 == 0) goto L_0x0104;
    L_0x003a:
        r0 = r11.qbB;
        if (r0 == 0) goto L_0x00e1;
    L_0x003e:
        r0 = "android.permission.CAMERA";
        r1 = 16;
        r0 = com.tencent.mm.pluginsdk.permission.b.a(r11, r0, r1, r6, r6);
        r1 = "MicroMsg.scanner.BaseScanUI";
        r2 = "summerper checkPermission checkCamera[%b]";
        r3 = new java.lang.Object[r8];
        r4 = java.lang.Boolean.valueOf(r0);
        r3[r5] = r4;
        com.tencent.mm.sdk.platformtools.ab.i(r1, r2, r3);
        if (r0 != 0) goto L_0x00e1;
    L_0x005a:
        r0 = r5;
    L_0x005b:
        if (r0 == 0) goto L_0x008d;
    L_0x005d:
        r0 = com.tencent.mm.compatible.f.b.Mj();
        if (r0 != 0) goto L_0x0107;
    L_0x0063:
        r0 = 2131301920; // 0x7f091620 float:1.8221911E38 double:1.0530030596E-314;
        r1 = r11.getString(r0);
        r0 = 2131301936; // 0x7f091630 float:1.8221944E38 double:1.0530030675E-314;
        r2 = r11.getString(r0);
        r0 = 2131300878; // 0x7f09120e float:1.8219798E38 double:1.053002545E-314;
        r3 = r11.getString(r0);
        r0 = 2131296868; // 0x7f090264 float:1.8211665E38 double:1.0530005636E-314;
        r4 = r11.getString(r0);
        r6 = new com.tencent.mm.plugin.scanner.ui.BaseScanUI$27;
        r6.<init>(r11);
        r7 = new com.tencent.mm.plugin.scanner.ui.BaseScanUI$28;
        r7.<init>(r11);
        r0 = r11;
        com.tencent.mm.ui.base.h.a(r0, r1, r2, r3, r4, r5, r6, r7);
    L_0x008d:
        r0 = r11.qbg;
        if (r0 != 0) goto L_0x00ac;
    L_0x0091:
        r0 = r11.qbz;
        if (r0 == r8) goto L_0x00a0;
    L_0x0095:
        r0 = r11.qbz;
        r1 = 8;
        if (r0 == r1) goto L_0x00a0;
    L_0x009b:
        r0 = r11.qbz;
        r1 = 4;
        if (r0 != r1) goto L_0x00ac;
    L_0x00a0:
        r0 = com.tencent.mm.plugin.scanner.a.m.pZK;
        r0.reset();
        r0 = com.tencent.mm.plugin.scanner.a.m.pZK;
        r1 = com.tencent.mm.plugin.scanner.a.m.pZH;
        r0.BU(r1);
    L_0x00ac:
        r0 = com.tencent.mm.plugin.scanner.util.m.qiz;
        r1 = "MicroMsg.ScanStableDetector";
        r2 = "start detect scan stable";
        com.tencent.mm.sdk.platformtools.ab.i(r1, r2);
        r1 = r0.bCW;
        if (r1 == 0) goto L_0x00dd;
    L_0x00bb:
        r0.qix = r5;
        r1 = r0.qiw;
        r1[r5] = r9;
        r1 = r0.qiw;
        r1[r8] = r9;
        r1 = r0.qiw;
        r2 = 2;
        r1[r2] = r9;
        r1 = "MicroMsg.ScanStableDetector";
        r2 = "register accelerate listener";
        com.tencent.mm.sdk.platformtools.ab.i(r1, r2);
        r1 = r0.bCW;
        r2 = r0.qiv;
        r3 = 50000; // 0xc350 float:7.0065E-41 double:2.47033E-319;
        r1.registerListener(r0, r2, r3);
    L_0x00dd:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        return;
    L_0x00e1:
        r0 = r11.qbC;
        if (r0 == 0) goto L_0x0104;
    L_0x00e5:
        r0 = "android.permission.ACCESS_COARSE_LOCATION";
        r1 = 76;
        r0 = com.tencent.mm.pluginsdk.permission.b.a(r11, r0, r1, r6, r6);
        r1 = "MicroMsg.scanner.BaseScanUI";
        r2 = "summerper checkPermission checkLocation [%b]";
        r3 = new java.lang.Object[r8];
        r4 = java.lang.Boolean.valueOf(r0);
        r3[r5] = r4;
        com.tencent.mm.sdk.platformtools.ab.i(r1, r2, r3);
        if (r0 != 0) goto L_0x0104;
    L_0x0101:
        r0 = r5;
        goto L_0x005b;
    L_0x0104:
        r0 = r8;
        goto L_0x005b;
    L_0x0107:
        r0 = r11.qbz;
        r1 = 5;
        if (r0 != r1) goto L_0x0141;
    L_0x010c:
        r0 = "android.permission.ACCESS_COARSE_LOCATION";
        r0 = com.tencent.mm.pluginsdk.permission.b.o(r11, r0);
        if (r0 != 0) goto L_0x0141;
    L_0x0115:
        r0 = 2131301926; // 0x7f091626 float:1.8221924E38 double:1.0530030626E-314;
        r1 = r11.getString(r0);
        r0 = 2131301936; // 0x7f091630 float:1.8221944E38 double:1.0530030675E-314;
        r2 = r11.getString(r0);
        r0 = 2131300878; // 0x7f09120e float:1.8219798E38 double:1.053002545E-314;
        r3 = r11.getString(r0);
        r0 = 2131296868; // 0x7f090264 float:1.8211665E38 double:1.0530005636E-314;
        r4 = r11.getString(r0);
        r6 = new com.tencent.mm.plugin.scanner.ui.BaseScanUI$2;
        r6.<init>(r11);
        r7 = new com.tencent.mm.plugin.scanner.ui.BaseScanUI$3;
        r7.<init>();
        r0 = r11;
        com.tencent.mm.ui.base.h.a(r0, r1, r2, r3, r4, r5, r6, r7);
        goto L_0x008d;
    L_0x0141:
        r0 = r11.qbs;
        if (r0 == 0) goto L_0x0149;
    L_0x0145:
        r0 = r11.qbh;
        if (r0 == 0) goto L_0x01f8;
    L_0x0149:
        r11.qbg = r5;
        r0 = 0;
        r11.e(r5, r0);
    L_0x0150:
        r11.qbu = r5;
        r1 = r11.cli;
        monitor-enter(r1);
        r0 = "MicroMsg.scanner.BaseScanUI";
        r2 = "onResume open Camera";
        com.tencent.mm.sdk.platformtools.ab.d(r0, r2);	 Catch:{ all -> 0x0202 }
        r2 = new com.tencent.mm.plugin.scanner.util.h;	 Catch:{ all -> 0x0202 }
        r3 = r11.qbz;	 Catch:{ all -> 0x0202 }
        r0 = 7;
        r4 = r11.qbz;	 Catch:{ all -> 0x0202 }
        if (r0 == r4) goto L_0x0179;
    L_0x0167:
        r0 = 9;
        r4 = r11.qbz;	 Catch:{ all -> 0x0202 }
        if (r0 == r4) goto L_0x0179;
    L_0x016d:
        r0 = 10;
        r4 = r11.qbz;	 Catch:{ all -> 0x0202 }
        if (r0 == r4) goto L_0x0179;
    L_0x0173:
        r0 = 11;
        r4 = r11.qbz;	 Catch:{ all -> 0x0202 }
        if (r0 != r4) goto L_0x01ff;
    L_0x0179:
        r0 = r8;
    L_0x017a:
        r2.<init>(r11, r3, r0);	 Catch:{ all -> 0x0202 }
        r11.qba = r2;	 Catch:{ all -> 0x0202 }
        r11.chb();	 Catch:{ all -> 0x0202 }
        monitor-exit(r1);	 Catch:{ all -> 0x0202 }
        r0 = r11.qbz;
        r1 = 3;
        if (r0 != r1) goto L_0x018e;
    L_0x0188:
        r0 = com.tencent.mm.plugin.scanner.util.r.cio();
        if (r0 != 0) goto L_0x01a4;
    L_0x018e:
        r0 = r11.qby;
        r0 = r0.cgO();
        if (r0 == 0) goto L_0x019f;
    L_0x0196:
        r0 = r11.qby;
        r0 = r0.cgO();
        r0.chP();
    L_0x019f:
        r0 = r11.qby;
        r0.onResume();
    L_0x01a4:
        r0 = r11.wakeLock;
        if (r0 != 0) goto L_0x01c3;
    L_0x01a8:
        r0 = "power";
        r0 = r11.getSystemService(r0);
        r0 = (android.os.PowerManager) r0;
        r0 = (android.os.PowerManager) r0;
        r1 = 10;
        r2 = "Scan Lock";
        r0 = r0.newWakeLock(r1, r2);
        r11.wakeLock = r0;
        r0 = r11.wakeLock;
        r0.acquire();
    L_0x01c3:
        r0 = new android.content.Intent;
        r1 = "com.tencent.mm.ui.ACTION_ACTIVE";
        r0.<init>(r1);
        r1 = "classname";
        r2 = r11.getClass();
        r2 = r2.getName();
        r0 = r0.putExtra(r1, r2);
        r1 = "com.tencent.mm.permission.MM_MESSAGE";
        r11.sendBroadcast(r0, r1);
        r0 = r11.qbs;
        if (r0 == 0) goto L_0x01ed;
    L_0x01e4:
        r0 = com.tencent.mm.kernel.g.RO();
        r1 = r11.qbK;
        r0.a(r1);
    L_0x01ed:
        r0 = r11.qbv;
        if (r0 == 0) goto L_0x008d;
    L_0x01f1:
        r0 = r11.qbv;
        r0.onResume();
        goto L_0x008d;
    L_0x01f8:
        r11.qbg = r8;
        r11.cgZ();
        goto L_0x0150;
    L_0x01ff:
        r0 = r5;
        goto L_0x017a;
    L_0x0202:
        r0 = move-exception;
        monitor-exit(r1);	 Catch:{ all -> 0x0202 }
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.scanner.ui.BaseScanUI.onResume():void");
    }

    public void onRequestPermissionsResult(int i, String[] strArr, int[] iArr) {
        AppMethodBeat.i(80953);
        if (iArr == null || iArr.length <= 0) {
            ab.i("MicroMsg.scanner.BaseScanUI", "onRequestPermissionsResult grantResults length 0. requestCode[%d], tid[%d]", new Object[]{Integer.valueOf(i), Long.valueOf(Thread.currentThread().getId())});
            AppMethodBeat.o(80953);
            return;
        }
        ab.i("MicroMsg.scanner.BaseScanUI", "onRequestPermissionsResult requestCode[%d],grantResults[%d] tid[%d]", new Object[]{Integer.valueOf(i), Integer.valueOf(iArr[0]), Long.valueOf(Thread.currentThread().getId())});
        switch (i) {
            case 16:
                if (iArr.length > 0 && iArr[0] == -1) {
                    this.qbB = false;
                    com.tencent.mm.ui.base.h.a((Context) this, getString(2131301920), getString(2131301936), getString(2131300878), getString(2131296868), false, new 4(this), new 5(this));
                    AppMethodBeat.o(80953);
                    return;
                }
            case 76:
                if (iArr.length > 0 && iArr[0] == -1) {
                    this.qbC = false;
                    com.tencent.mm.ui.base.h.a((Context) this, getString(2131301926), getString(2131301936), getString(2131300878), getString(2131296868), false, new 6(this), new 7(this));
                    break;
                }
        }
        AppMethodBeat.o(80953);
    }

    public void onPause() {
        AppMethodBeat.i(80954);
        ab.i("MicroMsg.scanner.BaseScanUI", "onPause(), scanMode: %s, mQBarStringHandler: %s", new Object[]{this.qby, this.qbv});
        this.qbg = true;
        m.qiz.stop();
        if (this.qby != null) {
            this.qby.onPause();
            if (this.qby.cgO() != null) {
                this.qby.cgO().sI();
            }
        }
        if (this.qba != null) {
            String focusMode = this.qba.getFocusMode();
            if (bo.isNullOrNil(focusMode) || !focusMode.equals("continuous-video")) {
                this.gCr[2] = 0;
            } else {
                this.gCr[2] = 1;
            }
        }
        btW();
        if (this.qbe != null) {
            this.qbe.chJ();
            this.qbe.hide();
        }
        if (this.wakeLock != null && this.wakeLock.isHeld()) {
            this.wakeLock.release();
            this.wakeLock = null;
        }
        sendBroadcast(new Intent("com.tencent.mm.ui.ACTION_DEACTIVE").putExtra("classname", getClass().getName()), "com.tencent.mm.permission.MM_MESSAGE");
        g.RO().b(this.qbK);
        if (this.qbv != null) {
            this.qbv.onPause();
        }
        if (this.qbz == 1 || this.qbz == 8 || this.qbz == 4) {
            com.tencent.mm.plugin.scanner.a.m.pZK.bHT();
            int currentTimeMillis = (int) (System.currentTimeMillis() - this.qbE);
            ab.i("MicroMsg.scanner.BaseScanUI", "scan cost time:".concat(String.valueOf(currentTimeMillis)));
            if (com.tencent.mm.plugin.scanner.a.m.pZK.pZM) {
                this.gCr[0] = 1;
            } else {
                this.gCr[0] = 0;
            }
            this.gCr[1] = currentTimeMillis;
            this.gCr[3] = com.tencent.mm.plugin.scanner.a.m.pZK.pZN;
            if (m.qiz.cil() > 0) {
                this.gCr[6] = (int) (m.qiz.cil() - this.qbE);
            }
            this.gCr[7] = this.qbz;
            com.tencent.mm.plugin.report.service.h.pYm.e(14176, new Object[]{Integer.valueOf(this.gCr[0]), Integer.valueOf(this.gCr[1]), Integer.valueOf(this.gCr[2]), Integer.valueOf(this.gCr[3]), Integer.valueOf(this.gCr[4]), Integer.valueOf(this.gCr[5]), Integer.valueOf(this.gCr[6]), Integer.valueOf(this.gCr[7])});
        }
        super.onPause();
        AppMethodBeat.o(80954);
    }

    public void onDestroy() {
        AppMethodBeat.i(80955);
        ab.i("MicroMsg.scanner.BaseScanUI", "onDestroy()");
        if (this.qby != null) {
            this.qby.onDestroy();
        }
        if (this.qbd != null) {
            this.qbd.cht();
        }
        if (this.qaV != null) {
            this.qaV.setSurfaceTextureListener(null);
        }
        com.tencent.mm.sdk.b.a.xxA.d(this.qbQ);
        com.tencent.mm.sdk.b.a.xxA.d(this.qbL);
        com.tencent.mm.sdk.b.a.xxA.d(this.qbJ);
        if (this.qbv != null) {
            this.qbv.chU();
        }
        ScanCameraLightDetector scanCameraLightDetector = ScanCameraLightDetector.qia;
        ab.i("MicroMsg.ScanCameraLightDetector", "stop, isRegister: %s, sensorManager: %s, lightSensor: %s", new Object[]{Boolean.valueOf(scanCameraLightDetector.qid), scanCameraLightDetector.sensorManager, scanCameraLightDetector.qic});
        try {
            scanCameraLightDetector.qib = -1;
            if (scanCameraLightDetector.qie != null) {
                scanCameraLightDetector.qie.quit();
            }
        } catch (Exception e) {
            ab.printErrStackTrace("MicroMsg.ScanCameraLightDetector", e, "stop error: %s", new Object[]{e.getMessage()});
        }
        super.onDestroy();
        AppMethodBeat.o(80955);
    }

    private void cgX() {
        AppMethodBeat.i(80956);
        if (this.qbe != null) {
            FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) this.qbe.getLayoutParams();
            if (this.qbz == 3) {
                layoutParams.topMargin = this.qbc.getTop() - com.tencent.mm.bz.a.fromDPToPix(this, 70);
            } else {
                layoutParams.topMargin = this.qbo.top + (this.qbo.height() - com.tencent.mm.bz.a.fromDPToPix(this, 70));
            }
            ab.c("MicroMsg.scanner.BaseScanUI", "initFlashSwitcher, scanMaskRect: %s, scanLineStart: %s, scanLineEnd: %s", new Object[]{this.qbo, Integer.valueOf(this.qbl), Integer.valueOf(this.qbm)});
            this.qbe.setLayoutParams(layoutParams);
            this.qbe.setOnClickListener(new 8(this));
            if (this.qba == null || !this.qba.otY) {
                this.qbe.setVisibility(8);
            } else {
                this.qbe.setVisibility(0);
                AppMethodBeat.o(80956);
                return;
            }
        }
        AppMethodBeat.o(80956);
    }

    private void cgY() {
        AppMethodBeat.i(80957);
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) this.qbx.getLayoutParams();
        if (this.qbn) {
            layoutParams.width = this.qbj;
            layoutParams.gravity = 1;
        } else {
            layoutParams.height = this.qbk;
            layoutParams.gravity = 48;
            layoutParams.topMargin = this.qbo.top;
        }
        this.qbx.setLayoutParams(layoutParams);
        this.qbx.invalidate();
        this.qbx.setVisibility(0);
        if (this.qbn) {
            this.qbw = new TranslateAnimation(0.0f, 0.0f, (float) this.qbl, (float) this.qbm);
            AppMethodBeat.o(80957);
            return;
        }
        this.qbw = new TranslateAnimation((float) this.qbl, (float) this.qbm, 0.0f, 0.0f);
        AppMethodBeat.o(80957);
    }

    private void e(boolean z, long j) {
        AppMethodBeat.i(80958);
        if (this.qbl < 0 || this.qbm <= 0 || this.qby == null || !this.qby.cgT()) {
            cgZ();
            AppMethodBeat.o(80958);
            return;
        }
        if (z) {
            cgY();
        }
        this.qbM.removeMessages(1);
        if (j <= 0) {
            this.qbM.sendEmptyMessage(1);
            AppMethodBeat.o(80958);
            return;
        }
        cgZ();
        this.qbM.sendEmptyMessageDelayed(1, j);
        AppMethodBeat.o(80958);
    }

    public final void cgZ() {
        AppMethodBeat.i(80959);
        if (!(this.qbx == null || this.qbw == null)) {
            this.qbx.setVisibility(8);
            this.qbx.clearAnimation();
            this.qbx.setAnimation(null);
        }
        AppMethodBeat.o(80959);
    }

    public final void cha() {
        AppMethodBeat.i(80960);
        if (!this.qbg) {
            ay.au(this, 2131302091);
        }
        AppMethodBeat.o(80960);
    }

    private void chb() {
        AppMethodBeat.i(80961);
        al.n(new 10(this), 25);
        AppMethodBeat.o(80961);
    }

    private void chc() {
        AppMethodBeat.i(80962);
        this.qba.a(new 11(this));
        AppMethodBeat.o(80962);
    }

    private void startPreview() {
        AppMethodBeat.i(80963);
        int[] e;
        try {
            if (this.lZT || this.qba == null) {
                ab.w("MicroMsg.scanner.BaseScanUI", "scanCamera == null, in startPreview");
                AppMethodBeat.o(80963);
            } else if (!this.qba.isOpen()) {
                ab.w("MicroMsg.scanner.BaseScanUI", "camera not open");
                AppMethodBeat.o(80963);
            } else if (this.qaW == null) {
                ab.w("MicroMsg.scanner.BaseScanUI", "preview surface in null in startPreview");
                AppMethodBeat.o(80963);
            } else if (this.qba.lUE) {
                ab.w("MicroMsg.scanner.BaseScanUI", "camera is previewing");
                AppMethodBeat.o(80963);
            } else {
                ab.d("MicroMsg.scanner.BaseScanUI", "camera startPreview.");
                Object obj = this.cli;
                synchronized (obj) {
                    chc();
                    this.qba.h(this.qaW);
                    ab.d("MicroMsg.scanner.BaseScanUI", "camera startPreview. done");
                    e = this.gCr;
                    if (e == null && this.qba.getFocusMode().equals("continuous-video")) {
                        e = this.qba;
                        e.cancelAutoFocus();
                        AppMethodBeat.o(80963);
                    }
                    if (com.tencent.mm.compatible.e.q.etc.ers > 0) {
                        jK((long) ((int) (((float) com.tencent.mm.compatible.e.q.etc.ers) * ae.gjj)));
                    }
                    jL(0);
                    AppMethodBeat.o(80963);
                }
            }
        } catch (Exception e2) {
            e = e2;
            String str = "MicroMsg.scanner.BaseScanUI";
            String str2 = "Exception in scanCamera.startPreview(), [%s]";
        } finally {
            int i = 80963;
            AppMethodBeat.o(80963);
        }
    }

    private void btW() {
        AppMethodBeat.i(80964);
        d.post(new 13(this), "BaseScanUI_closeCamera");
        AppMethodBeat.o(80964);
    }

    private void chd() {
        AppMethodBeat.i(80965);
        if (this.qbf) {
            AppMethodBeat.o(80965);
            return;
        }
        this.qbf = true;
        kj(true);
        mi miVar = new mi();
        miVar.cIm.type = 2;
        com.tencent.mm.sdk.b.a.xxA.m(miVar);
        if (miVar.cIn.cIl) {
            ab.i("MicroMsg.scanner.BaseScanUI", "Permission dialog showed");
            this.qbg = true;
            btW();
            bwV();
            overridePendingTransition(0, 0);
            AppMethodBeat.o(80965);
            return;
        }
        com.tencent.mm.ui.widget.a.c a = com.tencent.mm.ui.base.h.a((Context) this, getString(2131302760), getString(2131297061), new 14(this));
        if (a == null) {
            ab.d("MicroMsg.scanner.BaseScanUI", "comfirmDialog == null");
            AppMethodBeat.o(80965);
            return;
        }
        a.setCancelable(false);
        a.setCanceledOnTouchOutside(false);
        a.show();
        AppMethodBeat.o(80965);
    }

    public final void che() {
        AppMethodBeat.i(80966);
        try {
            chf();
            if (this.qby == null) {
                ab.d("MicroMsg.scanner.BaseScanUI", "initBodyByScanMode null scanMode");
                AppMethodBeat.o(80966);
                return;
            }
            this.qby.e(this.qbb);
            Rect H = this.qby.H(true, Lt());
            FrameLayout.LayoutParams layoutParams = new FrameLayout.LayoutParams(H.width(), H.height(), 3);
            layoutParams.leftMargin = H.left;
            layoutParams.topMargin = H.top;
            this.qbj = H.width();
            this.qbk = H.height();
            ab.d("MicroMsg.scanner.BaseScanUI", "mask : leftMargin=[%s], topMargin=[%s], width=[%s], height=[%s]", new Object[]{Integer.valueOf(layoutParams.leftMargin), Integer.valueOf(layoutParams.topMargin), Integer.valueOf(this.qbj), Integer.valueOf(this.qbk)});
            H = new Rect(layoutParams.leftMargin, layoutParams.topMargin, layoutParams.leftMargin + this.qbj, layoutParams.topMargin + this.qbk);
            if (this.qbb.x - H.right < H.left) {
                ab.w("MicroMsg.scanner.BaseScanUI", "this is a special device");
                if (this.qbb.x - H.left > H.left) {
                    H.right = this.qbb.x - H.left;
                }
            }
            if (this.qbd != null) {
                Rect maskRect = this.qbd.getMaskRect();
                this.qbd.cht();
                this.qbd = new ScanMaskView(this, maskRect);
            } else {
                this.qbd = new ScanMaskView(this, H);
            }
            layoutParams = new FrameLayout.LayoutParams(-1, -1);
            this.qbd.setLayoutParams(layoutParams);
            if (this.qbz == 3 && r.cio()) {
                this.qbd.setMaskAnimaListener(new 15(this));
            }
            this.qaZ.removeAllViews();
            View.inflate(this, this.qby.cgP(), this.qaZ);
            this.qby.dw(this.qaZ.getChildAt(0));
            this.qby.cgR();
            this.qby.dx(this.qaZ);
            this.qaZ.addView(this.qbd, 0, layoutParams);
            this.qbd.k(H);
            this.qby.j(H);
            this.qbd.setBackgroundColor(0);
            ab.d("MicroMsg.scanner.BaseScanUI", "newRect = %s", new Object[]{H});
            if (this.qbn) {
                this.qbl = H.top;
                this.qbm = H.bottom - BackwardSupportUtil.b.b(this, 8.0f);
                this.qbo = H;
            } else {
                this.qbl = H.left;
                this.qbm = H.right - BackwardSupportUtil.b.b(this, 8.0f);
                this.qbo = H;
            }
            cgX();
            if (!this.qbs || this.qbh) {
                e(true, ((long) this.qbd.getMaskAnimDuration()) + 150);
                if (!(this.qbp == null || this.qbq == null)) {
                    this.qbp.setVisibility(8);
                    this.qbq.setVisibility(8);
                }
            } else if (!(this.qbp == null || this.qbq == null)) {
                this.qbp.setText(2131302758);
                this.qbq.setVisibility(0);
                this.qbp.setVisibility(0);
            }
            if (this.qba != null && this.qba.isOpen()) {
                this.qba.e(this.qbb);
                this.qby.kn(chh());
                this.qby.f(this.qba.lUF);
            }
            AppMethodBeat.o(80966);
        } catch (Exception e) {
            ab.printErrStackTrace("MicroMsg.scanner.BaseScanUI", e, "", new Object[0]);
            AppMethodBeat.o(80966);
        }
    }

    public void onStart() {
        AppMethodBeat.i(80967);
        super.onStart();
        AppMethodBeat.o(80967);
    }

    private void chf() {
        AppMethodBeat.i(80968);
        Rect rect = new Rect();
        getWindow().getDecorView().getWindowVisibleDisplayFrame(rect);
        this.qbb = new Point(rect.width(), rect.height());
        ab.d("MicroMsg.scanner.BaseScanUI", "update visible rect:%s", new Object[]{this.qbb});
        AppMethodBeat.o(80968);
    }

    public final void X(int i, long j) {
        AppMethodBeat.i(80969);
        this.qbO.removeMessages(0);
        this.qbO.sendEmptyMessageDelayed(i, j);
        this.qbc.setSelectedMode(i);
        AppMethodBeat.o(80969);
    }

    public final void jK(long j) {
        AppMethodBeat.i(80970);
        ab.i("MicroMsg.scanner.BaseScanUI", "takeOneShotDelay: %s", new Object[]{Long.valueOf(j)});
        this.qbP.removeMessages(0);
        if (this.qbg) {
            ab.w("MicroMsg.scanner.BaseScanUI", "takeOneShotDelay() scanPause");
            AppMethodBeat.o(80970);
            return;
        }
        this.qbP.sendEmptyMessageDelayed(0, j);
        AppMethodBeat.o(80970);
    }

    public final void jL(long j) {
        AppMethodBeat.i(80971);
        if (!(this.qba == null || this.qbg || !this.qba.lUE)) {
            ab.d("MicroMsg.scanner.BaseScanUI", "focus delay:".concat(String.valueOf(j)));
            String focusMode = this.qba.getFocusMode();
            if (bo.isNullOrNil(focusMode) || !focusMode.equals("continuous-video")) {
                this.qbR.removeMessages(0);
                this.qbR.sendEmptyMessageDelayed(0, j);
            } else {
                jK(0);
                AppMethodBeat.o(80971);
                return;
            }
        }
        AppMethodBeat.o(80971);
    }

    public void onPreviewFrame(byte[] bArr, Camera camera) {
        AppMethodBeat.i(80972);
        String str = "MicroMsg.scanner.BaseScanUI";
        String str2 = "onPreviewFrame, data==null: %s, camera: %s";
        Object[] objArr = new Object[2];
        objArr[0] = Boolean.valueOf(bArr == null);
        objArr[1] = camera;
        ab.i(str, str2, objArr);
        if (this.qbg || this.qby == null || this.qby.cgO() == null || this.qby.H(false, Lt()) == null) {
            ab.w("MicroMsg.scanner.BaseScanUI", "onPreviewFrame error state, scanPause = [%s]", new Object[]{Boolean.valueOf(this.qbg)});
            AppMethodBeat.o(80972);
        } else if (bArr == null || bArr.length <= 0) {
            str = "MicroMsg.scanner.BaseScanUI";
            str2 = "onPreviewFrame, wrong data, data is null [%s]";
            objArr = new Object[1];
            objArr[0] = Boolean.valueOf(bArr == null);
            ab.e(str, str2, objArr);
            chd();
            AppMethodBeat.o(80972);
        } else if (this.qba == null) {
            ab.e("MicroMsg.scanner.BaseScanUI", "onPreviewFrame, scanCamera == null, finish this activity");
            AppMethodBeat.o(80972);
        } else {
            try {
                int i;
                if (this.qba != null) {
                    Object obj;
                    h hVar = this.qba;
                    if (hVar.qhV < 0) {
                        hVar.qhV = hVar.cif() ? 1 : 0;
                    }
                    if (hVar.qhV == 1) {
                        obj = 1;
                    } else {
                        obj = null;
                    }
                    if (!(obj == null || this.qba.otY || !this.qbh)) {
                        ScanCameraLightDetector scanCameraLightDetector = ScanCameraLightDetector.qia;
                        int i2 = this.qba.lUF.x;
                        i = this.qba.lUF.y;
                        if (scanCameraLightDetector.qib < 0 || (bo.az(scanCameraLightDetector.qib) >= 1000 && scanCameraLightDetector.handler != null && scanCameraLightDetector.qie != null && scanCameraLightDetector.qie.isAlive())) {
                            ScanCameraLightDetector.a aVar = new ScanCameraLightDetector.a(scanCameraLightDetector, (byte) 0);
                            aVar.ovq = bArr;
                            aVar.width = i2;
                            aVar.height = i;
                            Message obtain = Message.obtain();
                            obtain.what = com.tencent.view.d.MIC_PTU_MEISHI;
                            obtain.obj = aVar;
                            scanCameraLightDetector.handler.sendMessage(obtain);
                            scanCameraLightDetector.qib = bo.yz();
                        }
                    }
                }
                if (!(this.qba == null || this.qbg)) {
                    i iVar = this.qby;
                    Point point = this.qba.lUF;
                    i = this.qba.lUJ;
                    h hVar2 = this.qba;
                    Rect km = this.qby.km(Lt());
                    int i3 = this.qbz;
                    Rect rect = new Rect();
                    ab.i("MicroMsg.scanner.ScanCamera", "frame rect:%s, visibleResolution:%s, cameraResolution %s", new Object[]{km, hVar2.lUH, hVar2.lUF});
                    if (!hVar2.lUI || hVar2.qhS) {
                        rect.left = (int) (((float) km.left) * hVar2.chX());
                        rect.right = (int) (((float) km.right) * hVar2.chX());
                        rect.top = (int) (((float) km.top) * hVar2.chY());
                        rect.bottom = (int) (((float) km.bottom) * hVar2.chY());
                        if (rect.bottom > hVar2.lUF.y) {
                            rect.bottom = hVar2.lUF.y;
                        }
                        if (rect.right > hVar2.lUF.x) {
                            rect.right = hVar2.lUF.x;
                        }
                    } else {
                        ab.i("MicroMsg.scanner.ScanCamera", ", needRotate = " + hVar2.lUI + " needLandscape = " + hVar2.qhS);
                        rect.top = (hVar2.lUF.x - ((int) (((float) km.height()) * hVar2.chY()))) / 2;
                        rect.bottom = hVar2.lUF.x - rect.top;
                        rect.left = (hVar2.lUF.y - ((int) (((float) km.width()) * hVar2.chX()))) / 2;
                        rect.right = hVar2.lUF.y - rect.left;
                    }
                    if (7 == i3 || 11 == i3) {
                        int width;
                        if (!hVar2.lUI || hVar2.qhS) {
                            if ((((double) rect.width()) * 1.0d) / ((double) rect.height()) < 1.5859999656677246d) {
                                width = (int) (((float) rect.width()) / 1.586f);
                                rect.top = ((rect.top + rect.bottom) / 2) - (width / 2);
                                rect.bottom = width + rect.top;
                            } else {
                                width = (int) (((float) rect.height()) * 1.586f);
                                rect.left = ((rect.left + rect.right) / 2) - (width / 2);
                                rect.right = width + rect.left;
                            }
                        } else if (((float) rect.height()) / 1.586f < ((float) rect.width())) {
                            width = (int) (((float) rect.height()) / 1.586f);
                            rect.left = ((rect.left + rect.right) / 2) - (width / 2);
                            rect.right = width + rect.left;
                        } else {
                            width = (int) (((float) rect.width()) * 1.586f);
                            rect.top = ((rect.top + rect.bottom) / 2) - (width / 2);
                            rect.bottom = width + rect.top;
                        }
                    }
                    ab.i("MicroMsg.scanner.ScanCamera", "resultRect %s", new Object[]{rect});
                    hVar2.lQX = rect;
                    hVar2.cib();
                    ab.i("MicroMsg.scanner.ScanCamera", "scanRect:" + hVar2.lQX);
                    iVar.a(bArr, point, i, hVar2.lQX);
                }
                AppMethodBeat.o(80972);
            } catch (Exception e) {
                ab.printErrStackTrace("MicroMsg.scanner.BaseScanUI", e, "onPreviewFrame exception", new Object[0]);
                AppMethodBeat.o(80972);
            }
        }
    }

    public void onAutoFocus(boolean z, Camera camera) {
        AppMethodBeat.i(80973);
        ab.i("MicroMsg.scanner.BaseScanUI", "onAutoFocus, success: %s, camera: %s", new Object[]{Boolean.valueOf(z), camera});
        this.gCr[4] = (int) (System.currentTimeMillis() - this.qbF);
        com.tencent.mm.compatible.e.q.etc.ers = (long) this.gCr[4];
        if (this.qbg) {
            AppMethodBeat.o(80973);
        } else if (this.qby == null) {
            AppMethodBeat.o(80973);
        } else {
            if (this.qba != null && this.qba.lUE && z) {
                jK(0);
            }
            if (this.qby.qel > 0) {
                jL(this.qby.qel);
            }
            AppMethodBeat.o(80973);
        }
    }

    public final void a(i.a aVar) {
        this.qbi = aVar;
    }

    public final void chg() {
        AppMethodBeat.i(80974);
        Intent intent = new Intent();
        intent.putExtra("preview_ui_title", 2131302778);
        com.tencent.mm.pluginsdk.ui.tools.n.a(this, 4660, intent);
        AppMethodBeat.o(80974);
    }

    public void onActivityResult(int i, int i2, Intent intent) {
        AppMethodBeat.i(80975);
        if (this.qbi != null) {
            this.qbi.c(this, i, i2, intent);
        }
        AppMethodBeat.o(80975);
    }

    public final void kj(boolean z) {
        AppMethodBeat.i(80976);
        this.qbg = z;
        if (z) {
            cgZ();
            if (this.qbq != null) {
                this.qbq.setVisibility(0);
                AppMethodBeat.o(80976);
                return;
            }
        }
        jL(0);
        e(false, 0);
        if (this.qbq != null) {
            this.qbq.setVisibility(8);
        }
        AppMethodBeat.o(80976);
    }

    public final void b(int i, final OnClickListener onClickListener) {
        AppMethodBeat.i(80977);
        if (this.qaX != null) {
            if (getIntent().getBooleanExtra("key_is_hide_right_btn", false)) {
                this.qaX.setVisibility(8);
                AppMethodBeat.o(80977);
                return;
            } else if (onClickListener != null) {
                this.qaX.setVisibility(i);
                this.qaX.setOnClickListener(onClickListener);
                this.qaY.setBackgroundDrawable(null);
                this.qaY.setText(getString(2131302915));
                AppMethodBeat.o(80977);
                return;
            }
        } else if (!getIntent().getBooleanExtra("key_is_hide_right_btn", false)) {
            if (onClickListener != null) {
                addIconOptionMenu(0, 2131230740, new OnMenuItemClickListener() {
                    public final boolean onMenuItemClick(MenuItem menuItem) {
                        AppMethodBeat.i(138478);
                        com.tencent.mm.ui.widget.a.d dVar = new com.tencent.mm.ui.widget.a.d(BaseScanUI.this.mController.ylL, 1, false);
                        dVar.rBl = new 1(this);
                        dVar.rBm = new 2(this);
                        dVar.cpD();
                        AppMethodBeat.o(138478);
                        return false;
                    }
                });
                AppMethodBeat.o(80977);
                return;
            }
            removeOptionMenu(0);
        }
        AppMethodBeat.o(80977);
    }

    public final boolean chh() {
        AppMethodBeat.i(80978);
        if (this.qba == null || !this.qba.isOpen()) {
            ab.d("MicroMsg.scanner.BaseScanUI", "scanCamera == null or scanCamera is not open, cameraNeedRotate return false");
            AppMethodBeat.o(80978);
            return false;
        }
        boolean z = this.qba.lUI;
        AppMethodBeat.o(80978);
        return z;
    }

    public final void chi() {
        AppMethodBeat.i(80979);
        bwV();
        AppMethodBeat.o(80979);
    }

    public final void chj() {
        AppMethodBeat.i(80980);
        super.finish();
        AppMethodBeat.o(80980);
    }

    private void bwV() {
        AppMethodBeat.i(80981);
        ps psVar = new ps();
        psVar.cLW.bJt = 1;
        com.tencent.mm.sdk.b.a.xxA.m(psVar);
        setResult(0);
        finish();
        AppMethodBeat.o(80981);
    }

    private boolean Lt() {
        AppMethodBeat.i(80982);
        if (7 == this.qbz || 9 == this.qbz || 10 == this.qbz || 11 == this.qbz || com.tencent.mm.compatible.e.d.Lt()) {
            AppMethodBeat.o(80982);
            return true;
        }
        AppMethodBeat.o(80982);
        return false;
    }

    public final void a(String str, int i, int i2, int i3, e.a aVar) {
        AppMethodBeat.i(80983);
        ab.i("MicroMsg.scanner.BaseScanUI", "dealQBarString, qbarString: %s, codeType: %s, codeVersion: %s", new Object[]{str, Integer.valueOf(i2), Integer.valueOf(i3)});
        if (this.qbv != null) {
            this.qbv.chU();
        }
        Bundle bundleExtra = getIntent().getBundleExtra("_stat_obj");
        this.qbv = new e();
        this.qbv.a(this, str, i, i2, i3, aVar, bundleExtra);
        if (this.qbz == 1 || this.qbz == 8 || this.qbz == 4) {
            com.tencent.mm.plugin.scanner.a.m mVar = com.tencent.mm.plugin.scanner.a.m.pZK;
            int i4 = com.tencent.mm.plugin.scanner.a.m.pZH;
        }
        AppMethodBeat.o(80983);
    }

    public void onConfigurationChanged(Configuration configuration) {
        AppMethodBeat.i(80984);
        super.onConfigurationChanged(configuration);
        ab.i("MicroMsg.scanner.BaseScanUI", "screen orientation %d", new Object[]{Integer.valueOf(configuration.orientation)});
        if (configuration.orientation == 2 || configuration.orientation == 1) {
            al.n(new 21(this), 100);
        }
        AppMethodBeat.o(80984);
    }

    public void onSurfaceTextureAvailable(SurfaceTexture surfaceTexture, int i, int i2) {
        AppMethodBeat.i(80985);
        ab.d("MicroMsg.scanner.BaseScanUI", "onSurfaceTextureAvailable");
        this.qaV.dAh();
        this.qaW = surfaceTexture;
        this.qbt = true;
        if (this.qbu) {
            chb();
            this.qbu = false;
        }
        startPreview();
        AppMethodBeat.o(80985);
    }

    public void onSurfaceTextureSizeChanged(SurfaceTexture surfaceTexture, int i, int i2) {
        AppMethodBeat.i(80986);
        ab.d("MicroMsg.scanner.BaseScanUI", "onSurfaceTextureSizeChanged");
        this.qaW = surfaceTexture;
        AppMethodBeat.o(80986);
    }

    public boolean onSurfaceTextureDestroyed(SurfaceTexture surfaceTexture) {
        AppMethodBeat.i(80987);
        ab.d("MicroMsg.scanner.BaseScanUI", "onSurfaceTextureDestroyed");
        this.qbt = false;
        AppMethodBeat.o(80987);
        return false;
    }

    public void onSurfaceTextureUpdated(SurfaceTexture surfaceTexture) {
    }

    /* JADX WARNING: Missing block: B:31:0x0092, code skipped:
            com.tencent.matrix.trace.core.AppMethodBeat.o(80988);
     */
    /* JADX WARNING: Missing block: B:43:?, code skipped:
            return;
     */
    public final void ah(int r11, int r12, int r13) {
        /*
        r10 = this;
        r9 = 6;
        r8 = 2;
        r7 = 80988; // 0x13c5c float:1.13488E-40 double:4.00134E-319;
        r6 = 1;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r7);
        r1 = r10.cli;
        monitor-enter(r1);
        r0 = r10.lZT;	 Catch:{ all -> 0x009c }
        if (r0 != 0) goto L_0x0091;
    L_0x0010:
        r0 = r10.qba;	 Catch:{ all -> 0x009c }
        if (r0 == 0) goto L_0x0091;
    L_0x0014:
        r0 = r10.qba;	 Catch:{ all -> 0x009c }
        r0 = r0.lUE;	 Catch:{ all -> 0x009c }
        if (r0 == 0) goto L_0x0091;
    L_0x001a:
        r0 = "MicroMsg.scanner.BaseScanUI";
        r2 = "zoom camera,action:%d,type:%d,scale:%d";
        r3 = 3;
        r3 = new java.lang.Object[r3];	 Catch:{ all -> 0x009c }
        r4 = 0;
        r5 = java.lang.Integer.valueOf(r11);	 Catch:{ all -> 0x009c }
        r3[r4] = r5;	 Catch:{ all -> 0x009c }
        r4 = 1;
        r5 = java.lang.Integer.valueOf(r12);	 Catch:{ all -> 0x009c }
        r3[r4] = r5;	 Catch:{ all -> 0x009c }
        r4 = 2;
        r5 = java.lang.Integer.valueOf(r13);	 Catch:{ all -> 0x009c }
        r3[r4] = r5;	 Catch:{ all -> 0x009c }
        com.tencent.mm.sdk.platformtools.ab.i(r0, r2, r3);	 Catch:{ all -> 0x009c }
        r0 = r10.qba;	 Catch:{ all -> 0x009c }
        r2 = r0.cid();	 Catch:{ all -> 0x009c }
        r0 = r10.qbz;	 Catch:{ all -> 0x009c }
        if (r0 == r6) goto L_0x0050;
    L_0x0045:
        r0 = r10.qbz;	 Catch:{ all -> 0x009c }
        r3 = 8;
        if (r0 == r3) goto L_0x0050;
    L_0x004b:
        r0 = r10.qbz;	 Catch:{ all -> 0x009c }
        r3 = 4;
        if (r0 != r3) goto L_0x00a2;
    L_0x0050:
        if (r12 != r6) goto L_0x006a;
    L_0x0052:
        r0 = r10.qby;	 Catch:{ all -> 0x009c }
        r0 = (com.tencent.mm.plugin.scanner.ui.p) r0;	 Catch:{ all -> 0x009c }
        r0 = r0.chy();	 Catch:{ all -> 0x009c }
        if (r0 != 0) goto L_0x006a;
    L_0x005c:
        r0 = "MicroMsg.scanner.BaseScanUI";
        r2 = "auto zoom is disable";
        com.tencent.mm.sdk.platformtools.ab.d(r0, r2);	 Catch:{ all -> 0x009c }
        monitor-exit(r1);	 Catch:{ all -> 0x009c }
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
    L_0x0069:
        return;
    L_0x006a:
        if (r11 != r9) goto L_0x0096;
    L_0x006c:
        r0 = r10.qba;	 Catch:{ all -> 0x009c }
        r0.Ce(r13);	 Catch:{ all -> 0x009c }
    L_0x0071:
        if (r12 != r8) goto L_0x007a;
    L_0x0073:
        r0 = r10.qby;	 Catch:{ all -> 0x009c }
        r0 = (com.tencent.mm.plugin.scanner.ui.p) r0;	 Catch:{ all -> 0x009c }
        r0.chx();	 Catch:{ all -> 0x009c }
    L_0x007a:
        r0 = r10.qba;	 Catch:{ all -> 0x009c }
        r0 = r0.cid();	 Catch:{ all -> 0x009c }
        if (r0 == r2) goto L_0x0091;
    L_0x0082:
        r0 = com.tencent.mm.plugin.scanner.a.m.pZK;	 Catch:{ all -> 0x009c }
        r2 = r10.qba;	 Catch:{ all -> 0x009c }
        r2.cid();	 Catch:{ all -> 0x009c }
        if (r12 != r6) goto L_0x00b0;
    L_0x008b:
        r2 = r0.pZX;	 Catch:{ all -> 0x009c }
        r2 = r2 | 1;
        r0.pZX = r2;	 Catch:{ all -> 0x009c }
    L_0x0091:
        monitor-exit(r1);	 Catch:{ all -> 0x009c }
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
        goto L_0x0069;
    L_0x0096:
        r0 = r10.qba;	 Catch:{ all -> 0x009c }
        r0.Cf(r11);	 Catch:{ all -> 0x009c }
        goto L_0x0071;
    L_0x009c:
        r0 = move-exception;
        monitor-exit(r1);	 Catch:{ all -> 0x009c }
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
        throw r0;
    L_0x00a2:
        if (r11 != r9) goto L_0x00aa;
    L_0x00a4:
        r0 = r10.qba;	 Catch:{ all -> 0x009c }
        r0.Ce(r13);	 Catch:{ all -> 0x009c }
        goto L_0x007a;
    L_0x00aa:
        r0 = r10.qba;	 Catch:{ all -> 0x009c }
        r0.Cf(r11);	 Catch:{ all -> 0x009c }
        goto L_0x007a;
    L_0x00b0:
        if (r12 != r8) goto L_0x0091;
    L_0x00b2:
        r2 = r0.pZX;	 Catch:{ all -> 0x009c }
        r2 = r2 | 2;
        r0.pZX = r2;	 Catch:{ all -> 0x009c }
        goto L_0x0091;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.scanner.ui.BaseScanUI.ah(int, int, int):void");
    }

    public final void chk() {
        AppMethodBeat.i(80989);
        if (!(this.lZT || this.qba == null || this.qbg)) {
            String focusMode = this.qba.getFocusMode();
            if (!(bo.isNullOrNil(focusMode) || focusMode.equals("auto"))) {
                h hVar = this.qba;
                try {
                    if (hVar.erH != null && hVar.lUE) {
                        Parameters parameters = hVar.erH.getParameters();
                        List supportedFocusModes = parameters.getSupportedFocusModes();
                        if (!(supportedFocusModes == null || !supportedFocusModes.contains("auto") || bo.isNullOrNil(parameters.getFocusMode()) || parameters.getFocusMode().equals("auto"))) {
                            parameters.setFocusMode("auto");
                            hVar.erH.setParameters(parameters);
                        }
                    }
                } catch (Exception e) {
                    ab.w("MicroMsg.scanner.ScanCamera", "setFocusModeAuto %s", new Object[]{e.getMessage()});
                }
                jL(0);
            }
        }
        AppMethodBeat.o(80989);
    }

    public final /* bridge */ /* synthetic */ Activity getContext() {
        return this.mController.ylL;
    }

    static /* synthetic */ void l(BaseScanUI baseScanUI) {
        AppMethodBeat.i(80991);
        ab.d("MicroMsg.scanner.BaseScanUI", "backBtn onClick");
        baseScanUI.qbg = true;
        baseScanUI.bwV();
        baseScanUI.overridePendingTransition(0, 0);
        AppMethodBeat.o(80991);
    }
}
