package com.tencent.mm.plugin.wallet.balance.ui;

import android.graphics.drawable.ColorDrawable;
import android.os.Build.VERSION;
import android.os.Bundle;
import android.view.View;
import android.view.Window;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.ImageView.ScaleType;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ai.m;
import com.tencent.mm.plugin.wallet_core.id_verify.util.RealnameGuideHelper;
import com.tencent.mm.plugin.wallet_core.model.Orders;
import com.tencent.mm.plugin.wallet_core.model.Orders.Commodity;
import com.tencent.mm.plugin.wallet_core.model.j;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.ui.base.a;
import com.tencent.mm.wallet_core.ui.WalletBaseUI;
import com.tencent.mm.wallet_core.ui.e;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import org.json.JSONArray;
import org.json.JSONException;

@a(19)
public class WalletBalanceFetchResultUI extends WalletBaseUI {
    private LinearLayout nsy;
    private ImageView pNb;
    private ImageView pNc;
    private ImageView pNd;
    private TextView pNe;
    private TextView pNf;
    private TextView pNg;
    private TextView pNh;
    private TextView pNi;
    private TextView pNj;
    private Orders pWy;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(45350);
        super.onCreate(bundle);
        getSupportActionBar().setBackgroundDrawable(new ColorDrawable(getResources().getColor(2131690691)));
        View customView = getSupportActionBar().getCustomView();
        if (customView != null) {
            View findViewById = customView.findViewById(2131821128);
            if (findViewById != null) {
                findViewById.setBackgroundColor(getResources().getColor(2131690157));
            }
            customView = customView.findViewById(16908308);
            if (customView != null && (customView instanceof TextView)) {
                ((TextView) customView).setTextColor(getResources().getColor(2131689761));
            }
        }
        if (VERSION.SDK_INT >= 21) {
            Window window = getWindow();
            window.addFlags(Integer.MIN_VALUE);
            window.setStatusBarColor(getResources().getColor(2131690691));
            if (VERSION.SDK_INT >= 23) {
                getWindow().getDecorView().setSystemUiVisibility(8192);
            }
        }
        this.mController.contentView.setFitsSystemWindows(true);
        this.pWy = (Orders) this.mBundle.getParcelable("key_orders");
        if (this.pWy == null) {
            ab.w("MicroMsg.WalletBalanceFetchResultUI", "order is null!");
            finish();
            AppMethodBeat.o(45350);
            return;
        }
        initView();
        setMMTitle((String) dOE().Au(0));
        setBackBtn(new 1(this));
        AppMethodBeat.o(45350);
    }

    public final void initView() {
        AppMethodBeat.i(45351);
        this.pNb = (ImageView) findViewById(2131821647);
        this.pNc = (ImageView) findViewById(2131821651);
        this.pNd = (ImageView) findViewById(2131821655);
        this.pNb.setImageResource(2130837843);
        this.pNc.setScaleType(ScaleType.CENTER_CROP);
        this.pNc.setImageResource(2131231871);
        this.pNd.setImageResource(2130837844);
        this.pNe = (TextView) findViewById(2131821648);
        this.pNf = (TextView) findViewById(2131821652);
        this.pNg = (TextView) findViewById(2131821656);
        this.pNe.setText(2131304547);
        this.pNf.setText(2131304545);
        this.pNf.setTextColor(getResources().getColor(2131690316));
        this.pNg.setText(2131304542);
        this.pNh = (TextView) findViewById(2131821649);
        this.pNi = (TextView) findViewById(2131821653);
        this.pNj = (TextView) findViewById(2131821657);
        this.pNh.setVisibility(8);
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm");
        this.pNi.setText(getString(2131304533, new Object[]{simpleDateFormat.format(new Date(this.pWy.tAk))}));
        this.pNi.setVisibility(0);
        this.pNj.setVisibility(8);
        this.nsy = (LinearLayout) findViewById(2131821660);
        this.nsy.setBackgroundResource(2130837842);
        String string = this.mBundle.getString("key_fetch_result_show_info");
        ArrayList<j.a> arrayList = new ArrayList();
        if (!bo.isNullOrNil(string)) {
            try {
                JSONArray jSONArray = new JSONArray(string);
                for (int i = 0; i < jSONArray.length(); i++) {
                    j.a az = j.a.az(jSONArray.optJSONObject(i));
                    if (az != null) {
                        arrayList.add(az);
                    }
                }
            } catch (JSONException e) {
                ab.printErrStackTrace("MicroMsg.WalletBalanceFetchResultUI", e, "", new Object[0]);
            }
        }
        ab.d("MicroMsg.WalletBalanceFetchResultUI", "show info: %s", new Object[]{Integer.valueOf(arrayList.size())});
        WalletBalanceFetchResultItemView walletBalanceFetchResultItemView;
        String str;
        if (arrayList.isEmpty()) {
            walletBalanceFetchResultItemView = new WalletBalanceFetchResultItemView(this, true);
            walletBalanceFetchResultItemView.b(2131304569, e.e(this.pWy.pTN, this.pWy.pcl));
            this.nsy.addView(walletBalanceFetchResultItemView);
            if (this.pWy.pPp > 0.0d) {
                walletBalanceFetchResultItemView = new WalletBalanceFetchResultItemView(this, true);
                walletBalanceFetchResultItemView.b(2131304561, e.e(this.pWy.pPp, this.pWy.pcl));
                this.nsy.addView(walletBalanceFetchResultItemView);
            }
            if (this.pWy.tAq != null && this.pWy.tAq.size() > 0) {
                CharSequence charSequence;
                Commodity commodity = (Commodity) this.pWy.tAq.get(0);
                str = commodity.pcj;
                if (bo.isNullOrNil(commodity.tAT)) {
                    Object charSequence2 = str;
                } else {
                    charSequence2 = str + " " + getString(2131305177) + commodity.tAT;
                }
                WalletBalanceFetchResultItemView walletBalanceFetchResultItemView2 = new WalletBalanceFetchResultItemView(this);
                walletBalanceFetchResultItemView2.b(2131304529, charSequence2);
                this.nsy.addView(walletBalanceFetchResultItemView2);
            }
        } else {
            for (j.a aVar : arrayList) {
                if (aVar.tzj != null) {
                    boolean z;
                    boolean z2;
                    if (aVar.id != 3) {
                        z = true;
                    } else {
                        z = false;
                    }
                    walletBalanceFetchResultItemView = new WalletBalanceFetchResultItemView(this, z);
                    str = aVar.tzj.name;
                    String str2 = aVar.tzj.value;
                    String str3 = aVar.tzj.mVA;
                    String str4 = aVar.tzj.tBF;
                    if (aVar.id == 3) {
                        z2 = true;
                    } else {
                        z2 = false;
                    }
                    walletBalanceFetchResultItemView.a(str, str2, str3, str4, z2);
                    this.nsy.addView(walletBalanceFetchResultItemView);
                }
            }
        }
        ((Button) findViewById(2131821663)).setOnClickListener(new 2(this));
        findViewById(2131821658).setVisibility(8);
        findViewById(2131821661).setVisibility(8);
        AppMethodBeat.o(45351);
    }

    public final boolean c(int i, int i2, String str, m mVar) {
        return false;
    }

    public final int getLayoutId() {
        return 2130968816;
    }

    static /* synthetic */ void a(WalletBalanceFetchResultUI walletBalanceFetchResultUI) {
        AppMethodBeat.i(45352);
        if (walletBalanceFetchResultUI.mBundle.containsKey("key_realname_guide_helper")) {
            RealnameGuideHelper realnameGuideHelper = (RealnameGuideHelper) walletBalanceFetchResultUI.mBundle.getParcelable("key_realname_guide_helper");
            if (realnameGuideHelper != null) {
                Bundle bundle = new Bundle();
                bundle.putString("realname_verify_process_jump_activity", ".balance.ui.WalletBalanceResultUI");
                bundle.putString("realname_verify_process_jump_plugin", "wallet");
                realnameGuideHelper.b(walletBalanceFetchResultUI, bundle, new 3(walletBalanceFetchResultUI));
                walletBalanceFetchResultUI.mBundle.remove("key_realname_guide_helper");
            }
            AppMethodBeat.o(45352);
            return;
        }
        walletBalanceFetchResultUI.dOD().a(walletBalanceFetchResultUI, 0, walletBalanceFetchResultUI.mBundle);
        AppMethodBeat.o(45352);
    }
}
