package com.tencent.mm.plugin.webview.modeltools;

import android.content.ClipData;
import android.content.ClipData.Item;
import android.content.ClipboardManager;
import android.content.ClipboardManager.OnPrimaryClipChangedListener;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ipcinvoker.extension.XIPCInvoker;
import com.tencent.mm.plugin.webview.ui.tools.WebViewUI;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import java.nio.charset.Charset;

public final class WebViewClipBoardHelper implements OnPrimaryClipChangedListener {
    private long lastReportTime = 0;
    private WebViewUI upw;
    public ClipboardManager upx;

    public WebViewClipBoardHelper(WebViewUI webViewUI) {
        AppMethodBeat.i(7019);
        this.upw = webViewUI;
        this.upx = (ClipboardManager) webViewUI.getApplicationContext().getSystemService("clipboard");
        try {
            this.upx.addPrimaryClipChangedListener(this);
            AppMethodBeat.o(7019);
        } catch (Exception e) {
            AppMethodBeat.o(7019);
        }
    }

    public final void onPrimaryClipChanged() {
        AppMethodBeat.i(7020);
        long currentTimeMillis = System.currentTimeMillis();
        if (currentTimeMillis - this.lastReportTime < 200) {
            AppMethodBeat.o(7020);
            return;
        }
        this.lastReportTime = currentTimeMillis;
        ClipData primaryClip = this.upx.getPrimaryClip();
        if (primaryClip == null) {
            AppMethodBeat.o(7020);
            return;
        }
        Item itemAt = primaryClip.getItemAt(0);
        if (itemAt == null) {
            AppMethodBeat.o(7020);
            return;
        }
        ClipBoardDataWrapper clipBoardDataWrapper = new ClipBoardDataWrapper();
        clipBoardDataWrapper.url = this.upw.dae();
        if (bo.ac(itemAt.getText())) {
            ab.w("MicroMsg.WebViewClipBoardHelper", "onPrimaryClipChanged text is null");
            AppMethodBeat.o(7020);
            return;
        }
        clipBoardDataWrapper.length = itemAt.getText().toString().getBytes(Charset.forName("UTF-8")).length;
        clipBoardDataWrapper.fromScene = this.upw.getIntent().getIntExtra("from_scence", 0);
        clipBoardDataWrapper.username = this.upw.getIntent().getStringExtra("geta8key_username");
        XIPCInvoker.a("com.tencent.mm", clipBoardDataWrapper, a.class, null);
        AppMethodBeat.o(7020);
    }
}
