package com.tencent.mm.ui.conversation;

import android.app.Activity;
import android.view.ContextMenu;
import android.view.ContextMenu.ContextMenuInfo;
import android.view.View;
import android.view.View.OnCreateContextMenuListener;
import android.widget.AdapterView;
import android.widget.AdapterView.AdapterContextMenuInfo;
import android.widget.AdapterView.OnItemLongClickListener;
import android.widget.ListView;
import android.widget.PopupWindow.OnDismissListener;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.aj.f;
import com.tencent.mm.model.aw;
import com.tencent.mm.model.c;
import com.tencent.mm.model.t;
import com.tencent.mm.platformtools.ah;
import com.tencent.mm.plugin.report.service.h;
import com.tencent.mm.pluginsdk.ui.e.j;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.storage.ad;
import com.tencent.mm.storage.ak;
import com.tencent.mm.ui.base.n.d;
import com.tencent.mm.ui.widget.b.a;

public final class g implements OnCreateContextMenuListener, OnItemLongClickListener, OnDismissListener {
    private Activity activity;
    private ak conversation = null;
    private d jOb = new 1(this);
    private int[] mtm = new int[2];
    private int position;
    private String talker = "";
    private ListView zqz;
    private h zrd;

    public g(h hVar, ListView listView, Activity activity, int[] iArr) {
        AppMethodBeat.i(34261);
        this.zrd = hVar;
        this.zqz = listView;
        this.activity = activity;
        this.mtm = iArr;
        AppMethodBeat.o(34261);
    }

    public final boolean onItemLongClick(AdapterView<?> adapterView, View view, int i, long j) {
        AppMethodBeat.i(34262);
        if (i < this.zqz.getHeaderViewsCount()) {
            ab.d("MicroMsg.ConversationClickListener", "on long click header view");
            AppMethodBeat.o(34262);
            return true;
        }
        this.position = i - this.zqz.getHeaderViewsCount();
        this.conversation = (ak) this.zrd.MG(i - this.zqz.getHeaderViewsCount());
        if (this.conversation == null) {
            ab.e("MicroMsg.ConversationClickListener", "headercount:%d, postion:%d", new Object[]{Integer.valueOf(this.zqz.getHeaderViewsCount()), Integer.valueOf(i)});
            AppMethodBeat.o(34262);
            return true;
        }
        this.talker = this.conversation.field_username;
        a aVar = new a(this.activity);
        aVar.a(view, i, j, this, this.jOb, this.mtm[0], this.mtm[1]);
        aVar.zHM = this;
        if (t.kH(this.talker)) {
            h.pYm.e(14553, new Object[]{Integer.valueOf(1), Integer.valueOf(0), this.talker});
        } else {
            h.pYm.e(14553, new Object[]{Integer.valueOf(0), Integer.valueOf(0), this.talker});
        }
        AppMethodBeat.o(34262);
        return true;
    }

    public final void onDismiss() {
        AppMethodBeat.i(34263);
        h hVar = this.zrd;
        hVar.ztR = false;
        hVar.notifyDataSetChanged();
        AppMethodBeat.o(34263);
    }

    public final void onCreateContextMenu(ContextMenu contextMenu, View view, ContextMenuInfo contextMenuInfo) {
        int i = 1;
        AppMethodBeat.i(34264);
        h hVar = this.zrd;
        ab.i("MicroMsg.ConversationWithCacheAdapter", "[frozenNotify] from:%s", new Object[]{ah.anW()});
        hVar.ztR = true;
        aw.ZK();
        ad aoO = c.XM().aoO(this.talker);
        if (aoO == null) {
            ab.e("MicroMsg.ConversationClickListener", "onCreateContextMenu, contact is null, talker = " + this.talker);
            AppMethodBeat.o(34264);
            return;
        }
        CharSequence Oj = aoO.Oj();
        if (Oj.toLowerCase().endsWith("@chatroom") && ah.isNullOrNil(aoO.field_nickname)) {
            Oj = this.activity.getString(2131298223);
        }
        AdapterContextMenuInfo adapterContextMenuInfo = (AdapterContextMenuInfo) contextMenuInfo;
        contextMenu.setHeaderTitle(j.b(this.activity, Oj));
        if (((this.conversation != null ? 1 : 0) & t.b(this.conversation)) != 0) {
            String str = this.talker;
            aw.ZK();
            ak aoZ = c.XR().aoZ(str);
            if (aoZ == null) {
                i = 0;
            } else if (aoZ.field_unReadCount > 0 || aoZ.jl(1048576)) {
                i = 0;
            }
            if (i != 0) {
                contextMenu.add(adapterContextMenuInfo.position, 8, 0, 2131301283);
            } else {
                contextMenu.add(adapterContextMenuInfo.position, 7, 0, 2131301281);
            }
        }
        if (this.conversation != null && t.a(this.conversation)) {
            aw.ZK();
            if (c.XR().aph(this.talker)) {
                contextMenu.add(adapterContextMenuInfo.position, 6, 0, 2131301284);
            } else if (aoO.dsf()) {
                contextMenu.add(adapterContextMenuInfo.position, 5, 0, 2131298732);
            } else {
                contextMenu.add(adapterContextMenuInfo.position, 5, 0, 2131301282);
            }
        }
        if (aoO.dsf() && com.tencent.mm.n.a.jh(aoO.field_type) && !t.nJ(aoO.field_username) && !t.nl(aoO.field_username)) {
            com.tencent.mm.aj.d qX = f.qX(aoO.field_username);
            if (qX != null && qX.adM()) {
                contextMenu.add(adapterContextMenuInfo.position, 10, 0, 2131301280);
            }
        }
        if (!(this.conversation == null || this.conversation.field_conversationTime == -1)) {
            if (t.ne(this.talker)) {
                contextMenu.add(adapterContextMenuInfo.position, 4, 0, 2131301291);
                AppMethodBeat.o(34264);
                return;
            } else if (t.nf(this.talker)) {
                contextMenu.add(adapterContextMenuInfo.position, 4, 0, 2131301289);
                AppMethodBeat.o(34264);
                return;
            } else {
                contextMenu.add(adapterContextMenuInfo.position, 4, 0, 2131301288);
            }
        }
        AppMethodBeat.o(34264);
    }
}
