package com.tencent.mm.ui.tools;

import android.content.Context;
import android.graphics.Rect;
import android.graphics.RectF;
import android.os.Looper;
import android.util.AttributeSet;
import android.view.GestureDetector;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.View;
import android.view.View.MeasureSpec;
import android.view.ViewGroup;
import android.view.animation.DecelerateInterpolator;
import android.widget.Gallery;
import android.widget.OverScroller;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ak;
import com.tencent.mm.ui.base.MultiTouchImageView;
import java.lang.ref.WeakReference;

public class MMGestureGallery extends Gallery {
    private float aKM = 0.0f;
    private float aKN = 0.0f;
    private int apF;
    private int apG;
    private float ccB;
    private int count = 0;
    private ak handler = new ak(Looper.getMainLooper());
    private int ieu;
    private int iev;
    private MultiTouchImageView mSF;
    private long mSj = 0;
    private long mSk = 0;
    private float mSl = 0.0f;
    private float mSm = 0.0f;
    private long mSn = 0;
    private boolean mSp = false;
    private OverScroller mSq;
    private GestureDetector mSr;
    private RectF mSs = new RectF();
    private float mSu;
    private boolean mSv = false;
    private boolean mSw = false;
    private boolean mSx = false;
    private boolean mSy = false;
    private VelocityTracker mVelocityTracker;
    private boolean rvb = false;
    private boolean rvc = false;
    private boolean rvd = false;
    private final int yyA = 60;
    private final int yyB = 500;
    public boolean yyh = false;
    private boolean yyi = false;
    private boolean yyj = false;
    private boolean yyk = false;
    private boolean yyl = false;
    private int yym = 0;
    public l zFB;
    public l zFC;
    public l zFD;
    private a zFE;
    private f zFF;
    private c zFG;
    private e zFH;
    private boolean zFI = true;
    private b zFJ;

    static /* synthetic */ void S(MMGestureGallery mMGestureGallery) {
        AppMethodBeat.i(107700);
        mMGestureGallery.bCP();
        AppMethodBeat.o(107700);
    }

    public void setSingleClickOverListener(f fVar) {
        this.zFF = fVar;
    }

    public void setLongClickOverListener(c cVar) {
        this.zFG = cVar;
    }

    public void setScrollLeftRightListener(e eVar) {
        this.zFH = eVar;
    }

    public MMGestureGallery(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        AppMethodBeat.i(107683);
        setStaticTransformationsEnabled(true);
        AppMethodBeat.o(107683);
    }

    private void bCP() {
        AppMethodBeat.i(107684);
        this.zFB.removeMessages(1);
        AppMethodBeat.o(107684);
    }

    public void setGalleryScaleListener(b bVar) {
        this.zFJ = bVar;
    }

    public void setLoadQuit(boolean z) {
        this.zFI = z;
    }

    public MMGestureGallery(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        AppMethodBeat.i(107685);
        setStaticTransformationsEnabled(true);
        this.mSr = new GestureDetector(context, new d(this, (byte) 0));
        this.zFB = new l(new WeakReference(this));
        this.zFC = new l(new WeakReference(this));
        this.zFD = new l(new WeakReference(this));
        this.mSq = new OverScroller(context, new DecelerateInterpolator(2.0f));
        this.yym = (int) (getResources().getDisplayMetrics().density * 3000.0f);
        setOnTouchListener(new 1(this));
        AppMethodBeat.o(107685);
    }

    /* Access modifiers changed, original: protected */
    public void onMeasure(int i, int i2) {
        AppMethodBeat.i(107686);
        super.onMeasure(i, i2);
        this.ieu = MeasureSpec.getSize(i);
        this.iev = MeasureSpec.getSize(i2);
        this.mSs.set(0.0f, 0.0f, (float) this.ieu, (float) this.iev);
        ab.v("MicroMsg.MMGestureGallery", "MMGestureGallery width:" + this.ieu + " height:" + this.iev);
        AppMethodBeat.o(107686);
    }

    private boolean a(MotionEvent motionEvent, MotionEvent motionEvent2, float f, float f2) {
        AppMethodBeat.i(107687);
        if (this.yyi) {
            AppMethodBeat.o(107687);
            return true;
        }
        this.yyj = true;
        if (this.zFH != null) {
            this.zFH.ctp();
        }
        boolean onScroll = super.onScroll(motionEvent, motionEvent2, f, f2);
        AppMethodBeat.o(107687);
        return onScroll;
    }

    /* JADX WARNING: Removed duplicated region for block: B:143:0x02d9  */
    /* JADX WARNING: Removed duplicated region for block: B:143:0x02d9  */
    public boolean onScroll(android.view.MotionEvent r10, android.view.MotionEvent r11, float r12, float r13) {
        /*
        r9 = this;
        r0 = 107689; // 0x1a4a9 float:1.50904E-40 double:5.32054E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r0);
        r0 = r9.mSp;
        if (r0 != 0) goto L_0x000e;
    L_0x000a:
        r0 = r9.rvb;
        if (r0 == 0) goto L_0x0016;
    L_0x000e:
        r0 = 1;
        r1 = 107689; // 0x1a4a9 float:1.50904E-40 double:5.32054E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
    L_0x0015:
        return r0;
    L_0x0016:
        r1 = r9.getSelectedView();
        r0 = r1 instanceof android.view.ViewGroup;
        if (r0 == 0) goto L_0x004e;
    L_0x001e:
        r0 = 2131820630; // 0x7f110056 float:1.927398E38 double:1.0532593364E-314;
        r0 = r1.findViewById(r0);
        if (r0 == 0) goto L_0x002f;
    L_0x0027:
        r1 = r0.getVisibility();
        r2 = 8;
        if (r1 != r2) goto L_0x003a;
    L_0x002f:
        r0 = r9.a(r10, r11, r12, r13);
        r1 = 107689; // 0x1a4a9 float:1.50904E-40 double:5.32054E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
        goto L_0x0015;
    L_0x003a:
        r1 = 2131820629; // 0x7f110055 float:1.9273978E38 double:1.053259336E-314;
        r1 = r0.findViewById(r1);
        if (r1 != 0) goto L_0x004e;
    L_0x0043:
        r0 = r9.a(r10, r11, r12, r13);
        r1 = 107689; // 0x1a4a9 float:1.50904E-40 double:5.32054E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
        goto L_0x0015;
    L_0x004e:
        r0 = r1 instanceof com.tencent.mm.ui.base.MultiTouchImageView;
        if (r0 == 0) goto L_0x03e6;
    L_0x0052:
        r0 = r1;
        r0 = (com.tencent.mm.ui.base.MultiTouchImageView) r0;
        r9.mSF = r0;
        r0 = 9;
        r0 = new float[r0];
        r2 = r9.mSF;
        r2 = r2.getImageMatrix();
        r2.getValues(r0);
        r2 = r9.mSF;
        r2 = r2.getScale();
        r3 = r9.mSF;
        r3 = r3.getImageWidth();
        r3 = (float) r3;
        r2 = r2 * r3;
        r3 = r9.mSF;
        r3 = r3.getScale();
        r4 = r9.mSF;
        r4 = r4.getImageHeight();
        r4 = (float) r4;
        r3 = r3 * r4;
        r4 = 2;
        r4 = r0[r4];
        r5 = r4 + r2;
        r6 = 5;
        r6 = r0[r6];
        r7 = r6 + r3;
        r0 = new android.graphics.Rect;
        r0.<init>();
        r8 = r9.mSF;
        r8.getGlobalVisibleRect(r0);
        r0 = (int) r2;
        r8 = r9.ieu;
        if (r0 > r8) goto L_0x00ec;
    L_0x0099:
        r0 = (int) r3;
        r8 = r9.iev;
        if (r0 > r8) goto L_0x00ec;
    L_0x009e:
        r0 = r9.a(r4, r5, r1, r12);
        if (r0 == 0) goto L_0x00ad;
    L_0x00a4:
        r0 = 1;
        r1 = 107689; // 0x1a4a9 float:1.50904E-40 double:5.32054E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
        goto L_0x0015;
    L_0x00ad:
        r0 = 0;
        r0 = (r12 > r0 ? 1 : (r12 == r0 ? 0 : -1));
        if (r0 <= 0) goto L_0x00c6;
    L_0x00b2:
        r0 = r9.ieu;
        r0 = (float) r0;
        r0 = (r5 > r0 ? 1 : (r5 == r0 ? 0 : -1));
        if (r0 > 0) goto L_0x00d8;
    L_0x00b9:
        r0 = 0;
        r0 = r9.a(r10, r11, r12, r0);
        r1 = 107689; // 0x1a4a9 float:1.50904E-40 double:5.32054E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
        goto L_0x0015;
    L_0x00c6:
        r0 = 0;
        r0 = (r4 > r0 ? 1 : (r4 == r0 ? 0 : -1));
        if (r0 < 0) goto L_0x00d8;
    L_0x00cb:
        r0 = 0;
        r0 = r9.a(r10, r11, r12, r0);
        r1 = 107689; // 0x1a4a9 float:1.50904E-40 double:5.32054E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
        goto L_0x0015;
    L_0x00d8:
        r0 = r9.yyj;
        if (r0 != 0) goto L_0x00e3;
    L_0x00dc:
        r0 = r9.mSF;
        r1 = -r12;
        r2 = 0;
        r0.aj(r1, r2);
    L_0x00e3:
        r0 = 1;
        r1 = 107689; // 0x1a4a9 float:1.50904E-40 double:5.32054E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
        goto L_0x0015;
    L_0x00ec:
        r0 = (int) r2;
        r8 = r9.ieu;
        if (r0 > r8) goto L_0x0247;
    L_0x00f1:
        r0 = (int) r3;
        r8 = r9.iev;
        if (r0 <= r8) goto L_0x0247;
    L_0x00f6:
        r0 = java.lang.Math.abs(r13);
        r2 = java.lang.Math.abs(r12);
        r0 = (r0 > r2 ? 1 : (r0 == r2 ? 0 : -1));
        if (r0 <= 0) goto L_0x01bf;
    L_0x0102:
        r0 = r9.yyj;
        if (r0 != 0) goto L_0x010e;
    L_0x0106:
        r0 = r9.yyk;
        if (r0 != 0) goto L_0x010e;
    L_0x010a:
        r0 = r9.yyl;
        if (r0 == 0) goto L_0x0117;
    L_0x010e:
        r0 = 1;
        r1 = 107689; // 0x1a4a9 float:1.50904E-40 double:5.32054E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
        goto L_0x0015;
    L_0x0117:
        r0 = 1;
        r9.yyi = r0;
        r0 = 0;
        r1 = 0;
        r2 = 0;
        r2 = (r13 > r2 ? 1 : (r13 == r2 ? 0 : -1));
        if (r2 >= 0) goto L_0x0178;
    L_0x0121:
        r2 = r9.mSs;
        r2 = r2.top;
        r2 = (r6 > r2 ? 1 : (r6 == r2 ? 0 : -1));
        if (r2 <= 0) goto L_0x012c;
    L_0x0129:
        r2 = 1;
        r9.mSv = r2;
    L_0x012c:
        r2 = r9.mSs;
        r2 = r2.top;
        r2 = (r6 > r2 ? 1 : (r6 == r2 ? 0 : -1));
        if (r2 <= 0) goto L_0x013b;
    L_0x0134:
        r2 = r9.iev;
        r2 = (float) r2;
        r2 = (r7 > r2 ? 1 : (r7 == r2 ? 0 : -1));
        if (r2 >= 0) goto L_0x015f;
    L_0x013b:
        r1 = -r13;
    L_0x013c:
        r2 = 0;
        r2 = (r12 > r2 ? 1 : (r12 == r2 ? 0 : -1));
        if (r2 >= 0) goto L_0x01a9;
    L_0x0141:
        r2 = r9.mSs;
        r2 = r2.left;
        r2 = (r4 > r2 ? 1 : (r4 == r2 ? 0 : -1));
        if (r2 <= 0) goto L_0x01a9;
    L_0x0149:
        r0 = 1;
        r9.mSx = r0;
        r0 = 1050253722; // 0x3e99999a float:0.3 double:5.188942835E-315;
        r0 = r0 * r12;
        r0 = -r0;
    L_0x0151:
        r2 = r9.mSF;
        r2.aj(r0, r1);
        r0 = 1;
        r1 = 107689; // 0x1a4a9 float:1.50904E-40 double:5.32054E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
        goto L_0x0015;
    L_0x015f:
        r2 = r9.mSs;
        r2 = r2.top;
        r2 = (r6 > r2 ? 1 : (r6 == r2 ? 0 : -1));
        if (r2 <= 0) goto L_0x013c;
    L_0x0167:
        r2 = r9.iev;
        r2 = (float) r2;
        r3 = 1050253722; // 0x3e99999a float:0.3 double:5.188942835E-315;
        r2 = r2 * r3;
        r2 = (r6 > r2 ? 1 : (r6 == r2 ? 0 : -1));
        if (r2 >= 0) goto L_0x013c;
    L_0x0172:
        r1 = 1050253722; // 0x3e99999a float:0.3 double:5.188942835E-315;
        r1 = r1 * r13;
        r1 = -r1;
        goto L_0x013c;
    L_0x0178:
        r2 = r9.mSs;
        r2 = r2.bottom;
        r2 = (r7 > r2 ? 1 : (r7 == r2 ? 0 : -1));
        if (r2 >= 0) goto L_0x0183;
    L_0x0180:
        r2 = 1;
        r9.mSw = r2;
    L_0x0183:
        r2 = 0;
        r2 = (r6 > r2 ? 1 : (r6 == r2 ? 0 : -1));
        if (r2 > 0) goto L_0x018f;
    L_0x0188:
        r2 = r9.iev;
        r2 = (float) r2;
        r2 = (r7 > r2 ? 1 : (r7 == r2 ? 0 : -1));
        if (r2 < 0) goto L_0x0191;
    L_0x018f:
        r1 = -r13;
        goto L_0x013c;
    L_0x0191:
        r2 = r9.iev;
        r2 = (float) r2;
        r3 = 1060320051; // 0x3f333333 float:0.7 double:5.23867711E-315;
        r2 = r2 * r3;
        r2 = (r7 > r2 ? 1 : (r7 == r2 ? 0 : -1));
        if (r2 <= 0) goto L_0x013c;
    L_0x019c:
        r2 = r9.iev;
        r2 = (float) r2;
        r2 = (r7 > r2 ? 1 : (r7 == r2 ? 0 : -1));
        if (r2 >= 0) goto L_0x013c;
    L_0x01a3:
        r1 = 1050253722; // 0x3e99999a float:0.3 double:5.188942835E-315;
        r1 = r1 * r13;
        r1 = -r1;
        goto L_0x013c;
    L_0x01a9:
        r2 = 0;
        r2 = (r12 > r2 ? 1 : (r12 == r2 ? 0 : -1));
        if (r2 <= 0) goto L_0x0151;
    L_0x01ae:
        r2 = r9.mSs;
        r2 = r2.right;
        r2 = (r5 > r2 ? 1 : (r5 == r2 ? 0 : -1));
        if (r2 >= 0) goto L_0x0151;
    L_0x01b6:
        r0 = 1;
        r9.mSy = r0;
        r0 = 1050253722; // 0x3e99999a float:0.3 double:5.188942835E-315;
        r0 = r0 * r12;
        r0 = -r0;
        goto L_0x0151;
    L_0x01bf:
        r0 = r9.a(r4, r5, r1, r12);
        if (r0 == 0) goto L_0x01ce;
    L_0x01c5:
        r0 = 1;
        r1 = 107689; // 0x1a4a9 float:1.50904E-40 double:5.32054E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
        goto L_0x0015;
    L_0x01ce:
        r0 = 0;
        r0 = (r12 > r0 ? 1 : (r12 == r0 ? 0 : -1));
        if (r0 <= 0) goto L_0x0204;
    L_0x01d3:
        r0 = r9.ieu;
        r0 = (float) r0;
        r0 = (r5 > r0 ? 1 : (r5 == r0 ? 0 : -1));
        if (r0 > 0) goto L_0x0233;
    L_0x01da:
        r0 = r9.ieu;
        r0 = (float) r0;
        r1 = 1060320051; // 0x3f333333 float:0.7 double:5.23867711E-315;
        r0 = r0 * r1;
        r0 = (r5 > r0 ? 1 : (r5 == r0 ? 0 : -1));
        if (r0 <= 0) goto L_0x01f6;
    L_0x01e5:
        r0 = 1050253722; // 0x3e99999a float:0.3 double:5.188942835E-315;
        r0 = r0 * r12;
        r1 = 0;
        r0 = r9.a(r10, r11, r0, r1);
        r1 = 107689; // 0x1a4a9 float:1.50904E-40 double:5.32054E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
        goto L_0x0015;
    L_0x01f6:
        r0 = 0;
        r1 = 0;
        r0 = r9.a(r10, r11, r0, r1);
        r1 = 107689; // 0x1a4a9 float:1.50904E-40 double:5.32054E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
        goto L_0x0015;
    L_0x0204:
        r0 = 0;
        r0 = (r4 > r0 ? 1 : (r4 == r0 ? 0 : -1));
        if (r0 < 0) goto L_0x0233;
    L_0x0209:
        r0 = r9.ieu;
        r0 = (float) r0;
        r1 = 1050253722; // 0x3e99999a float:0.3 double:5.188942835E-315;
        r0 = r0 * r1;
        r0 = (r4 > r0 ? 1 : (r4 == r0 ? 0 : -1));
        if (r0 >= 0) goto L_0x0225;
    L_0x0214:
        r0 = 1050253722; // 0x3e99999a float:0.3 double:5.188942835E-315;
        r0 = r0 * r12;
        r1 = 0;
        r0 = r9.a(r10, r11, r0, r1);
        r1 = 107689; // 0x1a4a9 float:1.50904E-40 double:5.32054E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
        goto L_0x0015;
    L_0x0225:
        r0 = 0;
        r1 = 0;
        r0 = r9.a(r10, r11, r0, r1);
        r1 = 107689; // 0x1a4a9 float:1.50904E-40 double:5.32054E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
        goto L_0x0015;
    L_0x0233:
        r0 = r9.yyj;
        if (r0 != 0) goto L_0x023e;
    L_0x0237:
        r0 = r9.mSF;
        r1 = -r12;
        r2 = 0;
        r0.aj(r1, r2);
    L_0x023e:
        r0 = 1;
        r1 = 107689; // 0x1a4a9 float:1.50904E-40 double:5.32054E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
        goto L_0x0015;
    L_0x0247:
        r0 = (int) r2;
        r2 = r9.ieu;
        if (r0 <= r2) goto L_0x029f;
    L_0x024c:
        r0 = (int) r3;
        r2 = r9.iev;
        if (r0 > r2) goto L_0x029f;
    L_0x0251:
        r0 = r9.a(r4, r5, r1, r12);
        if (r0 == 0) goto L_0x0260;
    L_0x0257:
        r0 = 1;
        r1 = 107689; // 0x1a4a9 float:1.50904E-40 double:5.32054E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
        goto L_0x0015;
    L_0x0260:
        r0 = 0;
        r0 = (r12 > r0 ? 1 : (r12 == r0 ? 0 : -1));
        if (r0 <= 0) goto L_0x0279;
    L_0x0265:
        r0 = r9.ieu;
        r0 = (float) r0;
        r0 = (r5 > r0 ? 1 : (r5 == r0 ? 0 : -1));
        if (r0 > 0) goto L_0x028b;
    L_0x026c:
        r0 = 0;
        r0 = r9.a(r10, r11, r12, r0);
        r1 = 107689; // 0x1a4a9 float:1.50904E-40 double:5.32054E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
        goto L_0x0015;
    L_0x0279:
        r0 = 0;
        r0 = (r4 > r0 ? 1 : (r4 == r0 ? 0 : -1));
        if (r0 < 0) goto L_0x028b;
    L_0x027e:
        r0 = 0;
        r0 = r9.a(r10, r11, r12, r0);
        r1 = 107689; // 0x1a4a9 float:1.50904E-40 double:5.32054E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
        goto L_0x0015;
    L_0x028b:
        r0 = r9.yyj;
        if (r0 != 0) goto L_0x0296;
    L_0x028f:
        r0 = r9.mSF;
        r1 = -r12;
        r2 = 0;
        r0.aj(r1, r2);
    L_0x0296:
        r0 = 1;
        r1 = 107689; // 0x1a4a9 float:1.50904E-40 double:5.32054E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
        goto L_0x0015;
    L_0x029f:
        r0 = java.lang.Math.abs(r13);
        r2 = java.lang.Math.abs(r12);
        r0 = (r0 > r2 ? 1 : (r0 == r2 ? 0 : -1));
        if (r0 <= 0) goto L_0x0398;
    L_0x02ab:
        r1 = 0;
        r0 = 0;
        r2 = 0;
        r2 = (r12 > r2 ? 1 : (r12 == r2 ? 0 : -1));
        if (r2 == 0) goto L_0x03f5;
    L_0x02b2:
        r2 = 1;
        r9.yyj = r2;
        r2 = 0;
        r2 = (r12 > r2 ? 1 : (r12 == r2 ? 0 : -1));
        if (r2 >= 0) goto L_0x0323;
    L_0x02ba:
        r2 = r9.mSs;
        r2 = r2.left;
        r2 = (r4 > r2 ? 1 : (r4 == r2 ? 0 : -1));
        if (r2 <= 0) goto L_0x02c5;
    L_0x02c2:
        r2 = 1;
        r9.mSx = r2;
    L_0x02c5:
        r2 = r9.mSs;
        r2 = r2.left;
        r2 = (r4 > r2 ? 1 : (r4 == r2 ? 0 : -1));
        if (r2 <= 0) goto L_0x02d4;
    L_0x02cd:
        r2 = r9.ieu;
        r2 = (float) r2;
        r2 = (r5 > r2 ? 1 : (r5 == r2 ? 0 : -1));
        if (r2 >= 0) goto L_0x030b;
    L_0x02d4:
        r1 = 0;
        r1 = (r13 > r1 ? 1 : (r13 == r1 ? 0 : -1));
        if (r1 == 0) goto L_0x03f2;
    L_0x02d9:
        r1 = 1;
        r9.yyi = r1;
        r1 = 0;
        r1 = (r13 > r1 ? 1 : (r13 == r1 ? 0 : -1));
        if (r1 >= 0) goto L_0x0369;
    L_0x02e1:
        r1 = r9.mSs;
        r1 = r1.top;
        r1 = (r6 > r1 ? 1 : (r6 == r1 ? 0 : -1));
        if (r1 <= 0) goto L_0x02ec;
    L_0x02e9:
        r1 = 1;
        r9.mSv = r1;
    L_0x02ec:
        r1 = r9.mSs;
        r1 = r1.top;
        r1 = (r6 > r1 ? 1 : (r6 == r1 ? 0 : -1));
        if (r1 <= 0) goto L_0x02fb;
    L_0x02f4:
        r1 = r9.iev;
        r1 = (float) r1;
        r1 = (r7 > r1 ? 1 : (r7 == r1 ? 0 : -1));
        if (r1 >= 0) goto L_0x0351;
    L_0x02fb:
        r0 = r9.mSF;
        r1 = -r12;
        r2 = -r13;
        r0.aj(r1, r2);
        r0 = 1;
        r1 = 107689; // 0x1a4a9 float:1.50904E-40 double:5.32054E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
        goto L_0x0015;
    L_0x030b:
        r2 = r9.mSs;
        r2 = r2.left;
        r2 = (r4 > r2 ? 1 : (r4 == r2 ? 0 : -1));
        if (r2 <= 0) goto L_0x03f5;
    L_0x0313:
        r2 = r9.ieu;
        r2 = (float) r2;
        r3 = 1050253722; // 0x3e99999a float:0.3 double:5.188942835E-315;
        r2 = r2 * r3;
        r2 = (r4 > r2 ? 1 : (r4 == r2 ? 0 : -1));
        if (r2 >= 0) goto L_0x03f5;
    L_0x031e:
        r1 = 1050253722; // 0x3e99999a float:0.3 double:5.188942835E-315;
        r12 = r12 * r1;
        goto L_0x02d4;
    L_0x0323:
        r2 = r9.mSs;
        r2 = r2.right;
        r2 = (r5 > r2 ? 1 : (r5 == r2 ? 0 : -1));
        if (r2 >= 0) goto L_0x032e;
    L_0x032b:
        r2 = 1;
        r9.mSy = r2;
    L_0x032e:
        r2 = 0;
        r2 = (r4 > r2 ? 1 : (r4 == r2 ? 0 : -1));
        if (r2 > 0) goto L_0x02d4;
    L_0x0333:
        r2 = r9.ieu;
        r2 = (float) r2;
        r2 = (r5 > r2 ? 1 : (r5 == r2 ? 0 : -1));
        if (r2 >= 0) goto L_0x02d4;
    L_0x033a:
        r2 = r9.ieu;
        r2 = (float) r2;
        r3 = 1060320051; // 0x3f333333 float:0.7 double:5.23867711E-315;
        r2 = r2 * r3;
        r2 = (r5 > r2 ? 1 : (r5 == r2 ? 0 : -1));
        if (r2 <= 0) goto L_0x03f5;
    L_0x0345:
        r2 = r9.ieu;
        r2 = (float) r2;
        r2 = (r5 > r2 ? 1 : (r5 == r2 ? 0 : -1));
        if (r2 >= 0) goto L_0x03f5;
    L_0x034c:
        r1 = 1050253722; // 0x3e99999a float:0.3 double:5.188942835E-315;
        r12 = r12 * r1;
        goto L_0x02d4;
    L_0x0351:
        r1 = r9.mSs;
        r1 = r1.top;
        r1 = (r6 > r1 ? 1 : (r6 == r1 ? 0 : -1));
        if (r1 <= 0) goto L_0x03f2;
    L_0x0359:
        r1 = r9.iev;
        r1 = (float) r1;
        r2 = 1050253722; // 0x3e99999a float:0.3 double:5.188942835E-315;
        r1 = r1 * r2;
        r1 = (r6 > r1 ? 1 : (r6 == r1 ? 0 : -1));
        if (r1 >= 0) goto L_0x03f2;
    L_0x0364:
        r0 = 1050253722; // 0x3e99999a float:0.3 double:5.188942835E-315;
        r13 = r13 * r0;
        goto L_0x02fb;
    L_0x0369:
        r1 = r9.mSs;
        r1 = r1.bottom;
        r1 = (r7 > r1 ? 1 : (r7 == r1 ? 0 : -1));
        if (r1 >= 0) goto L_0x0374;
    L_0x0371:
        r1 = 1;
        r9.mSw = r1;
    L_0x0374:
        r1 = 0;
        r1 = (r6 > r1 ? 1 : (r6 == r1 ? 0 : -1));
        if (r1 > 0) goto L_0x02fb;
    L_0x0379:
        r1 = r9.iev;
        r1 = (float) r1;
        r1 = (r7 > r1 ? 1 : (r7 == r1 ? 0 : -1));
        if (r1 >= 0) goto L_0x02fb;
    L_0x0380:
        r1 = r9.iev;
        r1 = (float) r1;
        r2 = 1060320051; // 0x3f333333 float:0.7 double:5.23867711E-315;
        r1 = r1 * r2;
        r1 = (r7 > r1 ? 1 : (r7 == r1 ? 0 : -1));
        if (r1 <= 0) goto L_0x03f2;
    L_0x038b:
        r1 = r9.iev;
        r1 = (float) r1;
        r1 = (r7 > r1 ? 1 : (r7 == r1 ? 0 : -1));
        if (r1 >= 0) goto L_0x03f2;
    L_0x0392:
        r0 = 1050253722; // 0x3e99999a float:0.3 double:5.188942835E-315;
        r13 = r13 * r0;
        goto L_0x02fb;
    L_0x0398:
        r0 = r9.a(r4, r5, r1, r12);
        if (r0 == 0) goto L_0x03a7;
    L_0x039e:
        r0 = 1;
        r1 = 107689; // 0x1a4a9 float:1.50904E-40 double:5.32054E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
        goto L_0x0015;
    L_0x03a7:
        r0 = 0;
        r0 = (r12 > r0 ? 1 : (r12 == r0 ? 0 : -1));
        if (r0 <= 0) goto L_0x03c0;
    L_0x03ac:
        r0 = r9.ieu;
        r0 = (float) r0;
        r0 = (r5 > r0 ? 1 : (r5 == r0 ? 0 : -1));
        if (r0 > 0) goto L_0x03d2;
    L_0x03b3:
        r0 = 0;
        r0 = r9.a(r10, r11, r12, r0);
        r1 = 107689; // 0x1a4a9 float:1.50904E-40 double:5.32054E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
        goto L_0x0015;
    L_0x03c0:
        r0 = 0;
        r0 = (r4 > r0 ? 1 : (r4 == r0 ? 0 : -1));
        if (r0 < 0) goto L_0x03d2;
    L_0x03c5:
        r0 = 0;
        r0 = r9.a(r10, r11, r12, r0);
        r1 = 107689; // 0x1a4a9 float:1.50904E-40 double:5.32054E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
        goto L_0x0015;
    L_0x03d2:
        r0 = r9.yyj;
        if (r0 != 0) goto L_0x03dd;
    L_0x03d6:
        r0 = r9.mSF;
        r1 = -r12;
        r2 = -r13;
        r0.aj(r1, r2);
    L_0x03dd:
        r0 = 1;
        r1 = 107689; // 0x1a4a9 float:1.50904E-40 double:5.32054E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
        goto L_0x0015;
    L_0x03e6:
        r0 = r9.a(r10, r11, r12, r13);
        r1 = 107689; // 0x1a4a9 float:1.50904E-40 double:5.32054E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
        goto L_0x0015;
    L_0x03f2:
        r13 = r0;
        goto L_0x02fb;
    L_0x03f5:
        r12 = r1;
        goto L_0x02d4;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.ui.tools.MMGestureGallery.onScroll(android.view.MotionEvent, android.view.MotionEvent, float, float):boolean");
    }

    public boolean onDown(MotionEvent motionEvent) {
        AppMethodBeat.i(107690);
        if (this.mSq != null) {
            this.mSq.forceFinished(true);
        }
        boolean onDown = super.onDown(motionEvent);
        AppMethodBeat.o(107690);
        return onDown;
    }

    public boolean onFling(MotionEvent motionEvent, MotionEvent motionEvent2, float f, float f2) {
        AppMethodBeat.i(107691);
        View selectedView = getSelectedView();
        if (selectedView instanceof ViewGroup) {
            selectedView = selectedView.findViewById(2131820630);
            if (selectedView == null || selectedView.getVisibility() == 8) {
                a(motionEvent, motionEvent2, f);
                AppMethodBeat.o(107691);
                return false;
            }
            selectedView = selectedView.findViewById(2131820629);
            if (selectedView == null) {
                a(motionEvent, motionEvent2, f);
                AppMethodBeat.o(107691);
                return false;
            }
        }
        if (selectedView instanceof MultiTouchImageView) {
            MultiTouchImageView multiTouchImageView = (MultiTouchImageView) selectedView;
            float scale = multiTouchImageView.getScale() * ((float) multiTouchImageView.getImageWidth());
            float scale2 = multiTouchImageView.getScale() * ((float) multiTouchImageView.getImageHeight());
            if (multiTouchImageView.yzk || multiTouchImageView.yzl || ((int) scale) > this.ieu || ((int) scale2) > this.iev) {
                float f3;
                r4 = new float[9];
                multiTouchImageView.getImageMatrix().getValues(r4);
                float f4 = r4[2];
                float f5 = f4 + scale;
                float f6 = r4[5];
                float f7 = f6 + scale2;
                ab.d("MicroMsg.MMGestureGallery", "jacks left: %f,right: %f isGestureRight=> %B, vX: %s, vY: %s", new Object[]{Float.valueOf(f4), Float.valueOf(f5), Boolean.valueOf(b(motionEvent, motionEvent2)), Float.valueOf(f), Float.valueOf(f2)});
                if (((float) Math.round(f4)) >= this.mSs.left || ((float) Math.round(f5)) <= this.mSs.right) {
                    f3 = 0.0f;
                } else {
                    f3 = f;
                }
                if (((float) Math.round(f6)) >= this.mSs.top || ((float) Math.round(f7)) <= this.mSs.bottom) {
                    f2 = 0.0f;
                }
                if (((float) Math.round(f6)) < this.mSs.top) {
                    this.yyh = true;
                } else {
                    this.yyh = false;
                }
                int i = (int) (this.mSs.right - scale);
                int i2 = (int) (scale + this.mSs.right);
                int i3 = (int) (this.mSs.bottom - scale2);
                int i4 = (int) (this.mSs.bottom + scale2);
                if (f3 >= 0.0f) {
                    if (Math.abs(f3) >= ((float) this.yym)) {
                        f3 = (float) this.yym;
                    }
                    f6 = f3;
                } else {
                    if (Math.abs(f3) >= ((float) this.yym)) {
                        f3 = (float) (-this.yym);
                    }
                    f6 = f3;
                }
                if (f2 >= 0.0f) {
                    if (Math.abs(f2) >= ((float) this.yym)) {
                        f2 = (float) this.yym;
                    }
                } else if (Math.abs(f2) >= ((float) this.yym)) {
                    f2 = (float) (-this.yym);
                }
                this.mSq.forceFinished(true);
                this.mSq.fling(this.mSq.getCurrX(), this.mSq.getCurrY(), (int) f6, (int) f2, i, i2, i3, i4, 0, 0);
                if ((!b(motionEvent, motionEvent2) || f4 < 0.0f) && (b(motionEvent, motionEvent2) || f5 > ((float) this.ieu))) {
                    AppMethodBeat.o(107691);
                    return true;
                }
            }
        }
        if (this.mSp) {
            AppMethodBeat.o(107691);
            return true;
        }
        a(motionEvent, motionEvent2, f);
        AppMethodBeat.o(107691);
        return true;
    }

    public void onLongPress(MotionEvent motionEvent) {
        AppMethodBeat.i(107692);
        this.rvd = true;
        super.onLongPress(motionEvent);
        AppMethodBeat.o(107692);
    }

    private static boolean b(MotionEvent motionEvent, MotionEvent motionEvent2) {
        AppMethodBeat.i(107693);
        if (motionEvent.getX() - motionEvent2.getX() < 0.0f) {
            AppMethodBeat.o(107693);
            return true;
        }
        AppMethodBeat.o(107693);
        return false;
    }

    private void a(MotionEvent motionEvent, MotionEvent motionEvent2, float f) {
        AppMethodBeat.i(107694);
        float x = motionEvent.getX() - motionEvent2.getX();
        float y = motionEvent.getY() - motionEvent2.getY();
        boolean b = b(motionEvent, motionEvent2);
        x = Math.abs(x);
        y = Math.abs(y);
        if (Math.abs(f) <= 500.0f) {
            AppMethodBeat.o(107694);
        } else if (x < 60.0f) {
            AppMethodBeat.o(107694);
        } else if (x < y) {
            AppMethodBeat.o(107694);
        } else if (b) {
            onKeyDown(21, null);
            AppMethodBeat.o(107694);
        } else {
            onKeyDown(22, null);
            AppMethodBeat.o(107694);
        }
    }

    public int getScreenWidth() {
        return this.ieu;
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        AppMethodBeat.i(107695);
        this.mSr.onTouchEvent(motionEvent);
        ab.d("dktest", "onTouchEvent event.getAction()" + motionEvent.getAction());
        switch (motionEvent.getAction()) {
            case 1:
                View selectedView = getSelectedView();
                if (selectedView instanceof MultiTouchImageView) {
                    this.mSF = (MultiTouchImageView) selectedView;
                    float scale = this.mSF.getScale() * ((float) this.mSF.getImageWidth());
                    float scale2 = this.mSF.getScale() * ((float) this.mSF.getImageHeight());
                    if (((int) scale) <= this.ieu && ((int) scale2) <= this.iev) {
                        ab.i("dktest", "onTouchEvent width:" + scale + "height:" + scale2);
                        break;
                    }
                    float[] fArr = new float[9];
                    this.mSF.getImageMatrix().getValues(fArr);
                    scale = fArr[5];
                    ab.d("dktest", "onTouchEvent top:" + scale + " height:" + scale2 + " bottom:" + (scale + scale2));
                    break;
                }
                break;
        }
        computeScroll();
        boolean onTouchEvent = super.onTouchEvent(motionEvent);
        AppMethodBeat.o(107695);
        return onTouchEvent;
    }

    /* Access modifiers changed, original: protected */
    public void onFocusChanged(boolean z, int i, Rect rect) {
        AppMethodBeat.i(107696);
        if (z) {
            super.onFocusChanged(z, i, rect);
        }
        AppMethodBeat.o(107696);
    }

    public void onWindowFocusChanged(boolean z) {
        AppMethodBeat.i(107697);
        if (z) {
            super.onWindowFocusChanged(z);
        }
        AppMethodBeat.o(107697);
    }

    public void computeScroll() {
        int i = 0;
        AppMethodBeat.i(107698);
        if (this.mSF == null) {
            AppMethodBeat.o(107698);
            return;
        }
        if (this.mSq.computeScrollOffset()) {
            int currX = this.mSq.getCurrX() - this.apF;
            int currY = this.mSq.getCurrY() - this.apG;
            this.apF = this.mSq.getCurrX();
            this.apG = this.mSq.getCurrY();
            float scale = this.mSF.getScale() * ((float) this.mSF.getImageWidth());
            float scale2 = this.mSF.getScale() * ((float) this.mSF.getImageHeight());
            float[] fArr = new float[9];
            this.mSF.getImageMatrix().getValues(fArr);
            float f = fArr[2];
            scale += f;
            float f2 = fArr[5];
            float f3 = f2 + scale2;
            if (currX < 0 && ((float) currX) < this.mSs.right - ((float) Math.round(scale))) {
                currX = (int) (this.mSs.right - ((float) Math.round(scale)));
            }
            if (currX > 0 && ((float) currX) > this.mSs.left - ((float) Math.round(f))) {
                currX = (int) (this.mSs.left - ((float) Math.round(f)));
            }
            if (currY < 0 && ((float) currY) < this.mSs.bottom - ((float) Math.round(f3))) {
                currY = (int) (this.mSs.bottom - ((float) Math.round(f3)));
            }
            if (currY > 0 && ((float) currY) > this.mSs.top - ((float) Math.round(f2))) {
                currY = (int) (this.mSs.top - ((float) Math.round(f2)));
            }
            if (((float) Math.round(f)) >= this.mSs.left || ((float) Math.round(scale)) <= this.mSs.right) {
                currX = 0;
            } else if (((float) Math.round(f2)) >= this.mSs.top || ((float) Math.round(f3)) <= this.mSs.bottom) {
                currY = 0;
            }
            if (scale2 >= ((float) this.iev)) {
                i = currY;
            }
            this.mSF.aj((float) currX, (float) i);
            postInvalidate();
        }
        AppMethodBeat.o(107698);
    }

    public boolean isFocused() {
        return true;
    }

    public int getXDown() {
        return (int) this.aKM;
    }

    public int getYDown() {
        return (int) this.aKN;
    }

    private boolean a(float f, float f2, View view, float f3) {
        boolean z;
        AppMethodBeat.i(107688);
        if (this.yyj || this.yyi) {
            z = false;
        } else {
            if (getPositionForView(view) == getAdapter().getCount() - 1) {
                if (this.yyl) {
                    if (f3 > 0.0f) {
                        if (f2 >= ((float) this.ieu)) {
                            this.mSF.aj(-f3, 0.0f);
                        } else if (f2 > ((float) this.ieu) * 0.7f && f2 < ((float) this.iev)) {
                            this.mSF.aj(-(f3 * 0.3f), 0.0f);
                        }
                        z = true;
                    } else {
                        z = false;
                    }
                } else if (f3 > 0.0f) {
                    if (f2 < ((float) this.ieu)) {
                        this.yyl = true;
                    }
                    if (f2 >= ((float) this.ieu)) {
                        this.mSF.aj(-f3, 0.0f);
                    } else if (f2 > ((float) this.ieu) * 0.7f && f2 < ((float) this.iev)) {
                        this.mSF.aj(-(f3 * 0.3f), 0.0f);
                    }
                    z = true;
                }
            }
            this.yyl = false;
            z = false;
        }
        if (z) {
            AppMethodBeat.o(107688);
            return true;
        }
        if (this.yyj || this.yyi) {
            z = false;
        } else {
            if (getPositionForView(view) == 0) {
                if (this.yyk) {
                    if (f3 < 0.0f) {
                        if (f > 0.0f && f < ((float) this.ieu) * 0.3f) {
                            this.mSF.aj(-(f3 * 0.3f), 0.0f);
                        } else if (f <= 0.0f) {
                            this.mSF.aj(-f3, 0.0f);
                        }
                        z = true;
                    } else {
                        z = false;
                    }
                } else if (f3 < 0.0f) {
                    if (f > 0.0f) {
                        this.yyk = true;
                    }
                    if (f > 0.0f && f < ((float) this.ieu) * 0.3f) {
                        this.mSF.aj(-(f3 * 0.3f), 0.0f);
                    } else if (f <= 0.0f) {
                        this.mSF.aj(-f3, 0.0f);
                    }
                    z = true;
                }
            }
            this.yyk = false;
            z = false;
        }
        if (z) {
            AppMethodBeat.o(107688);
            return true;
        }
        AppMethodBeat.o(107688);
        return false;
    }

    static /* synthetic */ void z(MMGestureGallery mMGestureGallery) {
        AppMethodBeat.i(107699);
        mMGestureGallery.bCP();
        mMGestureGallery.zFB.j(1, 15, 15);
        AppMethodBeat.o(107699);
    }
}
