package com.tencent.mm.ui.widget;

import android.annotation.TargetApi;
import android.content.Context;
import android.os.Build.VERSION;
import android.os.Message;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.OnTouchListener;
import android.view.ViewGroup;
import android.webkit.ValueCallback;
import android.webkit.WebSettings.LayoutAlgorithm;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.compatible.loader.c;
import com.tencent.mm.pluginsdk.s;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.xweb.WebView;
import com.tencent.xweb.WebView.d;
import java.lang.reflect.Method;
import java.net.URL;

public class MMWebView extends WebView {
    public static final d zNq = d.ANc;
    public static String zNr = null;
    private boolean htt;
    public boolean inited;
    private OnTouchListener jZu;
    private String uFw;
    private s zNp;
    protected boolean zNs;
    private boolean zNt;
    private ViewGroup zNu;
    public d zNv;

    public s getPerformanceHelper() {
        return this.zNp;
    }

    public MMWebView(Context context) {
        this(context, null);
    }

    public MMWebView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0, d.ANa);
    }

    public MMWebView(Context context, AttributeSet attributeSet, int i) {
        this(context, attributeSet, i, d.ANa);
    }

    public MMWebView(Context context, AttributeSet attributeSet, int i, d dVar) {
        super(context, attributeSet, i, dVar);
        AppMethodBeat.i(107940);
        this.zNp = new s();
        this.inited = false;
        this.zNs = false;
        this.zNt = false;
        this.zNv = null;
        setBackgroundColor(-1);
        dKG();
        AppMethodBeat.o(107940);
    }

    public void loadUrl(String str) {
        AppMethodBeat.i(107941);
        super.loadUrl(str);
        AppMethodBeat.o(107941);
    }

    /* Access modifiers changed, original: protected|final */
    @TargetApi(11)
    public final void dKG() {
        AppMethodBeat.i(107942);
        try {
            if (VERSION.SDK_INT >= 11) {
                super.removeJavascriptInterface("searchBoxJavaBridge_");
            }
            AppMethodBeat.o(107942);
        } catch (Exception e) {
            ab.e("MicroMsg.MMWebView", "removeConfigJsInterface, ex = %s", new Object[]{e.getMessage()});
            AppMethodBeat.o(107942);
        }
    }

    public final void dKH() {
        AppMethodBeat.i(107943);
        if (VERSION.SDK_INT >= 5) {
            c cVar = new c(this, (byte) 0);
            c.e(this);
            AppMethodBeat.o(107943);
            return;
        }
        b bVar = new b(this, (byte) 0);
        setScrollBarStyle(0);
        AppMethodBeat.o(107943);
    }

    public final void dKI() {
        AppMethodBeat.i(107944);
        if (VERSION.SDK_INT >= 8) {
            getSettings().setLayoutAlgorithm(LayoutAlgorithm.SINGLE_COLUMN);
        }
        AppMethodBeat.o(107944);
    }

    public void evaluateJavascript(String str, ValueCallback<String> valueCallback) {
        AppMethodBeat.i(107945);
        if (bo.isNullOrNil(str)) {
            AppMethodBeat.o(107945);
            return;
        }
        int i;
        if (com.tencent.mm.compatible.util.d.iW(19) || this.isX5Kernel) {
            i = 1;
        } else {
            i = 0;
        }
        if (i != 0) {
            super.evaluateJavascript(str, valueCallback);
            AppMethodBeat.o(107945);
        } else if (this.zNs && a(this, str)) {
            AppMethodBeat.o(107945);
        } else {
            try {
                if (!str.startsWith("javascript:")) {
                    str = "javascript:".concat(String.valueOf(str));
                }
                super.loadUrl(str);
                AppMethodBeat.o(107945);
            } catch (Exception e) {
                ab.i("MicroMsg.MMWebView", "evaluateJavascript failed : %s", new Object[]{e.getMessage()});
                AppMethodBeat.o(107945);
            }
        }
    }

    public void a(URL url, String str, ValueCallback<String> valueCallback) {
        AppMethodBeat.i(107946);
        super.evaluateJavascript(str, valueCallback);
        AppMethodBeat.o(107946);
    }

    public void a(URL url, String str, String str2, String str3, ValueCallback<String> valueCallback) {
        AppMethodBeat.i(107947);
        super.evaluateJavascript(str3, valueCallback);
        AppMethodBeat.o(107947);
    }

    private static boolean a(MMWebView mMWebView, String str) {
        AppMethodBeat.i(107948);
        try {
            Object obj = new c(new c(new c(mMWebView, "mSysWebView", null).get(), "mProvider", null).get(), "mWebViewCore", null).get();
            Method declaredMethod = obj.getClass().getDeclaredMethod("sendMessage", new Class[]{Message.class});
            declaredMethod.setAccessible(true);
            declaredMethod.invoke(obj, new Object[]{Message.obtain(null, 194, str)});
            AppMethodBeat.o(107948);
            return true;
        } catch (Exception e) {
            ab.e("MicroMsg.MMWebView", "reflectJSExec, e = %s", new Object[]{e});
            AppMethodBeat.o(107948);
            return false;
        }
    }

    public void setCompetitorView(ViewGroup viewGroup) {
        this.zNu = viewGroup;
    }

    public boolean getIsX5Kernel() {
        return this.isX5Kernel;
    }

    public final void dKJ() {
        AppMethodBeat.i(107949);
        super.setOnTouchListener(new OnTouchListener() {
            public final boolean onTouch(View view, MotionEvent motionEvent) {
                AppMethodBeat.i(107934);
                if (MMWebView.this.getIsX5Kernel()) {
                    int action = motionEvent.getAction();
                    if (MMWebView.this.zNu != null) {
                        switch (action & 255) {
                            case 0:
                            case 2:
                                MMWebView.this.zNu.requestDisallowInterceptTouchEvent(true);
                                break;
                            case 1:
                            case 3:
                                MMWebView.this.zNu.requestDisallowInterceptTouchEvent(false);
                                break;
                            default:
                                MMWebView.this.zNu.requestDisallowInterceptTouchEvent(true);
                                break;
                        }
                    }
                    if (MMWebView.this.jZu != null) {
                        boolean onTouch = MMWebView.this.jZu.onTouch(view, motionEvent);
                        AppMethodBeat.o(107934);
                        return onTouch;
                    }
                }
                AppMethodBeat.o(107934);
                return false;
            }
        });
        AppMethodBeat.o(107949);
    }

    public void setOnTouchListener(OnTouchListener onTouchListener) {
        this.jZu = onTouchListener;
    }

    @TargetApi(9)
    public final boolean c(int i, int i2, int i3, int i4, int i5, int i6, int i7, int i8, boolean z) {
        AppMethodBeat.i(107950);
        boolean super_overScrollBy = super.super_overScrollBy(i, i2, i3, i4, i5, i6, i7, i8, z);
        if (i4 < 0 || (i4 == 0 && i2 < 0)) {
            this.zNt = true;
        }
        AppMethodBeat.o(107950);
        return super_overScrollBy;
    }

    public final boolean Q(MotionEvent motionEvent) {
        boolean z = true;
        AppMethodBeat.i(107951);
        int action = motionEvent.getAction();
        boolean super_onTouchEvent = super.super_onTouchEvent(motionEvent);
        switch (action & 255) {
            case 0:
                this.zNt = false;
                break;
            case 2:
                if (this.zNu != null) {
                    if (!this.zNt) {
                        this.zNu.requestDisallowInterceptTouchEvent(true);
                        break;
                    }
                    this.zNu.requestDisallowInterceptTouchEvent(false);
                    break;
                }
                break;
        }
        if (!super_onTouchEvent) {
            z = super_onTouchEvent;
        } else if (this.zNt) {
            z = false;
        }
        AppMethodBeat.o(107951);
        return z;
    }

    @TargetApi(9)
    public final void e(int i, int i2, boolean z, boolean z2) {
        AppMethodBeat.i(107952);
        super.super_onOverScrolled(i, i2, z, z2);
        AppMethodBeat.o(107952);
    }

    public final boolean R(MotionEvent motionEvent) {
        AppMethodBeat.i(107953);
        boolean super_dispatchTouchEvent = super.super_dispatchTouchEvent(motionEvent);
        AppMethodBeat.o(107953);
        return super_dispatchTouchEvent;
    }

    public final boolean S(MotionEvent motionEvent) {
        AppMethodBeat.i(107954);
        boolean super_onInterceptTouchEvent = super.super_onInterceptTouchEvent(motionEvent);
        AppMethodBeat.o(107954);
        return super_onInterceptTouchEvent;
    }

    @TargetApi(9)
    public final void dKK() {
        AppMethodBeat.i(107955);
        super.super_computeScroll();
        AppMethodBeat.o(107955);
    }

    public final void M(int i, int i2, int i3, int i4) {
        AppMethodBeat.i(107956);
        super.super_onScrollChanged(i, i2, i3, i4);
        AppMethodBeat.o(107956);
    }

    /* JADX WARNING: Removed duplicated region for block: B:9:0x0072  */
    public static void il(android.content.Context r11) {
        /*
        r6 = 0;
        r10 = 107957; // 0x1a5b5 float:1.5128E-40 double:5.3338E-319;
        r9 = 2;
        r1 = 1;
        r2 = 0;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r10);
        r0 = "com.tencent.mm_webview_x5_preferences";
        r3 = 4;
        r3 = r11.getSharedPreferences(r0, r3);
        r0 = "tbs_webview_disable";
        r4 = "0";
        r0 = r3.getString(r0, r4);
        r4 = "tbs_webview_min_sdk_version";
        r4 = r3.getString(r4, r6);
        r5 = "tbs_webview_max_sdk_version";
        r5 = r3.getString(r5, r6);
        r6 = "MicroMsg.MMWebView";
        r7 = "initTbsSettings, tbsDisable = %s, minSdkVersion = %s, maxSdkVersion = %s";
        r8 = 3;
        r8 = new java.lang.Object[r8];
        r8[r2] = r0;
        r8[r1] = r4;
        r8[r9] = r5;
        com.tencent.mm.sdk.platformtools.ab.i(r6, r7, r8);
        r6 = "1";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x00a2;
    L_0x0045:
        r0 = com.tencent.mm.sdk.platformtools.bo.getInt(r4, r2);
        r4 = com.tencent.mm.sdk.platformtools.bo.getInt(r5, r2);
        r5 = android.os.Build.VERSION.SDK_INT;
        if (r5 < r0) goto L_0x00a2;
    L_0x0051:
        if (r5 <= r4) goto L_0x0055;
    L_0x0053:
        if (r4 != 0) goto L_0x00a2;
    L_0x0055:
        r0 = "MicroMsg.MMWebView";
        r4 = "in selection, disable x5";
        com.tencent.mm.sdk.platformtools.ab.i(r0, r4);
        r0 = r2;
    L_0x005f:
        r4 = "MicroMsg.MMWebView";
        r5 = "initTbsSettings, enableTbsKernel = %b";
        r6 = new java.lang.Object[r1];
        r7 = java.lang.Boolean.valueOf(r0);
        r6[r2] = r7;
        com.tencent.mm.sdk.platformtools.ab.i(r4, r5, r6);
        if (r0 != 0) goto L_0x0075;
    L_0x0072:
        com.tencent.xweb.x5.sdk.d.forceSysWebView();
    L_0x0075:
        r0 = "tbs_download_oversea";
        r0 = r3.getBoolean(r0, r2);
        r3 = com.tencent.mm.sdk.platformtools.g.dnY();
        r4 = "MicroMsg.MMWebView";
        r5 = "initTbsSettings, tbs_download_oversea = %b, isGPVersion = %b";
        r6 = new java.lang.Object[r9];
        r7 = java.lang.Boolean.valueOf(r0);
        r6[r2] = r7;
        r2 = java.lang.Boolean.valueOf(r3);
        r6[r1] = r2;
        com.tencent.mm.sdk.platformtools.ab.i(r4, r5, r6);
        if (r0 != 0) goto L_0x009e;
    L_0x0099:
        if (r3 == 0) goto L_0x009e;
    L_0x009b:
        com.tencent.xweb.x5.sdk.d.forceSysWebView();
    L_0x009e:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        return;
    L_0x00a2:
        r0 = r1;
        goto L_0x005f;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.ui.widget.MMWebView.il(android.content.Context):void");
    }

    public void onWebViewScrollChanged(int i, int i2, int i3, int i4) {
        AppMethodBeat.i(107958);
        super.onWebViewScrollChanged(i, i2, i3, i4);
        if (this.zNv != null) {
            this.zNv.onWebViewScrollChanged(i, i2, i3, i4);
        }
        AppMethodBeat.o(107958);
    }

    public String getRandomStr() {
        return this.uFw;
    }

    public void setRandomStr(String str) {
        this.uFw = str;
    }

    public void setPreload(boolean z) {
        this.htt = z;
    }
}
