package com.tencent.soter.core.a;

import android.annotation.SuppressLint;
import android.content.Context;
import android.hardware.fingerprint.FingerprintManager;
import android.os.Build.VERSION;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.soter.core.c.d;
import com.tencent.soter.core.c.g;

@SuppressLint({"NewApi"})
final class b {
    static FingerprintManager getFingerprintManager(Context context) {
        AppMethodBeat.i(72992);
        FingerprintManager fingerprintManager = (FingerprintManager) context.getSystemService("fingerprint");
        AppMethodBeat.o(72992);
        return fingerprintManager;
    }

    public static boolean hasEnrolledFingerprints(Context context) {
        boolean z = false;
        AppMethodBeat.i(72993);
        if (checkSelfPermission(context, "android.permission.USE_FINGERPRINT") != 0) {
            d.e("Soter.FingerprintManagerCompatApi23", "soter: permission check failed: hasEnrolledFingerprints", new Object[0]);
            AppMethodBeat.o(72993);
        } else {
            try {
                FingerprintManager fingerprintManager = getFingerprintManager(context);
                if (fingerprintManager != null) {
                    z = fingerprintManager.hasEnrolledFingerprints();
                    AppMethodBeat.o(72993);
                } else {
                    d.e("Soter.FingerprintManagerCompatApi23", "soter: fingerprint manager is null in hasEnrolledFingerprints! Should never happen", new Object[0]);
                    AppMethodBeat.o(72993);
                }
            } catch (SecurityException e) {
                d.e("Soter.FingerprintManagerCompatApi23", "soter: triggered SecurityException in hasEnrolledFingerprints! Make sure you declared USE_FINGERPRINT in AndroidManifest.xml", new Object[0]);
                AppMethodBeat.o(72993);
            }
        }
        return z;
    }

    static int checkSelfPermission(Context context, String str) {
        AppMethodBeat.i(72994);
        if (context == null) {
            d.e("Soter.FingerprintManagerCompatApi23", "soter: check self permission: context is null", new Object[0]);
            AppMethodBeat.o(72994);
            return -1;
        } else if (g.isNullOrNil(str)) {
            d.e("Soter.FingerprintManagerCompatApi23", "soter: requested permission is null or nil", new Object[0]);
            AppMethodBeat.o(72994);
            return -1;
        } else if (VERSION.SDK_INT < 23) {
            d.d("Soter.FingerprintManagerCompatApi23", "soter: below 23. directly return.", new Object[0]);
            AppMethodBeat.o(72994);
            return 0;
        } else {
            int checkSelfPermission = context.checkSelfPermission(str);
            AppMethodBeat.o(72994);
            return checkSelfPermission;
        }
    }

    public static boolean isHardwareDetected(Context context) {
        boolean z = false;
        AppMethodBeat.i(72995);
        if (checkSelfPermission(context, "android.permission.USE_FINGERPRINT") != 0) {
            d.e("Soter.FingerprintManagerCompatApi23", "soter: permission check failed: isHardwareDetected", new Object[0]);
            AppMethodBeat.o(72995);
        } else {
            try {
                FingerprintManager fingerprintManager = getFingerprintManager(context);
                if (fingerprintManager != null) {
                    z = fingerprintManager.isHardwareDetected();
                    AppMethodBeat.o(72995);
                } else {
                    d.e("Soter.FingerprintManagerCompatApi23", "soter: fingerprint manager is null in isHardwareDetected! Should never happen", new Object[0]);
                    AppMethodBeat.o(72995);
                }
            } catch (SecurityException e) {
                d.e("Soter.FingerprintManagerCompatApi23", "soter: triggered SecurityException in isHardwareDetected! Make sure you declared USE_FINGERPRINT in AndroidManifest.xml", new Object[0]);
                AppMethodBeat.o(72995);
            }
        }
        return z;
    }
}
