package com.tencent.soter.core.biometric;

import java.security.Signature;
import javax.crypto.Cipher;
import javax.crypto.Mac;

public class BiometricManagerCompat$CryptoObject {
    private final Cipher mCipher;
    private final Mac mMac;
    private final Signature mSignature;

    public BiometricManagerCompat$CryptoObject(Signature signature) {
        this.mSignature = signature;
        this.mCipher = null;
        this.mMac = null;
    }

    public BiometricManagerCompat$CryptoObject(Cipher cipher) {
        this.mCipher = cipher;
        this.mSignature = null;
        this.mMac = null;
    }

    public BiometricManagerCompat$CryptoObject(Mac mac) {
        this.mMac = mac;
        this.mCipher = null;
        this.mSignature = null;
    }

    public Signature getSignature() {
        return this.mSignature;
    }

    public Cipher getCipher() {
        return this.mCipher;
    }

    public Mac getMac() {
        return this.mMac;
    }
}
