package com.tencent.tmassistantsdk.downloadservice;

import android.os.PowerManager.WakeLock;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.tmassistantsdk.util.TMLog;

class DownloadThreadPool$TaskThread extends Thread {
    private int mIndex = 0;
    final /* synthetic */ DownloadThreadPool this$0;

    public DownloadThreadPool$TaskThread(DownloadThreadPool downloadThreadPool, int i) {
        this.this$0 = downloadThreadPool;
        AppMethodBeat.i(75760);
        this.mIndex = i;
        setName("download_thread_" + this.mIndex);
        start();
        AppMethodBeat.o(75760);
    }

    public void run() {
        AppMethodBeat.i(75761);
        TMLog.i("DownloadThreadPool", "Thread " + this.mIndex + " starts running...");
        while (true) {
            synchronized (this.this$0.mThreadlock) {
                try {
                    TMLog.i("DownloadThreadPool", "Thread " + this.mIndex + " is waitting...");
                    this.this$0.mThreadlock.wait();
                } catch (InterruptedException e) {
                    TMLog.i("DownloadThreadPool", "Thread " + this.mIndex + " is interrupted...");
                    ab.printErrStackTrace("DownloadThreadPool", e, "", new Object[0]);
                    AppMethodBeat.o(75761);
                    return;
                } catch (Throwable th) {
                    while (true) {
                        AppMethodBeat.o(75761);
                        throw th;
                    }
                }
            }
            if (Thread.currentThread().isInterrupted()) {
                TMLog.i("DownloadThreadPool", "Thread " + this.mIndex + " is interrupted...");
                AppMethodBeat.o(75761);
                return;
            }
            while (this.this$0.hasWaitingTask()) {
                DownloadTask downloadTask = null;
                synchronized (this.this$0.mTaskLock) {
                    try {
                        if (this.this$0.mWaitingList.size() > 0) {
                            downloadTask = (DownloadTask) this.this$0.mWaitingList.remove();
                            this.this$0.mExecList.add(downloadTask);
                        }
                    } catch (Throwable th2) {
                        while (true) {
                            AppMethodBeat.o(75761);
                            throw th2;
                        }
                    }
                }
                if (Thread.currentThread().isInterrupted()) {
                    TMLog.i("DownloadThreadPool", "Thread " + this.mIndex + " is interrupted...");
                    AppMethodBeat.o(75761);
                    return;
                }
                if (downloadTask != null) {
                    TMLog.i("DownloadThreadPool", "TaskThread::Run ThreadName: " + getName() + " url: " + downloadTask.getDownloadURI());
                    WakeLock wakeLock = DownloadHelper.getWakeLock();
                    downloadTask.exec(getName());
                    if (wakeLock != null) {
                        wakeLock.release();
                    }
                }
                synchronized (this.this$0.mTaskLock) {
                    if (downloadTask != null) {
                        try {
                            this.this$0.mExecList.remove(downloadTask);
                        } catch (Throwable th22) {
                            while (true) {
                                AppMethodBeat.o(75761);
                                throw th22;
                            }
                        }
                    }
                }
            }
        }
    }
}
