package com.tencent.ttpic.shader;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.ttpic.VideoModule;
import com.tencent.ttpic.baseutils.FileUtils;
import com.tencent.ttpic.util.VideoGlobalContext;

public class ShaderCreateFactory {
    private static final String FRAGMENT_SHADER_ETC_FILE = (VideoModule.es_GL_EXT_shader_framebuffer_fetch ? "MCCommonFragmentShaderETCExt.dat" : "MCCommonFragmentShaderETC.dat");
    private static final String FRAGMENT_SHADER_IMAGE_FILE = (VideoModule.es_GL_EXT_shader_framebuffer_fetch ? "MCCommonFragmentShaderImageExt.dat" : "MCCommonFragmentShaderImage.dat");
    private static final String FRAGMENT_SHADER_VIDEO_FILE = (VideoModule.es_GL_EXT_shader_framebuffer_fetch ? "MCCommonFragmentShaderVideoExt.dat" : "MCCommonFragmentShaderVideo.dat");
    private static final String SHADER_DIR = "camera/camera_video/shader/";

    public static Shader createShader(PROGRAM_TYPE program_type) {
        AppMethodBeat.i(83732);
        if (program_type == null) {
            AppMethodBeat.o(83732);
            return null;
        }
        Shader shader = new Shader(FileUtils.loadAssetsString(VideoGlobalContext.getContext(), new StringBuilder(SHADER_DIR).append(program_type.vertexShaderFile).toString()), FileUtils.loadAssetsString(VideoGlobalContext.getContext(), new StringBuilder(SHADER_DIR).append(program_type.fragmentShaderFile).toString()));
        AppMethodBeat.o(83732);
        return shader;
    }
}
