package com.facebook.appevents.codeless;

import android.app.Activity;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import com.facebook.AccessToken;
import com.facebook.FacebookSdk;
import com.facebook.GraphRequest;
import com.facebook.appevents.internal.ActivityLifecycleTracker;
import com.facebook.appevents.internal.AppEventUtility;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.tencentmap.mapsdk.map.BuildConfig;
import java.lang.ref.WeakReference;
import java.util.Locale;
import java.util.Timer;

public class ViewIndexer {
    private static final String APP_VERSION_PARAM = "app_version";
    private static final String PLATFORM_PARAM = "platform";
    private static final String REQUEST_TYPE = "request_type";
    private static final String SUCCESS = "success";
    private static final String TAG = ViewIndexer.class.getCanonicalName();
    private static final String TREE_PARAM = "tree";
    private WeakReference<Activity> activityReference;
    private Timer indexingTimer;
    private String previousDigest = null;
    private final Handler uiThreadHandler = new Handler(Looper.getMainLooper());

    static /* synthetic */ void access$200(ViewIndexer viewIndexer, String str, String str2) {
        AppMethodBeat.i(72088);
        viewIndexer.sendToServer(str, str2);
        AppMethodBeat.o(72088);
    }

    static {
        AppMethodBeat.i(72089);
        AppMethodBeat.o(72089);
    }

    public ViewIndexer(Activity activity) {
        AppMethodBeat.i(72082);
        this.activityReference = new WeakReference(activity);
        AppMethodBeat.o(72082);
    }

    public void schedule() {
        AppMethodBeat.i(72083);
        Activity activity = (Activity) this.activityReference.get();
        if (activity == null) {
            AppMethodBeat.o(72083);
            return;
        }
        String simpleName = activity.getClass().getSimpleName();
        FacebookSdk.getApplicationId();
        final 1 1 = new 1(this, activity, simpleName);
        FacebookSdk.getExecutor().execute(new Runnable() {
            public void run() {
                AppMethodBeat.i(72076);
                try {
                    if (ViewIndexer.this.indexingTimer != null) {
                        ViewIndexer.this.indexingTimer.cancel();
                    }
                    ViewIndexer.this.previousDigest = null;
                    ViewIndexer.this.indexingTimer = new Timer();
                    ViewIndexer.this.indexingTimer.scheduleAtFixedRate(1, 0, 1000);
                    AppMethodBeat.o(72076);
                } catch (Exception e) {
                    ViewIndexer.TAG;
                    AppMethodBeat.o(72076);
                }
            }
        });
        AppMethodBeat.o(72083);
    }

    public void unschedule() {
        AppMethodBeat.i(72084);
        if (((Activity) this.activityReference.get()) == null) {
            AppMethodBeat.o(72084);
            return;
        }
        if (this.indexingTimer != null) {
            try {
                this.indexingTimer.cancel();
                this.indexingTimer = null;
                AppMethodBeat.o(72084);
                return;
            } catch (Exception e) {
            }
        }
        AppMethodBeat.o(72084);
    }

    public void sendToServerUnity(String str) {
        String simpleName;
        AppMethodBeat.i(72085);
        Activity activity = (Activity) this.activityReference.get();
        String str2 = BuildConfig.FLAVOR;
        if (activity != null) {
            simpleName = activity.getClass().getSimpleName();
        } else {
            simpleName = str2;
        }
        sendToServer(str, simpleName);
        AppMethodBeat.o(72085);
    }

    private void sendToServer(String str, String str2) {
        AppMethodBeat.i(72086);
        FacebookSdk.getExecutor().execute(new 3(this, str));
        AppMethodBeat.o(72086);
    }

    public static GraphRequest buildAppIndexingRequest(String str, AccessToken accessToken, String str2, String str3) {
        AppMethodBeat.i(72087);
        if (str == null) {
            AppMethodBeat.o(72087);
            return null;
        }
        GraphRequest newPostRequest = GraphRequest.newPostRequest(accessToken, String.format(Locale.US, "%s/app_indexing", new Object[]{str2}), null, null);
        Bundle parameters = newPostRequest.getParameters();
        if (parameters == null) {
            parameters = new Bundle();
        }
        parameters.putString(TREE_PARAM, str);
        parameters.putString(APP_VERSION_PARAM, AppEventUtility.getAppVersion());
        parameters.putString(PLATFORM_PARAM, "android");
        parameters.putString(REQUEST_TYPE, str3);
        if (str3.equals("app_indexing")) {
            parameters.putString("device_session_id", ActivityLifecycleTracker.getCurrentDeviceSessionID());
        }
        newPostRequest.setParameters(parameters);
        newPostRequest.setCallback(new 4());
        AppMethodBeat.o(72087);
        return newPostRequest;
    }
}
