package com.facebook.internal;

import android.net.Uri;
import com.tencent.matrix.trace.core.AppMethodBeat;
import org.json.JSONArray;
import org.json.JSONObject;

public class FetchedAppSettings$DialogFeatureConfig {
    private static final String DIALOG_CONFIG_DIALOG_NAME_FEATURE_NAME_SEPARATOR = "\\|";
    private static final String DIALOG_CONFIG_NAME_KEY = "name";
    private static final String DIALOG_CONFIG_URL_KEY = "url";
    private static final String DIALOG_CONFIG_VERSIONS_KEY = "versions";
    private String dialogName;
    private Uri fallbackUrl;
    private String featureName;
    private int[] featureVersionSpec;

    public static FetchedAppSettings$DialogFeatureConfig parseDialogConfig(JSONObject jSONObject) {
        Uri uri = null;
        AppMethodBeat.i(72301);
        String optString = jSONObject.optString(DIALOG_CONFIG_NAME_KEY);
        if (Utility.isNullOrEmpty(optString)) {
            AppMethodBeat.o(72301);
            return null;
        }
        String[] split = optString.split(DIALOG_CONFIG_DIALOG_NAME_FEATURE_NAME_SEPARATOR);
        if (split.length != 2) {
            AppMethodBeat.o(72301);
            return null;
        }
        String str = split[0];
        String str2 = split[1];
        if (Utility.isNullOrEmpty(str) || Utility.isNullOrEmpty(str2)) {
            AppMethodBeat.o(72301);
            return null;
        }
        optString = jSONObject.optString(DIALOG_CONFIG_URL_KEY);
        if (!Utility.isNullOrEmpty(optString)) {
            uri = Uri.parse(optString);
        }
        FetchedAppSettings$DialogFeatureConfig fetchedAppSettings$DialogFeatureConfig = new FetchedAppSettings$DialogFeatureConfig(str, str2, uri, parseVersionSpec(jSONObject.optJSONArray(DIALOG_CONFIG_VERSIONS_KEY)));
        AppMethodBeat.o(72301);
        return fetchedAppSettings$DialogFeatureConfig;
    }

    private static int[] parseVersionSpec(JSONArray jSONArray) {
        AppMethodBeat.i(72302);
        int[] iArr = null;
        if (jSONArray != null) {
            int length = jSONArray.length();
            int[] iArr2 = new int[length];
            for (int i = 0; i < length; i++) {
                int optInt = jSONArray.optInt(i, -1);
                if (optInt == -1) {
                    String optString = jSONArray.optString(i);
                    if (!Utility.isNullOrEmpty(optString)) {
                        try {
                            optInt = Integer.parseInt(optString);
                        } catch (NumberFormatException e) {
                            Utility.logd("FacebookSDK", e);
                            optInt = -1;
                        }
                    }
                }
                iArr2[i] = optInt;
            }
            iArr = iArr2;
        }
        AppMethodBeat.o(72302);
        return iArr;
    }

    private FetchedAppSettings$DialogFeatureConfig(String str, String str2, Uri uri, int[] iArr) {
        this.dialogName = str;
        this.featureName = str2;
        this.fallbackUrl = uri;
        this.featureVersionSpec = iArr;
    }

    public String getDialogName() {
        return this.dialogName;
    }

    public String getFeatureName() {
        return this.featureName;
    }

    public Uri getFallbackUrl() {
        return this.fallbackUrl;
    }

    public int[] getVersionSpec() {
        return this.featureVersionSpec;
    }
}
