package com.facebook.share.internal;

import com.facebook.share.model.CameraEffectArguments;
import com.facebook.share.model.CameraEffectArguments.Builder;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import org.json.JSONArray;
import org.json.JSONObject;

public class CameraEffectJSONUtility {
    private static final Map<Class<?>, Setter> SETTERS;

    static {
        AppMethodBeat.i(96952);
        HashMap hashMap = new HashMap();
        SETTERS = hashMap;
        hashMap.put(String.class, new 1());
        SETTERS.put(String[].class, new 2());
        SETTERS.put(JSONArray.class, new 3());
        AppMethodBeat.o(96952);
    }

    public static JSONObject convertToJSON(CameraEffectArguments cameraEffectArguments) {
        AppMethodBeat.i(96950);
        if (cameraEffectArguments == null) {
            AppMethodBeat.o(96950);
            return null;
        }
        JSONObject jSONObject = new JSONObject();
        for (String str : cameraEffectArguments.keySet()) {
            Object obj = cameraEffectArguments.get(str);
            if (obj != null) {
                Setter setter = (Setter) SETTERS.get(obj.getClass());
                if (setter == null) {
                    IllegalArgumentException illegalArgumentException = new IllegalArgumentException("Unsupported type: " + obj.getClass());
                    AppMethodBeat.o(96950);
                    throw illegalArgumentException;
                }
                setter.setOnJSON(jSONObject, str, obj);
            }
        }
        AppMethodBeat.o(96950);
        return jSONObject;
    }

    public static CameraEffectArguments convertToCameraEffectArguments(JSONObject jSONObject) {
        AppMethodBeat.i(96951);
        if (jSONObject == null) {
            AppMethodBeat.o(96951);
            return null;
        }
        Builder builder = new Builder();
        Iterator keys = jSONObject.keys();
        while (keys.hasNext()) {
            String str = (String) keys.next();
            Object obj = jSONObject.get(str);
            if (!(obj == null || obj == JSONObject.NULL)) {
                Setter setter = (Setter) SETTERS.get(obj.getClass());
                if (setter == null) {
                    IllegalArgumentException illegalArgumentException = new IllegalArgumentException("Unsupported type: " + obj.getClass());
                    AppMethodBeat.o(96951);
                    throw illegalArgumentException;
                }
                setter.setOnArgumentsBuilder(builder, str, obj);
            }
        }
        CameraEffectArguments build = builder.build();
        AppMethodBeat.o(96951);
        return build;
    }
}
