package com.facebook.share.internal;

import android.os.Bundle;
import com.facebook.AccessToken;
import com.facebook.FacebookRequestError;
import com.facebook.GraphRequest;
import com.facebook.GraphResponse;
import com.facebook.HttpMethod;
import com.facebook.LoggingBehavior;
import com.facebook.internal.Logger;
import com.facebook.internal.Utility;
import com.facebook.share.internal.LikeActionController.AbstractRequestWrapper;
import com.facebook.share.widget.LikeView$ObjectType;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.tencentmap.mapsdk.map.BuildConfig;
import org.json.JSONObject;

class LikeActionController$GetOGObjectIdRequestWrapper extends AbstractRequestWrapper {
    final /* synthetic */ LikeActionController this$0;
    String verifiedObjectId;

    LikeActionController$GetOGObjectIdRequestWrapper(LikeActionController likeActionController, String str, LikeView$ObjectType likeView$ObjectType) {
        this.this$0 = likeActionController;
        super(likeActionController, str, likeView$ObjectType);
        AppMethodBeat.i(97001);
        Bundle bundle = new Bundle();
        bundle.putString("fields", "og_object.fields(id)");
        bundle.putString("ids", str);
        setRequest(new GraphRequest(AccessToken.getCurrentAccessToken(), BuildConfig.FLAVOR, bundle, HttpMethod.GET));
        AppMethodBeat.o(97001);
    }

    /* Access modifiers changed, original: protected */
    public void processError(FacebookRequestError facebookRequestError) {
        AppMethodBeat.i(97002);
        if (facebookRequestError.getErrorMessage().contains("og_object")) {
            this.error = null;
            AppMethodBeat.o(97002);
            return;
        }
        Logger.log(LoggingBehavior.REQUESTS, LikeActionController.access$100(), "Error getting the FB id for object '%s' with type '%s' : %s", new Object[]{this.objectId, this.objectType, facebookRequestError});
        AppMethodBeat.o(97002);
    }

    /* Access modifiers changed, original: protected */
    public void processSuccess(GraphResponse graphResponse) {
        AppMethodBeat.i(97003);
        JSONObject tryGetJSONObjectFromResponse = Utility.tryGetJSONObjectFromResponse(graphResponse.getJSONObject(), this.objectId);
        if (tryGetJSONObjectFromResponse != null) {
            tryGetJSONObjectFromResponse = tryGetJSONObjectFromResponse.optJSONObject("og_object");
            if (tryGetJSONObjectFromResponse != null) {
                this.verifiedObjectId = tryGetJSONObjectFromResponse.optString("id");
            }
        }
        AppMethodBeat.o(97003);
    }
}
