package com.facebook.share.model;

import android.net.Uri;
import android.os.Parcel;
import android.os.Parcelable.Creator;
import com.tencent.matrix.trace.core.AppMethodBeat;

public final class ShareMessengerMediaTemplateContent extends ShareContent<ShareMessengerMediaTemplateContent, Builder> {
    public static final Creator<ShareMessengerMediaTemplateContent> CREATOR = new 1();
    private final String attachmentId;
    private final ShareMessengerActionButton button;
    private final MediaType mediaType;
    private final Uri mediaUrl;

    private ShareMessengerMediaTemplateContent(Builder builder) {
        super(builder);
        AppMethodBeat.i(97488);
        this.mediaType = Builder.access$000(builder);
        this.attachmentId = Builder.access$100(builder);
        this.mediaUrl = Builder.access$200(builder);
        this.button = Builder.access$300(builder);
        AppMethodBeat.o(97488);
    }

    ShareMessengerMediaTemplateContent(Parcel parcel) {
        super(parcel);
        AppMethodBeat.i(97489);
        this.mediaType = (MediaType) parcel.readSerializable();
        this.attachmentId = parcel.readString();
        this.mediaUrl = (Uri) parcel.readParcelable(Uri.class.getClassLoader());
        this.button = (ShareMessengerActionButton) parcel.readParcelable(ShareMessengerActionButton.class.getClassLoader());
        AppMethodBeat.o(97489);
    }

    public final MediaType getMediaType() {
        return this.mediaType;
    }

    public final String getAttachmentId() {
        return this.attachmentId;
    }

    public final Uri getMediaUrl() {
        return this.mediaUrl;
    }

    public final ShareMessengerActionButton getButton() {
        return this.button;
    }

    public final int describeContents() {
        return 0;
    }

    public final void writeToParcel(Parcel parcel, int i) {
        AppMethodBeat.i(97490);
        parcel.writeSerializable(this.mediaType);
        parcel.writeString(this.attachmentId);
        parcel.writeParcelable(this.mediaUrl, i);
        parcel.writeParcelable(this.button, i);
        AppMethodBeat.o(97490);
    }

    static {
        AppMethodBeat.i(97491);
        AppMethodBeat.o(97491);
    }
}
