package com.facebook.share.model;

import android.graphics.Bitmap;
import android.net.Uri;
import android.os.Parcel;
import android.os.Parcelable.Creator;
import com.facebook.share.model.ShareMedia.Builder;
import com.facebook.share.model.ShareMedia.Type;
import com.tencent.matrix.trace.core.AppMethodBeat;

public final class SharePhoto extends ShareMedia {
    public static final Creator<SharePhoto> CREATOR = new Creator<SharePhoto>() {
        public final SharePhoto createFromParcel(Parcel parcel) {
            AppMethodBeat.i(97551);
            SharePhoto sharePhoto = new SharePhoto(parcel);
            AppMethodBeat.o(97551);
            return sharePhoto;
        }

        public final SharePhoto[] newArray(int i) {
            return new SharePhoto[i];
        }
    };
    private final Bitmap bitmap;
    private final String caption;
    private final Uri imageUrl;
    private final boolean userGenerated;

    private SharePhoto(Builder builder) {
        super((Builder) builder);
        AppMethodBeat.i(97562);
        this.bitmap = Builder.access$000(builder);
        this.imageUrl = Builder.access$100(builder);
        this.userGenerated = Builder.access$200(builder);
        this.caption = Builder.access$300(builder);
        AppMethodBeat.o(97562);
    }

    SharePhoto(Parcel parcel) {
        super(parcel);
        AppMethodBeat.i(97563);
        this.bitmap = (Bitmap) parcel.readParcelable(Bitmap.class.getClassLoader());
        this.imageUrl = (Uri) parcel.readParcelable(Uri.class.getClassLoader());
        this.userGenerated = parcel.readByte() != (byte) 0;
        this.caption = parcel.readString();
        AppMethodBeat.o(97563);
    }

    public final Bitmap getBitmap() {
        return this.bitmap;
    }

    public final Uri getImageUrl() {
        return this.imageUrl;
    }

    public final boolean getUserGenerated() {
        return this.userGenerated;
    }

    public final String getCaption() {
        return this.caption;
    }

    public final int describeContents() {
        return 0;
    }

    public final void writeToParcel(Parcel parcel, int i) {
        int i2 = 0;
        AppMethodBeat.i(97564);
        super.writeToParcel(parcel, i);
        parcel.writeParcelable(this.bitmap, 0);
        parcel.writeParcelable(this.imageUrl, 0);
        if (this.userGenerated) {
            i2 = 1;
        }
        parcel.writeByte((byte) i2);
        parcel.writeString(this.caption);
        AppMethodBeat.o(97564);
    }

    static {
        AppMethodBeat.i(97565);
        AppMethodBeat.o(97565);
    }

    public final Type getMediaType() {
        return Type.PHOTO;
    }
}
