package com.google.android.flexbox;

import android.content.Context;
import android.content.res.TypedArray;
import android.os.Parcel;
import android.os.Parcelable.Creator;
import android.util.AttributeSet;
import android.view.ViewGroup.LayoutParams;
import android.view.ViewGroup.MarginLayoutParams;
import com.google.android.flexbox.d.a;
import com.tencent.matrix.trace.core.AppMethodBeat;

public class FlexboxLayout$LayoutParams extends MarginLayoutParams implements FlexItem {
    public static final Creator<FlexboxLayout$LayoutParams> CREATOR = new 1();
    private int btQ = 1;
    private float btR = 0.0f;
    private float btS = 1.0f;
    private int btT = -1;
    private float btU = -1.0f;
    private boolean btV;
    private int dg;
    private int dh;
    private int di = 16777215;
    private int dj = 16777215;

    public FlexboxLayout$LayoutParams(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        AppMethodBeat.i(54729);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, a.FlexboxLayout_Layout);
        this.btQ = obtainStyledAttributes.getInt(0, 1);
        this.btR = obtainStyledAttributes.getFloat(1, 0.0f);
        this.btS = obtainStyledAttributes.getFloat(2, 1.0f);
        this.btT = obtainStyledAttributes.getInt(4, -1);
        this.btU = obtainStyledAttributes.getFraction(3, 1, 1, -1.0f);
        this.dg = obtainStyledAttributes.getDimensionPixelSize(5, 0);
        this.dh = obtainStyledAttributes.getDimensionPixelSize(6, 0);
        this.di = obtainStyledAttributes.getDimensionPixelSize(7, 16777215);
        this.dj = obtainStyledAttributes.getDimensionPixelSize(8, 16777215);
        this.btV = obtainStyledAttributes.getBoolean(9, false);
        obtainStyledAttributes.recycle();
        AppMethodBeat.o(54729);
    }

    public FlexboxLayout$LayoutParams(FlexboxLayout$LayoutParams flexboxLayout$LayoutParams) {
        super(flexboxLayout$LayoutParams);
        this.btQ = flexboxLayout$LayoutParams.btQ;
        this.btR = flexboxLayout$LayoutParams.btR;
        this.btS = flexboxLayout$LayoutParams.btS;
        this.btT = flexboxLayout$LayoutParams.btT;
        this.btU = flexboxLayout$LayoutParams.btU;
        this.dg = flexboxLayout$LayoutParams.dg;
        this.dh = flexboxLayout$LayoutParams.dh;
        this.di = flexboxLayout$LayoutParams.di;
        this.dj = flexboxLayout$LayoutParams.dj;
        this.btV = flexboxLayout$LayoutParams.btV;
    }

    public FlexboxLayout$LayoutParams(LayoutParams layoutParams) {
        super(layoutParams);
    }

    public FlexboxLayout$LayoutParams(MarginLayoutParams marginLayoutParams) {
        super(marginLayoutParams);
    }

    public final int getWidth() {
        return this.width;
    }

    public final int getHeight() {
        return this.height;
    }

    public final int getOrder() {
        return this.btQ;
    }

    public final float ub() {
        return this.btR;
    }

    public final float uc() {
        return this.btS;
    }

    public final int ud() {
        return this.btT;
    }

    public final int getMinWidth() {
        return this.dg;
    }

    public final int getMinHeight() {
        return this.dh;
    }

    public final int getMaxWidth() {
        return this.di;
    }

    public final int getMaxHeight() {
        return this.dj;
    }

    public final boolean ue() {
        return this.btV;
    }

    public final float uf() {
        return this.btU;
    }

    public final int ug() {
        return this.leftMargin;
    }

    public final int uh() {
        return this.topMargin;
    }

    public final int ui() {
        return this.rightMargin;
    }

    public final int uj() {
        return this.bottomMargin;
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(Parcel parcel, int i) {
        AppMethodBeat.i(54730);
        parcel.writeInt(this.btQ);
        parcel.writeFloat(this.btR);
        parcel.writeFloat(this.btS);
        parcel.writeInt(this.btT);
        parcel.writeFloat(this.btU);
        parcel.writeInt(this.dg);
        parcel.writeInt(this.dh);
        parcel.writeInt(this.di);
        parcel.writeInt(this.dj);
        parcel.writeByte(this.btV ? (byte) 1 : (byte) 0);
        parcel.writeInt(this.bottomMargin);
        parcel.writeInt(this.leftMargin);
        parcel.writeInt(this.rightMargin);
        parcel.writeInt(this.topMargin);
        parcel.writeInt(this.height);
        parcel.writeInt(this.width);
        AppMethodBeat.o(54730);
    }

    protected FlexboxLayout$LayoutParams(Parcel parcel) {
        boolean z = true;
        super(0, 0);
        AppMethodBeat.i(54731);
        this.btQ = parcel.readInt();
        this.btR = parcel.readFloat();
        this.btS = parcel.readFloat();
        this.btT = parcel.readInt();
        this.btU = parcel.readFloat();
        this.dg = parcel.readInt();
        this.dh = parcel.readInt();
        this.di = parcel.readInt();
        this.dj = parcel.readInt();
        if (parcel.readByte() == (byte) 0) {
            z = false;
        }
        this.btV = z;
        this.bottomMargin = parcel.readInt();
        this.leftMargin = parcel.readInt();
        this.rightMargin = parcel.readInt();
        this.topMargin = parcel.readInt();
        this.height = parcel.readInt();
        this.width = parcel.readInt();
        AppMethodBeat.o(54731);
    }

    static {
        AppMethodBeat.i(54732);
        AppMethodBeat.o(54732);
    }
}
