package com.tencent.liteav.audio.impl;

import android.bluetooth.BluetoothAdapter;
import android.bluetooth.BluetoothDevice;
import android.bluetooth.BluetoothHeadset;
import android.bluetooth.BluetoothProfile.ServiceListener;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.media.AudioManager;
import android.os.Handler;
import android.os.Looper;
import com.samsung.android.sdk.look.airbutton.SlookAirButtonRecentMediaAdapter;
import com.tencent.liteav.audio.TXEAudioDef;
import com.tencent.liteav.basic.log.TXCLog;
import com.tencent.liteav.basic.util.b;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.util.ArrayList;
import java.util.List;

public class a implements e {
    private final String a;
    private Context b;
    private BroadcastReceiver c;
    private ServiceListener d;
    private BluetoothHeadset e;
    private List<d> f;
    private Handler g;
    private boolean h;
    private int i;
    private AudioManager j;

    static /* synthetic */ void b(a aVar, Intent intent) {
        AppMethodBeat.i(66581);
        aVar.a(intent);
        AppMethodBeat.o(66581);
    }

    public static void a(String str) {
        AppMethodBeat.i(66568);
        TXCTraeJNI.nativeSetTraeConfig(str);
        AppMethodBeat.o(66568);
    }

    static {
        AppMethodBeat.i(66583);
        b.e();
        AppMethodBeat.o(66583);
    }

    public static a a() {
        AppMethodBeat.i(66569);
        a a = a.a();
        AppMethodBeat.o(66569);
        return a;
    }

    private a() {
        AppMethodBeat.i(66570);
        this.a = "AudioCenter:" + a.class.getSimpleName();
        this.i = TXEAudioDef.TXE_AUDIO_MODE_SPEAKER;
        this.f = new ArrayList();
        AppMethodBeat.o(66570);
    }

    public void a(Context context) {
        AppMethodBeat.i(66571);
        if (this.c != null) {
            AppMethodBeat.o(66571);
            return;
        }
        TXCLog.i(this.a, "init");
        this.b = context.getApplicationContext();
        c.a().a(this.b);
        c.a().a(this);
        this.j = (AudioManager) context.getSystemService(SlookAirButtonRecentMediaAdapter.AUDIO_TYPE);
        this.g = new Handler(Looper.getMainLooper());
        this.c = new 1(this);
        this.d = new 2(this);
        IntentFilter intentFilter = new IntentFilter();
        intentFilter.addAction("android.intent.action.HEADSET_PLUG");
        intentFilter.addAction("android.bluetooth.device.action.ACL_CONNECTED");
        intentFilter.addAction("android.bluetooth.device.action.ACL_DISCONNECTED");
        intentFilter.addAction("android.bluetooth.adapter.action.STATE_CHANGED");
        intentFilter.addAction("android.media.ACTION_SCO_AUDIO_STATE_UPDATED");
        this.b.registerReceiver(this.c, intentFilter);
        try {
            BluetoothAdapter defaultAdapter = BluetoothAdapter.getDefaultAdapter();
            if (defaultAdapter != null) {
                defaultAdapter.getProfileProxy(this.b, this.d, 1);
            }
            AppMethodBeat.o(66571);
        } catch (Exception e) {
            TXCLog.e(this.a, "BluetoothAdapter getProfileProxy: ".concat(String.valueOf(e)));
            AppMethodBeat.o(66571);
        }
    }

    private void a(Intent intent) {
        AppMethodBeat.i(66572);
        int intExtra = intent.getIntExtra("android.media.extra.SCO_AUDIO_STATE", -1);
        new StringBuilder("Audio SCO state: ").append(intExtra).append(", thread id = ").append(Thread.currentThread().getId());
        if (intExtra == 1) {
            TXCLog.i(this.a, "SCO connected, yeah!");
            this.j.setBluetoothScoOn(true);
            a(this.i);
            AppMethodBeat.o(66572);
        } else if (intExtra == 2) {
            TXCLog.i(this.a, "SCO connecting");
            AppMethodBeat.o(66572);
        } else {
            if (intExtra == 0) {
                TXCLog.i(this.a, "SCO disconnect");
                if (this.e == null) {
                    AppMethodBeat.o(66572);
                    return;
                }
                this.g.postDelayed(new 3(this), 1000);
            }
            AppMethodBeat.o(66572);
        }
    }

    private void b(Intent intent) {
        AppMethodBeat.i(66573);
        if (intent.hasExtra("state")) {
            int intExtra = intent.getIntExtra("state", 0);
            if (intExtra == 0) {
                this.h = false;
                a(false);
                a(this.i);
                TXCLog.d(this.a, "pull out wired headset");
                AppMethodBeat.o(66573);
                return;
            } else if (1 == intExtra) {
                this.h = true;
                a(true);
                a(this.i);
                TXCLog.d(this.a, "insert wired headset");
            }
        }
        AppMethodBeat.o(66573);
    }

    private void a(BluetoothDevice bluetoothDevice) {
        AppMethodBeat.i(66574);
        if (bluetoothDevice == null || this.e == null) {
            AppMethodBeat.o(66574);
            return;
        }
        int connectionState;
        try {
            connectionState = this.e.getConnectionState(bluetoothDevice);
        } catch (Exception e) {
            TXCLog.e(this.a, "getConnectionState exception: ".concat(String.valueOf(e)));
            connectionState = 0;
        }
        TXCLog.d(this.a, "BluetoothHeadset state：".concat(String.valueOf(connectionState)));
        switch (connectionState) {
            case 0:
                a(false);
                TXCLog.d(this.a, "BluetoothHeadset disconnect");
                this.j.setBluetoothScoOn(false);
                this.j.stopBluetoothSco();
                a(this.i);
                break;
            case 2:
                a(true);
                TXCLog.d(this.a, "BluetoothHeadset connect");
                if (this.j.isBluetoothScoAvailableOffCall()) {
                    this.j.startBluetoothSco();
                    AppMethodBeat.o(66574);
                    return;
                }
                TXCLog.e(this.a, "not support BTHeadset sco");
                AppMethodBeat.o(66574);
                return;
        }
        AppMethodBeat.o(66574);
    }

    public synchronized void a(int i) {
        AppMethodBeat.i(66575);
        this.i = i;
        if (this.h) {
            this.j.setMode(0);
            this.j.setSpeakerphoneOn(false);
            TXCLog.d(this.a, "setAudioMode, is wiredHeadsetOn, set MODE_NORMAL and speakerphoneOn false");
            AppMethodBeat.o(66575);
        } else if (this.e != null && this.j.isBluetoothScoOn()) {
            this.j.setMode(3);
            this.j.setSpeakerphoneOn(false);
            TXCLog.d(this.a, "setAudioMode, is bluetoothHeadset connect and isBluetoothScoOn true, set mode MODE_IN_COMMUNICATION and speakerphoneOn false");
            AppMethodBeat.o(66575);
        } else if (this.j == null) {
            AppMethodBeat.o(66575);
        } else if (i == TXEAudioDef.TXE_AUDIO_MODE_RECEIVER) {
            this.j.setMode(3);
            this.j.setSpeakerphoneOn(false);
            TXCLog.i(this.a, "AudioCenter setAudioMode to receiver, MODE_IN_COMMUNICATION, speakerphoneOn false");
            AppMethodBeat.o(66575);
        } else {
            this.j.setMode(0);
            this.j.setSpeakerphoneOn(true);
            TXCLog.i(this.a, "AudioCenter setAudioMode to speaker, MODE_NORMAL, speakerphoneOn true");
            AppMethodBeat.o(66575);
        }
    }

    public synchronized void a(d dVar) {
        AppMethodBeat.i(66576);
        if (dVar == null) {
            AppMethodBeat.o(66576);
        } else {
            this.f.add(dVar);
            if (this.h) {
                dVar.OnHeadsetState(true);
                AppMethodBeat.o(66576);
            } else if (this.e == null || this.j == null || !this.j.isBluetoothScoOn()) {
                dVar.OnHeadsetState(false);
                AppMethodBeat.o(66576);
            } else {
                dVar.OnHeadsetState(true);
                AppMethodBeat.o(66576);
            }
        }
    }

    public synchronized void b(d dVar) {
        AppMethodBeat.i(66577);
        if (dVar == null) {
            AppMethodBeat.o(66577);
        } else {
            this.f.remove(dVar);
            AppMethodBeat.o(66577);
        }
    }

    private synchronized void a(boolean z) {
        AppMethodBeat.i(66578);
        for (d OnHeadsetState : this.f) {
            OnHeadsetState.OnHeadsetState(z);
        }
        AppMethodBeat.o(66578);
    }

    public void b(int i) {
        AppMethodBeat.i(66579);
        TXCLog.i(this.a, "onCallStateChanged, state = ".concat(String.valueOf(i)));
        if (this.j.isBluetoothScoAvailableOffCall()) {
            if (!(i != 0 || this.e == null || this.j.isBluetoothScoOn())) {
                TXCLog.i(this.a, "to restartBluetoothSco");
                this.g.postDelayed(new 4(this), 1000);
            }
            AppMethodBeat.o(66579);
            return;
        }
        TXCLog.e(this.a, "not support BTHeadset sco");
        AppMethodBeat.o(66579);
    }
}
