package com.tencent.mapsdk.raster.model;

import com.tencent.matrix.trace.core.AppMethodBeat;

public final class LatLngBounds$Builder {
    private double mEast = Double.NaN;
    private double mNorth = Double.NEGATIVE_INFINITY;
    private double mSouth = Double.POSITIVE_INFINITY;
    private double mWest = Double.NaN;

    public final LatLngBounds$Builder include(LatLng latLng) {
        AppMethodBeat.i(101199);
        this.mSouth = Math.min(this.mSouth, latLng.getLatitude());
        this.mNorth = Math.max(this.mNorth, latLng.getLatitude());
        double longitude = latLng.getLongitude();
        if (Double.isNaN(this.mWest)) {
            this.mWest = longitude;
        } else {
            if (!containsLongitude(longitude)) {
                if (LatLngBounds.access$400(this.mWest, longitude) < LatLngBounds.access$500(this.mEast, longitude)) {
                    this.mWest = longitude;
                }
            }
            AppMethodBeat.o(101199);
            return this;
        }
        this.mEast = longitude;
        AppMethodBeat.o(101199);
        return this;
    }

    public final LatLngBounds$Builder include(Iterable<LatLng> iterable) {
        AppMethodBeat.i(101200);
        if (iterable != null) {
            for (LatLng include : iterable) {
                include(include);
            }
        }
        AppMethodBeat.o(101200);
        return this;
    }

    private boolean containsLongitude(double d) {
        if (this.mWest <= this.mEast) {
            if (this.mWest > d || d > this.mEast) {
                return false;
            }
            return true;
        } else if (this.mWest <= d || d <= this.mEast) {
            return true;
        } else {
            return false;
        }
    }

    public final LatLngBounds build() {
        AppMethodBeat.i(101201);
        LatLngBounds latLngBounds = new LatLngBounds(new LatLng(this.mSouth, this.mWest), new LatLng(this.mNorth, this.mEast));
        AppMethodBeat.o(101201);
        return latLngBounds;
    }
}
