package com.tencent.mars.cdn;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.os.Build.VERSION;
import com.tencent.mm.sdk.platformtools.ab;
import java.security.KeyStoreException;
import java.security.NoSuchAlgorithmException;
import java.security.cert.CertificateException;

final class X509Util$TrustStorageListener extends BroadcastReceiver {
    private X509Util$TrustStorageListener() {
    }

    public final void onReceive(Context context, Intent intent) {
        boolean equals;
        if (VERSION.SDK_INT < 26) {
            equals = "android.security.STORAGE_CHANGED".equals(intent.getAction());
        } else if ("android.security.action.KEYCHAIN_CHANGED".equals(intent.getAction()) || "android.security.action.TRUST_STORE_CHANGED".equals(intent.getAction())) {
            equals = true;
        } else if (!"android.security.action.KEY_ACCESS_CHANGED".equals(intent.getAction()) || intent.getBooleanExtra("android.security.extra.KEY_ACCESSIBLE", false)) {
            equals = false;
        } else {
            equals = true;
        }
        if (equals) {
            try {
                X509Util.access$000();
            } catch (CertificateException e) {
                ab.e("X509Util", "Unable to reload the default TrustManager", new Object[]{e});
            } catch (KeyStoreException e2) {
                ab.e("X509Util", "Unable to reload the default TrustManager", new Object[]{e2});
            } catch (NoSuchAlgorithmException e3) {
                ab.e("X509Util", "Unable to reload the default TrustManager", new Object[]{e3});
            }
        }
    }
}
