package com.tencent.mm.platformtools;

import android.accounts.Account;
import android.content.ContentProviderOperation;
import android.content.ContentProviderOperation.Builder;
import android.content.Context;
import android.database.Cursor;
import android.os.Looper;
import android.provider.ContactsContract.Data;
import android.provider.ContactsContract.RawContacts;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.kernel.g;
import com.tencent.mm.plugin.account.friend.a.a;
import com.tencent.mm.plugin.account.friend.a.b;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.tencentmap.mapsdk.map.BuildConfig;

public final class h implements Runnable {
    private String cEr;
    private Account ggY;
    private a ggZ;
    private Looper gha;
    private Context mContext;
    private String username;

    public h(Context context, Account account) {
        this(context, account, null, null);
    }

    public h(Context context, Account account, String str) {
        this(context, account, str, null);
    }

    public h(Context context, Account account, String str, String str2) {
        AppMethodBeat.i(124521);
        this.mContext = context;
        this.ggY = account;
        this.username = str;
        this.cEr = str2;
        ab.i("MicroMsg.ContactsOperations", "username = " + str + ", " + str2);
        AppMethodBeat.o(124521);
    }

    public final void run() {
        AppMethodBeat.i(124522);
        Looper.prepare();
        this.gha = Looper.myLooper();
        ab.i("MicroMsg.ContactsOperations", "start time:".concat(String.valueOf(System.currentTimeMillis())));
        if (g.RN().QY()) {
            a vT;
            if (bo.isNullOrNil(this.username) && bo.isNullOrNil(this.cEr)) {
                anG();
            } else if (bo.isNullOrNil(this.cEr)) {
                vT = ((b) ((com.tencent.mm.plugin.account.a.a.a) g.M(com.tencent.mm.plugin.account.a.a.a.class)).getAddrUploadStg()).vT(this.username);
                if (!(vT == null || bo.isNullOrNil(vT.guM))) {
                    vq(vT.guM);
                }
                quit();
            } else {
                a vT2;
                vT = ((b) ((com.tencent.mm.plugin.account.a.a.a) g.M(com.tencent.mm.plugin.account.a.a.a.class)).getAddrUploadStg()).vT(this.username);
                if (vT == null || bo.isNullOrNil(vT.guM)) {
                    vT2 = ((b) ((com.tencent.mm.plugin.account.a.a.a) g.M(com.tencent.mm.plugin.account.a.a.a.class)).getAddrUploadStg()).vT(this.cEr);
                } else {
                    vT2 = vT;
                }
                if (vT2 == null || bo.isNullOrNil(vT2.guM)) {
                    ab.d("MicroMsg.ContactsOperations", "query addrupload is null " + this.username);
                } else {
                    try {
                        if (com.tencent.mm.pluginsdk.permission.b.o(this.mContext, "android.permission.READ_CONTACTS")) {
                            Cursor query = this.mContext.getContentResolver().query(RawContacts.CONTENT_URI.buildUpon().appendQueryParameter("account_name", this.ggY.name).appendQueryParameter("account_type", this.ggY.type).build(), new String[]{"sync1", "_id"}, "deleted=\"0\" AND sync1=\"" + vT2.guM + "\"", null, null);
                            if (query == null || query.getCount() == 0) {
                                String apD = bo.isNullOrNil(vT2.apA()) ? vT2.apD() : vT2.apA();
                                this.ggZ = new a(this, this.mContext.getContentResolver());
                                e(apD, vT2.apG(), vT2.guM, this.username);
                                this.ggZ.execute();
                            }
                            if (query != null) {
                                query.close();
                            }
                        } else {
                            ab.e("MicroMsg.ContactsOperations", "no contact permission");
                        }
                    } catch (Exception e) {
                        ab.printErrStackTrace("MicroMsg.ContactsOperations", e, BuildConfig.FLAVOR, new Object[]{BuildConfig.FLAVOR});
                    }
                }
                quit();
            }
            ab.i("MicroMsg.ContactsOperations", "end time:" + System.currentTimeMillis());
            Looper.loop();
            AppMethodBeat.o(124522);
            return;
        }
        ab.w("MicroMsg.ContactsOperations", "account not ready, quit this operation");
        quit();
        AppMethodBeat.o(124522);
    }

    private void quit() {
        AppMethodBeat.i(124523);
        if (this.gha != null) {
            this.gha.quit();
        }
        AppMethodBeat.o(124523);
    }

    /* JADX WARNING: Removed duplicated region for block: B:26:0x00dc A:{SYNTHETIC, Splitter:B:26:0x00dc} */
    /* JADX WARNING: Removed duplicated region for block: B:36:0x0109  */
    /* JADX WARNING: Removed duplicated region for block: B:26:0x00dc A:{SYNTHETIC, Splitter:B:26:0x00dc} */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x00e8  */
    /* JADX WARNING: Removed duplicated region for block: B:36:0x0109  */
    private synchronized void anG() {
        /*
        r13 = this;
        r8 = 0;
        r9 = 1;
        r10 = 0;
        monitor-enter(r13);
        r2 = 124524; // 0x1e66c float:1.74495E-40 double:6.1523E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r2);	 Catch:{ all -> 0x006d }
        r2 = com.tencent.mm.kernel.g.RK();	 Catch:{ all -> 0x006d }
        if (r2 != 0) goto L_0x0024;
    L_0x0010:
        r2 = "MicroMsg.ContactsOperations";
        r3 = "account not ready, quit this operation";
        com.tencent.mm.sdk.platformtools.ab.d(r2, r3);	 Catch:{ all -> 0x006d }
        r13.quit();	 Catch:{ all -> 0x006d }
        r2 = 124524; // 0x1e66c float:1.74495E-40 double:6.1523E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);	 Catch:{ all -> 0x006d }
    L_0x0022:
        monitor-exit(r13);
        return;
    L_0x0024:
        r2 = com.tencent.mm.plugin.account.a.a.a.class;
        r2 = com.tencent.mm.kernel.g.M(r2);	 Catch:{ all -> 0x006d }
        r2 = (com.tencent.mm.plugin.account.a.a.a) r2;	 Catch:{ all -> 0x006d }
        r2 = r2.getAddrUploadStg();	 Catch:{ all -> 0x006d }
        r2 = (com.tencent.mm.plugin.account.friend.a.b) r2;	 Catch:{ all -> 0x006d }
        r3 = new java.lang.StringBuilder;	 Catch:{ all -> 0x006d }
        r4 = "select  *  from addr_upload2 where ( addr_upload2.username IS NOT NULL AND addr_upload2.status!=\"0\" AND addr_upload2.username!=\"";
        r3.<init>(r4);	 Catch:{ all -> 0x006d }
        r4 = "";
        r4 = com.tencent.mm.sdk.platformtools.bo.vA(r4);	 Catch:{ all -> 0x006d }
        r3 = r3.append(r4);	 Catch:{ all -> 0x006d }
        r4 = "\" )";
        r3 = r3.append(r4);	 Catch:{ all -> 0x006d }
        r3 = r3.toString();	 Catch:{ all -> 0x006d }
        r11 = r2.vX(r3);	 Catch:{ all -> 0x006d }
        r2 = r11.size();	 Catch:{ all -> 0x006d }
        if (r2 != 0) goto L_0x0070;
    L_0x005a:
        r2 = "MicroMsg.ContactsOperations";
        r3 = "there is no wechat friend in this phone";
        com.tencent.mm.sdk.platformtools.ab.e(r2, r3);	 Catch:{ all -> 0x006d }
        r13.quit();	 Catch:{ all -> 0x006d }
        r2 = 124524; // 0x1e66c float:1.74495E-40 double:6.1523E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);	 Catch:{ all -> 0x006d }
        goto L_0x0022;
    L_0x006d:
        r2 = move-exception;
        monitor-exit(r13);
        throw r2;
    L_0x0070:
        r12 = new java.util.HashMap;	 Catch:{ all -> 0x006d }
        r12.<init>();	 Catch:{ all -> 0x006d }
        r2 = android.provider.ContactsContract.RawContacts.CONTENT_URI;	 Catch:{ all -> 0x006d }
        r2 = r2.buildUpon();	 Catch:{ all -> 0x006d }
        r3 = "account_name";
        r4 = r13.ggY;	 Catch:{ all -> 0x006d }
        r4 = r4.name;	 Catch:{ all -> 0x006d }
        r2 = r2.appendQueryParameter(r3, r4);	 Catch:{ all -> 0x006d }
        r3 = "account_type";
        r4 = r13.ggY;	 Catch:{ all -> 0x006d }
        r4 = r4.type;	 Catch:{ all -> 0x006d }
        r2 = r2.appendQueryParameter(r3, r4);	 Catch:{ all -> 0x006d }
        r3 = r2.build();	 Catch:{ all -> 0x006d }
        r2 = r13.mContext;	 Catch:{ all -> 0x006d }
        r4 = "android.permission.READ_CONTACTS";
        r2 = com.tencent.mm.pluginsdk.permission.b.o(r2, r4);	 Catch:{ all -> 0x006d }
        if (r2 != 0) goto L_0x00b1;
    L_0x00a0:
        r2 = "MicroMsg.ContactsOperations";
        r3 = "no contact permission";
        com.tencent.mm.sdk.platformtools.ab.e(r2, r3);	 Catch:{ all -> 0x006d }
        r2 = 124524; // 0x1e66c float:1.74495E-40 double:6.1523E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);	 Catch:{ all -> 0x006d }
        goto L_0x0022;
    L_0x00b1:
        r2 = r13.mContext;	 Catch:{ Exception -> 0x017c }
        r2 = r2.getContentResolver();	 Catch:{ Exception -> 0x017c }
        r4 = 2;
        r4 = new java.lang.String[r4];	 Catch:{ Exception -> 0x017c }
        r5 = 0;
        r6 = "sync1";
        r4[r5] = r6;	 Catch:{ Exception -> 0x017c }
        r5 = 1;
        r6 = "_id";
        r4[r5] = r6;	 Catch:{ Exception -> 0x017c }
        r5 = "deleted=\"0\"";
        r6 = 0;
        r7 = 0;
        r3 = r2.query(r3, r4, r5, r6, r7);	 Catch:{ Exception -> 0x017c }
        if (r3 != 0) goto L_0x015d;
    L_0x00d1:
        r2 = "MicroMsg.ContactsOperations";
        r4 = "query get no user";
        com.tencent.mm.sdk.platformtools.ab.e(r2, r4);	 Catch:{ Exception -> 0x01b1 }
    L_0x00da:
        if (r3 == 0) goto L_0x00df;
    L_0x00dc:
        r3.close();	 Catch:{ all -> 0x006d }
    L_0x00df:
        r2 = "vnd.android.cursor.item/vnd.com.tencent.mm.chatting.voip.video";
        r2 = r13.vr(r2);	 Catch:{ all -> 0x006d }
        if (r2 != 0) goto L_0x0192;
    L_0x00e8:
        r2 = "vnd.android.cursor.item/vnd.com.tencent.mm.chatting.voip";
        r2 = r13.vr(r2);	 Catch:{ all -> 0x006d }
        if (r2 != 0) goto L_0x0192;
    L_0x00f1:
        r4 = r9;
    L_0x00f2:
        r2 = new com.tencent.mm.platformtools.h$a;	 Catch:{ all -> 0x006d }
        r3 = r13.mContext;	 Catch:{ all -> 0x006d }
        r3 = r3.getContentResolver();	 Catch:{ all -> 0x006d }
        r2.<init>(r13, r3);	 Catch:{ all -> 0x006d }
        r13.ggZ = r2;	 Catch:{ all -> 0x006d }
        r5 = r11.iterator();	 Catch:{ all -> 0x006d }
    L_0x0103:
        r2 = r5.hasNext();	 Catch:{ all -> 0x006d }
        if (r2 == 0) goto L_0x01a1;
    L_0x0109:
        r2 = r5.next();	 Catch:{ all -> 0x006d }
        r0 = r2;
        r0 = (com.tencent.mm.plugin.account.friend.a.a) r0;	 Catch:{ all -> 0x006d }
        r3 = r0;
        r6 = r3.getUsername();	 Catch:{ all -> 0x006d }
        r2 = com.tencent.mm.plugin.messenger.foundation.a.j.class;
        r2 = com.tencent.mm.kernel.g.K(r2);	 Catch:{ all -> 0x006d }
        r2 = (com.tencent.mm.plugin.messenger.foundation.a.j) r2;	 Catch:{ all -> 0x006d }
        r2 = r2.XM();	 Catch:{ all -> 0x006d }
        r2 = r2.aoO(r6);	 Catch:{ all -> 0x006d }
        if (r2 == 0) goto L_0x019a;
    L_0x0127:
        r2 = r2.field_type;	 Catch:{ all -> 0x006d }
        r2 = com.tencent.mm.n.a.jh(r2);	 Catch:{ all -> 0x006d }
        if (r2 == 0) goto L_0x019a;
    L_0x012f:
        r2 = r3.apA();	 Catch:{ all -> 0x006d }
        r2 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r2);	 Catch:{ all -> 0x006d }
        if (r2 == 0) goto L_0x0195;
    L_0x0139:
        r2 = r3.apD();	 Catch:{ all -> 0x006d }
    L_0x013d:
        r7 = r3.apG();	 Catch:{ all -> 0x006d }
        r3 = r3.guM;	 Catch:{ all -> 0x006d }
        r8 = r12.get(r3);	 Catch:{ all -> 0x006d }
        if (r8 == 0) goto L_0x014b;
    L_0x0149:
        if (r4 == 0) goto L_0x0157;
    L_0x014b:
        r8 = r12.get(r3);	 Catch:{ all -> 0x006d }
        if (r8 == 0) goto L_0x0154;
    L_0x0151:
        r13.vq(r3);	 Catch:{ all -> 0x006d }
    L_0x0154:
        r13.e(r2, r7, r3, r6);	 Catch:{ all -> 0x006d }
    L_0x0157:
        r2 = r13.ggZ;	 Catch:{ all -> 0x006d }
        r2.execute();	 Catch:{ all -> 0x006d }
        goto L_0x0103;
    L_0x015d:
        r2 = r3.moveToFirst();	 Catch:{ Exception -> 0x01b1 }
        if (r2 == 0) goto L_0x00da;
    L_0x0163:
        r2 = 0;
        r2 = r3.getString(r2);	 Catch:{ Exception -> 0x01b1 }
        r4 = 1;
        r4 = r3.getLong(r4);	 Catch:{ Exception -> 0x01b1 }
        r4 = java.lang.Long.valueOf(r4);	 Catch:{ Exception -> 0x01b1 }
        r12.put(r2, r4);	 Catch:{ Exception -> 0x01b1 }
        r2 = r3.moveToNext();	 Catch:{ Exception -> 0x01b1 }
        if (r2 != 0) goto L_0x0163;
    L_0x017a:
        goto L_0x00da;
    L_0x017c:
        r2 = move-exception;
        r3 = r8;
    L_0x017e:
        r4 = "MicroMsg.ContactsOperations";
        r5 = "";
        r6 = 1;
        r6 = new java.lang.Object[r6];	 Catch:{ all -> 0x006d }
        r7 = 0;
        r8 = "";
        r6[r7] = r8;	 Catch:{ all -> 0x006d }
        com.tencent.mm.sdk.platformtools.ab.printErrStackTrace(r4, r2, r5, r6);	 Catch:{ all -> 0x006d }
        goto L_0x00da;
    L_0x0192:
        r4 = r10;
        goto L_0x00f2;
    L_0x0195:
        r2 = r3.apA();	 Catch:{ all -> 0x006d }
        goto L_0x013d;
    L_0x019a:
        r2 = r3.guM;	 Catch:{ all -> 0x006d }
        r13.vq(r2);	 Catch:{ all -> 0x006d }
        goto L_0x0103;
    L_0x01a1:
        r2 = r13.ggZ;	 Catch:{ all -> 0x006d }
        r2.execute();	 Catch:{ all -> 0x006d }
        r13.quit();	 Catch:{ all -> 0x006d }
        r2 = 124524; // 0x1e66c float:1.74495E-40 double:6.1523E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);	 Catch:{ all -> 0x006d }
        goto L_0x0022;
    L_0x01b1:
        r2 = move-exception;
        goto L_0x017e;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.platformtools.h.anG():void");
    }

    private void e(String str, String str2, String str3, String str4) {
        AppMethodBeat.i(124525);
        ab.d("MicroMsg.ContactsOperations", "add wechat contact: displayname:" + str + ", phoneNum:" + str2 + ", " + str3 + ", username:" + str4);
        Builder newInsert = ContentProviderOperation.newInsert(RawContacts.CONTENT_URI);
        newInsert.withValue("account_name", this.ggY.name);
        newInsert.withValue("account_type", this.ggY.type);
        newInsert.withValue("sync1", str3);
        this.ggZ.a(newInsert.build());
        newInsert = ContentProviderOperation.newInsert(Data.CONTENT_URI);
        newInsert.withValueBackReference("raw_contact_id", 0);
        newInsert.withValue("mimetype", "vnd.android.cursor.item/name");
        newInsert.withValue("data1", str);
        this.ggZ.a(newInsert.build());
        newInsert = ContentProviderOperation.newInsert(Data.CONTENT_URI);
        newInsert.withValueBackReference("raw_contact_id", 0);
        newInsert.withValue("mimetype", "vnd.android.cursor.item/vnd.com.tencent.mm.chatting.profile");
        newInsert.withValue("data1", str2);
        newInsert.withValue("data2", this.mContext.getString(2131296982));
        newInsert.withValue("data3", this.mContext.getString(2131298768));
        newInsert.withValue("data4", str3);
        this.ggZ.a(newInsert.build());
        if ("1".equals(com.tencent.mm.m.g.Nu().getValue("VOIPCallType"))) {
            newInsert = ContentProviderOperation.newInsert(Data.CONTENT_URI);
            newInsert.withValueBackReference("raw_contact_id", 0);
            newInsert.withValue("mimetype", "vnd.android.cursor.item/vnd.com.tencent.mm.chatting.voip.video");
            newInsert.withValue("data1", str2);
            newInsert.withValue("data2", this.mContext.getString(2131296982));
            newInsert.withValue("data3", this.mContext.getString(2131298770));
            newInsert.withValue("data4", str3);
            this.ggZ.a(newInsert.build());
        } else {
            newInsert = ContentProviderOperation.newInsert(Data.CONTENT_URI);
            newInsert.withValueBackReference("raw_contact_id", 0);
            newInsert.withValue("mimetype", "vnd.android.cursor.item/vnd.com.tencent.mm.chatting.voip");
            newInsert.withValue("data1", str2);
            newInsert.withValue("data2", this.mContext.getString(2131296982));
            newInsert.withValue("data3", this.mContext.getString(2131298769));
            newInsert.withValue("data4", str3);
            this.ggZ.a(newInsert.build());
        }
        newInsert = ContentProviderOperation.newInsert(Data.CONTENT_URI);
        newInsert.withValueBackReference("raw_contact_id", 0);
        newInsert.withValue("mimetype", "vnd.android.cursor.item/vnd.com.tencent.mm.plugin.sns.timeline");
        newInsert.withValue("data1", str2);
        newInsert.withValue("data2", this.mContext.getString(2131296982));
        newInsert.withValue("data3", this.mContext.getString(2131298771));
        newInsert.withValue("data4", str3);
        this.ggZ.a(newInsert.build());
        newInsert = ContentProviderOperation.newInsert(Data.CONTENT_URI);
        newInsert.withValueBackReference("raw_contact_id", 0);
        newInsert.withValue("mimetype", "vnd.android.cursor.item/vnd.com.tencent.mm.chatting.voiceaction");
        newInsert.withValue("data1", str2);
        newInsert.withValue("data2", this.mContext.getString(2131296982));
        newInsert.withValue("data3", BuildConfig.FLAVOR);
        newInsert.withValue("data4", str3);
        this.ggZ.a(newInsert.build());
        AppMethodBeat.o(124525);
    }

    private void vq(String str) {
        AppMethodBeat.i(124526);
        if (bo.isNullOrNil(str)) {
            ab.e("MicroMsg.ContactsOperations", "delete wechat contact fail, phoneNum5 is null");
            AppMethodBeat.o(124526);
        } else if (com.tencent.mm.pluginsdk.permission.b.o(this.mContext, "android.permission.READ_CONTACTS")) {
            Cursor query;
            try {
                query = this.mContext.getContentResolver().query(Data.CONTENT_URI, new String[]{"contact_id", "_id"}, "(mimetype= ? or mimetype= ? or mimetype= ? or mimetype= ? or mimetype= ?) AND data4 = ?", new String[]{"vnd.android.cursor.item/vnd.com.tencent.mm.chatting.profile", "vnd.android.cursor.item/vnd.com.tencent.mm.plugin.sns.timeline", "vnd.android.cursor.item/vnd.com.tencent.mm.chatting.voip", "vnd.android.cursor.item/vnd.com.tencent.mm.chatting.voip.video", "vnd.android.cursor.item/vnd.com.tencent.mm.chatting.voiceaction", str}, null);
            } catch (Exception e) {
                ab.e("MicroMsg.ContactsOperations", "query fail, match error %s \n %s", new Object[]{e.getMessage(), bo.l(e)});
                query = null;
            }
            if (query == null) {
                ab.e("MicroMsg.ContactsOperations", "get null cursor");
                AppMethodBeat.o(124526);
                return;
            }
            try {
                if (query.moveToFirst()) {
                    do {
                        int columnIndex = query.getColumnIndex("contact_id");
                        String string = columnIndex >= 0 ? query.getString(columnIndex) : BuildConfig.FLAVOR;
                        columnIndex = query.getColumnIndex("_id");
                        String string2 = columnIndex >= 0 ? query.getString(columnIndex) : BuildConfig.FLAVOR;
                        if (!(bo.isNullOrNil(string) || bo.isNullOrNil(string2))) {
                            this.mContext.getContentResolver().delete(Data.CONTENT_URI, "_id = ?", new String[]{string2});
                            this.mContext.getContentResolver().delete(RawContacts.CONTENT_URI, "contact_id = ? AND account_type = ?", new String[]{string, "com.tencent.mm.account"});
                        }
                    } while (query.moveToNext());
                }
            } catch (Exception e2) {
                ab.e("MicroMsg.ContactsOperations", "delete wechat contact failed : " + e2.getMessage());
            }
            query.close();
            AppMethodBeat.o(124526);
        } else {
            ab.e("MicroMsg.ContactsOperations", "no contact permission");
            AppMethodBeat.o(124526);
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:14:0x005d  */
    /* JADX WARNING: Removed duplicated region for block: B:14:0x005d  */
    private boolean vr(java.lang.String r11) {
        /*
        r10 = this;
        r8 = 0;
        r9 = 124527; // 0x1e66f float:1.745E-40 double:6.15245E-319;
        r6 = 1;
        r7 = 0;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r9);
        r0 = r10.mContext;
        r1 = "android.permission.READ_CONTACTS";
        r0 = com.tencent.mm.pluginsdk.permission.b.o(r0, r1);
        if (r0 != 0) goto L_0x0021;
    L_0x0014:
        r0 = "MicroMsg.ContactsOperations";
        r1 = "no contact permission";
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r9);
    L_0x0020:
        return r7;
    L_0x0021:
        r0 = r10.mContext;	 Catch:{ Exception -> 0x0064 }
        r0 = r0.getContentResolver();	 Catch:{ Exception -> 0x0064 }
        r1 = android.provider.ContactsContract.Data.CONTENT_URI;	 Catch:{ Exception -> 0x0064 }
        r2 = 1;
        r2 = new java.lang.String[r2];	 Catch:{ Exception -> 0x0064 }
        r3 = 0;
        r4 = "contact_id";
        r2[r3] = r4;	 Catch:{ Exception -> 0x0064 }
        r3 = "mimetype= ?";
        r4 = 1;
        r4 = new java.lang.String[r4];	 Catch:{ Exception -> 0x0064 }
        r5 = 0;
        r4[r5] = r11;	 Catch:{ Exception -> 0x0064 }
        r5 = 0;
        r1 = r0.query(r1, r2, r3, r4, r5);	 Catch:{ Exception -> 0x0064 }
        if (r1 == 0) goto L_0x0084;
    L_0x0042:
        r0 = r1.getCount();	 Catch:{ Exception -> 0x0082 }
        if (r0 <= 0) goto L_0x0084;
    L_0x0048:
        r0 = "MicroMsg.ContactsOperations";
        r2 = "has minetype:";
        r3 = java.lang.String.valueOf(r11);	 Catch:{ Exception -> 0x0082 }
        r2 = r2.concat(r3);	 Catch:{ Exception -> 0x0082 }
        com.tencent.mm.sdk.platformtools.ab.d(r0, r2);	 Catch:{ Exception -> 0x0082 }
        r0 = r6;
    L_0x005a:
        r7 = r0;
    L_0x005b:
        if (r1 == 0) goto L_0x0060;
    L_0x005d:
        r1.close();
    L_0x0060:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r9);
        goto L_0x0020;
    L_0x0064:
        r0 = move-exception;
        r1 = r8;
    L_0x0066:
        r2 = "MicroMsg.ContactsOperations";
        r3 = new java.lang.StringBuilder;
        r4 = "hasMIMEType search failed : ";
        r3.<init>(r4);
        r0 = r0.getMessage();
        r0 = r3.append(r0);
        r0 = r0.toString();
        com.tencent.mm.sdk.platformtools.ab.e(r2, r0);
        r7 = r6;
        goto L_0x005b;
    L_0x0082:
        r0 = move-exception;
        goto L_0x0066;
    L_0x0084:
        r0 = r7;
        goto L_0x005a;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.platformtools.h.vr(java.lang.String):boolean");
    }
}
