package com.tencent.mm.plugin.appbrand;

import android.webkit.JavascriptInterface;
import com.tencent.mm.plugin.appbrand.appcache.aw;
import com.tencent.mm.plugin.appbrand.h.g;
import com.tencent.mm.plugin.appbrand.h.q;
import com.tencent.mm.plugin.appbrand.s.n;
import com.tencent.mm.plugin.appbrand.s.n.a;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.tencentmap.mapsdk.map.BuildConfig;
import java.util.Locale;
import org.json.JSONObject;

public abstract class e {
    public final q gMN;
    private final q gMO;
    private final g gMP;

    public abstract String asJ();

    public abstract String asK();

    public abstract int asL();

    protected e(q qVar, q qVar2) {
        this.gMN = qVar;
        this.gMO = qVar2;
        this.gMP = qVar2.aGV();
    }

    @JavascriptInterface
    public int alloc() {
        g asI = asI();
        if (asI == null) {
            ab.e("MicroMsg.AppBrandJSContextInterface[multicontext]", "alloc with appID(%s), allocJsContext failed", new Object[]{this.gMN.getAppId()});
            return -2;
        }
        JSONObject aue;
        ab.i("MicroMsg.AppBrandJSContextInterface[multicontext]", "hy: created context id is %d", new Object[]{Integer.valueOf(asI.aGT())});
        this.gMP.a(asI, "WeixinJSContext");
        if (this.gMN.getRuntime() == null) {
            aue = this.gMN.aue();
        } else {
            aue = this.gMN.xW();
        }
        asI.evaluateJavascript(String.format(Locale.US, "var __wxConfig = %s;", new Object[]{aue.toString()}), null);
        a(asI);
        String asJ = asJ();
        String asK = asK();
        if (bo.isNullOrNil(asK)) {
            ab.e("MicroMsg.AppBrandJSContextInterface[multicontext]", "alloc with appID(%s), sdkScript 404", new Object[]{this.gMN.getAppId()});
            asM();
            return 0;
        }
        a(asI, asJ, asK);
        return asI.aGT();
    }

    @JavascriptInterface
    public int create(String str) {
        ab.i("MicroMsg.AppBrandJSContextInterface[multicontext]", "create with appID(%s) appScriptPath(%s)", new Object[]{this.gMN.getAppId(), str});
        if (bo.isNullOrNil(str)) {
            ab.e("MicroMsg.AppBrandJSContextInterface[multicontext]", "create with appID(%s), nil appScriptPath", new Object[]{this.gMN.getAppId()});
            return -1;
        }
        int alloc = alloc();
        if (alloc <= 0) {
            return alloc;
        }
        g oO = this.gMO.oO(alloc);
        if (evaluateScriptFile(alloc, str) != 1) {
            ab.e("MicroMsg.AppBrandJSContextInterface[multicontext]", "create with appID(%s), appScriptPath(%s), eval ret = %d", new Object[]{this.gMN.getAppId(), str, Integer.valueOf(evaluateScriptFile(alloc, str))});
            return -1;
        }
        ab.i("MicroMsg.AppBrandJSContextInterface[multicontext]", "create with appID(%s) appScriptPath(%s), success with contextId(%d)", new Object[]{this.gMN.getAppId(), str, Integer.valueOf(oO.aGT())});
        return oO.aGT();
    }

    @JavascriptInterface
    public int evaluateScriptFile(int i, String str) {
        ab.i("MicroMsg.AppBrandJSContextInterface[multicontext]", "evaluateScriptFile with appID(%s) contextId(%d) appScriptPath(%s)", new Object[]{this.gMN.getAppId(), Integer.valueOf(i), str});
        g oO = this.gMO.oO(i);
        if (oO == null) {
            ab.e("MicroMsg.AppBrandJSContextInterface[multicontext]", "evaluateScriptFile with appID(%s) contextId(%d), appScriptPath(%s), get null context", new Object[]{this.gMN.getAppId(), Integer.valueOf(i), str});
            return -1;
        } else if (oO.aGS()) {
            ab.e("MicroMsg.AppBrandJSContextInterface[multicontext]", "evaluateScriptFile with appID(%s) scriptPath(%s), but want to inject main-context", new Object[]{this.gMN.getAppId(), str});
            return -1;
        } else {
            String a = aw.a(this.gMN.getRuntime(), str);
            if (bo.isNullOrNil(a)) {
                ab.e("MicroMsg.AppBrandJSContextInterface[multicontext]", "evaluateScriptFile with appID(%s) contextId(%d), appScriptPath(%s), script 404", new Object[]{this.gMN.getAppId(), Integer.valueOf(i), str});
                asN();
                return 0;
            }
            wL(str);
            a(oO, str, a, new 1(this, oO, str));
            return 1;
        }
    }

    @JavascriptInterface
    public final void destroy(int i) {
        this.gMO.oP(i);
    }

    /* Access modifiers changed, original: protected */
    public void asH() {
        this.gMO.aGU().a(this.gMP, "WeixinJSContext");
    }

    /* Access modifiers changed, original: protected */
    public g asI() {
        return this.gMO.aGV();
    }

    /* Access modifiers changed, original: protected */
    public void a(g gVar) {
    }

    /* Access modifiers changed, original: protected */
    public void a(g gVar, String str, String str2, a aVar) {
        n.a(gVar, this.gMN.aug() + str, str.replace('/', '_') + "_" + this.gMN.getAppId(), this.gMN.getRuntime().ye().hhd.cvZ, str2, this.gMN.xc(str), aVar);
    }

    /* Access modifiers changed, original: protected */
    public void a(g gVar, String str, String str2) {
        n.a(gVar, this.gMN.auf() + str, str, "v" + asL(), str2, BuildConfig.FLAVOR, new 2(this, str));
    }

    /* Access modifiers changed, original: protected */
    public void asM() {
    }

    /* Access modifiers changed, original: protected */
    public void ds(boolean z) {
    }

    /* Access modifiers changed, original: protected */
    public void asN() {
    }

    /* Access modifiers changed, original: protected */
    public void wL(String str) {
    }

    /* Access modifiers changed, original: protected */
    public void dt(boolean z) {
    }
}
