package com.tencent.mm.plugin.appbrand.jsapi.media;

import android.app.Activity;
import android.content.Context;
import android.graphics.BitmapFactory;
import android.graphics.BitmapFactory.Options;
import com.tencent.luggage.a.e;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.appbrand.g;
import com.tencent.mm.plugin.appbrand.jsapi.a;
import com.tencent.mm.plugin.appbrand.jsapi.c;
import com.tencent.mm.plugin.appbrand.n;
import com.tencent.mm.pluginsdk.permission.b;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ah;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.tencentmap.mapsdk.map.BuildConfig;
import java.io.File;
import org.json.JSONArray;
import org.json.JSONObject;

public final class JsApiChooseMultiMedia extends a {
    public static final int CTRL_INDEX = 549;
    public static final String NAME = "chooseMultiMedia";
    public static final String hPC = ah.getResources().getString(2131297129);
    double hPD;
    double hPE;
    double hPF;
    double hPG;

    static {
        AppMethodBeat.i(131268);
        AppMethodBeat.o(131268);
    }

    public final void a(c cVar, JSONObject jSONObject, int i) {
        AppMethodBeat.i(131266);
        if (n.xa(cVar.getAppId()).gPk) {
            cVar.M(i, j("cancel", null));
            AppMethodBeat.o(131266);
            return;
        }
        Context context = cVar.getContext();
        if (context == null || !(context instanceof Activity)) {
            cVar.M(i, j("fail", null));
            AppMethodBeat.o(131266);
        } else if (jSONObject == null) {
            ab.e("MicroMsg.JsApiChooseMultiMedia", "chooseMedia fail, data is null");
            cVar.M(i, j("fail:data is null", null));
            AppMethodBeat.o(131266);
        } else {
            int optInt = jSONObject.optInt("maxDuration", 10);
            ab.i("MicroMsg.JsApiChooseMultiMedia", "videoMaxDuration: %d.", new Object[]{Integer.valueOf(optInt)});
            if (optInt <= 0 || optInt > 30) {
                ab.e("MicroMsg.JsApiChooseMultiMedia", "chooseMedia fail, invalid maxDuration parameter");
                cVar.M(i, j("fail:invalid maxDuration parameter", null));
                AppMethodBeat.o(131266);
                return;
            }
            boolean z;
            boolean z2;
            boolean contains;
            context.getSharedPreferences(ah.doA() + "_locCache", 0).edit().putString("locStr", null).apply();
            ((com.tencent.mm.plugin.appbrand.s.b.a) e.B(com.tencent.mm.plugin.appbrand.s.b.a.class)).b("wgs84", new 1(this, context), null);
            int optInt2 = jSONObject.optInt("count", 9);
            double optDouble = jSONObject.optJSONObject("location").optDouble("longitude", 91.0d);
            double optDouble2 = jSONObject.optJSONObject("location").optDouble("latitude", 181.0d);
            String optString = jSONObject.optString("poiName", hPC);
            double optDouble3 = jSONObject.optDouble("locationRadius", 50.0d);
            JSONArray optJSONArray = jSONObject.optJSONArray("sourceType");
            if (optJSONArray == null || optJSONArray.length() == 0) {
                z = true;
                z2 = true;
            } else {
                contains = optJSONArray.toString().contains("camera");
                z = optJSONArray.toString().contains("album");
                z2 = contains;
            }
            if (z2) {
                com.tencent.mm.plugin.appbrand.permission.n.b(cVar.getAppId(), new 4(this, cVar, jSONObject, i));
                Context context2 = cVar.getContext();
                if (context2 == null || !(context2 instanceof Activity)) {
                    cVar.M(i, j("fail", null));
                    contains = false;
                } else {
                    contains = b.a((Activity) context2, "android.permission.CAMERA", 113, BuildConfig.FLAVOR, BuildConfig.FLAVOR);
                    if (contains) {
                        com.tencent.mm.plugin.appbrand.permission.n.Dr(cVar.getAppId());
                    }
                }
                if (!contains) {
                    AppMethodBeat.o(131266);
                    return;
                }
            }
            n.xb(cVar.getAppId()).gPk = true;
            g.a(cVar.getAppId(), new 2(this, cVar));
            ChooseRequest chooseRequest = new ChooseRequest();
            chooseRequest.appId = cVar.getAppId();
            chooseRequest.count = optInt2;
            double[] f = com.tencent.mm.modelgeo.a.a.f(optDouble, optDouble2);
            this.hPE = optDouble;
            this.hPD = optDouble2;
            this.hPG = f[0];
            this.hPF = f[1];
            chooseRequest.longitude = this.hPG;
            chooseRequest.latitude = this.hPF;
            chooseRequest.eUu = optString;
            chooseRequest.fNN = optDouble3;
            chooseRequest.hOS = z2;
            chooseRequest.hOT = z;
            chooseRequest.gLP = optInt;
            com.tencent.mm.plugin.appbrand.ipc.a.a(context, chooseRequest, new 3(this, cVar, i));
            AppMethodBeat.o(131266);
        }
    }

    static /* synthetic */ b Bt(String str) {
        AppMethodBeat.i(131267);
        b bVar = new b((byte) 0);
        if (!bo.isNullOrNil(str)) {
            File file = new File(str);
            if (file.exists()) {
                String fO;
                Options options = new Options();
                options.inJustDecodeBounds = true;
                BitmapFactory.decodeFile(file.getAbsolutePath(), options);
                bVar.width = options.outWidth;
                bVar.height = options.outHeight;
                if (com.tencent.mm.plugin.appbrand.s.c.e(options)) {
                    fO = com.tencent.luggage.e.a.a.fO(com.tencent.luggage.e.a.a.bJ(file.getAbsolutePath()));
                } else {
                    fO = "up";
                }
                bVar.hfh = fO;
            }
        }
        AppMethodBeat.o(131267);
        return bVar;
    }
}
