package com.tencent.mm.plugin.appbrand.jsapi.media;

import android.app.Activity;
import android.content.Context;
import android.text.TextUtils;
import com.samsung.android.sdk.look.airbutton.SlookAirButtonRecentMediaAdapter;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.a.e;
import com.tencent.mm.plugin.appbrand.appstorage.AppBrandLocalMediaObject;
import com.tencent.mm.plugin.appbrand.appstorage.AppBrandLocalMediaObjectManager;
import com.tencent.mm.plugin.appbrand.ipc.AppBrandMainProcessService;
import com.tencent.mm.plugin.appbrand.ipc.MainProcessTask;
import com.tencent.mm.plugin.appbrand.jsapi.a;
import com.tencent.mm.plugin.appbrand.jsapi.c;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.ui.base.h;
import org.json.JSONObject;

public final class JsApiUploadEncryptedFileToCDN extends a {
    public static final int CTRL_INDEX = 194;
    public static final String NAME = "uploadEncryptedFileToCDN";

    public final void a(c cVar, JSONObject jSONObject, int i) {
        AppMethodBeat.i(131319);
        Context context = cVar.getContext();
        if (context == null || !(context instanceof Activity)) {
            ab.e("MicroMsg.JsApiUploadEncryptedFileToCDN", "uploadEncryptedFileToCDN fail,  pageContext is null");
            cVar.M(i, j("fail", null));
            AppMethodBeat.o(131319);
        } else if (jSONObject == null) {
            ab.e("MicroMsg.JsApiUploadEncryptedFileToCDN", "uploadEncryptedFileToCDN fail,  data is null");
            cVar.M(i, j("fail:data is null", null));
            AppMethodBeat.o(131319);
        } else {
            String appId = cVar.getAppId();
            String optString = jSONObject.optString("tempFilePath");
            boolean optBoolean = jSONObject.optBoolean("isShowProgressTips", false);
            ab.i("MicroMsg.JsApiUploadEncryptedFileToCDN", "JsApiUploadEncryptedFileToCDN appId:%s, data:%s", new Object[]{appId, jSONObject.toString()});
            if (bo.isNullOrNil(optString)) {
                ab.e("MicroMsg.JsApiUploadEncryptedFileToCDN", "uploadEncryptedFileToCDN fail,  tempFilePath is null");
                cVar.M(i, j("fail:tempFilePath is null", null));
                AppMethodBeat.o(131319);
                return;
            }
            AppBrandLocalMediaObject bt = AppBrandLocalMediaObjectManager.bt(appId, optString);
            if (bt == null) {
                ab.e("MicroMsg.JsApiUploadEncryptedFileToCDN", "uploadEncryptedFileToCDN fail,  tempFilePath file is not exist");
                cVar.M(i, j("fail:file doesn't exist", null));
                AppMethodBeat.o(131319);
            } else if (TextUtils.isEmpty(bt.fnQ)) {
                ab.e("MicroMsg.JsApiUploadEncryptedFileToCDN", "uploadEncryptedFileToCDN fail, fileFullPath is null");
                cVar.M(i, j("fail:fileFullPath is null", null));
                AppMethodBeat.o(131319);
            } else {
                MainProcessTask jsApiUploadEncryptedMediaFileTask = new JsApiUploadEncryptedMediaFileTask();
                jsApiUploadEncryptedMediaFileTask.appId = appId;
                jsApiUploadEncryptedMediaFileTask.czD = optString;
                jsApiUploadEncryptedMediaFileTask.hQq = optBoolean;
                jsApiUploadEncryptedMediaFileTask.hQu = (Activity) context;
                jsApiUploadEncryptedMediaFileTask.hxS = cVar;
                jsApiUploadEncryptedMediaFileTask.mimeType = bt.mimeType;
                jsApiUploadEncryptedMediaFileTask.hww = new 1(this, jsApiUploadEncryptedMediaFileTask, cVar, i);
                if (com.tencent.mm.network.ab.ch(context)) {
                    ab.i("MicroMsg.JsApiUploadEncryptedFileToCDN", "wifi network available, do not show the gprs confirm dialog");
                    jsApiUploadEncryptedMediaFileTask.aBV();
                    AppBrandMainProcessService.a(jsApiUploadEncryptedMediaFileTask);
                    AppMethodBeat.o(131319);
                    return;
                }
                ab.i("MicroMsg.JsApiUploadEncryptedFileToCDN", "2G/3G/4G network available, do upload in mobile network and show the gprs confirm tips dialog");
                if (TextUtils.isEmpty(bt.mimeType) || !bt.mimeType.contains(SlookAirButtonRecentMediaAdapter.VIDEO_TYPE)) {
                    appId = context.getString(2131297122);
                } else {
                    appId = context.getString(2131297128);
                }
                optString = bo.my((long) e.cs(bt.fnQ));
                h.a(context, context.getString(2131297124, new Object[]{appId, optString}), context.getString(2131297061), new 2(this, jsApiUploadEncryptedMediaFileTask), new 3(this, cVar, i, jsApiUploadEncryptedMediaFileTask));
                AppMethodBeat.o(131319);
            }
        }
    }
}
