package com.tencent.mm.plugin.fingerprint.ui;

import android.app.Dialog;
import android.os.Bundle;
import android.os.PowerManager;
import android.os.PowerManager.WakeLock;
import android.text.TextUtils;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.TextView;
import android.widget.Toast;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ai.m;
import com.tencent.mm.plugin.fingerprint.b.c;
import com.tencent.mm.plugin.fingerprint.b.e;
import com.tencent.mm.plugin.wallet_core.c.y;
import com.tencent.mm.pluginsdk.wallet.a;
import com.tencent.mm.pluginsdk.wallet.j;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.al;
import com.tencent.mm.ui.base.h;
import com.tencent.mm.wallet_core.ui.WalletBaseUI;
import com.tencent.soter.a.g.f;
import com.tencent.tencentmap.mapsdk.map.BuildConfig;

public class FingerPrintAuthUI extends WalletBaseUI implements a {
    private boolean isPaused = false;
    private TextView msD;
    private c msE;
    private a msF;
    private boolean msG = false;
    private final int msH = 1;
    private Dialog msu = null;
    private j msv = null;
    private Animation msx;
    private int msy = 0;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    static /* synthetic */ void a(FingerPrintAuthUI fingerPrintAuthUI, String str, int i) {
        AppMethodBeat.i(41653);
        fingerPrintAuthUI.cg(str, i);
        AppMethodBeat.o(41653);
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(41641);
        super.onCreate(bundle);
        setMMTitle(getString(2131301875));
        this.msD = (TextView) findViewById(2131824043);
        com.tencent.mm.plugin.fingerprint.a.bwM();
        this.msE = com.tencent.mm.plugin.fingerprint.a.bwN();
        this.msv = c.bxm();
        Bundle aD = com.tencent.mm.wallet_core.a.aD(this);
        if (aD != null) {
            String string = aD.getString("pwd");
            if (TextUtils.isEmpty(string)) {
                ab.e("MicroMsg.FingerPrintAuthUI", "get user pwd error");
                cg(getString(2131299873), -1);
                com.tencent.mm.plugin.soter.d.a.d(1000, -1000223, -1, "get user pwd error");
                AppMethodBeat.o(41641);
                return;
            } else if (e.bxs()) {
                fE(true);
                f.dRn().dRo();
                this.msv.a(this, new 1(this), string);
                AppMethodBeat.o(41641);
                return;
            } else {
                ab.e("MicroMsg.FingerPrintAuthUI", "device is not support FingerPrintAuth");
                AppMethodBeat.o(41641);
                return;
            }
        }
        ab.e("MicroMsg.FingerPrintAuthUI", "contextdata is null,for that reason program can't get user pwd");
        cg(getString(2131299873), -1);
        com.tencent.mm.plugin.soter.d.a.d(1000, -1000223, -1, "contextdata is null,for that reason program can't get user pwd");
        AppMethodBeat.o(41641);
    }

    /* Access modifiers changed, original: protected|final */
    public final void fE(boolean z) {
        AppMethodBeat.i(41642);
        al.d(new 2(this, z));
        AppMethodBeat.o(41642);
    }

    public void onResume() {
        AppMethodBeat.i(41643);
        super.onResume();
        this.isPaused = false;
        if (this.msG) {
            hw(false);
        }
        AppMethodBeat.o(41643);
    }

    private void hw(boolean z) {
        AppMethodBeat.i(41644);
        com.tencent.mm.plugin.fingerprint.a.bwM();
        com.tencent.mm.plugin.fingerprint.a.bwN();
        c.abort();
        c.release();
        if (c.bxl()) {
            if (this.msF == null) {
                this.msF = new a(this, this);
            }
            if (c.a(this.msF, z) != 0) {
                ab.e("MicroMsg.FingerPrintAuthUI", "startFingerprintAuth failed!");
            }
            AppMethodBeat.o(41644);
            return;
        }
        ab.e("MicroMsg.FingerPrintAuthUI", "no fingerprints enrolled, use settings to enroll fingerprints first");
        AppMethodBeat.o(41644);
    }

    public void onPause() {
        AppMethodBeat.i(41645);
        super.onPause();
        this.isPaused = true;
        WakeLock newWakeLock = ((PowerManager) this.mController.ylL.getSystemService("power")).newWakeLock(536870913, "PostLocationService");
        if (newWakeLock != null) {
            newWakeLock.acquire();
        }
        ab.i("MicroMsg.FingerPrintAuthUI", "hy: user cancelled");
        com.tencent.mm.plugin.fingerprint.a.bwM();
        if (com.tencent.mm.plugin.fingerprint.a.bwN() != null) {
            c.bxk();
        }
        if (newWakeLock != null) {
            newWakeLock.release();
        }
        AppMethodBeat.o(41645);
    }

    public void onDestroy() {
        AppMethodBeat.i(41646);
        ab.i("MicroMsg.FingerPrintAuthUI", "hy: fingerprint auth ui on destroy");
        if (this.msx != null) {
            this.msx.cancel();
        }
        this.msF = null;
        super.onDestroy();
        AppMethodBeat.o(41646);
    }

    public final boolean c(int i, int i2, String str, m mVar) {
        AppMethodBeat.i(41647);
        if (this.msv.c(i, i2, str, mVar)) {
            AppMethodBeat.o(41647);
            return true;
        } else if (mVar instanceof y) {
            fE(false);
            com.tencent.mm.wallet_core.a.b(this, new Bundle(), 0);
            Toast.makeText(this, 2131299874, 0).show();
            AppMethodBeat.o(41647);
            return true;
        } else {
            AppMethodBeat.o(41647);
            return false;
        }
    }

    private void cg(String str, int i) {
        AppMethodBeat.i(41648);
        this.msG = false;
        al.d(new 4(this, str, i));
        AppMethodBeat.o(41648);
    }

    public final int getLayoutId() {
        return 2130969561;
    }

    public final int getForceOrientation() {
        return 1;
    }

    public final void aC(int i, String str) {
        AppMethodBeat.i(41649);
        if (i == 0) {
            ab.i("MicroMsg.FingerPrintAuthUI", "open fingerprintpay success");
            a(new y(null, 19), false, false);
            AppMethodBeat.o(41649);
            return;
        }
        fE(false);
        ab.e("MicroMsg.FingerPrintAuthUI", "open fingerprintpay failed");
        h.a(this, getString(2131299873), BuildConfig.FLAVOR, new 5(this));
        AppMethodBeat.o(41649);
    }

    static /* synthetic */ void a(FingerPrintAuthUI fingerPrintAuthUI) {
        AppMethodBeat.i(41651);
        int currentTimeMillis = (int) (System.currentTimeMillis() / 1000);
        if (currentTimeMillis - fingerPrintAuthUI.msy > 1) {
            fingerPrintAuthUI.msy = currentTimeMillis;
            fingerPrintAuthUI.msD.setText(2131299866);
            fingerPrintAuthUI.msD.setTextColor(fingerPrintAuthUI.getResources().getColor(2131690384));
            fingerPrintAuthUI.msD.setVisibility(4);
            if (fingerPrintAuthUI.msx == null) {
                fingerPrintAuthUI.msx = AnimationUtils.loadAnimation(fingerPrintAuthUI.mController.ylL, 2131034182);
            }
            fingerPrintAuthUI.msD.startAnimation(fingerPrintAuthUI.msx);
            al.n(new 3(fingerPrintAuthUI), fingerPrintAuthUI.msx.getDuration());
            AppMethodBeat.o(41651);
            return;
        }
        AppMethodBeat.o(41651);
    }

    static /* synthetic */ boolean c(FingerPrintAuthUI fingerPrintAuthUI) {
        boolean z;
        AppMethodBeat.i(41654);
        String str = "MicroMsg.FingerPrintAuthUI";
        String str2 = "hy: is screen on: %b";
        Object[] objArr = new Object[1];
        if (fingerPrintAuthUI.isPaused) {
            z = false;
        } else {
            z = true;
        }
        objArr[0] = Boolean.valueOf(z);
        ab.i(str, str2, objArr);
        if (fingerPrintAuthUI.isPaused) {
            AppMethodBeat.o(41654);
            return false;
        }
        AppMethodBeat.o(41654);
        return true;
    }
}
