package com.tencent.mm.plugin.gwallet;

import android.app.Activity;
import android.app.PendingIntent;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.IntentSender.SendIntentException;
import android.os.Bundle;
import android.os.RemoteException;
import com.jg.EType;
import com.jg.JgClassChecked;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.gwallet.a.b;
import com.tencent.mm.plugin.gwallet.a.b.2;
import com.tencent.mm.plugin.gwallet.a.b.3;
import com.tencent.mm.plugin.gwallet.a.c;
import com.tencent.mm.sdk.g.d;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ak;
import com.tencent.tencentmap.mapsdk.map.BuildConfig;
import java.util.ArrayList;

@JgClassChecked(author = 31, fComment = "checked", lastDate = "20140422", reviewer = 20, vComment = {EType.ACTIVITYCHECK, EType.RECEIVERCHECK})
public class GWalletUI extends Activity {
    BroadcastReceiver jIA = new BroadcastReceiver() {
        public final void onReceive(Context context, Intent intent) {
            AppMethodBeat.i(41677);
            if ("com.tencent.mm.gwallet.ACTION_CONSUME_REQUEST".equals(intent.getAction())) {
                ArrayList stringArrayListExtra = intent.getStringArrayListExtra("tokens");
                boolean booleanExtra = intent.getBooleanExtra("IS_FAILED_CONSUME", false);
                if (stringArrayListExtra == null || stringArrayListExtra.size() == 0) {
                    GWalletUI.a(GWalletUI.this, 0, null);
                    AppMethodBeat.o(41677);
                    return;
                }
                d.post(new 2(GWalletUI.this.npw, stringArrayListExtra, new 1(this, booleanExtra), new ak()), "IabHelper_consumeAsync");
            }
            AppMethodBeat.o(41677);
        }
    };
    private b npw = null;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public GWalletUI() {
        AppMethodBeat.i(41679);
        AppMethodBeat.o(41679);
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(41680);
        super.onCreate(bundle);
        requestWindowFeature(1);
        ab.d("MicroMsg.GWalletUI", "Creating IAB helper.");
        this.npw = new b(this);
        ab.d("MicroMsg.GWalletUI", "Starting setup.");
        this.npw.a(new 1(this));
        AppMethodBeat.o(41680);
    }

    public final void hW(boolean z) {
        AppMethodBeat.i(41681);
        b bVar = this.npw;
        4 4 = new 4(this, z);
        ak akVar = new ak();
        bVar.Oz("queryInventory");
        d.post(new 3(bVar, "inapp", akVar, 4), "IabHelper_queryInventoryAsync");
        AppMethodBeat.o(41681);
    }

    /* Access modifiers changed, original: protected */
    public void onNewIntent(Intent intent) {
        AppMethodBeat.i(41682);
        if ("com.tencent.mm.gwallet.ACTION_QUERY_REQUEST".equals(intent.getAction())) {
            hW(intent.getBooleanExtra("is_direct", true));
        }
        super.onNewIntent(intent);
        AppMethodBeat.o(41682);
    }

    public void onStart() {
        AppMethodBeat.i(41683);
        super.onStart();
        IntentFilter intentFilter = new IntentFilter();
        intentFilter.addAction("com.tencent.mm.gwallet.ACTION_CONSUME_REQUEST");
        registerReceiver(this.jIA, intentFilter);
        AppMethodBeat.o(41683);
    }

    /* Access modifiers changed, original: protected */
    public void onStop() {
        AppMethodBeat.i(41684);
        super.onStop();
        unregisterReceiver(this.jIA);
        AppMethodBeat.o(41684);
    }

    public void onActivityResult(int i, int i2, Intent intent) {
        AppMethodBeat.i(41685);
        b bVar = this.npw;
        if (i == bVar.czV) {
            bVar.Oz("handleActivityResult");
            if (intent == null) {
                b.OA("Null data in IAB activity result.");
                c cVar = new c(-1002, "Null data in IAB result");
                if (bVar.npN != null) {
                    bVar.npN.b(cVar, null);
                }
                AppMethodBeat.o(41685);
                return;
            }
            int i3;
            Object obj = intent.getExtras().get("RESPONSE_CODE");
            if (obj == null) {
                b.OA("Intent with no response code, assuming OK (known issue)");
                i3 = 0;
            } else if (obj instanceof Integer) {
                i3 = ((Integer) obj).intValue();
            } else if (obj instanceof Long) {
                i3 = (int) ((Long) obj).longValue();
            } else {
                b.OA("Unexpected type for intent response code.");
                b.OA(obj.getClass().getName());
                RuntimeException runtimeException = new RuntimeException("Unexpected type for intent response code: " + obj.getClass().getName());
                AppMethodBeat.o(41685);
                throw runtimeException;
            }
            String stringExtra = intent.getStringExtra("INAPP_PURCHASE_DATA");
            String stringExtra2 = intent.getStringExtra("INAPP_DATA_SIGNATURE");
            ab.d("MicroMsg.IabHelper", "Purchase data: ".concat(String.valueOf(stringExtra)));
            ab.d("MicroMsg.IabHelper", "Data signature: ".concat(String.valueOf(stringExtra2)));
            ab.d("MicroMsg.IabHelper", "Extras: " + intent.getExtras());
            ab.d("MicroMsg.IabHelper", "Expected item type: " + bVar.npO);
            c cVar2 = new c(i3, "Null data in IAB result");
            if (bVar.npN != null) {
                bVar.npN.b(cVar2, intent);
            }
        }
        AppMethodBeat.o(41685);
    }

    /* Access modifiers changed, original: protected */
    public void onDestroy() {
        AppMethodBeat.i(41686);
        ab.d("MicroMsg.GWalletUI", "Destroying helper.");
        if (this.npw != null) {
            this.npw.dispose();
        }
        this.npw = null;
        super.onDestroy();
        AppMethodBeat.o(41686);
    }

    static /* synthetic */ void a(GWalletUI gWalletUI, int i, Intent intent) {
        AppMethodBeat.i(41687);
        ab.d("MicroMsg.GWalletUI", "Finish GWallet. setResult:".concat(String.valueOf(i)));
        gWalletUI.setResult(i, intent);
        gWalletUI.finish();
        AppMethodBeat.o(41687);
    }

    static /* synthetic */ void a(GWalletUI gWalletUI) {
        AppMethodBeat.i(41688);
        Intent intent = gWalletUI.getIntent();
        String stringExtra = intent.getStringExtra("product_id");
        String stringExtra2 = intent.getStringExtra("developer_pay_load");
        b bVar = gWalletUI.npw;
        String str = "inapp";
        AnonymousClass2 anonymousClass2 = new b.b() {
            /* JADX WARNING: Missing block: B:8:0x004e, code skipped:
            if (r2 == 0) goto L_0x0050;
     */
            @com.jg.JgMethodChecked(author = 20, fComment = "checked", lastDate = "20140429", reviewer = 20, vComment = {com.jg.EType.INTENTCHECK})
            public final void b(com.tencent.mm.plugin.gwallet.a.c r7, android.content.Intent r8) {
                /*
                r6 = this;
                r5 = 41675; // 0xa2cb float:5.8399E-41 double:2.059E-319;
                r0 = 1;
                r1 = 0;
                com.tencent.matrix.trace.core.AppMethodBeat.i(r5);
                r2 = "MicroMsg.GWalletUI";
                r3 = new java.lang.StringBuilder;
                r4 = "Purchase finished: ";
                r3.<init>(r4);
                r3 = r3.append(r7);
                r4 = ", purchase: ";
                r3 = r3.append(r4);
                r3 = r3.append(r8);
                r3 = r3.toString();
                com.tencent.mm.sdk.platformtools.ab.d(r2, r3);
                if (r8 != 0) goto L_0x005c;
            L_0x002b:
                r8 = new android.content.Intent;
                r2 = "com.tencent.mm.gwallet.ACTION_PAY_RESPONSE";
                r8.<init>(r2);
                r2 = "RESPONSE_CODE";
                r3 = r7.bFQ();
                r8.putExtra(r2, r3);
            L_0x003d:
                r2 = com.tencent.mm.plugin.gwallet.GWalletUI.this;
                r2.sendBroadcast(r8);
                r2 = r7.isSuccess();
                if (r2 != 0) goto L_0x0065;
            L_0x0048:
                r2 = r7.nqa;
                r3 = 7;
                if (r2 != r3) goto L_0x0063;
            L_0x004d:
                r2 = r0;
            L_0x004e:
                if (r2 != 0) goto L_0x0065;
            L_0x0050:
                if (r0 == 0) goto L_0x0058;
            L_0x0052:
                r0 = com.tencent.mm.plugin.gwallet.GWalletUI.this;
                r2 = 0;
                com.tencent.mm.plugin.gwallet.GWalletUI.a(r0, r1, r2);
            L_0x0058:
                com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
                return;
            L_0x005c:
                r2 = "com.tencent.mm.gwallet.ACTION_PAY_RESPONSE";
                r8.setAction(r2);
                goto L_0x003d;
            L_0x0063:
                r2 = r1;
                goto L_0x004e;
            L_0x0065:
                r0 = r1;
                goto L_0x0050;
                */
                throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.gwallet.GWalletUI$AnonymousClass2.b(com.tencent.mm.plugin.gwallet.a.c, android.content.Intent):void");
            }
        };
        bVar.Oz("launchPurchaseFlow");
        if (!str.equals("subs") || bVar.npM) {
            try {
                ab.d("MicroMsg.IabHelper", "Constructing buy intent for " + stringExtra + ", item type: " + str + ", extraData: " + stringExtra2);
                Bundle a = bVar.npJ.a(3, bVar.mContext.getPackageName(), stringExtra, str, stringExtra2);
                int J = b.J(a);
                if (J != 0) {
                    anonymousClass2.b(new c(J, "Unable to buy item"), null);
                    AppMethodBeat.o(41688);
                    return;
                }
                PendingIntent pendingIntent = (PendingIntent) a.getParcelable("BUY_INTENT");
                ab.d("MicroMsg.IabHelper", "Launching buy intent for " + stringExtra + ". Request code: 10001");
                bVar.czV = 10001;
                bVar.npN = anonymousClass2;
                bVar.npO = str;
                gWalletUI.startIntentSenderForResult(pendingIntent.getIntentSender(), 10001, new Intent(), 0, 0, 0);
                AppMethodBeat.o(41688);
                return;
            } catch (SendIntentException e) {
                b.OA("SendIntentException while launching purchase flow for sku ".concat(String.valueOf(stringExtra)));
                ab.printErrStackTrace("MicroMsg.IabHelper", e, BuildConfig.FLAVOR, new Object[0]);
                anonymousClass2.b(new c(-1004, "Failed to send intent."), null);
                AppMethodBeat.o(41688);
                return;
            } catch (RemoteException e2) {
                b.OA("RemoteException while launching purchase flow for sku ".concat(String.valueOf(stringExtra)));
                ab.printErrStackTrace("MicroMsg.IabHelper", e2, BuildConfig.FLAVOR, new Object[0]);
                anonymousClass2.b(new c(-1001, "Remote exception while starting purchase flow"), null);
                AppMethodBeat.o(41688);
                return;
            }
        }
        anonymousClass2.b(new c(-1009, "Subscriptions are not available."), null);
        AppMethodBeat.o(41688);
    }
}
