package com.tencent.mm.plugin.music.g.a;

import android.text.TextUtils;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.aw.h;
import com.tencent.mm.plugin.music.cache.c;
import com.tencent.mm.plugin.music.cache.d;
import com.tencent.mm.plugin.music.cache.e;
import com.tencent.mm.plugin.music.cache.g;
import com.tencent.mm.plugin.music.f.c.b;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ah;
import com.tencent.qqmusic.mediaplayer.network.IMediaHTTPConnection;
import com.tencent.qqmusic.mediaplayer.util.Logger;
import com.tencent.tencentmap.mapsdk.map.BuildConfig;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.io.RandomAccessFile;
import java.net.HttpURLConnection;
import java.net.MalformedURLException;
import java.net.URL;
import java.util.BitSet;
import java.util.Map;

public final class a implements IMediaHTTPConnection {
    private boolean mAllowCrossDomainRedirect = true;
    private boolean mAllowCrossProtocolRedirect = true;
    private HttpURLConnection mConnection = null;
    private long mCurrentOffset = -1;
    private Map<String, String> mHeaders = null;
    private InputStream mInputStream = null;
    private String mMimeType = BuildConfig.FLAVOR;
    private long mTotalSize = -1;
    private URL mURL = null;
    private com.tencent.mm.plugin.music.cache.a oNZ;
    public URL oOa = null;
    private byte[] oOb = new byte[1];

    public a() {
        AppMethodBeat.i(137675);
        AppMethodBeat.o(137675);
    }

    public final boolean connect(URL url, Map<String, String> map) {
        AppMethodBeat.i(137676);
        Logger.i("MicroMsg.Music.MMMediaHTTPConnection", "connect");
        Logger.i("MicroMsg.Music.MMMediaHTTPConnection", "connect: uri=" + url + ", headers=" + map);
        disconnect();
        this.mAllowCrossDomainRedirect = true;
        this.mURL = url;
        this.oOa = url;
        this.mHeaders = map;
        this.mTotalSize = -1;
        this.mMimeType = BuildConfig.FLAVOR;
        if (ah.bqo()) {
            CharSequence SP;
            String url2 = this.mURL.toString();
            if (e.bTG()) {
                SP = ((c) b.ar(c.class)).SP(url2);
            } else {
                ab.e("MicroMsg.Music.MusicDataStorageImpl", "IMusicDataStorage service not exist");
                SP = null;
            }
            if (!(TextUtils.isEmpty(SP) || SP.equalsIgnoreCase(this.mURL.toString()))) {
                ab.i("MicroMsg.Music.MMMediaHTTPConnection", "use temp shake music url to play:%s", new Object[]{SP});
                try {
                    this.mURL = new URL(SP);
                } catch (MalformedURLException e) {
                    ab.printErrStackTrace("MicroMsg.Music.MMMediaHTTPConnection", e, "playUrl", new Object[0]);
                }
            }
        }
        if (this.mURL != null) {
            g.r(this.mURL.toString(), map);
            Logger.i("MicroMsg.Music.MMMediaHTTPConnection", "headers=".concat(String.valueOf(map)));
        }
        this.oNZ = new com.tencent.mm.plugin.music.cache.a(this);
        com.tencent.mm.plugin.music.cache.a aVar = this.oNZ;
        String url3 = aVar.oKV.oOa.toString();
        aVar.oKW = new d(url3);
        aVar.oKW.gjQ = aVar.oKV.getSize();
        d dVar = aVar.oKW;
        ab.i("MicroMsg.Music.IndexBitMgr", "initData");
        if (dVar.gjQ <= 0) {
            ab.e("MicroMsg.Music.IndexBitMgr", "fileLength is invalid!");
        } else {
            if (dVar.gjQ % 8192 == 0 || dVar.gjQ < 8192) {
                dVar.count = (int) (dVar.gjQ / 8192);
            } else {
                dVar.count = ((int) (dVar.gjQ / 8192)) + 1;
            }
            if (dVar.gjQ <= 8192) {
                ab.i("MicroMsg.Music.IndexBitMgr", "fileLength < PIECE_SIZE, count should be 1");
                dVar.count = 1;
            }
            ab.i("MicroMsg.Music.IndexBitMgr", "fileLength:%d, count:%d", new Object[]{Long.valueOf(dVar.gjQ), Integer.valueOf(dVar.count)});
            dVar.oLc = new BitSet(dVar.count);
            dVar.cFI = g.SW(dVar.mUrl);
            if (TextUtils.isEmpty(dVar.cFI)) {
                ab.e("MicroMsg.Music.IndexBitMgr", "initData musicId is null!'");
            } else {
                ab.i("MicroMsg.Music.IndexBitMgr", "musicId:%s", new Object[]{dVar.cFI});
                h SQ = e.SQ(dVar.cFI);
                if (SQ == null) {
                    ab.e("MicroMsg.Music.IndexBitMgr", "initData pMusic is null!'");
                } else {
                    ab.i("MicroMsg.Music.IndexBitMgr", "initData music field_fileCacheComplete:%d", new Object[]{Integer.valueOf(SQ.fKw)});
                    if (SQ.fKv == null || SQ.fKv.length == 0) {
                        ab.e("MicroMsg.Music.IndexBitMgr", "initData field_indexBitData is null!'");
                    } else {
                        dVar.oLc = com.tencent.mm.plugin.music.cache.d.a.bb(SQ.fKv);
                        if (dVar.oLc == null) {
                            ab.e("MicroMsg.Music.IndexBitMgr", "initData bitSet is null");
                            dVar.oLc = new BitSet(dVar.count);
                        } else if (dVar.count < dVar.oLc.cardinality()) {
                            ab.e("MicroMsg.Music.IndexBitMgr", "initData cont < bitSet.cardinality(), count:%d, cardinality:%d", new Object[]{Integer.valueOf(dVar.count), Integer.valueOf(dVar.oLc.cardinality())});
                            dVar.clearCache();
                        } else if (SQ.fKy != 1) {
                            ab.i("MicroMsg.Music.IndexBitMgr", "remove dirty bit set from db, reset cache complete to 0");
                            if (dVar.count > 1) {
                                dVar.zA(dVar.count - 1);
                                dVar.zA(dVar.count - 2);
                            } else {
                                dVar.zA(dVar.count - 1);
                            }
                            dVar.zx(0);
                        }
                        ab.i("MicroMsg.Music.IndexBitMgr", "initData bitSet:" + dVar.oLc.toString());
                        ab.i("MicroMsg.Music.IndexBitMgr", "initData bitSet count %d, cardinality:" + dVar.count + "," + dVar.oLc.cardinality());
                    }
                }
            }
        }
        aVar.oKX = new com.tencent.mm.plugin.music.cache.h(url3);
        if (!new File(aVar.oKX.fileName).exists()) {
            ab.i("MicroMsg.Music.FileBytesCacheMgr", "piece file not exist, clear cache!");
            aVar.oKW.clearCache();
        } else if (aVar.oKX.bTH() != aVar.oKV.getSize() && aVar.oKV.getSize() != -1) {
            ab.i("MicroMsg.Music.FileBytesCacheMgr", "piece file length is not equals to real file length exist, clear cache!");
            aVar.oKW.clearCache();
            com.tencent.mm.plugin.music.cache.h hVar = aVar.oKX;
            Logger.i("MicroMsg.Music.PieceFileCache", "deleteFile");
            com.tencent.mm.plugin.music.cache.h.HS(hVar.fileName);
        } else if (aVar.oKV.getSize() == -1) {
            ab.i("MicroMsg.Music.FileBytesCacheMgr", "getFileLength is -1, network is disconnect!");
        } else {
            ab.i("MicroMsg.Music.FileBytesCacheMgr", "piece file exist!");
        }
        long size = aVar.oKV.getSize();
        com.tencent.mm.plugin.music.cache.h hVar2 = aVar.oKX;
        Logger.i("MicroMsg.Music.PieceFileCache", "open");
        try {
            File file = new File(hVar2.fileName);
            if (!file.exists()) {
                ab.i("MicroMsg.Music.PieceFileCache", "create file:%b", new Object[]{Boolean.valueOf(file.createNewFile())});
            }
            hVar2.randomAccessFile = new RandomAccessFile(file, "rws");
            Logger.e("MicroMsg.Music.PieceFileCache", "create RandomAccessFile file  %s  success", new Object[]{hVar2.fileName});
        } catch (FileNotFoundException e2) {
            Logger.e("MicroMsg.Music.PieceFileCache", "file not found", e2);
            Logger.e("MicroMsg.Music.PieceFileCache", "create RandomAccessFile file  %s  success", new Object[]{hVar2.fileName});
        } catch (IOException e3) {
            Logger.e("MicroMsg.Music.PieceFileCache", "io ", e3);
            Logger.e("MicroMsg.Music.PieceFileCache", "create RandomAccessFile file  %s  success", new Object[]{hVar2.fileName});
        } catch (Throwable th) {
            Logger.e("MicroMsg.Music.PieceFileCache", "create RandomAccessFile file  %s  success", new Object[]{hVar2.fileName});
            AppMethodBeat.o(137676);
        }
        aVar.oKX.setLength(size);
        g.ah(url3, size);
        ab.i("MicroMsg.Music.FileBytesCacheMgr", "attach() fileLength is " + size + ",pieceFileCache length is " + aVar.oKX.getLength());
        String mIMEType = aVar.oKV.getMIMEType();
        if (!(TextUtils.isEmpty(mIMEType) || "application/octet-stream".equalsIgnoreCase(mIMEType))) {
            g.fo(url3, mIMEType);
        }
        aVar.Lp = -1;
        aVar.mSize = 0;
        aVar.oKY = -1;
        aVar.oKZ = 0;
        AppMethodBeat.o(137676);
        return true;
    }

    public final void disconnect() {
        AppMethodBeat.i(137677);
        Logger.i("MicroMsg.Music.MMMediaHTTPConnection", "disconnect");
        teardownConnection();
        this.mHeaders = null;
        this.mURL = null;
        if (this.oNZ != null) {
            com.tencent.mm.plugin.music.cache.a aVar = this.oNZ;
            aVar.bTx();
            aVar.oKW.bTE();
            aVar.oKX.close();
            aVar.oKV = null;
            ab.i("MicroMsg.Music.FileBytesCacheMgr", "detach()");
            this.oNZ = null;
        }
        AppMethodBeat.o(137677);
    }

    private void teardownConnection() {
        AppMethodBeat.i(137678);
        if (this.mConnection != null) {
            this.mInputStream = null;
            this.mConnection.disconnect();
            this.mConnection = null;
            this.mCurrentOffset = -1;
        }
        AppMethodBeat.o(137678);
    }

    private static final boolean isLocalHost(URL url) {
        AppMethodBeat.i(137679);
        if (url == null) {
            AppMethodBeat.o(137679);
            return false;
        }
        String host = url.getHost();
        if (host == null) {
            AppMethodBeat.o(137679);
            return false;
        }
        try {
            if (host.equalsIgnoreCase("localhost")) {
                AppMethodBeat.o(137679);
                return true;
            }
        } catch (IllegalArgumentException e) {
            Logger.e("MicroMsg.Music.MMMediaHTTPConnection", "isLocalHost IllegalArgumentException:%s", new Object[]{String.valueOf(e)});
        }
        AppMethodBeat.o(137679);
        return false;
    }

    /* JADX WARNING: Missing block: B:80:0x01eb, code skipped:
            if (r11.mAllowCrossDomainRedirect == false) goto L_0x01f5;
     */
    /* JADX WARNING: Missing block: B:81:0x01ed, code skipped:
            r11.mURL = r11.mConnection.getURL();
     */
    /* JADX WARNING: Missing block: B:83:0x01f7, code skipped:
            if (r1 != 206) goto L_0x0255;
     */
    /* JADX WARNING: Missing block: B:84:0x01f9, code skipped:
            r0 = r11.mConnection.getHeaderField("Content-Range");
            r11.mTotalSize = -1;
     */
    /* JADX WARNING: Missing block: B:85:0x0206, code skipped:
            if (r0 == null) goto L_0x021e;
     */
    /* JADX WARNING: Missing block: B:86:0x0208, code skipped:
            r2 = r0.lastIndexOf(47);
     */
    /* JADX WARNING: Missing block: B:87:0x020e, code skipped:
            if (r2 < 0) goto L_0x021e;
     */
    /* JADX WARNING: Missing block: B:91:?, code skipped:
            r11.mTotalSize = com.tencent.mm.sdk.platformtools.bo.getLong(r0.substring(r2 + 1), 0);
     */
    /* JADX WARNING: Missing block: B:103:0x0257, code skipped:
            if (r1 == 200) goto L_0x0265;
     */
    /* JADX WARNING: Missing block: B:104:0x0259, code skipped:
            r0 = new java.io.IOException();
            com.tencent.matrix.trace.core.AppMethodBeat.o(137680);
     */
    /* JADX WARNING: Missing block: B:105:0x0264, code skipped:
            throw r0;
     */
    /* JADX WARNING: Missing block: B:106:0x0265, code skipped:
            r11.mTotalSize = (long) r11.mConnection.getContentLength();
     */
    private void seekTo(long r12) {
        /*
        r11 = this;
        r0 = 137680; // 0x219d0 float:1.92931E-40 double:6.8023E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r0);
        r11.teardownConnection();
        r1 = 0;
        r2 = 0;
        r0 = r11.mURL;	 Catch:{ IOException -> 0x0121 }
        r6 = isLocalHost(r0);	 Catch:{ IOException -> 0x0121 }
        r5 = r2;
        r4 = r1;
    L_0x0013:
        if (r6 == 0) goto L_0x006b;
    L_0x0015:
        r1 = java.net.Proxy.NO_PROXY;	 Catch:{ IOException -> 0x0074 }
        r0 = r0.openConnection(r1);	 Catch:{ IOException -> 0x0074 }
        r0 = (java.net.HttpURLConnection) r0;	 Catch:{ IOException -> 0x0074 }
        r11.mConnection = r0;	 Catch:{ IOException -> 0x0074 }
    L_0x001f:
        r0 = r11.mConnection;	 Catch:{ IOException -> 0x0074 }
        r1 = 30000; // 0x7530 float:4.2039E-41 double:1.4822E-319;
        r0.setConnectTimeout(r1);	 Catch:{ IOException -> 0x0074 }
        r0 = r11.mConnection;	 Catch:{ IOException -> 0x0074 }
        r1 = r11.mAllowCrossDomainRedirect;	 Catch:{ IOException -> 0x0074 }
        r0.setInstanceFollowRedirects(r1);	 Catch:{ IOException -> 0x0074 }
        r7 = "Accept-Encoding";
        r3 = 0;
        r0 = r11.mHeaders;	 Catch:{ IOException -> 0x0074 }
        if (r0 == 0) goto L_0x00b2;
    L_0x0035:
        r0 = r11.mHeaders;	 Catch:{ IOException -> 0x0074 }
        r0 = r0.entrySet();	 Catch:{ IOException -> 0x0074 }
        r8 = r0.iterator();	 Catch:{ IOException -> 0x0074 }
    L_0x003f:
        r0 = r8.hasNext();	 Catch:{ IOException -> 0x0074 }
        if (r0 == 0) goto L_0x00b2;
    L_0x0045:
        r0 = r8.next();	 Catch:{ IOException -> 0x0074 }
        r0 = (java.util.Map.Entry) r0;	 Catch:{ IOException -> 0x0074 }
        r9 = r11.mConnection;	 Catch:{ IOException -> 0x0074 }
        r1 = r0.getKey();	 Catch:{ IOException -> 0x0074 }
        r1 = (java.lang.String) r1;	 Catch:{ IOException -> 0x0074 }
        r2 = r0.getValue();	 Catch:{ IOException -> 0x0074 }
        r2 = (java.lang.String) r2;	 Catch:{ IOException -> 0x0074 }
        r9.setRequestProperty(r1, r2);	 Catch:{ IOException -> 0x0074 }
        if (r3 != 0) goto L_0x0287;
    L_0x005e:
        r0 = r0.getKey();	 Catch:{ IOException -> 0x0074 }
        r0 = r7.equals(r0);	 Catch:{ IOException -> 0x0074 }
        if (r0 == 0) goto L_0x0287;
    L_0x0068:
        r0 = 1;
    L_0x0069:
        r3 = r0;
        goto L_0x003f;
    L_0x006b:
        r0 = r0.openConnection();	 Catch:{ IOException -> 0x0074 }
        r0 = (java.net.HttpURLConnection) r0;	 Catch:{ IOException -> 0x0074 }
        r11.mConnection = r0;	 Catch:{ IOException -> 0x0074 }
        goto L_0x001f;
    L_0x0074:
        r0 = move-exception;
        r1 = r4;
    L_0x0076:
        r2 = -1;
        r11.mTotalSize = r2;
        r2 = 0;
        r11.mInputStream = r2;
        r2 = 0;
        r11.mConnection = r2;
        r2 = -1;
        r11.mCurrentOffset = r2;
        r2 = "MicroMsg.Music.MMMediaHTTPConnection";
        r3 = "seekTo exception:%s";
        r4 = 1;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = new java.lang.StringBuilder;
        r6.<init>();
        r6 = r6.append(r0);
        r7 = ", response:";
        r6 = r6.append(r7);
        r1 = r6.append(r1);
        r1 = r1.toString();
        r4[r5] = r1;
        com.tencent.qqmusic.mediaplayer.util.Logger.e(r2, r3, r4);
        r1 = 137680; // 0x219d0 float:1.92931E-40 double:6.8023E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
        throw r0;
    L_0x00b2:
        r0 = 0;
        r0 = (r12 > r0 ? 1 : (r12 == r0 ? 0 : -1));
        if (r0 <= 0) goto L_0x00d7;
    L_0x00b8:
        r0 = r11.mConnection;	 Catch:{ IOException -> 0x0074 }
        r1 = "Range";
        r2 = new java.lang.StringBuilder;	 Catch:{ IOException -> 0x0074 }
        r8 = "bytes=";
        r2.<init>(r8);	 Catch:{ IOException -> 0x0074 }
        r2 = r2.append(r12);	 Catch:{ IOException -> 0x0074 }
        r8 = "-";
        r2 = r2.append(r8);	 Catch:{ IOException -> 0x0074 }
        r2 = r2.toString();	 Catch:{ IOException -> 0x0074 }
        r0.setRequestProperty(r1, r2);	 Catch:{ IOException -> 0x0074 }
    L_0x00d7:
        if (r3 != 0) goto L_0x00e1;
    L_0x00d9:
        r0 = r11.mConnection;	 Catch:{ IOException -> 0x0074 }
        r1 = "";
        r0.setRequestProperty(r7, r1);	 Catch:{ IOException -> 0x0074 }
    L_0x00e1:
        r0 = r11.mConnection;	 Catch:{ IOException -> 0x0074 }
        r1 = r0.getResponseCode();	 Catch:{ IOException -> 0x0074 }
        r0 = r11.oOa;	 Catch:{ IOException -> 0x0074 }
        r0 = r0.toString();	 Catch:{ IOException -> 0x0074 }
        com.tencent.mm.plugin.music.cache.g.cI(r0, r1);	 Catch:{ IOException -> 0x0074 }
        r0 = 300; // 0x12c float:4.2E-43 double:1.48E-321;
        if (r1 == r0) goto L_0x0104;
    L_0x00f4:
        r0 = 301; // 0x12d float:4.22E-43 double:1.487E-321;
        if (r1 == r0) goto L_0x0104;
    L_0x00f8:
        r0 = 302; // 0x12e float:4.23E-43 double:1.49E-321;
        if (r1 == r0) goto L_0x0104;
    L_0x00fc:
        r0 = 303; // 0x12f float:4.25E-43 double:1.497E-321;
        if (r1 == r0) goto L_0x0104;
    L_0x0100:
        r0 = 307; // 0x133 float:4.3E-43 double:1.517E-321;
        if (r1 != r0) goto L_0x01e9;
    L_0x0104:
        r2 = r5 + 1;
        r0 = 20;
        if (r2 <= r0) goto L_0x0124;
    L_0x010a:
        r0 = new java.net.NoRouteToHostException;	 Catch:{ IOException -> 0x0121 }
        r3 = "Too many redirects: ";
        r2 = java.lang.String.valueOf(r2);	 Catch:{ IOException -> 0x0121 }
        r2 = r3.concat(r2);	 Catch:{ IOException -> 0x0121 }
        r0.<init>(r2);	 Catch:{ IOException -> 0x0121 }
        r2 = 137680; // 0x219d0 float:1.92931E-40 double:6.8023E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);	 Catch:{ IOException -> 0x0121 }
        throw r0;	 Catch:{ IOException -> 0x0121 }
    L_0x0121:
        r0 = move-exception;
        goto L_0x0076;
    L_0x0124:
        r0 = r11.mConnection;	 Catch:{ IOException -> 0x0121 }
        r0 = r0.getRequestMethod();	 Catch:{ IOException -> 0x0121 }
        r3 = 307; // 0x133 float:4.3E-43 double:1.517E-321;
        if (r1 != r3) goto L_0x014f;
    L_0x012e:
        r3 = "GET";
        r3 = r0.equals(r3);	 Catch:{ IOException -> 0x0121 }
        if (r3 != 0) goto L_0x014f;
    L_0x0137:
        r3 = "HEAD";
        r0 = r0.equals(r3);	 Catch:{ IOException -> 0x0121 }
        if (r0 != 0) goto L_0x014f;
    L_0x0140:
        r0 = new java.net.NoRouteToHostException;	 Catch:{ IOException -> 0x0121 }
        r2 = "Invalid redirect";
        r0.<init>(r2);	 Catch:{ IOException -> 0x0121 }
        r2 = 137680; // 0x219d0 float:1.92931E-40 double:6.8023E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);	 Catch:{ IOException -> 0x0121 }
        throw r0;	 Catch:{ IOException -> 0x0121 }
    L_0x014f:
        r0 = r11.mConnection;	 Catch:{ IOException -> 0x0121 }
        r3 = "Location";
        r3 = r0.getHeaderField(r3);	 Catch:{ IOException -> 0x0121 }
        if (r3 != 0) goto L_0x0169;
    L_0x015a:
        r0 = new java.net.NoRouteToHostException;	 Catch:{ IOException -> 0x0121 }
        r2 = "Invalid redirect";
        r0.<init>(r2);	 Catch:{ IOException -> 0x0121 }
        r2 = 137680; // 0x219d0 float:1.92931E-40 double:6.8023E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);	 Catch:{ IOException -> 0x0121 }
        throw r0;	 Catch:{ IOException -> 0x0121 }
    L_0x0169:
        r0 = new java.net.URL;	 Catch:{ IOException -> 0x0121 }
        r4 = r11.mURL;	 Catch:{ IOException -> 0x0121 }
        r0.<init>(r4, r3);	 Catch:{ IOException -> 0x0121 }
        r3 = r0.getProtocol();	 Catch:{ IOException -> 0x0121 }
        r4 = "https";
        r3 = r3.equals(r4);	 Catch:{ IOException -> 0x0121 }
        if (r3 != 0) goto L_0x0199;
    L_0x017d:
        r3 = r0.getProtocol();	 Catch:{ IOException -> 0x0121 }
        r4 = "http";
        r3 = r3.equals(r4);	 Catch:{ IOException -> 0x0121 }
        if (r3 != 0) goto L_0x0199;
    L_0x018a:
        r0 = new java.net.NoRouteToHostException;	 Catch:{ IOException -> 0x0121 }
        r2 = "Unsupported protocol redirect";
        r0.<init>(r2);	 Catch:{ IOException -> 0x0121 }
        r2 = 137680; // 0x219d0 float:1.92931E-40 double:6.8023E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);	 Catch:{ IOException -> 0x0121 }
        throw r0;	 Catch:{ IOException -> 0x0121 }
    L_0x0199:
        r3 = r11.mURL;	 Catch:{ IOException -> 0x0121 }
        r3 = r3.getProtocol();	 Catch:{ IOException -> 0x0121 }
        r4 = r0.getProtocol();	 Catch:{ IOException -> 0x0121 }
        r3 = r3.equals(r4);	 Catch:{ IOException -> 0x0121 }
        r4 = r11.mAllowCrossProtocolRedirect;	 Catch:{ IOException -> 0x0121 }
        if (r4 != 0) goto L_0x01bc;
    L_0x01ab:
        if (r3 != 0) goto L_0x01bc;
    L_0x01ad:
        r0 = new java.net.NoRouteToHostException;	 Catch:{ IOException -> 0x0121 }
        r2 = "Cross-protocol redirects are disallowed";
        r0.<init>(r2);	 Catch:{ IOException -> 0x0121 }
        r2 = 137680; // 0x219d0 float:1.92931E-40 double:6.8023E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);	 Catch:{ IOException -> 0x0121 }
        throw r0;	 Catch:{ IOException -> 0x0121 }
    L_0x01bc:
        r3 = r11.mURL;	 Catch:{ IOException -> 0x0121 }
        r3 = r3.getHost();	 Catch:{ IOException -> 0x0121 }
        r4 = r0.getHost();	 Catch:{ IOException -> 0x0121 }
        r3 = r3.equals(r4);	 Catch:{ IOException -> 0x0121 }
        r4 = r11.mAllowCrossDomainRedirect;	 Catch:{ IOException -> 0x0121 }
        if (r4 != 0) goto L_0x01df;
    L_0x01ce:
        if (r3 != 0) goto L_0x01df;
    L_0x01d0:
        r0 = new java.net.NoRouteToHostException;	 Catch:{ IOException -> 0x0121 }
        r2 = "Cross-domain redirects are disallowed";
        r0.<init>(r2);	 Catch:{ IOException -> 0x0121 }
        r2 = 137680; // 0x219d0 float:1.92931E-40 double:6.8023E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);	 Catch:{ IOException -> 0x0121 }
        throw r0;	 Catch:{ IOException -> 0x0121 }
    L_0x01df:
        r3 = 307; // 0x133 float:4.3E-43 double:1.517E-321;
        if (r1 == r3) goto L_0x01e5;
    L_0x01e3:
        r11.mURL = r0;	 Catch:{ IOException -> 0x0121 }
    L_0x01e5:
        r5 = r2;
        r4 = r1;
        goto L_0x0013;
    L_0x01e9:
        r0 = r11.mAllowCrossDomainRedirect;	 Catch:{ IOException -> 0x0121 }
        if (r0 == 0) goto L_0x01f5;
    L_0x01ed:
        r0 = r11.mConnection;	 Catch:{ IOException -> 0x0121 }
        r0 = r0.getURL();	 Catch:{ IOException -> 0x0121 }
        r11.mURL = r0;	 Catch:{ IOException -> 0x0121 }
    L_0x01f5:
        r0 = 206; // 0xce float:2.89E-43 double:1.02E-321;
        if (r1 != r0) goto L_0x0255;
    L_0x01f9:
        r0 = r11.mConnection;	 Catch:{ IOException -> 0x0121 }
        r2 = "Content-Range";
        r0 = r0.getHeaderField(r2);	 Catch:{ IOException -> 0x0121 }
        r2 = -1;
        r11.mTotalSize = r2;	 Catch:{ IOException -> 0x0121 }
        if (r0 == 0) goto L_0x021e;
    L_0x0208:
        r2 = 47;
        r2 = r0.lastIndexOf(r2);	 Catch:{ IOException -> 0x0121 }
        if (r2 < 0) goto L_0x021e;
    L_0x0210:
        r2 = r2 + 1;
        r0 = r0.substring(r2);	 Catch:{ IOException -> 0x0121 }
        r2 = 0;
        r2 = com.tencent.mm.sdk.platformtools.bo.getLong(r0, r2);	 Catch:{ NumberFormatException -> 0x0285 }
        r11.mTotalSize = r2;	 Catch:{ NumberFormatException -> 0x0285 }
    L_0x021e:
        r0 = r11.mMimeType;	 Catch:{ IOException -> 0x0121 }
        r0 = android.text.TextUtils.isEmpty(r0);	 Catch:{ IOException -> 0x0121 }
        if (r0 == 0) goto L_0x023f;
    L_0x0226:
        r0 = r11.mConnection;	 Catch:{ IOException -> 0x0121 }
        r0 = r0.getContentType();	 Catch:{ IOException -> 0x0121 }
        r11.mMimeType = r0;	 Catch:{ IOException -> 0x0121 }
        r0 = "MicroMsg.Music.MMMediaHTTPConnection";
        r2 = "mimeType:";
        r3 = 1;
        r3 = new java.lang.Object[r3];	 Catch:{ IOException -> 0x0121 }
        r4 = 0;
        r5 = r11.mMimeType;	 Catch:{ IOException -> 0x0121 }
        r3[r4] = r5;	 Catch:{ IOException -> 0x0121 }
        com.tencent.mm.sdk.platformtools.ab.i(r0, r2, r3);	 Catch:{ IOException -> 0x0121 }
    L_0x023f:
        r2 = 0;
        r0 = (r12 > r2 ? 1 : (r12 == r2 ? 0 : -1));
        if (r0 <= 0) goto L_0x026f;
    L_0x0245:
        r0 = 206; // 0xce float:2.89E-43 double:1.02E-321;
        if (r1 == r0) goto L_0x026f;
    L_0x0249:
        r0 = new java.net.ProtocolException;	 Catch:{ IOException -> 0x0121 }
        r0.<init>();	 Catch:{ IOException -> 0x0121 }
        r2 = 137680; // 0x219d0 float:1.92931E-40 double:6.8023E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);	 Catch:{ IOException -> 0x0121 }
        throw r0;	 Catch:{ IOException -> 0x0121 }
    L_0x0255:
        r0 = 200; // 0xc8 float:2.8E-43 double:9.9E-322;
        if (r1 == r0) goto L_0x0265;
    L_0x0259:
        r0 = new java.io.IOException;	 Catch:{ IOException -> 0x0121 }
        r0.<init>();	 Catch:{ IOException -> 0x0121 }
        r2 = 137680; // 0x219d0 float:1.92931E-40 double:6.8023E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);	 Catch:{ IOException -> 0x0121 }
        throw r0;	 Catch:{ IOException -> 0x0121 }
    L_0x0265:
        r0 = r11.mConnection;	 Catch:{ IOException -> 0x0121 }
        r0 = r0.getContentLength();	 Catch:{ IOException -> 0x0121 }
        r2 = (long) r0;	 Catch:{ IOException -> 0x0121 }
        r11.mTotalSize = r2;	 Catch:{ IOException -> 0x0121 }
        goto L_0x021e;
    L_0x026f:
        r0 = new java.io.BufferedInputStream;	 Catch:{ IOException -> 0x0121 }
        r2 = r11.mConnection;	 Catch:{ IOException -> 0x0121 }
        r2 = r2.getInputStream();	 Catch:{ IOException -> 0x0121 }
        r0.<init>(r2);	 Catch:{ IOException -> 0x0121 }
        r11.mInputStream = r0;	 Catch:{ IOException -> 0x0121 }
        r11.mCurrentOffset = r12;	 Catch:{ IOException -> 0x0121 }
        r0 = 137680; // 0x219d0 float:1.92931E-40 double:6.8023E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
        return;
    L_0x0285:
        r0 = move-exception;
        goto L_0x021e;
    L_0x0287:
        r0 = r3;
        goto L_0x0069;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.music.g.a.a.seekTo(long):void");
    }

    /* JADX WARNING: Removed duplicated region for block: B:14:0x0049 A:{Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }} */
    public final int readAt(long r14, byte[] r16, int r17, int r18) {
        /*
        r13 = this;
        r2 = 137681; // 0x219d1 float:1.92932E-40 double:6.80235E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r2);
        r2 = r13.oOb;
        r2 = r2.length;
        r0 = r18;
        if (r0 <= r2) goto L_0x0013;
    L_0x000d:
        r0 = r18;
        r2 = new byte[r0];
        r13.oOb = r2;
    L_0x0013:
        r2 = r13.oOb;
        r3 = 0;
        r4 = r13.oOb;
        r4 = r4.length;
        r5 = 0;
        java.util.Arrays.fill(r2, r3, r4, r5);
        r2 = r13.oNZ;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        if (r2 == 0) goto L_0x013a;
    L_0x0021:
        r3 = r13.oNZ;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r4 = r13.oOb;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r5 = (int) r14;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        if (r4 == 0) goto L_0x002c;
    L_0x0028:
        if (r5 < 0) goto L_0x002c;
    L_0x002a:
        if (r18 >= 0) goto L_0x0081;
    L_0x002c:
        r2 = "MicroMsg.Music.FileBytesCacheMgr";
        r3 = "read() params is invalid, offset:%d, size:%d";
        r4 = 2;
        r4 = new java.lang.Object[r4];	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r6 = 0;
        r5 = java.lang.Integer.valueOf(r5);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r4[r6] = r5;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r5 = 1;
        r6 = java.lang.Integer.valueOf(r18);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r4[r5] = r6;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        com.tencent.mm.sdk.platformtools.ab.e(r2, r3, r4);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
    L_0x0046:
        r2 = -1;
    L_0x0047:
        if (r2 <= 0) goto L_0x013a;
    L_0x0049:
        r0 = r18;
        if (r2 == r0) goto L_0x0070;
    L_0x004d:
        r3 = "MicroMsg.Music.MMMediaHTTPConnection";
        r4 = new java.lang.StringBuilder;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r5 = "read from cache, n%d, size %d ";
        r4.<init>(r5);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r4 = r4.append(r2);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r5 = ",";
        r4 = r4.append(r5);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r0 = r18;
        r4 = r4.append(r0);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r4 = r4.toString();	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        com.tencent.qqmusic.mediaplayer.util.Logger.i(r3, r4);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
    L_0x0070:
        r3 = r13.oOb;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r4 = 0;
        r0 = r16;
        r1 = r17;
        java.lang.System.arraycopy(r3, r4, r0, r1, r2);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r3 = 137681; // 0x219d1 float:1.92932E-40 double:6.80235E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r3);
    L_0x0080:
        return r2;
    L_0x0081:
        r2 = r3.oKV;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r6 = r2.getSize();	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r8 = 0;
        r2 = (r6 > r8 ? 1 : (r6 == r8 ? 0 : -1));
        if (r2 > 0) goto L_0x00ed;
    L_0x008d:
        r2 = "MicroMsg.Music.FileBytesCacheMgr";
        r4 = new java.lang.StringBuilder;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r5 = "read(), fileLength is error, file length is ";
        r4.<init>(r5);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r3 = r3.oKV;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r6 = r3.getSize();	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r3 = r4.append(r6);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r3 = r3.toString();	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        com.tencent.mm.sdk.platformtools.ab.e(r2, r3);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        goto L_0x0046;
    L_0x00aa:
        r2 = move-exception;
        r3 = "MicroMsg.Music.MMMediaHTTPConnection";
        r4 = new java.lang.StringBuilder;
        r5 = "readAt ";
        r4.<init>(r5);
        r4 = r4.append(r14);
        r5 = " / ";
        r4 = r4.append(r5);
        r0 = r18;
        r4 = r4.append(r0);
        r5 = " => ";
        r4 = r4.append(r5);
        r2 = r4.append(r2);
        r2 = r2.toString();
        com.tencent.qqmusic.mediaplayer.util.Logger.e(r3, r2);
        r2 = r13.oOa;
        r2 = r2.toString();
        r3 = 750; // 0x2ee float:1.051E-42 double:3.705E-321;
        com.tencent.mm.plugin.music.cache.g.cJ(r2, r3);
        r2 = -1010; // 0xfffffffffffffc0e float:NaN double:NaN;
        r3 = 137681; // 0x219d1 float:1.92932E-40 double:6.80235E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r3);
        goto L_0x0080;
    L_0x00ed:
        r2 = r5 + r18;
        r6 = (long) r2;
        r8 = r3.oKV;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r8 = r8.getSize();	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r6 = (r6 > r8 ? 1 : (r6 == r8 ? 0 : -1));
        if (r6 <= 0) goto L_0x03cf;
    L_0x00fa:
        r6 = "MicroMsg.Music.FileBytesCacheMgr";
        r7 = "read() endOffset is error,  startOffset %d, endOffset:%d, file length:%d ";
        r8 = 3;
        r8 = new java.lang.Object[r8];	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r9 = 0;
        r10 = java.lang.Integer.valueOf(r5);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r8[r9] = r10;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r9 = 1;
        r2 = java.lang.Integer.valueOf(r2);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r8[r9] = r2;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r2 = 2;
        r9 = r3.oKV;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r10 = r9.getSize();	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r9 = java.lang.Long.valueOf(r10);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r8[r2] = r9;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        com.tencent.mm.sdk.platformtools.ab.e(r6, r7, r8);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r2 = r3.oKV;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r6 = r2.getSize();	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r2 = (int) r6;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r2 = r2 - r5;
    L_0x0129:
        r6 = r3.oKW;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r6 = r6.eE(r5, r2);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        if (r6 == 0) goto L_0x0046;
    L_0x0131:
        r3 = r3.oKX;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r6 = (long) r5;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r2 = r3.b(r4, r6, r2);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        goto L_0x0047;
    L_0x013a:
        r2 = r13.mTotalSize;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r4 = 0;
        r2 = (r2 > r4 ? 1 : (r2 == r4 ? 0 : -1));
        if (r2 <= 0) goto L_0x0176;
    L_0x0142:
        r2 = r13.mTotalSize;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r2 = (r14 > r2 ? 1 : (r14 == r2 ? 0 : -1));
        if (r2 < 0) goto L_0x0176;
    L_0x0148:
        if (r18 <= 0) goto L_0x0176;
    L_0x014a:
        r2 = "MicroMsg.Music.MMMediaHTTPConnection";
        r3 = "offset is illegal, mTotalSize:%d, offset:%d, size:%d";
        r4 = 3;
        r4 = new java.lang.Object[r4];	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r5 = 0;
        r6 = r13.mTotalSize;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r6 = java.lang.Long.valueOf(r6);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r4[r5] = r6;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r5 = 1;
        r6 = java.lang.Long.valueOf(r14);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r4[r5] = r6;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r5 = 2;
        r6 = java.lang.Integer.valueOf(r18);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r4[r5] = r6;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        com.tencent.mm.sdk.platformtools.ab.e(r2, r3, r4);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r2 = 0;
        r3 = 137681; // 0x219d1 float:1.92932E-40 double:6.80235E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r3);
        goto L_0x0080;
    L_0x0176:
        r2 = "MicroMsg.Music.MMMediaHTTPConnection";
        r3 = "read from network";
        com.tencent.qqmusic.mediaplayer.util.Logger.d(r2, r3);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r2 = r13.mCurrentOffset;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r2 = (r14 > r2 ? 1 : (r14 == r2 ? 0 : -1));
        if (r2 == 0) goto L_0x0188;
    L_0x0185:
        r13.seekTo(r14);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
    L_0x0188:
        r2 = r13.mInputStream;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r3 = r13.oOb;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r4 = 0;
        r0 = r18;
        r2 = r2.read(r3, r4, r0);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r3 = -1;
        if (r2 != r3) goto L_0x01ce;
    L_0x0196:
        r2 = 0;
    L_0x0197:
        r4 = r13.mCurrentOffset;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r6 = (long) r2;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r4 = r4 + r6;
        r13.mCurrentOffset = r4;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r3 = r13.oNZ;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        if (r3 == 0) goto L_0x01c6;
    L_0x01a1:
        r3 = r13.oNZ;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r4 = r13.oOb;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r5 = (int) r14;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        if (r4 == 0) goto L_0x01ac;
    L_0x01a8:
        if (r5 < 0) goto L_0x01ac;
    L_0x01aa:
        if (r2 >= 0) goto L_0x021d;
    L_0x01ac:
        r3 = "MicroMsg.Music.FileBytesCacheMgr";
        r4 = "write() params is invalid, offset:%d, size:%d";
        r6 = 2;
        r6 = new java.lang.Object[r6];	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r7 = 0;
        r5 = java.lang.Integer.valueOf(r5);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r6[r7] = r5;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r5 = 1;
        r7 = java.lang.Integer.valueOf(r2);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r6[r5] = r7;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        com.tencent.mm.sdk.platformtools.ab.e(r3, r4, r6);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
    L_0x01c6:
        r3 = 137681; // 0x219d1 float:1.92932E-40 double:6.80235E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r3);
        goto L_0x0080;
    L_0x01ce:
        r3 = r13.oOb;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r4 = 0;
        r0 = r16;
        r1 = r17;
        java.lang.System.arraycopy(r3, r4, r0, r1, r2);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        goto L_0x0197;
    L_0x01d9:
        r2 = move-exception;
        r3 = "MicroMsg.Music.MMMediaHTTPConnection";
        r4 = new java.lang.StringBuilder;
        r5 = "readAt ";
        r4.<init>(r5);
        r4 = r4.append(r14);
        r5 = " / ";
        r4 = r4.append(r5);
        r0 = r18;
        r4 = r4.append(r0);
        r5 = " => ";
        r4 = r4.append(r5);
        r2 = r4.append(r2);
        r2 = r2.toString();
        com.tencent.qqmusic.mediaplayer.util.Logger.e(r3, r2);
        r2 = r13.oOa;
        r2 = r2.toString();
        r3 = 751; // 0x2ef float:1.052E-42 double:3.71E-321;
        com.tencent.mm.plugin.music.cache.g.cJ(r2, r3);
        r2 = -1010; // 0xfffffffffffffc0e float:NaN double:NaN;
        r3 = 137681; // 0x219d1 float:1.92932E-40 double:6.80235E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r3);
        goto L_0x0080;
    L_0x021d:
        r6 = r3.oKV;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r6 = r6.getSize();	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r8 = 0;
        r6 = (r6 > r8 ? 1 : (r6 == r8 ? 0 : -1));
        if (r6 > 0) goto L_0x028a;
    L_0x0229:
        r4 = "MicroMsg.Music.FileBytesCacheMgr";
        r5 = new java.lang.StringBuilder;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r6 = "write() fileLength is error, file length is ";
        r5.<init>(r6);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r3 = r3.oKV;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r6 = r3.getSize();	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r3 = r5.append(r6);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r3 = r3.toString();	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        com.tencent.mm.sdk.platformtools.ab.e(r4, r3);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        goto L_0x01c6;
    L_0x0246:
        r2 = move-exception;
        r3 = "MicroMsg.Music.MMMediaHTTPConnection";
        r4 = new java.lang.StringBuilder;
        r5 = "readAt ";
        r4.<init>(r5);
        r4 = r4.append(r14);
        r5 = " / ";
        r4 = r4.append(r5);
        r0 = r18;
        r4 = r4.append(r0);
        r5 = " => ";
        r4 = r4.append(r5);
        r2 = r4.append(r2);
        r2 = r2.toString();
        com.tencent.qqmusic.mediaplayer.util.Logger.e(r3, r2);
        r2 = r13.oOa;
        r2 = r2.toString();
        r3 = 752; // 0x2f0 float:1.054E-42 double:3.715E-321;
        com.tencent.mm.plugin.music.cache.g.cJ(r2, r3);
        r2 = -1010; // 0xfffffffffffffc0e float:NaN double:NaN;
        r3 = 137681; // 0x219d1 float:1.92932E-40 double:6.80235E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r3);
        goto L_0x0080;
    L_0x028a:
        r6 = r5 + r2;
        r8 = (long) r6;
        r7 = r3.oKV;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r10 = r7.getSize();	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r7 = (r8 > r10 ? 1 : (r8 == r10 ? 0 : -1));
        if (r7 <= 0) goto L_0x02fc;
    L_0x0297:
        r4 = "MicroMsg.Music.FileBytesCacheMgr";
        r5 = "write() endOffset is error, endOffset:%d, file length:%d";
        r7 = 2;
        r7 = new java.lang.Object[r7];	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r8 = 0;
        r6 = java.lang.Integer.valueOf(r6);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r7[r8] = r6;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r6 = 1;
        r3 = r3.oKV;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r8 = r3.getSize();	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r3 = java.lang.Long.valueOf(r8);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r7[r6] = r3;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        com.tencent.mm.sdk.platformtools.ab.e(r4, r5, r7);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        goto L_0x01c6;
    L_0x02b9:
        r2 = move-exception;
        r3 = "MicroMsg.Music.MMMediaHTTPConnection";
        r4 = new java.lang.StringBuilder;
        r5 = "readAt ";
        r4.<init>(r5);
        r4 = r4.append(r14);
        r5 = " / ";
        r4 = r4.append(r5);
        r0 = r18;
        r4 = r4.append(r0);
        r5 = " => -1 ";
        r4 = r4.append(r5);
        r2 = r4.append(r2);
        r2 = r2.toString();
        com.tencent.qqmusic.mediaplayer.util.Logger.e(r3, r2);
        r2 = r13.oOa;
        r2 = r2.toString();
        r3 = 753; // 0x2f1 float:1.055E-42 double:3.72E-321;
        com.tencent.mm.plugin.music.cache.g.cJ(r2, r3);
        r2 = -1;
        r3 = 137681; // 0x219d1 float:1.92932E-40 double:6.80235E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r3);
        goto L_0x0080;
    L_0x02fc:
        r7 = r3.zu(r5);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        if (r7 == 0) goto L_0x0397;
    L_0x0302:
        r7 = r3.zu(r6);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        if (r7 == 0) goto L_0x0397;
    L_0x0308:
        r7 = r3.zv(r5);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        if (r7 == 0) goto L_0x0314;
    L_0x030e:
        r7 = r3.zv(r6);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        if (r7 != 0) goto L_0x032a;
    L_0x0314:
        r7 = r3.zv(r5);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        if (r7 == 0) goto L_0x038d;
    L_0x031a:
        r3.u(r4, r5, r2);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r4 = r3.mSize;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r5 = 81920; // 0x14000 float:1.14794E-40 double:4.0474E-319;
        if (r4 != r5) goto L_0x032a;
    L_0x0324:
        r3.bTx();	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r3.zw(r6);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
    L_0x032a:
        r4 = (long) r6;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r7 = r3.oKV;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r8 = r7.getSize();	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r4 = (r4 > r8 ? 1 : (r4 == r8 ? 0 : -1));
        if (r4 != 0) goto L_0x01c6;
    L_0x0335:
        r3.bTx();	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r3.zw(r6);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        goto L_0x01c6;
    L_0x033d:
        r2 = move-exception;
        r3 = "MicroMsg.Music.MMMediaHTTPConnection";
        r4 = "unknown exception ";
        r2 = java.lang.String.valueOf(r2);
        r2 = r4.concat(r2);
        com.tencent.qqmusic.mediaplayer.util.Logger.e(r3, r2);
        r2 = "MicroMsg.Music.MMMediaHTTPConnection";
        r3 = new java.lang.StringBuilder;
        r4 = "readAt ";
        r3.<init>(r4);
        r3 = r3.append(r14);
        r4 = " / ";
        r3 = r3.append(r4);
        r0 = r18;
        r3 = r3.append(r0);
        r4 = " => -1";
        r3 = r3.append(r4);
        r3 = r3.toString();
        com.tencent.qqmusic.mediaplayer.util.Logger.e(r2, r3);
        r2 = r13.oOa;
        r2 = r2.toString();
        r3 = 754; // 0x2f2 float:1.057E-42 double:3.725E-321;
        com.tencent.mm.plugin.music.cache.g.cJ(r2, r3);
        r2 = -1;
        r3 = 137681; // 0x219d1 float:1.92932E-40 double:6.80235E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r3);
        goto L_0x0080;
    L_0x038d:
        r3.bTx();	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r3.zw(r5);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r3.u(r4, r5, r2);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        goto L_0x032a;
    L_0x0397:
        r7 = r3.zu(r5);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        if (r7 == 0) goto L_0x03c4;
    L_0x039d:
        r7 = r3.zu(r6);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        if (r7 != 0) goto L_0x03c4;
    L_0x03a3:
        r7 = r3.zv(r5);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        if (r7 == 0) goto L_0x03c4;
    L_0x03a9:
        r7 = 81920; // 0x14000 float:1.14794E-40 double:4.0474E-319;
        r8 = r3.mSize;	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r7 = r7 - r8;
        r8 = r2 - r7;
        if (r7 <= 0) goto L_0x03b6;
    L_0x03b3:
        r3.u(r4, r5, r7);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
    L_0x03b6:
        r3.bTx();	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r5 = r5 + r7;
        r3.zw(r5);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        if (r8 <= 0) goto L_0x032a;
    L_0x03bf:
        r3.d(r4, r7, r5, r8);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        goto L_0x032a;
    L_0x03c4:
        r3.bTx();	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r3.zw(r5);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        r3.u(r4, r5, r2);	 Catch:{ ProtocolException -> 0x00aa, NoRouteToHostException -> 0x01d9, UnknownServiceException -> 0x0246, IOException -> 0x02b9, Exception -> 0x033d }
        goto L_0x032a;
    L_0x03cf:
        r2 = r18;
        goto L_0x0129;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.music.g.a.a.readAt(long, byte[], int, int):int");
    }

    public final long getSize() {
        AppMethodBeat.i(137682);
        long j;
        if (this.mTotalSize > 0) {
            j = this.mTotalSize;
            AppMethodBeat.o(137682);
            return j;
        } else if (g.Ta(this.oOa.toString()) > 0) {
            this.mTotalSize = g.Ta(this.oOa.toString());
            j = this.mTotalSize;
            AppMethodBeat.o(137682);
            return j;
        } else {
            if (this.mConnection == null) {
                try {
                    long currentTimeMillis = System.currentTimeMillis();
                    seekTo(0);
                    ab.d("MicroMsg.Music.MMMediaHTTPConnection", "getSize cost time :%d!", new Object[]{Long.valueOf(System.currentTimeMillis() - currentTimeMillis)});
                } catch (IOException e) {
                    Logger.e("MicroMsg.Music.MMMediaHTTPConnection", "getSize exception:%s", new Object[]{String.valueOf(e)});
                    this.mTotalSize = -1;
                }
            }
            if (this.mTotalSize > 0) {
                j = this.mTotalSize;
                AppMethodBeat.o(137682);
                return j;
            } else if (g.ek(this.oOa.toString()) > 0) {
                this.mTotalSize = g.ek(this.oOa.toString());
                j = this.mTotalSize;
                AppMethodBeat.o(137682);
                return j;
            } else {
                AppMethodBeat.o(137682);
                return -1;
            }
        }
    }

    public final String getMIMEType() {
        AppMethodBeat.i(137683);
        String SZ;
        if (TextUtils.isEmpty(this.mMimeType)) {
            SZ = g.SZ(this.oOa.toString());
            if (TextUtils.isEmpty(SZ)) {
                long currentTimeMillis;
                if (this.mConnection == null) {
                    try {
                        currentTimeMillis = System.currentTimeMillis();
                        seekTo(0);
                        SZ = this.mConnection.getContentType();
                        ab.d("MicroMsg.Music.MMMediaHTTPConnection", "getMIMEType cost time :%d!", new Object[]{Long.valueOf(System.currentTimeMillis() - currentTimeMillis)});
                    } catch (IOException e) {
                        Logger.e("MicroMsg.Music.MMMediaHTTPConnection", "getMIMEType exception:%s", new Object[]{String.valueOf(e)});
                        SZ = BuildConfig.FLAVOR;
                    }
                } else {
                    currentTimeMillis = System.currentTimeMillis();
                    SZ = this.mConnection.getContentType();
                    Logger.i("MicroMsg.Music.MMMediaHTTPConnection", "getMIMEType mimeType:".concat(String.valueOf(SZ)));
                    ab.d("MicroMsg.Music.MMMediaHTTPConnection", "getMIMEType cost time2 :%d!", new Object[]{Long.valueOf(System.currentTimeMillis() - currentTimeMillis)});
                }
                this.mMimeType = SZ;
                if (TextUtils.isEmpty(SZ)) {
                    SZ = g.SY(this.oOa.toString());
                    this.mMimeType = SZ;
                    if (TextUtils.isEmpty(SZ)) {
                        SZ = "application/octet-stream";
                        AppMethodBeat.o(137683);
                        return SZ;
                    }
                    AppMethodBeat.o(137683);
                    return SZ;
                }
                AppMethodBeat.o(137683);
                return SZ;
            }
            this.mMimeType = SZ;
            AppMethodBeat.o(137683);
            return SZ;
        }
        Logger.i("MicroMsg.Music.MMMediaHTTPConnection", "getMIMEType mimeType:" + this.mMimeType);
        SZ = this.mMimeType;
        AppMethodBeat.o(137683);
        return SZ;
    }

    public final String getUri() {
        AppMethodBeat.i(137684);
        String url = this.mURL.toString();
        AppMethodBeat.o(137684);
        return url;
    }
}
