package com.tencent.mm.plugin.qqmail.ui;

import android.content.Context;
import android.text.Editable;
import android.util.AttributeSet;
import android.view.GestureDetector;
import android.view.GestureDetector.SimpleOnGestureListener;
import android.view.View;
import android.view.View.MeasureSpec;
import android.view.ViewGroup;
import android.widget.AutoCompleteTextView;
import android.widget.Button;
import android.widget.RelativeLayout;
import android.widget.RelativeLayout.LayoutParams;
import android.widget.Toast;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.model.r;
import com.tencent.mm.plugin.qqmail.b.ac;
import com.tencent.mm.plugin.qqmail.b.o;
import com.tencent.mm.plugin.qqmail.b.p;
import com.tencent.mm.plugin.qqmail.stub.ReadMailProxy;
import com.tencent.mm.remoteservice.d;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ak;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.tencentmap.mapsdk.map.BuildConfig;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;
import java.util.regex.Pattern;

public class MailAddrsViewControl extends RelativeLayout {
    private static final Pattern pyE = Pattern.compile("[a-zA-Z0-9\\+\\.\\_\\%\\-\\+]{1,256}\\@[a-zA-Z0-9][a-zA-Z0-9\\-]{0,64}(\\.[a-zA-Z0-9][a-zA-Z0-9\\-]{0,25})+");
    private boolean gJL = false;
    private ak handler = new ak();
    private GestureDetector pxH;
    private b pyA;
    private c pyB;
    private View pyC;
    private a pyD = null;
    private SimpleOnGestureListener pyF = new 8(this);
    private LinkedList<o> pyy = new LinkedList();
    AutoCompleteTextView pyz;

    static /* synthetic */ void a(MailAddrsViewControl mailAddrsViewControl, String str, boolean z) {
        AppMethodBeat.i(68375);
        mailAddrsViewControl.ba(str, z);
        AppMethodBeat.o(68375);
    }

    public void setInvalidMailAddrListener(a aVar) {
        this.pyD = aVar;
    }

    public final boolean cdg() {
        AppMethodBeat.i(68358);
        Editable text = this.pyz.getText();
        if (text == null) {
            AppMethodBeat.o(68358);
            return true;
        } else if (text.toString().length() <= 0) {
            AppMethodBeat.o(68358);
            return true;
        } else {
            AppMethodBeat.o(68358);
            return false;
        }
    }

    public MailAddrsViewControl(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        AppMethodBeat.i(68359);
        this.pxH = new GestureDetector(context, this.pyF);
        AppMethodBeat.o(68359);
    }

    public void setEditable(boolean z) {
        AppMethodBeat.i(68360);
        this.gJL = z;
        if (z && this.pyz == null) {
            int i = 0;
            while (i < getChildCount()) {
                View childAt = getChildAt(i);
                if (!(childAt instanceof AutoCompleteTextView)) {
                    if (childAt instanceof ViewGroup) {
                        ViewGroup viewGroup = (ViewGroup) childAt;
                        for (int i2 = 0; i2 < viewGroup.getChildCount(); i2++) {
                            View childAt2 = viewGroup.getChildAt(i2);
                            if (childAt2 instanceof AutoCompleteTextView) {
                                this.pyz = (AutoCompleteTextView) childAt2;
                            }
                        }
                    }
                    if (this.pyz != null) {
                        break;
                    }
                    i++;
                } else {
                    this.pyz = (AutoCompleteTextView) childAt;
                    break;
                }
            }
            if (this.pyz != null) {
                this.pyz.setDropDownBackgroundResource(2130839907);
                setOnClickListener(new 1(this));
                this.pyz.setOnItemClickListener(new 3(this));
                this.pyz.setOnEditorActionListener(new 4(this));
                this.pyz.setOnKeyListener(new 5(this));
                this.pyz.addTextChangedListener(new 6(this));
                this.pyz.setOnFocusChangeListener(new 7(this));
                AppMethodBeat.o(68360);
                return;
            }
        } else if (!(z || this.pyz == null)) {
            this.pyz.setVisibility(8);
        }
        AppMethodBeat.o(68360);
    }

    public void setAddrsAdapter(b bVar) {
        AppMethodBeat.i(68361);
        if (!(this.pyz == null || bVar == null)) {
            this.pyA = bVar;
            this.pyz.setAdapter(bVar);
        }
        AppMethodBeat.o(68361);
    }

    public void setOnActionListener(c cVar) {
        this.pyB = cVar;
    }

    public LinkedList<o> getMailAddrs() {
        return this.pyy;
    }

    public final String[] a(boolean z, d dVar) {
        int i = 0;
        AppMethodBeat.i(68362);
        String userBindEmail;
        if (dVar == null || !dVar.isConnected()) {
            userBindEmail = r.getUserBindEmail();
        } else {
            try {
                userBindEmail = (String) new ReadMailProxy(dVar, null).REMOTE_CALL("getUserBindEmail", new Object[0]);
            } catch (Exception e) {
                ab.e("MicroMsg.QQMail.MailAddrsViewControl", "getMailAddrStringArray, getUserBindEmail fail, ex = %s", new Object[]{e.getMessage()});
                AppMethodBeat.o(68362);
                return null;
            }
        }
        String[] strArr = new String[this.pyy.size()];
        while (i < this.pyy.size()) {
            o oVar = (o) this.pyy.get(i);
            if (z && oVar.nJq.equalsIgnoreCase(userBindEmail)) {
                strArr[i] = BuildConfig.FLAVOR;
            } else {
                strArr[i] = oVar.name + " " + oVar.nJq;
            }
            i++;
        }
        AppMethodBeat.o(68362);
        return strArr;
    }

    public final boolean cdh() {
        AppMethodBeat.i(68363);
        String trim = this.pyz.getEditableText().toString().trim();
        if (bo.isNullOrNil(trim) || !Vs(trim)) {
            AppMethodBeat.o(68363);
            return false;
        }
        AppMethodBeat.o(68363);
        return true;
    }

    public String getAddrsString() {
        boolean z = false;
        AppMethodBeat.i(68364);
        if (cdh()) {
            ba(this.pyz.getEditableText().toString(), false);
        }
        String str = BuildConfig.FLAVOR;
        while (true) {
            boolean z2 = z;
            if (z2 < this.pyy.size()) {
                o oVar = (o) this.pyy.get(z2);
                if (z2) {
                    str = str + ",";
                }
                str = str + oVar.nJq;
                z = z2 + 1;
            } else {
                AppMethodBeat.o(68364);
                return str;
            }
        }
    }

    public int getSize() {
        AppMethodBeat.i(68365);
        int size = this.pyy.size();
        AppMethodBeat.o(68365);
        return size;
    }

    public final void e(o oVar) {
        AppMethodBeat.i(68366);
        if (oVar == null) {
            AppMethodBeat.o(68366);
            return;
        }
        Object obj;
        Iterator it = this.pyy.iterator();
        while (it.hasNext()) {
            if (((o) it.next()).nJq.equalsIgnoreCase(oVar.nJq)) {
                obj = 1;
                break;
            }
        }
        obj = null;
        if (obj == null) {
            ViewGroup viewGroup = (ViewGroup) View.inflate(getContext(), 2130970425, null);
            Button button = (Button) viewGroup.findViewById(2131826692);
            viewGroup.removeView((View) button.getParent());
            button.setText(oVar.name);
            if (this.gJL) {
                button.setCompoundDrawables(null, null, null, null);
            }
            button.setTag(this.pyy.size());
            View view = (View) button.getParent();
            button.setTag(oVar);
            view.setVisibility(4);
            view.setTag(oVar);
            addView(view, this.pyy.size());
            this.pyy.add(oVar);
            this.handler.postDelayed(new 2(this, button), 100);
        }
        AppMethodBeat.o(68366);
    }

    public final void b(String[] strArr, boolean z) {
        AppMethodBeat.i(68367);
        if (z) {
            removeAllViews();
            this.pyy.clear();
            cdj();
            invalidate();
        }
        if (strArr == null || strArr.length == 0) {
            AppMethodBeat.o(68367);
            return;
        }
        for (String Vj : strArr) {
            o Vj2 = p.Vj(Vj);
            if (Vj2 != null) {
                e(Vj2);
            }
        }
        AppMethodBeat.o(68367);
    }

    public final void cJ(List<o> list) {
        AppMethodBeat.i(68368);
        if (list == null) {
            AppMethodBeat.o(68368);
            return;
        }
        for (o e : list) {
            e(e);
        }
        AppMethodBeat.o(68368);
    }

    public void setMailAdds(List<o> list) {
        AppMethodBeat.i(68369);
        if (list == null) {
            AppMethodBeat.o(68369);
            return;
        }
        int i;
        o oVar;
        int i2;
        for (i = 0; i < this.pyy.size(); i++) {
            oVar = (o) this.pyy.get(i);
            i2 = 0;
            while (i2 < list.size()) {
                if (oVar.nJq.equalsIgnoreCase(((o) list.get(i2)).nJq)) {
                    break;
                }
                i2++;
            }
            if (i2 == list.size()) {
                f(oVar);
            }
        }
        for (i = 0; i < list.size(); i++) {
            oVar = (o) list.get(i);
            i2 = 0;
            while (i2 < this.pyy.size()) {
                if (oVar.nJq.equalsIgnoreCase(((o) this.pyy.get(i2)).nJq)) {
                    break;
                }
                i2++;
            }
            if (i2 == this.pyy.size()) {
                e(oVar);
            }
        }
        AppMethodBeat.o(68369);
    }

    public final void f(o oVar) {
        AppMethodBeat.i(68370);
        int i = 0;
        while (true) {
            int i2 = i;
            if (i2 < this.pyy.size()) {
                if (oVar.nJq.equalsIgnoreCase(((o) this.pyy.get(i2)).nJq)) {
                    removeViewAt(i2);
                    this.pyy.remove(i2);
                    cdj();
                    invalidate();
                    AppMethodBeat.o(68370);
                    return;
                }
                i = i2 + 1;
            } else {
                AppMethodBeat.o(68370);
                return;
            }
        }
    }

    static {
        AppMethodBeat.i(68376);
        AppMethodBeat.o(68376);
    }

    private static boolean Vs(String str) {
        AppMethodBeat.i(68371);
        boolean matches = pyE.matcher(str).matches();
        AppMethodBeat.o(68371);
        return matches;
    }

    public final boolean cdi() {
        AppMethodBeat.i(68372);
        Iterator it = this.pyy.iterator();
        while (it.hasNext()) {
            if (!Vs(((o) it.next()).nJq)) {
                AppMethodBeat.o(68372);
                return false;
            }
        }
        AppMethodBeat.o(68372);
        return true;
    }

    /* Access modifiers changed, original: final */
    public final void cdj() {
        AppMethodBeat.i(68373);
        int childCount = getChildCount();
        int measuredWidth = getMeasuredWidth();
        int i = 0;
        int i2 = 0;
        int i3 = 0;
        while (i < childCount) {
            View childAt = getChildAt(i);
            if (childAt.getVisibility() != 8 || (childAt instanceof AutoCompleteTextView)) {
                int i4;
                int width = childAt.getWidth();
                int height = childAt.getHeight();
                if (width == 0) {
                    childAt.measure(MeasureSpec.makeMeasureSpec(getWidth(), Integer.MIN_VALUE), MeasureSpec.makeMeasureSpec(getHeight(), Integer.MIN_VALUE));
                    width = childAt.getMeasuredWidth();
                }
                if (this.pyz == null || i != childCount - 1 || this.pyz.isFocused()) {
                    i4 = width;
                } else {
                    i4 = 0;
                }
                if (i3 + i4 > measuredWidth) {
                    i2 += height;
                    i3 = 0;
                }
                LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
                layoutParams.setMargins(i3, i2, layoutParams.rightMargin, layoutParams.bottomMargin);
                childAt.setLayoutParams(layoutParams);
                i3 += i4;
                childAt.setVisibility(0);
            }
            i++;
        }
        AppMethodBeat.o(68373);
    }

    private void ba(String str, boolean z) {
        AppMethodBeat.i(68374);
        String trim = str.trim();
        if (trim.length() == 0) {
            AppMethodBeat.o(68374);
            return;
        }
        List Vi = ac.ccC().puD.Vi(trim);
        if (Vi.size() > 0) {
            e((o) Vi.get(0));
            this.pyz.setText(BuildConfig.FLAVOR);
            AppMethodBeat.o(68374);
        } else if (Vs(trim)) {
            o oVar = new o();
            oVar.name = trim;
            oVar.nJq = trim;
            oVar.pug = 0;
            e(oVar);
            this.pyz.setText(BuildConfig.FLAVOR);
            AppMethodBeat.o(68374);
        } else if (z) {
            if (this.pyD != null) {
                this.pyD.ccV();
            } else {
                Toast.makeText(getContext(), 2131301994, 2000).show();
            }
            this.pyz.setText(trim);
            this.pyz.setSelection(trim.length());
            AppMethodBeat.o(68374);
        } else {
            if (this.pyD != null) {
                this.pyD.b(this);
            }
            AppMethodBeat.o(68374);
        }
    }
}
