package com.tencent.mm.plugin.voip.ui;

import android.app.Activity;
import android.os.Build.VERSION;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.util.DisplayMetrics;
import android.view.Display;
import android.view.View;
import android.view.View.MeasureSpec;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import android.widget.RelativeLayout.LayoutParams;
import android.widget.TextView;
import com.tencent.mm.plugin.voip.a.b;
import com.tencent.mm.plugin.voip.video.CaptureView;
import com.tencent.mm.plugin.voip.video.OpenGlRender;
import com.tencent.mm.sdk.g.d;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ak;
import java.lang.ref.WeakReference;

public abstract class VoipBaseFragment extends Fragment {
    protected static int mScreenHeight;
    protected static int mScreenWidth;
    protected static final int[] sWo = new int[]{-1, 2131304451, 2131304477, 2131304476};
    static int sWt = -1;
    protected String edV;
    protected ak iGP;
    protected int mStatus = -1;
    protected boolean sRm;
    protected WeakReference<c> sVY;
    protected long sVZ = -1;
    protected RelativeLayout sWp;
    protected ImageView sWq;
    protected ImageView sWr;
    protected int sWs = 4096;
    protected d sWu;
    protected c sWv = new c();
    private a sWw;
    private b sWx;

    public abstract void GC(int i);

    public abstract void a(CaptureView captureView);

    public abstract void a(byte[] bArr, long j, int i, int i2, int i3, int i4, int i5, int i6);

    public abstract void abY(String str);

    public abstract void c(int i, int i2, int[] iArr);

    public abstract void cJD();

    public abstract void cKY();

    public abstract void cKZ();

    public abstract void fZ(int i, int i2);

    public abstract OpenGlRender getFilterData();

    public abstract void mz(boolean z);

    public abstract void setHWDecMode(int i);

    public abstract void setMute(boolean z);

    public abstract void setVoipBeauty(int i);

    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        Bundle arguments = getArguments();
        this.edV = arguments.getString("key_username");
        this.sRm = arguments.getBoolean("key_isoutcall");
        if (-1 == this.mStatus) {
            this.mStatus = arguments.getInt("key_status");
        }
        this.iGP = new ak();
    }

    public void onAttach(Activity activity) {
        super.onAttach(activity);
        Display defaultDisplay;
        if (VERSION.SDK_INT >= 23) {
            defaultDisplay = activity.getWindowManager().getDefaultDisplay();
            DisplayMetrics displayMetrics = new DisplayMetrics();
            defaultDisplay.getRealMetrics(displayMetrics);
            mScreenWidth = displayMetrics.widthPixels;
            mScreenHeight = displayMetrics.heightPixels;
        } else if (mScreenWidth == 0) {
            defaultDisplay = activity.getWindowManager().getDefaultDisplay();
            mScreenWidth = defaultDisplay.getWidth();
            mScreenHeight = defaultDisplay.getHeight();
        }
    }

    public void fY(int i, int i2) {
        ab.c("MicroMsg.VoipBaseFragment", "newState: " + b.GK(i2) + ", action: " + b.GK(i) + ", lastStatus: " + b.GK(sWt), new Object[0]);
        if (!(sWt == this.mStatus || i2 == this.mStatus)) {
            sWt = this.mStatus;
        }
        this.sWs = i;
        this.mStatus = i2;
    }

    public final void lI(long j) {
        this.sVZ = j;
    }

    public void uninit() {
        ab.d("MicroMsg.VoipBaseFragment", "uninit");
        this.sWv.cLc();
        c cVar = this.sWv;
        ab.d("MicroMsg.DynamicTextWrap", "uninit");
        cVar.cLc();
        cVar.gyS = null;
        if (this.sWw != null) {
            d.xDG.remove(this.sWw);
            this.sWw = null;
        }
        if (this.sWx != null) {
            d.xDG.remove(this.sWx);
            this.sWx = null;
        }
    }

    public void onDetach() {
        if (this.iGP != null) {
            this.iGP.removeCallbacksAndMessages(null);
        }
        this.sWu = null;
        super.onDetach();
    }

    public final void setVoipUIListener(c cVar) {
        this.sVY = new WeakReference(cVar);
    }

    public final void a(d dVar) {
        this.sWu = dVar;
    }

    /* Access modifiers changed, original: protected|final */
    public final void j(TextView textView) {
        if (textView == null) {
            ab.e("MicroMsg.VoipBaseFragment", "TextView is null or text is null");
            return;
        }
        textView.setText(2131304476);
        textView.measure(MeasureSpec.makeMeasureSpec(getResources().getDisplayMetrics().widthPixels, Integer.MIN_VALUE), MeasureSpec.makeMeasureSpec(getResources().getDisplayMetrics().heightPixels, Integer.MIN_VALUE));
        textView.setWidth(textView.getMeasuredWidth());
    }

    public void onStop() {
        super.onStop();
    }

    /* Access modifiers changed, original: protected|final */
    public final void cLa() {
        if (this.edV != null && this.sWq.getVisibility() != 0) {
            this.sWq.setVisibility(0);
            this.sWw = new a(this);
            d.post(this.sWw, "VoipBaseFragment_blurbitmap");
        }
    }

    /* Access modifiers changed, original: protected|final */
    public final void cLb() {
        this.sWr.setVisibility(0);
        this.sWx = new b(this);
        d.post(this.sWx, "VoipBaseFragment_blurtransparentbitmap");
    }

    protected static String fQ(long j) {
        return String.format("%02d:%02d", new Object[]{Long.valueOf(j / 60), Long.valueOf(j % 60)});
    }

    protected static void ae(View view, int i) {
        if (view != null) {
            LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
            layoutParams.topMargin += i;
            view.setLayoutParams(layoutParams);
        }
    }
}
