package com.tencent.mm.plugin.webview.ui.tools;

import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.KeyEvent;
import android.view.View;
import android.view.ViewStub;
import android.webkit.DownloadListener;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.Toast;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.opensdk.modelmsg.SendAuth.Req;
import com.tencent.mm.plugin.webview.stub.c;
import com.tencent.mm.plugin.webview.ui.tools.WebViewUI.h;
import com.tencent.mm.plugin.webview.ui.tools.e.a;
import com.tencent.mm.sdk.platformtools.aa;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ah;
import com.tencent.mm.sdk.platformtools.ap;
import com.tencent.mm.sdk.platformtools.at;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.ui.widget.ThreeDotsLoadingView;
import com.tencent.xweb.WebView;
import com.tencent.xweb.l;

public class OAuthUI extends WebViewUI {
    private String appId;
    private boolean ocw = false;
    private boolean urT = true;
    private Req urU;
    private e urV;
    private ap urW;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    static /* synthetic */ void a(OAuthUI oAuthUI) {
        AppMethodBeat.i(7438);
        oAuthUI.cZz();
        AppMethodBeat.o(7438);
    }

    static /* synthetic */ void c(OAuthUI oAuthUI) {
        AppMethodBeat.i(7439);
        oAuthUI.cZB();
        AppMethodBeat.o(7439);
    }

    public void onResume() {
        AppMethodBeat.i(7426);
        super.onResume();
        WebView.enablePlatformNotifications();
        AppMethodBeat.o(7426);
    }

    public void onPause() {
        AppMethodBeat.i(7427);
        super.onPause();
        WebView.disablePlatformNotifications();
        AppMethodBeat.o(7427);
    }

    public final int getLayoutId() {
        return 2130971216;
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(7428);
        super.onCreate(bundle);
        if (this.ulI != null) {
            this.ulI.cXX().cOG = "weixin://mark/oauth";
        }
        AppMethodBeat.o(7428);
    }

    /* Access modifiers changed, original: protected|final */
    public final void aMh() {
        boolean cZd;
        AppMethodBeat.i(7429);
        super.aMh();
        try {
            cZd = this.icy.cZd();
        } catch (Exception e) {
            ab.w("MicroMsg.OAuthUI", "hasSetUin, ex = " + e.getMessage());
            cZd = false;
        }
        if (cZd) {
            this.pzf.setWebChromeClient(new l() {
                public final void d(WebView webView, String str) {
                    AppMethodBeat.i(7418);
                    super.d(webView, str);
                    OAuthUI.this.setMMTitle(str);
                    AppMethodBeat.o(7418);
                }
            });
            this.pzf.setWebViewClient(new h() {
                public final boolean aft(String str) {
                    AppMethodBeat.i(7419);
                    ab.i("MicroMsg.OAuthUI", "mmShouldOverrideUrlLoading, url = ".concat(String.valueOf(str)));
                    if (str.startsWith("weixinping://iframe") || str.startsWith("weixinpreinject://iframe")) {
                        AppMethodBeat.o(7419);
                    } else {
                        OAuthUI.a(OAuthUI.this, str);
                        AppMethodBeat.o(7419);
                    }
                    return true;
                }
            });
            this.pzf.setDownloadListener(new DownloadListener() {
                public final void onDownloadStart(String str, String str2, String str3, String str4, long j) {
                    AppMethodBeat.i(7420);
                    OAuthUI.this.startActivity(new Intent("android.intent.action.VIEW", Uri.parse(str)));
                    AppMethodBeat.o(7420);
                }
            });
            this.pzf.dKH();
            setBackBtn(new 5(this));
            addTextOptionMenu(1, getString(2131297036), new 6(this));
            Bundle extras = getIntent().getExtras();
            String string = extras.getString("_mmessage_content");
            if (bo.isNullOrNil(string)) {
                ab.f("MicroMsg.OAuthUI", "content is null");
                AppMethodBeat.o(7429);
                return;
            }
            this.appId = Uri.parse(string).getQueryParameter("appid");
            ab.i("MicroMsg.OAuthUI", "initView, appId = " + this.appId);
            try {
                this.icy.afh(this.appId);
            } catch (Exception e2) {
                ab.w("MicroMsg.OAuthUI", "checkGetAppSetting, ex = " + e2.getMessage());
            }
            this.urU = new Req(extras);
            try {
                this.uvS.daN();
            } catch (Exception e22) {
                ab.w("MicroMsg.OAuthUI", "AC_ADD_SCENE_END, ex = " + e22.getMessage());
            }
            cZB();
            AppMethodBeat.o(7429);
            return;
        }
        ab.e("MicroMsg.OAuthUI", "start, hasSetUin fail");
        Toast.makeText(this, 2131296387, 1).show();
        setBackBtn(new 1(this));
        enableOptionMenu(false);
        AppMethodBeat.o(7429);
    }

    public void onStop() {
        AppMethodBeat.i(7430);
        this.pzf.stopLoading();
        super.onStop();
        AppMethodBeat.o(7430);
    }

    public void onDestroy() {
        AppMethodBeat.i(7431);
        try {
            this.uvS.daO();
        } catch (Exception e) {
            ab.w("MicroMsg.OAuthUI", "AC_REMOVE_SCENE_END, ex = " + e.getMessage());
        }
        if (this.urW != null) {
            this.urW.stopTimer();
        }
        super.onDestroy();
        AppMethodBeat.o(7431);
    }

    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        AppMethodBeat.i(7432);
        if (!this.urT && i == 4 && this.pzf.canGoBack()) {
            this.pzf.goBack();
            AppMethodBeat.o(7432);
            return true;
        } else if (i == 4 && keyEvent.getRepeatCount() == 0) {
            cZz();
            finish();
            AppMethodBeat.o(7432);
            return true;
        } else {
            boolean onKeyDown = super.onKeyDown(i, keyEvent);
            AppMethodBeat.o(7432);
            return onKeyDown;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:16:0x008a  */
    /* JADX WARNING: Removed duplicated region for block: B:12:0x0050  */
    private void cZz() {
        /*
        r8 = this;
        r0 = 0;
        r7 = 7433; // 0x1d09 float:1.0416E-41 double:3.6724E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r7);
        r1 = "MicroMsg.OAuthUI";
        r2 = new java.lang.StringBuilder;
        r3 = "callbackResultCancel, appId = ";
        r2.<init>(r3);
        r3 = r8.appId;
        r2 = r2.append(r3);
        r2 = r2.toString();
        com.tencent.mm.sdk.platformtools.ab.i(r1, r2);
        r1 = r8.ocw;
        if (r1 == 0) goto L_0x002f;
    L_0x0022:
        r0 = "MicroMsg.OAuthUI";
        r1 = "has callback, ignore this callback";
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
    L_0x002e:
        return;
    L_0x002f:
        r1 = 1;
        r8.ocw = r1;
        r1 = r8.icy;	 Catch:{ Exception -> 0x006c }
        r2 = r8.appId;	 Catch:{ Exception -> 0x006c }
        r2 = r1.afi(r2);	 Catch:{ Exception -> 0x006c }
        r1 = r8.icy;	 Catch:{ Exception -> 0x00b8 }
        r1 = r1.cZg();	 Catch:{ Exception -> 0x00b8 }
        r3 = r8.icy;	 Catch:{ Exception -> 0x00bb }
        r4 = 274436; // 0x43004 float:3.84567E-40 double:1.355894E-318;
        r5 = 0;
        r0 = r3.bF(r4, r5);	 Catch:{ Exception -> 0x00bb }
    L_0x004a:
        r3 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r2);
        if (r3 == 0) goto L_0x008a;
    L_0x0050:
        r0 = "MicroMsg.OAuthUI";
        r1 = new java.lang.StringBuilder;
        r2 = "callbackResultCancel, get app info failed, appid=";
        r1.<init>(r2);
        r2 = r8.appId;
        r1 = r1.append(r2);
        r1 = r1.toString();
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
        goto L_0x002e;
    L_0x006c:
        r3 = move-exception;
        r1 = r0;
        r2 = r0;
    L_0x006f:
        r4 = "MicroMsg.OAuthUI";
        r5 = new java.lang.StringBuilder;
        r6 = "getPackageName, ex = ";
        r5.<init>(r6);
        r3 = r3.getMessage();
        r3 = r5.append(r3);
        r3 = r3.toString();
        com.tencent.mm.sdk.platformtools.ab.w(r4, r3);
        goto L_0x004a;
    L_0x008a:
        r3 = new com.tencent.mm.opensdk.modelmsg.SendAuth$Resp;
        r3.<init>();
        r4 = r8.urU;
        r4 = r4.transaction;
        r3.transaction = r4;
        r4 = -2;
        r3.errCode = r4;
        r3.lang = r1;
        r3.country = r0;
        r0 = new android.os.Bundle;
        r0.<init>();
        r3.toBundle(r0);
        com.tencent.mm.pluginsdk.model.app.p.at(r0);
        r1 = new com.tencent.mm.opensdk.channel.MMessageActV2$Args;
        r1.<init>();
        r1.targetPkgName = r2;
        r1.bundle = r0;
        com.tencent.mm.opensdk.channel.MMessageActV2.send(r8, r1);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
        goto L_0x002e;
    L_0x00b8:
        r3 = move-exception;
        r1 = r0;
        goto L_0x006f;
    L_0x00bb:
        r3 = move-exception;
        goto L_0x006f;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.webview.ui.tools.OAuthUI.cZz():void");
    }

    /* Access modifiers changed, original: protected|final */
    public final boolean cZA() {
        return true;
    }

    public final void initView() {
        AppMethodBeat.i(7434);
        super.initView();
        this.pzf.getSettings().setJavaScriptEnabled(true);
        this.pzf.setVerticalScrollBarEnabled(false);
        AppMethodBeat.o(7434);
    }

    private void cZB() {
        AppMethodBeat.i(7435);
        aa.g(getSharedPreferences(ah.doA(), 0));
        this.urV = e.a(this, this.appId, this.urU, new 7(this), this.icy);
        AppMethodBeat.o(7435);
    }

    public final void b(c cVar) {
        AppMethodBeat.i(7436);
        if (this.urV != null) {
            e eVar = this.urV;
            if (eVar.urO) {
                int i = -1;
                int i2 = -1;
                String str = null;
                String str2 = null;
                String str3 = null;
                int i3 = -1;
                try {
                    i = cVar.cYW();
                    i2 = cVar.cYX();
                    cVar.adx();
                    str = cVar.getData().getString("geta8key_result_full_url");
                    str2 = cVar.getData().getString("geta8key_result_head_img");
                    str3 = cVar.getData().getString("geta8key_result_wording");
                    i3 = cVar.getData().getInt("geta8key_result_action_code", -1);
                } catch (Exception e) {
                    ab.e("MicroMsg.OAuthSession", "onSceneEnd, ex = " + e.getMessage());
                }
                ab.i("MicroMsg.OAuthSession", "onSceneEnd, errType = " + i + ", errCode = " + i2 + " , actionCode=" + i3);
                if (eVar.mzU != null) {
                    eVar.mzU.dismiss();
                }
                eVar.urN = false;
                eVar.frk.stopTimer();
                boolean z;
                if ((i2 == 0 && i == 0) || i2 == -2033) {
                    if (i3 == 27) {
                        eVar.urO = false;
                        a aVar = eVar.urP;
                        if (i2 == 0) {
                            z = true;
                        } else {
                            z = false;
                        }
                        aVar.d(z, str, str2, str3);
                        AppMethodBeat.o(7436);
                        return;
                    }
                    eVar.urP.a(eVar, str, false);
                    AppMethodBeat.o(7436);
                    return;
                } else if (i == 4 && i2 == -100) {
                    eVar.urQ.X(true, true);
                    try {
                        eVar.icy.ao(i, i2, eVar.hashCode());
                        AppMethodBeat.o(7436);
                        return;
                    } catch (Exception e2) {
                        ab.w("MicroMsg.OAuthSession", "accountExpired, ex = " + e2.getMessage());
                        AppMethodBeat.o(7436);
                        return;
                    }
                } else {
                    Object obj;
                    a aVar2;
                    e eVar2;
                    if (i == 1 || i == 2 || i == 7 || i == 8) {
                        ab.e("MicroMsg.OAuthSession", "isNetworkAvailable false, errType = ".concat(String.valueOf(i)));
                        obj = null;
                    } else if (at.isConnected(eVar.urQ)) {
                        obj = 1;
                    } else {
                        ab.e("MicroMsg.OAuthSession", "isNetworkAvailable false, not connected");
                        obj = null;
                    }
                    if (obj == null) {
                        aVar2 = eVar.urP;
                        str = null;
                        z = true;
                        eVar2 = eVar;
                    } else {
                        aVar2 = eVar.urP;
                        if (i2 == -1) {
                            z = true;
                            eVar2 = eVar;
                        } else {
                            z = false;
                            eVar2 = eVar;
                        }
                    }
                    aVar2.a(eVar2, str, z);
                }
            } else {
                ab.w("MicroMsg.OAuthSession", "onScenEnd, not listening");
                AppMethodBeat.o(7436);
                return;
            }
        }
        AppMethodBeat.o(7436);
    }

    /* JADX WARNING: Removed duplicated region for block: B:18:0x00a1  */
    /* JADX WARNING: Removed duplicated region for block: B:14:0x0062  */
    static /* synthetic */ void a(com.tencent.mm.plugin.webview.ui.tools.OAuthUI r9, java.lang.String r10) {
        /*
        r0 = 0;
        r8 = 7437; // 0x1d0d float:1.0421E-41 double:3.6744E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r8);
        r1 = "MicroMsg.OAuthUI";
        r2 = "checkUrlAndLoad, url = ";
        r3 = java.lang.String.valueOf(r10);
        r2 = r2.concat(r3);
        com.tencent.mm.sdk.platformtools.ab.i(r1, r2);
        r1 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r10);
        if (r1 != 0) goto L_0x0173;
    L_0x001d:
        r4 = android.net.Uri.parse(r10);
        if (r4 != 0) goto L_0x002c;
    L_0x0023:
        r0 = r9.pzf;
        r0.loadUrl(r10);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
    L_0x002b:
        return;
    L_0x002c:
        r1 = "MicroMsg.OAuthUI";
        r2 = new java.lang.StringBuilder;
        r3 = "check schema as appId:";
        r2.<init>(r3);
        r3 = r9.appId;
        r2 = r2.append(r3);
        r2 = r2.toString();
        com.tencent.mm.sdk.platformtools.ab.i(r1, r2);
        r1 = r9.icy;	 Catch:{ Exception -> 0x0083 }
        r2 = r9.appId;	 Catch:{ Exception -> 0x0083 }
        r2 = r1.afi(r2);	 Catch:{ Exception -> 0x0083 }
        r1 = r9.icy;	 Catch:{ Exception -> 0x0191 }
        r1 = r1.cZg();	 Catch:{ Exception -> 0x0191 }
        r3 = r9.icy;	 Catch:{ Exception -> 0x0195 }
        r5 = 274436; // 0x43004 float:3.84567E-40 double:1.355894E-318;
        r6 = 0;
        r0 = r3.bF(r5, r6);	 Catch:{ Exception -> 0x0195 }
    L_0x005c:
        r3 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r2);
        if (r3 == 0) goto L_0x00a1;
    L_0x0062:
        r0 = "MicroMsg.OAuthUI";
        r1 = new java.lang.StringBuilder;
        r2 = "find app info failed, appid=";
        r1.<init>(r2);
        r2 = r9.appId;
        r1 = r1.append(r2);
        r1 = r1.toString();
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1);
        r0 = r9.pzf;
        r0.loadUrl(r10);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        goto L_0x002b;
    L_0x0083:
        r3 = move-exception;
        r1 = r0;
        r2 = r0;
    L_0x0086:
        r5 = "MicroMsg.OAuthUI";
        r6 = new java.lang.StringBuilder;
        r7 = "getPackageName, ex = ";
        r6.<init>(r7);
        r3 = r3.getMessage();
        r3 = r6.append(r3);
        r3 = r3.toString();
        com.tencent.mm.sdk.platformtools.ab.w(r5, r3);
        goto L_0x005c;
    L_0x00a1:
        r3 = r10.toLowerCase();
        r5 = "http";
        r3 = r3.startsWith(r5);
        if (r3 == 0) goto L_0x00c1;
    L_0x00ae:
        r0 = "MicroMsg.OAuthUI";
        r1 = "checkUrlAndLoad, http scheme, loadUrl";
        com.tencent.mm.sdk.platformtools.ab.i(r0, r1);
        r0 = r9.pzf;
        r0.loadUrl(r10);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        goto L_0x002b;
    L_0x00c1:
        r3 = r9.ocw;
        if (r3 == 0) goto L_0x00d3;
    L_0x00c5:
        r0 = "MicroMsg.OAuthUI";
        r1 = "checkUrlAndLoad has callback, ignore this callback";
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        goto L_0x002b;
    L_0x00d3:
        r3 = 1;
        r9.ocw = r3;
        r3 = new com.tencent.mm.opensdk.modelmsg.SendAuth$Resp;
        r3.<init>();
        r5 = r9.urU;
        r5 = r5.transaction;
        r3.transaction = r5;
        r3.lang = r1;
        r3.country = r0;
        r0 = "code";
        r0 = r4.getQueryParameter(r0);
        r1 = "MicroMsg.OAuthUI";
        r5 = "checkUrlAndLoad, code = ";
        r6 = java.lang.String.valueOf(r0);
        r5 = r5.concat(r6);
        com.tencent.mm.sdk.platformtools.ab.i(r1, r5);
        r1 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r1 == 0) goto L_0x0178;
    L_0x0103:
        r0 = -1;
        r3.errCode = r0;
    L_0x0106:
        r0 = "state";
        r0 = r4.getQueryParameter(r0);
        r3.state = r0;
        r0 = "reason";
        r0 = r4.getQueryParameter(r0);
        r3.errStr = r0;
        r3.url = r10;
        r0 = "MicroMsg.OAuthUI";
        r1 = new java.lang.StringBuilder;
        r4 = "checkUrlAndLoad, code=";
        r1.<init>(r4);
        r4 = r3.code;
        r1 = r1.append(r4);
        r4 = ", errCode=";
        r1 = r1.append(r4);
        r4 = r3.errCode;
        r1 = r1.append(r4);
        r4 = ", state=";
        r1 = r1.append(r4);
        r4 = r3.state;
        r1 = r1.append(r4);
        r4 = ", reason=";
        r1 = r1.append(r4);
        r4 = r3.errStr;
        r1 = r1.append(r4);
        r1 = r1.toString();
        com.tencent.mm.sdk.platformtools.ab.i(r0, r1);
        r0 = new android.os.Bundle;
        r0.<init>();
        r3.toBundle(r0);
        com.tencent.mm.pluginsdk.model.app.p.at(r0);
        r1 = new com.tencent.mm.opensdk.channel.MMessageActV2$Args;
        r1.<init>();
        r1.targetPkgName = r2;
        r1.bundle = r0;
        com.tencent.mm.opensdk.channel.MMessageActV2.send(r9, r1);
        r9.finish();
    L_0x0173:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        goto L_0x002b;
    L_0x0178:
        r1 = r0.toLowerCase();
        r5 = "authdeny";
        r1 = r1.equals(r5);
        if (r1 == 0) goto L_0x018a;
    L_0x0185:
        r0 = -4;
        r3.errCode = r0;
        goto L_0x0106;
    L_0x018a:
        r1 = 0;
        r3.errCode = r1;
        r3.code = r0;
        goto L_0x0106;
    L_0x0191:
        r3 = move-exception;
        r1 = r0;
        goto L_0x0086;
    L_0x0195:
        r3 = move-exception;
        goto L_0x0086;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.webview.ui.tools.OAuthUI.a(com.tencent.mm.plugin.webview.ui.tools.OAuthUI, java.lang.String):void");
    }

    static /* synthetic */ void a(OAuthUI oAuthUI, String str, String str2, String str3) {
        AppMethodBeat.i(7440);
        View inflate = ((ViewStub) oAuthUI.findViewById(2131829182)).inflate();
        oAuthUI.setMMTitle(oAuthUI.getString(2131305632));
        oAuthUI.setMMSubTitle(oAuthUI.getString(2131302800));
        oAuthUI.removeOptionMenu(1);
        ImageView imageView = (ImageView) oAuthUI.findViewById(2131824668);
        TextView textView = (TextView) oAuthUI.findViewById(2131826274);
        ThreeDotsLoadingView threeDotsLoadingView = (ThreeDotsLoadingView) oAuthUI.findViewById(2131824118);
        threeDotsLoadingView.dKS();
        com.tencent.mm.at.a.a.c.a aVar = new com.tencent.mm.at.a.a.c.a();
        aVar.eQg = 10.0f;
        aVar.ePT = 2131231695;
        com.tencent.mm.at.a.a.ahv().a(str, imageView, aVar.ahG());
        if (bo.isNullOrNil(str2)) {
            textView.setVisibility(8);
        } else {
            textView.setText(str2);
        }
        oAuthUI.urW = new ap(new 8(oAuthUI, str3, inflate, threeDotsLoadingView), false);
        oAuthUI.urW.ae(1000, 1000);
        AppMethodBeat.o(7440);
    }

    static /* synthetic */ void b(OAuthUI oAuthUI, String str) {
        AppMethodBeat.i(7441);
        ((ViewStub) oAuthUI.findViewById(2131829183)).inflate();
        oAuthUI.setMMTitle(oAuthUI.getString(2131305632));
        oAuthUI.setMMSubTitle(oAuthUI.getString(2131302800));
        oAuthUI.removeOptionMenu(1);
        TextView textView = (TextView) oAuthUI.findViewById(2131826274);
        if (bo.isNullOrNil(str)) {
            textView.setVisibility(8);
            AppMethodBeat.o(7441);
            return;
        }
        textView.setText(str);
        AppMethodBeat.o(7441);
    }
}
