package com.tencent.mm.plugin.webview.ui.tools;

import android.content.Context;
import android.content.Intent;
import android.graphics.Bitmap;
import android.os.Bundle;
import android.util.Base64;
import com.eclipsesource.v8.V8Value;
import com.tencent.map.lib.mapstructure.MapRouteSectionWithName;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.g.a.j;
import com.tencent.mm.g.a.qg;
import com.tencent.mm.kernel.g;
import com.tencent.mm.plugin.appbrand.jsapi.audio.JsApiStartPlayVoice;
import com.tencent.mm.plugin.appbrand.jsapi.audio.JsApiStopRecordVoice;
import com.tencent.mm.plugin.appbrand.jsapi.auth.JsApiOperateWXData;
import com.tencent.mm.plugin.appbrand.jsapi.contact.c;
import com.tencent.mm.plugin.appbrand.jsapi.file.ae;
import com.tencent.mm.plugin.normsg.a.b;
import com.tencent.mm.plugin.webview.model.an;
import com.tencent.mm.plugin.webview.model.aq;
import com.tencent.mm.plugin.webview.stub.e.a;
import com.tencent.mm.plugin.webview.ui.tools.game.GameWebViewUI;
import com.tencent.mm.plugin.webview.ui.tools.jsapi.d;
import com.tencent.mm.plugin.webview.ui.tools.jsapi.i;
import com.tencent.mm.protocal.GeneralControlWrapper;
import com.tencent.mm.protocal.JsapiPermissionWrapper;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ah;
import com.tencent.mm.sdk.platformtools.al;
import com.tencent.mm.sdk.platformtools.bd;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.ui.e.m;
import com.tencent.mm.vfs.e;
import com.tencent.qqvideo.proxy.api.FactoryProxyManager;
import com.tencent.rtmp.TXLiveConstants;
import com.tencent.tencentmap.mapsdk.map.BuildConfig;
import com.tencent.tencentmap.mapsdk.map.MapView.LayoutParams;
import com.tencent.tmassistantsdk.logreport.UpdateInfoReportManager$UpdateLogConst;
import com.tencent.ttpic.FilterEnum4Shaka;
import com.tencent.wxmm.v2helper;
import com.tencent.xweb.WebView;
import java.io.File;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.HashMap;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;
import org.xwalk.core.XWalkEnvironment;

public final class n extends a {
    private final WeakReference<WebViewUI> uqV;

    static /* synthetic */ Intent b(n nVar) {
        AppMethodBeat.i(7799);
        Intent intent = nVar.getIntent();
        AppMethodBeat.o(7799);
        return intent;
    }

    public n(WebViewUI webViewUI) {
        AppMethodBeat.i(7774);
        this.uqV = new WeakReference(webViewUI);
        AppMethodBeat.o(7774);
    }

    public final boolean c(int i, Bundle bundle) {
        AppMethodBeat.i(7775);
        ab.i("MicroMsg.WebViewStubCallbackAIDLStub", "callback, actionCode = ".concat(String.valueOf(i)));
        final WebViewUI webViewUI = (WebViewUI) this.uqV.get();
        if (webViewUI == null || webViewUI.isFinishing()) {
            AppMethodBeat.o(7775);
            return false;
        }
        d dVar = webViewUI.uhz;
        k kVar = webViewUI.icz;
        HashMap hashMap;
        switch (i) {
            case 13:
                if (bundle != null) {
                    bundle.putString("application_language", webViewUI.icy.getLanguage());
                    webViewUI.uwe = WebViewUI$d.ad(bundle);
                    break;
                }
                break;
            case 15:
                WebViewUI webViewUI2 = webViewUI;
                d dVar2 = dVar;
                al.d(new 15(this, webViewUI2, dVar2, bundle.getString("exdevice_device_id"), bundle.getByteArray("exdevice_broadcast_data"), bundle.getBoolean("exdevice_is_complete"), bundle.getBoolean("exdevice_is_lan_device"), kVar));
                break;
            case 16:
                al.d(new 16(this, webViewUI, dVar, bundle.getString("exdevice_device_id"), bundle.getByteArray("exdevice_data"), bundle.getString("exdevice_brand_name")));
                break;
            case 17:
                al.d(new 17(this, webViewUI, dVar, bundle.getString("exdevice_device_id"), bundle.getBoolean("exdevice_is_bound")));
                break;
            case 18:
                al.d(new 18(this, webViewUI, dVar, bundle.getBoolean("exdevice_bt_state")));
                break;
            case 26:
            case 27:
            case 28:
            case 29:
            case 30:
            case 31:
            case JsApiStopRecordVoice.CTRL_INDEX /*32*/:
            case JsApiStartPlayVoice.CTRL_INDEX /*33*/:
            case 34:
            case 35:
            case 36:
            case 37:
            case 38:
            case 39:
            case 40:
            case 41:
            case 42:
            case 43:
            case 44:
            case 45:
            case 46:
                break;
            case 47:
                al.d(new 19(this, webViewUI, dVar, bundle.getBoolean("exdevice_lan_state")));
                break;
            case 48:
                String[] stringArray = bundle.getStringArray("msgIds");
                String[] stringArray2 = bundle.getStringArray("contents");
                String[] stringArray3 = bundle.getStringArray("senders");
                int[] intArray = bundle.getIntArray("msgTypes");
                int[] intArray2 = bundle.getIntArray("msgTimes");
                JSONArray jSONArray = new JSONArray();
                int length = stringArray == null ? 0 : stringArray.length;
                for (int i2 = 0; i2 < length; i2++) {
                    try {
                        JSONObject jSONObject = new JSONObject();
                        jSONObject.put("newMsgId", stringArray[i2]);
                        jSONObject.put("content", stringArray2[i2]);
                        jSONObject.put("sender", stringArray3[i2]);
                        jSONObject.put("msgType", intArray[i2]);
                        jSONObject.put("msgTime", intArray2[i2]);
                        jSONArray.put(jSONObject);
                    } catch (JSONException e) {
                        ab.e("MicroMsg.WebViewStubCallbackAIDLStub", "GetMsgProofItems exception " + e.getMessage());
                    }
                }
                al.d(new 22(this, webViewUI, dVar, jSONArray));
                break;
            case 60:
            case 61:
            case 62:
            case 119:
            case 120:
            case 121:
            case 122:
            case 123:
            case 124:
            case 125:
            case 126:
            case 127:
            case MapRouteSectionWithName.kMaxRoadNameLength /*128*/:
            case 130:
            case 133:
            case 134:
            case 135:
            case 136:
            case 137:
            case 138:
            case 142:
            case 143:
            case 144:
            case 145:
            case 147:
            case 148:
            case 149:
            case 150:
            case 100001:
            case 100002:
            case 200000:
            case 200001:
            case 200002:
            case 200003:
                if (!(webViewUI == null || webViewUI.isFinishing())) {
                    webViewUI.j(i, bundle);
                    break;
                }
            case 70:
                ab.i("MicroMsg.WebViewStubCallbackAIDLStub", "on service click, update tid = %s", new Object[]{bundle.getString("service_click_tid")});
                webViewUI.uwM = r2;
                webViewUI.uwN = System.currentTimeMillis();
                al.d(new Runnable() {
                    public final void run() {
                        AppMethodBeat.i(7738);
                        if (webViewUI == null || webViewUI.isFinishing()) {
                            AppMethodBeat.o(7738);
                            return;
                        }
                        if (webViewUI.pzf != null) {
                            b.oTO.a(webViewUI.pzf, qg.class);
                            if (webViewUI.getSharedPreferences("com.tencent.mm_webview_x5_preferences", 4).getBoolean("forceTrigger", false)) {
                                ab.i("MicroMsg.WebViewStubCallbackAIDLStub", "on service click, test");
                                com.tencent.mm.sdk.b.a.xxA.m(new qg());
                            }
                        }
                        AppMethodBeat.o(7738);
                    }
                });
                break;
            case 71:
            case c.CTRL_INDEX /*72*/:
                al.d(new 25(this, webViewUI, bundle));
                break;
            case 90:
                al.d(new 24(this, webViewUI, dVar, bundle.getString("webview_network_type")));
                break;
            case 1001:
                if (!webViewUI.isFinishing()) {
                    webViewUI.finish();
                    break;
                }
                break;
            case 1002:
                al.d(new 1(this, webViewUI, dVar, kVar, bundle));
                break;
            case 1003:
                al.d(new 12(this, webViewUI, dVar, kVar, bundle));
                break;
            case 1004:
                al.d(new 55(this, webViewUI, dVar, kVar, bundle.getString("exdevice_device_id"), bundle.getInt("exdevice_on_state_change_state"), Boolean.valueOf(bundle.getBoolean("exdevice_inner_call"))));
                break;
            case 1006:
                if (dVar != null) {
                    al.d(new 14(this, webViewUI, bundle, kVar, dVar));
                    break;
                }
                break;
            case 1007:
                al.d(new 54(this, webViewUI, dVar, kVar, bundle.getString("download_manager_appid", BuildConfig.FLAVOR), bundle.getLong("download_manager_downloadid"), bundle.getInt("download_manager_progress")));
                break;
            case TXLiveConstants.PUSH_EVT_START_VIDEO_ENCODER /*1008*/:
                al.d(new 23(this, webViewUI, dVar, kVar, bundle));
                break;
            case FilterEnum4Shaka.MIC_SHAKA_WANG_SHI /*1010*/:
                al.d(new 34(this, webViewUI, dVar, kVar, bundle));
                break;
            case FilterEnum4Shaka.MIC_SHAKA_YANG_GUANG /*1011*/:
                al.d(new 45(this, webViewUI, dVar, kVar, bundle));
                break;
            case FilterEnum4Shaka.MIC_SHAKA_TAN_SHAO /*1012*/:
                al.d(new 53(this, webViewUI, dVar, kVar, bundle));
                break;
            case TXLiveConstants.PLAY_EVT_RTMP_STREAM_BEGIN /*2002*/:
                hashMap = new HashMap();
                hashMap.put("err_msg", bundle.getString("playResult"));
                hashMap.put("localId", bundle.getString("localId"));
                al.d(new 8(this, webViewUI, dVar, hashMap));
                break;
            case TXLiveConstants.PLAY_EVT_RCV_FIRST_I_FRAME /*2003*/:
                al.d(new 2(this, webViewUI, dVar, bundle.getString("webview_jssdk_file_item_local_id"), bundle.getInt("webview_jssdk_file_item_progreess")));
                break;
            case TXLiveConstants.PLAY_EVT_PLAY_BEGIN /*2004*/:
                al.d(new 4(this, webViewUI, dVar, bundle.getString("webview_jssdk_file_item_local_id"), bundle.getInt("webview_jssdk_file_item_progreess")));
                break;
            case TXLiveConstants.PLAY_EVT_PLAY_PROGRESS /*2005*/:
                al.d(new 5(this, webViewUI, dVar, bundle.getString("webview_jssdk_file_item_local_id"), bundle.getInt("webview_jssdk_file_item_progreess")));
                break;
            case TXLiveConstants.PLAY_EVT_PLAY_END /*2006*/:
                al.d(new 6(this, webViewUI, dVar, bundle.getString("webview_jssdk_file_item_local_id"), bundle.getInt("webview_jssdk_file_item_progreess")));
                break;
            case TXLiveConstants.PLAY_EVT_PLAY_LOADING /*2007*/:
                al.d(new 10(this, webViewUI));
                break;
            case 2008:
                hashMap = new HashMap();
                hashMap.put("localId", bundle.getString("localId"));
                hashMap.put("err_msg", bundle.getString("recordResult"));
                al.d(new 11(this, webViewUI, dVar, hashMap));
                break;
            case 2009:
                al.d(new 13(this, webViewUI));
                break;
            case 2010:
                al.d(new 7(this, webViewUI, dVar, bundle.getString("webview_jssdk_file_item_local_id"), bundle.getInt("webview_jssdk_file_item_progreess")));
                break;
            case 2011:
                al.d(new 56(this, webViewUI, dVar, bundle.getString("webview_jssdk_file_item_local_id"), bundle.getInt("webview_jssdk_file_item_progreess")));
                break;
            case 2100:
                al.d(new 3(this, webViewUI, dVar, bundle.getString("background_audio_state_player_state"), bundle.getInt("background_audio_state_player_duration"), bundle.getString("background_audio_state_player_src"), bundle.getInt("background_audio_state_player_err_code"), bundle.getString("background_audio_state_player_err_msg"), bundle.getString("background_audio_state_player_src_id")));
                break;
            case 4007:
                al.d(new 9(this, webViewUI, dVar, bundle.getInt("nfc_key_on_touch_errcode", 0)));
                break;
            case 40001:
                al.d(new 20(this, webViewUI, dVar, bundle.getString("err_msg")));
                break;
            case 40002:
                al.d(new 21(this, webViewUI, dVar, bundle.getString("uuid"), bundle.getInt("major"), bundle.getInt("minor"), bundle.getDouble("accuracy"), bundle.getDouble("rssi"), bundle.getFloat("heading")));
                break;
            case 80001:
            case 80002:
                webViewUI.t(i, bundle);
                break;
            default:
                ab.e("MicroMsg.WebViewStubCallbackAIDLStub", "undefine action code!!!");
                break;
        }
        AppMethodBeat.o(7775);
        return true;
    }

    public final boolean a(final com.tencent.mm.plugin.webview.stub.c cVar) {
        AppMethodBeat.i(7776);
        if (this.uqV.get() == null || ((WebViewUI) this.uqV.get()).isFinishing()) {
            AppMethodBeat.o(7776);
            return false;
        }
        if (((WebViewUI) this.uqV.get()).uvS.daP() || ((WebViewUI) this.uqV.get()).uvT.daP() || ((WebViewUI) this.uqV.get()).uvU.daP() || ((WebViewUI) this.uqV.get()).uxl.cXH()) {
            al.d(new Runnable() {
                public final void run() {
                    AppMethodBeat.i(7739);
                    if (n.this.uqV.get() == null || ((WebViewUI) n.this.uqV.get()).isFinishing()) {
                        AppMethodBeat.o(7739);
                        return;
                    }
                    ((WebViewUI) n.this.uqV.get()).b(cVar);
                    AppMethodBeat.o(7739);
                }
            });
        }
        AppMethodBeat.o(7776);
        return true;
    }

    public final boolean IZ(final int i) {
        AppMethodBeat.i(7777);
        al.d(new Runnable() {
            public final void run() {
                AppMethodBeat.i(7740);
                if (n.this.uqV.get() == null || ((WebViewUI) n.this.uqV.get()).isFinishing()) {
                    AppMethodBeat.o(7740);
                    return;
                }
                ((WebViewUI) n.this.uqV.get()).setProgressBarIndeterminateVisibility(false);
                ab.d("MicroMsg.WebViewStubCallbackAIDLStub", "[cpan] set title pb visibility:%d", new Object[]{Integer.valueOf(i)});
                if (i != 0) {
                    ((WebViewUI) n.this.uqV.get()).uuX.finish();
                } else if (!(((WebViewUI) n.this.uqV.get()).uwn || ((WebViewUI) n.this.uqV.get()).uwp)) {
                    ((WebViewUI) n.this.uqV.get()).uuX.start();
                    AppMethodBeat.o(7740);
                    return;
                }
                AppMethodBeat.o(7740);
            }
        });
        AppMethodBeat.o(7777);
        return true;
    }

    public final boolean a(String str, String str2, Bundle bundle, boolean z) {
        AppMethodBeat.i(7778);
        if (this.uqV.get() == null || ((WebViewUI) this.uqV.get()).isFinishing()) {
            AppMethodBeat.o(7778);
        } else {
            if (((WebViewUI) this.uqV.get()).uhz != null) {
                final String str3 = str;
                final String str4 = str2;
                final Bundle bundle2 = bundle;
                final boolean z2 = z;
                al.d(new Runnable() {
                    public final void run() {
                        AppMethodBeat.i(7741);
                        if (n.this.uqV.get() == null || ((WebViewUI) n.this.uqV.get()).isFinishing()) {
                            AppMethodBeat.o(7741);
                            return;
                        }
                        ((WebViewUI) n.this.uqV.get()).uhz.a(str3, str4, i.aq(bundle2), z2);
                        AppMethodBeat.o(7741);
                    }
                });
            }
            AppMethodBeat.o(7778);
        }
        return false;
    }

    public final String cYY() {
        AppMethodBeat.i(7779);
        if (this.uqV.get() == null || ((WebViewUI) this.uqV.get()).isFinishing()) {
            AppMethodBeat.o(7779);
            return null;
        }
        String str = ((WebViewUI) this.uqV.get()).cOG;
        AppMethodBeat.o(7779);
        return str;
    }

    public final String getCurrentUrl() {
        AppMethodBeat.i(7780);
        if (this.uqV.get() == null || ((WebViewUI) this.uqV.get()).isFinishing()) {
            AppMethodBeat.o(7780);
            return null;
        }
        String dae = ((WebViewUI) this.uqV.get()).dae();
        AppMethodBeat.o(7780);
        return dae;
    }

    public final String cYZ() {
        AppMethodBeat.i(7781);
        if (this.uqV.get() == null || ((WebViewUI) this.uqV.get()).isFinishing()) {
            AppMethodBeat.o(7781);
            return null;
        }
        String stringExtra = ((WebViewUI) this.uqV.get()).getIntent().getStringExtra("srcUsername");
        AppMethodBeat.o(7781);
        return stringExtra;
    }

    public final int cZa() {
        AppMethodBeat.i(7782);
        if (this.uqV.get() == null || ((WebViewUI) this.uqV.get()).isFinishing()) {
            AppMethodBeat.o(7782);
            return 0;
        }
        int i = ((WebViewUI) this.uqV.get()).cSQ;
        AppMethodBeat.o(7782);
        return i;
    }

    public final void nJ(boolean z) {
        AppMethodBeat.i(7783);
        if (this.uqV.get() == null || ((WebViewUI) this.uqV.get()).isFinishing()) {
            AppMethodBeat.o(7783);
            return;
        }
        ab.d("MicroMsg.WebViewStubCallbackAIDLStub", "[cpan] setShareBtnVisible:%d visible:%b  forceHideShare:%b", new Object[]{Long.valueOf(System.currentTimeMillis()), Boolean.valueOf(z), Boolean.valueOf(((WebViewUI) this.uqV.get()).getIntent().getBooleanExtra("forceHideShare", false))});
        al.d(new 30(this, r0, z));
        AppMethodBeat.o(7783);
    }

    public final void nK(boolean z) {
        AppMethodBeat.i(7784);
        if (this.uqV.get() == null || ((WebViewUI) this.uqV.get()).isFinishing()) {
            AppMethodBeat.o(7784);
            return;
        }
        al.d(new 31(this, z));
        AppMethodBeat.o(7784);
    }

    public final void cZb() {
        AppMethodBeat.i(7785);
        if (this.uqV.get() == null || ((WebViewUI) this.uqV.get()).isFinishing()) {
            AppMethodBeat.o(7785);
            return;
        }
        if (((WebViewUI) this.uqV.get()).uhz != null) {
            ((WebViewUI) this.uqV.get()).uhz.cZb();
        }
        AppMethodBeat.o(7785);
    }

    public final void W(Bundle bundle) {
        AppMethodBeat.i(7786);
        if (this.uqV.get() == null || ((WebViewUI) this.uqV.get()).isFinishing()) {
            AppMethodBeat.o(7786);
            return;
        }
        ab.i("MicroMsg.WebViewStubCallbackAIDLStub", "IUIController, closeWindow");
        if (bundle != null) {
            Intent intent = new Intent();
            intent.putExtra("result_data", bundle);
            ((WebViewUI) this.uqV.get()).setResult(-1, intent);
        }
        ((WebViewUI) this.uqV.get()).finish();
        AppMethodBeat.o(7786);
    }

    public final void afd(String str) {
        int i = 0;
        AppMethodBeat.i(7787);
        if (this.uqV.get() == null || ((WebViewUI) this.uqV.get()).isFinishing()) {
            AppMethodBeat.o(7787);
            return;
        }
        try {
            i = bo.getInt(str, 0);
        } catch (Exception e) {
            ab.e("MicroMsg.WebViewStubCallbackAIDLStub", "setFontSizeCb, ex = " + e.getMessage());
        }
        if (((WebViewUI) this.uqV.get()).pzf == null) {
            ab.e("MicroMsg.WebViewStubCallbackAIDLStub", "setFontSizeCb fail, viewWV is null");
            AppMethodBeat.o(7787);
            return;
        }
        al.d(new 32(this, i));
        AppMethodBeat.o(7787);
    }

    public final void cZc() {
        AppMethodBeat.i(7788);
        if (this.uqV.get() == null || ((WebViewUI) this.uqV.get()).isFinishing()) {
            AppMethodBeat.o(7788);
            return;
        }
        if (((WebViewUI) this.uqV.get()).uhz != null) {
            ((WebViewUI) this.uqV.get()).uhz.cZc();
        }
        AppMethodBeat.o(7788);
    }

    public final void e(String str, String str2, int i, int i2) {
        AppMethodBeat.i(7789);
        if (this.uqV.get() == null || ((WebViewUI) this.uqV.get()).isFinishing()) {
            AppMethodBeat.o(7789);
            return;
        }
        ab.d("MicroMsg.WebViewStubCallbackAIDLStub", "result: ".concat(String.valueOf(str2)));
        if (((WebViewUI) this.uqV.get()).uwH.icE == null || str == null || !str.equals(((WebViewUI) this.uqV.get()).uwH.icE.upr)) {
            AppMethodBeat.o(7789);
            return;
        }
        if (((WebViewUI) this.uqV.get()).uwH.icE != null) {
            ((WebViewUI) this.uqV.get()).uwH.icE.cYK();
        }
        ((WebViewUI) this.uqV.get()).uwH.icC = i;
        ((WebViewUI) this.uqV.get()).uwH.icD = i2;
        if (str2 == null || ((WebViewUI) this.uqV.get()).icA == null) {
            AppMethodBeat.o(7789);
            return;
        }
        al.d(new 33(this, str2));
        AppMethodBeat.o(7789);
    }

    public final void q(int i, Bundle bundle) {
        AppMethodBeat.i(7790);
        if (this.uqV.get() == null || ((WebViewUI) this.uqV.get()).isFinishing()) {
            AppMethodBeat.o(7790);
            return;
        }
        al.d(new 35(this, i, bundle));
        AppMethodBeat.o(7790);
    }

    public final void hd(String str, String str2) {
        AppMethodBeat.i(7791);
        al.d(new 36(this, str));
        AppMethodBeat.o(7791);
    }

    private Intent getIntent() {
        AppMethodBeat.i(7792);
        Intent intent = ((WebViewUI) this.uqV.get()).getIntent();
        AppMethodBeat.o(7792);
        return intent;
    }

    private int afH(String str) {
        AppMethodBeat.i(7793);
        int afH = ((WebViewUI) this.uqV.get()).afH(str);
        AppMethodBeat.o(7793);
        return afH;
    }

    public final Bundle g(int i, Bundle bundle) {
        AppMethodBeat.i(7794);
        ab.i("MicroMsg.WebViewStubCallbackAIDLStub", "invokeAsResult, actionCode = ".concat(String.valueOf(i)));
        Bundle bundle2 = new Bundle();
        if (this.uqV.get() == null || ((WebViewUI) this.uqV.get()).isFinishing()) {
            AppMethodBeat.o(7794);
            return bundle2;
        }
        k kVar = ((WebViewUI) this.uqV.get()).icz;
        Intent intent;
        int afH;
        WebViewUI webViewUI;
        String string;
        String string2;
        int i2;
        String string3;
        String string4;
        boolean z;
        CharSequence mMTitle;
        boolean z2;
        int i3;
        String string5;
        switch (i) {
            case 11:
                al.d(new 49(this));
                break;
            case 12:
                al.d(new 50(this));
                break;
            case 18:
                bundle2.putString("KPublisherId", ((WebViewUI) this.uqV.get()).cMm);
                intent = getIntent();
                if (intent != null) {
                    afH = afH(getIntent().getStringExtra("geta8key_username"));
                    bundle2.putString("preChatName", intent.getStringExtra("preChatName"));
                    bundle2.putInt("preMsgIndex", intent.getIntExtra("preMsgIndex", 0));
                    bundle2.putString("prePublishId", intent.getStringExtra("prePublishId"));
                    bundle2.putString("preUsername", intent.getStringExtra("preUsername"));
                    bundle2.putInt("getA8KeyScene", afH);
                    bundle2.putString("referUrl", ((WebViewUI) this.uqV.get()).unr);
                    bundle2.putString("url", ((WebViewUI) this.uqV.get()).dae());
                    bundle2.putString("rawUrl", ((WebViewUI) this.uqV.get()).cOG);
                    bundle2.putInt("preChatTYPE", getIntent().getIntExtra("preChatTYPE", 0));
                    webViewUI = (WebViewUI) this.uqV.get();
                    if (((com.tencent.mm.plugin.brandservice.a.b) g.K(com.tencent.mm.plugin.brandservice.a.b.class)).FC(webViewUI.cWL())) {
                        bundle2.putInt("_DATA_CENTER_ITEM_SHOW_TYPE", webViewUI.uvq);
                        break;
                    }
                }
                break;
            case 22:
                bundle2.putInt("pay_channel", getIntent().getIntExtra("pay_channel", -1));
                ab.i("MicroMsg.WebViewStubCallbackAIDLStub", "key value: pay channel(%d)", new Object[]{Integer.valueOf(getIntent().getIntExtra("pay_channel", -1))});
                break;
            case v2helper.WXVOIP_EVENT_SWITCH_AVCMD /*25*/:
                bundle2.putInt("scene", getIntent().getIntExtra("scene", -1));
                ab.i("MicroMsg.WebViewStubCallbackAIDLStub", "Key value: Scene(%d)", new Object[]{Integer.valueOf(getIntent().getIntExtra("scene", 0))});
                break;
            case JsApiStartPlayVoice.CTRL_INDEX /*33*/:
                intent = getIntent();
                if (intent != null) {
                    bundle2.putString("publishIdPrefix", intent.getStringExtra("publishIdPrefix"));
                    bundle2.putString("reportSessionId", intent.getStringExtra("reportSessionId"));
                    break;
                }
                break;
            case 34:
                al.d(new Runnable() {
                    public final void run() {
                        AppMethodBeat.i(7752);
                        if (n.this.uqV.get() == null || ((WebViewUI) n.this.uqV.get()).isFinishing()) {
                            AppMethodBeat.o(7752);
                            return;
                        }
                        ((WebViewUI) n.this.uqV.get()).daj();
                        AppMethodBeat.o(7752);
                    }
                });
                break;
            case 35:
                al.d(new 42(this));
                break;
            case 36:
                al.d(new 40(this));
                break;
            case 37:
                al.d(new 44(this, bundle.getString("show_kb_placeholder"), bundle.getInt("show_kb_max_length")));
                break;
            case 38:
                if (bundle.getInt("webview_disable_bounce_scroll_top", 0) > 0) {
                    al.d(new 38(this));
                    break;
                }
                break;
            case 39:
                al.d(new 43(this));
                break;
            case 43:
                string = bundle.getString("set_page_title_text");
                string2 = bundle.getString("set_page_title_color");
                webViewUI = (WebViewUI) this.uqV.get();
                if (com.tencent.mm.compatible.util.d.iW(21) && webViewUI.dac()) {
                    i2 = -16777216;
                } else {
                    i2 = webViewUI.getResources().getColor(2131689640);
                }
                g.bx(string2, i2);
                al.d(new 46(this, string));
                break;
            case 44:
                Bitmap bitmap;
                string3 = bundle.getString("set_navigation_bar_buttons_text");
                string4 = bundle.getString("set_navigation_bar_buttons_icon_data");
                z = bundle.getBoolean("set_navigation_bar_buttons_hide_right_button", false);
                if (bo.isNullOrNil(string4)) {
                    bitmap = null;
                } else {
                    try {
                        bitmap = g.afz(string4);
                    } catch (Exception e) {
                        bitmap = null;
                        ab.e("MicroMsg.WebViewStubCallbackAIDLStub", "setNavigationBarButtons, decode base64 image, exception = %s", new Object[]{e});
                    }
                }
                al.d(new 47(this, z, bitmap, string3, bundle.getBoolean("set_navigation_bar_buttons_need_click_event", false), (int) g.afy(bundle.getString("set_navigation_bar_buttons_text_color")), g.bx(bundle.getString("set_navigation_bar_buttons_left_text_color"), -16777216)));
                break;
            case 45:
                al.d(new 48(this, bundle));
                break;
            case 47:
                al.d(new 41(this));
                break;
            case 48:
            case XWalkEnvironment.SDK_SUPPORT_MIN_APKVERSION /*49*/:
                break;
            case 53:
                al.d(new 51(this, bundle));
                break;
            case 54:
                boolean z3 = bundle.getBoolean("add_shortcut_status");
                if (((WebViewUI) this.uqV.get()).uhz != null) {
                    ((WebViewUI) this.uqV.get()).uhz.oa(z3);
                    break;
                }
                break;
            case 71:
                if (bundle.getString("enterprise_action").equals("enterprise_get_context_bizchat")) {
                    bundle2.putString("enterprise_context_biz", getIntent().getStringExtra("enterprise_biz_name"));
                    bundle2.putLong("enterprise_context_bizchatid", getIntent().getLongExtra("biz_chat_chat_id", -1));
                    break;
                }
                break;
            case c.CTRL_INDEX /*72*/:
                ((WebViewUI) this.uqV.get()).uwX.Jp(g.bx(bundle.getString("key_set_bounce_background_color"), ((WebViewUI) this.uqV.get()).getResources().getColor(2131690677)));
                break;
            case 73:
                intent = getIntent();
                if (bundle != null) {
                    switch (bundle.getInt("scene")) {
                        case 1:
                        case 2:
                        case 3:
                        case 4:
                        case 5:
                        case 6:
                        case 7:
                        case 37:
                        case 45:
                            bundle2.putStringArrayList("proof", intent.getStringArrayListExtra("k_outside_expose_proof_item_list"));
                            break;
                        case JsApiStartPlayVoice.CTRL_INDEX /*33*/:
                            bundle2.putString("newMsgId", String.valueOf(intent.getLongExtra("k_expose_msg_id", 0)));
                            break;
                        case 34:
                            if (!bo.isNullOrNil(intent.getStringExtra("k_webview_img"))) {
                                string = intent.getStringExtra("k_webview_img");
                                byte[] e2 = e.e(string, 0, (int) e.asZ(string));
                                e.deleteFile(string);
                                bundle2.putString("webviewImg", Base64.encodeToString(e2, 0));
                            }
                            if (intent.getStringExtra("k_webview_html") != null) {
                                bundle2.putString("webviewHtml", intent.getStringExtra("k_webview_html"));
                            }
                            StringBuilder stringBuilder = new StringBuilder();
                            stringBuilder.append("<exposecontent>");
                            stringBuilder.append("<weburl>");
                            if (intent.getStringExtra("k_expose_url") != null) {
                                stringBuilder.append(intent.getStringExtra("k_expose_url"));
                            }
                            stringBuilder.append("</weburl>");
                            stringBuilder.append("<firstJumpUrl>");
                            if (intent.getStringExtra("k_expose_url") != null) {
                                stringBuilder.append(intent.getStringExtra("k_expose_url"));
                            }
                            stringBuilder.append("</firstJumpUrl>");
                            stringBuilder.append("<webscence>");
                            stringBuilder.append(intent.getIntExtra("k_expose_web_scene", 0));
                            stringBuilder.append("</webscence>");
                            stringBuilder.append("</exposecontent>");
                            bundle2.putString("url", stringBuilder.toString());
                            break;
                        case 35:
                        case 36:
                        case 38:
                        case 39:
                            break;
                        case ae.CTRL_INDEX /*51*/:
                            bundle2.putString("newMsgId", String.valueOf(intent.getLongExtra("k_expose_msg_id", 0)));
                            bundle2.putStringArrayList("proof", intent.getStringArrayListExtra("k_outside_expose_proof_item_list"));
                            bundle2.putInt("msgType", intent.getIntExtra("k_expose_msg_type", 0));
                            break;
                        default:
                            ab.d("MicroMsg.WebViewStubCallbackAIDLStub", "unknown expose scene: %d", new Object[]{Integer.valueOf(bundle.getInt("scene"))});
                            AppMethodBeat.o(7794);
                            return bundle2;
                    }
                    bundle2.putString("username", intent.getStringExtra("k_username"));
                    break;
                }
                break;
            case 77:
                bundle2.putString("KSessionId", ((WebViewUI) this.uqV.get()).cvF);
                bundle2.putString("KUserAgent", ((WebViewUI) this.uqV.get()).ium);
                bundle2.putBoolean("KReportPage", ((WebViewUI) this.uqV.get()).uvr);
                bundle2.putString("KUrl", ((WebViewUI) this.uqV.get()).dae());
                i2 = afH(getIntent().getStringExtra("geta8key_username"));
                if (i2 == 7 || i2 == 56) {
                    bundle2.putString("geta8key_username", getIntent().getStringExtra("geta8key_username"));
                    break;
                }
            case JsApiOperateWXData.CTRL_INDEX /*79*/:
                if (!(this.uqV.get() == null || ((WebViewUI) this.uqV.get()).isFinishing())) {
                    bundle2.putInt("height", ((WebViewUI) this.uqV.get()).cWF());
                    break;
                }
            case LayoutParams.BOTTOM_CENTER /*81*/:
                bundle2.putBoolean("from_shortcut", ((WebViewUI) this.uqV.get()).uvz);
                break;
            case 84:
                mMTitle = ((WebViewUI) this.uqV.get()).mController.getMMTitle();
                string = getCurrentUrl();
                bundle2.putString("webview_current_url", string);
                bundle2.putString("webview_current_title", mMTitle != null ? mMTitle.toString() : BuildConfig.FLAVOR);
                bundle2.putString("webview_current_desc", string);
                break;
            case com.tencent.mm.plugin.appbrand.jsapi.l.i.CTRL_INDEX /*85*/:
                mMTitle = ((WebViewUI) this.uqV.get()).mController.getMMTitle();
                string = getCurrentUrl();
                Intent intent2 = getIntent();
                if (intent2 != null) {
                    bundle2.putString("share_report_pre_msg_url", intent2.getStringExtra("share_report_pre_msg_url"));
                    bundle2.putString("share_report_pre_msg_title", intent2.getStringExtra("share_report_pre_msg_title"));
                    bundle2.putString("share_report_pre_msg_desc", intent2.getStringExtra("share_report_pre_msg_desc"));
                    bundle2.putString("share_report_pre_msg_icon_url", intent2.getStringExtra("share_report_pre_msg_icon_url"));
                    bundle2.putString("share_report_pre_msg_appid", intent2.getStringExtra("share_report_pre_msg_appid"));
                    bundle2.putInt("share_report_from_scene", intent2.getIntExtra("share_report_from_scene", 0));
                    bundle2.putString("share_report_biz_username", intent2.getStringExtra("share_report_biz_username"));
                }
                bundle2.putString("share_report_current_url", string);
                bundle2.putString("share_report_current_title", mMTitle != null ? mMTitle.toString() : BuildConfig.FLAVOR);
                break;
            case 86:
                bundle2.putBoolean("is_from_keep_top", getIntent().getBooleanExtra("is_from_keep_top", false));
                break;
            case 87:
                if (!((WebViewUI) this.uqV.get()).uwq) {
                    bundle2.putString("full_url", bo.nullAsNil(((WebViewUI) this.uqV.get()).jUg));
                    if (((WebViewUI) this.uqV.get()).uws != null && ((WebViewUI) this.uqV.get()).uws.size() != 0) {
                        bundle2.putInt("set_cookie", 1);
                        com.tencent.xweb.c.jx(ah.getContext());
                        com.tencent.xweb.b dTR = com.tencent.xweb.b.dTR();
                        for (String string42 : ((WebViewUI) this.uqV.get()).uws.keySet()) {
                            dTR.setCookie(bo.anB(((WebViewUI) this.uqV.get()).jUg), string42 + "=" + ((String) ((WebViewUI) this.uqV.get()).uws.get(string42)));
                        }
                        dTR.setCookie(bo.anB(((WebViewUI) this.uqV.get()).jUg), "httponly");
                        com.tencent.xweb.c.dTT();
                        com.tencent.xweb.c.sync();
                        ab.i("MicroMsg.WebViewStubCallbackAIDLStub", "cookies:%s", new Object[]{dTR.getCookie(bo.anB(((WebViewUI) this.uqV.get()).jUg))});
                        break;
                    }
                    bundle2.putInt("set_cookie", 0);
                    break;
                }
                bundle2.putString("result", "not_return");
                break;
            case 95:
                ((WebViewUI) this.uqV.get()).ab(bundle);
                break;
            case 97:
                bundle2.putInt("web_page_count", WebViewUI.uwz);
                break;
            case V8Value.UNDEFINED /*99*/:
                bundle2.putInt("geta8key_scene", getIntent().getIntExtra("geta8key_scene", 0));
                ab.i("MicroMsg.WebViewStubCallbackAIDLStub", "Key value: getA8KeyScene(%d)", new Object[]{Integer.valueOf(i2)});
                break;
            case UpdateInfoReportManager$UpdateLogConst.ACTION_START_DOWNLOAD /*101*/:
                bundle.setClassLoader(WebViewUI.class.getClassLoader());
                com.tencent.mm.bp.d.b((Context) this.uqV.get(), bundle.getString("open_ui_with_webview_ui_plugin_name"), bundle.getString("open_ui_with_webview_ui_plugin_entry"), new Intent().putExtras(bundle.getBundle("open_ui_with_webview_ui_extras")).putExtra("KPublisherId", ((WebViewUI) this.uqV.get()).cMm));
                break;
            case 107:
                if (this.uqV.get() != null && !((WebViewUI) this.uqV.get()).isFinishing()) {
                    bundle2.putBoolean("isFullScreen", ((WebViewUI) this.uqV.get()).uvf);
                    break;
                }
                bundle2.putBoolean("isFullScreen", false);
                break;
                break;
            case 140:
                bundle2.putString("current_url", ((WebViewUI) this.uqV.get()).dae());
                bundle2.putString("raw_url", ((WebViewUI) this.uqV.get()).cOG);
                break;
            case 146:
                string2 = bundle.getString("_url");
                if (!(bo.isNullOrNil(string2) || ((WebViewUI) this.uqV.get()).icz == null || kVar == null)) {
                    JsapiPermissionWrapper aei = kVar.aei(string2);
                    if (aei != null) {
                        bundle2.putParcelable("_permission_wrapper", aei);
                        break;
                    }
                }
                break;
            case 150:
                bundle2.putString("full_url", ((WebViewUI) this.uqV.get()).jUg);
                bundle2.putString("raw_url", ((WebViewUI) this.uqV.get()).cOG);
                bundle2.putString("page_key", (((WebViewUI) this.uqV.get()).hashCode() & Integer.MAX_VALUE) + "_" + (((WebViewUI) this.uqV.get()).cOG.hashCode() & Integer.MAX_VALUE));
                if (this.uqV.get() instanceof GameWebViewUI) {
                    com.tencent.mm.plugin.wepkg.c cVar = ((GameWebViewUI) this.uqV.get()).uDe;
                    if (cVar != null) {
                        bundle2.putString("comm_js_version", com.tencent.mm.plugin.wepkg.c.dgk());
                        bundle2.putString("wepkg_version", cVar.dgj());
                        bundle2.putBoolean("is_used_wepkg", cVar.uVv);
                        break;
                    }
                }
                break;
            case 200:
                com.tencent.mm.plugin.brandservice.a.b.a aVar = new com.tencent.mm.plugin.brandservice.a.b.a();
                bundle2.putBoolean("success", ((com.tencent.mm.plugin.brandservice.a.b) g.K(com.tencent.mm.plugin.brandservice.a.b.class)).a((Context) this.uqV.get(), bundle.getString("url"), bundle.getInt("item_show_type"), bundle.getInt("scene"), bundle.getInt("openType"), aVar));
                if (!(aVar.success || aVar.message == null)) {
                    bundle2.putString("desc", aVar.message);
                    break;
                }
            case 203:
                ((WebViewUI) this.uqV.get()).uwI.cZK();
                break;
            case com.tencent.mm.plugin.appbrand.jsapi.miniprogram_navigator.e.CTRL_INDEX /*252*/:
                if (this.uqV.get() instanceof GameWebViewUI) {
                    GameWebViewUI gameWebViewUI = (GameWebViewUI) this.uqV.get();
                    gameWebViewUI.mVc.uDQ = System.currentTimeMillis();
                    gameWebViewUI.mUN.eBQ = 1;
                    break;
                }
                break;
            case 253:
                if (this.uqV.get() instanceof GameWebViewUI) {
                    ((GameWebViewUI) this.uqV.get()).mVc.uDR = System.currentTimeMillis();
                    break;
                }
                break;
            case FilterEnum4Shaka.MIC_SHAKA_JING_MI /*1009*/:
                if (((WebViewUI) this.uqV.get()).uvh != null) {
                    ((WebViewUI) this.uqV.get()).uvh.disable();
                }
                ((WebViewUI) this.uqV.get()).screenOrientation = bundle.getInt("screen_orientation", -1);
                if (((WebViewUI) this.uqV.get()).screenOrientation == 1001) {
                    ((WebViewUI) this.uqV.get()).screenOrientation = 0;
                    if (((WebViewUI) this.uqV.get()).uvh != null) {
                        ab.i("MicroMsg.WebViewStubCallbackAIDLStub", "OrientationListener, start listen orientation change");
                        ((WebViewUI) this.uqV.get()).uvh.enable();
                    }
                } else if (((WebViewUI) this.uqV.get()).screenOrientation == 1002) {
                    ((WebViewUI) this.uqV.get()).screenOrientation = 1;
                    if (((WebViewUI) this.uqV.get()).uvh != null) {
                        ab.i("MicroMsg.WebViewStubCallbackAIDLStub", "OrientationListener, start listen orientation change");
                        ((WebViewUI) this.uqV.get()).uvh.enable();
                    }
                }
                ((WebViewUI) this.uqV.get()).aBS();
                break;
            case 4001:
            case 4002:
            case 4003:
            case 4004:
            case 4005:
            case 4008:
                j jVar = new j();
                jVar.csb.context = ((WebViewUI) this.uqV.get()).mController.ylL;
                jVar.csb.actionCode = i;
                if (4003 == i) {
                    jVar.csb.csd = bundle.getString("apdu");
                } else if (4004 == i) {
                    string42 = bundle.getString("apdus");
                    z = bundle.getBoolean("breakIfFail", true);
                    boolean z4 = bundle.getBoolean("breakIfTrue", false);
                    jVar.csb.csd = string42;
                    jVar.csb.cse = z;
                    jVar.csb.csf = z4;
                }
                jVar.callback = new 37(this, bundle2, jVar);
                com.tencent.mm.sdk.b.a.xxA.m(jVar);
                break;
            case 5001:
                if (((WebViewUI) this.uqV.get()).icy.isSDCardAvailable()) {
                    ab.i("MicroMsg.WebViewStubCallbackAIDLStub", "availableSize = %d", new Object[]{Long.valueOf(bd.dpq())});
                    if (bd.dpq() < 524288000) {
                        ab.e("MicroMsg.WebViewStubCallbackAIDLStub", "available size not enough");
                    } else {
                        File file = new File(com.tencent.mm.plugin.webview.a.ueu);
                        z2 = true;
                        if (!file.exists()) {
                            z2 = file.mkdirs();
                            ab.i("MicroMsg.WebViewStubCallbackAIDLStub", "create proxy cache path : %s, %b", new Object[]{file.getAbsolutePath(), Boolean.valueOf(z2)});
                        }
                        if (z2) {
                            i2 = FactoryProxyManager.getPlayManager().init(ah.getContext(), com.tencent.mm.plugin.webview.a.ueu);
                            FactoryProxyManager.getPlayManager().setMaxStorageSize(200);
                            i3 = i2;
                        }
                    }
                    i3 = FactoryProxyManager.getPlayManager().init(ah.getContext(), null);
                } else {
                    ab.i("MicroMsg.WebViewStubCallbackAIDLStub", "sdcard not available");
                    i3 = FactoryProxyManager.getPlayManager().init(ah.getContext(), null);
                }
                if (i3 == 0) {
                    if (((WebViewUI) this.uqV.get()).uwJ == null) {
                        ((WebViewUI) this.uqV.get()).uwJ = new h((WebViewUI) this.uqV.get());
                        FactoryProxyManager.getPlayManager().setUtilsObject(((WebViewUI) this.uqV.get()).uwJ);
                    }
                    afH = FactoryProxyManager.getPlayManager().getLocalServerPort();
                    ab.i("MicroMsg.WebViewStubCallbackAIDLStub", "webview video init result = %d, local port = %d", new Object[]{Integer.valueOf(i3), Integer.valueOf(afH)});
                    an anVar = ((WebViewUI) this.uqV.get()).uwP;
                    if (afH <= 0 || afH > 65535) {
                        ab.e("MicroMsg.WebViewResourceInterrupter", "err port = %d", new Object[]{Integer.valueOf(afH)});
                    }
                    if (!anVar.umD.contains(Integer.valueOf(afH))) {
                        anVar.umD.add(Integer.valueOf(afH));
                    }
                }
                bundle2.putInt("webview_video_proxy_init", i3);
                break;
            case 5002:
                i2 = FactoryProxyManager.getPlayManager().startPlay(bundle.getString("webview_video_proxy_cdn_urls"), bundle.getInt("webview_video_proxy_file_type"), bundle.getString("webview_video_proxy_fileId"), (long) bundle.getInt("webview_video_proxy_file_size"), bundle.getInt("webview_video_proxy_file_duration"));
                ab.i("MicroMsg.WebViewStubCallbackAIDLStub", "cdnurls = %s, filedId = %s, fileSize = %d, fileDuration = %d, fileType = %d, playDataId = %d, localUrl = %s", new Object[]{string, string5, Integer.valueOf(r7), Integer.valueOf(r6), Integer.valueOf(i3), Integer.valueOf(i2), FactoryProxyManager.getPlayManager().buildPlayURLMp4(i2)});
                bundle2.putInt("webview_video_proxy_play_data_id", i2);
                bundle2.putString("webview_video_proxy_local_url", string3);
                break;
            case 5003:
                i2 = bundle.getInt("webview_video_proxy_play_data_id");
                ab.i("MicroMsg.WebViewStubCallbackAIDLStub", "webview proxy stop play, play id = %d", new Object[]{Integer.valueOf(i2)});
                if (i2 > 0) {
                    FactoryProxyManager.getPlayManager().stopPlay(i2);
                    break;
                }
                break;
            case 5004:
                FactoryProxyManager.getPlayManager().setPlayerState(bundle.getInt("webview_video_proxy_play_state"));
                break;
            case 5005:
                FactoryProxyManager.getPlayManager().setNetWorkState(bundle.getInt("webview_video_proxy_net_state"));
                break;
            case 5006:
                FactoryProxyManager.getPlayManager().setRemainTime(bundle.getInt("webview_video_proxy_play_data_id"), bundle.getInt("webview_video_proxy_play_remain_time"));
                break;
            case 5007:
                ab.i("MicroMsg.WebViewStubCallbackAIDLStub", "playid = %d, duration = %d", new Object[]{Integer.valueOf(bundle.getInt("webview_video_proxy_play_data_id")), Integer.valueOf(bundle.getInt("webview_video_proxy_preload_duration"))});
                bundle2.putInt("webview_video_proxy_pre_load_result", FactoryProxyManager.getPlayManager().preLoad(i2, afH));
                break;
            case 6001:
                ab.i("MicroMsg.WebViewStubCallbackAIDLStub", "includeCookie = %b", new Object[]{Boolean.valueOf(bundle.getBoolean("clear_webview_cache_clear_cookie", false))});
                Intent intent3 = new Intent();
                intent3.putExtra("tools_process_action_code_key", "com.tencent.mm.intent.ACTION_CLEAR_WEBVIEW_CACHE");
                intent3.putExtra("tools_clean_webview_cache_ignore_cookie", z2);
                com.tencent.mm.cj.c.aZ(intent3);
                break;
            case 90000:
                bundle2.putStringArray("webview_get_route_url_list", ((WebViewUI) this.uqV.get()).uwG.cYO());
                bundle2.putInt("webview_get_route_url_geta8key_scene", afH(getIntent().getStringExtra("geta8key_username")));
                bundle2.putString("geta8key_username", getIntent().getStringExtra("geta8key_username"));
                break;
            case 90001:
                Float valueOf;
                ab.i("MicroMsg.WebViewStubCallbackAIDLStub", "url = %s, cookie = %s", new Object[]{((WebViewUI) this.uqV.get()).dae(), com.tencent.xweb.b.dTR().getCookie(((WebViewUI) this.uqV.get()).dae())});
                bundle2.putString("cookie", string);
                Float valueOf2 = Float.valueOf(com.tencent.mm.ca.a.dmO());
                if (((WebViewUI) this.uqV.get()).pzf != null && ((WebViewUI) this.uqV.get()).pzf.getWebCoreType() == WebView.d.ANb && XWalkEnvironment.getUsingCustomContext()) {
                    valueOf = Float.valueOf(((WebViewUI) this.uqV.get()).pzf.getResources().getDisplayMetrics().density);
                } else {
                    valueOf = valueOf2;
                }
                bundle2.putFloat("density", valueOf.floatValue());
                break;
            case 90002:
                m.uuj.hg(bundle.getString("traceid"), bundle.getString("username"));
                break;
            case 90003:
                bundle2.putString("geta8key_data_req_url", ((WebViewUI) this.uqV.get()).cWL());
                bundle2.putString("geta8key_data_username", getIntent().getStringExtra("geta8key_username"));
                bundle2.putInt("geta8key_data_scene", afH(getIntent().getStringExtra("geta8key_username")));
                bundle2.putInt("geta8key_data_reason", 8);
                if (((WebViewUI) this.uqV.get()).pzf.getIsX5Kernel()) {
                    bundle2.putInt("geta8key_data_flag", 1);
                } else {
                    bundle2.putInt("geta8key_data_flag", 0);
                }
                this.uqV.get();
                bundle2.putString("geta8key_data_net_type", aq.cXS());
                bundle2.putInt("geta8key_session_id", ((WebViewUI) this.uqV.get()).uvB);
                bundle2.putInt("webview_binder_id", ((WebViewUI) this.uqV.get()).hashCode());
                bundle2.putByteArray("k_a8key_cookie", ((WebViewUI) this.uqV.get()).uvD);
                bundle2.putString("geta8key_data_appid", getIntent().getStringExtra("geta8key_open_webview_appid"));
                break;
            case 90004:
                string2 = bundle.getString("geta8key_result_req_url");
                string5 = bundle.getString("geta8key_result_full_url");
                if (!bo.isNullOrNil(string5)) {
                    kVar.a(string5.replaceFirst("http://", "https//"), new JsapiPermissionWrapper(bundle.getByteArray("geta8key_result_jsapi_perm_control_bytes")), new GeneralControlWrapper(bundle.getInt("geta8key_result_general_ctrl_b1")));
                    String[] stringArray = bundle.getStringArray("geta8key_result_http_header_key_list");
                    String[] stringArray2 = bundle.getStringArray("geta8key_result_http_header_value_list");
                    HashMap hashMap = new HashMap();
                    if (stringArray != null && stringArray2 != null && stringArray.length > 0 && stringArray2.length > 0 && stringArray.length == stringArray2.length) {
                        for (i2 = 0; i2 < stringArray.length; i2++) {
                            hashMap.put(stringArray[i2], stringArray2[i2]);
                        }
                    }
                    ((WebViewUI) this.uqV.get()).b(string2, string5, hashMap);
                    break;
                }
                ab.e("MicroMsg.WebViewStubCallbackAIDLStub", "updatePageAuth fail fullUrl is null");
                break;
            case 90005:
                ((WebViewUI) this.uqV.get()).FY(bundle.getString(m.ygh, BuildConfig.FLAVOR));
                break;
            case 100000:
                ((WebViewUI) this.uqV.get()).uwD = true;
                break;
            default:
                ab.e("MicroMsg.WebViewStubCallbackAIDLStub", "undefine action code!!!");
                break;
        }
        AppMethodBeat.o(7794);
        return bundle2;
    }

    public final void X(Bundle bundle) {
        AppMethodBeat.i(7795);
        if (this.uqV.get() == null || ((WebViewUI) this.uqV.get()).isFinishing()) {
            AppMethodBeat.o(7795);
            return;
        }
        ab.i("MicroMsg.WebViewStubCallbackAIDLStub", "setCustomMenu");
        ArrayList stringArrayList = bundle.getStringArrayList("keys");
        ArrayList stringArrayList2 = bundle.getStringArrayList("titles");
        int size = stringArrayList.size();
        ArrayList arrayList = new ArrayList();
        for (int i = 0; i < size; i++) {
            arrayList.add(new com.tencent.mm.m.d.b((String) stringArrayList.get(i), (String) stringArrayList2.get(i)));
        }
        if (stringArrayList.size() > 0) {
            String url = ((WebViewUI) this.uqV.get()).pzf.getUrl();
            if (((WebViewUI) this.uqV.get()).uwc.containsKey(url)) {
                ((WebViewUI) this.uqV.get()).uwc.remove(url);
            }
            ((WebViewUI) this.uqV.get()).uwc.put(url, arrayList);
        }
        AppMethodBeat.o(7795);
    }

    public final void nL(boolean z) {
        AppMethodBeat.i(7796);
        if (this.uqV.get() == null || ((WebViewUI) this.uqV.get()).isFinishing()) {
            AppMethodBeat.o(7796);
            return;
        }
        ((WebViewUI) this.uqV.get()).nR(z);
        AppMethodBeat.o(7796);
    }

    public final void he(String str, String str2) {
        AppMethodBeat.i(7797);
        al.d(new 52(this, str, str2));
        AppMethodBeat.o(7797);
    }

    public final Bundle dj(String str, String str2) {
        AppMethodBeat.i(7798);
        Bundle akC = com.tencent.mm.protocal.c.akC(null);
        AppMethodBeat.o(7798);
        return akC;
    }
}
