package com.tencent.mm.plugin.wepkg.downloader;

import android.content.Context;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.a.g;
import com.tencent.mm.plugin.appbrand.service.IBSPatchJNIService;
import com.tencent.mm.plugin.wepkg.b.b;
import com.tencent.mm.plugin.wepkg.c.a.a;
import com.tencent.mm.plugin.wepkg.model.WepkgVersion;
import com.tencent.mm.plugin.wepkg.model.c;
import com.tencent.mm.plugin.wepkg.model.h;
import com.tencent.mm.plugin.wepkg.utils.d;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ah;
import com.tencent.mm.sdk.platformtools.at;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.vfs.e;
import com.tencent.rtmp.TXLiveConstants;
import com.tencent.tencentmap.mapsdk.map.BuildConfig;
import java.io.File;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

public class WePkgDownloader {
    private static volatile WePkgDownloader uVZ = null;
    private Map<String, IWepkgUpdateCallback> uWa;
    private a uWb = new 2(this);

    static /* synthetic */ boolean f(String str, String str2, String str3, String str4, String str5) {
        AppMethodBeat.i(63446);
        boolean e = e(str, str2, str3, str4, str5);
        AppMethodBeat.o(63446);
        return e;
    }

    static /* synthetic */ String hw(String str, String str2) {
        AppMethodBeat.i(63445);
        String hv = hv(str, str2);
        AppMethodBeat.o(63445);
        return hv;
    }

    public static WePkgDownloader dgx() {
        AppMethodBeat.i(63438);
        if (uVZ == null) {
            synchronized (WePkgDownloader.class) {
                try {
                    if (uVZ == null) {
                        uVZ = new WePkgDownloader();
                    }
                } catch (Throwable th) {
                    while (true) {
                        AppMethodBeat.o(63438);
                    }
                }
            }
        }
        WePkgDownloader wePkgDownloader = uVZ;
        AppMethodBeat.o(63438);
        return wePkgDownloader;
    }

    public WePkgDownloader() {
        AppMethodBeat.i(63439);
        if (this.uWa == null) {
            this.uWa = new ConcurrentHashMap();
        }
        AppMethodBeat.o(63439);
    }

    public final void a(String str, IWepkgUpdateCallback iWepkgUpdateCallback) {
        AppMethodBeat.i(63440);
        WepkgVersion ahW = h.ahW(str);
        if (ahW == null) {
            ab.e("MicroMsg.Wepkg.WepkgDownloader", "downloadWepkg, wepkgVersion is null");
            AppMethodBeat.o(63440);
            return;
        }
        String hv = hv(str, ahW.version);
        if (e.ct(hv) && bo.nullAsNil(g.cz(hv)).equals(ahW.cvZ)) {
            ab.i("MicroMsg.Wepkg.WepkgDownloader", "file exist in current %s version, pkgPath:%s", new Object[]{ahW.version, hv});
            a.dgE().n(str, ahW.downloadUrl, 0);
            if (iWepkgUpdateCallback != null) {
                iWepkgUpdateCallback.a(str, hv, WePkgDownloader$IWepkgUpdateCallback$RetCode.OK);
            }
            AppMethodBeat.o(63440);
            return;
        }
        com.tencent.mm.plugin.wepkg.b.a ahC = b.dgn().ahC(str);
        boolean z = false;
        if (ahC != null) {
            ab.i("MicroMsg.Wepkg.WepkgDownloader", "diff is not null, pkgId: %s", new Object[]{str});
            if (!bo.nullAsNil(ahC.field_version).equals(ahW.version)) {
                ab.i("MicroMsg.Wepkg.WepkgDownloader", "diff version is not equal to package version, pkgId: %s, diffVersion: %s, packageVersion: %s", new Object[]{str, ahC.field_version, ahW.version});
                b.dgn().pI(str);
            } else if (bo.isNullOrNil(ahC.field_downloadUrl)) {
                ab.i("MicroMsg.Wepkg.WepkgDownloader", "diff downloadurl is null, pkgId: %s, diffVersion: %s", new Object[]{str, ahC.field_version});
                b.dgn().pI(str);
            } else if (e.ct(ahC.field_oldPath)) {
                z = true;
            } else {
                ab.i("MicroMsg.Wepkg.WepkgDownloader", "old package is not exists, pkgId: %s, oldPath: %s", new Object[]{str, ahC.field_oldPath});
                b.dgn().pI(str);
            }
        }
        ab.i("MicroMsg.Wepkg.WepkgDownloader", "downloadBigPackage, downloadDiff = %b", new Object[]{Boolean.valueOf(z)});
        if (z) {
            com.tencent.mm.plugin.report.service.h.pYm.k(859, 22, 1);
            1 1 = new 1(this, ahW, ahC, iWepkgUpdateCallback);
            String hx = c.hx(ahC.field_pkgId, ahC.field_version);
            d.aih(hx);
            hv = hx + "/diff";
            a(3, ahC.field_pkgId, hv, BuildConfig.FLAVOR, ahC.field_downloadUrl, (long) ahC.field_pkgSize, ahC.field_version, ahC.field_oldVersion, ahC.field_md5, ahC.field_downloadNetType, 1);
            AppMethodBeat.o(63440);
            return;
        }
        a(1, ahW.eBS, hv, BuildConfig.FLAVOR, ahW.downloadUrl, (long) ahW.uXK, ahW.version, BuildConfig.FLAVOR, ahW.cvZ, ahW.uWQ, iWepkgUpdateCallback);
        AppMethodBeat.o(63440);
    }

    private static boolean e(String str, String str2, String str3, String str4, String str5) {
        AppMethodBeat.i(63441);
        long currentTimeMillis = System.currentTimeMillis();
        try {
            int bspatch = ((IBSPatchJNIService) com.tencent.mm.kernel.g.K(IBSPatchJNIService.class)).bspatch(str3, str2, str4);
            long currentTimeMillis2 = System.currentTimeMillis() - currentTimeMillis;
            ab.i("MicroMsg.Wepkg.WepkgDownloader", "mergeDiffPackage, result: %d, cost: %d", new Object[]{Integer.valueOf(bspatch), Long.valueOf(currentTimeMillis2)});
            if (bspatch == 0) {
                boolean z;
                com.tencent.mm.plugin.report.service.h.pYm.k(859, 34, 1);
                if (bo.isNullOrNil(str5)) {
                    z = true;
                } else {
                    String atg = e.atg(str2);
                    if (bo.isNullOrNil(atg)) {
                        z = false;
                    } else {
                        ab.i("MicroMsg.Wepkg.WepkgDownloader", "matchMd5, fileMd5: %s, md5: %s", new Object[]{atg, str5});
                        z = str5.trim().equalsIgnoreCase(atg.trim());
                    }
                }
                if (z) {
                    com.tencent.mm.plugin.wepkg.utils.a.c(str, 0, BuildConfig.FLAVOR, currentTimeMillis2);
                    AppMethodBeat.o(63441);
                    return true;
                }
                com.tencent.mm.plugin.report.service.h.pYm.k(859, 35, 1);
                com.tencent.mm.plugin.wepkg.utils.a.c(str, TXLiveConstants.PLAY_EVT_PLAY_LOADING, BuildConfig.FLAVOR, currentTimeMillis2);
                AppMethodBeat.o(63441);
                return false;
            }
            com.tencent.mm.plugin.report.service.h.pYm.k(859, 27, 1);
            com.tencent.mm.plugin.report.service.h.pYm.k(859, (long) (25 - bspatch), 1);
            com.tencent.mm.plugin.wepkg.utils.a.c(str, 1998 - bspatch, BuildConfig.FLAVOR, currentTimeMillis2);
            AppMethodBeat.o(63441);
            return false;
        } catch (Exception e) {
            currentTimeMillis = System.currentTimeMillis() - currentTimeMillis;
            ab.e("MicroMsg.Wepkg.WepkgDownloader", "mergeDiffPkg e = %s, old[%s], new[%s], diff[%s]", new Object[]{e, str3, str2, str4});
            ab.printErrStackTrace("MicroMsg.Wepkg.WepkgDownloader", e, BuildConfig.FLAVOR, new Object[0]);
            com.tencent.mm.plugin.report.service.h.pYm.k(859, 33, 1);
            com.tencent.mm.plugin.wepkg.utils.a.c(str, TXLiveConstants.PLAY_EVT_PLAY_END, BuildConfig.FLAVOR, currentTimeMillis);
        }
    }

    private static String hv(String str, String str2) {
        AppMethodBeat.i(63442);
        String hx = c.hx(str, str2);
        d.aih(hx);
        hx = hx + "/package";
        AppMethodBeat.o(63442);
        return hx;
    }

    public final void a(int i, String str, String str2, String str3, String str4, long j, String str5, String str6, String str7, int i2, IWepkgUpdateCallback iWepkgUpdateCallback) {
        String str8;
        String str9;
        AppMethodBeat.i(63443);
        ab.i("MicroMsg.Wepkg.WepkgDownloader", "triggerDownloadWepkg, fileType:%s, pkgid:%s, downloadUrl:%s, pkgSize:%d, version:%s, md5:%s, downloadNetType:%d", new Object[]{Integer.valueOf(i), str, str4, Long.valueOf(j), str5, str7, Integer.valueOf(i2)});
        if (i == 2) {
            str8 = c.hx(str, str5) + "/preload_files";
            d.aih(str8);
            str9 = str8 + "/" + str7;
        } else {
            str9 = str2;
        }
        if (bo.isNullOrNil(str9)) {
            ab.i("MicroMsg.Wepkg.WepkgDownloader", "pkgPath:%s is null", new Object[]{str9});
            a.dgE().n(str, str4, 0);
            if (iWepkgUpdateCallback != null) {
                iWepkgUpdateCallback.a(str, BuildConfig.FLAVOR, WePkgDownloader$IWepkgUpdateCallback$RetCode.FAILED);
            }
            AppMethodBeat.o(63443);
            return;
        }
        if (!com.tencent.mm.pluginsdk.g.a.d.a.ct(str9)) {
            str8 = c.ahQ(str);
            if (!bo.isNullOrNil(str8)) {
                File file = new File(str8);
                ArrayList<String> arrayList = new ArrayList();
                if (str9 == null || str9.length() <= 0) {
                    str8 = BuildConfig.FLAVOR;
                } else {
                    str8 = new File(str9).getName();
                    int lastIndexOf = str8.lastIndexOf(46);
                    if (lastIndexOf >= 0) {
                        if (lastIndexOf == 0) {
                            str8 = BuildConfig.FLAVOR;
                        } else {
                            str8 = str8.substring(0, lastIndexOf);
                        }
                    }
                }
                a(file, str8, arrayList);
                ab.i("MicroMsg.Wepkg.WepkgDownloader", "local have the same file. size:%s", new Object[]{Integer.valueOf(arrayList.size())});
                for (String str82 : arrayList) {
                    File file2 = new File(str82);
                    if (file2.isFile() && file2.length() == j && bo.nullAsNil(g.v(file2)).equalsIgnoreCase(str7)) {
                        com.tencent.mm.a.e.y(file2.getAbsolutePath(), str9);
                        ab.i("MicroMsg.Wepkg.WepkgDownloader", "file exist in other version path:%s, pkgPath:%s", new Object[]{file2.getAbsolutePath(), str9});
                        a.dgE().n(str, str4, 0);
                        if (iWepkgUpdateCallback != null) {
                            iWepkgUpdateCallback.a(str, str9, WePkgDownloader$IWepkgUpdateCallback$RetCode.OK);
                        }
                        AppMethodBeat.o(63443);
                        return;
                    }
                }
            }
        } else if (bo.nullAsNil(g.cz(str9)).equals(str7)) {
            ab.i("MicroMsg.Wepkg.WepkgDownloader", "file exist in current %s version, pkgPath:%s", new Object[]{str5, str9});
            a.dgE().n(str, str4, 0);
            if (iWepkgUpdateCallback != null) {
                iWepkgUpdateCallback.a(str, str9, WePkgDownloader$IWepkgUpdateCallback$RetCode.OK);
            }
            AppMethodBeat.o(63443);
            return;
        }
        Object obj = null;
        boolean z = false;
        boolean z2 = false;
        switch (i2) {
            case 1:
                if (at.isWifi(ah.getContext())) {
                    z = true;
                    z2 = true;
                    break;
                }
                break;
            case 3:
                if (at.gH(ah.getContext()) || at.is3G(ah.getContext())) {
                    z = true;
                }
                obj = 1;
                break;
            case 4:
                z = true;
                break;
            case 9:
                if (!at.isWifi(ah.getContext())) {
                    if ((at.gH(ah.getContext()) || at.is3G(ah.getContext())) && d.dgH()) {
                        z = true;
                        break;
                    }
                }
                z = true;
                break;
        }
        obj = 1;
        if (obj != null) {
            a.dgE().n(str, str4, j);
        } else {
            a.dgE().n(str, str4, 0);
        }
        ab.i("MicroMsg.Wepkg.WepkgDownloader", "allowDownload:%s", new Object[]{Boolean.valueOf(z)});
        if (z) {
            Object obj2;
            c cVar = new c(new f(g.x(str4.getBytes()), i, str, str3, str5, str6, str4, str9, j, str7, z2, this.uWb));
            d dgw = d.dgw();
            if (dgw.uVY.containsKey(cVar.uVO.uWo)) {
                obj2 = null;
            } else {
                cVar.uVP = b.dgu().uVN.submit(cVar);
                dgw.uVY.put(cVar.uVO.uWo, cVar);
                obj2 = 1;
            }
            if (obj2 != null) {
                this.uWa.put(g.x(str4.getBytes()), iWepkgUpdateCallback);
                com.tencent.mm.plugin.report.service.h.pYm.a(859, 0, 1, false);
                AppMethodBeat.o(63443);
                return;
            }
            if (iWepkgUpdateCallback != null) {
                iWepkgUpdateCallback.a(str, BuildConfig.FLAVOR, WePkgDownloader$IWepkgUpdateCallback$RetCode.CANCEL);
            }
            AppMethodBeat.o(63443);
            return;
        }
        ab.i("MicroMsg.Wepkg.WepkgDownloader", "net is not match, dont download");
        if (iWepkgUpdateCallback != null) {
            iWepkgUpdateCallback.a(str, BuildConfig.FLAVOR, WePkgDownloader$IWepkgUpdateCallback$RetCode.CANCEL);
        }
        AppMethodBeat.o(63443);
    }

    private void a(File file, String str, List<String> list) {
        AppMethodBeat.i(63444);
        if (file == null || !file.exists()) {
            AppMethodBeat.o(63444);
        } else if (file.isFile() && file.getName().equals(str)) {
            List list2;
            if (list2 == null) {
                list2 = new ArrayList();
            }
            list2.add(file.getAbsolutePath());
            AppMethodBeat.o(63444);
        } else {
            if (file.isDirectory()) {
                File[] listFiles = file.listFiles();
                if (listFiles != null) {
                    for (File a : listFiles) {
                        a(a, str, list2);
                    }
                }
            }
            AppMethodBeat.o(63444);
        }
    }

    static /* synthetic */ void b(g gVar) {
        AppMethodBeat.i(63447);
        f fVar = gVar.uVO;
        if (fVar != null) {
            int i;
            String str = fVar.uWp;
            String str2 = fVar.uWr;
            int i2 = gVar.uWz;
            int i3 = gVar.lqz;
            int i4 = gVar.mRetryTimes;
            Context context = ah.getContext();
            if (!at.isNetworkConnected(context)) {
                i = -1;
            } else if (at.is2G(context)) {
                i = 2;
            } else if (at.is3G(context)) {
                i = 3;
            } else if (at.is4G(context)) {
                i = 4;
            } else if (at.isWifi(context)) {
                i = 1;
            } else {
                i = 0;
            }
            String aic = com.tencent.mm.plugin.wepkg.utils.a.aic(fVar.mUrl);
            int i5 = fVar.kNb;
            long j = fVar.mStartTime;
            if (j > 0) {
                j = System.currentTimeMillis() - j;
            } else {
                j = 0;
            }
            String str3 = fVar.uWy;
            long j2 = fVar.uWs;
            ab.i("MicroMsg.WePkgReport", "pkgId = %s, version = %s, isRange = %d, errCode=%d, retryTimes = %d, netType = %d,costTime = %d, fileSize = %d", new Object[]{str, str2, Integer.valueOf(i2), Integer.valueOf(i3), Integer.valueOf(i4), Integer.valueOf(i), Long.valueOf(j), Long.valueOf(j2)});
            com.tencent.mm.game.report.api.c.eBG.a(new com.tencent.mm.game.report.api.d(14229, com.tencent.mm.plugin.wepkg.utils.a.q(str, str2, Integer.valueOf(i2), Integer.valueOf(i3), Integer.valueOf(i), Integer.valueOf(i4), aic, BuildConfig.FLAVOR, str3, Integer.valueOf(i5), Long.valueOf(j), Long.valueOf(j2))));
        }
        AppMethodBeat.o(63447);
    }
}
