package com.tencent.mm.plugin.zero;

import android.os.Build.VERSION;
import com.tencent.mars.app.AppLogic;
import com.tencent.mars.mm.AppCallBack;
import com.tencent.mars.sdt.SdtLogic;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.app.e;
import com.tencent.mm.booter.NotifyReceiver;
import com.tencent.mm.ci.i;
import com.tencent.mm.compatible.util.k;
import com.tencent.mm.kernel.a.a;
import com.tencent.mm.kernel.a.c;
import com.tencent.mm.kernel.b.f;
import com.tencent.mm.kernel.b.g;
import com.tencent.mm.plugin.zero.a.b;
import com.tencent.mm.plugin.zero.a.d;
import com.tencent.mm.plugin.zero.tasks.LoadNormsgJNITask;
import com.tencent.mm.plugin.zero.tasks.LoadProtocolJNITask;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ah;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.storage.ac;
import com.tencent.mm.storage.y;
import com.tencent.mm.vending.h.h;
import com.tencent.tencentmap.mapsdk.map.BuildConfig;
import java.io.File;

public class PluginZero extends f implements d {
    private static final int[] uZS = new int[]{6, 6, 0, 1, 2, 3, 4, 5};
    private a uZP = new a();
    private b uZQ = new b();
    private final e uZR = new e();
    public b uZT;
    public b uZU = new b();
    public a uZV = new a();

    public PluginZero() {
        AppMethodBeat.i(58762);
        AppMethodBeat.o(58762);
    }

    public String toString() {
        return "plugin-zero";
    }

    public void installed() {
        AppMethodBeat.i(58763);
        alias(d.class);
        AppMethodBeat.o(58763);
    }

    public void dependency() {
        AppMethodBeat.i(58764);
        dependsOnRoot();
        AppMethodBeat.o(58764);
    }

    public void configure(g gVar) {
        AppMethodBeat.i(58765);
        try {
            initSDRoot();
        } catch (Exception e) {
            ab.printErrStackTrace("MicroMsg.PluginZero", e, "what happened?", new Object[0]);
        }
        ah.ce(gVar.eHT);
        a.k("configure [%s], setup broken library handler...", new Object[]{this});
        setupStubLog();
        setupVendingLog();
        if (gVar.SG()) {
            a.k("configure [%s], for process[%s]...", new Object[]{this, gVar.eHT});
            com.tencent.mm.kernel.g.a(com.tencent.mm.plugin.zero.b.a.class, new com.tencent.mm.kernel.c.e(this.uZP));
            com.tencent.mm.kernel.g.a(com.tencent.mm.plugin.zero.b.b.class, new com.tencent.mm.kernel.c.e(this.uZQ));
            a.k("configure [%s], make worker core...", new Object[]{this});
            com.tencent.mm.kernel.g RQ = com.tencent.mm.kernel.g.RQ();
            if (!RQ.eKs) {
                RQ.eKs = true;
                RQ.eKl = new com.tencent.mm.kernel.e(c.Sa());
                RQ.eKm = new com.tencent.mm.kernel.a(c.Sa());
                RQ.eKn = new com.tencent.mm.kernel.b(RQ.eKp, RQ.eJn);
                RQ.eKo = new com.tencent.mm.cc.b(ah.getContext());
            }
            NotifyReceiver.In();
            com.tencent.mm.kernel.g.RQ().a(new 1(this, gVar));
            com.tencent.mm.kernel.g.RQ();
            i.Aiy = new h(com.tencent.mm.ci.d.c(com.tencent.mm.kernel.g.RS().doN()), "WeChat.WORKER");
            com.tencent.mm.vending.h.g.a("WeChat.WORKER", i.Aiy);
            new com.tencent.mm.plugin.zero.tasks.a().before(this);
        }
        if (gVar.SG() || gVar.lQ(":push")) {
            new LoadNormsgJNITask().before(new LoadProtocolJNITask().before(this));
        }
        if (gVar.lQ(":push")) {
            AppLogic.setCallBack(new AppCallBack(ah.getContext()));
            k.a(com.tencent.mm.kernel.b.eJm, getClass().getClassLoader());
            SdtLogic.setHttpNetcheckCGI("/mmnetcheck");
        }
        AppMethodBeat.o(58765);
    }

    private void initSDRoot() {
        AppMethodBeat.i(58766);
        if (new File(ac.eSj + "SdcardInfo.cfg").exists()) {
            String str;
            String str2 = com.tencent.mm.compatible.util.e.eSl;
            y yVar = new y(ac.eSj + "SdcardInfo.cfg");
            String str3 = (String) yVar.get(1, BuildConfig.FLAVOR);
            int intValue = ((Integer) yVar.get(2, Integer.valueOf(0))).intValue();
            int i = VERSION.SDK_INT;
            if (bo.isNullOrNil(str3)) {
                yVar.set(1, str2);
                yVar.set(2, Integer.valueOf(i));
                str = str2;
            } else {
                str = str3;
            }
            ab.i("MicroMsg.PluginZero", "initSdCardPath cfgSdcardRoot[%s], initSdcardRoot[%s], primarySD[%s], ver[%d], sdk[%d]", new Object[]{str3, str, str2, Integer.valueOf(intValue), Integer.valueOf(i)});
            com.tencent.mm.compatible.util.e.kw(str);
            if (!(intValue == i || com.tencent.mm.compatible.util.f.Mn())) {
                if (com.tencent.mm.compatible.util.h.getExternalStorageState().equals("mounted") && new File(com.tencent.mm.compatible.util.h.getExternalStorageDirectory().getAbsolutePath()).canWrite()) {
                    yVar.set(1, str2);
                    yVar.set(2, Integer.valueOf(i));
                    com.tencent.mm.compatible.util.e.kw(str2);
                    ab.i("MicroMsg.PluginZero", "summermount initSdCardPath ver change and old not avail reset SDCARD_ROOT[%s][%b]", new Object[]{com.tencent.mm.compatible.util.e.eSl, Boolean.valueOf(com.tencent.mm.compatible.util.f.Mn())});
                    AppMethodBeat.o(58766);
                    return;
                }
                ab.i("MicroMsg.PluginZero", "summermount initSdCardPath ver change but neither primarySD nor old avail keep do nothing[%s][%b][%s]", new Object[]{com.tencent.mm.compatible.util.e.eSl, Boolean.valueOf(com.tencent.mm.compatible.util.f.Mn()), str2});
            }
            AppMethodBeat.o(58766);
            return;
        }
        com.tencent.mm.compatible.util.e.kw(com.tencent.mm.compatible.util.e.eSl);
        ab.i("MicroMsg.PluginZero", "summermount initSdCardPath sdcard info file not existed use[%s]", new Object[]{com.tencent.mm.compatible.util.e.eSl});
        AppMethodBeat.o(58766);
    }

    public void execute(g gVar) {
        AppMethodBeat.i(58767);
        if (gVar.SG()) {
            com.tencent.mm.kernel.g.RQ().eKp.aD(new 2(this, gVar));
            NotifyReceiver.Io();
        }
        AppMethodBeat.o(58767);
    }

    private void setupStubLog() {
        AppMethodBeat.i(58768);
        com.tencent.e.a.b.a(new 3(this));
        AppMethodBeat.o(58768);
    }

    private void setupVendingLog() {
        AppMethodBeat.i(58769);
        com.tencent.mm.vending.f.a.a(new 4(this));
        AppMethodBeat.o(58769);
    }

    public void setILightPushDelegate(b bVar) {
        this.uZT = bVar;
    }

    public com.tencent.mm.vending.b.b addNotifyReceiverCallback(com.tencent.mm.plugin.zero.a.c cVar) {
        AppMethodBeat.i(58770);
        ab.i("MicroMsg.PluginZero", "addNotifyReceiverCallback this %s delegate %s ", new Object[]{this, cVar});
        com.tencent.mm.vending.b.b aD = this.uZU.aD(cVar);
        AppMethodBeat.o(58770);
        return aD;
    }

    public com.tencent.mm.vending.b.b addICoreServiceLifecycleCallback(com.tencent.mm.plugin.zero.a.a aVar) {
        AppMethodBeat.i(58771);
        com.tencent.mm.vending.b.b aD = this.uZV.aD(aVar);
        AppMethodBeat.o(58771);
        return aD;
    }
}
