package com.tencent.mm.pluginsdk.ui;

import android.annotation.TargetApi;
import android.app.Activity;
import android.content.Context;
import android.os.Bundle;
import android.os.Message;
import android.util.AttributeSet;
import android.widget.LinearLayout;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.modelvoiceaddr.g;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ak;
import com.tencent.mm.sdk.platformtools.ap;
import java.util.List;

public abstract class VoiceInputLayout extends LinearLayout {
    public int currentState = 1;
    private int gaD = g.gbc;
    private final ap gci = new ap(new 4(this), true);
    private ak ilv = new 1(this);
    protected boolean mNh = false;
    private int mNi = 3000;
    private int mNj = 10000;
    private ak mNk = new ak() {
        public final void handleMessage(Message message) {
            AppMethodBeat.i(27584);
            switch (message.what) {
                case 0:
                    VoiceInputLayout.this.bBQ();
                    AppMethodBeat.o(27584);
                    return;
                case 1:
                    Bundle data = message.getData();
                    VoiceInputLayout.this.V(data.getInt("localCode"), data.getInt("errType"), data.getInt("errCode"));
                    break;
            }
            AppMethodBeat.o(27584);
        }
    };
    private b vjq = null;
    private g vjr;
    protected a vjs;

    public interface a {
        void bBI();
    }

    public interface b {
        void at(int i, int i2, int i3);

        void bBC();

        void bBD();

        void bBE();

        void bBF();

        void bBz();

        void c(String[] strArr, List<String> list);
    }

    public abstract void bBM();

    public abstract void dX(boolean z);

    public abstract void onReset();

    public abstract void wj(int i);

    public void setLongClickLisnter(a aVar) {
        this.vjs = aVar;
    }

    public void setVoiceDetectListener(b bVar) {
        this.vjq = bVar;
    }

    public void setFromFullScreen(boolean z) {
        this.mNh = z;
    }

    @TargetApi(11)
    public VoiceInputLayout(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
    }

    public VoiceInputLayout(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }

    public final void bBO() {
        if (com.tencent.mm.r.a.bJ(getContext()) || com.tencent.mm.r.a.bH(getContext())) {
            ab.d("MicroMsg.VoiceInputLayout", "voip is running, cann't record voice");
            onReset();
            return;
        }
        ab.d("MicroMsg.VoiceInputLayout", "summerper checkPermission checkMicrophone[%s]", new Object[]{Boolean.valueOf(com.tencent.mm.pluginsdk.permission.b.o(getContext(), "android.permission.RECORD_AUDIO"))});
        if (com.tencent.mm.pluginsdk.permission.b.o(getContext(), "android.permission.RECORD_AUDIO")) {
            ab.d("MicroMsg.VoiceInputLayout", "doStart currentState = %s", new Object[]{Integer.valueOf(this.currentState)});
            if (this.currentState == 1) {
                this.currentState = 2;
                if (this.vjq != null) {
                    this.vjq.bBz();
                }
                this.gci.ae(50, 50);
                bBM();
                this.vjr = new g(this.gaD, 0, new 2(this));
                this.vjr.start();
            }
        } else if (getContext() instanceof Activity) {
            com.tencent.mm.pluginsdk.permission.b.b((Activity) getContext(), "android.permission.RECORD_AUDIO", 80);
        }
    }

    public final void amA() {
        ab.d("MicroMsg.VoiceInputLayout", "doCancel. state = %s", new Object[]{Integer.valueOf(this.currentState)});
        if (this.currentState != 1) {
            this.currentState = 1;
            if (this.vjq != null) {
                this.vjq.bBD();
            }
            if (this.vjr != null) {
                this.vjr.cancel(true);
            }
            onReset();
        }
    }

    public final void bBP() {
        ab.d("MicroMsg.VoiceInputLayout", "do Stop. currentState = %s", new Object[]{Integer.valueOf(this.currentState)});
        if (this.currentState != 1 && this.currentState == 2) {
            this.currentState = 3;
            if (this.vjq != null) {
                this.vjq.bBC();
            }
            if (this.gci != null) {
                this.gci.stopTimer();
            }
            this.ilv.removeMessages(0);
            this.ilv.sendEmptyMessageDelayed(0, (long) this.mNi);
            this.ilv.sendEmptyMessageDelayed(1, (long) this.mNj);
            dX(true);
            if (this.vjr != null) {
                this.vjr.stop(true);
            }
        }
    }

    public final void djt() {
        if (this.ilv != null) {
            this.ilv.removeCallbacksAndMessages(null);
        }
        if (this.mNk != null) {
            this.mNk.removeCallbacksAndMessages(null);
        }
        if (this.gci != null) {
            this.gci.stopTimer();
        }
    }

    public final void bBQ() {
        ab.d("MicroMsg.VoiceInputLayout", "doWaiting currentState = %s", new Object[]{Integer.valueOf(this.currentState)});
        if (this.currentState == 2) {
            this.currentState = 3;
            this.ilv.removeMessages(0);
            this.ilv.sendEmptyMessageDelayed(0, (long) this.mNi);
            this.ilv.sendEmptyMessageDelayed(1, (long) this.mNj);
            dX(false);
        }
    }

    public final void bBR() {
        V(12, -1, -1);
    }

    public final void V(int i, int i2, int i3) {
        ab.d("MicroMsg.VoiceInputLayout", "doNetworkError localerrorType:%s,errorType:%s,errCode:%s", new Object[]{Integer.valueOf(i), Integer.valueOf(i2), Integer.valueOf(i3)});
        this.currentState = 1;
        onReset();
        if (this.vjq != null) {
            this.vjq.at(i, i2, i3);
        }
    }

    /* Access modifiers changed, original: protected|final */
    public final void reset(boolean z) {
        ab.d("MicroMsg.VoiceInputLayout", "reset currentState %s", new Object[]{Integer.valueOf(this.currentState)});
        if (this.currentState != 1) {
            this.currentState = 1;
            onReset();
            if (z && this.vjq != null) {
                this.vjq.bBE();
            }
        }
    }

    public int getCurrentState() {
        return this.currentState;
    }

    public void setLangType(int i) {
        this.gaD = i;
    }
}
