package com.tencent.mm.ui.base;

import android.content.Context;
import android.database.DataSetObserver;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build.VERSION;
import android.os.Bundle;
import android.os.Parcelable;
import android.support.v4.widget.i;
import android.util.AttributeSet;
import android.view.GestureDetector;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.MeasureSpec;
import android.view.View.OnClickListener;
import android.view.View.OnTouchListener;
import android.view.ViewGroup;
import android.view.ViewGroup.LayoutParams;
import android.widget.AdapterView;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.ScrollView;
import android.widget.Scroller;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.util.ArrayList;
import java.util.LinkedList;
import java.util.List;
import java.util.Queue;

public class HorizontalListViewV2 extends AdapterView<ListAdapter> {
    protected ListAdapter Ei;
    private Drawable ahS = null;
    private int alv = 0;
    private GestureDetector iay;
    private OnClickListener mOnClickListener;
    private Rect mRect = new Rect();
    protected int ysD;
    protected int ysE;
    private int ysF = Integer.MAX_VALUE;
    private int ysG;
    private boolean ysL = false;
    protected Scroller ysP = new Scroller(getContext());
    private final a ysQ = new a(this, (byte) 0);
    private List<Queue<View>> ysR = new ArrayList();
    private View ysS = null;
    private Integer ysT = null;
    private int ysU;
    private int ysV;
    private int ysW;
    private e ysX = null;
    private int ysY = 0;
    private boolean ysZ = false;
    private d yta = null;
    private a ytb = a.ytk;
    private i ytc;
    private i ytd;
    private int yte;
    private boolean ytf = false;
    private boolean ytg = false;
    private DataSetObserver yth = new 2(this);
    private Runnable yti = new 3(this);

    static /* synthetic */ int a(HorizontalListViewV2 horizontalListViewV2, int i, int i2) {
        AppMethodBeat.i(106387);
        int hf = horizontalListViewV2.hf(i, i2);
        AppMethodBeat.o(106387);
        return hf;
    }

    static /* synthetic */ void d(HorizontalListViewV2 horizontalListViewV2) {
        AppMethodBeat.i(106382);
        horizontalListViewV2.dzw();
        AppMethodBeat.o(106382);
    }

    static /* synthetic */ void e(HorizontalListViewV2 horizontalListViewV2) {
        AppMethodBeat.i(106383);
        horizontalListViewV2.reset();
        AppMethodBeat.o(106383);
    }

    public HorizontalListViewV2(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        AppMethodBeat.i(106344);
        this.ytc = new i(context);
        this.ytd = new i(context);
        this.iay = new GestureDetector(context, this.ysQ);
        setOnTouchListener(new OnTouchListener() {
            public final boolean onTouch(View view, MotionEvent motionEvent) {
                AppMethodBeat.i(106328);
                boolean onTouchEvent = HorizontalListViewV2.this.iay.onTouchEvent(motionEvent);
                AppMethodBeat.o(106328);
                return onTouchEvent;
            }
        });
        initView();
        setWillNotDraw(false);
        if (VERSION.SDK_INT >= 11) {
            b.a(this.ysP);
        }
        AppMethodBeat.o(106344);
    }

    private void j(Boolean bool) {
        AppMethodBeat.i(106345);
        if (this.ytg != bool.booleanValue()) {
            View view = this;
            while (view.getParent() instanceof View) {
                if ((view.getParent() instanceof ListView) || (view.getParent() instanceof ScrollView)) {
                    view.getParent().requestDisallowInterceptTouchEvent(bool.booleanValue());
                    this.ytg = bool.booleanValue();
                    AppMethodBeat.o(106345);
                    return;
                }
                view = (View) view.getParent();
            }
        }
        AppMethodBeat.o(106345);
    }

    public Parcelable onSaveInstanceState() {
        AppMethodBeat.i(106346);
        Bundle bundle = new Bundle();
        bundle.putParcelable("BUNDLE_ID_PARENT_STATE", super.onSaveInstanceState());
        bundle.putInt("BUNDLE_ID_CURRENT_X", this.ysD);
        AppMethodBeat.o(106346);
        return bundle;
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        AppMethodBeat.i(106347);
        if (parcelable instanceof Bundle) {
            Bundle bundle = (Bundle) parcelable;
            this.ysT = Integer.valueOf(bundle.getInt("BUNDLE_ID_CURRENT_X"));
            super.onRestoreInstanceState(bundle.getParcelable("BUNDLE_ID_PARENT_STATE"));
        }
        AppMethodBeat.o(106347);
    }

    public void setDivider(Drawable drawable) {
        AppMethodBeat.i(106348);
        this.ahS = drawable;
        if (drawable != null) {
            setDividerWidth(drawable.getIntrinsicWidth());
            AppMethodBeat.o(106348);
            return;
        }
        setDividerWidth(0);
        AppMethodBeat.o(106348);
    }

    public void setDividerWidth(int i) {
        AppMethodBeat.i(106349);
        this.alv = i;
        requestLayout();
        invalidate();
        AppMethodBeat.o(106349);
    }

    private void initView() {
        AppMethodBeat.i(106350);
        this.ysU = -1;
        this.ysV = -1;
        this.ysG = 0;
        this.ysD = 0;
        this.ysE = 0;
        this.ysF = Integer.MAX_VALUE;
        setCurrentScrollState(a.ytk);
        AppMethodBeat.o(106350);
    }

    private void reset() {
        AppMethodBeat.i(106351);
        initView();
        removeAllViewsInLayout();
        requestLayout();
        AppMethodBeat.o(106351);
    }

    public void setSelection(int i) {
        this.ysW = i;
    }

    public View getSelectedView() {
        AppMethodBeat.i(106352);
        int i = this.ysW;
        if (i < this.ysU || i > this.ysV) {
            AppMethodBeat.o(106352);
            return null;
        }
        View childAt = getChildAt(i - this.ysU);
        AppMethodBeat.o(106352);
        return childAt;
    }

    public void setAdapter(ListAdapter listAdapter) {
        int i = 0;
        AppMethodBeat.i(106353);
        if (this.Ei != null) {
            this.Ei.unregisterDataSetObserver(this.yth);
        }
        if (listAdapter != null) {
            this.ysZ = false;
            this.Ei = listAdapter;
            this.Ei.registerDataSetObserver(this.yth);
        }
        if (this.Ei != null) {
            int viewTypeCount = this.Ei.getViewTypeCount();
            this.ysR.clear();
            while (i < viewTypeCount) {
                this.ysR.add(new LinkedList());
                i++;
            }
        }
        reset();
        AppMethodBeat.o(106353);
    }

    public ListAdapter getAdapter() {
        return this.Ei;
    }

    private View Ny(int i) {
        AppMethodBeat.i(106354);
        int itemViewType = this.Ei.getItemViewType(i);
        if (Nz(itemViewType)) {
            View view = (View) ((Queue) this.ysR.get(itemViewType)).poll();
            AppMethodBeat.o(106354);
            return view;
        }
        AppMethodBeat.o(106354);
        return null;
    }

    private void i(int i, View view) {
        AppMethodBeat.i(106355);
        int itemViewType = this.Ei.getItemViewType(i);
        if (Nz(itemViewType)) {
            ((Queue) this.ysR.get(itemViewType)).offer(view);
        }
        AppMethodBeat.o(106355);
    }

    private boolean Nz(int i) {
        AppMethodBeat.i(106356);
        if (i < this.ysR.size()) {
            AppMethodBeat.o(106356);
            return true;
        }
        AppMethodBeat.o(106356);
        return false;
    }

    private void ai(View view, int i) {
        int makeMeasureSpec;
        AppMethodBeat.i(106357);
        addViewInLayout(view, i, eF(view), true);
        LayoutParams eF = eF(view);
        int childMeasureSpec = ViewGroup.getChildMeasureSpec(this.yte, getPaddingTop() + getPaddingBottom(), eF.height);
        if (eF.width > 0) {
            makeMeasureSpec = MeasureSpec.makeMeasureSpec(eF.width, 1073741824);
        } else {
            makeMeasureSpec = MeasureSpec.makeMeasureSpec(0, 0);
        }
        view.measure(makeMeasureSpec, childMeasureSpec);
        AppMethodBeat.o(106357);
    }

    private static LayoutParams eF(View view) {
        AppMethodBeat.i(106358);
        LayoutParams layoutParams = view.getLayoutParams();
        if (layoutParams == null) {
            layoutParams = new LayoutParams(-2, -1);
        }
        AppMethodBeat.o(106358);
        return layoutParams;
    }

    /* Access modifiers changed, original: protected */
    /* JADX WARNING: Removed duplicated region for block: B:95:0x0234  */
    /* JADX WARNING: Removed duplicated region for block: B:93:0x0227  */
    @android.annotation.SuppressLint({"WrongCall"})
    public void onLayout(boolean r9, int r10, int r11, int r12, int r13) {
        /*
        r8 = this;
        r0 = 106359; // 0x19f77 float:1.49041E-40 double:5.25483E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r0);
        super.onLayout(r9, r10, r11, r12, r13);
        r0 = r8.Ei;
        if (r0 != 0) goto L_0x0014;
    L_0x000d:
        r0 = 106359; // 0x19f77 float:1.49041E-40 double:5.25483E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
    L_0x0013:
        return;
    L_0x0014:
        r8.invalidate();
        r0 = r8.ysL;
        if (r0 == 0) goto L_0x0028;
    L_0x001b:
        r0 = r8.ysD;
        r8.initView();
        r8.removeAllViewsInLayout();
        r8.ysE = r0;
        r0 = 0;
        r8.ysL = r0;
    L_0x0028:
        r0 = r8.ysT;
        if (r0 == 0) goto L_0x0037;
    L_0x002c:
        r0 = r8.ysT;
        r0 = r0.intValue();
        r8.ysE = r0;
        r0 = 0;
        r8.ysT = r0;
    L_0x0037:
        r0 = r8.ysP;
        r0 = r0.computeScrollOffset();
        if (r0 == 0) goto L_0x0047;
    L_0x003f:
        r0 = r8.ysP;
        r0 = r0.getCurrX();
        r8.ysE = r0;
    L_0x0047:
        r0 = r8.ysE;
        if (r0 >= 0) goto L_0x00a6;
    L_0x004b:
        r0 = 0;
        r8.ysE = r0;
        r0 = r8.ytc;
        r0 = r0.QM;
        r0 = r0.isFinished();
        if (r0 == 0) goto L_0x0062;
    L_0x0058:
        r0 = r8.ytc;
        r1 = r8.dzu();
        r1 = (int) r1;
        r0.aT(r1);
    L_0x0062:
        r0 = r8.ysP;
        r1 = 1;
        r0.forceFinished(r1);
        r0 = com.tencent.mm.ui.base.HorizontalListViewV2.d.a.ytk;
        r8.setCurrentScrollState(r0);
    L_0x006d:
        r0 = r8.ysD;
        r1 = r8.ysE;
        r2 = r0 - r1;
        r0 = r8.getLeftmostChild();
        r1 = r0;
    L_0x0078:
        if (r1 == 0) goto L_0x00d8;
    L_0x007a:
        r0 = r1.getRight();
        r0 = r0 + r2;
        if (r0 > 0) goto L_0x00d8;
    L_0x0081:
        r3 = r8.ysG;
        r0 = r8.ysU;
        r0 = r8.NA(r0);
        if (r0 == 0) goto L_0x00d0;
    L_0x008b:
        r0 = r1.getMeasuredWidth();
    L_0x008f:
        r0 = r0 + r3;
        r8.ysG = r0;
        r0 = r8.ysU;
        r8.i(r0, r1);
        r8.removeViewInLayout(r1);
        r0 = r8.ysU;
        r0 = r0 + 1;
        r8.ysU = r0;
        r0 = r8.getLeftmostChild();
        r1 = r0;
        goto L_0x0078;
    L_0x00a6:
        r0 = r8.ysE;
        r1 = r8.ysF;
        if (r0 <= r1) goto L_0x006d;
    L_0x00ac:
        r0 = r8.ysF;
        r8.ysE = r0;
        r0 = r8.ytd;
        r0 = r0.QM;
        r0 = r0.isFinished();
        if (r0 == 0) goto L_0x00c4;
    L_0x00ba:
        r0 = r8.ytd;
        r1 = r8.dzu();
        r1 = (int) r1;
        r0.aT(r1);
    L_0x00c4:
        r0 = r8.ysP;
        r1 = 1;
        r0.forceFinished(r1);
        r0 = com.tencent.mm.ui.base.HorizontalListViewV2.d.a.ytk;
        r8.setCurrentScrollState(r0);
        goto L_0x006d;
    L_0x00d0:
        r0 = r8.alv;
        r4 = r1.getMeasuredWidth();
        r0 = r0 + r4;
        goto L_0x008f;
    L_0x00d8:
        r0 = r8.getRightmostChild();
        if (r0 == 0) goto L_0x00f8;
    L_0x00de:
        r1 = r0.getLeft();
        r1 = r1 + r2;
        r3 = r8.getWidth();
        if (r1 < r3) goto L_0x00f8;
    L_0x00e9:
        r1 = r8.ysV;
        r8.i(r1, r0);
        r8.removeViewInLayout(r0);
        r0 = r8.ysV;
        r0 = r0 + -1;
        r8.ysV = r0;
        goto L_0x00d8;
    L_0x00f8:
        r0 = 0;
        r1 = r8.getRightmostChild();
        if (r1 == 0) goto L_0x0103;
    L_0x00ff:
        r0 = r1.getRight();
    L_0x0103:
        r1 = r0 + r2;
        r3 = r8.alv;
        r1 = r1 + r3;
        r3 = r8.getWidth();
        if (r1 >= r3) goto L_0x0167;
    L_0x010e:
        r1 = r8.ysV;
        r1 = r1 + 1;
        r3 = r8.Ei;
        r3 = r3.getCount();
        if (r1 >= r3) goto L_0x0167;
    L_0x011a:
        r1 = r8.ysV;
        r1 = r1 + 1;
        r8.ysV = r1;
        r1 = r8.ysU;
        if (r1 >= 0) goto L_0x0128;
    L_0x0124:
        r1 = r8.ysV;
        r8.ysU = r1;
    L_0x0128:
        r1 = r8.Ei;
        r3 = r8.ysV;
        r4 = r8.ysV;
        r4 = r8.Ny(r4);
        r3 = r1.getView(r3, r4, r8);
        r1 = -1;
        r8.ai(r3, r1);
        r1 = r8.ysV;
        if (r1 != 0) goto L_0x0164;
    L_0x013e:
        r1 = 0;
    L_0x013f:
        r3 = r3.getMeasuredWidth();
        r1 = r1 + r3;
        r0 = r0 + r1;
        r1 = r8.ysX;
        if (r1 == 0) goto L_0x0103;
    L_0x0149:
        r1 = r8.Ei;
        if (r1 == 0) goto L_0x0103;
    L_0x014d:
        r1 = r8.Ei;
        r1 = r1.getCount();
        r3 = r8.ysV;
        r3 = r3 + 1;
        r1 = r1 - r3;
        r3 = r8.ysY;
        if (r1 >= r3) goto L_0x0103;
    L_0x015c:
        r1 = r8.ysZ;
        if (r1 != 0) goto L_0x0103;
    L_0x0160:
        r1 = 1;
        r8.ysZ = r1;
        goto L_0x0103;
    L_0x0164:
        r1 = r8.alv;
        goto L_0x013f;
    L_0x0167:
        r0 = 0;
        r1 = r8.getLeftmostChild();
        if (r1 == 0) goto L_0x0172;
    L_0x016e:
        r0 = r1.getLeft();
    L_0x0172:
        r1 = r0 + r2;
        r3 = r8.alv;
        r1 = r1 - r3;
        if (r1 <= 0) goto L_0x01bd;
    L_0x0179:
        r1 = r8.ysU;
        if (r1 <= 0) goto L_0x01bd;
    L_0x017d:
        r1 = r8.ysU;
        r1 = r1 + -1;
        r8.ysU = r1;
        r1 = r8.Ei;
        r3 = r8.ysU;
        r4 = r8.ysU;
        r4 = r8.Ny(r4);
        r3 = r1.getView(r3, r4, r8);
        r1 = 0;
        r8.ai(r3, r1);
        r1 = r8.ysU;
        if (r1 != 0) goto L_0x01ad;
    L_0x0199:
        r1 = r3.getMeasuredWidth();
    L_0x019d:
        r0 = r0 - r1;
        r4 = r8.ysG;
        r1 = r0 + r2;
        if (r1 != 0) goto L_0x01b5;
    L_0x01a4:
        r1 = r3.getMeasuredWidth();
    L_0x01a8:
        r1 = r4 - r1;
        r8.ysG = r1;
        goto L_0x0172;
    L_0x01ad:
        r1 = r8.alv;
        r4 = r3.getMeasuredWidth();
        r1 = r1 + r4;
        goto L_0x019d;
    L_0x01b5:
        r1 = r8.alv;
        r3 = r3.getMeasuredWidth();
        r1 = r1 + r3;
        goto L_0x01a8;
    L_0x01bd:
        r3 = r8.getChildCount();
        if (r3 <= 0) goto L_0x01f2;
    L_0x01c3:
        r0 = r8.ysG;
        r0 = r0 + r2;
        r8.ysG = r0;
        r1 = r8.ysG;
        r0 = 0;
    L_0x01cb:
        if (r0 >= r3) goto L_0x01f2;
    L_0x01cd:
        r2 = r8.getChildAt(r0);
        r4 = r8.getPaddingLeft();
        r4 = r4 + r1;
        r5 = r8.getPaddingTop();
        r6 = r2.getMeasuredWidth();
        r6 = r6 + r4;
        r7 = r2.getMeasuredHeight();
        r7 = r7 + r5;
        r2.layout(r4, r5, r6, r7);
        r2 = r2.getMeasuredWidth();
        r4 = r8.alv;
        r2 = r2 + r4;
        r1 = r1 + r2;
        r0 = r0 + 1;
        goto L_0x01cb;
    L_0x01f2:
        r0 = r8.ysE;
        r8.ysD = r0;
        r0 = r8.ysV;
        r0 = r8.NA(r0);
        if (r0 == 0) goto L_0x0232;
    L_0x01fe:
        r0 = r8.getRightmostChild();
        if (r0 == 0) goto L_0x0232;
    L_0x0204:
        r1 = r8.ysF;
        r2 = r8.ysD;
        r0 = r0.getRight();
        r3 = r8.getPaddingLeft();
        r0 = r0 - r3;
        r0 = r0 + r2;
        r2 = r8.getRenderWidth();
        r0 = r0 - r2;
        r8.ysF = r0;
        r0 = r8.ysF;
        if (r0 >= 0) goto L_0x0220;
    L_0x021d:
        r0 = 0;
        r8.ysF = r0;
    L_0x0220:
        r0 = r8.ysF;
        if (r0 == r1) goto L_0x0232;
    L_0x0224:
        r0 = 1;
    L_0x0225:
        if (r0 == 0) goto L_0x0234;
    L_0x0227:
        r8.onLayout(r9, r10, r11, r12, r13);
        r0 = 106359; // 0x19f77 float:1.49041E-40 double:5.25483E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
        goto L_0x0013;
    L_0x0232:
        r0 = 0;
        goto L_0x0225;
    L_0x0234:
        r0 = r8.ysP;
        r0 = r0.isFinished();
        if (r0 == 0) goto L_0x024f;
    L_0x023c:
        r0 = r8.ytb;
        r1 = com.tencent.mm.ui.base.HorizontalListViewV2.d.a.ytm;
        if (r0 != r1) goto L_0x0254;
    L_0x0242:
        r0 = com.tencent.mm.ui.base.HorizontalListViewV2.d.a.ytk;
        r8.setCurrentScrollState(r0);
        r0 = 106359; // 0x19f77 float:1.49041E-40 double:5.25483E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
        goto L_0x0013;
    L_0x024f:
        r0 = r8.yti;
        android.support.v4.view.s.b(r8, r0);
    L_0x0254:
        r0 = 106359; // 0x19f77 float:1.49041E-40 double:5.25483E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
        goto L_0x0013;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.ui.base.HorizontalListViewV2.onLayout(boolean, int, int, int, int):void");
    }

    /* Access modifiers changed, original: protected */
    public float getLeftFadingEdgeStrength() {
        AppMethodBeat.i(106360);
        int horizontalFadingEdgeLength = getHorizontalFadingEdgeLength();
        if (this.ysD == 0) {
            AppMethodBeat.o(106360);
            return 0.0f;
        } else if (this.ysD < horizontalFadingEdgeLength) {
            float f = ((float) this.ysD) / ((float) horizontalFadingEdgeLength);
            AppMethodBeat.o(106360);
            return f;
        } else {
            AppMethodBeat.o(106360);
            return 1.0f;
        }
    }

    /* Access modifiers changed, original: protected */
    public float getRightFadingEdgeStrength() {
        AppMethodBeat.i(106361);
        int horizontalFadingEdgeLength = getHorizontalFadingEdgeLength();
        if (this.ysD == this.ysF) {
            AppMethodBeat.o(106361);
            return 0.0f;
        } else if (this.ysF - this.ysD < horizontalFadingEdgeLength) {
            float f = ((float) (this.ysF - this.ysD)) / ((float) horizontalFadingEdgeLength);
            AppMethodBeat.o(106361);
            return f;
        } else {
            AppMethodBeat.o(106361);
            return 1.0f;
        }
    }

    private float dzu() {
        AppMethodBeat.i(106362);
        if (VERSION.SDK_INT >= 14) {
            float b = c.b(this.ysP);
            AppMethodBeat.o(106362);
            return b;
        }
        AppMethodBeat.o(106362);
        return 30.0f;
    }

    /* Access modifiers changed, original: protected */
    public void onMeasure(int i, int i2) {
        AppMethodBeat.i(106363);
        super.onMeasure(i, i2);
        this.yte = i2;
        AppMethodBeat.o(106363);
    }

    private View getLeftmostChild() {
        AppMethodBeat.i(106364);
        View childAt = getChildAt(0);
        AppMethodBeat.o(106364);
        return childAt;
    }

    private View getRightmostChild() {
        AppMethodBeat.i(106365);
        View childAt = getChildAt(getChildCount() - 1);
        AppMethodBeat.o(106365);
        return childAt;
    }

    private int hf(int i, int i2) {
        AppMethodBeat.i(106366);
        int childCount = getChildCount();
        for (int i3 = 0; i3 < childCount; i3++) {
            getChildAt(i3).getHitRect(this.mRect);
            if (this.mRect.contains(i, i2)) {
                AppMethodBeat.o(106366);
                return i3;
            }
        }
        AppMethodBeat.o(106366);
        return -1;
    }

    private boolean NA(int i) {
        AppMethodBeat.i(106367);
        if (i == this.Ei.getCount() - 1) {
            AppMethodBeat.o(106367);
            return true;
        }
        AppMethodBeat.o(106367);
        return false;
    }

    private int getRenderHeight() {
        AppMethodBeat.i(106368);
        int height = (getHeight() - getPaddingTop()) - getPaddingBottom();
        AppMethodBeat.o(106368);
        return height;
    }

    private int getRenderWidth() {
        AppMethodBeat.i(106369);
        int width = (getWidth() - getPaddingLeft()) - getPaddingRight();
        AppMethodBeat.o(106369);
        return width;
    }

    public final void dzv() {
        AppMethodBeat.i(106370);
        this.ysP.startScroll(this.ysE, 0, 0 - this.ysE, 0);
        setCurrentScrollState(a.ytm);
        requestLayout();
        AppMethodBeat.o(106370);
    }

    public int getFirstVisiblePosition() {
        return this.ysU;
    }

    public int getLastVisiblePosition() {
        return this.ysV;
    }

    private void a(Canvas canvas, Rect rect) {
        AppMethodBeat.i(106371);
        if (this.ahS != null) {
            this.ahS.setBounds(rect);
            this.ahS.draw(canvas);
        }
        AppMethodBeat.o(106371);
    }

    /* Access modifiers changed, original: protected */
    public void onDraw(Canvas canvas) {
        AppMethodBeat.i(106372);
        super.onDraw(canvas);
        int childCount = getChildCount();
        Rect rect = this.mRect;
        this.mRect.top = getPaddingTop();
        this.mRect.bottom = this.mRect.top + getRenderHeight();
        for (int i = 0; i < childCount; i++) {
            if (i != childCount - 1 || !NA(this.ysV)) {
                View childAt = getChildAt(i);
                rect.left = childAt.getRight();
                rect.right = childAt.getRight() + this.alv;
                if (rect.left < getPaddingLeft()) {
                    rect.left = getPaddingLeft();
                }
                if (rect.right > getWidth() - getPaddingRight()) {
                    rect.right = getWidth() - getPaddingRight();
                }
                a(canvas, rect);
                if (i == 0 && childAt.getLeft() > getPaddingLeft()) {
                    rect.left = getPaddingLeft();
                    rect.right = childAt.getLeft();
                    a(canvas, rect);
                }
            }
        }
        AppMethodBeat.o(106372);
    }

    /* Access modifiers changed, original: protected */
    public void dispatchDraw(Canvas canvas) {
        AppMethodBeat.i(106373);
        super.dispatchDraw(canvas);
        AppMethodBeat.o(106373);
    }

    /* Access modifiers changed, original: protected */
    public void dispatchSetPressed(boolean z) {
    }

    /* Access modifiers changed, original: protected|final */
    public final boolean bp(float f) {
        AppMethodBeat.i(106374);
        this.ysP.fling(this.ysE, 0, (int) (-f), 0, 0, this.ysF, 0, 0);
        setCurrentScrollState(a.ytm);
        requestLayout();
        AppMethodBeat.o(106374);
        return true;
    }

    /* Access modifiers changed, original: protected|final */
    public final boolean onDown(MotionEvent motionEvent) {
        AppMethodBeat.i(106375);
        this.ytf = !this.ysP.isFinished();
        this.ysP.forceFinished(true);
        setCurrentScrollState(a.ytk);
        dzw();
        if (!this.ytf) {
            int hf = hf((int) motionEvent.getX(), (int) motionEvent.getY());
            if (hf >= 0) {
                this.ysS = getChildAt(hf);
                if (this.ysS != null) {
                    this.ysS.setPressed(true);
                    refreshDrawableState();
                }
            }
        }
        AppMethodBeat.o(106375);
        return true;
    }

    private void dzw() {
        AppMethodBeat.i(106376);
        if (this.ysS != null) {
            this.ysS.setPressed(false);
            refreshDrawableState();
            this.ysS = null;
        }
        AppMethodBeat.o(106376);
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        AppMethodBeat.i(106377);
        if (motionEvent.getAction() == 1) {
            if (this.ysP == null || this.ysP.isFinished()) {
                setCurrentScrollState(a.ytk);
            }
            j(Boolean.FALSE);
            dzx();
        } else if (motionEvent.getAction() == 3) {
            dzw();
            dzx();
            j(Boolean.FALSE);
        }
        boolean onTouchEvent = super.onTouchEvent(motionEvent);
        AppMethodBeat.o(106377);
        return onTouchEvent;
    }

    private void dzx() {
        AppMethodBeat.i(106378);
        if (this.ytc != null) {
            this.ytc.eL();
        }
        if (this.ytd != null) {
            this.ytd.eL();
        }
        AppMethodBeat.o(106378);
    }

    public void setOnClickListener(OnClickListener onClickListener) {
        this.mOnClickListener = onClickListener;
    }

    public void setOnScrollStateChangedListener(d dVar) {
        this.yta = dVar;
    }

    private void setCurrentScrollState(a aVar) {
        AppMethodBeat.i(106379);
        if (!(this.ytb == aVar || this.yta == null)) {
            this.yta.a(aVar);
        }
        this.ytb = aVar;
        AppMethodBeat.o(106379);
    }
}
