package com.tencent.mm.ui.base;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.MeasureSpec;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ad.a.a;
import com.tencent.mm.sdk.platformtools.ab;
import java.util.LinkedList;

public class MMSingelLinePanel extends MMTagPanel {
    static final /* synthetic */ boolean $assertionsDisabled = (!MMSingelLinePanel.class.desiredAssertionStatus());
    private boolean mSingleLine;
    private int ysw;
    private int ysx;
    private LinkedList<Integer> ysy;
    private TextView ywY;
    private int ywZ;
    private int yxa;

    static {
        AppMethodBeat.i(106769);
        AppMethodBeat.o(106769);
    }

    public MMSingelLinePanel(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public MMSingelLinePanel(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        AppMethodBeat.i(106764);
        this.ysy = new LinkedList();
        this.ysw = 0;
        this.ysx = 0;
        this.mSingleLine = true;
        this.ywZ = 0;
        this.yxa = 0;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, a.FlowLayout);
        try {
            this.ysw = obtainStyledAttributes.getDimensionPixelSize(0, 0);
            this.ysx = obtainStyledAttributes.getDimensionPixelSize(1, 0);
        } finally {
            obtainStyledAttributes.recycle();
            AppMethodBeat.o(106764);
        }
    }

    public final void dzU() {
        AppMethodBeat.i(106765);
        super.dzU();
        this.ywY = new TextView(getContext());
        this.ywY.setText("...");
        this.ywY.setTextColor(getResources().getColor(2131690683));
        this.ywY.setLayoutParams(generateDefaultLayoutParams());
        addView(this.ywY);
        AppMethodBeat.o(106765);
    }

    public void setSingleLine(boolean z) {
        AppMethodBeat.i(106766);
        this.mSingleLine = z;
        this.ywY = new TextView(getContext());
        this.ywY.setText("...");
        this.ywY.setLayoutParams(generateDefaultLayoutParams());
        addView(this.ywY);
        AppMethodBeat.o(106766);
    }

    /* Access modifiers changed, original: protected */
    public void onMeasure(int i, int i2) {
        AppMethodBeat.i(106767);
        if ($assertionsDisabled || MeasureSpec.getMode(i) != 0) {
            int makeMeasureSpec;
            int size = (MeasureSpec.getSize(i) - getPaddingLeft()) - getPaddingRight();
            int size2 = (MeasureSpec.getSize(i2) - getPaddingTop()) - getPaddingBottom();
            int childCount = getChildCount();
            this.ysy.clear();
            int i3 = 0;
            int i4 = 0;
            int i5 = 0;
            if (MeasureSpec.getMode(i2) == Integer.MIN_VALUE) {
                makeMeasureSpec = MeasureSpec.makeMeasureSpec(size2, Integer.MIN_VALUE);
            } else {
                makeMeasureSpec = MeasureSpec.makeMeasureSpec(0, 0);
            }
            if (this.mSingleLine && this.ywY != null) {
                this.ywY.measure(MeasureSpec.makeMeasureSpec(size, Integer.MIN_VALUE), makeMeasureSpec);
                this.ywZ = this.ywY.getMeasuredWidth();
                this.yxa = this.ywY.getMeasuredHeight();
                ab.d("MicroMsg.MMTagContactPanel", "mEllipsisWidth %d", new Object[]{Integer.valueOf(this.ywZ)});
            }
            if (this.mSingleLine) {
                size -= this.ywZ;
            }
            int i6 = 0;
            for (int i7 = 0; i7 < childCount; i7++) {
                View childAt = getChildAt(i7);
                if (childAt.getVisibility() != 8) {
                    childAt.measure(MeasureSpec.makeMeasureSpec(size, Integer.MIN_VALUE), makeMeasureSpec);
                    int measuredWidth = childAt.getMeasuredWidth();
                    i6 = childAt.getMeasuredHeight();
                    if (i3 + measuredWidth > size) {
                        i3 = 0;
                        i4 += this.ysx + i5;
                        this.ysy.add(Integer.valueOf(i5));
                        i5 = 0;
                    }
                    i5 = Math.max(i5, childAt.getMeasuredHeight());
                    i3 += this.ysw + measuredWidth;
                }
            }
            this.ysy.add(Integer.valueOf(i5));
            if (this.mSingleLine) {
                getPaddingTop();
                getPaddingBottom();
            } else if (MeasureSpec.getMode(i2) == 0) {
                getPaddingTop();
                getPaddingBottom();
            } else if (MeasureSpec.getMode(i2) == Integer.MIN_VALUE && i4 + i5 < size2) {
                getPaddingTop();
                getPaddingBottom();
            }
            setMeasuredDimension(MeasureSpec.getSize(i), i6);
            AppMethodBeat.o(106767);
            return;
        }
        AssertionError assertionError = new AssertionError();
        AppMethodBeat.o(106767);
        throw assertionError;
    }

    /* Access modifiers changed, original: protected */
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        AppMethodBeat.i(106768);
        int childCount;
        int i5;
        int paddingLeft;
        int paddingTop;
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        if (this.mSingleLine) {
            childCount = getChildCount();
            i5 = (i3 - i) - this.ywZ;
            paddingLeft = getPaddingLeft();
            paddingTop = getPaddingTop();
            i6 = 0;
            i7 = 0;
            i8 = 0;
            int i11 = 0;
            while (i11 < childCount) {
                View childAt = getChildAt(i11);
                if (childAt.getVisibility() == 8 || childAt == this.ywY) {
                    i9 = i8;
                    i10 = paddingTop;
                } else {
                    int measuredWidth = childAt.getMeasuredWidth();
                    int measuredHeight = childAt.getMeasuredHeight();
                    if ((paddingLeft + measuredWidth) + getPaddingRight() > i5) {
                        paddingLeft = getPaddingLeft();
                        paddingTop += ((Integer) this.ysy.get(i8)).intValue() + this.ysx;
                        i9 = i8 + 1;
                    } else {
                        i9 = i8;
                    }
                    if (i9 <= 0) {
                        childAt.layout(paddingLeft, paddingTop + 0, paddingLeft + measuredWidth, (paddingTop + 0) + measuredHeight);
                        i8 = (this.ysw + measuredWidth) + paddingLeft;
                        i7 = paddingTop;
                        i6 = i8;
                        i10 = paddingTop;
                        paddingLeft = i8;
                    } else {
                        i10 = paddingTop;
                    }
                }
                i11++;
                i8 = i9;
                paddingTop = i10;
            }
            if (this.ywY != null) {
                if (i8 > 0) {
                    this.ywY.layout(i6, i7, this.ywZ + i6, this.yxa + i7);
                    AppMethodBeat.o(106768);
                    return;
                }
                this.ywY.layout(0, 0, 0, 0);
            }
            AppMethodBeat.o(106768);
            return;
        }
        i10 = getChildCount();
        paddingLeft = i3 - i;
        i9 = getPaddingLeft();
        i7 = getPaddingTop();
        i8 = 0;
        for (i6 = 0; i6 < i10; i6++) {
            View childAt2 = getChildAt(i6);
            if (!(childAt2.getVisibility() == 8 || childAt2 == this.ywY)) {
                childCount = childAt2.getMeasuredWidth();
                i5 = childAt2.getMeasuredHeight();
                if ((i9 + childCount) + getPaddingRight() > paddingLeft) {
                    paddingTop = getPaddingLeft();
                    i7 += ((Integer) this.ysy.get(i8)).intValue() + this.ysx;
                    i8++;
                } else {
                    paddingTop = i9;
                }
                i9 = (((Integer) this.ysy.get(i8)).intValue() - i5) / 2;
                childAt2.layout(paddingTop, i7 + i9, paddingTop + childCount, (i9 + i7) + i5);
                i9 = (this.ysw + childCount) + paddingTop;
            }
        }
        AppMethodBeat.o(106768);
    }

    public boolean dispatchTouchEvent(MotionEvent motionEvent) {
        return false;
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        return true;
    }
}
