package com.tencent.mm.ui.conversation;

import android.content.Intent;
import android.os.Bundle;
import android.support.annotation.Keep;
import android.support.v4.app.FragmentActivity;
import android.text.TextUtils;
import android.view.ContextMenu;
import android.view.ContextMenu.ContextMenuInfo;
import android.view.MenuItem;
import android.view.View;
import android.widget.AdapterView.AdapterContextMenuInfo;
import android.widget.ListView;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.g.a.o;
import com.tencent.mm.kernel.g;
import com.tencent.mm.model.aw;
import com.tencent.mm.model.bf;
import com.tencent.mm.model.c;
import com.tencent.mm.plugin.appbrand.config.WxaAttributes;
import com.tencent.mm.plugin.report.service.h;
import com.tencent.mm.protocal.protobuf.bts;
import com.tencent.mm.protocal.protobuf.vo;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.storage.ad;
import com.tencent.mm.storage.ak;
import com.tencent.mm.storage.bi;
import com.tencent.mm.ui.appbrand.a;
import com.tencent.mm.ui.base.n.d;
import com.tencent.mm.ui.base.p;
import com.tencent.mm.ui.conversation.BaseConversationUI.BaseConversationFmUI;
import com.tencent.mm.ui.tools.j;
import com.tencent.tencentmap.mapsdk.map.BuildConfig;
import java.math.BigInteger;
import java.util.List;

@Keep
public class AppBrandServiceConversationUI$AppBrandServiceConversationFmUI extends BaseConversationFmUI implements d {
    private static final int CONTEXT_MENU_LONGCLICK_ACCEPT_MSG = 1;
    private static final int CONTEXT_MENU_LONGCLICK_DELETE = 3;
    private static final int CONTEXT_MENU_LONGCLICK_REFUSE_MSG = 2;
    private static final String TAG = "MicroMsg.AppBrandServiceConversationFmUI";
    private e adapter;
    private a appBrandServiceActionSheet;
    private ListView appbrandMessageLV;
    private j contextMenuHelper;
    private ak conversation;
    private TextView emptyTipTv;
    private int fromScene;
    private boolean isDeleteCancel = false;
    private String mAppId;
    private String mSceneId;
    private String superUsername;
    private String talker = BuildConfig.FLAVOR;
    private p tipDialog = null;

    static /* synthetic */ void access$200(AppBrandServiceConversationUI$AppBrandServiceConversationFmUI appBrandServiceConversationUI$AppBrandServiceConversationFmUI, int i) {
        AppMethodBeat.i(34021);
        appBrandServiceConversationUI$AppBrandServiceConversationFmUI.setShowView(i);
        AppMethodBeat.o(34021);
    }

    static /* synthetic */ void access$800(AppBrandServiceConversationUI$AppBrandServiceConversationFmUI appBrandServiceConversationUI$AppBrandServiceConversationFmUI, String str) {
        AppMethodBeat.i(34022);
        appBrandServiceConversationUI$AppBrandServiceConversationFmUI.delConversationAndMsg(str);
        AppMethodBeat.o(34022);
    }

    public void onActivityCreated(Bundle bundle) {
        AppMethodBeat.i(34004);
        ab.i(TAG, "onActivityCreated");
        super.onActivityCreated(bundle);
        this.superUsername = getStringExtra("Contact_User");
        if (TextUtils.isEmpty(this.superUsername)) {
            this.superUsername = "appbrandcustomerservicemsg";
        }
        this.fromScene = getIntExtra("app_brand_conversation_from_scene", 1);
        ab.i(TAG, "fromScene:%d", new Object[]{Integer.valueOf(this.fromScene)});
        aw.ZK();
        this.mSceneId = System.currentTimeMillis() + intToString(c.QF());
        initView();
        addIconOptionMenu(1, 2131230874, new 1(this));
        aw.ZK();
        c.XR().a(this.adapter);
        cleadAllServiceAppBrandUnreadCount();
        enterConversationReport();
        batchSyncForWxaContact();
        AppMethodBeat.o(34004);
    }

    private void cleadAllServiceAppBrandUnreadCount() {
        AppMethodBeat.i(34005);
        com.tencent.mm.sdk.b.a.xxA.m(new o());
        AppMethodBeat.o(34005);
    }

    public int getLayoutId() {
        return 2130970930;
    }

    public String getUserName() {
        return this.superUsername;
    }

    public void onDestroy() {
        AppMethodBeat.i(34006);
        if (aw.RK()) {
            aw.ZK();
            c.XR().b(this.adapter);
        }
        batchSyncForWxaContact();
        if (this.adapter != null) {
            this.adapter.onDestroy();
        }
        super.onDestroy();
        AppMethodBeat.o(34006);
    }

    public void onResume() {
        AppMethodBeat.i(34007);
        ab.i(TAG, "on resume");
        if (this.adapter != null) {
            this.adapter.onResume();
        }
        super.onResume();
        AppMethodBeat.o(34007);
    }

    public void onPause() {
        AppMethodBeat.i(34008);
        ab.i(TAG, "on pause");
        aw.ZK();
        c.XR().apb(this.superUsername);
        if (this.adapter != null) {
            this.adapter.onPause();
        }
        super.onPause();
        AppMethodBeat.o(34008);
    }

    private void batchSyncForWxaContact() {
        AppMethodBeat.i(34009);
        if (this.adapter == null || this.adapter.getCount() == 0) {
            AppMethodBeat.o(34009);
            return;
        }
        ab.i(TAG, "batchSyncForWxaContact, size:%d", new Object[]{Integer.valueOf(this.adapter.getCount())});
        if (this.adapter instanceof a) {
            List list = ((a) this.adapter).ewK;
            if (list != null && list.size() > 0) {
                ((com.tencent.mm.plugin.appbrand.service.d) g.K(com.tencent.mm.plugin.appbrand.service.d.class)).aE(list);
            }
        }
        AppMethodBeat.o(34009);
    }

    private String intToString(int i) {
        AppMethodBeat.i(34010);
        String bigInteger = new BigInteger(Integer.toBinaryString(i), 2).toString();
        AppMethodBeat.o(34010);
        return bigInteger;
    }

    private void enterConversationReport() {
        AppMethodBeat.i(34011);
        String str = BuildConfig.FLAVOR;
        if (this.adapter == null) {
            ab.d(TAG, "adapter is null!");
            AppMethodBeat.o(34011);
            return;
        }
        int i;
        Object obj;
        int i2;
        aw.ZK();
        ak aoZ = c.XR().aoZ("appbrandcustomerservicemsg");
        if (aoZ == null || bo.isNullOrNil(aoZ.field_username)) {
            i = 0;
        } else {
            i = aoZ.field_unReadCount;
        }
        aoZ = (ak) this.adapter.getItem(0);
        if (aoZ == null || bo.isNullOrNil(aoZ.field_username)) {
            String obj2 = str;
        } else {
            String nullAsNil = bo.nullAsNil(aoZ.field_content);
            WxaAttributes zb = ((com.tencent.mm.plugin.appbrand.service.d) g.K(com.tencent.mm.plugin.appbrand.service.d.class)).zb(aoZ.field_username);
            this.mAppId = zb == null ? null : zb.field_appId;
            obj2 = nullAsNil;
        }
        if (i > 0) {
            int count = this.adapter.getCount();
            int i3 = 0;
            i2 = 0;
            while (i3 < count) {
                int i4;
                aoZ = (ak) this.adapter.getItem(i3);
                if (aoZ.field_unReadMuteCount + aoZ.field_unReadCount > 0) {
                    i4 = i2 + 1;
                } else {
                    i4 = i2;
                }
                i3++;
                i2 = i4;
            }
        } else {
            i2 = 0;
        }
        ab.d(TAG, "stev report(%s), sceneId : %s, unReadCount %d, unReadAppCount %d, lastPushAppId %s, lastPushMsg %s", new Object[]{Integer.valueOf(13797), this.mSceneId, Integer.valueOf(i), Integer.valueOf(i2), this.mAppId, obj2});
        h.pYm.e(13797, new Object[]{this.mSceneId, Integer.valueOf(i), Integer.valueOf(i2), this.mAppId, Long.valueOf(bo.anT()), Integer.valueOf(0), obj2});
        AppMethodBeat.o(34011);
    }

    public void customerMsgOperateReport(int i) {
        AppMethodBeat.i(34012);
        ab.d(TAG, "stev report(%s), eventId : %s, appId %s, sceneId %s", new Object[]{Integer.valueOf(13798), Integer.valueOf(i), this.mAppId, this.mSceneId});
        h.pYm.e(13798, new Object[]{Integer.valueOf(i), this.mAppId, Integer.valueOf(0), this.mSceneId, Long.valueOf(bo.anT())});
        AppMethodBeat.o(34012);
    }

    public void entryCustomerMsgDialogReport(String str, int i) {
        AppMethodBeat.i(34013);
        aw.ZK();
        ak aoZ = c.XR().aoZ(str);
        if (aoZ == null) {
            ab.e(TAG, "cvs:%s is null, error", new Object[]{str});
            AppMethodBeat.o(34013);
            return;
        }
        int i2 = aoZ.field_unReadCount;
        String nullAsNil = bo.nullAsNil(this.mSceneId);
        ab.d(TAG, "stev report(%s), appId : %s, scene %s, unReadCount %d, sceneId %s", new Object[]{Integer.valueOf(13799), this.mAppId, Integer.valueOf(i), Integer.valueOf(i2), nullAsNil});
        h.pYm.e(13799, new Object[]{this.mAppId, Integer.valueOf(i), Integer.valueOf(i2), nullAsNil, Long.valueOf(bo.anT())});
        AppMethodBeat.o(34013);
    }

    /* Access modifiers changed, original: protected */
    public void initView() {
        AppMethodBeat.i(34014);
        setMMTitle(getString(2131296586));
        this.appbrandMessageLV = (ListView) findViewById(2131823620);
        this.emptyTipTv = (TextView) findViewById(2131821807);
        this.emptyTipTv.setText(2131296610);
        setBackBtn(new 5(this));
        this.appBrandServiceActionSheet = new a(thisActivity());
        this.adapter = new a(thisActivity(), this.superUsername, new 6(this));
        this.adapter.setGetViewPositionCallback(new 7(this));
        this.adapter.setPerformItemClickListener(new 8(this));
        this.appbrandMessageLV.setAdapter(this.adapter);
        this.contextMenuHelper = new j(thisActivity());
        this.appbrandMessageLV.setOnItemClickListener(new 9(this));
        this.appbrandMessageLV.setOnItemLongClickListener(new 10(this));
        this.adapter.setGetViewPositionCallback(new 11(this));
        this.adapter.setPerformItemClickListener(new 12(this));
        this.adapter.a(new 2(this));
        AppMethodBeat.o(34014);
    }

    public void onActivityResult(int i, int i2, Intent intent) {
        AppMethodBeat.i(34015);
        super.onActivityResult(i, i2, intent);
        if (!(this.talker == null || this.talker.isEmpty())) {
            this.talker = BuildConfig.FLAVOR;
        }
        if (i2 != -1) {
            AppMethodBeat.o(34015);
        } else {
            AppMethodBeat.o(34015);
        }
    }

    private void setShowView(int i) {
        AppMethodBeat.i(34016);
        if (i <= 0) {
            this.emptyTipTv.setVisibility(0);
            this.appbrandMessageLV.setVisibility(8);
            AppMethodBeat.o(34016);
            return;
        }
        this.emptyTipTv.setVisibility(8);
        this.appbrandMessageLV.setVisibility(0);
        AppMethodBeat.o(34016);
    }

    private void delConversationAndMsg(String str) {
        AppMethodBeat.i(34017);
        if (bo.isNullOrNil(str)) {
            ab.e(TAG, "Delete Conversation and messages fail because username is null or nil.");
            AppMethodBeat.o(34017);
            return;
        }
        asyncDelMsg(str);
        aw.ZK();
        c.XR().aoX(str);
        AppMethodBeat.o(34017);
    }

    private void asyncDelMsg(String str) {
        AppMethodBeat.i(34018);
        ab.i(TAG, "async del msg talker:%s", new Object[]{str});
        aw.ZK();
        bi Ra = c.XO().Ra(str);
        vo voVar = new vo();
        voVar.wcB = new bts().alV(bo.nullAsNil(str));
        voVar.ptF = Ra.field_msgSvrId;
        aw.ZK();
        c.XL().c(new com.tencent.mm.plugin.messenger.foundation.a.a.j.a(8, voVar));
        this.isDeleteCancel = false;
        FragmentActivity thisActivity = thisActivity();
        getString(2131297061);
        p b = com.tencent.mm.ui.base.h.b(thisActivity, getString(2131297086), true, new 3(this));
        customerMsgOperateReport(5);
        bf.a(str, new 4(this, b));
        AppMethodBeat.o(34018);
    }

    public void onMMMenuItemSelected(MenuItem menuItem, int i) {
        AppMethodBeat.i(34019);
        aw.ZK();
        ad aoO = c.XM().aoO(this.talker);
        if (aoO == null || ((int) aoO.ewQ) == 0) {
            ab.e(TAG, "changed biz stick status failed, contact is null, talker = " + this.talker);
            AppMethodBeat.o(34019);
            return;
        }
        switch (menuItem.getItemId()) {
            case 1:
                this.appBrandServiceActionSheet.username = this.talker;
                this.appBrandServiceActionSheet.scene = this.fromScene;
                this.appBrandServiceActionSheet.yrk = this.mSceneId;
                this.appBrandServiceActionSheet.jnK = true;
                this.appBrandServiceActionSheet.show(3);
                AppMethodBeat.o(34019);
                return;
            case 2:
                this.appBrandServiceActionSheet.username = this.talker;
                this.appBrandServiceActionSheet.scene = this.fromScene;
                this.appBrandServiceActionSheet.yrk = this.mSceneId;
                this.appBrandServiceActionSheet.jnK = true;
                this.appBrandServiceActionSheet.show(4);
                AppMethodBeat.o(34019);
                return;
            case 3:
                delConversationAndMsg(this.talker);
                break;
        }
        AppMethodBeat.o(34019);
    }

    public void onCreateContextMenu(ContextMenu contextMenu, View view, ContextMenuInfo contextMenuInfo) {
        AppMethodBeat.i(34020);
        super.onCreateContextMenu(contextMenu, view, contextMenuInfo);
        AdapterContextMenuInfo adapterContextMenuInfo = (AdapterContextMenuInfo) contextMenuInfo;
        WxaAttributes zb = ((com.tencent.mm.plugin.appbrand.service.d) g.K(com.tencent.mm.plugin.appbrand.service.d.class)).zb(this.talker);
        int i = (zb == null || (zb.field_appOpt & 2) <= 0) ? 0 : 1;
        if (i != 0) {
            contextMenu.add(adapterContextMenuInfo.position, 1, 0, 2131296715);
        } else {
            contextMenu.add(adapterContextMenuInfo.position, 2, 0, 2131296716);
        }
        contextMenu.add(adapterContextMenuInfo.position, 3, 0, 2131298868);
        AppMethodBeat.o(34020);
    }
}
