package com.tencent.mm.vfs;

import android.os.CancellationSignal;
import android.os.Parcel;
import android.os.ParcelFormatException;
import android.os.Parcelable;
import android.os.Parcelable.Creator;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.vfs.FileSystem.a;
import com.tencent.mm.vfs.FileSystem.b;
import java.io.FileNotFoundException;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.regex.Pattern;

public class CombinedFileSystem extends AbstractFileSystem {
    public static final Creator<CombinedFileSystem> CREATOR = new 1();
    private final FileSystem[] zYB;
    private final a[] zYC;
    private final int zYD;

    /* synthetic */ CombinedFileSystem(Parcel parcel, byte b) {
        this(parcel);
    }

    private CombinedFileSystem(Parcel parcel) {
        int i;
        int i2 = 0;
        AppMethodBeat.i(54484);
        j.a(parcel, getClass());
        int readInt = parcel.readInt();
        this.zYB = new FileSystem[readInt];
        int i3 = 0;
        for (i = 0; i < readInt; i++) {
            FileSystem fileSystem = (FileSystem) parcel.readParcelable(getClass().getClassLoader());
            if (fileSystem == null) {
                ParcelFormatException parcelFormatException = new ParcelFormatException();
                AppMethodBeat.o(54484);
                throw parcelFormatException;
            }
            this.zYB[i] = fileSystem;
            i3 |= fileSystem.aiR();
        }
        this.zYD = i3;
        i = parcel.readInt();
        this.zYC = new a[i];
        while (i2 < i) {
            String readString = parcel.readString();
            Pattern compile = readString == null ? null : Pattern.compile(readString);
            i3 = parcel.readInt();
            this.zYC[i2] = new a(compile, i3, this.zYB[i3]);
            i2++;
        }
        AppMethodBeat.o(54484);
    }

    public final int aiR() {
        return this.zYD;
    }

    public final b tn(String str) {
        AppMethodBeat.i(54485);
        b tn = this.zYB[this.zYB.length - 1].tn(str);
        AppMethodBeat.o(54485);
        return tn;
    }

    private FileSystem asV(String str) {
        AppMethodBeat.i(54486);
        for (a aVar : this.zYC) {
            if (aVar.hnu == null || aVar.hnu.matcher(str).matches()) {
                FileSystem fileSystem = aVar.zYF;
                AppMethodBeat.o(54486);
                return fileSystem;
            }
        }
        AppMethodBeat.o(54486);
        return null;
    }

    public final InputStream openRead(String str) {
        AppMethodBeat.i(54487);
        FileSystem asV = asV(str);
        if (asV == null) {
            FileNotFoundException fileNotFoundException = new FileNotFoundException("No file system matches the path.");
            AppMethodBeat.o(54487);
            throw fileNotFoundException;
        }
        InputStream openRead = asV.openRead(str);
        AppMethodBeat.o(54487);
        return openRead;
    }

    public final OutputStream L(String str, boolean z) {
        AppMethodBeat.i(54488);
        FileSystem asV = asV(str);
        if (asV == null) {
            FileNotFoundException fileNotFoundException = new FileNotFoundException("No file system matches the path.");
            AppMethodBeat.o(54488);
            throw fileNotFoundException;
        }
        OutputStream L = asV.L(str, z);
        AppMethodBeat.o(54488);
        return L;
    }

    public final boolean exists(String str) {
        AppMethodBeat.i(54489);
        FileSystem asV = asV(str);
        if (asV == null || !asV.exists(str)) {
            AppMethodBeat.o(54489);
            return false;
        }
        AppMethodBeat.o(54489);
        return true;
    }

    public final a to(String str) {
        AppMethodBeat.i(54490);
        FileSystem asV = asV(str);
        if (asV == null) {
            AppMethodBeat.o(54490);
            return null;
        }
        a to = asV.to(str);
        AppMethodBeat.o(54490);
        return to;
    }

    public final boolean t(String str, long j) {
        AppMethodBeat.i(54491);
        FileSystem asV = asV(str);
        if (asV == null || !asV.t(str, j)) {
            AppMethodBeat.o(54491);
            return false;
        }
        AppMethodBeat.o(54491);
        return true;
    }

    public final boolean pI(String str) {
        AppMethodBeat.i(54492);
        FileSystem[] fileSystemArr = this.zYB;
        int i = 0;
        int i2 = 0;
        while (i < fileSystemArr.length) {
            i++;
            i2 = fileSystemArr[i].pI(str) | i2;
        }
        AppMethodBeat.o(54492);
        return i2;
    }

    public final List<a> M(String str, boolean z) {
        AppMethodBeat.i(54493);
        ArrayList arrayList = new ArrayList();
        for (FileSystem M : this.zYB) {
            List M2 = M.M(str, z);
            if (M2 != null && M2.size() > 0) {
                arrayList.addAll(M2);
            }
        }
        AppMethodBeat.o(54493);
        return arrayList;
    }

    public final boolean tf(String str) {
        AppMethodBeat.i(54494);
        FileSystem[] fileSystemArr = this.zYB;
        int i = 0;
        int i2 = 0;
        while (i < fileSystemArr.length) {
            i++;
            i2 = fileSystemArr[i].tf(str) | i2;
        }
        AppMethodBeat.o(54494);
        return i2;
    }

    public final boolean N(String str, boolean z) {
        AppMethodBeat.i(54495);
        FileSystem[] fileSystemArr = this.zYB;
        int i = 0;
        int i2 = 0;
        while (i < fileSystemArr.length) {
            i++;
            i2 = fileSystemArr[i].N(str, z) | i2;
        }
        AppMethodBeat.o(54495);
        return i2;
    }

    /* JADX WARNING: Removed duplicated region for block: B:20:0x003d A:{SYNTHETIC, Splitter:B:20:0x003d} */
    /* JADX WARNING: Removed duplicated region for block: B:23:0x0042 A:{SYNTHETIC, Splitter:B:23:0x0042} */
    /* JADX WARNING: Removed duplicated region for block: B:36:0x0060 A:{SYNTHETIC, Splitter:B:36:0x0060} */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x0065 A:{SYNTHETIC, Splitter:B:39:0x0065} */
    /* JADX WARNING: Removed duplicated region for block: B:20:0x003d A:{SYNTHETIC, Splitter:B:20:0x003d} */
    /* JADX WARNING: Removed duplicated region for block: B:23:0x0042 A:{SYNTHETIC, Splitter:B:23:0x0042} */
    /* JADX WARNING: Removed duplicated region for block: B:36:0x0060 A:{SYNTHETIC, Splitter:B:36:0x0060} */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x0065 A:{SYNTHETIC, Splitter:B:39:0x0065} */
    public final boolean aS(java.lang.String r9, java.lang.String r10) {
        /*
        r8 = this;
        r2 = 0;
        r0 = 0;
        r7 = 54496; // 0xd4e0 float:7.6365E-41 double:2.69246E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r7);
        r4 = r8.asV(r9);
        r1 = r8.asV(r10);
        if (r4 == 0) goto L_0x0014;
    L_0x0012:
        if (r1 != 0) goto L_0x0018;
    L_0x0014:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
    L_0x0017:
        return r0;
    L_0x0018:
        if (r4 != r1) goto L_0x0022;
    L_0x001a:
        r0 = r4.aS(r9, r10);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
        goto L_0x0017;
    L_0x0022:
        r3 = r4.openRead(r9);	 Catch:{ IOException -> 0x007d, all -> 0x005b }
        r5 = 0;
        r1 = r1.L(r10, r5);	 Catch:{ IOException -> 0x0081, all -> 0x0078 }
        r2 = 2048; // 0x800 float:2.87E-42 double:1.0118E-320;
        r2 = new byte[r2];	 Catch:{ IOException -> 0x003a, all -> 0x007b }
    L_0x002f:
        r5 = r3.read(r2);	 Catch:{ IOException -> 0x003a, all -> 0x007b }
        if (r5 < 0) goto L_0x0049;
    L_0x0035:
        r6 = 0;
        r1.write(r2, r6, r5);	 Catch:{ IOException -> 0x003a, all -> 0x007b }
        goto L_0x002f;
    L_0x003a:
        r2 = move-exception;
    L_0x003b:
        if (r3 == 0) goto L_0x0040;
    L_0x003d:
        r3.close();	 Catch:{ IOException -> 0x0070 }
    L_0x0040:
        if (r1 == 0) goto L_0x0045;
    L_0x0042:
        r1.close();	 Catch:{ IOException -> 0x0072 }
    L_0x0045:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
        goto L_0x0017;
    L_0x0049:
        if (r3 == 0) goto L_0x004e;
    L_0x004b:
        r3.close();	 Catch:{ IOException -> 0x006c }
    L_0x004e:
        if (r1 == 0) goto L_0x0053;
    L_0x0050:
        r1.close();	 Catch:{ IOException -> 0x006e }
    L_0x0053:
        r0 = r4.pI(r9);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
        goto L_0x0017;
    L_0x005b:
        r0 = move-exception;
        r1 = r2;
        r3 = r2;
    L_0x005e:
        if (r3 == 0) goto L_0x0063;
    L_0x0060:
        r3.close();	 Catch:{ IOException -> 0x0074 }
    L_0x0063:
        if (r1 == 0) goto L_0x0068;
    L_0x0065:
        r1.close();	 Catch:{ IOException -> 0x0076 }
    L_0x0068:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
        throw r0;
    L_0x006c:
        r0 = move-exception;
        goto L_0x004e;
    L_0x006e:
        r0 = move-exception;
        goto L_0x0053;
    L_0x0070:
        r2 = move-exception;
        goto L_0x0040;
    L_0x0072:
        r1 = move-exception;
        goto L_0x0045;
    L_0x0074:
        r2 = move-exception;
        goto L_0x0063;
    L_0x0076:
        r1 = move-exception;
        goto L_0x0068;
    L_0x0078:
        r0 = move-exception;
        r1 = r2;
        goto L_0x005e;
    L_0x007b:
        r0 = move-exception;
        goto L_0x005e;
    L_0x007d:
        r1 = move-exception;
        r1 = r2;
        r3 = r2;
        goto L_0x003b;
    L_0x0081:
        r1 = move-exception;
        r1 = r2;
        goto L_0x003b;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.vfs.CombinedFileSystem.aS(java.lang.String, java.lang.String):boolean");
    }

    public final String O(String str, boolean z) {
        AppMethodBeat.i(54497);
        FileSystem asV = asV(str);
        if (asV == null) {
            AppMethodBeat.o(54497);
            return null;
        }
        String O = asV.O(str, z);
        AppMethodBeat.o(54497);
        return O;
    }

    public final void p(Map<String, String> map) {
        AppMethodBeat.i(54498);
        for (FileSystem p : this.zYB) {
            p.p(map);
        }
        AppMethodBeat.o(54498);
    }

    public final void a(CancellationSignal cancellationSignal) {
        AppMethodBeat.i(54499);
        for (FileSystem fileSystem : this.zYB) {
            if (cancellationSignal.isCanceled()) {
                break;
            }
            fileSystem.a(cancellationSignal);
        }
        AppMethodBeat.o(54499);
    }

    public String toString() {
        AppMethodBeat.i(54500);
        StringBuilder stringBuilder = new StringBuilder("CombinedFS [");
        for (Object obj : this.zYB) {
            stringBuilder.append(obj.toString()).append(", ");
        }
        stringBuilder.setLength(stringBuilder.length() - 2);
        String stringBuilder2 = stringBuilder.append(']').toString();
        AppMethodBeat.o(54500);
        return stringBuilder2;
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(Parcel parcel, int i) {
        AppMethodBeat.i(54501);
        parcel.writeInt(1);
        parcel.writeInt(this.zYB.length);
        for (Parcelable writeParcelable : this.zYB) {
            parcel.writeParcelable(writeParcelable, i);
        }
        parcel.writeInt(this.zYC.length);
        for (a aVar : this.zYC) {
            parcel.writeString(aVar.hnu == null ? null : aVar.hnu.pattern());
            parcel.writeInt(aVar.zYE);
        }
        AppMethodBeat.o(54501);
    }

    static {
        AppMethodBeat.i(54502);
        AppMethodBeat.o(54502);
    }
}
