package com.tencent.qqmusic.mediaplayer.perf;

import com.tencent.matrix.trace.core.AppMethodBeat;
import java.util.Locale;

class PerformanceTracer$SpeedCheck {
    private static final double f = 1000000.0d;
    private double avg;
    private double max;
    private double min;
    private final String name;
    private long totalBufferLength;
    private long totalTimeNanoSecond;

    static /* synthetic */ void access$000(PerformanceTracer$SpeedCheck performanceTracer$SpeedCheck, int i, long j) {
        AppMethodBeat.i(128404);
        performanceTracer$SpeedCheck.update(i, j);
        AppMethodBeat.o(128404);
    }

    static /* synthetic */ void access$100(PerformanceTracer$SpeedCheck performanceTracer$SpeedCheck) {
        AppMethodBeat.i(128405);
        performanceTracer$SpeedCheck.compute();
        AppMethodBeat.o(128405);
    }

    public String getName() {
        return this.name;
    }

    public double getAvg() {
        return this.avg;
    }

    public double getMax() {
        return this.max;
    }

    public double getMin() {
        return this.min;
    }

    public long getTotalTimeMs() {
        AppMethodBeat.i(128402);
        long round = Math.round(((double) this.totalTimeNanoSecond) / f);
        AppMethodBeat.o(128402);
        return round;
    }

    public long getTotalBufferLength() {
        return this.totalBufferLength;
    }

    private PerformanceTracer$SpeedCheck(String str) {
        this.name = str;
    }

    private void update(int i, long j) {
        this.totalBufferLength += (long) i;
        this.totalTimeNanoSecond += j;
        double d = (((double) i) * f) / ((double) j);
        if (d > this.max || this.max == 0.0d) {
            this.max = d;
        } else if (d < this.min || this.min == 0.0d) {
            this.min = d;
        }
    }

    private void compute() {
        this.avg = (((double) this.totalBufferLength) * f) / ((double) this.totalTimeNanoSecond);
    }

    /* Access modifiers changed, original: 0000 */
    public void reset() {
        this.avg = 0.0d;
        this.max = 0.0d;
        this.min = 0.0d;
        this.totalTimeNanoSecond = 0;
        this.totalBufferLength = 0;
    }

    public String toString() {
        AppMethodBeat.i(128403);
        compute();
        String format = String.format(Locale.getDefault(), "%10s%15.2f%15.2f%15.2f%10d%15d", new Object[]{this.name, Double.valueOf(this.avg), Double.valueOf(this.max), Double.valueOf(this.min), Long.valueOf(this.totalTimeNanoSecond), Long.valueOf(this.totalBufferLength)});
        AppMethodBeat.o(128403);
        return format;
    }
}
