package com.tencent.soter.core.biometric;

import android.content.Context;
import android.os.CancellationSignal;
import android.os.Handler;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.soter.core.biometric.BiometricManagerCompat.CryptoObject;
import com.tencent.soter.core.biometric.BiometricManagerCompat.IBiometricManager;
import com.tencent.soter.core.biometric.FingerprintManagerProxy.AuthenticationCallback;
import com.tencent.soter.core.c.d;

class BiometricManagerCompat$FingerprintManagerImpl implements IBiometricManager {
    private static final String TAG = "Soter.BiometricManagerCompat.Fingerprint";

    static /* synthetic */ boolean access$000(AuthenticationCallback authenticationCallback, Context context) {
        AppMethodBeat.i(72923);
        boolean shouldInformTooManyTrial = shouldInformTooManyTrial(authenticationCallback, context);
        AppMethodBeat.o(72923);
        return shouldInformTooManyTrial;
    }

    static /* synthetic */ CryptoObject access$100(FingerprintManagerProxy.CryptoObject cryptoObject) {
        AppMethodBeat.i(72924);
        CryptoObject unwrapCryptoObject = unwrapCryptoObject(cryptoObject);
        AppMethodBeat.o(72924);
        return unwrapCryptoObject;
    }

    static /* synthetic */ void access$200(AuthenticationCallback authenticationCallback) {
        AppMethodBeat.i(72925);
        informTooManyTrial(authenticationCallback);
        AppMethodBeat.o(72925);
    }

    public boolean hasEnrolledBiometric(Context context) {
        AppMethodBeat.i(72915);
        boolean hasEnrolledFingerprints = FingerprintManagerProxy.hasEnrolledFingerprints(context);
        AppMethodBeat.o(72915);
        return hasEnrolledFingerprints;
    }

    public boolean isHardwareDetected(Context context) {
        AppMethodBeat.i(72916);
        boolean isHardwareDetected = FingerprintManagerProxy.isHardwareDetected(context);
        AppMethodBeat.o(72916);
        return isHardwareDetected;
    }

    public String getBiometricName(Context context) {
        return "fingerprint";
    }

    public void authenticate(Context context, CryptoObject cryptoObject, int i, CancellationSignal cancellationSignal, BiometricManagerCompat$AuthenticationCallback biometricManagerCompat$AuthenticationCallback, Handler handler) {
        AppMethodBeat.i(72917);
        FingerprintManagerProxy.authenticate(context, wrapCryptoObject(cryptoObject), i, cancellationSignal, wrapCallback(context, biometricManagerCompat$AuthenticationCallback), handler);
        AppMethodBeat.o(72917);
    }

    private static FingerprintManagerProxy.CryptoObject wrapCryptoObject(CryptoObject cryptoObject) {
        AppMethodBeat.i(72918);
        FingerprintManagerProxy.CryptoObject cryptoObject2;
        if (cryptoObject == null) {
            AppMethodBeat.o(72918);
            return null;
        } else if (cryptoObject.getCipher() != null) {
            cryptoObject2 = new FingerprintManagerProxy.CryptoObject(cryptoObject.getCipher());
            AppMethodBeat.o(72918);
            return cryptoObject2;
        } else if (cryptoObject.getSignature() != null) {
            cryptoObject2 = new FingerprintManagerProxy.CryptoObject(cryptoObject.getSignature());
            AppMethodBeat.o(72918);
            return cryptoObject2;
        } else if (cryptoObject.getMac() != null) {
            cryptoObject2 = new FingerprintManagerProxy.CryptoObject(cryptoObject.getMac());
            AppMethodBeat.o(72918);
            return cryptoObject2;
        } else {
            AppMethodBeat.o(72918);
            return null;
        }
    }

    private static CryptoObject unwrapCryptoObject(FingerprintManagerProxy.CryptoObject cryptoObject) {
        AppMethodBeat.i(72919);
        CryptoObject cryptoObject2;
        if (cryptoObject == null) {
            AppMethodBeat.o(72919);
            return null;
        } else if (cryptoObject.getCipher() != null) {
            cryptoObject2 = new CryptoObject(cryptoObject.getCipher());
            AppMethodBeat.o(72919);
            return cryptoObject2;
        } else if (cryptoObject.getSignature() != null) {
            cryptoObject2 = new CryptoObject(cryptoObject.getSignature());
            AppMethodBeat.o(72919);
            return cryptoObject2;
        } else if (cryptoObject.getMac() != null) {
            cryptoObject2 = new CryptoObject(cryptoObject.getMac());
            AppMethodBeat.o(72919);
            return cryptoObject2;
        } else {
            AppMethodBeat.o(72919);
            return null;
        }
    }

    private static AuthenticationCallback wrapCallback(Context context, BiometricManagerCompat$AuthenticationCallback biometricManagerCompat$AuthenticationCallback) {
        AppMethodBeat.i(72920);
        1 1 = new 1(biometricManagerCompat$AuthenticationCallback, context);
        AppMethodBeat.o(72920);
        return 1;
    }

    private static boolean shouldInformTooManyTrial(AuthenticationCallback authenticationCallback, Context context) {
        AppMethodBeat.i(72921);
        if (SoterBiometricAntiBruteForceStrategy.isSystemHasAntiBruteForce()) {
            d.v(TAG, "soter: using system anti brute force strategy", new Object[0]);
            AppMethodBeat.o(72921);
            return false;
        } else if (SoterBiometricAntiBruteForceStrategy.isCurrentTweenTimeAvailable(context)) {
            if (!SoterBiometricAntiBruteForceStrategy.isCurrentFailTimeAvailable(context)) {
                d.v(TAG, "soter: unfreeze former frozen status", new Object[0]);
                SoterBiometricAntiBruteForceStrategy.unFreeze(context);
            }
            AppMethodBeat.o(72921);
            return false;
        } else if (SoterBiometricAntiBruteForceStrategy.isCurrentFailTimeAvailable(context)) {
            d.v(TAG, "soter: failure time available", new Object[0]);
            AppMethodBeat.o(72921);
            return false;
        } else {
            informTooManyTrial(authenticationCallback);
            AppMethodBeat.o(72921);
            return true;
        }
    }

    private static void informTooManyTrial(AuthenticationCallback authenticationCallback) {
        AppMethodBeat.i(72922);
        d.w(TAG, "soter: too many fail fingerprint callback. inform it.", new Object[0]);
        authenticationCallback.onAuthenticationError(10308, "Too many failed times");
        AppMethodBeat.o(72922);
    }
}
