package com.tencent.tinker.lib.util;

import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.os.PowerManager;
import android.os.PowerManager.WakeLock;
import android.os.Process;
import com.tencent.tinker.lib.util.TinkerJobIntentService.h;

final class TinkerJobIntentService$c extends h {
    private final WakeLock bWD;
    private final WakeLock bWE;
    boolean bWF;
    boolean bWG;
    private final Context mContext;

    TinkerJobIntentService$c(Context context, ComponentName componentName) {
        super(componentName);
        this.mContext = context.getApplicationContext();
        if (this.mContext.checkPermission("android.permission.WAKE_LOCK", Process.myPid(), Process.myUid()) == 0) {
            PowerManager powerManager = (PowerManager) context.getSystemService("power");
            this.bWD = powerManager.newWakeLock(1, componentName.getClassName() + ":launch");
            this.bWD.setReferenceCounted(false);
            this.bWE = powerManager.newWakeLock(1, componentName.getClassName() + ":run");
            this.bWE.setReferenceCounted(false);
            return;
        }
        a.w("TinkerJobIntentService", "it would be better to grant WAKE_LOCK permission to your app so that tinker can use WakeLock to keep system awake.", new Object[0]);
        this.bWE = null;
        this.bWD = null;
    }

    /* Access modifiers changed, original: final */
    public final void m(Intent intent) {
        Intent intent2 = new Intent(intent);
        intent2.setComponent(this.mComponentName);
        if (this.mContext.startService(intent2) != null) {
            synchronized (this) {
                if (!this.bWF) {
                    this.bWF = true;
                    if (!(this.bWG || this.bWD == null)) {
                        this.bWD.acquire(60000);
                    }
                }
            }
        }
    }

    public final void zk() {
        synchronized (this) {
            this.bWF = false;
        }
    }

    public final void zl() {
        synchronized (this) {
            if (!this.bWG) {
                this.bWG = true;
                if (this.bWE != null) {
                    this.bWE.acquire(600000);
                }
                if (this.bWD != null) {
                    this.bWD.release();
                }
            }
        }
    }

    public final void zm() {
        synchronized (this) {
            if (this.bWG) {
                if (this.bWF && this.bWD != null) {
                    this.bWD.acquire(60000);
                }
                this.bWG = false;
                if (this.bWE != null) {
                    this.bWE.release();
                }
            }
        }
    }
}
