package org.xwalk.core;

import android.content.Context;
import android.os.AsyncTask;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.xweb.b.c;
import com.tencent.xweb.b.d;
import org.xwalk.core.XWalkLibraryLoader.DownloadInfo;
import org.xwalk.core.XWalkLibraryLoader.DownloadListener;

public class XWalkLibraryLoader$WXFileDownloaderTask extends AsyncTask<Void, Integer, Integer> implements c {
    private static final int DOWNLOAD_FAILED = -1;
    private static final int DOWNLOAD_SUCCESS = 0;
    private static final int UPDATE_INTERVAL_MS = 500;
    private final Object lockObj = new Object();
    private DownloadInfo mDownloadInfo;
    private DownloadListener mListener;
    private long mProgressUpdateTime = 0;
    private d mWXFileDownloaderBridge = null;
    private boolean mWaitTimeout = false;

    public boolean isValid() {
        AppMethodBeat.i(85681);
        if (this.mWXFileDownloaderBridge == null) {
            AppMethodBeat.o(85681);
            return false;
        }
        boolean isValid = d.isValid();
        AppMethodBeat.o(85681);
        return isValid;
    }

    public XWalkLibraryLoader$WXFileDownloaderTask(boolean z, DownloadListener downloadListener, String str, String str2, int i) {
        AppMethodBeat.i(85682);
        this.mListener = downloadListener;
        this.mDownloadInfo = new DownloadInfo();
        this.mDownloadInfo.mErrorType = 0;
        this.mDownloadInfo.mErrorCode = 0;
        this.mDownloadInfo.mDownloadType = 2;
        this.mDownloadInfo.mUrl = str;
        this.mDownloadInfo.mSavePath = str2;
        this.mDownloadInfo.mIsRuntime = z;
        this.mDownloadInfo.mBizType = i;
        this.mWXFileDownloaderBridge = new d();
        this.mWXFileDownloaderBridge.ANq = this;
        AppMethodBeat.o(85682);
    }

    /* Access modifiers changed, original: protected */
    public void onPreExecute() {
        AppMethodBeat.i(85683);
        if (this.mDownloadInfo.mIsRuntime) {
            XWalkLibraryLoader.access$002(this);
            Log.i("XWalkLib", "WXFileDownloaderTask runtime onPreExecute: " + this.mDownloadInfo.mSavePath);
        } else {
            Log.i("XWalkLib", "WXFileDownloaderTask other onPreExecute: " + this.mDownloadInfo.mSavePath);
        }
        this.mListener.onDownloadStarted(this.mDownloadInfo.mDownloadType);
        this.mDownloadInfo.mStartTimestamp = System.currentTimeMillis();
        Context applicationContext = XWalkEnvironment.getApplicationContext();
        this.mDownloadInfo.mNetWorkType = NetworkUtil.getCurrentNetWorkStatus(applicationContext);
        AppMethodBeat.o(85683);
    }

    /* Access modifiers changed, original: protected|varargs */
    public Integer doInBackground(Void... voidArr) {
        AppMethodBeat.i(85684);
        Integer valueOf;
        if (this.mWXFileDownloaderBridge == null || !d.isValid()) {
            this.mDownloadInfo.mErrorType = 2;
            this.mDownloadInfo.mErrorCode = -1;
            valueOf = Integer.valueOf(-1);
            AppMethodBeat.o(85684);
            return valueOf;
        }
        int a;
        d dVar = this.mWXFileDownloaderBridge;
        String str = this.mDownloadInfo.mUrl;
        String str2 = this.mDownloadInfo.mSavePath;
        if (d.ANp != null) {
            a = d.ANp.a(str, str2, dVar);
        } else {
            a = -1;
        }
        if (a != 0) {
            this.mDownloadInfo.mErrorType = 1;
            this.mDownloadInfo.mErrorCode = -1;
            valueOf = Integer.valueOf(-1);
            AppMethodBeat.o(85684);
            return valueOf;
        }
        synchronized (this.lockObj) {
            try {
                this.mWaitTimeout = true;
                this.lockObj.wait(300000);
            } catch (InterruptedException e) {
                this.mWaitTimeout = false;
                this.mDownloadInfo.mErrorType = 2;
                this.mDownloadInfo.mErrorCode = XWalkUpdater.ERROR_SET_VERNUM;
            } catch (Throwable th) {
                AppMethodBeat.o(85684);
            }
            if (this.mDownloadInfo.mErrorType == 0 && this.mDownloadInfo.mErrorCode == 0) {
                valueOf = Integer.valueOf(0);
                AppMethodBeat.o(85684);
                return valueOf;
            }
            Log.e("XWalkLib", "download errortype:" + this.mDownloadInfo.mErrorType + ", errorcode:" + this.mDownloadInfo.mErrorCode + ", waitTimeout:" + this.mWaitTimeout);
            if (this.mWaitTimeout) {
                this.mDownloadInfo.mErrorType = 1;
                this.mDownloadInfo.mErrorCode = -100;
            }
            valueOf = Integer.valueOf(-1);
            AppMethodBeat.o(85684);
            return valueOf;
        }
    }

    /* Access modifiers changed, original: protected|varargs */
    public void onProgressUpdate(Integer... numArr) {
        int i = 0;
        AppMethodBeat.i(85685);
        Log.d("XWalkLib", "WXFileDownloaderTask updated: " + numArr[0] + "/" + numArr[1]);
        if (numArr[1].intValue() > 0) {
            i = (int) ((((double) numArr[0].intValue()) * 100.0d) / ((double) numArr[1].intValue()));
        }
        this.mListener.onDownloadUpdated(i);
        AppMethodBeat.o(85685);
    }

    /* Access modifiers changed, original: protected */
    public void onCancelled(Integer num) {
        AppMethodBeat.i(85686);
        if (this.mDownloadInfo.mIsRuntime) {
            XWalkLibraryLoader.access$002(null);
            Log.i("XWalkLib", "WXFileDownloaderTask runtime onCancelled: " + this.mDownloadInfo.mSavePath);
        } else {
            Log.i("XWalkLib", "WXFileDownloaderTask other onCancelled: " + this.mDownloadInfo.mSavePath);
        }
        this.mListener.onDownloadCancelled();
        AppMethodBeat.o(85686);
    }

    /* Access modifiers changed, original: protected */
    public void onPostExecute(Integer num) {
        AppMethodBeat.i(85687);
        if (this.mDownloadInfo.mIsRuntime) {
            XWalkLibraryLoader.access$002(null);
            Log.i("XWalkLib", "WXFileDownloaderTask runtime onPostExecute result " + num + " " + this.mDownloadInfo.mSavePath);
        } else {
            Log.i("XWalkLib", "WXFileDownloaderTask other onPostExecute result " + num + " " + this.mDownloadInfo.mSavePath);
        }
        if (num.intValue() == 0) {
            this.mListener.onDownloadCompleted(this.mDownloadInfo);
            AppMethodBeat.o(85687);
            return;
        }
        this.mListener.onDownloadFailed(this.mDownloadInfo);
        AppMethodBeat.o(85687);
    }

    public void onProgressChange(String str, long j, long j2) {
        AppMethodBeat.i(85688);
        Log.d("XWalkLib", "url:" + str + ", cur_size:" + j + ", total_size:" + j2);
        if (this.mDownloadInfo.mFileTotalSize != j2) {
            this.mDownloadInfo.mFileTotalSize = j2;
        }
        publishProgress(new Integer[]{Integer.valueOf((int) j), Integer.valueOf((int) j2)});
        AppMethodBeat.o(85688);
    }

    public void onTaskSucc(String str, String str2, boolean z) {
        AppMethodBeat.i(85689);
        synchronized (this.lockObj) {
            try {
                this.mDownloadInfo.mIsDownloadResume = z;
                this.mWaitTimeout = false;
                this.lockObj.notify();
            } finally {
                while (true) {
                }
                AppMethodBeat.o(85689);
            }
        }
    }

    public void onTaskFail(String str, int i, boolean z) {
        AppMethodBeat.i(85690);
        synchronized (this.lockObj) {
            try {
                this.mDownloadInfo.mErrorType = 1;
                this.mDownloadInfo.mErrorCode = i;
                this.mDownloadInfo.mIsDownloadResume = z;
                this.mWaitTimeout = false;
                this.lockObj.notify();
            } finally {
                while (true) {
                }
                AppMethodBeat.o(85690);
            }
        }
    }
}
