package android.support.constraint;

import android.content.Context;
import android.content.res.TypedArray;
import android.os.Build.VERSION;
import android.support.constraint.ConstraintLayout.LayoutParams;
import android.support.constraint.R.id;
import android.util.SparseIntArray;
import android.view.View;
import com.facebook.internal.FacebookRequestErrorClassification;
import com.tencent.mm.plugin.appbrand.jsapi.audio.JsApiPausePlayVoice;
import com.tencent.mm.plugin.appbrand.jsapi.audio.JsApiStartRecordVoice;
import com.tencent.mm.plugin.appbrand.jsapi.media.JsApiChooseImage;
import com.tencent.mm.plugin.appbrand.jsapi.q.g;
import com.tencent.mm.plugin.appbrand.jsapi.storage.o;
import com.tencent.smtt.sdk.TbsReaderView$ReaderCallback;
import java.util.Arrays;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;

public final class a {
    private static final int[] eK = new int[]{0, 4, 8};
    private static SparseIntArray eM;
    HashMap<Integer, a> eL = new HashMap();

    static {
        SparseIntArray sparseIntArray = new SparseIntArray();
        eM = sparseIntArray;
        sparseIntArray.append(55, 25);
        eM.append(56, 26);
        eM.append(58, 29);
        eM.append(59, 30);
        eM.append(64, 36);
        eM.append(63, 35);
        eM.append(37, 4);
        eM.append(36, 3);
        eM.append(34, 1);
        eM.append(72, 6);
        eM.append(73, 7);
        eM.append(44, 17);
        eM.append(45, 18);
        eM.append(46, 19);
        eM.append(0, 27);
        eM.append(60, 32);
        eM.append(61, 33);
        eM.append(43, 10);
        eM.append(42, 9);
        eM.append(76, 13);
        eM.append(79, 16);
        eM.append(77, 14);
        eM.append(74, 11);
        eM.append(78, 15);
        eM.append(75, 12);
        eM.append(67, 40);
        eM.append(53, 39);
        eM.append(52, 41);
        eM.append(66, 42);
        eM.append(51, 20);
        eM.append(65, 37);
        eM.append(41, 5);
        eM.append(54, 75);
        eM.append(62, 75);
        eM.append(57, 75);
        eM.append(35, 75);
        eM.append(33, 75);
        eM.append(5, 24);
        eM.append(7, 28);
        eM.append(23, 31);
        eM.append(24, 8);
        eM.append(6, 34);
        eM.append(8, 2);
        eM.append(3, 23);
        eM.append(4, 21);
        eM.append(2, 22);
        eM.append(13, 43);
        eM.append(26, 44);
        eM.append(21, 45);
        eM.append(22, 46);
        eM.append(20, 60);
        eM.append(18, 47);
        eM.append(19, 48);
        eM.append(14, 49);
        eM.append(15, 50);
        eM.append(16, 51);
        eM.append(17, 52);
        eM.append(25, 53);
        eM.append(68, 54);
        eM.append(47, 55);
        eM.append(69, 56);
        eM.append(48, 57);
        eM.append(70, 58);
        eM.append(49, 59);
        eM.append(38, 61);
        eM.append(40, 62);
        eM.append(39, 63);
        eM.append(1, 38);
        eM.append(71, 69);
        eM.append(50, 70);
        eM.append(29, 71);
        eM.append(28, 72);
        eM.append(30, 73);
        eM.append(27, 74);
    }

    /* Access modifiers changed, original: final */
    public final void b(ConstraintLayout constraintLayout) {
        int childCount = constraintLayout.getChildCount();
        HashSet hashSet = new HashSet(this.eL.keySet());
        for (int i = 0; i < childCount; i++) {
            View childAt = constraintLayout.getChildAt(i);
            int id = childAt.getId();
            if (id == -1) {
                throw new RuntimeException("All children of ConstraintLayout must have ids to use ConstraintSet");
            }
            if (this.eL.containsKey(Integer.valueOf(id))) {
                hashSet.remove(Integer.valueOf(id));
                a aVar = (a) this.eL.get(Integer.valueOf(id));
                if (childAt instanceof Barrier) {
                    aVar.fl = 1;
                }
                if (aVar.fl != -1) {
                    switch (aVar.fl) {
                        case 1:
                            View view = (Barrier) childAt;
                            view.setId(id);
                            view.setType(aVar.fk);
                            view.setAllowsGoneWidget(aVar.fj);
                            if (aVar.fn == null) {
                                if (aVar.fo != null) {
                                    aVar.fn = a(view, aVar.fo);
                                    view.setReferencedIds(aVar.fn);
                                    break;
                                }
                            }
                            view.setReferencedIds(aVar.fn);
                            break;
                            break;
                    }
                }
                LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
                aVar.a(layoutParams);
                childAt.setLayoutParams(layoutParams);
                childAt.setVisibility(aVar.visibility);
                if (VERSION.SDK_INT >= 17) {
                    childAt.setAlpha(aVar.alpha);
                    childAt.setRotation(aVar.rotation);
                    childAt.setRotationX(aVar.eT);
                    childAt.setRotationY(aVar.eU);
                    childAt.setScaleX(aVar.scaleX);
                    childAt.setScaleY(aVar.scaleY);
                    if (!Float.isNaN(aVar.eV)) {
                        childAt.setPivotX(aVar.eV);
                    }
                    if (!Float.isNaN(aVar.eW)) {
                        childAt.setPivotY(aVar.eW);
                    }
                    childAt.setTranslationX(aVar.eX);
                    childAt.setTranslationY(aVar.eY);
                    if (VERSION.SDK_INT >= 21) {
                        childAt.setTranslationZ(aVar.eZ);
                        if (aVar.eR) {
                            childAt.setElevation(aVar.eS);
                        }
                    }
                }
            }
        }
        Iterator it = hashSet.iterator();
        while (it.hasNext()) {
            Integer num = (Integer) it.next();
            a aVar2 = (a) this.eL.get(num);
            if (aVar2.fl != -1) {
                switch (aVar2.fl) {
                    case 1:
                        View barrier = new Barrier(constraintLayout.getContext());
                        barrier.setId(num.intValue());
                        if (aVar2.fn != null) {
                            barrier.setReferencedIds(aVar2.fn);
                        } else if (aVar2.fo != null) {
                            aVar2.fn = a(barrier, aVar2.fo);
                            barrier.setReferencedIds(aVar2.fn);
                        }
                        barrier.setType(aVar2.fk);
                        LayoutParams as = ConstraintLayout.as();
                        barrier.ap();
                        aVar2.a(as);
                        constraintLayout.addView(barrier, as);
                        break;
                }
            }
            if (aVar2.eN) {
                Guideline guideline = new Guideline(constraintLayout.getContext());
                guideline.setId(num.intValue());
                LayoutParams as2 = ConstraintLayout.as();
                aVar2.a(as2);
                constraintLayout.addView(guideline, as2);
            }
        }
    }

    private static int a(TypedArray typedArray, int i, int i2) {
        int resourceId = typedArray.getResourceId(i, i2);
        if (resourceId == -1) {
            return typedArray.getInt(i, -1);
        }
        return resourceId;
    }

    static void a(a aVar, TypedArray typedArray) {
        int indexCount = typedArray.getIndexCount();
        for (int i = 0; i < indexCount; i++) {
            int index = typedArray.getIndex(i);
            switch (eM.get(index)) {
                case 1:
                    aVar.dJ = a(typedArray, index, aVar.dJ);
                    break;
                case 2:
                    aVar.bottomMargin = typedArray.getDimensionPixelSize(index, aVar.bottomMargin);
                    break;
                case 3:
                    aVar.dI = a(typedArray, index, aVar.dI);
                    break;
                case 4:
                    aVar.dH = a(typedArray, index, aVar.dH);
                    break;
                case 5:
                    aVar.dZ = typedArray.getString(index);
                    break;
                case 6:
                    aVar.em = typedArray.getDimensionPixelOffset(index, aVar.em);
                    break;
                case 7:
                    aVar.eo = typedArray.getDimensionPixelOffset(index, aVar.eo);
                    break;
                case 8:
                    aVar.eP = typedArray.getDimensionPixelSize(index, aVar.eP);
                    break;
                case 9:
                    aVar.dQ = a(typedArray, index, aVar.dQ);
                    break;
                case 10:
                    aVar.dP = a(typedArray, index, aVar.dP);
                    break;
                case 11:
                    aVar.dU = typedArray.getDimensionPixelSize(index, aVar.dU);
                    break;
                case TbsReaderView$ReaderCallback.NOTIFY_CANDISPLAY /*12*/:
                    aVar.dW = typedArray.getDimensionPixelSize(index, aVar.dW);
                    break;
                case 13:
                    aVar.dR = typedArray.getDimensionPixelSize(index, aVar.dR);
                    break;
                case 14:
                    aVar.dT = typedArray.getDimensionPixelSize(index, aVar.dT);
                    break;
                case 15:
                    aVar.dV = typedArray.getDimensionPixelSize(index, aVar.dV);
                    break;
                case o.CTRL_INDEX /*16*/:
                    aVar.dS = typedArray.getDimensionPixelSize(index, aVar.dS);
                    break;
                case FacebookRequestErrorClassification.EC_USER_TOO_MANY_CALLS /*17*/:
                    aVar.dw = typedArray.getDimensionPixelOffset(index, aVar.dw);
                    break;
                case com.tencent.mm.plugin.appbrand.jsapi.storage.a.CTRL_INDEX /*18*/:
                    aVar.dz = typedArray.getDimensionPixelOffset(index, aVar.dz);
                    break;
                case TbsReaderView$ReaderCallback.NOTIFY_ERRORCODE /*19*/:
                    aVar.dA = typedArray.getFloat(index, aVar.dA);
                    break;
                case 20:
                    aVar.dX = typedArray.getFloat(index, aVar.dX);
                    break;
                case 21:
                    aVar.mHeight = typedArray.getLayoutDimension(index, aVar.mHeight);
                    break;
                case 22:
                    aVar.visibility = typedArray.getInt(index, aVar.visibility);
                    aVar.visibility = eK[aVar.visibility];
                    break;
                case 23:
                    aVar.mWidth = typedArray.getLayoutDimension(index, aVar.mWidth);
                    break;
                case 24:
                    aVar.leftMargin = typedArray.getDimensionPixelSize(index, aVar.leftMargin);
                    break;
                case 25:
                    aVar.dB = a(typedArray, index, aVar.dB);
                    break;
                case 26:
                    aVar.dC = a(typedArray, index, aVar.dC);
                    break;
                case 27:
                    aVar.orientation = typedArray.getInt(index, aVar.orientation);
                    break;
                case 28:
                    aVar.rightMargin = typedArray.getDimensionPixelSize(index, aVar.rightMargin);
                    break;
                case JsApiChooseImage.CTRL_INDEX /*29*/:
                    aVar.dD = a(typedArray, index, aVar.dD);
                    break;
                case 30:
                    aVar.dE = a(typedArray, index, aVar.dE);
                    break;
                case JsApiStartRecordVoice.CTRL_INDEX /*31*/:
                    aVar.eQ = typedArray.getDimensionPixelSize(index, aVar.eQ);
                    break;
                case 32:
                    aVar.dN = a(typedArray, index, aVar.dN);
                    break;
                case 33:
                    aVar.dO = a(typedArray, index, aVar.dO);
                    break;
                case JsApiPausePlayVoice.CTRL_INDEX /*34*/:
                    aVar.topMargin = typedArray.getDimensionPixelSize(index, aVar.topMargin);
                    break;
                case 35:
                    aVar.dG = a(typedArray, index, aVar.dG);
                    break;
                case 36:
                    aVar.dF = a(typedArray, index, aVar.dF);
                    break;
                case 37:
                    aVar.dY = typedArray.getFloat(index, aVar.dY);
                    break;
                case 38:
                    aVar.eO = typedArray.getResourceId(index, aVar.eO);
                    break;
                case 39:
                    aVar.horizontalWeight = typedArray.getFloat(index, aVar.horizontalWeight);
                    break;
                case g.CTRL_INDEX /*40*/:
                    aVar.verticalWeight = typedArray.getFloat(index, aVar.verticalWeight);
                    break;
                case 41:
                    aVar.ec = typedArray.getInt(index, aVar.ec);
                    break;
                case 42:
                    aVar.ed = typedArray.getInt(index, aVar.ed);
                    break;
                case 43:
                    aVar.alpha = typedArray.getFloat(index, aVar.alpha);
                    break;
                case 44:
                    aVar.eR = true;
                    aVar.eS = typedArray.getDimension(index, aVar.eS);
                    break;
                case 45:
                    aVar.eT = typedArray.getFloat(index, aVar.eT);
                    break;
                case 46:
                    aVar.eU = typedArray.getFloat(index, aVar.eU);
                    break;
                case 47:
                    aVar.scaleX = typedArray.getFloat(index, aVar.scaleX);
                    break;
                case 48:
                    aVar.scaleY = typedArray.getFloat(index, aVar.scaleY);
                    break;
                case 49:
                    aVar.eV = typedArray.getFloat(index, aVar.eV);
                    break;
                case 50:
                    aVar.eW = typedArray.getFloat(index, aVar.eW);
                    break;
                case 51:
                    aVar.eX = typedArray.getDimension(index, aVar.eX);
                    break;
                case 52:
                    aVar.eY = typedArray.getDimension(index, aVar.eY);
                    break;
                case 53:
                    aVar.eZ = typedArray.getDimension(index, aVar.eZ);
                    break;
                case 60:
                    aVar.rotation = typedArray.getFloat(index, aVar.rotation);
                    break;
                case 61:
                    aVar.dK = a(typedArray, index, aVar.dK);
                    break;
                case 62:
                    aVar.dL = typedArray.getDimensionPixelSize(index, aVar.dL);
                    break;
                case 63:
                    aVar.dM = typedArray.getFloat(index, aVar.dM);
                    break;
                case 69:
                    aVar.fh = typedArray.getFloat(index, 1.0f);
                    break;
                case 70:
                    aVar.fi = typedArray.getFloat(index, 1.0f);
                    break;
                case 71:
                    break;
                case 72:
                    aVar.fk = typedArray.getInt(index, aVar.fk);
                    break;
                case 73:
                    aVar.fo = typedArray.getString(index);
                    break;
                case 74:
                    aVar.fj = typedArray.getBoolean(index, aVar.fj);
                    break;
                case 75:
                    new StringBuilder("unused attribute 0x").append(Integer.toHexString(index)).append("   ").append(eM.get(index));
                    break;
                default:
                    new StringBuilder("Unknown attribute 0x").append(Integer.toHexString(index)).append("   ").append(eM.get(index));
                    break;
            }
        }
    }

    private static int[] a(View view, String str) {
        String[] split = str.split(",");
        Context context = view.getContext();
        int[] iArr = new int[split.length];
        int i = 0;
        int i2 = 0;
        while (i < split.length) {
            int i3;
            int intValue;
            String trim = split[i].trim();
            try {
                i3 = id.class.getField(trim).getInt(null);
            } catch (Exception e) {
                i3 = 0;
            }
            if (i3 == 0) {
                i3 = context.getResources().getIdentifier(trim, "id", context.getPackageName());
            }
            if (i3 == 0 && view.isInEditMode() && (view.getParent() instanceof ConstraintLayout)) {
                Object f = ((ConstraintLayout) view.getParent()).f(trim);
                if (f != null && (f instanceof Integer)) {
                    intValue = ((Integer) f).intValue();
                    i3 = i2 + 1;
                    iArr[i2] = intValue;
                    i++;
                    i2 = i3;
                }
            }
            intValue = i3;
            i3 = i2 + 1;
            iArr[i2] = intValue;
            i++;
            i2 = i3;
        }
        if (i2 != split.length) {
            return Arrays.copyOf(iArr, i2);
        }
        return iArr;
    }
}
