package com.facebook.login;

import android.os.Parcel;
import android.os.Parcelable;
import android.os.Parcelable.Creator;
import android.text.TextUtils;
import com.facebook.AccessToken;
import com.facebook.internal.Utility;
import com.facebook.internal.Validate;
import com.facebook.login.LoginClient.Request;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.util.Map;

public class LoginClient$Result implements Parcelable {
    public static final Creator<LoginClient$Result> CREATOR = new 1();
    final Code code;
    final String errorCode;
    final String errorMessage;
    public Map<String, String> extraData;
    public Map<String, String> loggingExtras;
    final Request request;
    final AccessToken token;

    LoginClient$Result(Request request, Code code, AccessToken accessToken, String str, String str2) {
        AppMethodBeat.i(96807);
        Validate.notNull(code, "code");
        this.request = request;
        this.token = accessToken;
        this.errorMessage = str;
        this.code = code;
        this.errorCode = str2;
        AppMethodBeat.o(96807);
    }

    static LoginClient$Result createTokenResult(Request request, AccessToken accessToken) {
        AppMethodBeat.i(96808);
        LoginClient$Result loginClient$Result = new LoginClient$Result(request, Code.SUCCESS, accessToken, null, null);
        AppMethodBeat.o(96808);
        return loginClient$Result;
    }

    static LoginClient$Result createCancelResult(Request request, String str) {
        AppMethodBeat.i(96809);
        LoginClient$Result loginClient$Result = new LoginClient$Result(request, Code.CANCEL, null, str, null);
        AppMethodBeat.o(96809);
        return loginClient$Result;
    }

    static LoginClient$Result createErrorResult(Request request, String str, String str2) {
        AppMethodBeat.i(96810);
        LoginClient$Result createErrorResult = createErrorResult(request, str, str2, null);
        AppMethodBeat.o(96810);
        return createErrorResult;
    }

    static LoginClient$Result createErrorResult(Request request, String str, String str2, String str3) {
        AppMethodBeat.i(96811);
        String join = TextUtils.join(": ", Utility.asListNoNulls(new String[]{str, str2}));
        LoginClient$Result loginClient$Result = new LoginClient$Result(request, Code.ERROR, null, join, str3);
        AppMethodBeat.o(96811);
        return loginClient$Result;
    }

    private LoginClient$Result(Parcel parcel) {
        AppMethodBeat.i(96812);
        this.code = Code.valueOf(parcel.readString());
        this.token = (AccessToken) parcel.readParcelable(AccessToken.class.getClassLoader());
        this.errorMessage = parcel.readString();
        this.errorCode = parcel.readString();
        this.request = (Request) parcel.readParcelable(Request.class.getClassLoader());
        this.loggingExtras = Utility.readStringMapFromParcel(parcel);
        this.extraData = Utility.readStringMapFromParcel(parcel);
        AppMethodBeat.o(96812);
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(Parcel parcel, int i) {
        AppMethodBeat.i(96813);
        parcel.writeString(this.code.name());
        parcel.writeParcelable(this.token, i);
        parcel.writeString(this.errorMessage);
        parcel.writeString(this.errorCode);
        parcel.writeParcelable(this.request, i);
        Utility.writeStringMapToParcel(parcel, this.loggingExtras);
        Utility.writeStringMapToParcel(parcel, this.extraData);
        AppMethodBeat.o(96813);
    }

    static {
        AppMethodBeat.i(96814);
        AppMethodBeat.o(96814);
    }
}
