package com.facebook.login;

import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable.Creator;
import android.support.v4.app.FragmentActivity;
import com.facebook.AccessTokenSource;
import com.facebook.FacebookException;
import com.facebook.internal.FacebookDialogFragment;
import com.facebook.internal.Utility;
import com.facebook.internal.WebDialog;
import com.facebook.login.LoginClient.Request;
import com.tencent.matrix.trace.core.AppMethodBeat;

class WebViewLoginMethodHandler extends WebLoginMethodHandler {
    public static final Creator<WebViewLoginMethodHandler> CREATOR = new 2();
    private String e2e;
    private WebDialog loginDialog;

    WebViewLoginMethodHandler(LoginClient loginClient) {
        super(loginClient);
    }

    /* Access modifiers changed, original: 0000 */
    public String getNameForLogging() {
        return "web_view";
    }

    /* Access modifiers changed, original: 0000 */
    public AccessTokenSource getTokenSource() {
        return AccessTokenSource.WEB_VIEW;
    }

    /* Access modifiers changed, original: 0000 */
    public boolean needsInternetPermission() {
        return true;
    }

    /* Access modifiers changed, original: 0000 */
    public void cancel() {
        AppMethodBeat.i(96935);
        if (this.loginDialog != null) {
            this.loginDialog.cancel();
            this.loginDialog = null;
        }
        AppMethodBeat.o(96935);
    }

    /* Access modifiers changed, original: 0000 */
    public boolean tryAuthorize(Request request) {
        AppMethodBeat.i(96936);
        Bundle parameters = getParameters(request);
        1 1 = new 1(this, request);
        this.e2e = LoginClient.getE2E();
        addLoggingExtra("e2e", this.e2e);
        FragmentActivity activity = this.loginClient.getActivity();
        this.loginDialog = new AuthDialogBuilder(activity, request.getApplicationId(), parameters).setE2E(this.e2e).setIsChromeOS(Utility.isChromeOS(activity)).setAuthType(request.getAuthType()).setOnCompleteListener(1).build();
        FacebookDialogFragment facebookDialogFragment = new FacebookDialogFragment();
        facebookDialogFragment.setRetainInstance(true);
        facebookDialogFragment.setDialog(this.loginDialog);
        facebookDialogFragment.show(activity.getSupportFragmentManager(), FacebookDialogFragment.TAG);
        AppMethodBeat.o(96936);
        return true;
    }

    /* Access modifiers changed, original: 0000 */
    public void onWebDialogComplete(Request request, Bundle bundle, FacebookException facebookException) {
        AppMethodBeat.i(96937);
        super.onComplete(request, bundle, facebookException);
        AppMethodBeat.o(96937);
    }

    WebViewLoginMethodHandler(Parcel parcel) {
        super(parcel);
        AppMethodBeat.i(96938);
        this.e2e = parcel.readString();
        AppMethodBeat.o(96938);
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(Parcel parcel, int i) {
        AppMethodBeat.i(96939);
        super.writeToParcel(parcel, i);
        parcel.writeString(this.e2e);
        AppMethodBeat.o(96939);
    }

    static {
        AppMethodBeat.i(96940);
        AppMethodBeat.o(96940);
    }
}
