package com.facebook.share.internal;

import com.facebook.FacebookRequestError;
import com.facebook.FacebookSdk;
import com.facebook.GraphRequest;
import com.facebook.GraphRequestBatch;
import com.facebook.GraphResponse;
import com.facebook.LoggingBehavior;
import com.facebook.internal.Logger;
import com.facebook.share.internal.LikeActionController.RequestWrapper;
import com.facebook.share.widget.LikeView.ObjectType;

abstract class LikeActionController$AbstractRequestWrapper implements RequestWrapper {
    protected FacebookRequestError error;
    protected String objectId;
    protected ObjectType objectType;
    private GraphRequest request;
    final /* synthetic */ LikeActionController this$0;

    public abstract void processSuccess(GraphResponse graphResponse);

    protected LikeActionController$AbstractRequestWrapper(LikeActionController likeActionController, String str, ObjectType objectType) {
        this.this$0 = likeActionController;
        this.objectId = str;
        this.objectType = objectType;
    }

    public void addToBatch(GraphRequestBatch graphRequestBatch) {
        graphRequestBatch.add(this.request);
    }

    public FacebookRequestError getError() {
        return this.error;
    }

    /* Access modifiers changed, original: protected */
    public void setRequest(GraphRequest graphRequest) {
        this.request = graphRequest;
        graphRequest.setVersion(FacebookSdk.getGraphApiVersion());
        graphRequest.setCallback(new 1(this));
    }

    /* Access modifiers changed, original: protected */
    public void processError(FacebookRequestError facebookRequestError) {
        Logger.log(LoggingBehavior.REQUESTS, LikeActionController.access$100(), "Error running request for object '%s' with type '%s' : %s", new Object[]{this.objectId, this.objectType, facebookRequestError});
    }
}
