package com.facebook.share.model;

import android.os.Parcel;
import android.os.Parcelable.Creator;
import android.text.TextUtils;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.util.List;

public final class GameRequestContent implements ShareModel {
    public static final Creator<GameRequestContent> CREATOR = new Creator<GameRequestContent>() {
        public final GameRequestContent createFromParcel(Parcel parcel) {
            AppMethodBeat.i(97374);
            GameRequestContent gameRequestContent = new GameRequestContent(parcel);
            AppMethodBeat.o(97374);
            return gameRequestContent;
        }

        public final GameRequestContent[] newArray(int i) {
            return new GameRequestContent[i];
        }
    };
    private final ActionType actionType;
    private final String data;
    private final Filters filters;
    private final String message;
    private final String objectId;
    private final List<String> recipients;
    private final List<String> suggestions;
    private final String title;

    private GameRequestContent(Builder builder) {
        AppMethodBeat.i(97389);
        this.message = Builder.access$000(builder);
        this.recipients = Builder.access$100(builder);
        this.title = Builder.access$200(builder);
        this.data = Builder.access$300(builder);
        this.actionType = Builder.access$400(builder);
        this.objectId = Builder.access$500(builder);
        this.filters = Builder.access$600(builder);
        this.suggestions = Builder.access$700(builder);
        AppMethodBeat.o(97389);
    }

    GameRequestContent(Parcel parcel) {
        AppMethodBeat.i(97390);
        this.message = parcel.readString();
        this.recipients = parcel.createStringArrayList();
        this.title = parcel.readString();
        this.data = parcel.readString();
        this.actionType = (ActionType) parcel.readSerializable();
        this.objectId = parcel.readString();
        this.filters = (Filters) parcel.readSerializable();
        this.suggestions = parcel.createStringArrayList();
        parcel.readStringList(this.suggestions);
        AppMethodBeat.o(97390);
    }

    public final String getMessage() {
        return this.message;
    }

    public final String getTo() {
        AppMethodBeat.i(97391);
        if (getRecipients() != null) {
            String join = TextUtils.join(",", getRecipients());
            AppMethodBeat.o(97391);
            return join;
        }
        AppMethodBeat.o(97391);
        return null;
    }

    public final List<String> getRecipients() {
        return this.recipients;
    }

    public final String getTitle() {
        return this.title;
    }

    public final String getData() {
        return this.data;
    }

    public final ActionType getActionType() {
        return this.actionType;
    }

    public final String getObjectId() {
        return this.objectId;
    }

    public final Filters getFilters() {
        return this.filters;
    }

    public final List<String> getSuggestions() {
        return this.suggestions;
    }

    public final int describeContents() {
        return 0;
    }

    public final void writeToParcel(Parcel parcel, int i) {
        AppMethodBeat.i(97392);
        parcel.writeString(this.message);
        parcel.writeStringList(this.recipients);
        parcel.writeString(this.title);
        parcel.writeString(this.data);
        parcel.writeSerializable(this.actionType);
        parcel.writeString(this.objectId);
        parcel.writeSerializable(this.filters);
        parcel.writeStringList(this.suggestions);
        AppMethodBeat.o(97392);
    }

    static {
        AppMethodBeat.i(97393);
        AppMethodBeat.o(97393);
    }
}
