package com.google.android.exoplayer2.video;

import android.annotation.TargetApi;
import android.content.Context;
import android.graphics.Point;
import android.media.MediaCodec;
import android.media.MediaCodecInfo.CodecProfileLevel;
import android.media.MediaCodecInfo.VideoCapabilities;
import android.media.MediaCrypto;
import android.media.MediaFormat;
import android.os.Handler;
import android.os.SystemClock;
import android.util.Pair;
import android.view.Surface;
import com.google.android.exoplayer2.Format;
import com.google.android.exoplayer2.drm.DrmInitData;
import com.google.android.exoplayer2.drm.d;
import com.google.android.exoplayer2.e.b;
import com.google.android.exoplayer2.i.i;
import com.google.android.exoplayer2.i.t;
import com.google.android.exoplayer2.i.v;
import com.google.android.exoplayer2.video.e.a;
import com.google.android.exoplayer2.video.e.a.1;
import com.google.android.exoplayer2.video.e.a.3;
import com.tencent.matrix.trace.core.AppMethodBeat;

@TargetApi(16)
public final class c extends b {
    private static final int[] bsf = new int[]{1920, 1600, 1440, 1280, 960, 854, 640, 540, 480};
    private int aOF;
    private Surface aOO;
    private boolean aQR;
    private int bsA;
    private float bsB;
    private int bsC;
    private int bsD;
    private int bsE;
    private float bsF;
    b bsG;
    private long bsH;
    private int bsI;
    private final d bsg;
    private final a bsh;
    private final long bsi;
    private final int bsj = 50;
    private final boolean bsk;
    private final long[] bsl;
    private Format[] bsm;
    private a bsn;
    private boolean bso;
    private Surface bsp;
    private int bsq;
    private boolean bsr;
    private long bss;
    private long bst;
    private int bsu;
    private int bsv;
    private int bsw;
    private float bsx;
    private int bsy;
    private int bsz;
    private final Context context;

    public c(Context context, com.google.android.exoplayer2.e.c cVar, long j, com.google.android.exoplayer2.drm.b<d> bVar, Handler handler, e eVar) {
        boolean z = false;
        super(2, cVar, bVar, false);
        AppMethodBeat.i(95998);
        this.bsi = j;
        this.context = context.getApplicationContext();
        this.bsg = new d(context);
        this.bsh = new a(handler, eVar);
        if (v.SDK_INT <= 22 && "foster".equals(v.DEVICE) && "NVIDIA".equals(v.MANUFACTURER)) {
            z = true;
        }
        this.bsk = z;
        this.bsl = new long[10];
        this.bsH = -9223372036854775807L;
        this.bss = -9223372036854775807L;
        this.bsy = -1;
        this.bsz = -1;
        this.bsB = -1.0f;
        this.bsx = -1.0f;
        this.bsq = 1;
        tV();
        AppMethodBeat.o(95998);
    }

    public final int a(com.google.android.exoplayer2.e.c cVar, Format format) {
        int i = 0;
        AppMethodBeat.i(95999);
        String str = format.aOd;
        if (i.aI(str)) {
            boolean z;
            DrmInitData drmInitData = format.aOg;
            if (drmInitData != null) {
                z = false;
                for (int i2 = 0; i2 < drmInitData.aSx; i2++) {
                    z |= drmInitData.aSw[i2].aSy;
                }
            } else {
                z = false;
            }
            com.google.android.exoplayer2.e.a e = cVar.e(str, z);
            if (e == null) {
                AppMethodBeat.o(95999);
                return 1;
            }
            boolean z2;
            String str2 = format.aOa;
            if (str2 == null || e.mimeType == null) {
                z2 = true;
            } else {
                String aK = i.aK(str2);
                if (aK == null) {
                    z2 = true;
                } else if (e.mimeType.equals(aK)) {
                    Pair ay = com.google.android.exoplayer2.e.d.ay(str2);
                    if (ay == null) {
                        z2 = true;
                    } else {
                        for (CodecProfileLevel codecProfileLevel : e.rD()) {
                            if (codecProfileLevel.profile == ((Integer) ay.first).intValue() && codecProfileLevel.level >= ((Integer) ay.second).intValue()) {
                                z2 = true;
                                break;
                            }
                        }
                        e.ax("codec.profileLevel, " + str2 + ", " + aK);
                        z2 = false;
                    }
                } else {
                    e.ax("codec.mime " + str2 + ", " + aK);
                    z2 = false;
                }
            }
            if (z2 && format.width > 0 && format.height > 0) {
                if (v.SDK_INT >= 21) {
                    z2 = e.a(format.width, format.height, (double) format.aOh);
                } else {
                    if (format.width * format.height <= com.google.android.exoplayer2.e.d.rK()) {
                        z2 = true;
                    } else {
                        z2 = false;
                    }
                    if (!z2) {
                        new StringBuilder("FalseCheck [legacyFrameSize, ").append(format.width).append("x").append(format.height).append("] [").append(v.brM).append("]");
                    }
                }
            }
            int i3 = e.bdX ? 16 : 8;
            if (e.aQR) {
                i = 32;
            }
            i = (i | i3) | (z2 ? 4 : 3);
            AppMethodBeat.o(95999);
            return i;
        }
        AppMethodBeat.o(95999);
        return 0;
    }

    public final void aD(boolean z) {
        boolean z2;
        AppMethodBeat.i(96000);
        super.aD(z);
        this.aOF = this.aMs.aOF;
        if (this.aOF != 0) {
            z2 = true;
        } else {
            z2 = false;
        }
        this.aQR = z2;
        a aVar = this.bsh;
        com.google.android.exoplayer2.b.d dVar = this.beI;
        if (aVar.btb != null) {
            aVar.handler.post(new 1(aVar, dVar));
        }
        d dVar2 = this.bsg;
        dVar2.bsS = false;
        if (dVar2.bsM) {
            dVar2.bsL.handler.sendEmptyMessage(1);
        }
        AppMethodBeat.o(96000);
    }

    public final void a(Format[] formatArr, long j) {
        AppMethodBeat.i(96001);
        this.bsm = formatArr;
        if (this.bsH == -9223372036854775807L) {
            this.bsH = j;
        } else {
            if (this.bsI == this.bsl.length) {
                new StringBuilder("Too many stream changes, so dropping offset: ").append(this.bsl[this.bsI - 1]);
            } else {
                this.bsI++;
            }
            this.bsl[this.bsI - 1] = j;
        }
        super.a(formatArr, j);
        AppMethodBeat.o(96001);
    }

    public final void b(long j, boolean z) {
        AppMethodBeat.i(96002);
        super.b(j, z);
        tT();
        this.bsv = 0;
        if (this.bsI != 0) {
            this.bsH = this.bsl[this.bsI - 1];
            this.bsI = 0;
        }
        if (z) {
            tS();
            AppMethodBeat.o(96002);
            return;
        }
        this.bss = -9223372036854775807L;
        AppMethodBeat.o(96002);
    }

    public final boolean isReady() {
        AppMethodBeat.i(96003);
        if (super.isReady() && (this.bsr || ((this.bsp != null && this.aOO == this.bsp) || this.bek == null || this.aQR))) {
            this.bss = -9223372036854775807L;
            AppMethodBeat.o(96003);
            return true;
        } else if (this.bss == -9223372036854775807L) {
            AppMethodBeat.o(96003);
            return false;
        } else if (SystemClock.elapsedRealtime() < this.bss) {
            AppMethodBeat.o(96003);
            return true;
        } else {
            this.bss = -9223372036854775807L;
            AppMethodBeat.o(96003);
            return false;
        }
    }

    public final void onStarted() {
        AppMethodBeat.i(96004);
        super.onStarted();
        this.bsu = 0;
        this.bst = SystemClock.elapsedRealtime();
        AppMethodBeat.o(96004);
    }

    public final void onStopped() {
        AppMethodBeat.i(96005);
        this.bss = -9223372036854775807L;
        tY();
        super.onStopped();
        AppMethodBeat.o(96005);
    }

    public final void pK() {
        AppMethodBeat.i(96006);
        this.bsy = -1;
        this.bsz = -1;
        this.bsB = -1.0f;
        this.bsx = -1.0f;
        this.bsH = -9223372036854775807L;
        this.bsI = 0;
        tV();
        tT();
        d dVar = this.bsg;
        if (dVar.bsM) {
            dVar.bsL.handler.sendEmptyMessage(2);
        }
        this.bsG = null;
        this.aQR = false;
        try {
            super.pK();
        } finally {
            this.bsh.e(this.beI);
            AppMethodBeat.o(96006);
        }
    }

    public final void c(int i, Object obj) {
        AppMethodBeat.i(96007);
        if (i == 1) {
            Surface surface = (Surface) obj;
            if (surface == null) {
                if (this.bsp != null) {
                    surface = this.bsp;
                } else {
                    com.google.android.exoplayer2.e.a aVar = this.bel;
                    if (aVar != null && aN(aVar.bdY)) {
                        this.bsp = DummySurface.h(this.context, aVar.bdY);
                        surface = this.bsp;
                    }
                }
            }
            if (this.aOO != surface) {
                this.aOO = surface;
                int i2 = this.state;
                if (i2 == 1 || i2 == 2) {
                    MediaCodec mediaCodec = this.bek;
                    if (v.SDK_INT < 23 || mediaCodec == null || surface == null || this.bso) {
                        rF();
                        rE();
                    } else {
                        mediaCodec.setOutputSurface(surface);
                    }
                }
                if (surface == null || surface == this.bsp) {
                    tV();
                    tT();
                } else {
                    tX();
                    tT();
                    if (i2 == 2) {
                        tS();
                        AppMethodBeat.o(96007);
                        return;
                    }
                }
                AppMethodBeat.o(96007);
                return;
            }
            if (!(surface == null || surface == this.bsp)) {
                tX();
                if (this.bsr) {
                    this.bsh.d(this.aOO);
                }
            }
            AppMethodBeat.o(96007);
        } else if (i == 4) {
            this.bsq = ((Integer) obj).intValue();
            MediaCodec mediaCodec2 = this.bek;
            if (mediaCodec2 != null) {
                mediaCodec2.setVideoScalingMode(this.bsq);
            }
            AppMethodBeat.o(96007);
        } else {
            super.c(i, obj);
            AppMethodBeat.o(96007);
        }
    }

    public final boolean a(com.google.android.exoplayer2.e.a aVar) {
        AppMethodBeat.i(96008);
        if (this.aOO != null || aN(aVar.bdY)) {
            AppMethodBeat.o(96008);
            return true;
        }
        AppMethodBeat.o(96008);
        return false;
    }

    public final void a(com.google.android.exoplayer2.e.a aVar, MediaCodec mediaCodec, Format format, MediaCrypto mediaCrypto) {
        a aVar2;
        AppMethodBeat.i(96009);
        Format[] formatArr = this.bsm;
        int i = format.width;
        int i2 = format.height;
        int l = l(format);
        if (formatArr.length == 1) {
            aVar2 = new a(i, i2, l);
        } else {
            int i3 = 0;
            int length = formatArr.length;
            int i4 = 0;
            while (i4 < length) {
                int i5;
                Format format2 = formatArr[i4];
                if (b(aVar.bdX, format, format2)) {
                    i5 = (format2.width == -1 || format2.height == -1) ? 1 : 0;
                    i5 |= i3;
                    i = Math.max(i, format2.width);
                    i2 = Math.max(i2, format2.height);
                    l = Math.max(l, l(format2));
                } else {
                    i5 = i3;
                }
                i4++;
                i3 = i5;
            }
            if (i3 != 0) {
                new StringBuilder("Resolutions unknown. Codec max resolution: ").append(i).append("x").append(i2);
                Point a = a(aVar, format);
                if (a != null) {
                    i = Math.max(i, a.x);
                    i2 = Math.max(i2, a.y);
                    l = Math.max(l, b(format.aOd, i, i2));
                    new StringBuilder("Codec max resolution adjusted to: ").append(i).append("x").append(i2);
                }
            }
            aVar2 = new a(i, i2, l);
        }
        this.bsn = aVar2;
        aVar2 = this.bsn;
        boolean z = this.bsk;
        l = this.aOF;
        MediaFormat qc = format.qc();
        qc.setInteger("max-width", aVar2.width);
        qc.setInteger("max-height", aVar2.height);
        if (aVar2.bsJ != -1) {
            qc.setInteger("max-input-size", aVar2.bsJ);
        }
        if (z) {
            qc.setInteger("auto-frc", 0);
        }
        if (l != 0) {
            qc.setFeatureEnabled("tunneled-playback", true);
            qc.setInteger("audio-session-id", l);
        }
        if (this.aOO == null) {
            com.google.android.exoplayer2.i.a.checkState(aN(aVar.bdY));
            if (this.bsp == null) {
                this.bsp = DummySurface.h(this.context, aVar.bdY);
            }
            this.aOO = this.bsp;
        }
        mediaCodec.configure(qc, this.aOO, mediaCrypto, 0);
        if (v.SDK_INT >= 23 && this.aQR) {
            this.bsG = new b(this, mediaCodec, (byte) 0);
        }
        AppMethodBeat.o(96009);
    }

    public final void rF() {
        AppMethodBeat.i(96010);
        try {
            super.rF();
            if (this.bsp != null) {
                if (this.aOO == this.bsp) {
                    this.aOO = null;
                }
                this.bsp.release();
                this.bsp = null;
                AppMethodBeat.o(96010);
                return;
            }
            AppMethodBeat.o(96010);
        } catch (Throwable th) {
            if (this.bsp != null) {
                if (this.aOO == this.bsp) {
                    this.aOO = null;
                }
                this.bsp.release();
                this.bsp = null;
            }
            AppMethodBeat.o(96010);
        }
    }

    public final void c(String str, long j, long j2) {
        boolean z;
        AppMethodBeat.i(96011);
        a aVar = this.bsh;
        if (aVar.btb != null) {
            aVar.handler.post(new e$a$2(aVar, str, j, j2));
        }
        if ((("deb".equals(v.DEVICE) || "flo".equals(v.DEVICE)) && "OMX.qcom.video.decoder.avc".equals(str)) || ("tcl_eu".equals(v.DEVICE) && "OMX.MTK.VIDEO.DECODER.AVC".equals(str))) {
            z = true;
        } else {
            z = false;
        }
        this.bso = z;
        AppMethodBeat.o(96011);
    }

    public final void e(Format format) {
        float f;
        AppMethodBeat.i(96012);
        super.e(format);
        a aVar = this.bsh;
        if (aVar.btb != null) {
            aVar.handler.post(new 3(aVar, format));
        }
        if (format.aOj == -1.0f) {
            f = 1.0f;
        } else {
            f = format.aOj;
        }
        this.bsx = f;
        this.bsw = m(format);
        AppMethodBeat.o(96012);
    }

    public final void rH() {
        AppMethodBeat.i(96013);
        if (v.SDK_INT < 23 && this.aQR) {
            tU();
        }
        AppMethodBeat.o(96013);
    }

    public final void onOutputFormatChanged(MediaCodec mediaCodec, MediaFormat mediaFormat) {
        int integer;
        AppMethodBeat.i(96014);
        Object obj = (mediaFormat.containsKey("crop-right") && mediaFormat.containsKey("crop-left") && mediaFormat.containsKey("crop-bottom") && mediaFormat.containsKey("crop-top")) ? 1 : null;
        if (obj != null) {
            integer = (mediaFormat.getInteger("crop-right") - mediaFormat.getInteger("crop-left")) + 1;
        } else {
            integer = mediaFormat.getInteger("width");
        }
        this.bsy = integer;
        if (obj != null) {
            integer = (mediaFormat.getInteger("crop-bottom") - mediaFormat.getInteger("crop-top")) + 1;
        } else {
            integer = mediaFormat.getInteger("height");
        }
        this.bsz = integer;
        this.bsB = this.bsx;
        if (v.SDK_INT < 21) {
            this.bsA = this.bsw;
        } else if (this.bsw == 90 || this.bsw == 270) {
            integer = this.bsy;
            this.bsy = this.bsz;
            this.bsz = integer;
            this.bsB = 1.0f / this.bsB;
        }
        mediaCodec.setVideoScalingMode(this.bsq);
        AppMethodBeat.o(96014);
    }

    public final boolean a(boolean z, Format format, Format format2) {
        AppMethodBeat.i(96015);
        if (!b(z, format, format2) || format2.width > this.bsn.width || format2.height > this.bsn.height || l(format2) > this.bsn.bsJ) {
            AppMethodBeat.o(96015);
            return false;
        }
        AppMethodBeat.o(96015);
        return true;
    }

    /* JADX WARNING: Removed duplicated region for block: B:36:0x0107  */
    /* JADX WARNING: Removed duplicated region for block: B:59:0x01c1  */
    /* JADX WARNING: Removed duplicated region for block: B:54:0x01b1  */
    /* JADX WARNING: Removed duplicated region for block: B:60:0x01c5  */
    /* JADX WARNING: Removed duplicated region for block: B:57:0x01bb  */
    /* JADX WARNING: Removed duplicated region for block: B:61:0x01c7  */
    /* JADX WARNING: Removed duplicated region for block: B:43:0x0131  */
    public final boolean a(long r20, long r22, android.media.MediaCodec r24, java.nio.ByteBuffer r25, int r26, int r27, long r28, boolean r30) {
        /*
        r19 = this;
        r4 = 96016; // 0x17710 float:1.34547E-40 double:4.7438E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r4);
    L_0x0006:
        r0 = r19;
        r4 = r0.bsI;
        if (r4 == 0) goto L_0x003e;
    L_0x000c:
        r0 = r19;
        r4 = r0.bsl;
        r5 = 0;
        r4 = r4[r5];
        r4 = (r28 > r4 ? 1 : (r28 == r4 ? 0 : -1));
        if (r4 < 0) goto L_0x003e;
    L_0x0017:
        r0 = r19;
        r4 = r0.bsl;
        r5 = 0;
        r4 = r4[r5];
        r0 = r19;
        r0.bsH = r4;
        r0 = r19;
        r4 = r0.bsI;
        r4 = r4 + -1;
        r0 = r19;
        r0.bsI = r4;
        r0 = r19;
        r4 = r0.bsl;
        r5 = 1;
        r0 = r19;
        r6 = r0.bsl;
        r7 = 0;
        r0 = r19;
        r8 = r0.bsI;
        java.lang.System.arraycopy(r4, r5, r6, r7, r8);
        goto L_0x0006;
    L_0x003e:
        if (r30 == 0) goto L_0x0051;
    L_0x0040:
        r0 = r19;
        r1 = r24;
        r2 = r26;
        r0.a(r1, r2);
        r4 = 1;
        r5 = 96016; // 0x17710 float:1.34547E-40 double:4.7438E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
    L_0x0050:
        return r4;
    L_0x0051:
        r4 = r28 - r20;
        r0 = r19;
        r6 = r0.aOO;
        r0 = r19;
        r7 = r0.bsp;
        if (r6 != r7) goto L_0x007c;
    L_0x005d:
        r4 = as(r4);
        if (r4 == 0) goto L_0x0074;
    L_0x0063:
        r0 = r19;
        r1 = r24;
        r2 = r26;
        r0.a(r1, r2);
        r4 = 1;
        r5 = 96016; // 0x17710 float:1.34547E-40 double:4.7438E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
        goto L_0x0050;
    L_0x0074:
        r4 = 0;
        r5 = 96016; // 0x17710 float:1.34547E-40 double:4.7438E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
        goto L_0x0050;
    L_0x007c:
        r0 = r19;
        r6 = r0.bsr;
        if (r6 != 0) goto L_0x00a7;
    L_0x0082:
        r4 = com.google.android.exoplayer2.i.v.SDK_INT;
        r5 = 21;
        if (r4 < r5) goto L_0x009d;
    L_0x0088:
        r4 = java.lang.System.nanoTime();
        r0 = r19;
        r1 = r24;
        r2 = r26;
        r0.a(r1, r2, r4);
    L_0x0095:
        r4 = 1;
        r5 = 96016; // 0x17710 float:1.34547E-40 double:4.7438E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
        goto L_0x0050;
    L_0x009d:
        r0 = r19;
        r1 = r24;
        r2 = r26;
        r0.b(r1, r2);
        goto L_0x0095;
    L_0x00a7:
        r0 = r19;
        r6 = r0.state;
        r7 = 2;
        if (r6 == r7) goto L_0x00b6;
    L_0x00ae:
        r4 = 0;
        r5 = 96016; // 0x17710 float:1.34547E-40 double:4.7438E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
        goto L_0x0050;
    L_0x00b6:
        r6 = android.os.SystemClock.elapsedRealtime();
        r8 = 1000; // 0x3e8 float:1.401E-42 double:4.94E-321;
        r6 = r6 * r8;
        r6 = r6 - r22;
        r4 = r4 - r6;
        r12 = java.lang.System.nanoTime();
        r6 = 1000; // 0x3e8 float:1.401E-42 double:4.94E-321;
        r4 = r4 * r6;
        r6 = r12 + r4;
        r0 = r19;
        r14 = r0.bsg;
        r4 = 1000; // 0x3e8 float:1.401E-42 double:4.94E-321;
        r10 = r28 * r4;
        r4 = r14.bsS;
        if (r4 == 0) goto L_0x019e;
    L_0x00d5:
        r4 = r14.bsP;
        r4 = (r28 > r4 ? 1 : (r28 == r4 ? 0 : -1));
        if (r4 == 0) goto L_0x00e6;
    L_0x00db:
        r4 = r14.bsV;
        r8 = 1;
        r4 = r4 + r8;
        r14.bsV = r4;
        r4 = r14.bsR;
        r14.bsQ = r4;
    L_0x00e6:
        r4 = r14.bsV;
        r8 = 6;
        r4 = (r4 > r8 ? 1 : (r4 == r8 ? 0 : -1));
        if (r4 < 0) goto L_0x0195;
    L_0x00ee:
        r4 = r14.bsU;
        r4 = r10 - r4;
        r8 = r14.bsV;
        r4 = r4 / r8;
        r8 = r14.bsQ;
        r8 = r8 + r4;
        r4 = r14.m(r8, r6);
        if (r4 == 0) goto L_0x018a;
    L_0x00fe:
        r4 = 0;
        r14.bsS = r4;
        r4 = r6;
        r8 = r10;
    L_0x0103:
        r15 = r14.bsS;
        if (r15 != 0) goto L_0x0112;
    L_0x0107:
        r14.bsU = r10;
        r14.bsT = r6;
        r6 = 0;
        r14.bsV = r6;
        r6 = 1;
        r14.bsS = r6;
    L_0x0112:
        r0 = r28;
        r14.bsP = r0;
        r14.bsR = r8;
        r6 = r14.bsL;
        if (r6 == 0) goto L_0x0126;
    L_0x011c:
        r6 = r14.bsL;
        r6 = r6.bsW;
        r8 = 0;
        r6 = (r6 > r8 ? 1 : (r6 == r8 ? 0 : -1));
        if (r6 != 0) goto L_0x01a2;
    L_0x0126:
        r6 = r4 - r12;
        r8 = 1000; // 0x3e8 float:1.401E-42 double:4.94E-321;
        r6 = r6 / r8;
        r8 = as(r6);
        if (r8 == 0) goto L_0x01c7;
    L_0x0131:
        r4 = "dropVideoBuffer";
        com.google.android.exoplayer2.i.t.beginSection(r4);
        r4 = 0;
        r0 = r24;
        r1 = r26;
        r0.releaseOutputBuffer(r1, r4);
        com.google.android.exoplayer2.i.t.endSection();
        r0 = r19;
        r4 = r0.beI;
        r5 = r4.aSh;
        r5 = r5 + 1;
        r4.aSh = r5;
        r0 = r19;
        r4 = r0.bsu;
        r4 = r4 + 1;
        r0 = r19;
        r0.bsu = r4;
        r0 = r19;
        r4 = r0.bsv;
        r4 = r4 + 1;
        r0 = r19;
        r0.bsv = r4;
        r0 = r19;
        r4 = r0.beI;
        r0 = r19;
        r5 = r0.bsv;
        r0 = r19;
        r6 = r0.beI;
        r6 = r6.aSi;
        r5 = java.lang.Math.max(r5, r6);
        r4.aSi = r5;
        r0 = r19;
        r4 = r0.bsu;
        r0 = r19;
        r5 = r0.bsj;
        if (r4 != r5) goto L_0x0181;
    L_0x017e:
        r19.tY();
    L_0x0181:
        r4 = 1;
        r5 = 96016; // 0x17710 float:1.34547E-40 double:4.7438E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
        goto L_0x0050;
    L_0x018a:
        r4 = r14.bsT;
        r4 = r4 + r8;
        r0 = r14.bsU;
        r16 = r0;
        r4 = r4 - r16;
        goto L_0x0103;
    L_0x0195:
        r4 = r14.m(r10, r6);
        if (r4 == 0) goto L_0x019e;
    L_0x019b:
        r4 = 0;
        r14.bsS = r4;
    L_0x019e:
        r4 = r6;
        r8 = r10;
        goto L_0x0103;
    L_0x01a2:
        r6 = r14.bsL;
        r6 = r6.bsW;
        r8 = r14.bsN;
        r10 = r4 - r6;
        r10 = r10 / r8;
        r10 = r10 * r8;
        r10 = r10 + r6;
        r6 = (r4 > r10 ? 1 : (r4 == r10 ? 0 : -1));
        if (r6 > 0) goto L_0x01c1;
    L_0x01b1:
        r8 = r10 - r8;
        r6 = r10;
    L_0x01b4:
        r10 = r6 - r4;
        r4 = r4 - r8;
        r4 = (r10 > r4 ? 1 : (r10 == r4 ? 0 : -1));
        if (r4 >= 0) goto L_0x01c5;
    L_0x01bb:
        r4 = r6;
    L_0x01bc:
        r6 = r14.bsO;
        r4 = r4 - r6;
        goto L_0x0126;
    L_0x01c1:
        r6 = r10 + r8;
        r8 = r10;
        goto L_0x01b4;
    L_0x01c5:
        r4 = r8;
        goto L_0x01bc;
    L_0x01c7:
        r8 = com.google.android.exoplayer2.i.v.SDK_INT;
        r9 = 21;
        if (r8 < r9) goto L_0x01e6;
    L_0x01cd:
        r8 = 50000; // 0xc350 float:7.0065E-41 double:2.47033E-319;
        r6 = (r6 > r8 ? 1 : (r6 == r8 ? 0 : -1));
        if (r6 >= 0) goto L_0x0217;
    L_0x01d4:
        r0 = r19;
        r1 = r24;
        r2 = r26;
        r0.a(r1, r2, r4);
        r4 = 1;
        r5 = 96016; // 0x17710 float:1.34547E-40 double:4.7438E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
        goto L_0x0050;
    L_0x01e6:
        r4 = 30000; // 0x7530 float:4.2039E-41 double:1.4822E-319;
        r4 = (r6 > r4 ? 1 : (r6 == r4 ? 0 : -1));
        if (r4 >= 0) goto L_0x0217;
    L_0x01ec:
        r4 = 11000; // 0x2af8 float:1.5414E-41 double:5.4347E-320;
        r4 = (r6 > r4 ? 1 : (r6 == r4 ? 0 : -1));
        if (r4 <= 0) goto L_0x01fc;
    L_0x01f2:
        r4 = 10000; // 0x2710 float:1.4013E-41 double:4.9407E-320;
        r4 = r6 - r4;
        r6 = 1000; // 0x3e8 float:1.401E-42 double:4.94E-321;
        r4 = r4 / r6;
        java.lang.Thread.sleep(r4);	 Catch:{ InterruptedException -> 0x020e }
    L_0x01fc:
        r0 = r19;
        r1 = r24;
        r2 = r26;
        r0.b(r1, r2);
        r4 = 1;
        r5 = 96016; // 0x17710 float:1.34547E-40 double:4.7438E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
        goto L_0x0050;
    L_0x020e:
        r4 = move-exception;
        r4 = java.lang.Thread.currentThread();
        r4.interrupt();
        goto L_0x01fc;
    L_0x0217:
        r4 = 0;
        r5 = 96016; // 0x17710 float:1.34547E-40 double:4.7438E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
        goto L_0x0050;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.exoplayer2.video.c.a(long, long, android.media.MediaCodec, java.nio.ByteBuffer, int, int, long, boolean):boolean");
    }

    private void a(MediaCodec mediaCodec, int i) {
        AppMethodBeat.i(96017);
        t.beginSection("skipVideoBuffer");
        mediaCodec.releaseOutputBuffer(i, false);
        t.endSection();
        com.google.android.exoplayer2.b.d dVar = this.beI;
        dVar.aSg++;
        AppMethodBeat.o(96017);
    }

    private void b(MediaCodec mediaCodec, int i) {
        AppMethodBeat.i(96018);
        tW();
        t.beginSection("releaseOutputBuffer");
        mediaCodec.releaseOutputBuffer(i, true);
        t.endSection();
        com.google.android.exoplayer2.b.d dVar = this.beI;
        dVar.aSf++;
        this.bsv = 0;
        tU();
        AppMethodBeat.o(96018);
    }

    @TargetApi(21)
    private void a(MediaCodec mediaCodec, int i, long j) {
        AppMethodBeat.i(96019);
        tW();
        t.beginSection("releaseOutputBuffer");
        mediaCodec.releaseOutputBuffer(i, j);
        t.endSection();
        com.google.android.exoplayer2.b.d dVar = this.beI;
        dVar.aSf++;
        this.bsv = 0;
        tU();
        AppMethodBeat.o(96019);
    }

    private boolean aN(boolean z) {
        AppMethodBeat.i(96020);
        if (v.SDK_INT < 23 || this.aQR || (z && !DummySurface.aj(this.context))) {
            AppMethodBeat.o(96020);
            return false;
        }
        AppMethodBeat.o(96020);
        return true;
    }

    private void tS() {
        AppMethodBeat.i(96021);
        this.bss = this.bsi > 0 ? SystemClock.elapsedRealtime() + this.bsi : -9223372036854775807L;
        AppMethodBeat.o(96021);
    }

    private void tT() {
        AppMethodBeat.i(96022);
        this.bsr = false;
        if (v.SDK_INT >= 23 && this.aQR) {
            MediaCodec mediaCodec = this.bek;
            if (mediaCodec != null) {
                this.bsG = new b(this, mediaCodec, (byte) 0);
            }
        }
        AppMethodBeat.o(96022);
    }

    /* Access modifiers changed, original: final */
    public final void tU() {
        AppMethodBeat.i(96023);
        if (!this.bsr) {
            this.bsr = true;
            this.bsh.d(this.aOO);
        }
        AppMethodBeat.o(96023);
    }

    private void tV() {
        this.bsC = -1;
        this.bsD = -1;
        this.bsF = -1.0f;
        this.bsE = -1;
    }

    private void tW() {
        AppMethodBeat.i(96024);
        if (!((this.bsy == -1 && this.bsz == -1) || (this.bsC == this.bsy && this.bsD == this.bsz && this.bsE == this.bsA && this.bsF == this.bsB))) {
            this.bsh.c(this.bsy, this.bsz, this.bsA, this.bsB);
            this.bsC = this.bsy;
            this.bsD = this.bsz;
            this.bsE = this.bsA;
            this.bsF = this.bsB;
        }
        AppMethodBeat.o(96024);
    }

    private void tX() {
        AppMethodBeat.i(96025);
        if (!(this.bsC == -1 && this.bsD == -1)) {
            this.bsh.c(this.bsC, this.bsD, this.bsE, this.bsF);
        }
        AppMethodBeat.o(96025);
    }

    private void tY() {
        AppMethodBeat.i(96026);
        if (this.bsu > 0) {
            long elapsedRealtime = SystemClock.elapsedRealtime();
            this.bsh.k(this.bsu, elapsedRealtime - this.bst);
            this.bsu = 0;
            this.bst = elapsedRealtime;
        }
        AppMethodBeat.o(96026);
    }

    private static boolean as(long j) {
        return j < -30000;
    }

    private static Point a(com.google.android.exoplayer2.e.a aVar, Format format) {
        AppMethodBeat.i(96027);
        Object obj = format.height > format.width ? 1 : null;
        int i = obj != null ? format.height : format.width;
        int i2 = obj != null ? format.width : format.height;
        float f = ((float) i2) / ((float) i);
        for (int i3 : bsf) {
            int i32;
            int i4 = (int) (((float) i32) * f);
            if (i32 <= i || i4 <= i2) {
                AppMethodBeat.o(96027);
                return null;
            }
            if (v.SDK_INT >= 21) {
                int i5;
                Point point;
                if (obj != null) {
                    i5 = i4;
                } else {
                    i5 = i32;
                }
                if (obj == null) {
                    i32 = i4;
                }
                if (aVar.bdZ == null) {
                    aVar.ax("align.caps");
                    point = null;
                } else {
                    VideoCapabilities videoCapabilities = aVar.bdZ.getVideoCapabilities();
                    if (videoCapabilities == null) {
                        aVar.ax("align.vCaps");
                        point = null;
                    } else {
                        int widthAlignment = videoCapabilities.getWidthAlignment();
                        int heightAlignment = videoCapabilities.getHeightAlignment();
                        point = new Point(v.bi(i5, widthAlignment) * widthAlignment, v.bi(i32, heightAlignment) * heightAlignment);
                    }
                }
                if (aVar.a(point.x, point.y, (double) format.aOh)) {
                    AppMethodBeat.o(96027);
                    return point;
                }
            } else {
                i32 = v.bi(i32, 16) * 16;
                i4 = v.bi(i4, 16) * 16;
                if (i32 * i4 <= com.google.android.exoplayer2.e.d.rK()) {
                    Point point2 = new Point(obj != null ? i4 : i32, obj != null ? i32 : i4);
                    AppMethodBeat.o(96027);
                    return point2;
                }
            }
        }
        AppMethodBeat.o(96027);
        return null;
    }

    private static int l(Format format) {
        AppMethodBeat.i(96028);
        int i;
        if (format.aOe != -1) {
            int i2 = 0;
            for (int i3 = 0; i3 < format.aOf.size(); i3++) {
                i2 += ((byte[]) format.aOf.get(i3)).length;
            }
            i = format.aOe + i2;
            AppMethodBeat.o(96028);
            return i;
        }
        i = b(format.aOd, format.width, format.height);
        AppMethodBeat.o(96028);
        return i;
    }

    private static int b(java.lang.String r6, int r7, int r8) {
        /*
        r5 = 16;
        r1 = 4;
        r0 = 2;
        r4 = 96029; // 0x1771d float:1.34565E-40 double:4.74446E-319;
        r2 = -1;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r4);
        if (r7 == r2) goto L_0x000f;
    L_0x000d:
        if (r8 != r2) goto L_0x0014;
    L_0x000f:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r4);
        r0 = r2;
    L_0x0013:
        return r0;
    L_0x0014:
        r3 = r6.hashCode();
        switch(r3) {
            case -1664118616: goto L_0x0024;
            case -1662541442: goto L_0x0050;
            case 1187890754: goto L_0x002f;
            case 1331836730: goto L_0x003a;
            case 1599127256: goto L_0x0045;
            case 1599127257: goto L_0x005b;
            default: goto L_0x001b;
        };
    L_0x001b:
        r3 = r2;
    L_0x001c:
        switch(r3) {
            case 0: goto L_0x0066;
            case 1: goto L_0x0066;
            case 2: goto L_0x0073;
            case 3: goto L_0x0092;
            case 4: goto L_0x0096;
            case 5: goto L_0x0096;
            default: goto L_0x001f;
        };
    L_0x001f:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r4);
        r0 = r2;
        goto L_0x0013;
    L_0x0024:
        r3 = "video/3gpp";
        r3 = r6.equals(r3);
        if (r3 == 0) goto L_0x001b;
    L_0x002d:
        r3 = 0;
        goto L_0x001c;
    L_0x002f:
        r3 = "video/mp4v-es";
        r3 = r6.equals(r3);
        if (r3 == 0) goto L_0x001b;
    L_0x0038:
        r3 = 1;
        goto L_0x001c;
    L_0x003a:
        r3 = "video/avc";
        r3 = r6.equals(r3);
        if (r3 == 0) goto L_0x001b;
    L_0x0043:
        r3 = r0;
        goto L_0x001c;
    L_0x0045:
        r3 = "video/x-vnd.on2.vp8";
        r3 = r6.equals(r3);
        if (r3 == 0) goto L_0x001b;
    L_0x004e:
        r3 = 3;
        goto L_0x001c;
    L_0x0050:
        r3 = "video/hevc";
        r3 = r6.equals(r3);
        if (r3 == 0) goto L_0x001b;
    L_0x0059:
        r3 = r1;
        goto L_0x001c;
    L_0x005b:
        r3 = "video/x-vnd.on2.vp9";
        r3 = r6.equals(r3);
        if (r3 == 0) goto L_0x001b;
    L_0x0064:
        r3 = 5;
        goto L_0x001c;
    L_0x0066:
        r1 = r7 * r8;
        r2 = r1;
    L_0x0069:
        r1 = r2 * 3;
        r0 = r0 * 2;
        r0 = r1 / r0;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r4);
        goto L_0x0013;
    L_0x0073:
        r1 = "BRAVIA 4K 2015";
        r3 = com.google.android.exoplayer2.i.v.MODEL;
        r1 = r1.equals(r3);
        if (r1 == 0) goto L_0x0083;
    L_0x007e:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r4);
        r0 = r2;
        goto L_0x0013;
    L_0x0083:
        r1 = com.google.android.exoplayer2.i.v.bi(r7, r5);
        r2 = com.google.android.exoplayer2.i.v.bi(r8, r5);
        r1 = r1 * r2;
        r1 = r1 * 16;
        r1 = r1 * 16;
        r2 = r1;
        goto L_0x0069;
    L_0x0092:
        r1 = r7 * r8;
        r2 = r1;
        goto L_0x0069;
    L_0x0096:
        r2 = r7 * r8;
        r0 = r1;
        goto L_0x0069;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.exoplayer2.video.c.b(java.lang.String, int, int):int");
    }

    private static boolean b(boolean z, Format format, Format format2) {
        AppMethodBeat.i(96030);
        if (format.aOd.equals(format2.aOd) && m(format) == m(format2) && (z || (format.width == format2.width && format.height == format2.height))) {
            AppMethodBeat.o(96030);
            return true;
        }
        AppMethodBeat.o(96030);
        return false;
    }

    private static int m(Format format) {
        return format.aOi == -1 ? 0 : format.aOi;
    }
}
