package com.google.android.gms.common.api;

import com.google.android.gms.common.api.internal.BasePendingResult;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.util.List;

public final class Batch extends BasePendingResult<BatchResult> {
    private final Object mLock;
    private int zzcd;
    private boolean zzce;
    private boolean zzcf;
    private final PendingResult<?>[] zzcg;

    private Batch(List<PendingResult<?>> list, GoogleApiClient googleApiClient) {
        super(googleApiClient);
        AppMethodBeat.i(60486);
        this.mLock = new Object();
        this.zzcd = list.size();
        this.zzcg = new PendingResult[this.zzcd];
        if (list.isEmpty()) {
            setResult(new BatchResult(Status.RESULT_SUCCESS, this.zzcg));
            AppMethodBeat.o(60486);
            return;
        }
        int i = 0;
        while (true) {
            int i2 = i;
            if (i2 < list.size()) {
                PendingResult pendingResult = (PendingResult) list.get(i2);
                this.zzcg[i2] = pendingResult;
                pendingResult.addStatusListener(new zza(this));
                i = i2 + 1;
            } else {
                AppMethodBeat.o(60486);
                return;
            }
        }
    }

    /* synthetic */ Batch(List list, GoogleApiClient googleApiClient, zza zza) {
        this(list, googleApiClient);
    }

    static /* synthetic */ void zze(Batch batch) {
        AppMethodBeat.i(60490);
        super.cancel();
        AppMethodBeat.o(60490);
    }

    public final void cancel() {
        AppMethodBeat.i(60487);
        super.cancel();
        for (PendingResult cancel : this.zzcg) {
            cancel.cancel();
        }
        AppMethodBeat.o(60487);
    }

    public final BatchResult createFailedResult(Status status) {
        AppMethodBeat.i(60488);
        BatchResult batchResult = new BatchResult(status, this.zzcg);
        AppMethodBeat.o(60488);
        return batchResult;
    }
}
