package com.google.android.gms.common.data;

import android.content.ContentValues;
import android.os.Bundle;
import com.google.android.gms.common.internal.Asserts;
import com.google.android.gms.common.internal.Objects;
import com.google.android.gms.common.internal.Preconditions;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.Map.Entry;

public class DataHolder$Builder {
    private final String[] zznm;
    private final ArrayList<HashMap<String, Object>> zznu;
    private final String zznv;
    private final HashMap<Object, Integer> zznw;
    private boolean zznx;
    private String zzny;

    private DataHolder$Builder(String[] strArr, String str) {
        AppMethodBeat.i(61073);
        this.zznm = (String[]) Preconditions.checkNotNull(strArr);
        this.zznu = new ArrayList();
        this.zznv = str;
        this.zznw = new HashMap();
        this.zznx = false;
        this.zzny = null;
        AppMethodBeat.o(61073);
    }

    /* synthetic */ DataHolder$Builder(String[] strArr, String str, zza zza) {
        this(strArr, str);
    }

    private final boolean zzg(String str) {
        AppMethodBeat.i(61081);
        Asserts.checkNotNull(str);
        if (this.zznx && str.equals(this.zzny)) {
            AppMethodBeat.o(61081);
            return true;
        }
        AppMethodBeat.o(61081);
        return false;
    }

    public DataHolder build(int i) {
        AppMethodBeat.i(61083);
        DataHolder dataHolder = new DataHolder(this, i, null, null);
        AppMethodBeat.o(61083);
        return dataHolder;
    }

    public DataHolder build(int i, Bundle bundle) {
        AppMethodBeat.i(61084);
        DataHolder dataHolder = new DataHolder(this, i, bundle, -1, null);
        AppMethodBeat.o(61084);
        return dataHolder;
    }

    public DataHolder build(int i, Bundle bundle, int i2) {
        AppMethodBeat.i(61085);
        DataHolder dataHolder = new DataHolder(this, i, bundle, i2, null);
        AppMethodBeat.o(61085);
        return dataHolder;
    }

    public boolean containsRowWithValue(String str, Object obj) {
        AppMethodBeat.i(61077);
        int size = this.zznu.size();
        for (int i = 0; i < size; i++) {
            if (Objects.equal(((HashMap) this.zznu.get(i)).get(str), obj)) {
                AppMethodBeat.o(61077);
                return true;
            }
        }
        AppMethodBeat.o(61077);
        return false;
    }

    public DataHolder$Builder descendingSort(String str) {
        AppMethodBeat.i(61080);
        if (zzg(str)) {
            AppMethodBeat.o(61080);
        } else {
            sort(str);
            Collections.reverse(this.zznu);
            AppMethodBeat.o(61080);
        }
        return this;
    }

    public int getCount() {
        AppMethodBeat.i(61082);
        int size = this.zznu.size();
        AppMethodBeat.o(61082);
        return size;
    }

    public void modifyUniqueRowValue(Object obj, String str, Object obj2) {
        AppMethodBeat.i(61075);
        if (this.zznv == null) {
            AppMethodBeat.o(61075);
            return;
        }
        Integer num = (Integer) this.zznw.get(obj);
        if (num == null) {
            AppMethodBeat.o(61075);
            return;
        }
        ((HashMap) this.zznu.get(num.intValue())).put(str, obj2);
        AppMethodBeat.o(61075);
    }

    public DataHolder$Builder removeRowsWithValue(String str, Object obj) {
        AppMethodBeat.i(61078);
        for (int size = this.zznu.size() - 1; size >= 0; size--) {
            if (Objects.equal(((HashMap) this.zznu.get(size)).get(str), obj)) {
                this.zznu.remove(size);
            }
        }
        AppMethodBeat.o(61078);
        return this;
    }

    public DataHolder$Builder sort(String str) {
        AppMethodBeat.i(61079);
        if (zzg(str)) {
            AppMethodBeat.o(61079);
        } else {
            Collections.sort(this.zznu, new DataHolder$zza(str));
            if (this.zznv != null) {
                this.zznw.clear();
                int size = this.zznu.size();
                for (int i = 0; i < size; i++) {
                    Object obj = ((HashMap) this.zznu.get(i)).get(this.zznv);
                    if (obj != null) {
                        this.zznw.put(obj, Integer.valueOf(i));
                    }
                }
            }
            this.zznx = true;
            this.zzny = str;
            AppMethodBeat.o(61079);
        }
        return this;
    }

    public DataHolder$Builder withRow(ContentValues contentValues) {
        AppMethodBeat.i(61076);
        Asserts.checkNotNull(contentValues);
        HashMap hashMap = new HashMap(contentValues.size());
        for (Entry entry : contentValues.valueSet()) {
            hashMap.put((String) entry.getKey(), entry.getValue());
        }
        DataHolder$Builder withRow = withRow(hashMap);
        AppMethodBeat.o(61076);
        return withRow;
    }

    public DataHolder$Builder withRow(HashMap<String, Object> hashMap) {
        int i;
        AppMethodBeat.i(61074);
        Asserts.checkNotNull(hashMap);
        if (this.zznv == null) {
            i = -1;
        } else {
            Object obj = hashMap.get(this.zznv);
            if (obj == null) {
                i = -1;
            } else {
                Integer num = (Integer) this.zznw.get(obj);
                if (num == null) {
                    this.zznw.put(obj, Integer.valueOf(this.zznu.size()));
                    i = -1;
                } else {
                    i = num.intValue();
                }
            }
        }
        if (i == -1) {
            this.zznu.add(hashMap);
        } else {
            this.zznu.remove(i);
            this.zznu.add(i, hashMap);
        }
        this.zznx = false;
        AppMethodBeat.o(61074);
        return this;
    }
}
