package com.google.android.gms.common.images;

import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.ParcelFileDescriptor;
import android.os.ResultReceiver;
import com.google.android.gms.common.annotation.KeepName;
import com.google.android.gms.common.internal.Asserts;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.util.ArrayList;

@KeepName
final class ImageManager$ImageReceiver extends ResultReceiver {
    private final Uri mUri;
    private final ArrayList<ImageRequest> zzpf = new ArrayList();
    private final /* synthetic */ ImageManager zzpg;

    ImageManager$ImageReceiver(ImageManager imageManager, Uri uri) {
        this.zzpg = imageManager;
        super(new Handler(Looper.getMainLooper()));
        AppMethodBeat.i(61203);
        this.mUri = uri;
        AppMethodBeat.o(61203);
    }

    public final void onReceiveResult(int i, Bundle bundle) {
        AppMethodBeat.i(61207);
        ImageManager.zzf(this.zzpg).execute(new ImageManager$zzb(this.zzpg, this.mUri, (ParcelFileDescriptor) bundle.getParcelable("com.google.android.gms.extra.fileDescriptor")));
        AppMethodBeat.o(61207);
    }

    public final void zza(ImageRequest imageRequest) {
        AppMethodBeat.i(61204);
        Asserts.checkMainThread("ImageReceiver.addImageRequest() must be called in the main thread");
        this.zzpf.add(imageRequest);
        AppMethodBeat.o(61204);
    }

    public final void zzb(ImageRequest imageRequest) {
        AppMethodBeat.i(61205);
        Asserts.checkMainThread("ImageReceiver.removeImageRequest() must be called in the main thread");
        this.zzpf.remove(imageRequest);
        AppMethodBeat.o(61205);
    }

    public final void zzco() {
        AppMethodBeat.i(61206);
        Intent intent = new Intent("com.google.android.gms.common.images.LOAD_IMAGE");
        intent.putExtra("com.google.android.gms.extras.uri", this.mUri);
        intent.putExtra("com.google.android.gms.extras.resultReceiver", this);
        intent.putExtra("com.google.android.gms.extras.priority", 3);
        ImageManager.zzb(this.zzpg).sendBroadcast(intent);
        AppMethodBeat.o(61206);
    }
}
