package com.google.android.gms.common.images;

import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.net.Uri;
import android.os.ParcelFileDescriptor;
import com.google.android.gms.common.images.ImageManager.zze;
import com.google.android.gms.common.internal.Asserts;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.io.IOException;
import java.util.concurrent.CountDownLatch;

final class ImageManager$zzb implements Runnable {
    private final Uri mUri;
    private final /* synthetic */ ImageManager zzpg;
    private final ParcelFileDescriptor zzph;

    public ImageManager$zzb(ImageManager imageManager, Uri uri, ParcelFileDescriptor parcelFileDescriptor) {
        this.zzpg = imageManager;
        this.mUri = uri;
        this.zzph = parcelFileDescriptor;
    }

    public final void run() {
        AppMethodBeat.i(61211);
        Asserts.checkNotMainThread("LoadBitmapFromDiskRunnable can't be executed in the main thread");
        boolean z = false;
        Bitmap bitmap = null;
        if (this.zzph != null) {
            try {
                bitmap = BitmapFactory.decodeFileDescriptor(this.zzph.getFileDescriptor());
            } catch (OutOfMemoryError e) {
                String valueOf = String.valueOf(this.mUri);
                new StringBuilder(String.valueOf(valueOf).length() + 34).append("OOM while loading bitmap for uri: ").append(valueOf);
                z = true;
            }
            try {
                this.zzph.close();
            } catch (IOException e2) {
            }
        }
        CountDownLatch countDownLatch = new CountDownLatch(1);
        ImageManager.zzg(this.zzpg).post(new zze(this.zzpg, this.mUri, bitmap, z, countDownLatch));
        try {
            countDownLatch.await();
            AppMethodBeat.o(61211);
        } catch (InterruptedException e3) {
            String valueOf2 = String.valueOf(this.mUri);
            new StringBuilder(String.valueOf(valueOf2).length() + 32).append("Latch interrupted while posting ").append(valueOf2);
            AppMethodBeat.o(61211);
        }
    }
}
