package com.google.android.gms.gcm;

import android.os.Bundle;
import com.google.android.gms.gcm.Task.Builder;
import com.tencent.matrix.trace.core.AppMethodBeat;

public class PeriodicTask$Builder extends Builder {
    private long zzam;
    private long zzan;

    public PeriodicTask$Builder() {
        this.zzam = -1;
        this.zzan = -1;
        this.isPersisted = true;
    }

    public PeriodicTask build() {
        AppMethodBeat.i(69998);
        checkConditions();
        PeriodicTask periodicTask = new PeriodicTask(this, null);
        AppMethodBeat.o(69998);
        return periodicTask;
    }

    /* Access modifiers changed, original: protected */
    public void checkConditions() {
        AppMethodBeat.i(69999);
        super.checkConditions();
        IllegalArgumentException illegalArgumentException;
        if (this.zzam == -1) {
            illegalArgumentException = new IllegalArgumentException("Must call setPeriod(long) to establish an execution interval for this periodic task.");
            AppMethodBeat.o(69999);
            throw illegalArgumentException;
        } else if (this.zzam <= 0) {
            illegalArgumentException = new IllegalArgumentException("Period set cannot be less than or equal to 0: " + this.zzam);
            AppMethodBeat.o(69999);
            throw illegalArgumentException;
        } else if (this.zzan == -1) {
            this.zzan = (long) (((float) this.zzam) * 0.1f);
            AppMethodBeat.o(69999);
        } else {
            if (this.zzan > this.zzam) {
                this.zzan = this.zzam;
            }
            AppMethodBeat.o(69999);
        }
    }

    public PeriodicTask$Builder setExtras(Bundle bundle) {
        this.extras = bundle;
        return this;
    }

    public PeriodicTask$Builder setFlex(long j) {
        this.zzan = j;
        return this;
    }

    public PeriodicTask$Builder setPeriod(long j) {
        this.zzam = j;
        return this;
    }

    public PeriodicTask$Builder setPersisted(boolean z) {
        this.isPersisted = z;
        return this;
    }

    public PeriodicTask$Builder setRequiredNetwork(int i) {
        this.requiredNetworkState = i;
        return this;
    }

    public PeriodicTask$Builder setRequiresCharging(boolean z) {
        this.requiresCharging = z;
        return this;
    }

    public PeriodicTask$Builder setService(Class<? extends GcmTaskService> cls) {
        AppMethodBeat.i(69997);
        this.gcmTaskService = cls.getName();
        AppMethodBeat.o(69997);
        return this;
    }

    public PeriodicTask$Builder setTag(String str) {
        this.tag = str;
        return this;
    }

    public PeriodicTask$Builder setUpdateCurrent(boolean z) {
        this.updateCurrent = z;
        return this;
    }
}
