package com.google.android.gms.iid;

import android.app.PendingIntent;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageManager;
import android.content.pm.PackageManager.NameNotFoundException;
import android.content.pm.ResolveInfo;
import android.os.Build.VERSION;
import android.os.Bundle;
import android.os.ConditionVariable;
import android.os.Message;
import android.os.Messenger;
import android.os.Parcelable;
import android.os.Process;
import android.os.RemoteException;
import android.support.v4.f.a;
import android.util.Log;
import com.google.android.gms.common.util.PlatformVersion;
import com.google.android.gms.tasks.Tasks;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.io.IOException;
import java.security.KeyPair;
import java.util.Map;
import java.util.concurrent.ExecutionException;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public final class zzaf {
    private static int zzck = 0;
    private static final zzaj<Boolean> zzco = zzai.zzw().zzd("gcm_iid_use_messenger_ipc", true);
    private static String zzcp = null;
    private static boolean zzcq = false;
    private static int zzcr = 0;
    private static int zzcs = 0;
    private static BroadcastReceiver zzct = null;
    private PendingIntent zzad;
    private Messenger zzah;
    private Map<String, Object> zzcu = new a();
    private Messenger zzcv;
    private MessengerCompat zzcw;
    private Context zzk;

    static {
        AppMethodBeat.i(57546);
        AppMethodBeat.o(57546);
    }

    public zzaf(Context context) {
        AppMethodBeat.i(57530);
        this.zzk = context;
        AppMethodBeat.o(57530);
    }

    private static void zzd(Object obj, Object obj2) {
        AppMethodBeat.i(57540);
        if (obj instanceof ConditionVariable) {
            ((ConditionVariable) obj).open();
        }
        if (obj instanceof Messenger) {
            Messenger messenger = (Messenger) obj;
            Message obtain = Message.obtain();
            obtain.obj = obj2;
            try {
                messenger.send(obtain);
                AppMethodBeat.o(57540);
                return;
            } catch (RemoteException e) {
                String valueOf = String.valueOf(e);
                new StringBuilder(String.valueOf(valueOf).length() + 24).append("Failed to send response ").append(valueOf);
            }
        }
        AppMethodBeat.o(57540);
    }

    private final void zzd(String str, Object obj) {
        AppMethodBeat.i(57539);
        synchronized (getClass()) {
            try {
                Object obj2 = this.zzcu.get(str);
                this.zzcu.put(str, obj);
                zzd(obj2, obj);
            } finally {
                while (true) {
                }
                AppMethodBeat.o(57539);
            }
        }
    }

    private static boolean zzd(PackageManager packageManager, String str) {
        AppMethodBeat.i(57534);
        try {
            ApplicationInfo applicationInfo = packageManager.getApplicationInfo(str, 0);
            zzcp = applicationInfo.packageName;
            zzcs = applicationInfo.uid;
            AppMethodBeat.o(57534);
            return true;
        } catch (NameNotFoundException e) {
            AppMethodBeat.o(57534);
            return false;
        }
    }

    private static boolean zzd(PackageManager packageManager, String str, String str2) {
        AppMethodBeat.i(57533);
        if (packageManager.checkPermission("com.google.android.c2dm.permission.SEND", str) == 0) {
            boolean zzd = zzd(packageManager, str);
            AppMethodBeat.o(57533);
            return zzd;
        }
        new StringBuilder((String.valueOf(str).length() + 56) + String.valueOf(str2).length()).append("Possible malicious package ").append(str).append(" declares ").append(str2).append(" without permission");
        AppMethodBeat.o(57533);
        return false;
    }

    private final synchronized void zzg(Intent intent) {
        AppMethodBeat.i(57537);
        if (this.zzad == null) {
            Intent intent2 = new Intent();
            intent2.setPackage("com.google.example.invalidpackage");
            this.zzad = PendingIntent.getBroadcast(this.zzk, 0, intent2, 0);
        }
        intent.putExtra("app", this.zzad);
        AppMethodBeat.o(57537);
    }

    static String zzi(Bundle bundle) {
        AppMethodBeat.i(57538);
        IOException iOException;
        if (bundle == null) {
            iOException = new IOException("SERVICE_NOT_AVAILABLE");
            AppMethodBeat.o(57538);
            throw iOException;
        }
        String string = bundle.getString("registration_id");
        if (string == null) {
            string = bundle.getString("unregistered");
        }
        if (string == null) {
            string = bundle.getString("error");
            if (string != null) {
                IOException iOException2 = new IOException(string);
                AppMethodBeat.o(57538);
                throw iOException2;
            }
            string = String.valueOf(bundle);
            new StringBuilder(String.valueOf(string).length() + 29).append("Unexpected response from GCM ").append(string);
            Throwable th = new Throwable();
            iOException = new IOException("SERVICE_NOT_AVAILABLE");
            AppMethodBeat.o(57538);
            throw iOException;
        }
        AppMethodBeat.o(57538);
        return string;
    }

    private final Bundle zzj(Bundle bundle) {
        AppMethodBeat.i(57543);
        Bundle zzk = zzk(bundle);
        if (zzk != null && zzk.containsKey("google.messenger")) {
            zzk = zzk(bundle);
            if (zzk != null && zzk.containsKey("google.messenger")) {
                zzk = null;
            }
        }
        AppMethodBeat.o(57543);
        return zzk;
    }

    /* JADX WARNING: Removed duplicated region for block: B:32:0x011b A:{SYNTHETIC, Splitter:B:32:0x011b} */
    private final android.os.Bundle zzk(android.os.Bundle r10) {
        /*
        r9 = this;
        r7 = 3;
        r8 = 57545; // 0xe0c9 float:8.0638E-41 double:2.8431E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r8);
        r1 = new android.os.ConditionVariable;
        r1.<init>();
        r2 = zzv();
        r3 = r9.getClass();
        monitor-enter(r3);
        r0 = r9.zzcu;	 Catch:{ all -> 0x0044 }
        r0.put(r2, r1);	 Catch:{ all -> 0x0044 }
        monitor-exit(r3);	 Catch:{ all -> 0x0044 }
        r0 = r9.zzah;
        if (r0 != 0) goto L_0x0034;
    L_0x001f:
        r0 = r9.zzk;
        zzl(r0);
        r0 = new android.os.Messenger;
        r3 = new com.google.android.gms.iid.zzag;
        r4 = android.os.Looper.getMainLooper();
        r3.<init>(r9, r4);
        r0.<init>(r3);
        r9.zzah = r0;
    L_0x0034:
        r0 = zzcp;
        if (r0 != 0) goto L_0x004a;
    L_0x0038:
        r0 = new java.io.IOException;
        r1 = "MISSING_INSTANCEID_SERVICE";
        r0.<init>(r1);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        throw r0;
    L_0x0044:
        r0 = move-exception;
        monitor-exit(r3);	 Catch:{ all -> 0x0044 }
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        throw r0;
    L_0x004a:
        r3 = new android.content.Intent;
        r0 = zzcq;
        if (r0 == 0) goto L_0x012c;
    L_0x0050:
        r0 = "com.google.iid.TOKEN_REQUEST";
    L_0x0053:
        r3.<init>(r0);
        r0 = zzcp;
        r3.setPackage(r0);
        r3.putExtras(r10);
        r9.zzg(r3);
        r0 = "kid";
        r4 = java.lang.String.valueOf(r2);
        r4 = r4.length();
        r4 = r4 + 5;
        r5 = new java.lang.StringBuilder;
        r5.<init>(r4);
        r4 = "|ID|";
        r4 = r5.append(r4);
        r4 = r4.append(r2);
        r5 = "|";
        r4 = r4.append(r5);
        r4 = r4.toString();
        r3.putExtra(r0, r4);
        r0 = "X-kid";
        r4 = java.lang.String.valueOf(r2);
        r4 = r4.length();
        r4 = r4 + 5;
        r5 = new java.lang.StringBuilder;
        r5.<init>(r4);
        r4 = "|ID|";
        r4 = r5.append(r4);
        r4 = r4.append(r2);
        r5 = "|";
        r4 = r4.append(r5);
        r4 = r4.toString();
        r3.putExtra(r0, r4);
        r0 = "com.google.android.gsf";
        r4 = zzcp;
        r0 = r0.equals(r4);
        r4 = "useGsf";
        r4 = r3.getStringExtra(r4);
        if (r4 == 0) goto L_0x00d0;
    L_0x00c9:
        r0 = "1";
        r0 = r0.equals(r4);
    L_0x00d0:
        r4 = "InstanceID";
        r4 = android.util.Log.isLoggable(r4, r7);
        if (r4 == 0) goto L_0x00fa;
    L_0x00d9:
        r4 = r3.getExtras();
        r4 = java.lang.String.valueOf(r4);
        r5 = java.lang.String.valueOf(r4);
        r5 = r5.length();
        r5 = r5 + 8;
        r6 = new java.lang.StringBuilder;
        r6.<init>(r5);
        r5 = "Sending ";
        r5 = r6.append(r5);
        r5.append(r4);
    L_0x00fa:
        r4 = r9.zzcv;
        if (r4 == 0) goto L_0x0138;
    L_0x00fe:
        r4 = "google.messenger";
        r5 = r9.zzah;
        r3.putExtra(r4, r5);
        r4 = android.os.Message.obtain();
        r4.obj = r3;
        r5 = r9.zzcv;	 Catch:{ RemoteException -> 0x0131 }
        r5.send(r4);	 Catch:{ RemoteException -> 0x0131 }
    L_0x0111:
        r4 = 30000; // 0x7530 float:4.2039E-41 double:1.4822E-319;
        r1.block(r4);
        r1 = r9.getClass();
        monitor-enter(r1);
        r0 = r9.zzcu;	 Catch:{ all -> 0x01c3 }
        r0 = r0.remove(r2);	 Catch:{ all -> 0x01c3 }
        r2 = r0 instanceof android.os.Bundle;	 Catch:{ all -> 0x01c3 }
        if (r2 == 0) goto L_0x01b1;
    L_0x0125:
        r0 = (android.os.Bundle) r0;	 Catch:{ all -> 0x01c3 }
        monitor-exit(r1);	 Catch:{ all -> 0x01c3 }
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        return r0;
    L_0x012c:
        r0 = "com.google.android.c2dm.intent.REGISTER";
        goto L_0x0053;
    L_0x0131:
        r4 = move-exception;
        r4 = "InstanceID";
        android.util.Log.isLoggable(r4, r7);
    L_0x0138:
        if (r0 == 0) goto L_0x0176;
    L_0x013a:
        monitor-enter(r9);
        r0 = zzct;	 Catch:{ all -> 0x0170 }
        if (r0 != 0) goto L_0x0169;
    L_0x013f:
        r0 = new com.google.android.gms.iid.zzah;	 Catch:{ all -> 0x0170 }
        r0.<init>(r9);	 Catch:{ all -> 0x0170 }
        zzct = r0;	 Catch:{ all -> 0x0170 }
        r0 = "InstanceID";
        r4 = 3;
        android.util.Log.isLoggable(r0, r4);	 Catch:{ all -> 0x0170 }
        r0 = new android.content.IntentFilter;	 Catch:{ all -> 0x0170 }
        r4 = "com.google.android.c2dm.intent.REGISTRATION";
        r0.<init>(r4);	 Catch:{ all -> 0x0170 }
        r4 = r9.zzk;	 Catch:{ all -> 0x0170 }
        r4 = r4.getPackageName();	 Catch:{ all -> 0x0170 }
        r0.addCategory(r4);	 Catch:{ all -> 0x0170 }
        r4 = r9.zzk;	 Catch:{ all -> 0x0170 }
        r5 = zzct;	 Catch:{ all -> 0x0170 }
        r6 = "com.google.android.c2dm.permission.SEND";
        r7 = 0;
        r4.registerReceiver(r5, r0, r6, r7);	 Catch:{ all -> 0x0170 }
    L_0x0169:
        monitor-exit(r9);	 Catch:{ all -> 0x0170 }
        r0 = r9.zzk;
        r0.sendBroadcast(r3);
        goto L_0x0111;
    L_0x0170:
        r0 = move-exception;
        monitor-exit(r9);	 Catch:{ all -> 0x0170 }
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        throw r0;
    L_0x0176:
        r0 = "google.messenger";
        r4 = r9.zzah;
        r3.putExtra(r0, r4);
        r0 = "messenger2";
        r4 = "1";
        r3.putExtra(r0, r4);
        r0 = r9.zzcw;
        if (r0 == 0) goto L_0x019f;
    L_0x018b:
        r0 = android.os.Message.obtain();
        r0.obj = r3;
        r4 = r9.zzcw;	 Catch:{ RemoteException -> 0x0198 }
        r4.send(r0);	 Catch:{ RemoteException -> 0x0198 }
        goto L_0x0111;
    L_0x0198:
        r0 = move-exception;
        r0 = "InstanceID";
        android.util.Log.isLoggable(r0, r7);
    L_0x019f:
        r0 = zzcq;
        if (r0 == 0) goto L_0x01aa;
    L_0x01a3:
        r0 = r9.zzk;
        r0.sendBroadcast(r3);
        goto L_0x0111;
    L_0x01aa:
        r0 = r9.zzk;
        r0.startService(r3);
        goto L_0x0111;
    L_0x01b1:
        r2 = r0 instanceof java.lang.String;	 Catch:{ all -> 0x01c3 }
        if (r2 == 0) goto L_0x01c9;
    L_0x01b5:
        r2 = new java.io.IOException;	 Catch:{ all -> 0x01c3 }
        r0 = (java.lang.String) r0;	 Catch:{ all -> 0x01c3 }
        r2.<init>(r0);	 Catch:{ all -> 0x01c3 }
        r0 = 57545; // 0xe0c9 float:8.0638E-41 double:2.8431E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);	 Catch:{ all -> 0x01c3 }
        throw r2;	 Catch:{ all -> 0x01c3 }
    L_0x01c3:
        r0 = move-exception;
        monitor-exit(r1);	 Catch:{ all -> 0x01c3 }
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        throw r0;
    L_0x01c9:
        r0 = java.lang.String.valueOf(r0);	 Catch:{ all -> 0x01c3 }
        r2 = java.lang.String.valueOf(r0);	 Catch:{ all -> 0x01c3 }
        r2 = r2.length();	 Catch:{ all -> 0x01c3 }
        r2 = r2 + 12;
        r3 = new java.lang.StringBuilder;	 Catch:{ all -> 0x01c3 }
        r3.<init>(r2);	 Catch:{ all -> 0x01c3 }
        r2 = "No response ";
        r2 = r3.append(r2);	 Catch:{ all -> 0x01c3 }
        r2.append(r0);	 Catch:{ all -> 0x01c3 }
        r0 = new java.io.IOException;	 Catch:{ all -> 0x01c3 }
        r2 = "TIMEOUT";
        r0.<init>(r2);	 Catch:{ all -> 0x01c3 }
        r2 = 57545; // 0xe0c9 float:8.0638E-41 double:2.8431E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);	 Catch:{ all -> 0x01c3 }
        throw r0;	 Catch:{ all -> 0x01c3 }
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.gms.iid.zzaf.zzk(android.os.Bundle):android.os.Bundle");
    }

    public static boolean zzk(Context context) {
        AppMethodBeat.i(57531);
        if (zzcp != null) {
            zzl(context);
        }
        boolean z = zzcq;
        AppMethodBeat.o(57531);
        return z;
    }

    public static String zzl(Context context) {
        AppMethodBeat.i(57532);
        String str;
        if (zzcp != null) {
            str = zzcp;
            AppMethodBeat.o(57532);
            return str;
        }
        boolean z;
        zzcr = Process.myUid();
        PackageManager packageManager = context.getPackageManager();
        if (!PlatformVersion.isAtLeastO()) {
            for (ResolveInfo resolveInfo : packageManager.queryIntentServices(new Intent("com.google.android.c2dm.intent.REGISTER"), 0)) {
                if (zzd(packageManager, resolveInfo.serviceInfo.packageName, "com.google.android.c2dm.intent.REGISTER")) {
                    zzcq = false;
                    z = true;
                    break;
                }
            }
            z = false;
            if (z) {
                str = zzcp;
                AppMethodBeat.o(57532);
                return str;
            }
        }
        for (ResolveInfo resolveInfo2 : packageManager.queryBroadcastReceivers(new Intent("com.google.iid.TOKEN_REQUEST"), 0)) {
            if (zzd(packageManager, resolveInfo2.activityInfo.packageName, "com.google.iid.TOKEN_REQUEST")) {
                zzcq = true;
                z = true;
                break;
            }
        }
        z = false;
        if (z) {
            str = zzcp;
            AppMethodBeat.o(57532);
            return str;
        } else if (zzd(packageManager, "com.google.android.gms")) {
            zzcq = PlatformVersion.isAtLeastO();
            str = zzcp;
            AppMethodBeat.o(57532);
            return str;
        } else if (PlatformVersion.isAtLeastLollipop() || !zzd(packageManager, "com.google.android.gsf")) {
            AppMethodBeat.o(57532);
            return null;
        } else {
            zzcq = false;
            str = zzcp;
            AppMethodBeat.o(57532);
            return str;
        }
    }

    private static int zzm(Context context) {
        AppMethodBeat.i(57535);
        try {
            int i = context.getPackageManager().getPackageInfo(zzl(context), 0).versionCode;
            AppMethodBeat.o(57535);
            return i;
        } catch (NameNotFoundException e) {
            AppMethodBeat.o(57535);
            return -1;
        }
    }

    private static synchronized String zzv() {
        String num;
        synchronized (zzaf.class) {
            AppMethodBeat.i(57544);
            int i = zzck;
            zzck = i + 1;
            num = Integer.toString(i);
            AppMethodBeat.o(57544);
        }
        return num;
    }

    /* Access modifiers changed, original: final */
    public final Bundle zzd(Bundle bundle, KeyPair keyPair) {
        AppMethodBeat.i(57542);
        int zzm = zzm(this.zzk);
        bundle.putString("gmsv", Integer.toString(zzm));
        bundle.putString("osv", Integer.toString(VERSION.SDK_INT));
        bundle.putString("app_ver", Integer.toString(InstanceID.zzg(this.zzk)));
        bundle.putString("app_ver_name", InstanceID.zzh(this.zzk));
        bundle.putString("cliv", "iid-12451000");
        bundle.putString("appid", InstanceID.zzd(keyPair));
        Bundle zzj;
        if (zzm < 12000000 || !((Boolean) zzco.get()).booleanValue()) {
            zzj = zzj(bundle);
            AppMethodBeat.o(57542);
            return zzj;
        }
        try {
            zzj = (Bundle) Tasks.await(new zzr(this.zzk).zzd(1, bundle));
            AppMethodBeat.o(57542);
            return zzj;
        } catch (InterruptedException | ExecutionException e) {
            if (Log.isLoggable("InstanceID", 3)) {
                String valueOf = String.valueOf(e);
                new StringBuilder(String.valueOf(valueOf).length() + 22).append("Error making request: ").append(valueOf);
            }
            if ((e.getCause() instanceof zzaa) && ((zzaa) e.getCause()).getErrorCode() == 4) {
                zzj = zzj(bundle);
                AppMethodBeat.o(57542);
                return zzj;
            }
            AppMethodBeat.o(57542);
            return null;
        }
    }

    public final void zze(Message message) {
        AppMethodBeat.i(57536);
        if (message == null) {
            AppMethodBeat.o(57536);
        } else if (message.obj instanceof Intent) {
            Intent intent = (Intent) message.obj;
            intent.setExtrasClassLoader(MessengerCompat.class.getClassLoader());
            if (intent.hasExtra("google.messenger")) {
                Parcelable parcelableExtra = intent.getParcelableExtra("google.messenger");
                if (parcelableExtra instanceof MessengerCompat) {
                    this.zzcw = (MessengerCompat) parcelableExtra;
                }
                if (parcelableExtra instanceof Messenger) {
                    this.zzcv = (Messenger) parcelableExtra;
                }
            }
            zzh((Intent) message.obj);
            AppMethodBeat.o(57536);
        } else {
            AppMethodBeat.o(57536);
        }
    }

    public final void zzh(Intent intent) {
        AppMethodBeat.i(57541);
        if (intent == null) {
            Log.isLoggable("InstanceID", 3);
            AppMethodBeat.o(57541);
            return;
        }
        String action = intent.getAction();
        String valueOf;
        if ("com.google.android.c2dm.intent.REGISTRATION".equals(action) || "com.google.android.gms.iid.InstanceID".equals(action)) {
            CharSequence stringExtra = intent.getStringExtra("registration_id");
            if (stringExtra == null) {
                stringExtra = intent.getStringExtra("unregistered");
            }
            if (stringExtra == null) {
                Object stringExtra2 = intent.getStringExtra("error");
                if (stringExtra2 == null) {
                    action = String.valueOf(intent.getExtras());
                    new StringBuilder(String.valueOf(action).length() + 49).append("Unexpected response, no error or registration id ").append(action);
                    AppMethodBeat.o(57541);
                    return;
                }
                if (Log.isLoggable("InstanceID", 3)) {
                    action = "Received InstanceID error ";
                    String valueOf2 = String.valueOf(stringExtra2);
                    if (valueOf2.length() != 0) {
                        action.concat(valueOf2);
                    } else {
                        valueOf2 = new String(action);
                    }
                }
                action = null;
                if (stringExtra2.startsWith("|")) {
                    String[] split = stringExtra2.split("\\|");
                    if (!"ID".equals(split[1])) {
                        String str = "Unexpected structured response ";
                        valueOf = String.valueOf(stringExtra2);
                        if (valueOf.length() != 0) {
                            str.concat(valueOf);
                        } else {
                            valueOf = new String(str);
                        }
                    }
                    if (split.length > 2) {
                        action = split[2];
                        stringExtra2 = split[3];
                        if (stringExtra2.startsWith(":")) {
                            stringExtra2 = stringExtra2.substring(1);
                        }
                    } else {
                        stringExtra2 = "UNKNOWN";
                    }
                    intent.putExtra("error", stringExtra2);
                }
                if (action == null) {
                    synchronized (getClass()) {
                        try {
                            for (String action2 : this.zzcu.keySet()) {
                                Object obj = this.zzcu.get(action2);
                                this.zzcu.put(action2, stringExtra2);
                                zzd(obj, stringExtra2);
                            }
                        } finally {
                            AppMethodBeat.o(57541);
                        }
                    }
                    return;
                }
                zzd(action2, stringExtra2);
                AppMethodBeat.o(57541);
                return;
            }
            Matcher matcher = Pattern.compile("\\|ID\\|([^|]+)\\|:?+(.*)").matcher(stringExtra);
            if (matcher.matches()) {
                action2 = matcher.group(1);
                valueOf = matcher.group(2);
                Object extras = intent.getExtras();
                extras.putString("registration_id", valueOf);
                zzd(action2, extras);
                AppMethodBeat.o(57541);
                return;
            }
            if (Log.isLoggable("InstanceID", 3)) {
                valueOf = "Unexpected response string: ";
                action2 = String.valueOf(stringExtra);
                if (action2.length() != 0) {
                    valueOf.concat(action2);
                    AppMethodBeat.o(57541);
                    return;
                }
                action2 = new String(valueOf);
            }
            AppMethodBeat.o(57541);
            return;
        }
        if (Log.isLoggable("InstanceID", 3)) {
            action2 = "Unexpected response ";
            valueOf = String.valueOf(intent.getAction());
            if (valueOf.length() != 0) {
                action2.concat(valueOf);
                AppMethodBeat.o(57541);
                return;
            }
            valueOf = new String(action2);
        }
        AppMethodBeat.o(57541);
    }
}
