package com.google.android.gms.internal.measurement;

import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.content.pm.PackageManager.NameNotFoundException;
import android.content.pm.ServiceInfo;
import android.net.Uri;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.Parcelable.Creator;
import android.text.TextUtils;
import com.google.android.gms.common.GoogleApiAvailabilityLight;
import com.google.android.gms.common.internal.Preconditions;
import com.google.android.gms.common.internal.safeparcel.SafeParcelReader.ParseException;
import com.google.android.gms.common.util.Clock;
import com.google.android.gms.common.util.CollectionUtils;
import com.google.android.gms.common.util.VisibleForTesting;
import com.google.android.gms.common.wrappers.Wrappers;
import com.google.android.gms.measurement.AppMeasurement$UserProperty;
import com.google.android.gms.measurement.AppMeasurement.Event;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.security.SecureRandom;
import java.security.cert.CertificateException;
import java.security.cert.CertificateFactory;
import java.security.cert.X509Certificate;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.BitSet;
import java.util.Random;
import java.util.concurrent.atomic.AtomicLong;
import java.util.zip.GZIPInputStream;
import java.util.zip.GZIPOutputStream;
import javax.security.auth.x500.X500Principal;

public final class zzka extends zzhh {
    private static final String[] zzard = new String[]{"firebase_", "google_", "ga_"};
    private SecureRandom zzare;
    private final AtomicLong zzarf = new AtomicLong(0);
    private int zzarg;
    private Integer zzarh = null;

    zzka(zzgl zzgl) {
        super(zzgl);
        AppMethodBeat.i(69498);
        AppMethodBeat.o(69498);
    }

    static MessageDigest getMessageDigest(String str) {
        AppMethodBeat.i(69531);
        int i = 0;
        while (true) {
            int i2 = i;
            if (i2 < 2) {
                try {
                    MessageDigest instance = MessageDigest.getInstance(str);
                    if (instance != null) {
                        AppMethodBeat.o(69531);
                        return instance;
                    }
                    i = i2 + 1;
                } catch (NoSuchAlgorithmException e) {
                }
            } else {
                AppMethodBeat.o(69531);
                return null;
            }
        }
    }

    public static zzko zza(zzkn zzkn, String str) {
        AppMethodBeat.i(69543);
        for (zzko zzko : zzkn.zzata) {
            if (zzko.name.equals(str)) {
                AppMethodBeat.o(69543);
                return zzko;
            }
        }
        AppMethodBeat.o(69543);
        return null;
    }

    private static Object zza(int i, Object obj, boolean z) {
        AppMethodBeat.i(69514);
        Long valueOf;
        if (obj == null) {
            AppMethodBeat.o(69514);
            return null;
        } else if ((obj instanceof Long) || (obj instanceof Double)) {
            AppMethodBeat.o(69514);
            return obj;
        } else if (obj instanceof Integer) {
            valueOf = Long.valueOf((long) ((Integer) obj).intValue());
            AppMethodBeat.o(69514);
            return valueOf;
        } else if (obj instanceof Byte) {
            valueOf = Long.valueOf((long) ((Byte) obj).byteValue());
            AppMethodBeat.o(69514);
            return valueOf;
        } else if (obj instanceof Short) {
            valueOf = Long.valueOf((long) ((Short) obj).shortValue());
            AppMethodBeat.o(69514);
            return valueOf;
        } else if (obj instanceof Boolean) {
            valueOf = Long.valueOf(((Boolean) obj).booleanValue() ? 1 : 0);
            AppMethodBeat.o(69514);
            return valueOf;
        } else if (obj instanceof Float) {
            Double valueOf2 = Double.valueOf(((Float) obj).doubleValue());
            AppMethodBeat.o(69514);
            return valueOf2;
        } else if ((obj instanceof String) || (obj instanceof Character) || (obj instanceof CharSequence)) {
            String zza = zza(String.valueOf(obj), i, z);
            AppMethodBeat.o(69514);
            return zza;
        } else {
            AppMethodBeat.o(69514);
            return null;
        }
    }

    public static String zza(String str, int i, boolean z) {
        AppMethodBeat.i(69515);
        if (str.codePointCount(0, str.length()) <= i) {
            AppMethodBeat.o(69515);
            return str;
        } else if (z) {
            str = String.valueOf(str.substring(0, str.offsetByCodePoints(0, i))).concat("...");
            AppMethodBeat.o(69515);
            return str;
        } else {
            AppMethodBeat.o(69515);
            return null;
        }
    }

    public static String zza(String str, String[] strArr, String[] strArr2) {
        AppMethodBeat.i(69554);
        Preconditions.checkNotNull(strArr);
        Preconditions.checkNotNull(strArr2);
        int min = Math.min(strArr.length, strArr2.length);
        for (int i = 0; i < min; i++) {
            if (zzs(str, strArr[i])) {
                String str2 = strArr2[i];
                AppMethodBeat.o(69554);
                return str2;
            }
        }
        AppMethodBeat.o(69554);
        return null;
    }

    private static void zza(Bundle bundle, Object obj) {
        AppMethodBeat.i(69520);
        Preconditions.checkNotNull(bundle);
        if (obj != null && ((obj instanceof String) || (obj instanceof CharSequence))) {
            bundle.putLong("_el", (long) String.valueOf(obj).length());
        }
        AppMethodBeat.o(69520);
    }

    private static boolean zza(Bundle bundle, int i) {
        AppMethodBeat.i(69519);
        if (bundle.getLong("_err") == 0) {
            bundle.putLong("_err", (long) i);
            AppMethodBeat.o(69519);
            return true;
        }
        AppMethodBeat.o(69519);
        return false;
    }

    private final boolean zza(String str, String str2, int i, Object obj, boolean z) {
        AppMethodBeat.i(69512);
        int length;
        int i2;
        Object obj2;
        if (obj == null) {
            AppMethodBeat.o(69512);
            return true;
        } else if ((obj instanceof Long) || (obj instanceof Float) || (obj instanceof Integer) || (obj instanceof Byte) || (obj instanceof Short) || (obj instanceof Boolean) || (obj instanceof Double)) {
            AppMethodBeat.o(69512);
            return true;
        } else if ((obj instanceof String) || (obj instanceof Character) || (obj instanceof CharSequence)) {
            String valueOf = String.valueOf(obj);
            if (valueOf.codePointCount(0, valueOf.length()) > i) {
                zzge().zzip().zzd("Value is too long; discarded. Value kind, name, value length", str, str2, Integer.valueOf(valueOf.length()));
                AppMethodBeat.o(69512);
                return false;
            }
            AppMethodBeat.o(69512);
            return true;
        } else if ((obj instanceof Bundle) && z) {
            AppMethodBeat.o(69512);
            return true;
        } else if ((obj instanceof Parcelable[]) && z) {
            Parcelable[] parcelableArr = (Parcelable[]) obj;
            length = parcelableArr.length;
            i2 = 0;
            while (i2 < length) {
                obj2 = parcelableArr[i2];
                if (obj2 instanceof Bundle) {
                    i2++;
                } else {
                    zzge().zzip().zze("All Parcelable[] elements must be of type Bundle. Value type, name", obj2.getClass(), str2);
                    AppMethodBeat.o(69512);
                    return false;
                }
            }
            AppMethodBeat.o(69512);
            return true;
        } else if ((obj instanceof ArrayList) && z) {
            ArrayList arrayList = (ArrayList) obj;
            length = arrayList.size();
            i2 = 0;
            while (i2 < length) {
                obj2 = arrayList.get(i2);
                i2++;
                if (!(obj2 instanceof Bundle)) {
                    zzge().zzip().zze("All ArrayList elements must be of type Bundle. Value type, name", obj2.getClass(), str2);
                    AppMethodBeat.o(69512);
                    return false;
                }
            }
            AppMethodBeat.o(69512);
            return true;
        } else {
            AppMethodBeat.o(69512);
            return false;
        }
    }

    public static boolean zza(long[] jArr, int i) {
        return i < (jArr.length << 6) && (jArr[i / 64] & (1 << (i % 64))) != 0;
    }

    static byte[] zza(Parcelable parcelable) {
        AppMethodBeat.i(69552);
        if (parcelable == null) {
            AppMethodBeat.o(69552);
            return null;
        }
        Parcel obtain = Parcel.obtain();
        try {
            parcelable.writeToParcel(obtain, 0);
            byte[] marshall = obtain.marshall();
            return marshall;
        } finally {
            obtain.recycle();
            AppMethodBeat.o(69552);
        }
    }

    public static long[] zza(BitSet bitSet) {
        AppMethodBeat.i(69539);
        int length = (bitSet.length() + 63) / 64;
        long[] jArr = new long[length];
        int i = 0;
        while (i < length) {
            jArr[i] = 0;
            int i2 = 0;
            while (i2 < 64 && (i << 6) + i2 < bitSet.length()) {
                if (bitSet.get((i << 6) + i2)) {
                    jArr[i] = jArr[i] | (1 << i2);
                }
                i2++;
            }
            i++;
        }
        AppMethodBeat.o(69539);
        return jArr;
    }

    static zzko[] zza(zzko[] zzkoArr, String str, Object obj) {
        AppMethodBeat.i(69545);
        for (zzko zzko : zzkoArr) {
            if (str.equals(zzko.name)) {
                zzko.zzate = null;
                zzko.zzajf = null;
                zzko.zzarc = null;
                if (obj instanceof Long) {
                    zzko.zzate = (Long) obj;
                } else if (obj instanceof String) {
                    zzko.zzajf = (String) obj;
                } else if (obj instanceof Double) {
                    zzko.zzarc = (Double) obj;
                }
                AppMethodBeat.o(69545);
                return zzkoArr;
            }
        }
        zzko[] zzkoArr2 = new zzko[(zzkoArr.length + 1)];
        System.arraycopy(zzkoArr, 0, zzkoArr2, 0, zzkoArr.length);
        zzko zzko2 = new zzko();
        zzko2.name = str;
        if (obj instanceof Long) {
            zzko2.zzate = (Long) obj;
        } else if (obj instanceof String) {
            zzko2.zzajf = (String) obj;
        } else if (obj instanceof Double) {
            zzko2.zzarc = (Double) obj;
        }
        zzkoArr2[zzkoArr.length] = zzko2;
        AppMethodBeat.o(69545);
        return zzkoArr2;
    }

    public static Object zzb(zzkn zzkn, String str) {
        AppMethodBeat.i(69544);
        zzko zza = zza(zzkn, str);
        if (zza != null) {
            if (zza.zzajf != null) {
                String str2 = zza.zzajf;
                AppMethodBeat.o(69544);
                return str2;
            } else if (zza.zzate != null) {
                Long l = zza.zzate;
                AppMethodBeat.o(69544);
                return l;
            } else if (zza.zzarc != null) {
                Double d = zza.zzarc;
                AppMethodBeat.o(69544);
                return d;
            }
        }
        AppMethodBeat.o(69544);
        return null;
    }

    @VisibleForTesting
    static long zzc(byte[] bArr) {
        long j = null;
        AppMethodBeat.i(69532);
        Preconditions.checkNotNull(bArr);
        Preconditions.checkState(bArr.length > 0);
        long j2 = 0;
        int length = bArr.length - 1;
        while (length >= 0 && length >= bArr.length - 8) {
            j2 += (((long) bArr[length]) & 255) << j;
            j += 8;
            length--;
        }
        AppMethodBeat.o(69532);
        return j2;
    }

    public static boolean zzc(Context context, String str) {
        AppMethodBeat.i(69535);
        try {
            PackageManager packageManager = context.getPackageManager();
            if (packageManager == null) {
                AppMethodBeat.o(69535);
                return false;
            }
            ServiceInfo serviceInfo = packageManager.getServiceInfo(new ComponentName(context, str), 0);
            if (serviceInfo != null && serviceInfo.enabled) {
                AppMethodBeat.o(69535);
                return true;
            }
            AppMethodBeat.o(69535);
            return false;
        } catch (NameNotFoundException e) {
        }
    }

    static boolean zzcc(String str) {
        AppMethodBeat.i(69502);
        Preconditions.checkNotEmpty(str);
        if (str.charAt(0) != '_' || str.equals("_ep")) {
            AppMethodBeat.o(69502);
            return true;
        }
        AppMethodBeat.o(69502);
        return false;
    }

    private static int zzch(String str) {
        AppMethodBeat.i(69521);
        if ("_ldl".equals(str)) {
            AppMethodBeat.o(69521);
            return 2048;
        } else if ("_id".equals(str)) {
            AppMethodBeat.o(69521);
            return 256;
        } else {
            AppMethodBeat.o(69521);
            return 36;
        }
    }

    public static boolean zzci(String str) {
        AppMethodBeat.i(69537);
        if (TextUtils.isEmpty(str) || !str.startsWith("_")) {
            AppMethodBeat.o(69537);
            return false;
        }
        AppMethodBeat.o(69537);
        return true;
    }

    static boolean zzck(String str) {
        AppMethodBeat.i(69541);
        if (str == null || !str.matches("(\\+|-)?([0-9]+\\.?[0-9]*|[0-9]*\\.?[0-9]+)") || str.length() > 310) {
            AppMethodBeat.o(69541);
            return false;
        }
        AppMethodBeat.o(69541);
        return true;
    }

    static boolean zzcl(String str) {
        AppMethodBeat.i(69550);
        Preconditions.checkNotEmpty(str);
        boolean z = true;
        switch (str.hashCode()) {
            case 94660:
                if (str.equals("_in")) {
                    z = false;
                    break;
                }
                break;
            case 95025:
                if (str.equals("_ug")) {
                    z = true;
                    break;
                }
                break;
            case 95027:
                if (str.equals("_ui")) {
                    z = true;
                    break;
                }
                break;
        }
        switch (z) {
            case false:
            case true:
            case true:
                AppMethodBeat.o(69550);
                return true;
            default:
                AppMethodBeat.o(69550);
                return false;
        }
    }

    public static boolean zzd(Intent intent) {
        AppMethodBeat.i(69504);
        String stringExtra = intent.getStringExtra("android.intent.extra.REFERRER_NAME");
        if ("android-app://com.google.android.googlequicksearchbox/https/www.google.com".equals(stringExtra) || "https://www.google.com".equals(stringExtra) || "android-app://com.google.appcrawler".equals(stringExtra)) {
            AppMethodBeat.o(69504);
            return true;
        }
        AppMethodBeat.o(69504);
        return false;
    }

    static boolean zzd(zzeu zzeu, zzdz zzdz) {
        AppMethodBeat.i(69549);
        Preconditions.checkNotNull(zzeu);
        Preconditions.checkNotNull(zzdz);
        if (TextUtils.isEmpty(zzdz.zzadm)) {
            AppMethodBeat.o(69549);
            return false;
        }
        AppMethodBeat.o(69549);
        return true;
    }

    @VisibleForTesting
    private final boolean zze(Context context, String str) {
        AppMethodBeat.i(69548);
        X500Principal x500Principal = new X500Principal("CN=Android Debug,O=Android,C=US");
        try {
            PackageInfo packageInfo = Wrappers.packageManager(context).getPackageInfo(str, 64);
            if (!(packageInfo == null || packageInfo.signatures == null || packageInfo.signatures.length <= 0)) {
                boolean equals = ((X509Certificate) CertificateFactory.getInstance("X.509").generateCertificate(new ByteArrayInputStream(packageInfo.signatures[0].toByteArray()))).getSubjectX500Principal().equals(x500Principal);
                AppMethodBeat.o(69548);
                return equals;
            }
        } catch (CertificateException e) {
            zzge().zzim().zzg("Error obtaining certificate", e);
        } catch (NameNotFoundException e2) {
            zzge().zzim().zzg("Package name not found", e2);
        }
        AppMethodBeat.o(69548);
        return true;
    }

    public static Bundle[] zze(Object obj) {
        AppMethodBeat.i(69517);
        Bundle[] bundleArr;
        if (obj instanceof Bundle) {
            bundleArr = new Bundle[]{(Bundle) obj};
            AppMethodBeat.o(69517);
            return bundleArr;
        } else if (obj instanceof Parcelable[]) {
            bundleArr = (Bundle[]) Arrays.copyOf((Parcelable[]) obj, ((Parcelable[]) obj).length, Bundle[].class);
            AppMethodBeat.o(69517);
            return bundleArr;
        } else if (obj instanceof ArrayList) {
            ArrayList arrayList = (ArrayList) obj;
            bundleArr = (Bundle[]) arrayList.toArray(new Bundle[arrayList.size()]);
            AppMethodBeat.o(69517);
            return bundleArr;
        } else {
            AppMethodBeat.o(69517);
            return null;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:15:0x003f A:{SYNTHETIC, Splitter:B:15:0x003f} */
    /* JADX WARNING: Removed duplicated region for block: B:18:0x0044 A:{Catch:{ IOException | ClassNotFoundException -> 0x004e }} */
    public static java.lang.Object zzf(java.lang.Object r6) {
        /*
        r0 = 0;
        r5 = 69553; // 0x10fb1 float:9.7465E-41 double:3.43637E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r5);
        if (r6 != 0) goto L_0x000d;
    L_0x0009:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
    L_0x000c:
        return r0;
    L_0x000d:
        r1 = new java.io.ByteArrayOutputStream;	 Catch:{ all -> 0x003a }
        r1.<init>();	 Catch:{ all -> 0x003a }
        r3 = new java.io.ObjectOutputStream;	 Catch:{ all -> 0x003a }
        r3.<init>(r1);	 Catch:{ all -> 0x003a }
        r3.writeObject(r6);	 Catch:{ all -> 0x0055 }
        r3.flush();	 Catch:{ all -> 0x0055 }
        r2 = new java.io.ObjectInputStream;	 Catch:{ all -> 0x0055 }
        r4 = new java.io.ByteArrayInputStream;	 Catch:{ all -> 0x0055 }
        r1 = r1.toByteArray();	 Catch:{ all -> 0x0055 }
        r4.<init>(r1);	 Catch:{ all -> 0x0055 }
        r2.<init>(r4);	 Catch:{ all -> 0x0055 }
        r1 = r2.readObject();	 Catch:{ all -> 0x0058 }
        r3.close();	 Catch:{ IOException | ClassNotFoundException -> 0x004e, ClassNotFoundException -> 0x0053 }
        r2.close();	 Catch:{ IOException | ClassNotFoundException -> 0x004e, ClassNotFoundException -> 0x0053 }
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
        r0 = r1;
        goto L_0x000c;
    L_0x003a:
        r1 = move-exception;
        r2 = r0;
        r3 = r0;
    L_0x003d:
        if (r3 == 0) goto L_0x0042;
    L_0x003f:
        r3.close();	 Catch:{ IOException | ClassNotFoundException -> 0x004e, ClassNotFoundException -> 0x0053 }
    L_0x0042:
        if (r2 == 0) goto L_0x0047;
    L_0x0044:
        r2.close();	 Catch:{ IOException | ClassNotFoundException -> 0x004e, ClassNotFoundException -> 0x0053 }
    L_0x0047:
        r2 = 69553; // 0x10fb1 float:9.7465E-41 double:3.43637E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);	 Catch:{ IOException | ClassNotFoundException -> 0x004e, ClassNotFoundException -> 0x0053 }
        throw r1;	 Catch:{ IOException | ClassNotFoundException -> 0x004e, ClassNotFoundException -> 0x0053 }
    L_0x004e:
        r1 = move-exception;
    L_0x004f:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
        goto L_0x000c;
    L_0x0053:
        r1 = move-exception;
        goto L_0x004f;
    L_0x0055:
        r1 = move-exception;
        r2 = r0;
        goto L_0x003d;
    L_0x0058:
        r1 = move-exception;
        goto L_0x003d;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.gms.internal.measurement.zzka.zzf(java.lang.Object):java.lang.Object");
    }

    private final boolean zzr(String str, String str2) {
        AppMethodBeat.i(69506);
        if (str2 == null) {
            zzge().zzim().zzg("Name is required and can't be null. Type", str);
            AppMethodBeat.o(69506);
            return false;
        } else if (str2.length() == 0) {
            zzge().zzim().zzg("Name is required and can't be empty. Type", str);
            AppMethodBeat.o(69506);
            return false;
        } else {
            int codePointAt = str2.codePointAt(0);
            if (Character.isLetter(codePointAt) || codePointAt == 95) {
                int length = str2.length();
                codePointAt = Character.charCount(codePointAt);
                while (codePointAt < length) {
                    int codePointAt2 = str2.codePointAt(codePointAt);
                    if (codePointAt2 == 95 || Character.isLetterOrDigit(codePointAt2)) {
                        codePointAt += Character.charCount(codePointAt2);
                    } else {
                        zzge().zzim().zze("Name must consist of letters, digits or _ (underscores). Type, name", str, str2);
                        AppMethodBeat.o(69506);
                        return false;
                    }
                }
                AppMethodBeat.o(69506);
                return true;
            }
            zzge().zzim().zze("Name must start with a letter or _ (underscore). Type, name", str, str2);
            AppMethodBeat.o(69506);
            return false;
        }
    }

    public static boolean zzs(String str, String str2) {
        AppMethodBeat.i(69538);
        if (str == null && str2 == null) {
            AppMethodBeat.o(69538);
            return true;
        } else if (str == null) {
            AppMethodBeat.o(69538);
            return false;
        } else {
            boolean equals = str.equals(str2);
            AppMethodBeat.o(69538);
            return equals;
        }
    }

    public final /* bridge */ /* synthetic */ Context getContext() {
        AppMethodBeat.i(69566);
        Context context = super.getContext();
        AppMethodBeat.o(69566);
        return context;
    }

    public final Bundle zza(Uri uri) {
        Bundle bundle = null;
        AppMethodBeat.i(69503);
        if (uri == null) {
            AppMethodBeat.o(69503);
        } else {
            try {
                CharSequence queryParameter;
                CharSequence queryParameter2;
                CharSequence queryParameter3;
                CharSequence queryParameter4;
                if (uri.isHierarchical()) {
                    queryParameter = uri.getQueryParameter("utm_campaign");
                    queryParameter2 = uri.getQueryParameter("utm_source");
                    queryParameter3 = uri.getQueryParameter("utm_medium");
                    queryParameter4 = uri.getQueryParameter("gclid");
                } else {
                    queryParameter4 = null;
                    queryParameter3 = null;
                    queryParameter2 = null;
                    queryParameter = null;
                }
                if (TextUtils.isEmpty(queryParameter) && TextUtils.isEmpty(queryParameter2) && TextUtils.isEmpty(queryParameter3) && TextUtils.isEmpty(queryParameter4)) {
                    AppMethodBeat.o(69503);
                } else {
                    bundle = new Bundle();
                    if (!TextUtils.isEmpty(queryParameter)) {
                        bundle.putString("campaign", queryParameter);
                    }
                    if (!TextUtils.isEmpty(queryParameter2)) {
                        bundle.putString("source", queryParameter2);
                    }
                    if (!TextUtils.isEmpty(queryParameter3)) {
                        bundle.putString("medium", queryParameter3);
                    }
                    if (!TextUtils.isEmpty(queryParameter4)) {
                        bundle.putString("gclid", queryParameter4);
                    }
                    String queryParameter5 = uri.getQueryParameter("utm_term");
                    if (!TextUtils.isEmpty(queryParameter5)) {
                        bundle.putString("term", queryParameter5);
                    }
                    queryParameter5 = uri.getQueryParameter("utm_content");
                    if (!TextUtils.isEmpty(queryParameter5)) {
                        bundle.putString("content", queryParameter5);
                    }
                    queryParameter5 = uri.getQueryParameter("aclid");
                    if (!TextUtils.isEmpty(queryParameter5)) {
                        bundle.putString("aclid", queryParameter5);
                    }
                    queryParameter5 = uri.getQueryParameter("cp1");
                    if (!TextUtils.isEmpty(queryParameter5)) {
                        bundle.putString("cp1", queryParameter5);
                    }
                    queryParameter5 = uri.getQueryParameter("anid");
                    if (!TextUtils.isEmpty(queryParameter5)) {
                        bundle.putString("anid", queryParameter5);
                    }
                    AppMethodBeat.o(69503);
                }
            } catch (UnsupportedOperationException e) {
                zzge().zzip().zzg("Install referrer url isn't a hierarchical URI", e);
                AppMethodBeat.o(69503);
            }
        }
        return bundle;
    }

    /* JADX WARNING: Removed duplicated region for block: B:47:0x00c9  */
    /* JADX WARNING: Removed duplicated region for block: B:76:0x0183  */
    /* JADX WARNING: Removed duplicated region for block: B:73:0x0146  */
    public final android.os.Bundle zza(java.lang.String r10, android.os.Bundle r11, java.util.List<java.lang.String> r12, boolean r13, boolean r14) {
        /*
        r9 = this;
        r0 = 69518; // 0x10f8e float:9.7415E-41 double:3.43465E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r0);
        r0 = 0;
        if (r11 == 0) goto L_0x0188;
    L_0x0009:
        r7 = new android.os.Bundle;
        r7.<init>(r11);
        r0 = 0;
        r1 = r11.keySet();
        r8 = r1.iterator();
        r6 = r0;
    L_0x0018:
        r0 = r8.hasNext();
        if (r0 == 0) goto L_0x0187;
    L_0x001e:
        r2 = r8.next();
        r2 = (java.lang.String) r2;
        r0 = 0;
        if (r12 == 0) goto L_0x002d;
    L_0x0027:
        r1 = r12.contains(r2);
        if (r1 != 0) goto L_0x0045;
    L_0x002d:
        if (r13 == 0) goto L_0x0039;
    L_0x002f:
        r0 = "event param";
        r0 = r9.zzq(r0, r2);
        if (r0 != 0) goto L_0x0064;
    L_0x0038:
        r0 = 3;
    L_0x0039:
        if (r0 != 0) goto L_0x0045;
    L_0x003b:
        r0 = "event param";
        r0 = r9.zzr(r0, r2);
        if (r0 != 0) goto L_0x0080;
    L_0x0044:
        r0 = 3;
    L_0x0045:
        if (r0 == 0) goto L_0x009c;
    L_0x0047:
        r1 = zza(r7, r0);
        if (r1 == 0) goto L_0x0060;
    L_0x004d:
        r1 = 40;
        r3 = 1;
        r1 = zza(r2, r1, r3);
        r3 = "_ev";
        r7.putString(r3, r1);
        r1 = 3;
        if (r0 != r1) goto L_0x0060;
    L_0x005d:
        zza(r7, r2);
    L_0x0060:
        r7.remove(r2);
        goto L_0x0018;
    L_0x0064:
        r0 = "event param";
        r1 = 0;
        r0 = r9.zza(r0, r1, r2);
        if (r0 != 0) goto L_0x0071;
    L_0x006e:
        r0 = 14;
        goto L_0x0039;
    L_0x0071:
        r0 = "event param";
        r1 = 40;
        r0 = r9.zza(r0, r1, r2);
        if (r0 != 0) goto L_0x007e;
    L_0x007c:
        r0 = 3;
        goto L_0x0039;
    L_0x007e:
        r0 = 0;
        goto L_0x0039;
    L_0x0080:
        r0 = "event param";
        r1 = 0;
        r0 = r9.zza(r0, r1, r2);
        if (r0 != 0) goto L_0x008d;
    L_0x008a:
        r0 = 14;
        goto L_0x0045;
    L_0x008d:
        r0 = "event param";
        r1 = 40;
        r0 = r9.zza(r0, r1, r2);
        if (r0 != 0) goto L_0x009a;
    L_0x0098:
        r0 = 3;
        goto L_0x0045;
    L_0x009a:
        r0 = 0;
        goto L_0x0045;
    L_0x009c:
        r4 = r11.get(r2);
        r9.zzab();
        if (r14 == 0) goto L_0x0105;
    L_0x00a5:
        r1 = "param";
        r0 = r4 instanceof android.os.Parcelable[];
        if (r0 == 0) goto L_0x00f5;
    L_0x00ac:
        r0 = r4;
        r0 = (android.os.Parcelable[]) r0;
        r0 = r0.length;
    L_0x00b0:
        r3 = 1000; // 0x3e8 float:1.401E-42 double:4.94E-321;
        if (r0 <= r3) goto L_0x0103;
    L_0x00b4:
        r3 = r9.zzge();
        r3 = r3.zzip();
        r5 = "Parameter array is too long; discarded. Value kind, name, array length";
        r0 = java.lang.Integer.valueOf(r0);
        r3.zzd(r5, r1, r2, r0);
        r0 = 0;
    L_0x00c7:
        if (r0 != 0) goto L_0x0105;
    L_0x00c9:
        r0 = 17;
    L_0x00cb:
        if (r0 == 0) goto L_0x0140;
    L_0x00cd:
        r1 = "_ev";
        r1 = r1.equals(r2);
        if (r1 != 0) goto L_0x0140;
    L_0x00d6:
        r0 = zza(r7, r0);
        if (r0 == 0) goto L_0x00f0;
    L_0x00dc:
        r0 = 40;
        r1 = 1;
        r0 = zza(r2, r0, r1);
        r1 = "_ev";
        r7.putString(r1, r0);
        r0 = r11.get(r2);
        zza(r7, r0);
    L_0x00f0:
        r7.remove(r2);
        goto L_0x0018;
    L_0x00f5:
        r0 = r4 instanceof java.util.ArrayList;
        if (r0 == 0) goto L_0x0101;
    L_0x00f9:
        r0 = r4;
        r0 = (java.util.ArrayList) r0;
        r0 = r0.size();
        goto L_0x00b0;
    L_0x0101:
        r0 = 1;
        goto L_0x00c7;
    L_0x0103:
        r0 = 1;
        goto L_0x00c7;
    L_0x0105:
        r0 = r9.zzgg();
        r1 = r9.zzfv();
        r1 = r1.zzah();
        r0 = r0.zzaw(r1);
        if (r0 == 0) goto L_0x011d;
    L_0x0117:
        r0 = zzci(r10);
        if (r0 != 0) goto L_0x0123;
    L_0x011d:
        r0 = zzci(r2);
        if (r0 == 0) goto L_0x0132;
    L_0x0123:
        r1 = "param";
        r3 = 256; // 0x100 float:3.59E-43 double:1.265E-321;
        r0 = r9;
        r5 = r14;
        r0 = r0.zza(r1, r2, r3, r4, r5);
    L_0x012e:
        if (r0 == 0) goto L_0x013e;
    L_0x0130:
        r0 = 0;
        goto L_0x00cb;
    L_0x0132:
        r1 = "param";
        r3 = 100;
        r0 = r9;
        r5 = r14;
        r0 = r0.zza(r1, r2, r3, r4, r5);
        goto L_0x012e;
    L_0x013e:
        r0 = 4;
        goto L_0x00cb;
    L_0x0140:
        r0 = zzcc(r2);
        if (r0 == 0) goto L_0x0183;
    L_0x0146:
        r0 = r6 + 1;
        r1 = 25;
        if (r0 <= r1) goto L_0x0184;
    L_0x014c:
        r1 = 48;
        r3 = new java.lang.StringBuilder;
        r3.<init>(r1);
        r1 = "Event can't contain more than 25 params";
        r1 = r3.append(r1);
        r1 = r1.toString();
        r3 = r9.zzge();
        r3 = r3.zzim();
        r4 = r9.zzga();
        r4 = r4.zzbj(r10);
        r5 = r9.zzga();
        r5 = r5.zzb(r11);
        r3.zze(r1, r4, r5);
        r1 = 5;
        zza(r7, r1);
        r7.remove(r2);
        r6 = r0;
        goto L_0x0018;
    L_0x0183:
        r0 = r6;
    L_0x0184:
        r6 = r0;
        goto L_0x0018;
    L_0x0187:
        r0 = r7;
    L_0x0188:
        r1 = 69518; // 0x10f8e float:9.7415E-41 double:3.43465E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
        return r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.gms.internal.measurement.zzka.zza(java.lang.String, android.os.Bundle, java.util.List, boolean, boolean):android.os.Bundle");
    }

    /* Access modifiers changed, original: final */
    public final <T extends Parcelable> T zza(byte[] bArr, Creator<T> creator) {
        AppMethodBeat.i(69551);
        if (bArr == null) {
            AppMethodBeat.o(69551);
            return null;
        }
        Parcel obtain = Parcel.obtain();
        T t;
        try {
            obtain.unmarshall(bArr, 0, bArr.length);
            obtain.setDataPosition(0);
            t = (Parcelable) creator.createFromParcel(obtain);
            return t;
        } catch (ParseException e) {
            t = zzge().zzim();
            t.log("Failed to load parcelable from buffer");
            return null;
        } finally {
            obtain.recycle();
            AppMethodBeat.o(69551);
        }
    }

    /* Access modifiers changed, original: final */
    public final zzeu zza(String str, Bundle bundle, String str2, long j, boolean z, boolean z2) {
        AppMethodBeat.i(69546);
        if (TextUtils.isEmpty(str)) {
            AppMethodBeat.o(69546);
            return null;
        } else if (zzcd(str) != 0) {
            zzge().zzim().zzg("Invalid conditional property event name", zzga().zzbl(str));
            IllegalArgumentException illegalArgumentException = new IllegalArgumentException();
            AppMethodBeat.o(69546);
            throw illegalArgumentException;
        } else {
            Bundle bundle2 = bundle != null ? new Bundle(bundle) : new Bundle();
            bundle2.putString("_o", str2);
            zzeu zzeu = new zzeu(str, new zzer(zzd(zza(str, bundle2, CollectionUtils.listOf("_o"), false, false))), str2, j);
            AppMethodBeat.o(69546);
            return zzeu;
        }
    }

    public final void zza(int i, String str, String str2, int i2) {
        AppMethodBeat.i(69527);
        zza(null, i, str, str2, i2);
        AppMethodBeat.o(69527);
    }

    public final void zza(Bundle bundle, String str, Object obj) {
        AppMethodBeat.i(69526);
        if (bundle == null) {
            AppMethodBeat.o(69526);
        } else if (obj instanceof Long) {
            bundle.putLong(str, ((Long) obj).longValue());
            AppMethodBeat.o(69526);
        } else if (obj instanceof String) {
            bundle.putString(str, String.valueOf(obj));
            AppMethodBeat.o(69526);
        } else if (obj instanceof Double) {
            bundle.putDouble(str, ((Double) obj).doubleValue());
            AppMethodBeat.o(69526);
        } else {
            if (str != null) {
                zzge().zziq().zze("Not putting event parameter. Invalid value type. name, type", zzga().zzbk(str), obj != null ? obj.getClass().getSimpleName() : null);
            }
            AppMethodBeat.o(69526);
        }
    }

    public final void zza(zzko zzko, Object obj) {
        AppMethodBeat.i(69525);
        Preconditions.checkNotNull(obj);
        zzko.zzajf = null;
        zzko.zzate = null;
        zzko.zzarc = null;
        if (obj instanceof String) {
            zzko.zzajf = (String) obj;
            AppMethodBeat.o(69525);
        } else if (obj instanceof Long) {
            zzko.zzate = (Long) obj;
            AppMethodBeat.o(69525);
        } else if (obj instanceof Double) {
            zzko.zzarc = (Double) obj;
            AppMethodBeat.o(69525);
        } else {
            zzge().zzim().zzg("Ignoring invalid (type) event param value", obj);
            AppMethodBeat.o(69525);
        }
    }

    public final void zza(zzks zzks, Object obj) {
        AppMethodBeat.i(69524);
        Preconditions.checkNotNull(obj);
        zzks.zzajf = null;
        zzks.zzate = null;
        zzks.zzarc = null;
        if (obj instanceof String) {
            zzks.zzajf = (String) obj;
            AppMethodBeat.o(69524);
        } else if (obj instanceof Long) {
            zzks.zzate = (Long) obj;
            AppMethodBeat.o(69524);
        } else if (obj instanceof Double) {
            zzks.zzarc = (Double) obj;
            AppMethodBeat.o(69524);
        } else {
            zzge().zzim().zzg("Ignoring invalid (type) user attribute value", obj);
            AppMethodBeat.o(69524);
        }
    }

    public final void zza(String str, int i, String str2, String str3, int i2) {
        AppMethodBeat.i(69528);
        Bundle bundle = new Bundle();
        zza(bundle, i);
        if (!TextUtils.isEmpty(str2)) {
            bundle.putString(str2, str3);
        }
        if (i == 6 || i == 7 || i == 2) {
            bundle.putLong("_el", (long) i2);
        }
        this.zzacw.zzfu().logEvent("auto", "_err", bundle);
        AppMethodBeat.o(69528);
    }

    public final boolean zza(long j, long j2) {
        AppMethodBeat.i(69534);
        if (j == 0 || j2 <= 0) {
            AppMethodBeat.o(69534);
            return true;
        } else if (Math.abs(zzbt().currentTimeMillis() - j) > j2) {
            AppMethodBeat.o(69534);
            return true;
        } else {
            AppMethodBeat.o(69534);
            return false;
        }
    }

    /* Access modifiers changed, original: final */
    public final boolean zza(String str, int i, String str2) {
        AppMethodBeat.i(69508);
        if (str2 == null) {
            zzge().zzim().zzg("Name is required and can't be null. Type", str);
            AppMethodBeat.o(69508);
            return false;
        } else if (str2.codePointCount(0, str2.length()) > i) {
            zzge().zzim().zzd("Name is too long. Type, maximum supported length, name", str, Integer.valueOf(i), str2);
            AppMethodBeat.o(69508);
            return false;
        } else {
            AppMethodBeat.o(69508);
            return true;
        }
    }

    /* Access modifiers changed, original: final */
    public final boolean zza(String str, String[] strArr, String str2) {
        AppMethodBeat.i(69507);
        if (str2 == null) {
            zzge().zzim().zzg("Name is required and can't be null. Type", str);
            AppMethodBeat.o(69507);
            return false;
        }
        boolean z;
        Preconditions.checkNotNull(str2);
        for (String startsWith : zzard) {
            if (str2.startsWith(startsWith)) {
                z = true;
                break;
            }
        }
        z = false;
        if (z) {
            zzge().zzim().zze("Name starts with reserved prefix. Type, name", str, str2);
            AppMethodBeat.o(69507);
            return false;
        }
        if (strArr != null) {
            Preconditions.checkNotNull(strArr);
            for (String startsWith2 : strArr) {
                if (zzs(str2, startsWith2)) {
                    z = true;
                    break;
                }
            }
            z = false;
            if (z) {
                zzge().zzim().zze("Name is reserved. Type, name", str, str2);
                AppMethodBeat.o(69507);
                return false;
            }
        }
        AppMethodBeat.o(69507);
        return true;
    }

    public final byte[] zza(byte[] bArr) {
        AppMethodBeat.i(69529);
        try {
            ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
            GZIPOutputStream gZIPOutputStream = new GZIPOutputStream(byteArrayOutputStream);
            gZIPOutputStream.write(bArr);
            gZIPOutputStream.close();
            byteArrayOutputStream.close();
            byte[] toByteArray = byteArrayOutputStream.toByteArray();
            AppMethodBeat.o(69529);
            return toByteArray;
        } catch (IOException e) {
            zzge().zzim().zzg("Failed to gzip content", e);
            AppMethodBeat.o(69529);
            throw e;
        }
    }

    public final /* bridge */ /* synthetic */ void zzab() {
        AppMethodBeat.i(69558);
        super.zzab();
        AppMethodBeat.o(69558);
    }

    public final byte[] zzb(zzkp zzkp) {
        AppMethodBeat.i(69533);
        try {
            byte[] bArr = new byte[zzkp.zzvm()];
            zzabw zzb = zzabw.zzb(bArr, 0, bArr.length);
            zzkp.zza(zzb);
            zzb.zzve();
            AppMethodBeat.o(69533);
            return bArr;
        } catch (IOException e) {
            zzge().zzim().zzg("Data loss. Failed to serialize batch", e);
            AppMethodBeat.o(69533);
            return null;
        }
    }

    public final byte[] zzb(byte[] bArr) {
        AppMethodBeat.i(69530);
        try {
            ByteArrayInputStream byteArrayInputStream = new ByteArrayInputStream(bArr);
            GZIPInputStream gZIPInputStream = new GZIPInputStream(byteArrayInputStream);
            ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
            byte[] bArr2 = new byte[1024];
            while (true) {
                int read = gZIPInputStream.read(bArr2);
                if (read > 0) {
                    byteArrayOutputStream.write(bArr2, 0, read);
                } else {
                    gZIPInputStream.close();
                    byteArrayInputStream.close();
                    byte[] toByteArray = byteArrayOutputStream.toByteArray();
                    AppMethodBeat.o(69530);
                    return toByteArray;
                }
            }
        } catch (IOException e) {
            zzge().zzim().zzg("Failed to ungzip content", e);
            AppMethodBeat.o(69530);
            throw e;
        }
    }

    public final /* bridge */ /* synthetic */ Clock zzbt() {
        AppMethodBeat.i(69565);
        Clock zzbt = super.zzbt();
        AppMethodBeat.o(69565);
        return zzbt;
    }

    public final int zzcd(String str) {
        AppMethodBeat.i(69509);
        if (!zzr("event", str)) {
            AppMethodBeat.o(69509);
            return 2;
        } else if (!zza("event", Event.zzacx, str)) {
            AppMethodBeat.o(69509);
            return 13;
        } else if (zza("event", 40, str)) {
            AppMethodBeat.o(69509);
            return 0;
        } else {
            AppMethodBeat.o(69509);
            return 2;
        }
    }

    public final int zzce(String str) {
        AppMethodBeat.i(69510);
        if (!zzq("user property", str)) {
            AppMethodBeat.o(69510);
            return 6;
        } else if (!zza("user property", AppMeasurement$UserProperty.zzadb, str)) {
            AppMethodBeat.o(69510);
            return 15;
        } else if (zza("user property", 24, str)) {
            AppMethodBeat.o(69510);
            return 0;
        } else {
            AppMethodBeat.o(69510);
            return 6;
        }
    }

    public final int zzcf(String str) {
        AppMethodBeat.i(69511);
        if (!zzr("user property", str)) {
            AppMethodBeat.o(69511);
            return 6;
        } else if (!zza("user property", AppMeasurement$UserProperty.zzadb, str)) {
            AppMethodBeat.o(69511);
            return 15;
        } else if (zza("user property", 24, str)) {
            AppMethodBeat.o(69511);
            return 0;
        } else {
            AppMethodBeat.o(69511);
            return 6;
        }
    }

    public final boolean zzcg(String str) {
        AppMethodBeat.i(69513);
        if (TextUtils.isEmpty(str)) {
            zzge().zzim().log("Missing google_app_id. Firebase Analytics disabled. See https://goo.gl/NAOOOI");
            AppMethodBeat.o(69513);
            return false;
        }
        Preconditions.checkNotNull(str);
        if (str.matches("^1:\\d+:android:[a-f0-9]+$")) {
            AppMethodBeat.o(69513);
            return true;
        }
        zzge().zzim().zzg("Invalid google_app_id. Firebase Analytics disabled. See https://goo.gl/NAOOOI. provided id", str);
        AppMethodBeat.o(69513);
        return false;
    }

    public final boolean zzcj(String str) {
        AppMethodBeat.i(69540);
        if (TextUtils.isEmpty(str)) {
            AppMethodBeat.o(69540);
            return false;
        }
        boolean equals = zzgg().zzhj().equals(str);
        AppMethodBeat.o(69540);
        return equals;
    }

    /* Access modifiers changed, original: final */
    public final long zzd(Context context, String str) {
        long j = -1;
        AppMethodBeat.i(69547);
        zzab();
        Preconditions.checkNotNull(context);
        Preconditions.checkNotEmpty(str);
        PackageManager packageManager = context.getPackageManager();
        MessageDigest messageDigest = getMessageDigest("MD5");
        if (messageDigest == null) {
            zzge().zzim().log("Could not get MD5 instance");
        } else {
            if (packageManager != null) {
                try {
                    if (!zze(context, str)) {
                        PackageInfo packageInfo = Wrappers.packageManager(context).getPackageInfo(getContext().getPackageName(), 64);
                        if (packageInfo.signatures == null || packageInfo.signatures.length <= 0) {
                            zzge().zzip().log("Could not get signatures");
                        } else {
                            j = zzc(messageDigest.digest(packageInfo.signatures[0].toByteArray()));
                        }
                    }
                } catch (NameNotFoundException e) {
                    zzge().zzim().zzg("Package name not found", e);
                }
            }
            j = 0;
        }
        AppMethodBeat.o(69547);
        return j;
    }

    /* Access modifiers changed, original: final */
    public final Bundle zzd(Bundle bundle) {
        AppMethodBeat.i(69542);
        Bundle bundle2 = new Bundle();
        if (bundle != null) {
            for (String str : bundle.keySet()) {
                Object zzh = zzh(str, bundle.get(str));
                if (zzh == null) {
                    zzge().zzip().zzg("Param value can't be null", zzga().zzbk(str));
                } else {
                    zza(bundle2, str, zzh);
                }
            }
        }
        AppMethodBeat.o(69542);
        return bundle2;
    }

    public final /* bridge */ /* synthetic */ void zzfr() {
        AppMethodBeat.i(69556);
        super.zzfr();
        AppMethodBeat.o(69556);
    }

    public final /* bridge */ /* synthetic */ void zzfs() {
        AppMethodBeat.i(69557);
        super.zzfs();
        AppMethodBeat.o(69557);
    }

    public final /* bridge */ /* synthetic */ zzdu zzft() {
        AppMethodBeat.i(69559);
        zzdu zzft = super.zzft();
        AppMethodBeat.o(69559);
        return zzft;
    }

    public final /* bridge */ /* synthetic */ zzhk zzfu() {
        AppMethodBeat.i(69560);
        zzhk zzfu = super.zzfu();
        AppMethodBeat.o(69560);
        return zzfu;
    }

    public final /* bridge */ /* synthetic */ zzfb zzfv() {
        AppMethodBeat.i(69561);
        zzfb zzfv = super.zzfv();
        AppMethodBeat.o(69561);
        return zzfv;
    }

    public final /* bridge */ /* synthetic */ zzeo zzfw() {
        AppMethodBeat.i(69562);
        zzeo zzfw = super.zzfw();
        AppMethodBeat.o(69562);
        return zzfw;
    }

    public final /* bridge */ /* synthetic */ zzii zzfx() {
        AppMethodBeat.i(69563);
        zzii zzfx = super.zzfx();
        AppMethodBeat.o(69563);
        return zzfx;
    }

    public final /* bridge */ /* synthetic */ zzif zzfy() {
        AppMethodBeat.i(69564);
        zzif zzfy = super.zzfy();
        AppMethodBeat.o(69564);
        return zzfy;
    }

    public final /* bridge */ /* synthetic */ zzfc zzfz() {
        AppMethodBeat.i(69567);
        zzfc zzfz = super.zzfz();
        AppMethodBeat.o(69567);
        return zzfz;
    }

    public final /* bridge */ /* synthetic */ zzfe zzga() {
        AppMethodBeat.i(69568);
        zzfe zzga = super.zzga();
        AppMethodBeat.o(69568);
        return zzga;
    }

    public final /* bridge */ /* synthetic */ zzka zzgb() {
        AppMethodBeat.i(69569);
        zzka zzgb = super.zzgb();
        AppMethodBeat.o(69569);
        return zzgb;
    }

    public final /* bridge */ /* synthetic */ zzjh zzgc() {
        AppMethodBeat.i(69570);
        zzjh zzgc = super.zzgc();
        AppMethodBeat.o(69570);
        return zzgc;
    }

    public final /* bridge */ /* synthetic */ zzgg zzgd() {
        AppMethodBeat.i(69571);
        zzgg zzgd = super.zzgd();
        AppMethodBeat.o(69571);
        return zzgd;
    }

    public final /* bridge */ /* synthetic */ zzfg zzge() {
        AppMethodBeat.i(69572);
        zzfg zzge = super.zzge();
        AppMethodBeat.o(69572);
        return zzge;
    }

    public final /* bridge */ /* synthetic */ zzfr zzgf() {
        AppMethodBeat.i(69573);
        zzfr zzgf = super.zzgf();
        AppMethodBeat.o(69573);
        return zzgf;
    }

    public final /* bridge */ /* synthetic */ zzef zzgg() {
        AppMethodBeat.i(69574);
        zzef zzgg = super.zzgg();
        AppMethodBeat.o(69574);
        return zzgg;
    }

    public final Object zzh(String str, Object obj) {
        int i = 256;
        AppMethodBeat.i(69516);
        Object zza;
        if ("_ev".equals(str)) {
            zza = zza(256, obj, true);
            AppMethodBeat.o(69516);
            return zza;
        }
        if (!zzci(str)) {
            i = 100;
        }
        zza = zza(i, obj, false);
        AppMethodBeat.o(69516);
        return zza;
    }

    /* Access modifiers changed, original: protected|final */
    public final boolean zzhf() {
        return true;
    }

    public final int zzi(String str, Object obj) {
        boolean zza;
        AppMethodBeat.i(69522);
        if ("_ldl".equals(str)) {
            zza = zza("user property referrer", str, zzch(str), obj, false);
        } else {
            zza = zza("user property", str, zzch(str), obj, false);
        }
        if (zza) {
            AppMethodBeat.o(69522);
            return 0;
        }
        AppMethodBeat.o(69522);
        return 7;
    }

    /* Access modifiers changed, original: protected|final */
    public final void zzih() {
        AppMethodBeat.i(69499);
        zzab();
        SecureRandom secureRandom = new SecureRandom();
        long nextLong = secureRandom.nextLong();
        if (nextLong == 0) {
            nextLong = secureRandom.nextLong();
            if (nextLong == 0) {
                zzge().zzip().log("Utils falling back to Random for random id");
            }
        }
        this.zzarf.set(nextLong);
        AppMethodBeat.o(69499);
    }

    public final Object zzj(String str, Object obj) {
        AppMethodBeat.i(69523);
        Object zza;
        if ("_ldl".equals(str)) {
            zza = zza(zzch(str), obj, true);
            AppMethodBeat.o(69523);
            return zza;
        }
        zza = zza(zzch(str), obj, false);
        AppMethodBeat.o(69523);
        return zza;
    }

    public final long zzlb() {
        long nextLong;
        AppMethodBeat.i(69500);
        if (this.zzarf.get() == 0) {
            synchronized (this.zzarf) {
                try {
                    nextLong = new Random(System.nanoTime() ^ zzbt().currentTimeMillis()).nextLong();
                    int i = this.zzarg + 1;
                    this.zzarg = i;
                    nextLong += (long) i;
                } finally {
                    while (true) {
                    }
                    AppMethodBeat.o(69500);
                }
            }
        } else {
            synchronized (this.zzarf) {
                try {
                    this.zzarf.compareAndSet(-1, 1);
                    nextLong = this.zzarf.getAndIncrement();
                } finally {
                    while (true) {
                    }
                    AppMethodBeat.o(69500);
                }
            }
        }
        return nextLong;
    }

    /* Access modifiers changed, original: final */
    public final SecureRandom zzlc() {
        AppMethodBeat.i(69501);
        zzab();
        if (this.zzare == null) {
            this.zzare = new SecureRandom();
        }
        SecureRandom secureRandom = this.zzare;
        AppMethodBeat.o(69501);
        return secureRandom;
    }

    public final int zzld() {
        AppMethodBeat.i(69555);
        if (this.zzarh == null) {
            this.zzarh = Integer.valueOf(GoogleApiAvailabilityLight.getInstance().getApkVersion(getContext()) / 1000);
        }
        int intValue = this.zzarh.intValue();
        AppMethodBeat.o(69555);
        return intValue;
    }

    /* Access modifiers changed, original: final */
    public final boolean zzq(String str, String str2) {
        AppMethodBeat.i(69505);
        if (str2 == null) {
            zzge().zzim().zzg("Name is required and can't be null. Type", str);
            AppMethodBeat.o(69505);
            return false;
        } else if (str2.length() == 0) {
            zzge().zzim().zzg("Name is required and can't be empty. Type", str);
            AppMethodBeat.o(69505);
            return false;
        } else {
            int codePointAt = str2.codePointAt(0);
            if (Character.isLetter(codePointAt)) {
                int length = str2.length();
                codePointAt = Character.charCount(codePointAt);
                while (codePointAt < length) {
                    int codePointAt2 = str2.codePointAt(codePointAt);
                    if (codePointAt2 == 95 || Character.isLetterOrDigit(codePointAt2)) {
                        codePointAt += Character.charCount(codePointAt2);
                    } else {
                        zzge().zzim().zze("Name must consist of letters, digits or _ (underscores). Type, name", str, str2);
                        AppMethodBeat.o(69505);
                        return false;
                    }
                }
                AppMethodBeat.o(69505);
                return true;
            }
            zzge().zzim().zze("Name must start with a letter. Type, name", str, str2);
            AppMethodBeat.o(69505);
            return false;
        }
    }

    public final boolean zzx(String str) {
        AppMethodBeat.i(69536);
        zzab();
        if (Wrappers.packageManager(getContext()).checkCallingOrSelfPermission(str) == 0) {
            AppMethodBeat.o(69536);
            return true;
        }
        zzge().zzis().zzg("Permission not granted", str);
        AppMethodBeat.o(69536);
        return false;
    }
}
