package com.google.android.gms.stats;

import android.annotation.SuppressLint;
import android.content.Context;
import android.os.Build.VERSION;
import android.os.PowerManager;
import android.os.WorkSource;
import android.text.TextUtils;
import android.util.Log;
import com.google.android.gms.common.internal.Preconditions;
import com.google.android.gms.common.providers.PooledExecutorsProvider;
import com.google.android.gms.common.util.Strings;
import com.google.android.gms.common.util.WorkSourceUtil;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicInteger;
import javax.annotation.Nonnull;
import javax.annotation.Nullable;
import javax.annotation.concurrent.ThreadSafe;

@ThreadSafe
public class WakeLock {
    private static ScheduledExecutorService zzaeg;
    private static Configuration zzaeh = new zza();
    private final android.os.PowerManager.WakeLock zzadv;
    private WorkSource zzadw;
    private String zzadx;
    private final int zzady;
    private final String zzadz;
    private final String zzaea;
    private final String zzaeb;
    private boolean zzaec;
    private final Map<String, Integer[]> zzaed;
    private int zzaee;
    private AtomicInteger zzaef;
    private final Context zzjp;

    static {
        AppMethodBeat.i(113975);
        AppMethodBeat.o(113975);
    }

    public WakeLock(Context context, int i, @Nonnull String str) {
        this(context, i, str, null, context == null ? null : context.getPackageName());
        AppMethodBeat.i(113949);
        AppMethodBeat.o(113949);
    }

    public WakeLock(Context context, int i, @Nonnull String str, @Nullable String str2) {
        this(context, i, str, str2, context == null ? null : context.getPackageName());
        AppMethodBeat.i(113950);
        AppMethodBeat.o(113950);
    }

    @SuppressLint({"UnwrappedWakeLock"})
    public WakeLock(Context context, int i, @Nonnull String str, @Nullable String str2, @Nonnull String str3) {
        this(context, i, str, str2, str3, null);
    }

    @SuppressLint({"UnwrappedWakeLock"})
    public WakeLock(Context context, int i, @Nonnull String str, @Nullable String str2, @Nonnull String str3, @Nullable String str4) {
        AppMethodBeat.i(113951);
        this.zzaec = true;
        this.zzaed = new HashMap();
        this.zzaef = new AtomicInteger(0);
        Preconditions.checkNotEmpty(str, "Wake lock name can NOT be empty");
        this.zzady = i;
        this.zzaea = str2;
        this.zzaeb = str4;
        this.zzjp = context.getApplicationContext();
        if ("com.google.android.gms".equals(context.getPackageName())) {
            this.zzadz = str;
        } else {
            String valueOf = String.valueOf("*gcore*:");
            String valueOf2 = String.valueOf(str);
            this.zzadz = valueOf2.length() != 0 ? valueOf.concat(valueOf2) : new String(valueOf);
        }
        this.zzadv = ((PowerManager) context.getSystemService("power")).newWakeLock(i, str);
        if (WorkSourceUtil.hasWorkSourcePermission(context)) {
            Object str32;
            if (Strings.isEmptyOrWhitespace(str32)) {
                str32 = context.getPackageName();
            }
            if (!zzaeh.isWorkChainsEnabled() || str32 == null || str4 == null) {
                this.zzadw = WorkSourceUtil.fromPackage(context, str32);
            } else {
                new StringBuilder((String.valueOf(str32).length() + 42) + String.valueOf(str4).length()).append("Using experimental Pi WorkSource chains: ").append(str32).append(",").append(str4);
                this.zzadx = str32;
                this.zzadw = WorkSourceUtil.fromPackageAndModuleExperimentalPi(context, str32, str4);
            }
            addWorkSource(this.zzadw);
        }
        if (zzaeg == null) {
            zzaeg = PooledExecutorsProvider.getInstance().newSingleThreadScheduledExecutor();
        }
        AppMethodBeat.o(113951);
    }

    public static void setConfiguration(Configuration configuration) {
        zzaeh = configuration;
    }

    private final void zza(WorkSource workSource) {
        AppMethodBeat.i(113970);
        try {
            this.zzadv.setWorkSource(workSource);
            AppMethodBeat.o(113970);
        } catch (ArrayIndexOutOfBoundsException | IllegalArgumentException e) {
            Log.wtf("WakeLock", e.toString());
            AppMethodBeat.o(113970);
        }
    }

    static /* synthetic */ void zza(WakeLock wakeLock, String str, int i) {
        AppMethodBeat.i(113974);
        wakeLock.zzc(str, i);
        AppMethodBeat.o(113974);
    }

    /* JADX WARNING: Missing block: B:15:0x0046, code skipped:
            if (r0 == null) goto L_0x0048;
     */
    /* JADX WARNING: Missing block: B:19:0x004e, code skipped:
            if (r12.zzaee == 0) goto L_0x0050;
     */
    /* JADX WARNING: Missing block: B:20:0x0050, code skipped:
            com.google.android.gms.common.stats.WakeLockTracker.getInstance().registerEvent(r12.zzjp, com.google.android.gms.common.stats.StatsUtils.getEventKey(r12.zzadv, r6), 7, r12.zzadz, r6, r12.zzaeb, r12.zzady, zzdo(), r14);
            r12.zzaee++;
     */
    @android.annotation.SuppressLint({"WakelockTimeout"})
    private final void zza(java.lang.String r13, long r14) {
        /*
        r12 = this;
        r0 = 113957; // 0x1bd25 float:1.59688E-40 double:5.6302E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r0);
        r6 = r12.zzn(r13);
        monitor-enter(r12);
        r0 = r12.zzaed;	 Catch:{ all -> 0x00c5 }
        r0 = r0.isEmpty();	 Catch:{ all -> 0x00c5 }
        if (r0 == 0) goto L_0x0017;
    L_0x0013:
        r0 = r12.zzaee;	 Catch:{ all -> 0x00c5 }
        if (r0 <= 0) goto L_0x0027;
    L_0x0017:
        r0 = r12.zzadv;	 Catch:{ all -> 0x00c5 }
        r0 = r0.isHeld();	 Catch:{ all -> 0x00c5 }
        if (r0 != 0) goto L_0x0027;
    L_0x001f:
        r0 = r12.zzaed;	 Catch:{ all -> 0x00c5 }
        r0.clear();	 Catch:{ all -> 0x00c5 }
        r0 = 0;
        r12.zzaee = r0;	 Catch:{ all -> 0x00c5 }
    L_0x0027:
        r0 = r12.zzaec;	 Catch:{ all -> 0x00c5 }
        if (r0 == 0) goto L_0x0048;
    L_0x002b:
        r0 = r12.zzaed;	 Catch:{ all -> 0x00c5 }
        r0 = r0.get(r6);	 Catch:{ all -> 0x00c5 }
        r0 = (java.lang.Integer[]) r0;	 Catch:{ all -> 0x00c5 }
        if (r0 != 0) goto L_0x00b3;
    L_0x0035:
        r0 = r12.zzaed;	 Catch:{ all -> 0x00c5 }
        r1 = 1;
        r1 = new java.lang.Integer[r1];	 Catch:{ all -> 0x00c5 }
        r2 = 0;
        r3 = 1;
        r3 = java.lang.Integer.valueOf(r3);	 Catch:{ all -> 0x00c5 }
        r1[r2] = r3;	 Catch:{ all -> 0x00c5 }
        r0.put(r6, r1);	 Catch:{ all -> 0x00c5 }
        r0 = 1;
    L_0x0046:
        if (r0 != 0) goto L_0x0050;
    L_0x0048:
        r0 = r12.zzaec;	 Catch:{ all -> 0x00c5 }
        if (r0 != 0) goto L_0x0071;
    L_0x004c:
        r0 = r12.zzaee;	 Catch:{ all -> 0x00c5 }
        if (r0 != 0) goto L_0x0071;
    L_0x0050:
        r1 = com.google.android.gms.common.stats.WakeLockTracker.getInstance();	 Catch:{ all -> 0x00c5 }
        r2 = r12.zzjp;	 Catch:{ all -> 0x00c5 }
        r0 = r12.zzadv;	 Catch:{ all -> 0x00c5 }
        r3 = com.google.android.gms.common.stats.StatsUtils.getEventKey(r0, r6);	 Catch:{ all -> 0x00c5 }
        r4 = 7;
        r5 = r12.zzadz;	 Catch:{ all -> 0x00c5 }
        r7 = r12.zzaeb;	 Catch:{ all -> 0x00c5 }
        r8 = r12.zzady;	 Catch:{ all -> 0x00c5 }
        r9 = r12.zzdo();	 Catch:{ all -> 0x00c5 }
        r10 = r14;
        r1.registerEvent(r2, r3, r4, r5, r6, r7, r8, r9, r10);	 Catch:{ all -> 0x00c5 }
        r0 = r12.zzaee;	 Catch:{ all -> 0x00c5 }
        r0 = r0 + 1;
        r12.zzaee = r0;	 Catch:{ all -> 0x00c5 }
    L_0x0071:
        monitor-exit(r12);	 Catch:{ all -> 0x00c5 }
        r0 = r12.zzadv;
        r0.acquire();
        r0 = 0;
        r0 = (r14 > r0 ? 1 : (r14 == r0 ? 0 : -1));
        if (r0 <= 0) goto L_0x00ac;
    L_0x007d:
        r0 = zzaeg;
        r1 = new com.google.android.gms.stats.zzb;
        r1.<init>(r12);
        r2 = java.util.concurrent.TimeUnit.MILLISECONDS;
        r0.schedule(r1, r14, r2);
        r0 = com.google.android.gms.common.util.PlatformVersion.isAtLeastIceCreamSandwich();
        if (r0 != 0) goto L_0x00ac;
    L_0x008f:
        r0 = r12.zzaec;
        if (r0 == 0) goto L_0x00ac;
    L_0x0093:
        r1 = "WakeLock";
        r2 = "Do not acquire with timeout on reference counted wakeLocks before ICS. wakelock: ";
        r0 = r12.zzadz;
        r0 = java.lang.String.valueOf(r0);
        r3 = r0.length();
        if (r3 == 0) goto L_0x00ce;
    L_0x00a5:
        r0 = r2.concat(r0);
    L_0x00a9:
        android.util.Log.wtf(r1, r0);
    L_0x00ac:
        r0 = 113957; // 0x1bd25 float:1.59688E-40 double:5.6302E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
        return;
    L_0x00b3:
        r1 = 0;
        r2 = 0;
        r2 = r0[r2];	 Catch:{ all -> 0x00c5 }
        r2 = r2.intValue();	 Catch:{ all -> 0x00c5 }
        r2 = r2 + 1;
        r2 = java.lang.Integer.valueOf(r2);	 Catch:{ all -> 0x00c5 }
        r0[r1] = r2;	 Catch:{ all -> 0x00c5 }
        r0 = 0;
        goto L_0x0046;
    L_0x00c5:
        r0 = move-exception;
        monitor-exit(r12);	 Catch:{ all -> 0x00c5 }
        r1 = 113957; // 0x1bd25 float:1.59688E-40 double:5.6302E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
        throw r0;
    L_0x00ce:
        r0 = new java.lang.String;
        r0.<init>(r2);
        goto L_0x00a9;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.gms.stats.WakeLock.zza(java.lang.String, long):void");
    }

    private final void zzb(String str, int i) {
        AppMethodBeat.i(113963);
        this.zzaef.decrementAndGet();
        zzc(str, i);
        AppMethodBeat.o(113963);
    }

    /* JADX WARNING: Missing block: B:8:0x001c, code skipped:
            if (r0 == null) goto L_0x001e;
     */
    /* JADX WARNING: Missing block: B:12:0x0024, code skipped:
            if (r10.zzaee == 1) goto L_0x0026;
     */
    /* JADX WARNING: Missing block: B:13:0x0026, code skipped:
            com.google.android.gms.common.stats.WakeLockTracker.getInstance().registerEvent(r10.zzjp, com.google.android.gms.common.stats.StatsUtils.getEventKey(r10.zzadv, r5), 8, r10.zzadz, r5, r10.zzaeb, r10.zzady, zzdo());
            r10.zzaee--;
     */
    private final void zzc(java.lang.String r11, int r12) {
        /*
        r10 = this;
        r9 = 113964; // 0x1bd2c float:1.59698E-40 double:5.63057E-319;
        r2 = 1;
        r1 = 0;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r9);
        r5 = r10.zzn(r11);
        monitor-enter(r10);
        r0 = r10.zzaec;	 Catch:{ all -> 0x0071 }
        if (r0 == 0) goto L_0x001e;
    L_0x0011:
        r0 = r10.zzaed;	 Catch:{ all -> 0x0071 }
        r0 = r0.get(r5);	 Catch:{ all -> 0x0071 }
        r0 = (java.lang.Integer[]) r0;	 Catch:{ all -> 0x0071 }
        if (r0 != 0) goto L_0x004f;
    L_0x001b:
        r0 = r1;
    L_0x001c:
        if (r0 != 0) goto L_0x0026;
    L_0x001e:
        r0 = r10.zzaec;	 Catch:{ all -> 0x0071 }
        if (r0 != 0) goto L_0x0047;
    L_0x0022:
        r0 = r10.zzaee;	 Catch:{ all -> 0x0071 }
        if (r0 != r2) goto L_0x0047;
    L_0x0026:
        r0 = com.google.android.gms.common.stats.WakeLockTracker.getInstance();	 Catch:{ all -> 0x0071 }
        r1 = r10.zzjp;	 Catch:{ all -> 0x0071 }
        r2 = r10.zzadv;	 Catch:{ all -> 0x0071 }
        r2 = com.google.android.gms.common.stats.StatsUtils.getEventKey(r2, r5);	 Catch:{ all -> 0x0071 }
        r3 = 8;
        r4 = r10.zzadz;	 Catch:{ all -> 0x0071 }
        r6 = r10.zzaeb;	 Catch:{ all -> 0x0071 }
        r7 = r10.zzady;	 Catch:{ all -> 0x0071 }
        r8 = r10.zzdo();	 Catch:{ all -> 0x0071 }
        r0.registerEvent(r1, r2, r3, r4, r5, r6, r7, r8);	 Catch:{ all -> 0x0071 }
        r0 = r10.zzaee;	 Catch:{ all -> 0x0071 }
        r0 = r0 + -1;
        r10.zzaee = r0;	 Catch:{ all -> 0x0071 }
    L_0x0047:
        monitor-exit(r10);	 Catch:{ all -> 0x0071 }
        r10.zzn(r12);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r9);
        return;
    L_0x004f:
        r3 = 0;
        r3 = r0[r3];	 Catch:{ all -> 0x0071 }
        r3 = r3.intValue();	 Catch:{ all -> 0x0071 }
        if (r3 != r2) goto L_0x005f;
    L_0x0058:
        r0 = r10.zzaed;	 Catch:{ all -> 0x0071 }
        r0.remove(r5);	 Catch:{ all -> 0x0071 }
        r0 = r2;
        goto L_0x001c;
    L_0x005f:
        r3 = 0;
        r4 = 0;
        r4 = r0[r4];	 Catch:{ all -> 0x0071 }
        r4 = r4.intValue();	 Catch:{ all -> 0x0071 }
        r4 = r4 + -1;
        r4 = java.lang.Integer.valueOf(r4);	 Catch:{ all -> 0x0071 }
        r0[r3] = r4;	 Catch:{ all -> 0x0071 }
        r0 = r1;
        goto L_0x001c;
    L_0x0071:
        r0 = move-exception;
        monitor-exit(r10);	 Catch:{ all -> 0x0071 }
        com.tencent.matrix.trace.core.AppMethodBeat.o(r9);
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.gms.stats.WakeLock.zzc(java.lang.String, int):void");
    }

    private final List<String> zzdo() {
        AppMethodBeat.i(113952);
        List names = WorkSourceUtil.getNames(this.zzadw);
        if (this.zzadx == null) {
            AppMethodBeat.o(113952);
            return names;
        }
        ArrayList arrayList = new ArrayList(names);
        arrayList.add(this.zzadx);
        AppMethodBeat.o(113952);
        return arrayList;
    }

    private final String zzn(String str) {
        AppMethodBeat.i(113966);
        if (!this.zzaec) {
            str = this.zzaea;
            AppMethodBeat.o(113966);
            return str;
        } else if (TextUtils.isEmpty(str)) {
            str = this.zzaea;
            AppMethodBeat.o(113966);
            return str;
        } else {
            AppMethodBeat.o(113966);
            return str;
        }
    }

    private final void zzn(int i) {
        AppMethodBeat.i(113965);
        if (this.zzadv.isHeld()) {
            try {
                if (VERSION.SDK_INT < 21 || i <= 0) {
                    this.zzadv.release();
                    AppMethodBeat.o(113965);
                    return;
                }
                this.zzadv.release(i);
                AppMethodBeat.o(113965);
                return;
            } catch (RuntimeException e) {
                if (e.getClass().equals(RuntimeException.class)) {
                    String.valueOf(this.zzadz).concat(" was already released!");
                    AppMethodBeat.o(113965);
                    return;
                }
                AppMethodBeat.o(113965);
                throw e;
            }
        }
        AppMethodBeat.o(113965);
    }

    public void acquire() {
        AppMethodBeat.i(113953);
        this.zzaef.incrementAndGet();
        zza(null, 0);
        AppMethodBeat.o(113953);
    }

    public void acquire(long j) {
        AppMethodBeat.i(113954);
        this.zzaef.incrementAndGet();
        zza(null, j);
        AppMethodBeat.o(113954);
    }

    public void acquire(String str) {
        AppMethodBeat.i(113955);
        this.zzaef.incrementAndGet();
        zza(str, 0);
        AppMethodBeat.o(113955);
    }

    public void acquire(String str, long j) {
        AppMethodBeat.i(113956);
        this.zzaef.incrementAndGet();
        zza(str, j);
        AppMethodBeat.o(113956);
    }

    public HeldLock acquireLock(long j, String str) {
        AppMethodBeat.i(113958);
        long min = Math.min(j, zzaeh.getMaximumTimeout(this.zzadz, str));
        HeldLock heldLock = new HeldLock(this, str, null);
        zza(str, 0);
        HeldLock.zza(heldLock, zzaeg.schedule(new zzc(new WeakReference(heldLock)), min, TimeUnit.MILLISECONDS));
        AppMethodBeat.o(113958);
        return heldLock;
    }

    public void addWorkSource(WorkSource workSource) {
        AppMethodBeat.i(113969);
        if (workSource != null && WorkSourceUtil.hasWorkSourcePermission(this.zzjp)) {
            if (this.zzadw != null) {
                this.zzadw.add(workSource);
            } else {
                this.zzadw = workSource;
            }
            zza(this.zzadw);
        }
        AppMethodBeat.o(113969);
    }

    public android.os.PowerManager.WakeLock getWakeLock() {
        return this.zzadv;
    }

    public boolean isHeld() {
        AppMethodBeat.i(113968);
        boolean isHeld = this.zzadv.isHeld();
        AppMethodBeat.o(113968);
        return isHeld;
    }

    public void release() {
        AppMethodBeat.i(113959);
        zzb(null, 0);
        AppMethodBeat.o(113959);
    }

    public void release(int i) {
        AppMethodBeat.i(113960);
        zzb(null, i);
        AppMethodBeat.o(113960);
    }

    public void release(String str) {
        AppMethodBeat.i(113961);
        zzb(str, 0);
        AppMethodBeat.o(113961);
    }

    public void release(String str, int i) {
        AppMethodBeat.i(113962);
        zzb(str, i);
        AppMethodBeat.o(113962);
    }

    public void removeWorkSource(WorkSource workSource) {
        AppMethodBeat.i(113971);
        if (workSource != null && WorkSourceUtil.hasWorkSourcePermission(this.zzjp)) {
            try {
                if (this.zzadw != null) {
                    this.zzadw.remove(workSource);
                }
                zza(this.zzadw);
                AppMethodBeat.o(113971);
                return;
            } catch (ArrayIndexOutOfBoundsException e) {
            }
        }
        AppMethodBeat.o(113971);
    }

    public void setReferenceCounted(boolean z) {
        AppMethodBeat.i(113967);
        this.zzadv.setReferenceCounted(z);
        this.zzaec = z;
        AppMethodBeat.o(113967);
    }

    public void setWorkSource(WorkSource workSource) {
        AppMethodBeat.i(113972);
        if (WorkSourceUtil.hasWorkSourcePermission(this.zzjp)) {
            zza(workSource);
            this.zzadw = workSource;
            this.zzadx = null;
        }
        AppMethodBeat.o(113972);
    }
}
