package com.tencent.mm.modelsfs;

import android.os.Parcel;
import android.os.Parcelable;
import android.os.Parcelable.Creator;
import android.text.TextUtils;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.modelsfs.SFSContext.Builder;
import com.tencent.mm.modelsfs.SFSContext.FileEntry;
import com.tencent.mm.modelsfs.SFSContext.Statistics;
import com.tencent.mm.modelsfs.g.a;
import com.tencent.mm.sdk.platformtools.ab;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.util.ArrayDeque;
import java.util.EnumSet;
import java.util.Map;
import java.util.Map.Entry;
import java.util.TreeMap;
import java.util.concurrent.locks.ReentrantReadWriteLock;

public final class FileOp {
    private static ReentrantReadWriteLock fNT = new ReentrantReadWriteLock();
    private static TreeMap<String, SFSContextRec> fNU = new TreeMap();
    private static String fNV = "";
    private static final EnumSet<a> fNW = EnumSet.of(a.fOf, a.fOg);

    static class SFSContextRec implements Parcelable {
        public static final Creator<SFSContextRec> CREATOR = new 1();
        String fNY;
        String[] fNZ;
        boolean fOa;
        boolean fOb;
        SFSContext fOc;
        Builder fOd;

        public int describeContents() {
            return 0;
        }

        public void writeToParcel(Parcel parcel, int i) {
            AppMethodBeat.i(93177);
            parcel.writeString(this.fNY);
            parcel.writeStringArray(this.fNZ);
            parcel.writeByte((byte) (this.fOa ? 1 : 0));
            parcel.writeParcelable(this.fOd, i);
            AppMethodBeat.o(93177);
        }

        SFSContextRec(Parcel parcel) {
            boolean z;
            AppMethodBeat.i(93178);
            this.fNY = parcel.readString();
            this.fNZ = parcel.createStringArray();
            if (parcel.readByte() != (byte) 0) {
                z = true;
            } else {
                z = false;
            }
            this.fOa = z;
            this.fOc = null;
            this.fOb = false;
            this.fOd = (Builder) parcel.readParcelable(Builder.class.getClassLoader());
            AppMethodBeat.o(93178);
        }

        static {
            AppMethodBeat.i(93179);
            AppMethodBeat.o(93179);
        }
    }

    static {
        AppMethodBeat.i(93199);
        AppMethodBeat.o(93199);
    }

    public static Map<String, Statistics> aiP() {
        AppMethodBeat.i(93180);
        fNT.readLock().lock();
        TreeMap treeMap = new TreeMap();
        for (SFSContextRec sFSContextRec : fNU.values()) {
            if (!(sFSContextRec == null || sFSContextRec.fOb)) {
                if (sFSContextRec.fOc == null) {
                    synchronized (sFSContextRec) {
                        try {
                            if (sFSContextRec.fOc == null) {
                                sFSContextRec.fOc = sFSContextRec.fOd.create();
                            }
                        } catch (Exception e) {
                            ab.e("MicroMsg.FileOp", "Failed to create SFSContext for prefix '%s': %s", new Object[]{sFSContextRec.fNY, e.getMessage()});
                            sFSContextRec.fOb = true;
                        } catch (Throwable th) {
                            AppMethodBeat.o(93180);
                        }
                    }
                }
                SFSContext sFSContext = sFSContextRec.fOc;
                if (sFSContext.mNativePtr == 0) {
                    IllegalArgumentException illegalArgumentException = new IllegalArgumentException("Reuse already released SFSContext.");
                    AppMethodBeat.o(93180);
                    throw illegalArgumentException;
                }
                treeMap.put(sFSContextRec.fOd.mName, SFSContext.nativeStatistics(sFSContext.mNativePtr));
            }
        }
        fNT.readLock().unlock();
        AppMethodBeat.o(93180);
        return treeMap;
    }

    private static boolean a(String str, SFSContextRec sFSContextRec) {
        AppMethodBeat.i(93181);
        if (sFSContextRec.fNZ == null) {
            AppMethodBeat.o(93181);
            return false;
        }
        String substring = str.substring(sFSContextRec.fNY.length());
        int lastIndexOf = substring.lastIndexOf(47);
        if (lastIndexOf == -1) {
            AppMethodBeat.o(93181);
            return false;
        }
        String substring2 = substring.substring(lastIndexOf + 1);
        if (substring2.length() == 0) {
            AppMethodBeat.o(93181);
            return false;
        }
        for (String a : sFSContextRec.fNZ) {
            if (g.a(a, 0, substring2, 0, fNW)) {
                AppMethodBeat.o(93181);
                return true;
            }
        }
        AppMethodBeat.o(93181);
        return false;
    }

    private static boolean ta(String str) {
        boolean z;
        AppMethodBeat.i(93182);
        fNT.readLock().lock();
        Entry floorEntry = fNU.floorEntry(str);
        if (floorEntry != null && str.startsWith((String) floorEntry.getKey())) {
            SFSContextRec sFSContextRec = (SFSContextRec) floorEntry.getValue();
            if (!(sFSContextRec.fOb || a(str, sFSContextRec))) {
                z = false;
                fNT.readLock().unlock();
                AppMethodBeat.o(93182);
                return z;
            }
        }
        z = true;
        fNT.readLock().unlock();
        AppMethodBeat.o(93182);
        return z;
    }

    private static SFSContextRec tb(String str) {
        AppMethodBeat.i(93183);
        fNT.readLock().lock();
        Entry floorEntry = fNU.floorEntry(str);
        if (floorEntry == null) {
            AppMethodBeat.o(93183);
            return null;
        }
        SFSContextRec sFSContextRec;
        if (str.startsWith((String) floorEntry.getKey())) {
            sFSContextRec = (SFSContextRec) floorEntry.getValue();
            if (a(str, sFSContextRec)) {
                sFSContextRec = null;
            }
        } else {
            sFSContextRec = null;
        }
        if (sFSContextRec == null || sFSContextRec.fOb) {
            AppMethodBeat.o(93183);
            return null;
        }
        if (sFSContextRec.fOc == null) {
            synchronized (sFSContextRec) {
                try {
                    if (sFSContextRec.fOc == null) {
                        sFSContextRec.fOc = sFSContextRec.fOd.create();
                    }
                } catch (Exception e) {
                    ab.e("MicroMsg.FileOp", "Failed to create SFSContext for prefix '%s': %s", new Object[]{sFSContextRec.fNY, e.getMessage()});
                    sFSContextRec.fOb = true;
                    AppMethodBeat.o(93183);
                    return null;
                } catch (Throwable th) {
                    while (true) {
                        AppMethodBeat.o(93183);
                    }
                }
            }
        }
        AppMethodBeat.o(93183);
        return sFSContextRec;
    }

    /* JADX WARNING: Exception block dominator not found, dom blocks: [B:8:0x0020, B:22:0x0071] */
    /* JADX WARNING: Missing block: B:20:0x0064, code skipped:
            fNT.readLock().unlock();
            com.tencent.matrix.trace.core.AppMethodBeat.o(93184);
     */
    /* JADX WARNING: Missing block: B:24:0x0082, code skipped:
            r0 = move-exception;
     */
    /* JADX WARNING: Missing block: B:27:0x0085, code skipped:
            if (r1.fOa == false) goto L_0x0087;
     */
    /* JADX WARNING: Missing block: B:28:0x0087, code skipped:
            com.tencent.matrix.trace.core.AppMethodBeat.o(93184);
     */
    /* JADX WARNING: Missing block: B:29:0x008d, code skipped:
            throw r0;
     */
    /* JADX WARNING: Missing block: B:30:0x008e, code skipped:
            r0 = new java.io.FileInputStream(r8);
     */
    @java.lang.Deprecated
    public static java.io.InputStream openRead(java.lang.String r8) {
        /*
        r7 = 93184; // 0x16c00 float:1.30579E-40 double:4.6039E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r7);
        if (r8 == 0) goto L_0x000e;
    L_0x0008:
        r0 = r8.length();
        if (r0 != 0) goto L_0x001a;
    L_0x000e:
        r0 = new java.io.FileNotFoundException;
        r1 = "path == null";
        r0.<init>(r1);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
        throw r0;
    L_0x001a:
        r1 = tb(r8);
        if (r1 != 0) goto L_0x0071;
    L_0x0020:
        r0 = com.tencent.mm.modelsfs.f.th(r8);	 Catch:{ all -> 0x0063 }
        if (r0 == 0) goto L_0x005d;
    L_0x0026:
        r2 = com.tencent.mm.modelsfs.f.tj(r8);	 Catch:{ all -> 0x0063 }
        r4 = com.tencent.mm.modelsfs.f.ti(r8);	 Catch:{ all -> 0x0063 }
        r0 = new com.tencent.mm.modelsfs.b;	 Catch:{ all -> 0x0063 }
        r0.<init>(r4, r2);	 Catch:{ all -> 0x0063 }
    L_0x0033:
        r2 = fNT;
        r2 = r2.readLock();
        r2.unlock();
        r2 = "MicroMsg.FileOp";
        r3 = "openRead: %s [%s, %s]";
        r4 = 3;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r4[r5] = r8;
        r5 = 1;
        r6 = "ok";
        r4[r5] = r6;
        r5 = 2;
        if (r1 != 0) goto L_0x0094;
    L_0x0051:
        r1 = "regular";
    L_0x0054:
        r4[r5] = r1;
        com.tencent.mm.sdk.platformtools.ab.d(r2, r3, r4);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
        return r0;
    L_0x005d:
        r0 = new java.io.FileInputStream;	 Catch:{ all -> 0x0063 }
        r0.<init>(r8);	 Catch:{ all -> 0x0063 }
        goto L_0x0033;
    L_0x0063:
        r0 = move-exception;
        r1 = fNT;
        r1 = r1.readLock();
        r1.unlock();
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
        throw r0;
    L_0x0071:
        r0 = r1.fNY;	 Catch:{ FileNotFoundException -> 0x0082 }
        r0 = r0.length();	 Catch:{ FileNotFoundException -> 0x0082 }
        r0 = r8.substring(r0);	 Catch:{ FileNotFoundException -> 0x0082 }
        r2 = r1.fOc;	 Catch:{ FileNotFoundException -> 0x0082 }
        r0 = r2.openRead(r0);	 Catch:{ FileNotFoundException -> 0x0082 }
        goto L_0x0033;
    L_0x0082:
        r0 = move-exception;
        r2 = r1.fOa;	 Catch:{ all -> 0x0063 }
        if (r2 != 0) goto L_0x008e;
    L_0x0087:
        r1 = 93184; // 0x16c00 float:1.30579E-40 double:4.6039E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);	 Catch:{ all -> 0x0063 }
        throw r0;	 Catch:{ all -> 0x0063 }
    L_0x008e:
        r0 = new java.io.FileInputStream;	 Catch:{ all -> 0x0063 }
        r0.<init>(r8);	 Catch:{ all -> 0x0063 }
        goto L_0x0033;
    L_0x0094:
        r1 = "SFS";
        goto L_0x0054;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.modelsfs.FileOp.openRead(java.lang.String):java.io.InputStream");
    }

    @Deprecated
    private static OutputStream aP(String str, String str2) {
        AppMethodBeat.i(93186);
        if (str == null || str.length() == 0) {
            FileNotFoundException fileNotFoundException = new FileNotFoundException("path == null");
            AppMethodBeat.o(93186);
            throw fileNotFoundException;
        }
        OutputStream fileOutputStream;
        SFSContextRec tb = tb(str);
        if (tb == null) {
            try {
                if (TextUtils.isEmpty(str2)) {
                    fileOutputStream = new FileOutputStream(str);
                } else {
                    fileOutputStream = new c(str, str2);
                }
            } catch (Throwable th) {
                fNT.readLock().unlock();
                AppMethodBeat.o(93186);
            }
        } else {
            fileOutputStream = tb.fOc.aR(str.substring(tb.fNY.length()), str2);
        }
        fNT.readLock().unlock();
        String str3 = "MicroMsg.FileOp";
        String str4 = "openWrite: %s [%s, %s]";
        Object[] objArr = new Object[3];
        objArr[0] = str;
        objArr[1] = "ok";
        objArr[2] = tb == null ? "regular" : "SFS";
        ab.d(str3, str4, objArr);
        AppMethodBeat.o(93186);
        return fileOutputStream;
    }

    /* JADX WARNING: Removed duplicated region for block: B:40:0x00ad A:{SYNTHETIC, Splitter:B:40:0x00ad} */
    /* JADX WARNING: Removed duplicated region for block: B:43:0x00b2 A:{SYNTHETIC, Splitter:B:43:0x00b2} */
    /* JADX WARNING: Removed duplicated region for block: B:26:0x007e A:{SYNTHETIC, Splitter:B:26:0x007e} */
    /* JADX WARNING: Removed duplicated region for block: B:29:0x0083 A:{SYNTHETIC, Splitter:B:29:0x0083} */
    /* JADX WARNING: Removed duplicated region for block: B:40:0x00ad A:{SYNTHETIC, Splitter:B:40:0x00ad} */
    /* JADX WARNING: Removed duplicated region for block: B:43:0x00b2 A:{SYNTHETIC, Splitter:B:43:0x00b2} */
    @java.lang.Deprecated
    public static boolean tc(java.lang.String r9) {
        /*
        r3 = 0;
        r0 = 1;
        r1 = 0;
        r8 = 93187; // 0x16c03 float:1.30583E-40 double:4.60405E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r8);
        if (r9 == 0) goto L_0x0011;
    L_0x000b:
        r2 = r9.length();
        if (r2 != 0) goto L_0x0016;
    L_0x0011:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        r0 = r1;
    L_0x0015:
        return r0;
    L_0x0016:
        r2 = tb(r9);
        if (r2 != 0) goto L_0x0029;
    L_0x001c:
        r1 = fNT;
        r1 = r1.readLock();
        r1.unlock();
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        goto L_0x0015;
    L_0x0029:
        r4 = r2.fNY;	 Catch:{ IOException -> 0x00d3, all -> 0x00a8 }
        r4 = r4.length();	 Catch:{ IOException -> 0x00d3, all -> 0x00a8 }
        r4 = r9.substring(r4);	 Catch:{ IOException -> 0x00d3, all -> 0x00a8 }
        r2 = r2.fOc;	 Catch:{ IOException -> 0x00d3, all -> 0x00a8 }
        r4 = r2.openRead(r4);	 Catch:{ IOException -> 0x00d3, all -> 0x00a8 }
        r2 = new java.io.File;	 Catch:{ IOException -> 0x00d7, all -> 0x00ce }
        r2.<init>(r9);	 Catch:{ IOException -> 0x00d7, all -> 0x00ce }
        r2 = r2.getParent();	 Catch:{ IOException -> 0x00d7, all -> 0x00ce }
        r5 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r2);	 Catch:{ IOException -> 0x00d7, all -> 0x00ce }
        if (r5 != 0) goto L_0x0050;
    L_0x0048:
        r5 = new java.io.File;	 Catch:{ IOException -> 0x00d7, all -> 0x00ce }
        r5.<init>(r2);	 Catch:{ IOException -> 0x00d7, all -> 0x00ce }
        r5.mkdirs();	 Catch:{ IOException -> 0x00d7, all -> 0x00ce }
    L_0x0050:
        r2 = new java.io.FileOutputStream;	 Catch:{ IOException -> 0x00d7, all -> 0x00ce }
        r2.<init>(r9);	 Catch:{ IOException -> 0x00d7, all -> 0x00ce }
        r3 = 1024; // 0x400 float:1.435E-42 double:5.06E-321;
        r3 = new byte[r3];	 Catch:{ IOException -> 0x0065 }
    L_0x0059:
        r5 = r4.read(r3);	 Catch:{ IOException -> 0x0065 }
        r6 = -1;
        if (r5 == r6) goto L_0x0094;
    L_0x0060:
        r6 = 0;
        r2.write(r3, r6, r5);	 Catch:{ IOException -> 0x0065 }
        goto L_0x0059;
    L_0x0065:
        r0 = move-exception;
    L_0x0066:
        r3 = "MicroMsg.FileOp";
        r5 = "Failed export '%s' to native: %s";
        r6 = 2;
        r6 = new java.lang.Object[r6];	 Catch:{ all -> 0x00d1 }
        r7 = 0;
        r6[r7] = r9;	 Catch:{ all -> 0x00d1 }
        r7 = 1;
        r0 = r0.getMessage();	 Catch:{ all -> 0x00d1 }
        r6[r7] = r0;	 Catch:{ all -> 0x00d1 }
        com.tencent.mm.sdk.platformtools.ab.e(r3, r5, r6);	 Catch:{ all -> 0x00d1 }
        if (r4 == 0) goto L_0x0081;
    L_0x007e:
        r4.close();	 Catch:{ IOException -> 0x00c6 }
    L_0x0081:
        if (r2 == 0) goto L_0x0086;
    L_0x0083:
        r2.close();	 Catch:{ IOException -> 0x00c8 }
    L_0x0086:
        r0 = fNT;
        r0 = r0.readLock();
        r0.unlock();
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        r0 = r1;
        goto L_0x0015;
    L_0x0094:
        r4.close();	 Catch:{ IOException -> 0x00c2 }
    L_0x0097:
        r2.close();	 Catch:{ IOException -> 0x00c4 }
    L_0x009a:
        r1 = fNT;
        r1 = r1.readLock();
        r1.unlock();
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        goto L_0x0015;
    L_0x00a8:
        r0 = move-exception;
        r2 = r3;
        r4 = r3;
    L_0x00ab:
        if (r4 == 0) goto L_0x00b0;
    L_0x00ad:
        r4.close();	 Catch:{ IOException -> 0x00ca }
    L_0x00b0:
        if (r2 == 0) goto L_0x00b5;
    L_0x00b2:
        r2.close();	 Catch:{ IOException -> 0x00cc }
    L_0x00b5:
        r1 = fNT;
        r1 = r1.readLock();
        r1.unlock();
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        throw r0;
    L_0x00c2:
        r1 = move-exception;
        goto L_0x0097;
    L_0x00c4:
        r1 = move-exception;
        goto L_0x009a;
    L_0x00c6:
        r0 = move-exception;
        goto L_0x0081;
    L_0x00c8:
        r0 = move-exception;
        goto L_0x0086;
    L_0x00ca:
        r1 = move-exception;
        goto L_0x00b0;
    L_0x00cc:
        r1 = move-exception;
        goto L_0x00b5;
    L_0x00ce:
        r0 = move-exception;
        r2 = r3;
        goto L_0x00ab;
    L_0x00d1:
        r0 = move-exception;
        goto L_0x00ab;
    L_0x00d3:
        r0 = move-exception;
        r2 = r3;
        r4 = r3;
        goto L_0x0066;
    L_0x00d7:
        r0 = move-exception;
        r2 = r3;
        goto L_0x0066;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.modelsfs.FileOp.tc(java.lang.String):boolean");
    }

    @Deprecated
    public static long td(String str) {
        long j = 0;
        AppMethodBeat.i(93188);
        if (str == null) {
            AppMethodBeat.o(93188);
        } else {
            SFSContextRec tb = tb(str);
            String ti;
            if (tb != null) {
                FileEntry tm = tb.fOc.tm(str.substring(tb.fNY.length()));
                if (tm != null) {
                    j = tm.size;
                } else if (tb.fOa) {
                    if (f.th(str)) {
                        ti = f.ti(str);
                    } else {
                        ti = str;
                    }
                    j = new File(ti).length();
                }
            } else {
                if (f.th(str)) {
                    ti = f.ti(str);
                } else {
                    ti = str;
                }
                j = new File(ti).length();
            }
            fNT.readLock().unlock();
            String str2 = "MicroMsg.FileOp";
            String str3 = "readFileLength: %s [%d, %s]";
            Object[] objArr = new Object[3];
            objArr[0] = str;
            objArr[1] = Long.valueOf(j);
            objArr[2] = tb == null ? "regular" : "SFS";
            ab.d(str2, str3, objArr);
            AppMethodBeat.o(93188);
        }
        return j;
    }

    /* JADX WARNING: Removed duplicated region for block: B:16:0x0038 A:{SYNTHETIC, Splitter:B:16:0x0038} */
    /* JADX WARNING: Removed duplicated region for block: B:27:0x0085 A:{SYNTHETIC, Splitter:B:27:0x0085} */
    /* JADX WARNING: Removed duplicated region for block: B:33:0x0090 A:{SYNTHETIC, Splitter:B:33:0x0090} */
    @java.lang.Deprecated
    public static byte[] te(java.lang.String r9) {
        /*
        r0 = 0;
        r8 = 0;
        r7 = 93189; // 0x16c05 float:1.30586E-40 double:4.60415E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r7);
        if (r9 != 0) goto L_0x000e;
    L_0x000a:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
    L_0x000d:
        return r0;
    L_0x000e:
        r3 = new java.io.ByteArrayOutputStream;
        r1 = 2048; // 0x800 float:2.87E-42 double:1.0118E-320;
        r3.<init>(r1);
        r2 = openRead(r9);	 Catch:{ IOException -> 0x005c, all -> 0x008c }
        r1 = 1024; // 0x400 float:1.435E-42 double:5.06E-321;
        r4 = new byte[r1];	 Catch:{ IOException -> 0x00a2 }
        r1 = 2147483647; // 0x7fffffff float:NaN double:1.060997895E-314;
    L_0x0020:
        r5 = 0;
        r6 = 1024; // 0x400 float:1.435E-42 double:5.06E-321;
        r6 = java.lang.Math.min(r1, r6);	 Catch:{ IOException -> 0x00a2 }
        r5 = r2.read(r4, r5, r6);	 Catch:{ IOException -> 0x00a2 }
        r6 = -1;
        if (r5 == r6) goto L_0x0036;
    L_0x002e:
        if (r1 <= 0) goto L_0x0036;
    L_0x0030:
        r6 = 0;
        r3.write(r4, r6, r5);	 Catch:{ IOException -> 0x00a2 }
        r1 = r1 - r5;
        goto L_0x0020;
    L_0x0036:
        if (r2 == 0) goto L_0x003b;
    L_0x0038:
        r2.close();	 Catch:{ IOException -> 0x0097 }
    L_0x003b:
        r0 = r3.toByteArray();
        r3.close();	 Catch:{ IOException -> 0x009d }
    L_0x0042:
        r1 = "MicroMsg.FileOp";
        r2 = "readFromFile: %s [%d]";
        r3 = 2;
        r3 = new java.lang.Object[r3];
        r3[r8] = r9;
        r4 = 1;
        r5 = r0.length;
        r5 = java.lang.Integer.valueOf(r5);
        r3[r4] = r5;
        com.tencent.mm.sdk.platformtools.ab.d(r1, r2, r3);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
        goto L_0x000d;
    L_0x005c:
        r1 = move-exception;
        r2 = r0;
    L_0x005e:
        r3 = "MicroMsg.FileOp";
        r4 = new java.lang.StringBuilder;	 Catch:{ all -> 0x009f }
        r5 = "readFromFile failed: ";
        r4.<init>(r5);	 Catch:{ all -> 0x009f }
        r4 = r4.append(r9);	 Catch:{ all -> 0x009f }
        r5 = ", ";
        r4 = r4.append(r5);	 Catch:{ all -> 0x009f }
        r1 = r1.getMessage();	 Catch:{ all -> 0x009f }
        r1 = r4.append(r1);	 Catch:{ all -> 0x009f }
        r1 = r1.toString();	 Catch:{ all -> 0x009f }
        com.tencent.mm.sdk.platformtools.ab.w(r3, r1);	 Catch:{ all -> 0x009f }
        if (r2 == 0) goto L_0x0088;
    L_0x0085:
        r2.close();	 Catch:{ IOException -> 0x0099 }
    L_0x0088:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
        goto L_0x000d;
    L_0x008c:
        r1 = move-exception;
        r2 = r0;
    L_0x008e:
        if (r2 == 0) goto L_0x0093;
    L_0x0090:
        r2.close();	 Catch:{ IOException -> 0x009b }
    L_0x0093:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
        throw r1;
    L_0x0097:
        r0 = move-exception;
        goto L_0x003b;
    L_0x0099:
        r1 = move-exception;
        goto L_0x0088;
    L_0x009b:
        r0 = move-exception;
        goto L_0x0093;
    L_0x009d:
        r1 = move-exception;
        goto L_0x0042;
    L_0x009f:
        r0 = move-exception;
        r1 = r0;
        goto L_0x008e;
    L_0x00a2:
        r1 = move-exception;
        goto L_0x005e;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.modelsfs.FileOp.te(java.lang.String):byte[]");
    }

    /* JADX WARNING: Removed duplicated region for block: B:16:0x0046 A:{SYNTHETIC, Splitter:B:16:0x0046} */
    @java.lang.Deprecated
    public static java.lang.String cy(java.lang.String r8) {
        /*
        r7 = 93190; // 0x16c06 float:1.30587E-40 double:4.6042E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r7);
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r2 = 0;
        r1 = new java.io.InputStreamReader;	 Catch:{ IOException -> 0x005f, all -> 0x005c }
        r3 = openRead(r8);	 Catch:{ IOException -> 0x005f, all -> 0x005c }
        r1.<init>(r3);	 Catch:{ IOException -> 0x005f, all -> 0x005c }
        r2 = 512; // 0x200 float:7.175E-43 double:2.53E-321;
        r2 = new char[r2];	 Catch:{ IOException -> 0x0025 }
    L_0x0019:
        r3 = r1.read(r2);	 Catch:{ IOException -> 0x0025 }
        r4 = -1;
        if (r3 == r4) goto L_0x004d;
    L_0x0020:
        r4 = 0;
        r0.append(r2, r4, r3);	 Catch:{ IOException -> 0x0025 }
        goto L_0x0019;
    L_0x0025:
        r0 = move-exception;
    L_0x0026:
        r2 = "MicroMsg.FileOp";
        r3 = "readFileAsString(\"%s\" failed: %s";
        r4 = 2;
        r4 = new java.lang.Object[r4];	 Catch:{ all -> 0x0043 }
        r5 = 0;
        r4[r5] = r8;	 Catch:{ all -> 0x0043 }
        r5 = 1;
        r6 = r0.getMessage();	 Catch:{ all -> 0x0043 }
        r4[r5] = r6;	 Catch:{ all -> 0x0043 }
        com.tencent.mm.sdk.platformtools.ab.e(r2, r3, r4);	 Catch:{ all -> 0x0043 }
        r2 = 93190; // 0x16c06 float:1.30587E-40 double:4.6042E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);	 Catch:{ all -> 0x0043 }
        throw r0;	 Catch:{ all -> 0x0043 }
    L_0x0043:
        r0 = move-exception;
    L_0x0044:
        if (r1 == 0) goto L_0x0049;
    L_0x0046:
        r1.close();	 Catch:{ IOException -> 0x005a }
    L_0x0049:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
        throw r0;
    L_0x004d:
        r1.close();	 Catch:{ IOException -> 0x0058 }
    L_0x0050:
        r0 = r0.toString();
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
        return r0;
    L_0x0058:
        r1 = move-exception;
        goto L_0x0050;
    L_0x005a:
        r1 = move-exception;
        goto L_0x0049;
    L_0x005c:
        r0 = move-exception;
        r1 = r2;
        goto L_0x0044;
    L_0x005f:
        r0 = move-exception;
        r1 = r2;
        goto L_0x0026;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.modelsfs.FileOp.cy(java.lang.String):java.lang.String");
    }

    @Deprecated
    public static int q(String str, byte[] bArr) {
        AppMethodBeat.i(93191);
        int b = b(str, bArr, bArr.length);
        AppMethodBeat.o(93191);
        return b;
    }

    @Deprecated
    private static int b(String str, byte[] bArr, int i) {
        AppMethodBeat.i(93192);
        if (bArr == null) {
            AppMethodBeat.o(93192);
            return -2;
        } else if (bArr.length < i + 0) {
            AppMethodBeat.o(93192);
            return -3;
        } else {
            OutputStream outputStream = null;
            try {
                outputStream = pH(str);
                outputStream.write(bArr, 0, i);
                if (outputStream != null) {
                    try {
                        outputStream.close();
                    } catch (IOException e) {
                    }
                }
                AppMethodBeat.o(93192);
                return 0;
            } catch (IOException e2) {
                ab.e("MicroMsg.FileOp", "writeFile '%s' Failed: %s", new Object[]{str, e2.getMessage()});
                if (outputStream != null) {
                    try {
                        outputStream.close();
                    } catch (IOException e3) {
                    }
                }
                AppMethodBeat.o(93192);
                return -1;
            } catch (Throwable th) {
                if (outputStream != null) {
                    try {
                        outputStream.close();
                    } catch (IOException e4) {
                    }
                }
                AppMethodBeat.o(93192);
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:19:0x0058  */
    /* JADX WARNING: Removed duplicated region for block: B:18:0x0054  */
    @java.lang.Deprecated
    public static boolean tf(java.lang.String r6) {
        /*
        r1 = 0;
        r2 = 1;
        r5 = 93193; // 0x16c09 float:1.30591E-40 double:4.60435E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r5);
        if (r6 == 0) goto L_0x0010;
    L_0x000a:
        r0 = r6.length();
        if (r0 != 0) goto L_0x0015;
    L_0x0010:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
        r2 = r1;
    L_0x0014:
        return r2;
    L_0x0015:
        r3 = com.tencent.mm.modelsfs.f.ti(r6);
        r0 = fNT;
        r0 = r0.readLock();
        r0.lock();
        r0 = fNU;
        r4 = r0.floorEntry(r3);
        if (r4 == 0) goto L_0x0075;
    L_0x002a:
        r0 = r4.getKey();
        r0 = (java.lang.String) r0;
        r0 = r3.startsWith(r0);
        if (r0 == 0) goto L_0x0075;
    L_0x0036:
        r0 = r4.getValue();
        r0 = (com.tencent.mm.modelsfs.FileOp.SFSContextRec) r0;
        r4 = r0.fOb;
        if (r4 != 0) goto L_0x0075;
    L_0x0040:
        r4 = r0.fNZ;
        if (r4 != 0) goto L_0x0075;
    L_0x0044:
        r0 = r0.fOa;
        if (r0 != 0) goto L_0x0075;
    L_0x0048:
        r0 = r1;
    L_0x0049:
        r1 = fNT;
        r1 = r1.readLock();
        r1.unlock();
        if (r0 != 0) goto L_0x0058;
    L_0x0054:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
        goto L_0x0014;
    L_0x0058:
        r0 = new java.io.File;
        r0.<init>(r3);
        r1 = r0.exists();
        if (r1 == 0) goto L_0x006d;
    L_0x0063:
        r1 = r0.isDirectory();
        if (r1 == 0) goto L_0x006d;
    L_0x0069:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
        goto L_0x0014;
    L_0x006d:
        r2 = r0.mkdirs();
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
        goto L_0x0014;
    L_0x0075:
        r0 = r2;
        goto L_0x0049;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.modelsfs.FileOp.tf(java.lang.String):boolean");
    }

    /* JADX WARNING: Removed duplicated region for block: B:32:0x0077 A:{SYNTHETIC, Splitter:B:32:0x0077} */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x007c A:{SYNTHETIC, Splitter:B:35:0x007c} */
    /* JADX WARNING: Removed duplicated region for block: B:41:0x008a A:{SYNTHETIC, Splitter:B:41:0x008a} */
    /* JADX WARNING: Removed duplicated region for block: B:44:0x008f A:{SYNTHETIC, Splitter:B:44:0x008f} */
    /* JADX WARNING: Removed duplicated region for block: B:41:0x008a A:{SYNTHETIC, Splitter:B:41:0x008a} */
    /* JADX WARNING: Removed duplicated region for block: B:44:0x008f A:{SYNTHETIC, Splitter:B:44:0x008f} */
    /* JADX WARNING: Removed duplicated region for block: B:41:0x008a A:{SYNTHETIC, Splitter:B:41:0x008a} */
    /* JADX WARNING: Removed duplicated region for block: B:44:0x008f A:{SYNTHETIC, Splitter:B:44:0x008f} */
    @java.lang.Deprecated
    public static long y(java.lang.String r9, java.lang.String r10) {
        /*
        r2 = 0;
        r8 = 93194; // 0x16c0a float:1.30593E-40 double:4.6044E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r8);
        if (r9 == 0) goto L_0x0017;
    L_0x0009:
        r0 = r9.length();
        if (r0 == 0) goto L_0x0017;
    L_0x000f:
        if (r10 == 0) goto L_0x0017;
    L_0x0011:
        r0 = r10.length();
        if (r0 != 0) goto L_0x001d;
    L_0x0017:
        r0 = -1;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
    L_0x001c:
        return r0;
    L_0x001d:
        r0 = 0;
        r3 = openRead(r9);	 Catch:{ IOException -> 0x0059, all -> 0x0085 }
        r2 = pH(r10);	 Catch:{ IOException -> 0x00aa, all -> 0x00a2 }
        r4 = 1024; // 0x400 float:1.435E-42 double:5.06E-321;
        r4 = new byte[r4];	 Catch:{ IOException -> 0x00ad, all -> 0x00a5 }
    L_0x002b:
        r5 = r3.read(r4);	 Catch:{ IOException -> 0x00ad, all -> 0x00a5 }
        r6 = -1;
        if (r5 == r6) goto L_0x0039;
    L_0x0032:
        r6 = 0;
        r2.write(r4, r6, r5);	 Catch:{ IOException -> 0x00ad, all -> 0x00a5 }
        r6 = (long) r5;	 Catch:{ IOException -> 0x00ad, all -> 0x00a5 }
        r0 = r0 + r6;
        goto L_0x002b;
    L_0x0039:
        r4 = "MicroMsg.FileOp";
        r5 = "copyFile: %s -> %s";
        r6 = 2;
        r6 = new java.lang.Object[r6];	 Catch:{ IOException -> 0x00ad, all -> 0x00a5 }
        r7 = 0;
        r6[r7] = r9;	 Catch:{ IOException -> 0x00ad, all -> 0x00a5 }
        r7 = 1;
        r6[r7] = r10;	 Catch:{ IOException -> 0x00ad, all -> 0x00a5 }
        com.tencent.mm.sdk.platformtools.ab.d(r4, r5, r6);	 Catch:{ IOException -> 0x00ad, all -> 0x00a5 }
        if (r3 == 0) goto L_0x0050;
    L_0x004d:
        r3.close();	 Catch:{ IOException -> 0x0096 }
    L_0x0050:
        if (r2 == 0) goto L_0x0055;
    L_0x0052:
        r2.close();	 Catch:{ IOException -> 0x0098 }
    L_0x0055:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        goto L_0x001c;
    L_0x0059:
        r0 = move-exception;
        r1 = r2;
        r3 = r2;
    L_0x005c:
        r2 = "MicroMsg.FileOp";
        r4 = "copyFile '%s' -> '%s' failed: %s";
        r5 = 3;
        r5 = new java.lang.Object[r5];	 Catch:{ all -> 0x00a8 }
        r6 = 0;
        r5[r6] = r9;	 Catch:{ all -> 0x00a8 }
        r6 = 1;
        r5[r6] = r10;	 Catch:{ all -> 0x00a8 }
        r6 = 2;
        r0 = r0.getMessage();	 Catch:{ all -> 0x00a8 }
        r5[r6] = r0;	 Catch:{ all -> 0x00a8 }
        com.tencent.mm.sdk.platformtools.ab.e(r2, r4, r5);	 Catch:{ all -> 0x00a8 }
        if (r3 == 0) goto L_0x007a;
    L_0x0077:
        r3.close();	 Catch:{ IOException -> 0x009a }
    L_0x007a:
        if (r1 == 0) goto L_0x007f;
    L_0x007c:
        r1.close();	 Catch:{ IOException -> 0x009c }
    L_0x007f:
        r0 = -1;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        goto L_0x001c;
    L_0x0085:
        r0 = move-exception;
        r1 = r2;
        r3 = r2;
    L_0x0088:
        if (r3 == 0) goto L_0x008d;
    L_0x008a:
        r3.close();	 Catch:{ IOException -> 0x009e }
    L_0x008d:
        if (r1 == 0) goto L_0x0092;
    L_0x008f:
        r1.close();	 Catch:{ IOException -> 0x00a0 }
    L_0x0092:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        throw r0;
    L_0x0096:
        r3 = move-exception;
        goto L_0x0050;
    L_0x0098:
        r2 = move-exception;
        goto L_0x0055;
    L_0x009a:
        r0 = move-exception;
        goto L_0x007a;
    L_0x009c:
        r0 = move-exception;
        goto L_0x007f;
    L_0x009e:
        r2 = move-exception;
        goto L_0x008d;
    L_0x00a0:
        r1 = move-exception;
        goto L_0x0092;
    L_0x00a2:
        r0 = move-exception;
        r1 = r2;
        goto L_0x0088;
    L_0x00a5:
        r0 = move-exception;
        r1 = r2;
        goto L_0x0088;
    L_0x00a8:
        r0 = move-exception;
        goto L_0x0088;
    L_0x00aa:
        r0 = move-exception;
        r1 = r2;
        goto L_0x005c;
    L_0x00ad:
        r0 = move-exception;
        r1 = r2;
        goto L_0x005c;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.modelsfs.FileOp.y(java.lang.String, java.lang.String):long");
    }

    @Deprecated
    public static boolean ct(String str) {
        AppMethodBeat.i(93195);
        if (str == null || str.length() == 0) {
            AppMethodBeat.o(93195);
            return false;
        }
        boolean exists;
        SFSContextRec tb = tb(str);
        if (tb != null) {
            exists = tb.fOc.exists(str.substring(tb.fNY.length()));
            if (!exists && tb.fOa) {
                exists = new File(str).exists();
            }
        } else {
            exists = new File(str).exists();
        }
        fNT.readLock().unlock();
        String str2 = "MicroMsg.FileOp";
        String str3 = "fileExists: %s [%b, %s]";
        Object[] objArr = new Object[3];
        objArr[0] = str;
        objArr[1] = Boolean.valueOf(exists);
        objArr[2] = tb == null ? "regular" : "SFS";
        ab.d(str2, str3, objArr);
        AppMethodBeat.o(93195);
        return exists;
    }

    @Deprecated
    public static boolean deleteFile(String str) {
        AppMethodBeat.i(93196);
        if (str == null || str.length() == 0) {
            AppMethodBeat.o(93196);
            return false;
        }
        boolean pI;
        SFSContextRec tb = tb(str);
        String ti;
        if (tb != null) {
            pI = tb.fOc.pI(str.substring(tb.fNY.length()));
            if (!pI && tb.fOa) {
                if (f.th(str)) {
                    ti = f.ti(str);
                } else {
                    ti = str;
                }
                pI = new File(ti).delete();
            }
        } else {
            if (f.th(str)) {
                ti = f.ti(str);
            } else {
                ti = str;
            }
            pI = new File(ti).delete();
        }
        fNT.readLock().unlock();
        String str2 = "MicroMsg.FileOp";
        String str3 = "deleteFile: %s [%b, %s]";
        Object[] objArr = new Object[3];
        objArr[0] = str;
        objArr[1] = Boolean.valueOf(pI);
        objArr[2] = tb == null ? "regular" : "SFS";
        ab.d(str2, str3, objArr);
        AppMethodBeat.o(93196);
        return pI;
    }

    @Deprecated
    public static boolean aQ(String str, String str2) {
        AppMethodBeat.i(93197);
        if (str == null || str2 == null || str.length() == 0 || str2.length() == 0) {
            AppMethodBeat.o(93197);
            return false;
        }
        if (ta(str) && ta(str2)) {
            if (f.th(str)) {
                str = f.ti(str);
            }
            if (f.th(str2)) {
                str2 = f.ti(str2);
            }
            if (new File(str).renameTo(new File(str2))) {
                AppMethodBeat.o(93197);
                return true;
            }
        }
        if (y(str, str2) < 0) {
            AppMethodBeat.o(93197);
            return false;
        }
        deleteFile(str);
        AppMethodBeat.o(93197);
        return true;
    }

    @Deprecated
    public static boolean tg(String str) {
        AppMethodBeat.i(93198);
        if (str == null || str.length() == 0) {
            AppMethodBeat.o(93198);
            return false;
        }
        boolean z;
        SFSContextRec tb = tb(str);
        if (tb != null) {
            IOException iOException;
            try {
                if (str.equals(tb.fNY)) {
                    SFSContext sFSContext = tb.fOc;
                    if (sFSContext.mNativePtr == 0) {
                        IllegalArgumentException illegalArgumentException = new IllegalArgumentException("Reuse already released SFSContext.");
                        AppMethodBeat.o(93198);
                        throw illegalArgumentException;
                    } else if (SFSContext.nativeClear(sFSContext.mNativePtr) != 0) {
                        iOException = new IOException(SFSContext.nativeErrorMessage());
                        AppMethodBeat.o(93198);
                        throw iOException;
                    }
                }
                for (FileEntry fileEntry : tb.fOc.tl(str.substring(tb.fNY.length()))) {
                    tb.fOc.pI(fileEntry.name);
                }
                z = true;
            } catch (IOException iOException2) {
                ab.printErrStackTrace("MicroMsg.FileOp", iOException2, "deleteDirIncludedFiles failed: ".concat(String.valueOf(str)), new Object[0]);
                z = false;
            }
        } else {
            File file = new File(str);
            ArrayDeque arrayDeque = new ArrayDeque();
            arrayDeque.add(new a(file));
            do {
                a aVar = (a) arrayDeque.getLast();
                if (aVar.fNX == null) {
                    aVar.fNX = aVar.dir.listFiles();
                }
                if (aVar.fNX != null) {
                    File[] fileArr = aVar.fNX;
                    for (int i = aVar.pos; i < fileArr.length; i++) {
                        File file2 = fileArr[i];
                        if (file2.isFile()) {
                            file2.delete();
                        } else if (file2.isDirectory()) {
                            aVar.pos = i;
                            arrayDeque.add(new a(file2));
                            break;
                        }
                    }
                    arrayDeque.removeLast();
                }
            } while (!arrayDeque.isEmpty());
            z = true;
        }
        fNT.readLock().unlock();
        AppMethodBeat.o(93198);
        return z;
    }

    @Deprecated
    public static OutputStream pH(String str) {
        AppMethodBeat.i(93185);
        if (str == null || str.length() == 0) {
            FileNotFoundException fileNotFoundException = new FileNotFoundException("path == null");
            AppMethodBeat.o(93185);
            throw fileNotFoundException;
        }
        String str2 = "";
        if (f.th(str)) {
            str2 = f.tk(str);
            str = f.ti(str);
        }
        OutputStream aP = aP(str, str2);
        AppMethodBeat.o(93185);
        return aP;
    }
}
