package com.tencent.mm.plugin.appbrand.jsapi.coverview;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Paint.Style;
import android.graphics.Path;
import android.graphics.Path.Direction;
import android.graphics.RectF;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup.LayoutParams;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.appbrand.jsapi.container.AppBrandNativeContainerView;
import com.tencent.mm.plugin.appbrand.jsapi.s.f;

public class CoverViewContainer extends AppBrandNativeContainerView implements f {
    private View aph;
    private int eHE;
    private float hIW;
    private int hIX;
    private Paint hIY = new Paint();
    private float nJ;

    public CoverViewContainer(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        AppMethodBeat.i(91049);
        init();
        AppMethodBeat.o(91049);
    }

    public CoverViewContainer(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        AppMethodBeat.i(91050);
        init();
        AppMethodBeat.o(91050);
    }

    public void setTargetView(View view) {
        AppMethodBeat.i(91051);
        this.aph = view;
        super.addView(view, 0, new LayoutParams(-1, -1));
        AppMethodBeat.o(91051);
    }

    public CoverViewContainer(Context context, View view) {
        super(context);
        AppMethodBeat.i(91052);
        setTargetView(view);
        init();
        AppMethodBeat.o(91052);
    }

    private void init() {
        AppMethodBeat.i(91053);
        this.hIY.setStyle(Style.STROKE);
        this.hIY.setAntiAlias(true);
        setWillNotDraw(false);
        AppMethodBeat.o(91053);
    }

    public void draw(Canvas canvas) {
        Object obj;
        float f = 0.0f;
        AppMethodBeat.i(91054);
        Object obj2 = this.hIW > 0.0f ? 1 : null;
        if (obj2 != null) {
            canvas.save();
            Path path = new Path();
            path.addRoundRect(new RectF(0.0f, 0.0f, (float) getWidth(), (float) getHeight()), this.hIW, this.hIW, Direction.CW);
            canvas.clipPath(path);
        }
        if (this.eHE != 0) {
            canvas.drawColor(this.eHE);
        }
        if (this.nJ > 0.0f) {
            float f2 = this.nJ / 2.0f;
            canvas.drawRoundRect(new RectF(f2, f2, ((float) getWidth()) - f2, ((float) getHeight()) - f2), this.hIW, this.hIW, this.hIY);
            if (obj2 != null) {
                canvas.restore();
            }
            canvas.save();
            Path path2 = new Path();
            if (this.hIW > 0.0f && this.hIW - this.nJ > 0.0f) {
                f = this.hIW - this.nJ;
            }
            path2.addRoundRect(new RectF(this.nJ, this.nJ, ((float) getWidth()) - this.nJ, ((float) getHeight()) - this.nJ), f, f, Direction.CW);
            canvas.clipPath(path2);
            obj = 1;
        } else {
            obj = obj2;
        }
        super.draw(canvas);
        if (obj != null) {
            canvas.restore();
        }
        AppMethodBeat.o(91054);
    }

    public final <T> T ah(Class<T> cls) {
        AppMethodBeat.i(91055);
        try {
            if (cls.isAssignableFrom(this.aph.getClass())) {
                View view = this.aph;
                AppMethodBeat.o(91055);
                return view;
            }
        } catch (Exception e) {
        }
        AppMethodBeat.o(91055);
        return null;
    }

    public void addView(View view, int i) {
        AppMethodBeat.i(91056);
        if (i < 0) {
            i = 0;
        } else if (i > getChildCount() - 1) {
            i = getChildCount() - 1;
        }
        super.addView(view, i + 1);
        AppMethodBeat.o(91056);
    }

    public void addView(View view, int i, LayoutParams layoutParams) {
        AppMethodBeat.i(91057);
        if (i < 0) {
            i = 0;
        } else if (i > getChildCount() - 1) {
            i = getChildCount() - 1;
        }
        super.addView(view, i + 1, layoutParams);
        AppMethodBeat.o(91057);
    }

    public void setBorderRadius(float f) {
        this.hIW = f;
    }

    public void setBorderColor(int i) {
        AppMethodBeat.i(91058);
        this.hIX = i;
        this.hIY.setColor(i);
        AppMethodBeat.o(91058);
    }

    public void setBorderWidth(float f) {
        AppMethodBeat.i(91059);
        this.nJ = f;
        this.hIY.setStrokeWidth(f);
        AppMethodBeat.o(91059);
    }

    public void setBgColor(int i) {
        this.eHE = i;
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:0x0054  */
    /* JADX WARNING: Removed duplicated region for block: B:12:0x0054  */
    /* JADX WARNING: Removed duplicated region for block: B:12:0x0054  */
    /* JADX WARNING: Removed duplicated region for block: B:12:0x0054  */
    public boolean dispatchTouchEvent(android.view.MotionEvent r14) {
        /*
        r13 = this;
        r12 = 91060; // 0x163b4 float:1.27602E-40 double:4.49896E-319;
        r0 = 0;
        r10 = 4611686018427387904; // 0x4000000000000000 float:0.0 double:2.0;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r12);
        r1 = r14.getActionMasked();
        if (r1 != 0) goto L_0x00c2;
    L_0x000f:
        r1 = r14.getX();
        r2 = r14.getY();
        r3 = r13.hIW;
        r4 = 0;
        r3 = (r3 > r4 ? 1 : (r3 == r4 ? 0 : -1));
        if (r3 <= 0) goto L_0x00c0;
    L_0x001e:
        r3 = r13.hIW;
        r4 = (double) r3;
        r4 = java.lang.Math.pow(r4, r10);
        r3 = r13.getWidth();
        r3 = (float) r3;
        r6 = r13.getHeight();
        r6 = (float) r6;
        r7 = r13.hIW;
        r7 = (r1 > r7 ? 1 : (r1 == r7 ? 0 : -1));
        if (r7 >= 0) goto L_0x0079;
    L_0x0035:
        r3 = r13.hIW;
        r3 = (r2 > r3 ? 1 : (r2 == r3 ? 0 : -1));
        if (r3 >= 0) goto L_0x0058;
    L_0x003b:
        r3 = r13.hIW;
        r1 = r3 - r1;
        r6 = (double) r1;
        r6 = java.lang.Math.pow(r6, r10);
        r1 = r13.hIW;
        r1 = r1 - r2;
        r2 = (double) r1;
        r2 = java.lang.Math.pow(r2, r10);
        r2 = r2 + r6;
        r1 = (r2 > r4 ? 1 : (r2 == r4 ? 0 : -1));
        if (r1 <= 0) goto L_0x00c0;
    L_0x0051:
        r1 = r0;
    L_0x0052:
        if (r1 != 0) goto L_0x00c2;
    L_0x0054:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r12);
    L_0x0057:
        return r0;
    L_0x0058:
        r3 = r13.hIW;
        r3 = r6 - r3;
        r3 = (r2 > r3 ? 1 : (r2 == r3 ? 0 : -1));
        if (r3 <= 0) goto L_0x00c0;
    L_0x0060:
        r3 = r13.hIW;
        r1 = r3 - r1;
        r8 = (double) r1;
        r8 = java.lang.Math.pow(r8, r10);
        r1 = r13.hIW;
        r1 = r1 + r2;
        r1 = r1 - r6;
        r2 = (double) r1;
        r2 = java.lang.Math.pow(r2, r10);
        r2 = r2 + r8;
        r1 = (r2 > r4 ? 1 : (r2 == r4 ? 0 : -1));
        if (r1 <= 0) goto L_0x00c0;
    L_0x0077:
        r1 = r0;
        goto L_0x0052;
    L_0x0079:
        r7 = r13.hIW;
        r7 = r3 - r7;
        r7 = (r1 > r7 ? 1 : (r1 == r7 ? 0 : -1));
        if (r7 <= 0) goto L_0x00c0;
    L_0x0081:
        r7 = r13.hIW;
        r7 = (r2 > r7 ? 1 : (r2 == r7 ? 0 : -1));
        if (r7 >= 0) goto L_0x009f;
    L_0x0087:
        r6 = r13.hIW;
        r1 = r1 + r6;
        r1 = r1 - r3;
        r6 = (double) r1;
        r6 = java.lang.Math.pow(r6, r10);
        r1 = r13.hIW;
        r1 = r1 - r2;
        r2 = (double) r1;
        r2 = java.lang.Math.pow(r2, r10);
        r2 = r2 + r6;
        r1 = (r2 > r4 ? 1 : (r2 == r4 ? 0 : -1));
        if (r1 <= 0) goto L_0x00c0;
    L_0x009d:
        r1 = r0;
        goto L_0x0052;
    L_0x009f:
        r7 = r13.hIW;
        r7 = r6 - r7;
        r7 = (r2 > r7 ? 1 : (r2 == r7 ? 0 : -1));
        if (r7 <= 0) goto L_0x00c0;
    L_0x00a7:
        r7 = r13.hIW;
        r1 = r1 + r7;
        r1 = r1 - r3;
        r8 = (double) r1;
        r8 = java.lang.Math.pow(r8, r10);
        r1 = r13.hIW;
        r1 = r1 + r2;
        r1 = r1 - r6;
        r2 = (double) r1;
        r2 = java.lang.Math.pow(r2, r10);
        r2 = r2 + r8;
        r1 = (r2 > r4 ? 1 : (r2 == r4 ? 0 : -1));
        if (r1 <= 0) goto L_0x00c0;
    L_0x00be:
        r1 = r0;
        goto L_0x0052;
    L_0x00c0:
        r1 = 1;
        goto L_0x0052;
    L_0x00c2:
        r0 = super.dispatchTouchEvent(r14);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r12);
        goto L_0x0057;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.appbrand.jsapi.coverview.CoverViewContainer.dispatchTouchEvent(android.view.MotionEvent):boolean");
    }
}
