package com.tencent.mm.plugin.appbrand.jsapi.websocket;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.appbrand.jsapi.websocket.e.a;
import com.tencent.mm.plugin.appbrand.l.j;
import com.tencent.mm.plugin.appbrand.t.e.d;
import com.tencent.mm.plugin.appbrand.t.e.e;
import com.tencent.mm.plugin.appbrand.t.e.f;
import com.tencent.mm.sdk.platformtools.ab;
import java.io.UnsupportedEncodingException;
import java.net.Socket;
import java.net.URI;
import java.nio.ByteBuffer;
import java.util.ArrayList;
import java.util.Map;
import java.util.Map.Entry;
import java.util.Timer;
import javax.net.ssl.X509TrustManager;

public final class b implements e {
    private String hvr;
    private String ibQ;
    private URI ibR;
    private ArrayList ibS = new ArrayList();
    private ArrayList ibT = new ArrayList();
    private WssConfig ibU;
    private int ibV = -1;
    private ArrayList<String> ibW;
    private a ibX;
    private WcWss.a ibY;
    private a ibZ = a.icb;
    private Map<String, String> mHeaders;
    private Timer mTimer = null;
    private X509TrustManager mTrustManager;
    private String mUrl;

    public b(String str, String str2, URI uri, Map<String, String> map, WssConfig wssConfig, ArrayList<String> arrayList, com.tencent.mm.plugin.appbrand.l.a aVar) {
        AppMethodBeat.i(108107);
        this.ibQ = str;
        this.mUrl = str2;
        this.ibR = uri;
        this.mHeaders = map;
        this.ibU = wssConfig;
        this.ibW = arrayList;
        this.mTrustManager = j.b(aVar);
        if (this.mHeaders == null) {
            ab.e("MicroMsg.AppBrandWcWssSocket", "header is null");
            AppMethodBeat.o(108107);
            return;
        }
        for (Entry entry : this.mHeaders.entrySet()) {
            this.ibS.add(entry.getKey());
            this.ibT.add(entry.getValue());
        }
        AppMethodBeat.o(108107);
    }

    public final void a(a aVar) {
        AppMethodBeat.i(108108);
        ab.i("MicroMsg.AppBrandWcWssSocket", "setCallBack");
        this.ibX = aVar;
        this.ibY = new 1(this);
        AppMethodBeat.o(108108);
    }

    public final String aBA() {
        return this.hvr;
    }

    public final void BT(String str) {
        this.hvr = str;
    }

    public final Timer aGo() {
        return this.mTimer;
    }

    public final void a(Timer timer) {
        this.mTimer = timer;
    }

    public final void close() {
        AppMethodBeat.i(108109);
        ab.i("MicroMsg.AppBrandWcWssSocket", "close");
        bk("default_close", 1000);
        AppMethodBeat.o(108109);
    }

    public final void bk(String str, int i) {
        AppMethodBeat.i(108110);
        ab.i("MicroMsg.AppBrandWcWssSocket", "close reason:%s,code:%s", new Object[]{str, Integer.valueOf(i)});
        if (this.ibV < 0) {
            this.ibX.zJ("error socket id");
            AppMethodBeat.o(108110);
            return;
        }
        if (!(this.ibZ == a.ice || this.ibZ == a.icf)) {
            this.ibZ = a.ice;
        }
        WcWss.closeSocket(this.ibQ, this.ibV, i, str);
        AppMethodBeat.o(108110);
    }

    public final boolean isOpen() {
        return this.ibZ == a.icd;
    }

    public final void BU(String str) {
        AppMethodBeat.i(108111);
        ab.i("MicroMsg.AppBrandWcWssSocket", "send text");
        if (this.ibV < 0) {
            this.ibX.zJ("error socket id");
            AppMethodBeat.o(108111);
            return;
        }
        try {
            ByteBuffer wrap = ByteBuffer.wrap(str.getBytes("UTF8"));
            byte[] bArr = new byte[wrap.remaining()];
            wrap.get(bArr);
            WcWss.sendBuffer(this.ibQ, this.ibV, bArr, true);
            AppMethodBeat.o(108111);
        } catch (UnsupportedEncodingException e) {
            ab.printErrStackTrace("MicroMsg.AppBrandWcWssSocket", e, "unsupport encoding UnsupportedEncodingException", new Object[0]);
            this.ibX.zJ("unsupport encoding");
            AppMethodBeat.o(108111);
        }
    }

    public final void p(ByteBuffer byteBuffer) {
        AppMethodBeat.i(108112);
        ab.i("MicroMsg.AppBrandWcWssSocket", "send bytes");
        if (this.ibV < 0) {
            this.ibX.zJ("error socket id");
            AppMethodBeat.o(108112);
            return;
        }
        byte[] bArr = new byte[byteBuffer.remaining()];
        byteBuffer.get(bArr);
        WcWss.sendBuffer(this.ibQ, this.ibV, bArr, false);
        AppMethodBeat.o(108112);
    }

    public final void connect() {
        AppMethodBeat.i(108113);
        ab.i("MicroMsg.AppBrandWcWssSocket", "connect");
        if (this.mHeaders == null) {
            this.ibX.zJ("header is null");
            AppMethodBeat.o(108113);
            return;
        }
        this.ibV = WcWss.a(this.ibY, this.ibQ, this.mUrl, this.ibS.toArray(), this.ibT.toArray(), this.ibU, this.ibW.toArray());
        if (this.ibV < 0) {
            this.ibX.zJ("call connect fail code:" + this.ibV);
        }
        ab.i("MicroMsg.AppBrandWcWssSocket", "connect mWcWssId:%s", new Object[]{Integer.valueOf(this.ibV)});
        AppMethodBeat.o(108113);
    }

    public final void setTcpNoDelay(boolean z) {
    }

    public final void a(Socket socket) {
    }

    public final Socket getSocket() {
        return null;
    }

    static /* synthetic */ f a(b bVar, int i, String[] strArr, String[] strArr2) {
        int i2 = 0;
        AppMethodBeat.i(108114);
        if (i == 1) {
            String path = bVar.ibR.getPath();
            String query = bVar.ibR.getQuery();
            if (path == null || path.length() == 0) {
                path = "/";
            }
            if (query != null) {
                path = path + "?" + query;
            }
            int port = bVar.ibR.getPort();
            if (port == -1) {
                String scheme = bVar.ibR.getScheme();
                if (scheme.equals("wss")) {
                    port = 443;
                } else if (scheme.equals("ws")) {
                    port = 80;
                } else {
                    ab.e("MicroMsg.AppBrandWcWssSocket", "getPort unkonow scheme:%s", new Object[]{scheme});
                }
            }
            if (port == -1 || port == 80) {
                query = bVar.ibR.getHost();
            } else {
                query = bVar.ibR.getHost() + ":" + port;
            }
            d dVar = new d();
            dVar.Eo(path);
            dVar.put("Host", query);
            if (strArr == null || strArr2 == null) {
                ab.i("MicroMsg.AppBrandWcWssSocket", "buildHandshake header args is null type:%s", new Object[]{Integer.valueOf(i)});
                if (bVar.mHeaders != null) {
                    for (Entry entry : bVar.mHeaders.entrySet()) {
                        dVar.put((String) entry.getKey(), (String) entry.getValue());
                    }
                } else {
                    ab.w("MicroMsg.AppBrandWcWssSocket", "buildHandshake mHeaders is null type:%s", new Object[]{Integer.valueOf(i)});
                }
            } else if (strArr.length == strArr2.length) {
                for (int i3 = 0; i3 < strArr.length; i3++) {
                    dVar.put(strArr[i3], strArr2[i3]);
                }
                ab.i("MicroMsg.AppBrandWcWssSocket", "buildHandshake headerKey.length:%s, type:%s", new Object[]{Integer.valueOf(strArr.length), Integer.valueOf(i)});
            } else {
                ab.w("MicroMsg.AppBrandWcWssSocket", "buildHandshake headerKey != headerValue type:%s", new Object[]{Integer.valueOf(i)});
            }
            AppMethodBeat.o(108114);
            return dVar;
        } else if (i == 2) {
            f eVar = new e();
            if (strArr == null || strArr2 == null) {
                ab.w("MicroMsg.AppBrandWcWssSocket", "buildHandshake header args is null type:%s", new Object[]{Integer.valueOf(i)});
            } else if (strArr.length == strArr2.length) {
                while (i2 < strArr.length) {
                    eVar.put(strArr[i2], strArr2[i2]);
                    i2++;
                }
            } else {
                ab.w("MicroMsg.AppBrandWcWssSocket", "buildHandshake headerKey != headerValue type:%s", new Object[]{Integer.valueOf(i)});
            }
            AppMethodBeat.o(108114);
            return eVar;
        } else {
            ab.w("MicroMsg.AppBrandWcWssSocket", "buildHandshake unknow type:%s", new Object[]{Integer.valueOf(i)});
            AppMethodBeat.o(108114);
            return null;
        }
    }
}
