package com.tencent.mm.plugin.ext.provider;

import android.content.ContentValues;
import android.content.UriMatcher;
import android.database.Cursor;
import android.net.Uri;
import com.facebook.appevents.AppEventsConstants;
import com.facebook.internal.FacebookRequestErrorClassification;
import com.jg.EType;
import com.jg.JgClassChecked;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.model.aw;
import com.tencent.mm.model.c;
import com.tencent.mm.model.r;
import com.tencent.mm.plugin.ext.a.a;
import com.tencent.mm.pluginsdk.d.a.b;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ap;
import com.tencent.mm.sdk.platformtools.bo;

@JgClassChecked(author = 32, fComment = "checked", lastDate = "20141016", reviewer = 20, vComment = {EType.PROVIDERCHECK})
public final class ExtControlProviderSNS extends ExtContentProviderBase {
    private static boolean eBB = false;
    private static ap lQA = new ap(new 1(), false);
    private static final String[] lQC = new String[]{"feedId", "desc", "url", "nickname", "avatar", "timestamp", "mediaCount", "type", "bigImgUrl", "firstImgWidth", "firstImgHeight"};
    private static final UriMatcher lQc;
    private boolean czq = false;
    private boolean czr = false;
    private int czs = 0;
    private String lQD = "";

    static {
        AppMethodBeat.i(20384);
        UriMatcher uriMatcher = new UriMatcher(-1);
        lQc = uriMatcher;
        uriMatcher.addURI("com.tencent.mm.plugin.ext.SNS", "snsInfo", 17);
        AppMethodBeat.o(20384);
    }

    private static void dJ(boolean z) {
        AppMethodBeat.i(20380);
        if (z) {
            eBB = true;
            lQA.ae(15000, 15000);
            AppMethodBeat.o(20380);
            return;
        }
        lQA.ae(0, 0);
        AppMethodBeat.o(20380);
    }

    public final boolean onCreate() {
        return false;
    }

    public final Cursor query(Uri uri, String[] strArr, String str, String[] strArr2, String str2) {
        AppMethodBeat.i(20381);
        ab.i("MicroMsg.ExtControlProviderSNS", "query() ".concat(String.valueOf(uri)));
        a(uri, getContext(), lQc);
        if (uri == null) {
            vf(3);
            AppMethodBeat.o(20381);
            return null;
        } else if (bo.isNullOrNil(this.lPW) || bo.isNullOrNil(brL())) {
            vf(3);
            AppMethodBeat.o(20381);
            return null;
        } else if (eBB) {
            ab.w("MicroMsg.ExtControlProviderSNS", "isBusy, return null");
            vf(5);
            AppMethodBeat.o(20381);
            return null;
        } else {
            dJ(true);
            Cursor cursor;
            if (!aVl()) {
                dJ(false);
                vf(1);
                cursor = this.jDN;
                AppMethodBeat.o(20381);
                return cursor;
            } else if (!dJ(getContext())) {
                ab.w("MicroMsg.ExtControlProviderSNS", "invalid appid ! return null");
                dJ(false);
                vf(2);
                AppMethodBeat.o(20381);
                return null;
            } else if (strArr2 == null || strArr2.length == 0) {
                ab.e("MicroMsg.ExtControlProviderSNS", "invaild selections");
                dJ(false);
                vf(3);
                AppMethodBeat.o(20381);
                return null;
            } else {
                String str3 = strArr2[0];
                if (bo.isNullOrNil(str3)) {
                    ab.e("MicroMsg.ExtControlProviderSNS", "userIdStr should not be null or nil");
                    dJ(false);
                    vf(3);
                    AppMethodBeat.o(20381);
                    return null;
                }
                try {
                    long j;
                    if (AppEventsConstants.EVENT_PARAM_VALUE_NO.equals(str3.trim())) {
                        j = 0;
                    } else {
                        j = a.Le(str3.trim());
                    }
                    switch (lQc.match(uri)) {
                        case FacebookRequestErrorClassification.EC_USER_TOO_MANY_CALLS /*17*/:
                            cursor = ij(j);
                            break;
                        default:
                            cursor = null;
                            break;
                    }
                    if (cursor != null) {
                        vf(0);
                    } else {
                        vf(4);
                    }
                    dJ(false);
                    AppMethodBeat.o(20381);
                    return cursor;
                } catch (Exception e) {
                    ab.e("MicroMsg.ExtControlProviderSNS", e.getMessage());
                    ab.printErrStackTrace("MicroMsg.ExtControlProviderSNS", e, "", new Object[0]);
                    dJ(false);
                    vf(4);
                    AppMethodBeat.o(20381);
                    return null;
                }
            }
        }
    }

    private Cursor ij(long j) {
        int i = 1;
        AppMethodBeat.i(20382);
        ab.i("MicroMsg.ExtControlProviderSNS", "handleGetSnsInfo() userId = ".concat(String.valueOf(j)));
        try {
            com.tencent.mm.n.a aoM;
            ab.i("MicroMsg.ExtControlProviderSNS", "startGetSNSInfo, userId=[%s]", new Object[]{Long.valueOf(j)});
            if (j == 0) {
                aw.ZK();
                aoM = c.XM().aoM(r.Yz());
            } else {
                aw.ZK();
                aoM = c.XM().mQ(j);
            }
            if (aoM == null || ((int) aoM.ewQ) <= 0) {
                ab.e("MicroMsg.ExtControlProviderSNS", "ct == null");
                i = 0;
            } else {
                this.czq = com.tencent.mm.n.a.jh(aoM.field_type);
                this.czr = r.mG(aoM.field_username);
                ab.d("MicroMsg.ExtControlProviderSNS", "ct.getUsername()=[%s], isFriend=[%s], isSelf=[%s]", new Object[]{aoM.field_username, Boolean.valueOf(this.czq), Boolean.valueOf(this.czr)});
                b bVar = new b();
                bVar.b(10000, new 2(this, aoM, bVar));
            }
            if (i == 0) {
                ab.w("MicroMsg.ExtControlProviderSNS", "startGetSNSInfo() return false");
                AppMethodBeat.o(20382);
                return null;
            }
        } catch (Exception e) {
            ab.e("MicroMsg.ExtControlProviderSNS", e.getMessage());
            ab.printErrStackTrace("MicroMsg.ExtControlProviderSNS", e, "", new Object[0]);
        }
        Cursor brQ = brQ();
        AppMethodBeat.o(20382);
        return brQ;
    }

    /* JADX WARNING: Removed duplicated region for block: B:61:0x0195 A:{Catch:{ Exception -> 0x01d8 }} */
    private android.database.Cursor brQ() {
        /*
        r12 = this;
        r0 = 20383; // 0x4f9f float:2.8563E-41 double:1.00705E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r0);
        r0 = "MicroMsg.ExtControlProviderSNS";
        r1 = "getSnsCursor() , needDownload = true";
        com.tencent.mm.sdk.platformtools.ab.i(r0, r1);
        r1 = new com.tencent.mm.cd.e;
        r0 = lQC;
        r2 = 0;
        r1.<init>(r0, r2);
        r0 = new com.tencent.mm.g.a.ff;
        r0.<init>();
        r2 = r0.cyG;
        r3 = r12.lQD;
        r2.cyI = r3;
        r2 = com.tencent.mm.sdk.b.a.xxA;
        r2 = r2.m(r0);
        if (r2 != 0) goto L_0x0033;
    L_0x0029:
        r1.close();
        r0 = 0;
        r1 = 20383; // 0x4f9f float:2.8563E-41 double:1.00705E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
    L_0x0032:
        return r0;
    L_0x0033:
        r0 = r0.cyH;
        r5 = r0.cyz;
        if (r5 == 0) goto L_0x0095;
    L_0x0039:
        r0 = r5.getCount();	 Catch:{ Exception -> 0x01f1 }
        r2 = "MicroMsg.ExtControlProviderSNS";
        r3 = "in getSnsCursor(), snsCount = ";
        r4 = java.lang.String.valueOf(r0);	 Catch:{ Exception -> 0x01f1 }
        r3 = r3.concat(r4);	 Catch:{ Exception -> 0x01f1 }
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3);	 Catch:{ Exception -> 0x01f1 }
        if (r0 <= 0) goto L_0x0078;
    L_0x0050:
        r0 = r5.moveToFirst();	 Catch:{ Exception -> 0x01f1 }
        if (r0 == 0) goto L_0x0078;
    L_0x0056:
        if (r5 == 0) goto L_0x0072;
    L_0x0058:
        r6 = new com.tencent.mm.g.a.fg;	 Catch:{ Exception -> 0x01f1 }
        r6.<init>();	 Catch:{ Exception -> 0x01f1 }
        r0 = r6.cyJ;	 Catch:{ Exception -> 0x01f1 }
        r0.cyL = r5;	 Catch:{ Exception -> 0x01f1 }
        r0 = com.tencent.mm.sdk.b.a.xxA;	 Catch:{ Exception -> 0x01f1 }
        r0 = r0.m(r6);	 Catch:{ Exception -> 0x01f1 }
        if (r0 != 0) goto L_0x009c;
    L_0x0069:
        r0 = "MicroMsg.ExtControlProviderSNS";
        r2 = "ExtGetSnsDataEvent publish error";
        com.tencent.mm.sdk.platformtools.ab.w(r0, r2);	 Catch:{ Exception -> 0x01f1 }
    L_0x0072:
        r0 = r5.moveToNext();	 Catch:{ Exception -> 0x01f1 }
        if (r0 != 0) goto L_0x0056;
    L_0x0078:
        r0 = "MicroMsg.ExtControlProviderSNS";
        r2 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x01f1 }
        r3 = "in getSnsCursor(), matrixCursor Count = ";
        r2.<init>(r3);	 Catch:{ Exception -> 0x01f1 }
        r3 = r1.getCount();	 Catch:{ Exception -> 0x01f1 }
        r2 = r2.append(r3);	 Catch:{ Exception -> 0x01f1 }
        r2 = r2.toString();	 Catch:{ Exception -> 0x01f1 }
        com.tencent.mm.sdk.platformtools.ab.i(r0, r2);	 Catch:{ Exception -> 0x01f1 }
        r5.close();	 Catch:{ Exception -> 0x01f1 }
    L_0x0095:
        r0 = 20383; // 0x4f9f float:2.8563E-41 double:1.00705E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
        r0 = r1;
        goto L_0x0032;
    L_0x009c:
        com.tencent.mm.model.aw.ZK();	 Catch:{ Exception -> 0x01f1 }
        r0 = com.tencent.mm.model.c.XM();	 Catch:{ Exception -> 0x01f1 }
        r2 = r6.cyK;	 Catch:{ Exception -> 0x01f1 }
        r2 = r2.cyM;	 Catch:{ Exception -> 0x01f1 }
        r7 = r0.aoM(r2);	 Catch:{ Exception -> 0x01f1 }
        if (r7 == 0) goto L_0x0072;
    L_0x00ad:
        r2 = r7.ewQ;	 Catch:{ Exception -> 0x01f1 }
        r0 = (int) r2;	 Catch:{ Exception -> 0x01f1 }
        if (r0 <= 0) goto L_0x0072;
    L_0x00b2:
        r0 = "";
        r2 = "";
        r3 = r6.cyK;	 Catch:{ Exception -> 0x01f1 }
        r3 = r3.cyQ;	 Catch:{ Exception -> 0x01f1 }
        switch(r3) {
            case 1: goto L_0x021c;
            case 2: goto L_0x0218;
            case 3: goto L_0x0224;
            case 4: goto L_0x0220;
            case 5: goto L_0x0228;
            case 6: goto L_0x00bf;
            case 7: goto L_0x021c;
            case 8: goto L_0x021c;
            default: goto L_0x00bf;
        };	 Catch:{ Exception -> 0x01f1 }
    L_0x00bf:
        r3 = 5;
        r4 = r3;
    L_0x00c1:
        r3 = r6.cyK;	 Catch:{ Exception -> 0x01f1 }
        r3 = r3.cyS;	 Catch:{ Exception -> 0x01f1 }
        if (r3 == 0) goto L_0x022c;
    L_0x00c7:
        r3 = r6.cyK;	 Catch:{ Exception -> 0x01f1 }
        r3 = r3.cyS;	 Catch:{ Exception -> 0x01f1 }
        r3 = r3.size();	 Catch:{ Exception -> 0x01f1 }
        if (r3 <= 0) goto L_0x022c;
    L_0x00d1:
        r3 = r12.getContext();	 Catch:{ Exception -> 0x01f1 }
        if (r3 == 0) goto L_0x022c;
    L_0x00d7:
        r3 = "MicroMsg.ExtControlProviderSNS";
        r8 = "uris.size() = [%s]";
        r9 = 1;
        r9 = new java.lang.Object[r9];	 Catch:{ Exception -> 0x01f1 }
        r10 = 0;
        r11 = r6.cyK;	 Catch:{ Exception -> 0x01f1 }
        r11 = r11.cyS;	 Catch:{ Exception -> 0x01f1 }
        r11 = r11.size();	 Catch:{ Exception -> 0x01f1 }
        r11 = java.lang.Integer.valueOf(r11);	 Catch:{ Exception -> 0x01f1 }
        r9[r10] = r11;	 Catch:{ Exception -> 0x01f1 }
        com.tencent.mm.sdk.platformtools.ab.d(r3, r8, r9);	 Catch:{ Exception -> 0x01f1 }
        r3 = 2;
        if (r4 == r3) goto L_0x00fe;
    L_0x00f5:
        r3 = 6;
        if (r4 == r3) goto L_0x00fe;
    L_0x00f8:
        r3 = 3;
        if (r4 == r3) goto L_0x00fe;
    L_0x00fb:
        r3 = 4;
        if (r4 != r3) goto L_0x022c;
    L_0x00fe:
        r0 = r6.cyK;	 Catch:{ Exception -> 0x01f1 }
        r0 = r0.cyS;	 Catch:{ Exception -> 0x01f1 }
        r3 = 0;
        r0 = r0.get(r3);	 Catch:{ Exception -> 0x01f1 }
        r0 = (java.lang.String) r0;	 Catch:{ Exception -> 0x01f1 }
        r3 = r0;
    L_0x010a:
        r0 = r6.cyK;	 Catch:{ Exception -> 0x01f1 }
        r0 = r0.cyT;	 Catch:{ Exception -> 0x01f1 }
        if (r0 == 0) goto L_0x0169;
    L_0x0110:
        r0 = r6.cyK;	 Catch:{ Exception -> 0x01f1 }
        r0 = r0.cyT;	 Catch:{ Exception -> 0x01f1 }
        r0 = r0.size();	 Catch:{ Exception -> 0x01f1 }
        if (r0 <= 0) goto L_0x0169;
    L_0x011a:
        r0 = r12.getContext();	 Catch:{ Exception -> 0x01f1 }
        if (r0 == 0) goto L_0x0169;
    L_0x0120:
        r0 = "MicroMsg.ExtControlProviderSNS";
        r8 = "bigImgUris.size() = [%s], firstImgWidth = [%s], firstImgHeight = [%s]";
        r9 = 3;
        r9 = new java.lang.Object[r9];	 Catch:{ Exception -> 0x01f1 }
        r10 = 0;
        r11 = r6.cyK;	 Catch:{ Exception -> 0x01f1 }
        r11 = r11.cyT;	 Catch:{ Exception -> 0x01f1 }
        r11 = r11.size();	 Catch:{ Exception -> 0x01f1 }
        r11 = java.lang.Integer.valueOf(r11);	 Catch:{ Exception -> 0x01f1 }
        r9[r10] = r11;	 Catch:{ Exception -> 0x01f1 }
        r10 = 1;
        r11 = r6.cyK;	 Catch:{ Exception -> 0x01f1 }
        r11 = r11.cyU;	 Catch:{ Exception -> 0x01f1 }
        r11 = java.lang.Integer.valueOf(r11);	 Catch:{ Exception -> 0x01f1 }
        r9[r10] = r11;	 Catch:{ Exception -> 0x01f1 }
        r10 = 2;
        r11 = r6.cyK;	 Catch:{ Exception -> 0x01f1 }
        r11 = r11.cyV;	 Catch:{ Exception -> 0x01f1 }
        r11 = java.lang.Integer.valueOf(r11);	 Catch:{ Exception -> 0x01f1 }
        r9[r10] = r11;	 Catch:{ Exception -> 0x01f1 }
        com.tencent.mm.sdk.platformtools.ab.d(r0, r8, r9);	 Catch:{ Exception -> 0x01f1 }
        r0 = 2;
        if (r4 == r0) goto L_0x015d;
    L_0x0154:
        r0 = 6;
        if (r4 == r0) goto L_0x015d;
    L_0x0157:
        r0 = 3;
        if (r4 == r0) goto L_0x015d;
    L_0x015a:
        r0 = 4;
        if (r4 != r0) goto L_0x0169;
    L_0x015d:
        r0 = r6.cyK;	 Catch:{ Exception -> 0x01f1 }
        r0 = r0.cyT;	 Catch:{ Exception -> 0x01f1 }
        r2 = 0;
        r0 = r0.get(r2);	 Catch:{ Exception -> 0x01f1 }
        r0 = (java.lang.String) r0;	 Catch:{ Exception -> 0x01f1 }
        r2 = r0;
    L_0x0169:
        r0 = r6.cyK;	 Catch:{ Exception -> 0x01f1 }
        r0 = r0.cyM;	 Catch:{ Exception -> 0x01f1 }
        r0 = com.tencent.mm.ah.b.pX(r0);	 Catch:{ Exception -> 0x01f1 }
        r8 = 11;
        r8 = new java.lang.Object[r8];	 Catch:{ Exception -> 0x01d8 }
        r9 = 0;
        r10 = r6.cyK;	 Catch:{ Exception -> 0x01d8 }
        r10 = r10.cyN;	 Catch:{ Exception -> 0x01d8 }
        r10 = (long) r10;	 Catch:{ Exception -> 0x01d8 }
        r10 = com.tencent.mm.plugin.ext.a.a.ii(r10);	 Catch:{ Exception -> 0x01d8 }
        r8[r9] = r10;	 Catch:{ Exception -> 0x01d8 }
        r9 = 1;
        r10 = r6.cyK;	 Catch:{ Exception -> 0x01d8 }
        r10 = r10.cyO;	 Catch:{ Exception -> 0x01d8 }
        r8[r9] = r10;	 Catch:{ Exception -> 0x01d8 }
        r9 = 2;
        r8[r9] = r3;	 Catch:{ Exception -> 0x01d8 }
        r3 = 3;
        r7 = r7.Oj();	 Catch:{ Exception -> 0x01d8 }
        r8[r3] = r7;	 Catch:{ Exception -> 0x01d8 }
        r3 = 4;
        if (r0 != 0) goto L_0x0198;
    L_0x0195:
        r0 = "";
    L_0x0198:
        r8[r3] = r0;	 Catch:{ Exception -> 0x01d8 }
        r0 = 5;
        r3 = r6.cyK;	 Catch:{ Exception -> 0x01d8 }
        r10 = r3.cyP;	 Catch:{ Exception -> 0x01d8 }
        r3 = java.lang.Long.valueOf(r10);	 Catch:{ Exception -> 0x01d8 }
        r8[r0] = r3;	 Catch:{ Exception -> 0x01d8 }
        r0 = 6;
        r3 = r6.cyK;	 Catch:{ Exception -> 0x01d8 }
        r3 = r3.cyR;	 Catch:{ Exception -> 0x01d8 }
        r3 = java.lang.Integer.valueOf(r3);	 Catch:{ Exception -> 0x01d8 }
        r8[r0] = r3;	 Catch:{ Exception -> 0x01d8 }
        r0 = 7;
        r3 = java.lang.Integer.valueOf(r4);	 Catch:{ Exception -> 0x01d8 }
        r8[r0] = r3;	 Catch:{ Exception -> 0x01d8 }
        r0 = 8;
        r8[r0] = r2;	 Catch:{ Exception -> 0x01d8 }
        r0 = 9;
        r2 = r6.cyK;	 Catch:{ Exception -> 0x01d8 }
        r2 = r2.cyU;	 Catch:{ Exception -> 0x01d8 }
        r2 = java.lang.Integer.valueOf(r2);	 Catch:{ Exception -> 0x01d8 }
        r8[r0] = r2;	 Catch:{ Exception -> 0x01d8 }
        r0 = 10;
        r2 = r6.cyK;	 Catch:{ Exception -> 0x01d8 }
        r2 = r2.cyV;	 Catch:{ Exception -> 0x01d8 }
        r2 = java.lang.Integer.valueOf(r2);	 Catch:{ Exception -> 0x01d8 }
        r8[r0] = r2;	 Catch:{ Exception -> 0x01d8 }
        r1.addRow(r8);	 Catch:{ Exception -> 0x01d8 }
        goto L_0x0072;
    L_0x01d8:
        r0 = move-exception;
        r2 = "MicroMsg.ExtControlProviderSNS";
        r3 = r0.getMessage();	 Catch:{ Exception -> 0x01f1 }
        com.tencent.mm.sdk.platformtools.ab.e(r2, r3);	 Catch:{ Exception -> 0x01f1 }
        r2 = "MicroMsg.ExtControlProviderSNS";
        r3 = "";
        r4 = 0;
        r4 = new java.lang.Object[r4];	 Catch:{ Exception -> 0x01f1 }
        com.tencent.mm.sdk.platformtools.ab.printErrStackTrace(r2, r0, r3, r4);	 Catch:{ Exception -> 0x01f1 }
        goto L_0x0072;
    L_0x01f1:
        r0 = move-exception;
        r2 = "MicroMsg.ExtControlProviderSNS";
        r3 = r0.getMessage();
        com.tencent.mm.sdk.platformtools.ab.e(r2, r3);
        r2 = "MicroMsg.ExtControlProviderSNS";
        r3 = "";
        r4 = 0;
        r4 = new java.lang.Object[r4];
        com.tencent.mm.sdk.platformtools.ab.printErrStackTrace(r2, r0, r3, r4);
        if (r5 == 0) goto L_0x020d;
    L_0x020a:
        r5.close();
    L_0x020d:
        r1.close();
        r0 = 0;
        r1 = 20383; // 0x4f9f float:2.8563E-41 double:1.00705E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
        goto L_0x0032;
    L_0x0218:
        r3 = 1;
        r4 = r3;
        goto L_0x00c1;
    L_0x021c:
        r3 = 2;
        r4 = r3;
        goto L_0x00c1;
    L_0x0220:
        r3 = 3;
        r4 = r3;
        goto L_0x00c1;
    L_0x0224:
        r3 = 6;
        r4 = r3;
        goto L_0x00c1;
    L_0x0228:
        r3 = 4;
        r4 = r3;
        goto L_0x00c1;
    L_0x022c:
        r3 = r0;
        goto L_0x010a;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.ext.provider.ExtControlProviderSNS.brQ():android.database.Cursor");
    }

    public final String getType(Uri uri) {
        return null;
    }

    public final Uri insert(Uri uri, ContentValues contentValues) {
        return null;
    }

    public final int delete(Uri uri, String str, String[] strArr) {
        return 0;
    }

    public final int update(Uri uri, ContentValues contentValues, String str, String[] strArr) {
        return 0;
    }
}
