package com.tencent.mm.plugin.mmsight.model.b;

import android.graphics.Bitmap;
import android.graphics.Point;
import android.media.MediaExtractor;
import android.media.MediaFormat;
import android.os.HandlerThread;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.bj.e;
import com.tencent.mm.plugin.mmsight.api.a;
import com.tencent.mm.plugin.mmsight.model.a.j;
import com.tencent.mm.plugin.mmsight.segment.MP4MuxerJNI;
import com.tencent.mm.plugin.sight.base.SightVideoJNI;
import com.tencent.mm.plugin.sight.base.d;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import java.io.IOException;
import java.nio.ByteBuffer;

public final class b extends a {
    private int aOn;
    private MediaExtractor clX;
    private int eTa;
    private int eTt;
    private int eWK = -1;
    private int eXJ;
    private int eXK;
    private int eXL;
    private long eXM = -1;
    private long eXN = -1;
    private Bitmap eXi;
    private String eYj;
    private int eYk;
    private int eYl;
    private int eYm;
    private int eYp = -1;
    private Point fYS = null;
    private String filePath;
    private a oxf;
    private f oxg;
    private HandlerThread oxh;
    private a oxi;
    private byte[] oxj = null;
    private byte[] oxk = null;
    private a.a oxl;
    private int videoFps;

    public b(String str, String str2, int i, int i2, int i3, int i4) {
        AppMethodBeat.i(76694);
        if (bo.isNullOrNil(str) || bo.isNullOrNil(str2) || i <= 0 || i2 <= 0) {
            ab.e("MicroMsg.MMSightFFMpegMediaCodecRemuxer", "create MMSightFFMpegMediaCodecRemuxer error, filePath: %s, outputFilePath: %s, outputWidth: %s, outputHeight: %s, outputFps: %s", new Object[]{str, str2, Integer.valueOf(i), Integer.valueOf(i2), Integer.valueOf(i4)});
            AppMethodBeat.o(76694);
            return;
        }
        this.filePath = str;
        this.eYj = str2;
        this.eYk = i;
        this.eYl = i2;
        this.eYm = i3;
        this.eYp = i4;
        this.eXL = SightVideoJNI.getMp4Rotate(str);
        com.tencent.mm.plugin.sight.base.a WR = d.WR(str);
        if (WR != null) {
            this.eXJ = WR.width;
            this.eXK = WR.height;
            this.eWK = WR.eWK;
            this.videoFps = WR.eTk;
        }
        this.eXM = 0;
        this.eXN = (long) this.eWK;
        ab.i("MicroMsg.MMSightFFMpegMediaCodecRemuxer", "create MMSightFFMpegMediaCodecRemuxer, filePath: %s, outputFilePath: %s, inputWidth: %s, inputHeight: %s, videoRotate: %s, outputWidth: %s, outputHeight: %s", new Object[]{str, str2, Integer.valueOf(this.eXJ), Integer.valueOf(this.eXK), Integer.valueOf(this.eXL), Integer.valueOf(i), Integer.valueOf(i2)});
        AppMethodBeat.o(76694);
    }

    public b(String str, String str2, int i, int i2, int i3, int i4, long j, long j2) {
        AppMethodBeat.i(76695);
        if (bo.isNullOrNil(str) || bo.isNullOrNil(str2) || i <= 0 || i2 <= 0) {
            ab.e("MicroMsg.MMSightFFMpegMediaCodecRemuxer", "create MMSightFFMpegMediaCodecRemuxer error, filePath: %s, outputFilePath: %s, outputWidth: %s, outputHeight: %s, outputFps: %s", new Object[]{str, str2, Integer.valueOf(i), Integer.valueOf(i2), Integer.valueOf(i4)});
            AppMethodBeat.o(76695);
            return;
        }
        this.filePath = str;
        this.eYj = str2;
        this.eYk = i;
        this.eYl = i2;
        this.eYm = i3;
        this.eYp = i4;
        this.eXL = SightVideoJNI.getMp4Rotate(str);
        com.tencent.mm.plugin.sight.base.a WR = d.WR(str);
        if (WR != null) {
            this.eXJ = WR.width;
            this.eXK = WR.height;
            this.videoFps = WR.eTk;
        }
        this.eXM = j;
        this.eXN = j2;
        ab.i("MicroMsg.MMSightFFMpegMediaCodecRemuxer", "create MMSightFFMpegMediaCodecRemuxer, filePath: %s, outputFilePath: %s, inputWidth: %s, inputHeight: %s, videoRotate: %s, outputWidth: %s, outputHeight: %s, startTimeMs: %s, endTimeMs: %s", new Object[]{str, str2, Integer.valueOf(this.eXJ), Integer.valueOf(this.eXK), Integer.valueOf(this.eXL), Integer.valueOf(i), Integer.valueOf(i2), Long.valueOf(j), Long.valueOf(j2)});
        AppMethodBeat.o(76695);
    }

    public final void r(Bitmap bitmap) {
        if (bitmap != null) {
            this.eXi = bitmap;
        }
    }

    public final int Va() {
        AppMethodBeat.i(76696);
        int round = Math.round(((float) this.eWK) / 1000.0f);
        if (this.eXM >= 0 && this.eXN >= 0) {
            round = Math.round(((float) (this.eXN - this.eXM)) / 1000.0f) + 1;
        }
        this.eTa = MP4MuxerJNI.initDataBufLock(round);
        if (e.uD(this.filePath)) {
            ab.i("MicroMsg.MMSightFFMpegMediaCodecRemuxer", "ish265, create mediacodec decoder");
            this.oxf = new e();
        } else {
            this.oxf = new d();
        }
        if (this.eWK > 0) {
            round = this.oxf.e(this.filePath, 0, (long) this.eWK, this.videoFps);
        } else if (this.eXM < 0 || this.eXN < 0) {
            ab.e("MicroMsg.MMSightFFMpegMediaCodecRemuxer", "remux time error, videoDuration: %s, remuxStartTime: %s, remuxEndTime: %s", new Object[]{Integer.valueOf(this.eWK), Long.valueOf(this.eXM), Long.valueOf(this.eXN)});
            MP4MuxerJNI.releaseDataBufLock(this.eTa);
            AppMethodBeat.o(76696);
            return -1;
        } else {
            round = this.oxf.e(this.filePath, this.eXM, this.eXN, this.videoFps);
        }
        ab.i("MicroMsg.MMSightFFMpegMediaCodecRemuxer", "decoder init ret: %s", new Object[]{Integer.valueOf(round)});
        if (round < 0) {
            MP4MuxerJNI.releaseDataBufLock(this.eTa);
            AppMethodBeat.o(76696);
            return -1;
        }
        if (this.eYp > 0 && this.eYp < this.videoFps) {
            this.oxf.mp((int) Math.ceil((double) (((float) this.videoFps) / ((float) this.eYp))));
        }
        this.oxg = new f(this.eXJ, this.eXK, this.eYk, this.eYl, this.eYm, this.eYp > 0 ? Math.min(this.eYp, this.videoFps) : this.videoFps);
        this.oxf.a(new 1(this));
        this.oxg.oxu = new f.a() {
            public final void a(int i, ByteBuffer byteBuffer, int i2) {
                AppMethodBeat.i(76692);
                MP4MuxerJNI.writeH264DataLock(i, byteBuffer, i2);
                AppMethodBeat.o(76692);
            }
        };
        try {
            long j;
            this.oxg.mq(this.eTa);
            f fVar = this.oxg;
            ab.i("MicroMsg.MMSightRemuxMediaCodecEncoder", "Start");
            fVar.cFy = true;
            this.oxf.bPZ();
            this.oxh.quitSafely();
            this.oxh.join();
            this.oxi = null;
            this.clX = new MediaExtractor();
            try {
                MediaFormat trackFormat;
                this.clX.setDataSource(this.filePath);
                String str = null;
                int i = 0;
                while (i < this.clX.getTrackCount()) {
                    trackFormat = this.clX.getTrackFormat(i);
                    str = trackFormat.getString("mime");
                    if (str.startsWith("audio/")) {
                        break;
                    }
                    i++;
                }
                trackFormat = null;
                i = -1;
                if (i >= 0 && trackFormat != null && !bo.isNullOrNil(r2)) {
                    this.aOn = trackFormat.getInteger("channel-count");
                    this.eTt = trackFormat.getInteger("sample-rate");
                    this.clX.selectTrack(i);
                    if (this.eXM > 0) {
                        this.clX.seekTo(this.eXM * 1000, 0);
                    }
                    ByteBuffer allocateDirect = ByteBuffer.allocateDirect(trackFormat.getInteger("max-input-size"));
                    while (true) {
                        allocateDirect.clear();
                        int readSampleData = this.clX.readSampleData(allocateDirect, 0);
                        ab.d("MicroMsg.MMSightFFMpegMediaCodecRemuxer", "sampleSize: %d", new Object[]{Integer.valueOf(readSampleData)});
                        if (readSampleData <= 0) {
                            ab.i("MicroMsg.MMSightFFMpegMediaCodecRemuxer", "muxAudio size = %d. Saw eos.", new Object[]{Integer.valueOf(readSampleData)});
                            break;
                        } else if (this.clX.getSampleTime() >= this.eXN * 1000) {
                            break;
                        } else if (this.clX.getSampleTrackIndex() != i) {
                            ab.e("MicroMsg.MMSightFFMpegMediaCodecRemuxer", "track index not match! break");
                            break;
                        } else {
                            allocateDirect.position(0);
                            MP4MuxerJNI.writeAACDataLock(this.eTa, allocateDirect, readSampleData);
                            this.clX.advance();
                        }
                    }
                }
            } catch (IOException e) {
                ab.printErrStackTrace("MicroMsg.MMSightFFMpegMediaCodecRemuxer", e, "muxAudio create extractor failed: %s", new Object[]{e.getMessage()});
            }
            String str2 = this.eYj;
            if (this.eXL > 0) {
                str2 = str2 + "tempRotate.mp4";
            }
            long j2 = (long) this.eWK;
            if (j2 <= 0) {
                j = this.eXN - this.eXM;
            } else {
                j = j2;
            }
            ab.i("MicroMsg.MMSightFFMpegMediaCodecRemuxer", "muxing ret: %s", new Object[]{Integer.valueOf(MP4MuxerJNI.muxingLock(this.eTa, this.eTt, 1024, 2, this.aOn, str2, (((float) this.oxg.frameCount) * 1000.0f) / ((float) j), null, 0))});
            if (this.eXL > 0) {
                SightVideoJNI.tagRotateVideo(str2, this.eYj, this.eXL);
                com.tencent.mm.vfs.e.deleteFile(str2);
            }
            MP4MuxerJNI.releaseDataBufLock(this.eTa);
            j.owk.WY();
            AppMethodBeat.o(76696);
            return round;
        } catch (Exception e2) {
            ab.printErrStackTrace("MicroMsg.MMSightFFMpegMediaCodecRemuxer", e2, "decode error: %s", new Object[]{e2.getMessage()});
            AppMethodBeat.o(76696);
            return -1;
        }
    }

    public final int getType() {
        return 1;
    }
}
