package com.tencent.mm.plugin.mmsight.ui.progressbar;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.LinearGradient;
import android.graphics.Paint;
import android.graphics.Shader.TileMode;
import android.os.Looper;
import android.util.AttributeSet;
import android.view.View;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.bz.a;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ah;
import com.tencent.mm.sdk.platformtools.ak;
import com.tencent.wcdb.support.Log;
import java.util.ArrayList;
import java.util.List;

public class MMSightProgressBar extends View {
    public static final int lEk = a.fromDPToPix(ah.getContext(), 3);
    public static final int oDH = a.fromDPToPix(ah.getContext(), 5);
    private static final int[] oDI = new int[]{-1, -1, Color.parseColor("#F5B3B2"), Color.parseColor("#EB6866"), Color.parseColor("#E64340")};
    private Paint aFY;
    private boolean cFy = false;
    private int centerX = 0;
    private int centerY = 0;
    private ak handler = null;
    private List<a> oDJ = new ArrayList(5);
    private int oDK = 0;
    private b oDL;
    private boolean oDM = false;
    private a oDN;

    static {
        AppMethodBeat.i(55340);
        AppMethodBeat.o(55340);
    }

    public MMSightProgressBar(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        AppMethodBeat.i(55336);
        init();
        AppMethodBeat.o(55336);
    }

    public MMSightProgressBar(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        AppMethodBeat.i(55337);
        init();
        AppMethodBeat.o(55337);
    }

    private void init() {
        AppMethodBeat.i(55338);
        this.aFY = new Paint();
        this.aFY.setColor(-65536);
        this.aFY.setAntiAlias(true);
        this.handler = new 1(this, Looper.getMainLooper());
        Log.i("MicroMsg.MMSightProgressBar", "init, pointRadius: %s, pointDistance: %s", new Object[]{Integer.valueOf(lEk), Integer.valueOf(oDH)});
        AppMethodBeat.o(55338);
    }

    public void setProgressCallback(a aVar) {
        this.oDN = aVar;
    }

    /* Access modifiers changed, original: protected */
    public void onDraw(Canvas canvas) {
        int right;
        float f;
        a aVar;
        AppMethodBeat.i(55339);
        super.onDraw(canvas);
        if (this.cFy && (this.centerX <= 0 || this.centerY <= 0)) {
            int left = getLeft();
            right = getRight();
            int top = getTop();
            int bottom = getBottom();
            this.centerX = (right - left) / 2;
            this.centerY = (bottom - top) / 2;
            Log.i("MicroMsg.MMSightProgressBar", "left: %s, right: %s, top: %s, bottom: %s, centerX: %s, centerY: %s", new Object[]{Integer.valueOf(left), Integer.valueOf(right), Integer.valueOf(top), Integer.valueOf(bottom), Integer.valueOf(this.centerX), Integer.valueOf(this.centerY)});
            Log.i("MicroMsg.MMSightProgressBar", "add init point");
            this.oDJ.add(new a(0, this.centerX, this.centerY, -1));
        }
        int save = canvas.save();
        this.oDK = this.oDJ.size();
        if (this.oDK % 2 == 0) {
            f = -(((((float) oDH) / 2.0f) + ((float) (((this.oDK / 2) - 1) * oDH))) + ((float) ((this.oDK / 2) * lEk)));
        } else {
            f = -(((((float) lEk) / 2.0f) + ((float) ((this.oDK / 2) * oDH))) + ((float) ((this.oDK / 2) * lEk)));
        }
        if (this.oDL != null && this.oDL.oDW) {
            float f2;
            right = this.oDK + 1;
            if (right % 2 == 0) {
                f2 = -(((float) ((right / 2) * lEk)) + ((((float) oDH) / 2.0f) + ((float) (((right / 2) - 1) * oDH))));
            } else {
                f2 = -(((float) ((right / 2) * lEk)) + ((((float) lEk) / 2.0f) + ((float) ((right / 2) * oDH))));
            }
            Log.d("MicroMsg.MMSightProgressBar", "add translateX for splitting, dstTranslateX: %s, progress: %s", new Object[]{Float.valueOf(f2), Float.valueOf(this.oDL.progress)});
            f -= (Math.abs(f2) - Math.abs(f)) * (this.oDL.progress / 100.0f);
        }
        Log.d("MicroMsg.MMSightProgressBar", "draw, translateX: %s, currentPointCount: %s", new Object[]{Float.valueOf(f), Integer.valueOf(this.oDK)});
        canvas.translate(f, 0.0f);
        if (this.oDL != null && this.oDL.oDW) {
            b bVar = this.oDL;
            Paint paint = this.aFY;
            ab.d("MicroMsg.MMSightProgressPointSplitter", "drawForSplitProgress, progress: %s, rightPointXOffset: %s", new Object[]{Float.valueOf(bVar.progress), Float.valueOf(((float) (oDH + (lEk * 2))) * (bVar.progress / 100.0f))});
            if (bVar.oEe > bVar.oEg) {
                float f3 = bVar.oDU.oDQ - ((float) lEk);
                f = bVar.oDU.oDR - ((float) lEk);
                paint.setColor(bVar.oDV.color);
                bVar.oEi.reset();
                bVar.oEi.moveTo(bVar.oDY.x + f3, bVar.oDY.y + f);
                bVar.oEi.quadTo(bVar.oDZ.x + f3, bVar.oDZ.y + f, bVar.oEa.x + f3, bVar.oEa.y + f);
                bVar.oEi.lineTo(bVar.oEd.x + f3, bVar.oEd.y + f);
                bVar.oEi.quadTo(bVar.oEc.x + f3, bVar.oEc.y + f, bVar.oEb.x + f3, f + bVar.oEb.y);
                if (bVar.oDV.color != bVar.oDU.color) {
                    paint.setShader(new LinearGradient(bVar.oDY.x + f3, bVar.oDU.oDR - ((float) lEk), f3 + bVar.oEa.x, bVar.oDU.oDR - ((float) lEk), new int[]{bVar.oDU.color, bVar.oDV.color}, null, TileMode.REPEAT));
                }
                canvas.drawPath(bVar.oEi, paint);
                paint.setShader(null);
            }
            aVar = bVar.oDV;
            paint.setColor(aVar.color);
            aVar.oDR = (float) aVar.oDT;
            aVar.oDQ = ((float) (aVar.oDS + ((aVar.index - 1) * (oDH + (lEk * 2))))) + r11;
            Log.d("MicroMsg.MMSightProgressPoint", "drawWithOffset, index: %s, offset: %s, pointX: %s", new Object[]{Integer.valueOf(aVar.index), Float.valueOf(r11), Float.valueOf(aVar.oDQ)});
            canvas.drawCircle(aVar.oDQ, aVar.oDR, (float) lEk, paint);
            paint.setShader(null);
        }
        for (a aVar2 : this.oDJ) {
            Paint paint2 = this.aFY;
            paint2.setColor(aVar2.color);
            aVar2.oDQ = (float) (aVar2.oDS + (aVar2.index * (oDH + (lEk * 2))));
            aVar2.oDR = (float) aVar2.oDT;
            Log.d("MicroMsg.MMSightProgressPoint", "draw, index: %s, pointX: %s", new Object[]{Integer.valueOf(aVar2.index), Float.valueOf(aVar2.oDQ)});
            canvas.drawCircle(aVar2.oDQ, aVar2.oDR, (float) lEk, paint2);
            paint2.setShader(null);
        }
        canvas.restoreToCount(save);
        if (this.cFy && !this.oDM && this.oDJ.size() > 0) {
            Log.i("MicroMsg.MMSightProgressBar", "start handler loop");
            this.oDM = true;
            this.handler.sendEmptyMessage(233);
        }
        AppMethodBeat.o(55339);
    }
}
