package com.tencent.mm.ui.chatting;

import android.content.Context;
import android.util.AttributeSet;
import android.view.View;
import android.widget.FrameLayout;
import android.widget.FrameLayout.LayoutParams;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ba.d;
import com.tencent.mm.bz.a;
import com.tencent.mm.compatible.util.e;
import com.tencent.mm.plugin.gif.MMAnimateView;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import java.util.ArrayList;
import java.util.List;

public class ChattingAnimFrame extends FrameLayout {
    private static String kTY = "";
    private int aKu;
    private int aKv;
    private int mScreenHeight = a.ge(getContext());
    private int xCD = 40;
    List<MMAnimateView> yHT = new ArrayList();
    private int yHU = 30;
    private int yHV = 30;
    private boolean yHW = false;
    private int yHX = 0;
    private ArrayList<Integer> yHY = new ArrayList();

    private static String getDataEmojiPath() {
        AppMethodBeat.i(30517);
        if (bo.isNullOrNil(kTY)) {
            kTY = e.eSk.replace("/data/user/0", "/data/data");
            kTY += "/emoji";
        }
        String str = kTY;
        AppMethodBeat.o(30517);
        return str;
    }

    public ChattingAnimFrame(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        AppMethodBeat.i(30518);
        AppMethodBeat.o(30518);
    }

    /* Access modifiers changed, original: protected */
    public void onFinishInflate() {
        AppMethodBeat.i(30519);
        super.onFinishInflate();
        this.aKv = getMeasuredHeight();
        this.aKu = getMeasuredWidth();
        ab.d("MicroMsg.ChattingAnimFrame", "onFinishInflate width:%d height:%d", new Object[]{Integer.valueOf(this.aKu), Integer.valueOf(this.aKv)});
        AppMethodBeat.o(30519);
    }

    /* Access modifiers changed, original: protected */
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        AppMethodBeat.i(30520);
        super.onLayout(z, i, i2, i3, i4);
        this.aKv = i4 - i2;
        this.aKu = i3 - i;
        if (this.aKv < this.mScreenHeight) {
            this.yHW = true;
            this.yHX = this.mScreenHeight - this.aKv;
        } else {
            this.yHW = false;
            this.yHX = 0;
        }
        ab.d("MicroMsg.ChattingAnimFrame", "onLayout width:%d height:%d isKeyBordUp:%b keyBordHeight:%d", new Object[]{Integer.valueOf(this.aKu), Integer.valueOf(this.aKv), Boolean.valueOf(this.yHW), Integer.valueOf(this.yHX)});
        AppMethodBeat.o(30520);
    }

    public final void a(d dVar) {
        AppMethodBeat.i(30521);
        stop();
        if (dVar == null) {
            ab.w("MicroMsg.ChattingAnimFrame", "egg info is null. ignore.");
            AppMethodBeat.o(30521);
            return;
        }
        String str = getDataEmojiPath() + "/egg/" + dVar.fMd;
        if (com.tencent.mm.vfs.e.ct(str)) {
            setVisibility(0);
            if (dVar.fMf > 0) {
                this.yHU = dVar.fMf;
                if (this.yHU > 60) {
                    this.yHU = 60;
                }
            } else {
                this.yHU = 30;
            }
            if (dVar.fMg > 0) {
                this.yHV = dVar.fMg;
            } else {
                this.yHV = 30;
            }
            if (dVar.maxSize > 0) {
                this.xCD = dVar.maxSize;
            } else {
                this.xCD = 40;
            }
            ab.i("MicroMsg.ChattingAnimFrame", "Egg viewCount:%d minSize:%d maxSize:%d AnimType:%d reportType:%d", new Object[]{Integer.valueOf(this.yHU), Integer.valueOf(this.yHV), Integer.valueOf(this.xCD), Integer.valueOf(dVar.fMe), Integer.valueOf(dVar.cKB)});
            long j = 0;
            Oj(this.yHU);
            int i = 0;
            while (true) {
                int i2 = i;
                if (i2 < this.yHU) {
                    boolean z;
                    int fromDPToPix = a.fromDPToPix(getContext(), (int) Y((float) this.yHV, (float) this.xCD));
                    int i3 = dVar.fMe;
                    if (this.yHY == null || !this.yHY.contains(Integer.valueOf(i2))) {
                        z = false;
                    } else {
                        z = true;
                    }
                    c cVar = new c(this, i3, fromDPToPix, j, z);
                    MMAnimateView mMAnimateView = new MMAnimateView(getContext());
                    mMAnimateView.setImageFilePath(str);
                    mMAnimateView.setAnimation(cVar);
                    mMAnimateView.setLayerType(2, null);
                    cVar.yIo = mMAnimateView;
                    mMAnimateView.setLayoutParams(new LayoutParams(cVar.mSize, cVar.mSize));
                    this.yHT.add(mMAnimateView);
                    addView(mMAnimateView);
                    i = dVar.fMe;
                    int i4 = this.yHU;
                    switch (i) {
                        case 2:
                            long j2;
                            if (i2 < 2) {
                                j2 = 800 + j;
                            } else {
                                j2 = ((long) (((Math.abs((((double) i2) - (((double) i4) * 0.5d)) - 5.0d) / ((double) (i4 * 3))) + 0.01d) * 1000.0d)) + j;
                            }
                            j = j2;
                            break;
                        case 3:
                            j += (long) (((Math.abs((((double) i2) - (((double) i4) * 0.5d)) - 5.0d) / ((double) (i4 * 6))) + 0.06d) * 1000.0d);
                            break;
                        default:
                            j = (long) ((int) (Y(0.0f, 4.0f) * 1000.0f));
                            break;
                    }
                    i = i2 + 1;
                } else {
                    if (this.yHT != null) {
                        for (View view : this.yHT) {
                            if (view != null && (view.getAnimation() instanceof c)) {
                                c.a((c) view.getAnimation());
                            }
                        }
                    }
                    AppMethodBeat.o(30521);
                    return;
                }
            }
        }
        ab.w("MicroMsg.ChattingAnimFrame", "egg file isn't exist. ignore");
        AppMethodBeat.o(30521);
    }

    private void Oj(int i) {
        AppMethodBeat.i(30522);
        if (i <= 0) {
            ab.w("MicroMsg.ChattingAnimFrame", "count is zero.");
            AppMethodBeat.o(30522);
            return;
        }
        int i2 = (int) (((double) i) * 0.1d);
        if (this.yHY != null) {
            this.yHY.clear();
        } else {
            this.yHY = new ArrayList();
        }
        while (this.yHY.size() < i2) {
            int Y = (int) Y(0.0f, (float) i);
            if (!this.yHY.contains(Integer.valueOf(Y))) {
                this.yHY.add(Integer.valueOf(Y));
            }
        }
        AppMethodBeat.o(30522);
    }

    public final void stop() {
        AppMethodBeat.i(30523);
        for (MMAnimateView mMAnimateView : this.yHT) {
            mMAnimateView.clearAnimation();
            mMAnimateView.recycle();
        }
        removeAllViews();
        AppMethodBeat.o(30523);
    }

    static float Y(float f, float f2) {
        AppMethodBeat.i(30524);
        float random = (((float) Math.random()) * (f2 - f)) + f;
        AppMethodBeat.o(30524);
        return random;
    }

    static /* synthetic */ long Ok(int i) {
        AppMethodBeat.i(30525);
        switch (i) {
            case 2:
                AppMethodBeat.o(30525);
                return 1200;
            case 3:
                AppMethodBeat.o(30525);
                return 1500;
            default:
                long Y = (long) ((int) Y(4000.0f, 6000.0f));
                AppMethodBeat.o(30525);
                return Y;
        }
    }
}
