package com.tencent.mm.view.popview;

import android.content.Context;
import android.util.AttributeSet;
import android.view.View;
import android.view.WindowManager.LayoutParams;
import android.widget.ProgressBar;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.emoji.view.EmojiStatusView;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.storage.emotion.EmojiInfo;

public class EmojiPopView extends AbstractPopView {
    private EmojiStatusView AdR;
    private LayoutParams AdS;
    private String AdT;
    private int offsetY;
    private ProgressBar ppY;

    public EmojiPopView(Context context) {
        this(context, null);
    }

    public EmojiPopView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public EmojiPopView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        AppMethodBeat.i(63064);
        inflate(context, 2130969344, this);
        this.AdR = (EmojiStatusView) findViewById(2131820629);
        this.ppY = (ProgressBar) findViewById(2131821370);
        setBackgroundResource(2130838538);
        this.AdS = new LayoutParams(2, 264, 1);
        int dimensionPixelSize = context.getResources().getDimensionPixelSize(2131428375);
        this.AdS.width = dimensionPixelSize;
        this.AdS.height = dimensionPixelSize;
        this.AdS.gravity = 8388659;
        this.offsetY = context.getResources().getDimensionPixelSize(2131428373);
        AppMethodBeat.o(63064);
    }

    public void setEmojiInfo(EmojiInfo emojiInfo) {
        AppMethodBeat.i(63065);
        if (emojiInfo == null) {
            this.AdR.setVisibility(4);
            this.ppY.setVisibility(0);
            ab.i("MicroMsg.EmojiPopView", "emoji is null. set null");
            AppMethodBeat.o(63065);
            return;
        }
        if (!emojiInfo.Aq().equals(this.AdT)) {
            this.AdT = emojiInfo.Aq();
            this.AdR.setStatusListener(new 1(this));
            this.AdR.setEmojiInfo(emojiInfo);
        }
        AppMethodBeat.o(63065);
    }

    public LayoutParams getWindowLayoutParams() {
        return this.AdS;
    }

    public final void fw(View view) {
        AppMethodBeat.i(63066);
        int[] iArr = new int[2];
        view.getLocationInWindow(iArr);
        this.AdS.x = iArr[0] - ((this.AdS.width - view.getMeasuredWidth()) / 2);
        this.AdS.y = (iArr[1] - this.AdS.height) + this.offsetY;
        AppMethodBeat.o(63066);
    }

    /* Access modifiers changed, original: protected */
    public void onDetachedFromWindow() {
        AppMethodBeat.i(63067);
        super.onDetachedFromWindow();
        AppMethodBeat.o(63067);
    }
}
