package com.tencent.qqvideo.proxy.common;

import android.content.Context;
import android.content.SharedPreferences;
import android.text.TextUtils;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.qqvideo.proxy.httpproxy.HttpproxyFacade;
import com.tencent.smtt.sdk.TbsReaderView$ReaderCallback;
import org.json.JSONException;
import org.json.JSONObject;

public class ConfigStorage {
    private static String Config_Version = "";
    private static final long GET_CONFIG_INTERVAL = 600000;
    private static long LastGetConfigTime = 0;
    private static final String PREFERENCE = "_httpproxy_preferences";
    public static final String PREF_DOWNPROXY_CONFIG = "DOWNPROXY_CONFIG";
    public static final String PREF_DOWNPROXY_CONFIG_VERSION = "DOWNPROXY_GUID_CONFIG_VERSION";
    private static String TAG = "TV_Httpproxy";
    private static final String TVHttpProxy_Version = "V1.0.186.0011";
    private static final String TVHttpProxy_Version_Code = "101860011";
    private static final String TVHttpProxy_channel_id = "186";
    private static final int[] connectTimeOut = new int[]{TbsReaderView$ReaderCallback.GET_BAR_ANIMATING, TbsReaderView$ReaderCallback.GET_BAR_ANIMATING, 10000};
    private static String guid = "123";
    private static final String httpsCrtFileName = "videosdkcrt/sec.video.qq.com.crt";
    private static final String ipflag = "1";
    private static final String otype = "json";
    private static final String platform = "aphone";
    private static final int[] readTimeOut = new int[]{10000, 10000, 15000};
    private static final int[] retryTimes = new int[]{3, 2};
    private static String sharedPreferencesName = null;
    private static final String url = "https://sec.video.qq.com/p/wxconf/getmfomat";
    private Thread thread = null;

    public static SharedPreferences getSharedPreferences(Context context, String str, int i) {
        AppMethodBeat.i(124457);
        SharedPreferences sharedPreferences = context.getSharedPreferences(str, i);
        AppMethodBeat.o(124457);
        return sharedPreferences;
    }

    public static SharedPreferences getAppSharedPreferences(Context context) {
        AppMethodBeat.i(124458);
        if (sharedPreferencesName == null) {
            sharedPreferencesName = context.getPackageName() + PREFERENCE;
        }
        SharedPreferences sharedPreferences = getSharedPreferences(context, sharedPreferencesName, 0);
        AppMethodBeat.o(124458);
        return sharedPreferences;
    }

    public static String getDownProxyConfig(Context context) {
        AppMethodBeat.i(124459);
        String str;
        if (context == null) {
            str = "";
            AppMethodBeat.o(124459);
            return str;
        }
        Config_Version = getConfigVersionFromSharedPreference(context);
        str = getAppSharedPreferences(context).getString(PREF_DOWNPROXY_CONFIG, "");
        AppMethodBeat.o(124459);
        return str;
    }

    public static void setDownProxyConfig(Context context, String str) {
        AppMethodBeat.i(124460);
        getAppSharedPreferences(context).edit().putString(PREF_DOWNPROXY_CONFIG, str).commit();
        AppMethodBeat.o(124460);
    }

    public static String getHttpProxyVersion() {
        return TVHttpProxy_Version;
    }

    public static String getHttpProxyVersionCode() {
        return TVHttpProxy_Version_Code;
    }

    public static String getConfigVersion() {
        return Config_Version;
    }

    private static String getConfigVersionFromSharedPreference(Context context) {
        AppMethodBeat.i(124461);
        String str;
        if (context == null) {
            str = "";
            AppMethodBeat.o(124461);
            return str;
        }
        str = getAppSharedPreferences(context).getString(PREF_DOWNPROXY_CONFIG_VERSION, "");
        AppMethodBeat.o(124461);
        return str;
    }

    private static void setConfigVersionToSharedPreference(Context context, String str) {
        AppMethodBeat.i(124462);
        if (context == null || str == null) {
            AppMethodBeat.o(124462);
            return;
        }
        getAppSharedPreferences(context).edit().putString(PREF_DOWNPROXY_CONFIG_VERSION, str).commit();
        AppMethodBeat.o(124462);
    }

    public void synGetServerConfig(Context context) {
        AppMethodBeat.i(124463);
        if (context == null) {
            HttpproxyFacade.print(6, TAG, "synGetServerConfig context is null");
            AppMethodBeat.o(124463);
            return;
        }
        try {
            this.thread = new Thread(new 1(this, context));
            if (this.thread == null) {
                HttpproxyFacade.print(6, TAG, "thread create failed");
                AppMethodBeat.o(124463);
                return;
            }
            this.thread.start();
            AppMethodBeat.o(124463);
        } catch (Throwable th) {
            HttpproxyFacade.print(6, TAG, "thread create exception");
            AppMethodBeat.o(124463);
        }
    }

    public void stopGetServerConfig() {
        AppMethodBeat.i(124464);
        try {
            if (this.thread != null) {
                this.thread.interrupt();
                AppMethodBeat.o(124464);
                return;
            }
        } catch (Throwable th) {
            HttpproxyFacade.print(6, TAG, "thread create exception");
        }
        AppMethodBeat.o(124464);
    }

    private boolean needGetConfig() {
        AppMethodBeat.i(124465);
        if (LastGetConfigTime == 0) {
            LastGetConfigTime = System.currentTimeMillis();
            AppMethodBeat.o(124465);
            return true;
        }
        long currentTimeMillis = System.currentTimeMillis();
        if (currentTimeMillis - LastGetConfigTime > GET_CONFIG_INTERVAL || currentTimeMillis < LastGetConfigTime) {
            LastGetConfigTime = System.currentTimeMillis();
            AppMethodBeat.o(124465);
            return true;
        }
        AppMethodBeat.o(124465);
        return false;
    }

    static /* synthetic */ void access$0(ConfigStorage configStorage, Context context) {
        AppMethodBeat.i(124471);
        configStorage.synGetConfig(context);
        AppMethodBeat.o(124471);
    }

    private void synGetConfig(Context context) {
        AppMethodBeat.i(124466);
        if (needGetConfig()) {
            int i = -1;
            try {
                JSONObject jSONObject = new JSONObject(fetchTextFromUrl(makeGetServerConfigUrl(context), context));
                if (jSONObject.has("httpproxy_config")) {
                    i = 0;
                    HttpproxyFacade.print(3, TAG, "get httpproxy_config:" + jSONObject.getString("httpproxy_config"));
                    setDownProxyConfig(context, jSONObject.getString("httpproxy_config"));
                }
                if (jSONObject.has("config_ver")) {
                    setConfigVersionToSharedPreference(context, jSONObject.getString("config_ver"));
                }
            } catch (Throwable th) {
                HttpproxyFacade.print(6, TAG, "get config exception");
            }
            try {
                JSONObject jSONObject2 = new JSONObject();
                jSONObject2.put("error_code", i);
                jSONObject2.put("report_type", 90);
                HttpproxyFacade.jsonReport(jSONObject2.toString());
                AppMethodBeat.o(124466);
                return;
            } catch (JSONException e) {
                AppMethodBeat.o(124466);
                return;
            }
        }
        HttpproxyFacade.print(4, TAG, "last get config time:" + System.currentTimeMillis() + ",so get config just return");
        AppMethodBeat.o(124466);
    }

    private String makeGetServerConfigUrl(Context context) {
        AppMethodBeat.i(124467);
        String format = String.format("%s?platform=%s&appver=%s&player_channel_id=%s&otype=%s&ipflag=%s&guid=%s", new Object[]{url, platform, TVHttpProxy_Version, TVHttpProxy_channel_id, otype, "1", guid});
        AppMethodBeat.o(124467);
        return format;
    }

    /* JADX WARNING: Removed duplicated region for block: B:21:0x007e A:{SYNTHETIC, Splitter:B:21:0x007e} */
    private javax.net.ssl.SSLContext getHttpsSSLContext(android.content.Context r9) {
        /*
        r8 = this;
        r7 = 124468; // 0x1e634 float:1.74417E-40 double:6.14954E-319;
        r1 = 0;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r7);
        r0 = "X.509";
        r0 = java.security.cert.CertificateFactory.getInstance(r0);	 Catch:{ Throwable -> 0x0054, all -> 0x007a }
        r2 = r9.getAssets();	 Catch:{ Throwable -> 0x0054, all -> 0x007a }
        r3 = "videosdkcrt/sec.video.qq.com.crt";
        r2 = r2.open(r3);	 Catch:{ Throwable -> 0x0054, all -> 0x007a }
        r0 = r0.generateCertificate(r2);	 Catch:{ Throwable -> 0x008d }
        r3 = java.security.KeyStore.getDefaultType();	 Catch:{ Throwable -> 0x008d }
        r3 = java.security.KeyStore.getInstance(r3);	 Catch:{ Throwable -> 0x008d }
        r4 = 0;
        r5 = 0;
        r3.load(r4, r5);	 Catch:{ Throwable -> 0x008d }
        r4 = "ca";
        r3.setCertificateEntry(r4, r0);	 Catch:{ Throwable -> 0x008d }
        r0 = javax.net.ssl.TrustManagerFactory.getDefaultAlgorithm();	 Catch:{ Throwable -> 0x008d }
        r4 = javax.net.ssl.TrustManagerFactory.getInstance(r0);	 Catch:{ Throwable -> 0x008d }
        r4.init(r3);	 Catch:{ Throwable -> 0x008d }
        r0 = "TLS";
        r0 = javax.net.ssl.SSLContext.getInstance(r0);	 Catch:{ Throwable -> 0x008d }
        r3 = 0;
        r4 = r4.getTrustManagers();	 Catch:{ Throwable -> 0x008d }
        r5 = 0;
        r0.init(r3, r4, r5);	 Catch:{ Throwable -> 0x008d }
        if (r2 == 0) goto L_0x0050;
    L_0x004d:
        r2.close();	 Catch:{ IOException -> 0x0085 }
    L_0x0050:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
    L_0x0053:
        return r0;
    L_0x0054:
        r0 = move-exception;
        r2 = r1;
    L_0x0056:
        r3 = 6;
        r4 = TAG;	 Catch:{ all -> 0x008b }
        r5 = new java.lang.StringBuilder;	 Catch:{ all -> 0x008b }
        r6 = "getHttpsSSLContext unknow exception:";
        r5.<init>(r6);	 Catch:{ all -> 0x008b }
        r0 = android.util.Log.getStackTraceString(r0);	 Catch:{ all -> 0x008b }
        r0 = r5.append(r0);	 Catch:{ all -> 0x008b }
        r0 = r0.toString();	 Catch:{ all -> 0x008b }
        com.tencent.qqvideo.proxy.httpproxy.HttpproxyFacade.print(r3, r4, r0);	 Catch:{ all -> 0x008b }
        if (r2 == 0) goto L_0x0075;
    L_0x0072:
        r2.close();	 Catch:{ IOException -> 0x0087 }
    L_0x0075:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
        r0 = r1;
        goto L_0x0053;
    L_0x007a:
        r0 = move-exception;
        r2 = r1;
    L_0x007c:
        if (r2 == 0) goto L_0x0081;
    L_0x007e:
        r2.close();	 Catch:{ IOException -> 0x0089 }
    L_0x0081:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r7);
        throw r0;
    L_0x0085:
        r1 = move-exception;
        goto L_0x0050;
    L_0x0087:
        r0 = move-exception;
        goto L_0x0075;
    L_0x0089:
        r1 = move-exception;
        goto L_0x0081;
    L_0x008b:
        r0 = move-exception;
        goto L_0x007c;
    L_0x008d:
        r0 = move-exception;
        goto L_0x0056;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.qqvideo.proxy.common.ConfigStorage.getHttpsSSLContext(android.content.Context):javax.net.ssl.SSLContext");
    }

    /* JADX WARNING: Removed duplicated region for block: B:60:0x0149 A:{SYNTHETIC, Splitter:B:60:0x0149} */
    /* JADX WARNING: Removed duplicated region for block: B:63:0x014e A:{SYNTHETIC, Splitter:B:63:0x014e} */
    /* JADX WARNING: Removed duplicated region for block: B:51:0x013a A:{SYNTHETIC, Splitter:B:51:0x013a} */
    /* JADX WARNING: Removed duplicated region for block: B:99:0x0128 A:{SYNTHETIC} */
    /* JADX WARNING: Removed duplicated region for block: B:54:0x013f A:{SYNTHETIC, Splitter:B:54:0x013f} */
    /* JADX WARNING: Removed duplicated region for block: B:60:0x0149 A:{SYNTHETIC, Splitter:B:60:0x0149} */
    /* JADX WARNING: Removed duplicated region for block: B:63:0x014e A:{SYNTHETIC, Splitter:B:63:0x014e} */
    /* JADX WARNING: Removed duplicated region for block: B:40:0x0120 A:{SYNTHETIC, Splitter:B:40:0x0120} */
    /* JADX WARNING: Removed duplicated region for block: B:98:0x0128 A:{SYNTHETIC} */
    /* JADX WARNING: Removed duplicated region for block: B:43:0x0125 A:{SYNTHETIC, Splitter:B:43:0x0125} */
    /* JADX WARNING: Removed duplicated region for block: B:51:0x013a A:{SYNTHETIC, Splitter:B:51:0x013a} */
    /* JADX WARNING: Removed duplicated region for block: B:54:0x013f A:{SYNTHETIC, Splitter:B:54:0x013f} */
    /* JADX WARNING: Removed duplicated region for block: B:99:0x0128 A:{SYNTHETIC} */
    private java.lang.String fetchTextFromUrl(java.lang.String r17, android.content.Context r18) {
        /*
        r16 = this;
        r2 = 124469; // 0x1e635 float:1.74418E-40 double:6.1496E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r2);
        r0 = r16;
        r1 = r18;
        r9 = r0.getHttpsSSLContext(r1);
        r6 = 0;
        r3 = 0;
        if (r9 != 0) goto L_0x001c;
    L_0x0012:
        r2 = "";
        r3 = 124469; // 0x1e635 float:1.74418E-40 double:6.1496E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r3);
    L_0x001b:
        return r2;
    L_0x001c:
        r2 = 0;
        r8 = r2;
    L_0x001e:
        r2 = 2;
        if (r8 < r2) goto L_0x002b;
    L_0x0021:
        r2 = "";
        r3 = 124469; // 0x1e635 float:1.74418E-40 double:6.1496E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r3);
        goto L_0x001b;
    L_0x002b:
        r2 = 1;
        if (r8 != r2) goto L_0x0189;
    L_0x002e:
        r2 = r16.getBkDomain(r17);
        r4 = 4;
        r5 = TAG;
        r7 = "请求备份域名:";
        r10 = java.lang.String.valueOf(r2);
        r7 = r7.concat(r10);
        com.tencent.qqvideo.proxy.httpproxy.HttpproxyFacade.print(r4, r5, r7);
        r7 = r2;
    L_0x0044:
        r2 = 0;
        r4 = r2;
        r5 = r3;
    L_0x0047:
        r2 = retryTimes;
        r2 = r2[r8];
        if (r4 < r2) goto L_0x0052;
    L_0x004d:
        r2 = r8 + 1;
        r8 = r2;
        r3 = r5;
        goto L_0x001e;
    L_0x0052:
        r2 = 4;
        r3 = TAG;	 Catch:{ IOException -> 0x0181, Throwable -> 0x017a, all -> 0x0173 }
        r10 = new java.lang.StringBuilder;	 Catch:{ IOException -> 0x0181, Throwable -> 0x017a, all -> 0x0173 }
        r11 = " 第";
        r10.<init>(r11);	 Catch:{ IOException -> 0x0181, Throwable -> 0x017a, all -> 0x0173 }
        r11 = r4 + 1;
        r10 = r10.append(r11);	 Catch:{ IOException -> 0x0181, Throwable -> 0x017a, all -> 0x0173 }
        r11 = " 次CGI请求:";
        r10 = r10.append(r11);	 Catch:{ IOException -> 0x0181, Throwable -> 0x017a, all -> 0x0173 }
        r10 = r10.append(r7);	 Catch:{ IOException -> 0x0181, Throwable -> 0x017a, all -> 0x0173 }
        r10 = r10.toString();	 Catch:{ IOException -> 0x0181, Throwable -> 0x017a, all -> 0x0173 }
        com.tencent.qqvideo.proxy.httpproxy.HttpproxyFacade.print(r2, r3, r10);	 Catch:{ IOException -> 0x0181, Throwable -> 0x017a, all -> 0x0173 }
        r10 = java.lang.System.currentTimeMillis();	 Catch:{ IOException -> 0x0181, Throwable -> 0x017a, all -> 0x0173 }
        r2 = new java.net.URL;	 Catch:{ IOException -> 0x0181, Throwable -> 0x017a, all -> 0x0173 }
        r2.<init>(r7);	 Catch:{ IOException -> 0x0181, Throwable -> 0x017a, all -> 0x0173 }
        r2 = r2.openConnection();	 Catch:{ IOException -> 0x0181, Throwable -> 0x017a, all -> 0x0173 }
        r2 = (javax.net.ssl.HttpsURLConnection) r2;	 Catch:{ IOException -> 0x0181, Throwable -> 0x017a, all -> 0x0173 }
        r3 = connectTimeOut;	 Catch:{ IOException -> 0x0181, Throwable -> 0x017a, all -> 0x0173 }
        r3 = r3[r4];	 Catch:{ IOException -> 0x0181, Throwable -> 0x017a, all -> 0x0173 }
        r2.setConnectTimeout(r3);	 Catch:{ IOException -> 0x0181, Throwable -> 0x017a, all -> 0x0173 }
        r3 = readTimeOut;	 Catch:{ IOException -> 0x0181, Throwable -> 0x017a, all -> 0x0173 }
        r3 = r3[r4];	 Catch:{ IOException -> 0x0181, Throwable -> 0x017a, all -> 0x0173 }
        r2.setReadTimeout(r3);	 Catch:{ IOException -> 0x0181, Throwable -> 0x017a, all -> 0x0173 }
        r3 = r9.getSocketFactory();	 Catch:{ IOException -> 0x0181, Throwable -> 0x017a, all -> 0x0173 }
        r2.setSSLSocketFactory(r3);	 Catch:{ IOException -> 0x0181, Throwable -> 0x017a, all -> 0x0173 }
        r3 = r2.getInputStream();	 Catch:{ IOException -> 0x0181, Throwable -> 0x017a, all -> 0x0173 }
        r6 = new java.lang.StringBuilder;	 Catch:{ IOException -> 0x0185, Throwable -> 0x017e, all -> 0x0177 }
        r6.<init>();	 Catch:{ IOException -> 0x0185, Throwable -> 0x017e, all -> 0x0177 }
        r2 = new java.io.BufferedReader;	 Catch:{ IOException -> 0x0185, Throwable -> 0x017e, all -> 0x0177 }
        r12 = new java.io.InputStreamReader;	 Catch:{ IOException -> 0x0185, Throwable -> 0x017e, all -> 0x0177 }
        r13 = "utf-8";
        r12.<init>(r3, r13);	 Catch:{ IOException -> 0x0185, Throwable -> 0x017e, all -> 0x0177 }
        r2.<init>(r12);	 Catch:{ IOException -> 0x0185, Throwable -> 0x017e, all -> 0x0177 }
    L_0x00af:
        r5 = r2.readLine();	 Catch:{ IOException -> 0x0105, Throwable -> 0x012e }
        if (r5 != 0) goto L_0x0101;
    L_0x00b5:
        r5 = r6.toString();	 Catch:{ IOException -> 0x0105, Throwable -> 0x012e }
        r6 = 4;
        r12 = TAG;	 Catch:{ IOException -> 0x0105, Throwable -> 0x012e }
        r13 = new java.lang.StringBuilder;	 Catch:{ IOException -> 0x0105, Throwable -> 0x012e }
        r14 = "【connect】连接时间：";
        r13.<init>(r14);	 Catch:{ IOException -> 0x0105, Throwable -> 0x012e }
        r14 = java.lang.System.currentTimeMillis();	 Catch:{ IOException -> 0x0105, Throwable -> 0x012e }
        r10 = r14 - r10;
        r10 = r13.append(r10);	 Catch:{ IOException -> 0x0105, Throwable -> 0x012e }
        r11 = "返回数据：";
        r10 = r10.append(r11);	 Catch:{ IOException -> 0x0105, Throwable -> 0x012e }
        r10 = r10.append(r5);	 Catch:{ IOException -> 0x0105, Throwable -> 0x012e }
        r10 = r10.toString();	 Catch:{ IOException -> 0x0105, Throwable -> 0x012e }
        com.tencent.qqvideo.proxy.httpproxy.HttpproxyFacade.print(r6, r12, r10);	 Catch:{ IOException -> 0x0105, Throwable -> 0x012e }
        r6 = android.text.TextUtils.isEmpty(r5);	 Catch:{ IOException -> 0x0105, Throwable -> 0x012e }
        if (r6 != 0) goto L_0x0158;
    L_0x00e6:
        r6 = r5.trim();	 Catch:{ IOException -> 0x0105, Throwable -> 0x012e }
        r6 = r6.isEmpty();	 Catch:{ IOException -> 0x0105, Throwable -> 0x012e }
        if (r6 != 0) goto L_0x0158;
    L_0x00f0:
        if (r3 == 0) goto L_0x00f5;
    L_0x00f2:
        r3.close();	 Catch:{ IOException -> 0x0163 }
    L_0x00f5:
        r2.close();	 Catch:{ IOException -> 0x0165 }
    L_0x00f8:
        r2 = 124469; // 0x1e635 float:1.74418E-40 double:6.1496E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        r2 = r5;
        goto L_0x001b;
    L_0x0101:
        r6.append(r5);	 Catch:{ IOException -> 0x0105, Throwable -> 0x012e }
        goto L_0x00af;
    L_0x0105:
        r5 = move-exception;
    L_0x0106:
        r5 = 6;
        r6 = TAG;	 Catch:{ all -> 0x0145 }
        r10 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0145 }
        r11 = "IO Exception";
        r10.<init>(r11);	 Catch:{ all -> 0x0145 }
        r11 = java.lang.System.err;	 Catch:{ all -> 0x0145 }
        r10 = r10.append(r11);	 Catch:{ all -> 0x0145 }
        r10 = r10.toString();	 Catch:{ all -> 0x0145 }
        com.tencent.qqvideo.proxy.httpproxy.HttpproxyFacade.print(r5, r6, r10);	 Catch:{ all -> 0x0145 }
        if (r3 == 0) goto L_0x0123;
    L_0x0120:
        r3.close();	 Catch:{ IOException -> 0x0167 }
    L_0x0123:
        if (r2 == 0) goto L_0x0128;
    L_0x0125:
        r2.close();	 Catch:{ IOException -> 0x0169 }
    L_0x0128:
        r4 = r4 + 1;
        r5 = r2;
        r6 = r3;
        goto L_0x0047;
    L_0x012e:
        r5 = move-exception;
    L_0x012f:
        r5 = 6;
        r6 = TAG;	 Catch:{ all -> 0x0145 }
        r10 = "unknow exception";
        com.tencent.qqvideo.proxy.httpproxy.HttpproxyFacade.print(r5, r6, r10);	 Catch:{ all -> 0x0145 }
        if (r3 == 0) goto L_0x013d;
    L_0x013a:
        r3.close();	 Catch:{ IOException -> 0x016b }
    L_0x013d:
        if (r2 == 0) goto L_0x0128;
    L_0x013f:
        r2.close();	 Catch:{ IOException -> 0x0143 }
        goto L_0x0128;
    L_0x0143:
        r5 = move-exception;
        goto L_0x0128;
    L_0x0145:
        r4 = move-exception;
        r5 = r2;
    L_0x0147:
        if (r3 == 0) goto L_0x014c;
    L_0x0149:
        r3.close();	 Catch:{ IOException -> 0x016d }
    L_0x014c:
        if (r5 == 0) goto L_0x0151;
    L_0x014e:
        r5.close();	 Catch:{ IOException -> 0x016f }
    L_0x0151:
        r2 = 124469; // 0x1e635 float:1.74418E-40 double:6.1496E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        throw r4;
    L_0x0158:
        if (r3 == 0) goto L_0x015d;
    L_0x015a:
        r3.close();	 Catch:{ IOException -> 0x0171 }
    L_0x015d:
        r2.close();	 Catch:{ IOException -> 0x0161 }
        goto L_0x0128;
    L_0x0161:
        r5 = move-exception;
        goto L_0x0128;
    L_0x0163:
        r3 = move-exception;
        goto L_0x00f5;
    L_0x0165:
        r2 = move-exception;
        goto L_0x00f8;
    L_0x0167:
        r5 = move-exception;
        goto L_0x0123;
    L_0x0169:
        r5 = move-exception;
        goto L_0x0128;
    L_0x016b:
        r5 = move-exception;
        goto L_0x013d;
    L_0x016d:
        r2 = move-exception;
        goto L_0x014c;
    L_0x016f:
        r2 = move-exception;
        goto L_0x0151;
    L_0x0171:
        r5 = move-exception;
        goto L_0x015d;
    L_0x0173:
        r2 = move-exception;
        r4 = r2;
        r3 = r6;
        goto L_0x0147;
    L_0x0177:
        r2 = move-exception;
        r4 = r2;
        goto L_0x0147;
    L_0x017a:
        r2 = move-exception;
        r2 = r5;
        r3 = r6;
        goto L_0x012f;
    L_0x017e:
        r2 = move-exception;
        r2 = r5;
        goto L_0x012f;
    L_0x0181:
        r2 = move-exception;
        r2 = r5;
        r3 = r6;
        goto L_0x0106;
    L_0x0185:
        r2 = move-exception;
        r2 = r5;
        goto L_0x0106;
    L_0x0189:
        r7 = r17;
        goto L_0x0044;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.qqvideo.proxy.common.ConfigStorage.fetchTextFromUrl(java.lang.String, android.content.Context):java.lang.String");
    }

    private String getBkDomain(String str) {
        AppMethodBeat.i(124470);
        if (TextUtils.isEmpty(str)) {
            str = "";
            AppMethodBeat.o(124470);
            return str;
        }
        AppMethodBeat.o(124470);
        return str;
    }
}
