package com.tencent.ttpic.face;

import android.graphics.PointF;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.ttpic.util.AlgoUtils;
import java.util.List;

public class RightEyeRangeDetector implements RangeDetector {
    private static RightEyeRangeDetector detector = new RightEyeRangeDetector();

    static {
        AppMethodBeat.i(81904);
        AppMethodBeat.o(81904);
    }

    public static RightEyeRangeDetector getInstance() {
        return detector;
    }

    private RightEyeRangeDetector() {
    }

    public float detectRange(List<PointF> list) {
        AppMethodBeat.i(81903);
        if (list == null || list.size() < 90) {
            AppMethodBeat.o(81903);
            return 0.0f;
        }
        float distance;
        float distance2 = AlgoUtils.getDistance((PointF) list.get(37), (PointF) list.get(38));
        if (distance2 > 0.0f) {
            distance = AlgoUtils.getDistance((PointF) list.get(37), (PointF) list.get(41)) / (distance2 / 3.0f);
        } else {
            distance = 5.0f;
        }
        distance = Math.min(distance / 5.0f, 1.0f);
        AppMethodBeat.o(81903);
        return distance;
    }
}
