package com.tencent.ttpic.filter;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.ttpic.config.BeautyRealConfig.TYPE;
import com.tencent.ttpic.model.DistortParam;
import com.tencent.ttpic.util.VideoTemplateParser;

public class BeautyParam {
    public static final int BEAUTY_TYPE_EYE = 5;
    public static final int BEAUTY_TYPE_NOSE = 6;
    public static final int BEAUTY_TYPE_SMOOTH = 1;
    public static final int BEAUTY_TYPE_VLIAN = 2;
    public static final int BEAUTY_TYPE_WHITEN = 0;
    public static final int BEAUTY_TYPE_XIABA = 4;
    public static final int BEAUTY_TYPE_ZHAILIAN = 3;
    public static final DistortParam EMPTY_PARAM = new DistortParam();
    private static final String JSON_FACE_BASIC3 = "{\n  \"shaderType\" : 6,\n  \"distortionList\" : [\n    {\n      \"radius\" : 500,\n      \"distortion\" : 3,\n      \"strength\" : 0.06,\n      \"position\" : 69,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.27,\n      \"position\" : 35,\n      \"direction\" : 1\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.27,\n      \"position\" : 45,\n      \"direction\" : 3\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.24,\n      \"position\" : 41,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.24,\n      \"position\" : 51,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 90,\n      \"distortion\" : 3,\n      \"strength\" : 0.18,\n      \"position\" : 37,\n      \"direction\" : 4\n    },\n    {\n      \"radius\" : 90,\n      \"distortion\" : 3,\n      \"strength\" : 0.18,\n      \"position\" : 47,\n      \"direction\" : 4\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.18,\n      \"position\" : 42,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.18,\n      \"position\" : 52,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 70,\n      \"distortion\" : 1,\n      \"strength\" : 0.2,\n      \"position\" : 43,\n      \"direction\" : 0\n    },\n    {\n      \"radius\" : 70,\n      \"distortion\" : 1,\n      \"strength\" : 0.2,\n      \"position\" : 53,\n      \"direction\" : 0\n    },\n    {\n      \"radius\" : 160,\n      \"distortion\" : 3,\n      \"strength\" : 0.105,\n      \"position\" : 57,\n      \"direction\" : 3\n    },\n    {\n      \"radius\" : 160,\n      \"distortion\" : 3,\n      \"strength\" : 0.105,\n      \"position\" : 61,\n      \"direction\" : 1\n    },\n    {\n      \"radius\" : 120,\n      \"distortion\" : 3,\n      \"strength\" : 0.05,\n      \"position\" : 56,\n      \"direction\" : 3\n    },\n    {\n      \"radius\" : 120,\n      \"distortion\" : 3,\n      \"strength\" : 0.05,\n      \"position\" : 62,\n      \"direction\" : 1\n    },\n    {\n      \"radius\" : 200,\n      \"distortion\" : 3,\n      \"strength\" : 0.075,\n      \"position\" : 0,\n      \"direction\" : 3\n    },\n    {\n      \"radius\" : 200,\n      \"distortion\" : 3,\n      \"strength\" : 0.075,\n      \"position\" : 18,\n      \"direction\" : 1\n    },\n    {\n      \"radius\" : 220,\n      \"distortion\" : 3,\n      \"strength\" : 0.09,\n      \"position\" : 2,\n      \"direction\" : 6\n    },\n    {\n      \"radius\" : 220,\n      \"distortion\" : 3,\n      \"strength\" : 0.09,\n      \"position\" : 16,\n      \"direction\" : 5\n    },\n    {\n      \"radius\" : 200,\n      \"distortion\" : 3,\n      \"strength\" : 0.12,\n      \"position\" : 5,\n      \"direction\" : 6\n    },\n    {\n      \"radius\" : 200,\n      \"distortion\" : 3,\n      \"strength\" : 0.12,\n      \"position\" : 13,\n      \"direction\" : 5\n    },\n    {\n      \"radius\" : 220,\n      \"distortion\" : 3,\n      \"strength\" : 0.105,\n      \"position\" : 7,\n      \"direction\" : 6\n    },\n    {\n      \"radius\" : 220,\n      \"distortion\" : 3,\n      \"strength\" : 0.105,\n      \"position\" : 11,\n      \"direction\" : 5\n    },\n    {\n      \"radius\" : 260,\n      \"distortion\" : 3,\n      \"strength\" : 0.075,\n      \"position\" : 9,\n      \"direction\" : 2\n    }\n  ],\n  \"minAppVersion\" : 400\n}";
    private static final String JSON_FACE_SHORTEN = "{\n  \"shaderType\" : 6,\n  \"distortionList\" : [\n    {\n      \"radius\" : 360,\n      \"distortion\" : 3,\n      \"strength\" : 0.05,\n      \"position\" : 64,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 200,\n      \"distortion\" : 3,\n      \"strength\" : 0.04,\n      \"position\" : 64,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 700,\n      \"distortion\" : 3,\n      \"strength\" : 0.04,\n      \"position\" : 81,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 300,\n      \"distortion\" : 3,\n      \"strength\" : 0.06,\n      \"position\" : 69,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 620,\n      \"distortion\" : 2,\n      \"strength\" : 0.03,\n      \"position\" : 69,\n      \"direction\" : 0\n    },\n    {\n      \"radius\" : 320,\n      \"distortion\" : 3,\n      \"strength\" : 0.16,\n      \"position\" : 9,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 320,\n      \"distortion\" : 3,\n      \"strength\" : 0.08,\n      \"position\" : 5,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 320,\n      \"distortion\" : 3,\n      \"strength\" : 0.08,\n      \"position\" : 13,\n      \"direction\" : 2\n    }\n  ],\n  \"minAppVersion\" : 400\n}";
    public static int MESH_SET = 0;
    private final String JSON_FACE_BASIC4 = "{\n  \"shaderType\" : 6,\n  \"distortionList\" : [\n    {\n      \"radius\" : 500,\n      \"distortion\" : 3,\n      \"strength\" : 0.12999999523162842,\n      \"position\" : 9,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.25,\n      \"dx\" : -3,\n      \"position\" : 35,\n      \"direction\" : 1\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.25,\n      \"dx\" : 3,\n      \"position\" : 45,\n      \"direction\" : 3\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.18000000715255737,\n      \"position\" : 41,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.18000000715255737,\n      \"position\" : 51,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.10000000149011612,\n      \"dx\" : 5,\n      \"position\" : 36,\n      \"direction\" : 4\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.10000000149011612,\n      \"dx\" : -5,\n      \"position\" : 46,\n      \"direction\" : 4\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.11999999731779099,\n      \"position\" : 42,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.11999999731779099,\n      \"position\" : 52,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 1,\n      \"strength\" : 0.15999999642372131,\n      \"position\" : 43,\n      \"direction\" : 0\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 1,\n      \"strength\" : 0.15999999642372131,\n      \"position\" : 53,\n      \"direction\" : 0\n    },\n    {\n      \"radius\" : 140,\n      \"position\" : 57,\n      \"dy\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.20000000298023224,\n      \"direction\" : 3,\n      \"dx\" : 0\n    },\n    {\n      \"radius\" : 140,\n      \"position\" : 61,\n      \"dy\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.20000000298023224,\n      \"direction\" : 1,\n      \"dx\" : 0\n    },\n    {\n      \"radius\" : 200,\n      \"distortion\" : 3,\n      \"strength\" : 0.059999998658895493,\n      \"position\" : 0,\n      \"direction\" : 3\n    },\n    {\n      \"radius\" : 200,\n      \"distortion\" : 3,\n      \"strength\" : 0.059999998658895493,\n      \"position\" : 18,\n      \"direction\" : 1\n    },\n    {\n      \"radius\" : 220,\n      \"distortion\" : 3,\n      \"strength\" : 0.11999999731779099,\n      \"position\" : 2,\n      \"direction\" : 6\n    },\n    {\n      \"radius\" : 220,\n      \"distortion\" : 3,\n      \"strength\" : 0.11999999731779099,\n      \"position\" : 16,\n      \"direction\" : 5\n    },\n    {\n      \"radius\" : 200,\n      \"position\" : 5,\n      \"dy\" : -5,\n      \"distortion\" : 3,\n      \"strength\" : 0.15999999642372131,\n      \"direction\" : 6,\n      \"dx\" : -10\n    },\n    {\n      \"radius\" : 200,\n      \"position\" : 13,\n      \"dy\" : -5,\n      \"distortion\" : 3,\n      \"strength\" : 0.15999999642372131,\n      \"direction\" : 5,\n      \"dx\" : 10\n    },\n    {\n      \"radius\" : 120,\n      \"position\" : 7,\n      \"dy\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.10000000149011612,\n      \"direction\" : 6,\n      \"dx\" : 5\n    },\n    {\n      \"radius\" : 120,\n      \"position\" : 11,\n      \"dy\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.10000000149011612,\n      \"direction\" : 5,\n      \"dx\" : -5\n    },\n    {\n      \"radius\" : 120,\n      \"position\" : 39,\n      \"dy\" : 0,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.10000000149011612,\n      \"direction\" : 3,\n      \"dx\" : 0,\n      \"targetDy\" : 0\n    },\n    {\n      \"radius\" : 120,\n      \"position\" : 49,\n      \"dy\" : 0,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.10000000149011612,\n      \"direction\" : 1,\n      \"dx\" : 0,\n      \"targetDy\" : 0\n    },\n    {\n      \"radius\" : 120,\n      \"position\" : 5,\n      \"dy\" : 0,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.15000000596046448,\n      \"direction\" : 3,\n      \"dx\" : 10,\n      \"targetDy\" : 0\n    },\n    {\n      \"radius\" : 120,\n      \"position\" : 13,\n      \"dy\" : 10,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.15000000596046448,\n      \"direction\" : 1,\n      \"dx\" : -10,\n      \"targetDy\" : 0\n    },\n    {\n      \"radius\" : 220,\n      \"position\" : 9,\n      \"dy\" : -20,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.12999999523162842,\n      \"direction\" : 2,\n      \"dx\" : 0,\n      \"targetDy\" : 0\n    },\n    {\n      \"radius\" : 240,\n      \"position\" : 85,\n      \"dy\" : -20,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.12999999523162842,\n      \"direction\" : 2,\n      \"dx\" : 0,\n      \"targetDy\" : 0\n    },\n    {\n      \"radius\" : 600,\n      \"position\" : 83,\n      \"dy\" : -50,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.059999998658895493,\n      \"direction\" : 2,\n      \"dx\" : 0,\n      \"targetDy\" : 0\n    },\n    {\n      \"radius\" : 80,\n      \"position\" : 8,\n      \"dy\" : 10,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.039999999105930328,\n      \"direction\" : 6,\n      \"dx\" : 0,\n      \"targetDy\" : 0\n    },\n    {\n      \"radius\" : 80,\n      \"position\" : 10,\n      \"dy\" : 10,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.039999999105930328,\n      \"direction\" : 5,\n      \"dx\" : 0,\n      \"targetDy\" : 0\n    }\n  ],\n  \"minAppVersion\" : 400\n}";
    private final String JSON_FACE_BASIC4_573 = "{\n  \"shaderType\" : 6,\n  \"distortionList\" : [\n    {\n      \"radius\" : 500,\n      \"distortion\" : 3,\n      \"strength\" : 0.12999999523162842,\n      \"position\" : 9,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.20000000298023224,\n      \"dx\" : -3,\n      \"position\" : 35,\n      \"direction\" : 1\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.20000000298023224,\n      \"dx\" : 3,\n      \"position\" : 45,\n      \"direction\" : 3\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.18000000715255737,\n      \"position\" : 41,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.18000000715255737,\n      \"position\" : 51,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.10000000149011612,\n      \"dx\" : 5,\n      \"position\" : 36,\n      \"direction\" : 4\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.10000000149011612,\n      \"dx\" : -5,\n      \"position\" : 46,\n      \"direction\" : 4\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.11999999731779099,\n      \"position\" : 42,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.11999999731779099,\n      \"position\" : 52,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 1,\n      \"strength\" : 0.15999999642372131,\n      \"position\" : 43,\n      \"direction\" : 0\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 1,\n      \"strength\" : 0.15999999642372131,\n      \"position\" : 53,\n      \"direction\" : 0\n    },\n    {\n      \"radius\" : 140,\n      \"position\" : 57,\n      \"dy\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.20000000298023224,\n      \"direction\" : 3,\n      \"dx\" : 0\n    },\n    {\n      \"radius\" : 140,\n      \"position\" : 61,\n      \"dy\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.20000000298023224,\n      \"direction\" : 1,\n      \"dx\" : 0\n    },\n    {\n      \"radius\" : 200,\n      \"distortion\" : 3,\n      \"strength\" : 0.079999998211860657,\n      \"position\" : 0,\n      \"direction\" : 3\n    },\n    {\n      \"radius\" : 200,\n      \"distortion\" : 3,\n      \"strength\" : 0.079999998211860657,\n      \"position\" : 18,\n      \"direction\" : 1\n    },\n    {\n      \"radius\" : 220,\n      \"distortion\" : 3,\n      \"strength\" : 0.15999999642372131,\n      \"position\" : 2,\n      \"direction\" : 6\n    },\n    {\n      \"radius\" : 220,\n      \"distortion\" : 3,\n      \"strength\" : 0.15999999642372131,\n      \"position\" : 16,\n      \"direction\" : 5\n    },\n    {\n      \"radius\" : 220,\n      \"position\" : 5,\n      \"dy\" : -5,\n      \"distortion\" : 3,\n      \"strength\" : 0.20000000298023224,\n      \"direction\" : 6,\n      \"dx\" : -10\n    },\n    {\n      \"radius\" : 220,\n      \"position\" : 13,\n      \"dy\" : -5,\n      \"distortion\" : 3,\n      \"strength\" : 0.20000000298023224,\n      \"direction\" : 5,\n      \"dx\" : 10\n    },\n    {\n      \"radius\" : 220,\n      \"position\" : 7,\n      \"dy\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.079999998211860657,\n      \"direction\" : 6,\n      \"dx\" : 5\n    },\n    {\n      \"radius\" : 220,\n      \"position\" : 11,\n      \"dy\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.079999998211860657,\n      \"direction\" : 5,\n      \"dx\" : -5\n    },\n    {\n      \"radius\" : 120,\n      \"position\" : 39,\n      \"dy\" : 0,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.05000000074505806,\n      \"direction\" : 3,\n      \"dx\" : 0,\n      \"targetDy\" : 0\n    },\n    {\n      \"radius\" : 120,\n      \"position\" : 49,\n      \"dy\" : 0,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.05000000074505806,\n      \"direction\" : 1,\n      \"dx\" : 0,\n      \"targetDy\" : 0\n    },\n    {\n      \"radius\" : 140,\n      \"position\" : 5,\n      \"dy\" : 0,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.039999999105930328,\n      \"direction\" : 3,\n      \"dx\" : 10,\n      \"targetDy\" : 0\n    },\n    {\n      \"radius\" : 140,\n      \"position\" : 13,\n      \"dy\" : 0,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.039999999105930328,\n      \"direction\" : 1,\n      \"dx\" : -10,\n      \"targetDy\" : 0\n    },\n    {\n      \"radius\" : 220,\n      \"position\" : 9,\n      \"dy\" : 0,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.20000000298023224,\n      \"direction\" : 2,\n      \"dx\" : 0,\n      \"targetDy\" : 0\n    },\n    {\n      \"radius\" : 160,\n      \"position\" : 9,\n      \"dy\" : 30,\n      \"targetDx\" : 0,\n      \"distortion\" : 2,\n      \"strength\" : 0.20000000298023224,\n      \"direction\" : 0,\n      \"dx\" : 0,\n      \"targetDy\" : 0\n    },\n    {\n      \"radius\" : 80,\n      \"position\" : 9,\n      \"dy\" : 0,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.22500000000000001,\n      \"direction\" : 4,\n      \"dx\" : 0,\n      \"targetDy\" : 0\n    },\n    {\n      \"radius\" : 200,\n      \"position\" : 85,\n      \"dy\" : -20,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.10000000149011612,\n      \"direction\" : 2,\n      \"dx\" : 0,\n      \"targetDy\" : 0\n    }\n  ],\n  \"minAppVersion\" : 400\n}";
    private final String JSON_FACE_GUIDE = "{\n  \"shaderType\" : 6,\n  \"distortionList\" : [\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.20000000298023224,\n      \"dx\" : -3,\n      \"position\" : 35,\n      \"direction\" : 1\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.20000000298023224,\n      \"dx\" : 3,\n      \"position\" : 45,\n      \"direction\" : 3\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.18000000715255737,\n      \"position\" : 41,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.18000000715255737,\n      \"position\" : 51,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.10000000149011612,\n      \"dx\" : 5,\n      \"position\" : 36,\n      \"direction\" : 4\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.10000000149011612,\n      \"dx\" : -5,\n      \"position\" : 46,\n      \"direction\" : 4\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.11999999731779099,\n      \"position\" : 42,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.11999999731779099,\n      \"position\" : 52,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 100,\n      \"distortion\" : 1,\n      \"strength\" : 0.15000000596046448,\n      \"position\" : 43,\n      \"direction\" : 0\n    },\n    {\n      \"radius\" : 100,\n      \"distortion\" : 1,\n      \"strength\" : 0.15000000596046448,\n      \"position\" : 53,\n      \"direction\" : 0\n    },\n    {\n      \"radius\" : 140,\n      \"position\" : 57,\n      \"dy\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.20000000298023224,\n      \"direction\" : 3,\n      \"dx\" : 0\n    },\n    {\n      \"radius\" : 140,\n      \"position\" : 61,\n      \"dy\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.20000000298023224,\n      \"direction\" : 1,\n      \"dx\" : 0\n    },\n    {\n      \"radius\" : 200,\n      \"distortion\" : 3,\n      \"strength\" : 0,\n      \"position\" : 0,\n      \"direction\" : 3\n    },\n    {\n      \"radius\" : 200,\n      \"distortion\" : 3,\n      \"strength\" : 0,\n      \"position\" : 18,\n      \"direction\" : 1\n    },\n    {\n      \"radius\" : 220,\n      \"distortion\" : 3,\n      \"strength\" : 0.039999999105930328,\n      \"position\" : 2,\n      \"direction\" : 6\n    },\n    {\n      \"radius\" : 220,\n      \"distortion\" : 3,\n      \"strength\" : 0.039999999105930328,\n      \"position\" : 16,\n      \"direction\" : 5\n    },\n    {\n      \"radius\" : 220,\n      \"position\" : 5,\n      \"dy\" : -5,\n      \"distortion\" : 3,\n      \"strength\" : 0.070000000298023224,\n      \"direction\" : 6,\n      \"dx\" : -10\n    },\n    {\n      \"radius\" : 220,\n      \"position\" : 13,\n      \"dy\" : -5,\n      \"distortion\" : 3,\n      \"strength\" : 0.070000000298023224,\n      \"direction\" : 5,\n      \"dx\" : 10\n    },\n    {\n      \"radius\" : 150,\n      \"position\" : 7,\n      \"dy\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.10000000149011612,\n      \"direction\" : 6,\n      \"dx\" : 5\n    },\n    {\n      \"radius\" : 150,\n      \"position\" : 11,\n      \"dy\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.10000000149011612,\n      \"direction\" : 5,\n      \"dx\" : -5\n    },\n    {\n      \"radius\" : 120,\n      \"position\" : 39,\n      \"dy\" : 0,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.019999999552965164,\n      \"direction\" : 3,\n      \"dx\" : 0,\n      \"targetDy\" : 0\n    },\n    {\n      \"radius\" : 120,\n      \"position\" : 49,\n      \"dy\" : 0,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.019999999552965164,\n      \"direction\" : 1,\n      \"dx\" : 0,\n      \"targetDy\" : 0\n    },\n    {\n      \"radius\" : 140,\n      \"position\" : 5,\n      \"dy\" : 0,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.039999999105930328,\n      \"direction\" : 3,\n      \"dx\" : 10,\n      \"targetDy\" : 0\n    },\n    {\n      \"radius\" : 140,\n      \"position\" : 13,\n      \"dy\" : 0,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.039999999105930328,\n      \"direction\" : 1,\n      \"dx\" : -10,\n      \"targetDy\" : 0\n    },\n    {\n      \"radius\" : 200,\n      \"position\" : 85,\n      \"dy\" : -20,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0,\n      \"direction\" : 2,\n      \"dx\" : 0,\n      \"targetDy\" : 0\n    }\n  ],\n  \"minAppVersion\" : 400\n}";
    public DistortParam basic4 = null;
    public DistortParam basic573 = null;
    private String daYanJson = "{\n  \"shaderType\" : 6,\n  \"distortionList\" : [\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.18,\n      \"position\" : 35,\n      \"direction\" : 1\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.18,\n      \"position\" : 45,\n      \"direction\" : 3\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.24,\n      \"position\" : 41,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.24,\n      \"position\" : 51,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 90,\n      \"distortion\" : 3,\n      \"strength\" : 0.14,\n      \"position\" : 37,\n      \"direction\" : 4\n    },\n    {\n      \"radius\" : 90,\n      \"distortion\" : 3,\n      \"strength\" : 0.14,\n      \"position\" : 47,\n      \"direction\" : 4\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.14,\n      \"position\" : 42,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.14,\n      \"position\" : 52,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 1,\n      \"strength\" : 0.15,\n      \"position\" : 43,\n      \"direction\" : 0\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 1,\n      \"strength\" : 0.15,\n      \"position\" : 53,\n      \"direction\" : 0\n    },\n    {\n      \"radius\" : 60,\n      \"distortion\" : 3,\n      \"strength\" : 0.15,\n      \"position\" : 40,\n      \"direction\" : 3\n    },\n    {\n      \"radius\" : 60,\n      \"distortion\" : 3,\n      \"strength\" : 0.15,\n      \"position\" : 50,\n      \"direction\" : 1\n    }\n  ],\n  \"minAppVersion\" : 400\n}";
    public DistortParam eye = null;
    public DistortParam faceShorten = null;
    public DistortParam guideBasic = null;
    public DistortParam nose = null;
    public float opttype = 0.0f;
    public float radius = 0.0f;
    private String shouBiJson = "{\n  \"shaderType\" : 6,\n  \"distortionList\" : [\n    {\n      \"radius\" : 300,\n      \"distortion\" : 3,\n      \"strength\" : 0.06,\n      \"position\" : 64,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 200,\n      \"distortion\" : 2,\n      \"strength\" : 0.06,\n      \"position\" : 64,\n      \"direction\" : 0\n    },\n    {\n      \"radius\" : 140,\n      \"distortion\" : 3,\n      \"strength\" : 0.05,\n      \"position\" : 57,\n      \"direction\" : 3\n    },\n    {\n      \"radius\" : 140,\n      \"distortion\" : 3,\n      \"strength\" : 0.05,\n      \"position\" : 61,\n      \"direction\" : 1\n    },\n    {\n      \"radius\" : 120,\n      \"distortion\" : 3,\n      \"strength\" : 0.05,\n      \"position\" : 56,\n      \"direction\" : 3\n    },\n    {\n      \"radius\" : 120,\n      \"distortion\" : 3,\n      \"strength\" : 0.05,\n      \"position\" : 62,\n      \"direction\" : 1\n    }\n  ],\n  \"minAppVersion\" : 400\n}";
    private String vLianJson = "{\n  \"shaderType\" : 6,\n  \"distortionList\" : [\n    {\n      \"radius\" : 200,\n      \"distortion\" : 3,\n      \"strength\" : 0.01,\n      \"position\" : 0,\n      \"direction\" : 3\n    },\n    {\n      \"radius\" : 200,\n      \"distortion\" : 3,\n      \"strength\" : 0.01,\n      \"position\" : 18,\n      \"direction\" : 1\n    },\n    {\n      \"radius\" : 220,\n      \"distortion\" : 3,\n      \"strength\" : 0.04,\n      \"position\" : 2,\n      \"direction\" : 6\n    },\n    {\n      \"radius\" : 220,\n      \"distortion\" : 3,\n      \"strength\" : 0.04,\n      \"position\" : 16,\n      \"direction\" : 5\n    },\n    {\n      \"radius\" : 230,\n      \"distortion\" : 3,\n      \"strength\" : 0.05,\n      \"position\" : 5,\n      \"direction\" : 6\n    },\n    {\n      \"radius\" : 230,\n      \"distortion\" : 3,\n      \"strength\" : 0.05,\n      \"position\" : 13,\n      \"direction\" : 5\n    },\n    {\n      \"radius\" : 230,\n      \"distortion\" : 3,\n      \"strength\" : 0.08,\n      \"position\" : 7,\n      \"direction\" : 6\n    },\n    {\n      \"radius\" : 230,\n      \"distortion\" : 3,\n      \"strength\" : 0.08,\n      \"position\" : 11,\n      \"direction\" : 5\n    },\n    {\n      \"radius\" : 320,\n      \"distortion\" : 3,\n      \"strength\" : 0.02,\n      \"position\" : 9,\n      \"direction\" : 2\n    }\n  ],\n  \"minAppVersion\" : 400\n}";
    public DistortParam vlian = null;
    public float whitenmag = 0.0f;
    private String xiaBaJson = "{\n  \"shaderType\" : 6,\n  \"distortionList\" : [\n    {\n      \"radius\" : 240,\n      \"distortion\" : 3,\n      \"strength\" : 0.08,\n      \"position\" : 5,\n      \"direction\" : 4\n    },\n    {\n      \"radius\" : 240,\n      \"distortion\" : 3,\n      \"strength\" : 0.08,\n      \"position\" : 13,\n      \"direction\" : 4\n    },\n    {\n      \"radius\" : 240,\n      \"distortion\" : 3,\n      \"strength\" : 0.1,\n      \"position\" : 7,\n      \"direction\" : 4\n    },\n    {\n      \"radius\" : 240,\n      \"distortion\" : 3,\n      \"strength\" : 0.1,\n      \"position\" : 11,\n      \"direction\" : 4\n    },\n    {\n      \"radius\" : 300,\n      \"distortion\" : 3,\n      \"strength\" : 0.06,\n      \"position\" : 9,\n      \"direction\" : 4\n    },\n    {\n      \"radius\" : 230,\n      \"distortion\" : 3,\n      \"strength\" : 0.06,\n      \"position\" : 9,\n      \"direction\" : 4\n    }\n  ],\n  \"minAppVersion\" : 400\n}\n";
    public DistortParam xiaba = null;
    private String zhaiLianJson = "{\n  \"shaderType\" : 6,\n  \"distortionList\" : [\n    {\n      \"radius\" : 200,\n      \"distortion\" : 3,\n      \"strength\" : 0.06,\n      \"position\" : 0,\n      \"direction\" : 3\n    },\n    {\n      \"radius\" : 200,\n      \"distortion\" : 3,\n      \"strength\" : 0.06,\n      \"position\" : 18,\n      \"direction\" : 1\n    },\n    {\n      \"radius\" : 240,\n      \"distortion\" : 3,\n      \"strength\" : 0.08,\n      \"position\" : 2,\n      \"direction\" : 3\n    },\n    {\n      \"radius\" : 240,\n      \"distortion\" : 3,\n      \"strength\" : 0.08,\n      \"position\" : 16,\n      \"direction\" : 1\n    },\n    {\n      \"radius\" : 260,\n      \"distortion\" : 3,\n      \"strength\" : 0.07,\n      \"position\" : 5,\n      \"direction\" : 3\n    },\n    {\n      \"radius\" : 260,\n      \"distortion\" : 3,\n      \"strength\" : 0.07,\n      \"position\" : 13,\n      \"direction\" : 1\n    }\n  ],\n  \"minAppVersion\" : 400\n}";
    public DistortParam zhailian = null;

    static {
        AppMethodBeat.i(82023);
        AppMethodBeat.o(82023);
    }

    public BeautyParam(boolean z) {
        AppMethodBeat.i(82013);
        if (z) {
            this.eye = initialEyeMesh();
            this.nose = initialNoseMesh();
            this.vlian = initialVlianMesh();
            this.zhailian = initialZhailianMesh();
            this.xiaba = initialXiabaMesh();
            this.faceShorten = initiFaceShortenMesh();
            this.basic573 = initBasic573Mesh();
            this.basic4 = initBasic4Mesh();
            this.guideBasic = initGuideMesh();
            AppMethodBeat.o(82013);
            return;
        }
        this.eye = EMPTY_PARAM;
        this.nose = EMPTY_PARAM;
        this.vlian = EMPTY_PARAM;
        this.zhailian = EMPTY_PARAM;
        this.xiaba = EMPTY_PARAM;
        this.faceShorten = EMPTY_PARAM;
        this.basic573 = EMPTY_PARAM;
        this.basic4 = EMPTY_PARAM;
        this.guideBasic = EMPTY_PARAM;
        AppMethodBeat.o(82013);
    }

    public void changeFaceMeshSet(int i) {
        MESH_SET = i;
    }

    private DistortParam initialEyeMesh() {
        AppMethodBeat.i(82014);
        DistortParam distortParam = new DistortParam(100, VideoTemplateParser.parseVideoMaterial(this.daYanJson, null).getDistortionItemList());
        AppMethodBeat.o(82014);
        return distortParam;
    }

    private DistortParam initialNoseMesh() {
        AppMethodBeat.i(82015);
        DistortParam distortParam = new DistortParam(100, VideoTemplateParser.parseVideoMaterial(this.shouBiJson, null).getDistortionItemList());
        AppMethodBeat.o(82015);
        return distortParam;
    }

    private DistortParam initialVlianMesh() {
        AppMethodBeat.i(82016);
        DistortParam distortParam = new DistortParam(100, VideoTemplateParser.parseVideoMaterial(this.vLianJson, null).getDistortionItemList());
        AppMethodBeat.o(82016);
        return distortParam;
    }

    private DistortParam initialZhailianMesh() {
        AppMethodBeat.i(82017);
        DistortParam distortParam = new DistortParam(100, VideoTemplateParser.parseVideoMaterial(this.zhaiLianJson, null).getDistortionItemList());
        AppMethodBeat.o(82017);
        return distortParam;
    }

    private DistortParam initialXiabaMesh() {
        AppMethodBeat.i(82018);
        DistortParam distortParam = new DistortParam(100, VideoTemplateParser.parseVideoMaterial(this.xiaBaJson, null).getDistortionItemList());
        AppMethodBeat.o(82018);
        return distortParam;
    }

    private DistortParam initiFaceShortenMesh() {
        AppMethodBeat.i(82019);
        DistortParam distortParam = new DistortParam(100, VideoTemplateParser.parseVideoMaterial(JSON_FACE_SHORTEN, null).getDistortionItemList());
        AppMethodBeat.o(82019);
        return distortParam;
    }

    private DistortParam initBasic573Mesh() {
        AppMethodBeat.i(82020);
        DistortParam distortParam = new DistortParam(100, VideoTemplateParser.parseVideoMaterial("{\n  \"shaderType\" : 6,\n  \"distortionList\" : [\n    {\n      \"radius\" : 500,\n      \"distortion\" : 3,\n      \"strength\" : 0.12999999523162842,\n      \"position\" : 9,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.20000000298023224,\n      \"dx\" : -3,\n      \"position\" : 35,\n      \"direction\" : 1\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.20000000298023224,\n      \"dx\" : 3,\n      \"position\" : 45,\n      \"direction\" : 3\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.18000000715255737,\n      \"position\" : 41,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.18000000715255737,\n      \"position\" : 51,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.10000000149011612,\n      \"dx\" : 5,\n      \"position\" : 36,\n      \"direction\" : 4\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.10000000149011612,\n      \"dx\" : -5,\n      \"position\" : 46,\n      \"direction\" : 4\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.11999999731779099,\n      \"position\" : 42,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.11999999731779099,\n      \"position\" : 52,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 1,\n      \"strength\" : 0.15999999642372131,\n      \"position\" : 43,\n      \"direction\" : 0\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 1,\n      \"strength\" : 0.15999999642372131,\n      \"position\" : 53,\n      \"direction\" : 0\n    },\n    {\n      \"radius\" : 140,\n      \"position\" : 57,\n      \"dy\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.20000000298023224,\n      \"direction\" : 3,\n      \"dx\" : 0\n    },\n    {\n      \"radius\" : 140,\n      \"position\" : 61,\n      \"dy\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.20000000298023224,\n      \"direction\" : 1,\n      \"dx\" : 0\n    },\n    {\n      \"radius\" : 200,\n      \"distortion\" : 3,\n      \"strength\" : 0.079999998211860657,\n      \"position\" : 0,\n      \"direction\" : 3\n    },\n    {\n      \"radius\" : 200,\n      \"distortion\" : 3,\n      \"strength\" : 0.079999998211860657,\n      \"position\" : 18,\n      \"direction\" : 1\n    },\n    {\n      \"radius\" : 220,\n      \"distortion\" : 3,\n      \"strength\" : 0.15999999642372131,\n      \"position\" : 2,\n      \"direction\" : 6\n    },\n    {\n      \"radius\" : 220,\n      \"distortion\" : 3,\n      \"strength\" : 0.15999999642372131,\n      \"position\" : 16,\n      \"direction\" : 5\n    },\n    {\n      \"radius\" : 220,\n      \"position\" : 5,\n      \"dy\" : -5,\n      \"distortion\" : 3,\n      \"strength\" : 0.20000000298023224,\n      \"direction\" : 6,\n      \"dx\" : -10\n    },\n    {\n      \"radius\" : 220,\n      \"position\" : 13,\n      \"dy\" : -5,\n      \"distortion\" : 3,\n      \"strength\" : 0.20000000298023224,\n      \"direction\" : 5,\n      \"dx\" : 10\n    },\n    {\n      \"radius\" : 220,\n      \"position\" : 7,\n      \"dy\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.079999998211860657,\n      \"direction\" : 6,\n      \"dx\" : 5\n    },\n    {\n      \"radius\" : 220,\n      \"position\" : 11,\n      \"dy\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.079999998211860657,\n      \"direction\" : 5,\n      \"dx\" : -5\n    },\n    {\n      \"radius\" : 120,\n      \"position\" : 39,\n      \"dy\" : 0,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.05000000074505806,\n      \"direction\" : 3,\n      \"dx\" : 0,\n      \"targetDy\" : 0\n    },\n    {\n      \"radius\" : 120,\n      \"position\" : 49,\n      \"dy\" : 0,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.05000000074505806,\n      \"direction\" : 1,\n      \"dx\" : 0,\n      \"targetDy\" : 0\n    },\n    {\n      \"radius\" : 140,\n      \"position\" : 5,\n      \"dy\" : 0,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.039999999105930328,\n      \"direction\" : 3,\n      \"dx\" : 10,\n      \"targetDy\" : 0\n    },\n    {\n      \"radius\" : 140,\n      \"position\" : 13,\n      \"dy\" : 0,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.039999999105930328,\n      \"direction\" : 1,\n      \"dx\" : -10,\n      \"targetDy\" : 0\n    },\n    {\n      \"radius\" : 220,\n      \"position\" : 9,\n      \"dy\" : 0,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.20000000298023224,\n      \"direction\" : 2,\n      \"dx\" : 0,\n      \"targetDy\" : 0\n    },\n    {\n      \"radius\" : 160,\n      \"position\" : 9,\n      \"dy\" : 30,\n      \"targetDx\" : 0,\n      \"distortion\" : 2,\n      \"strength\" : 0.20000000298023224,\n      \"direction\" : 0,\n      \"dx\" : 0,\n      \"targetDy\" : 0\n    },\n    {\n      \"radius\" : 80,\n      \"position\" : 9,\n      \"dy\" : 0,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.22500000000000001,\n      \"direction\" : 4,\n      \"dx\" : 0,\n      \"targetDy\" : 0\n    },\n    {\n      \"radius\" : 200,\n      \"position\" : 85,\n      \"dy\" : -20,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.10000000149011612,\n      \"direction\" : 2,\n      \"dx\" : 0,\n      \"targetDy\" : 0\n    }\n  ],\n  \"minAppVersion\" : 400\n}", null).getDistortionItemList());
        AppMethodBeat.o(82020);
        return distortParam;
    }

    private DistortParam initBasic4Mesh() {
        AppMethodBeat.i(82021);
        DistortParam distortParam = new DistortParam(100, VideoTemplateParser.parseVideoMaterial("{\n  \"shaderType\" : 6,\n  \"distortionList\" : [\n    {\n      \"radius\" : 500,\n      \"distortion\" : 3,\n      \"strength\" : 0.12999999523162842,\n      \"position\" : 9,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.25,\n      \"dx\" : -3,\n      \"position\" : 35,\n      \"direction\" : 1\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.25,\n      \"dx\" : 3,\n      \"position\" : 45,\n      \"direction\" : 3\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.18000000715255737,\n      \"position\" : 41,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.18000000715255737,\n      \"position\" : 51,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.10000000149011612,\n      \"dx\" : 5,\n      \"position\" : 36,\n      \"direction\" : 4\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.10000000149011612,\n      \"dx\" : -5,\n      \"position\" : 46,\n      \"direction\" : 4\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.11999999731779099,\n      \"position\" : 42,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.11999999731779099,\n      \"position\" : 52,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 1,\n      \"strength\" : 0.15999999642372131,\n      \"position\" : 43,\n      \"direction\" : 0\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 1,\n      \"strength\" : 0.15999999642372131,\n      \"position\" : 53,\n      \"direction\" : 0\n    },\n    {\n      \"radius\" : 140,\n      \"position\" : 57,\n      \"dy\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.20000000298023224,\n      \"direction\" : 3,\n      \"dx\" : 0\n    },\n    {\n      \"radius\" : 140,\n      \"position\" : 61,\n      \"dy\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.20000000298023224,\n      \"direction\" : 1,\n      \"dx\" : 0\n    },\n    {\n      \"radius\" : 200,\n      \"distortion\" : 3,\n      \"strength\" : 0.059999998658895493,\n      \"position\" : 0,\n      \"direction\" : 3\n    },\n    {\n      \"radius\" : 200,\n      \"distortion\" : 3,\n      \"strength\" : 0.059999998658895493,\n      \"position\" : 18,\n      \"direction\" : 1\n    },\n    {\n      \"radius\" : 220,\n      \"distortion\" : 3,\n      \"strength\" : 0.11999999731779099,\n      \"position\" : 2,\n      \"direction\" : 6\n    },\n    {\n      \"radius\" : 220,\n      \"distortion\" : 3,\n      \"strength\" : 0.11999999731779099,\n      \"position\" : 16,\n      \"direction\" : 5\n    },\n    {\n      \"radius\" : 200,\n      \"position\" : 5,\n      \"dy\" : -5,\n      \"distortion\" : 3,\n      \"strength\" : 0.15999999642372131,\n      \"direction\" : 6,\n      \"dx\" : -10\n    },\n    {\n      \"radius\" : 200,\n      \"position\" : 13,\n      \"dy\" : -5,\n      \"distortion\" : 3,\n      \"strength\" : 0.15999999642372131,\n      \"direction\" : 5,\n      \"dx\" : 10\n    },\n    {\n      \"radius\" : 120,\n      \"position\" : 7,\n      \"dy\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.10000000149011612,\n      \"direction\" : 6,\n      \"dx\" : 5\n    },\n    {\n      \"radius\" : 120,\n      \"position\" : 11,\n      \"dy\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.10000000149011612,\n      \"direction\" : 5,\n      \"dx\" : -5\n    },\n    {\n      \"radius\" : 120,\n      \"position\" : 39,\n      \"dy\" : 0,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.10000000149011612,\n      \"direction\" : 3,\n      \"dx\" : 0,\n      \"targetDy\" : 0\n    },\n    {\n      \"radius\" : 120,\n      \"position\" : 49,\n      \"dy\" : 0,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.10000000149011612,\n      \"direction\" : 1,\n      \"dx\" : 0,\n      \"targetDy\" : 0\n    },\n    {\n      \"radius\" : 120,\n      \"position\" : 5,\n      \"dy\" : 0,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.15000000596046448,\n      \"direction\" : 3,\n      \"dx\" : 10,\n      \"targetDy\" : 0\n    },\n    {\n      \"radius\" : 120,\n      \"position\" : 13,\n      \"dy\" : 10,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.15000000596046448,\n      \"direction\" : 1,\n      \"dx\" : -10,\n      \"targetDy\" : 0\n    },\n    {\n      \"radius\" : 220,\n      \"position\" : 9,\n      \"dy\" : -20,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.12999999523162842,\n      \"direction\" : 2,\n      \"dx\" : 0,\n      \"targetDy\" : 0\n    },\n    {\n      \"radius\" : 240,\n      \"position\" : 85,\n      \"dy\" : -20,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.12999999523162842,\n      \"direction\" : 2,\n      \"dx\" : 0,\n      \"targetDy\" : 0\n    },\n    {\n      \"radius\" : 600,\n      \"position\" : 83,\n      \"dy\" : -50,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.059999998658895493,\n      \"direction\" : 2,\n      \"dx\" : 0,\n      \"targetDy\" : 0\n    },\n    {\n      \"radius\" : 80,\n      \"position\" : 8,\n      \"dy\" : 10,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.039999999105930328,\n      \"direction\" : 6,\n      \"dx\" : 0,\n      \"targetDy\" : 0\n    },\n    {\n      \"radius\" : 80,\n      \"position\" : 10,\n      \"dy\" : 10,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.039999999105930328,\n      \"direction\" : 5,\n      \"dx\" : 0,\n      \"targetDy\" : 0\n    }\n  ],\n  \"minAppVersion\" : 400\n}", null).getDistortionItemList());
        AppMethodBeat.o(82021);
        return distortParam;
    }

    private DistortParam initGuideMesh() {
        AppMethodBeat.i(82022);
        DistortParam distortParam = new DistortParam(100, VideoTemplateParser.parseVideoMaterial("{\n  \"shaderType\" : 6,\n  \"distortionList\" : [\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.20000000298023224,\n      \"dx\" : -3,\n      \"position\" : 35,\n      \"direction\" : 1\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.20000000298023224,\n      \"dx\" : 3,\n      \"position\" : 45,\n      \"direction\" : 3\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.18000000715255737,\n      \"position\" : 41,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.18000000715255737,\n      \"position\" : 51,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.10000000149011612,\n      \"dx\" : 5,\n      \"position\" : 36,\n      \"direction\" : 4\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.10000000149011612,\n      \"dx\" : -5,\n      \"position\" : 46,\n      \"direction\" : 4\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.11999999731779099,\n      \"position\" : 42,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 80,\n      \"distortion\" : 3,\n      \"strength\" : 0.11999999731779099,\n      \"position\" : 52,\n      \"direction\" : 2\n    },\n    {\n      \"radius\" : 100,\n      \"distortion\" : 1,\n      \"strength\" : 0.15000000596046448,\n      \"position\" : 43,\n      \"direction\" : 0\n    },\n    {\n      \"radius\" : 100,\n      \"distortion\" : 1,\n      \"strength\" : 0.15000000596046448,\n      \"position\" : 53,\n      \"direction\" : 0\n    },\n    {\n      \"radius\" : 140,\n      \"position\" : 57,\n      \"dy\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.20000000298023224,\n      \"direction\" : 3,\n      \"dx\" : 0\n    },\n    {\n      \"radius\" : 140,\n      \"position\" : 61,\n      \"dy\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.20000000298023224,\n      \"direction\" : 1,\n      \"dx\" : 0\n    },\n    {\n      \"radius\" : 200,\n      \"distortion\" : 3,\n      \"strength\" : 0,\n      \"position\" : 0,\n      \"direction\" : 3\n    },\n    {\n      \"radius\" : 200,\n      \"distortion\" : 3,\n      \"strength\" : 0,\n      \"position\" : 18,\n      \"direction\" : 1\n    },\n    {\n      \"radius\" : 220,\n      \"distortion\" : 3,\n      \"strength\" : 0.039999999105930328,\n      \"position\" : 2,\n      \"direction\" : 6\n    },\n    {\n      \"radius\" : 220,\n      \"distortion\" : 3,\n      \"strength\" : 0.039999999105930328,\n      \"position\" : 16,\n      \"direction\" : 5\n    },\n    {\n      \"radius\" : 220,\n      \"position\" : 5,\n      \"dy\" : -5,\n      \"distortion\" : 3,\n      \"strength\" : 0.070000000298023224,\n      \"direction\" : 6,\n      \"dx\" : -10\n    },\n    {\n      \"radius\" : 220,\n      \"position\" : 13,\n      \"dy\" : -5,\n      \"distortion\" : 3,\n      \"strength\" : 0.070000000298023224,\n      \"direction\" : 5,\n      \"dx\" : 10\n    },\n    {\n      \"radius\" : 150,\n      \"position\" : 7,\n      \"dy\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.10000000149011612,\n      \"direction\" : 6,\n      \"dx\" : 5\n    },\n    {\n      \"radius\" : 150,\n      \"position\" : 11,\n      \"dy\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.10000000149011612,\n      \"direction\" : 5,\n      \"dx\" : -5\n    },\n    {\n      \"radius\" : 120,\n      \"position\" : 39,\n      \"dy\" : 0,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.019999999552965164,\n      \"direction\" : 3,\n      \"dx\" : 0,\n      \"targetDy\" : 0\n    },\n    {\n      \"radius\" : 120,\n      \"position\" : 49,\n      \"dy\" : 0,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.019999999552965164,\n      \"direction\" : 1,\n      \"dx\" : 0,\n      \"targetDy\" : 0\n    },\n    {\n      \"radius\" : 140,\n      \"position\" : 5,\n      \"dy\" : 0,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.039999999105930328,\n      \"direction\" : 3,\n      \"dx\" : 10,\n      \"targetDy\" : 0\n    },\n    {\n      \"radius\" : 140,\n      \"position\" : 13,\n      \"dy\" : 0,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0.039999999105930328,\n      \"direction\" : 1,\n      \"dx\" : -10,\n      \"targetDy\" : 0\n    },\n    {\n      \"radius\" : 200,\n      \"position\" : 85,\n      \"dy\" : -20,\n      \"targetDx\" : 0,\n      \"distortion\" : 3,\n      \"strength\" : 0,\n      \"direction\" : 2,\n      \"dx\" : 0,\n      \"targetDy\" : 0\n    }\n  ],\n  \"minAppVersion\" : 400\n}", null).getDistortionItemList());
        AppMethodBeat.o(82022);
        return distortParam;
    }

    public DistortParam getDistortList(int i) {
        if (i == TYPE.FACE_V.value) {
            return this.vlian;
        }
        if (i == TYPE.FACE_THIN.value) {
            return this.zhailian;
        }
        if (i == TYPE.CHIN.value) {
            return this.xiaba;
        }
        if (i == TYPE.EYE.value) {
            return this.eye;
        }
        if (i == TYPE.NOSE.value) {
            return this.nose;
        }
        if (i == TYPE.FACE_SHORTEN.value) {
            return this.faceShorten;
        }
        if (i != TYPE.BASIC3.value) {
            return EMPTY_PARAM;
        }
        if (MESH_SET == 1) {
            return this.basic4;
        }
        return this.basic573;
    }
}
