package com.tencent.ttpic.view;

import android.opengl.GLDebugHelper;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.ttpic.view.GLSurfaceView.LogWriter;
import java.io.Writer;
import java.lang.ref.WeakReference;
import javax.microedition.khronos.egl.EGL10;
import javax.microedition.khronos.egl.EGLConfig;
import javax.microedition.khronos.egl.EGLContext;
import javax.microedition.khronos.egl.EGLDisplay;
import javax.microedition.khronos.egl.EGLSurface;
import javax.microedition.khronos.opengles.GL;

class GLSurfaceView$EglHelper {
    EGL10 mEgl;
    EGLConfig mEglConfig;
    EGLContext mEglContext;
    EGLDisplay mEglDisplay;
    EGLSurface mEglSurface;
    private WeakReference<GLSurfaceView> mGLSurfaceViewWeakRef;

    public GLSurfaceView$EglHelper(WeakReference<GLSurfaceView> weakReference) {
        this.mGLSurfaceViewWeakRef = weakReference;
    }

    public void start() {
        AppMethodBeat.i(84435);
        this.mEgl = (EGL10) EGLContext.getEGL();
        this.mEglDisplay = this.mEgl.eglGetDisplay(EGL10.EGL_DEFAULT_DISPLAY);
        RuntimeException runtimeException;
        if (this.mEglDisplay == EGL10.EGL_NO_DISPLAY) {
            runtimeException = new RuntimeException("eglGetDisplay failed");
            AppMethodBeat.o(84435);
            throw runtimeException;
        }
        if (this.mEgl.eglInitialize(this.mEglDisplay, new int[2])) {
            GLSurfaceView gLSurfaceView = (GLSurfaceView) this.mGLSurfaceViewWeakRef.get();
            if (gLSurfaceView == null) {
                this.mEglConfig = null;
                this.mEglContext = null;
            } else {
                this.mEglConfig = GLSurfaceView.access$300(gLSurfaceView).chooseConfig(this.mEgl, this.mEglDisplay);
                this.mEglContext = GLSurfaceView.access$400(gLSurfaceView).createContext(this.mEgl, this.mEglDisplay, this.mEglConfig);
            }
            if (this.mEglContext == null || this.mEglContext == EGL10.EGL_NO_CONTEXT) {
                this.mEglContext = null;
                throwEglException("createContext");
            }
            this.mEglSurface = null;
            AppMethodBeat.o(84435);
            return;
        }
        runtimeException = new RuntimeException("eglInitialize failed");
        AppMethodBeat.o(84435);
        throw runtimeException;
    }

    public boolean createSurface() {
        AppMethodBeat.i(84436);
        RuntimeException runtimeException;
        if (this.mEgl == null) {
            runtimeException = new RuntimeException("egl not initialized");
            AppMethodBeat.o(84436);
            throw runtimeException;
        } else if (this.mEglDisplay == null) {
            runtimeException = new RuntimeException("eglDisplay not initialized");
            AppMethodBeat.o(84436);
            throw runtimeException;
        } else if (this.mEglConfig == null) {
            runtimeException = new RuntimeException("mEglConfig not initialized");
            AppMethodBeat.o(84436);
            throw runtimeException;
        } else {
            destroySurfaceImp();
            GLSurfaceView gLSurfaceView = (GLSurfaceView) this.mGLSurfaceViewWeakRef.get();
            if (gLSurfaceView != null) {
                this.mEglSurface = GLSurfaceView.access$500(gLSurfaceView).createWindowSurface(this.mEgl, this.mEglDisplay, this.mEglConfig, gLSurfaceView.getHolder());
            } else {
                this.mEglSurface = null;
            }
            if (this.mEglSurface == null || this.mEglSurface == EGL10.EGL_NO_SURFACE) {
                this.mEgl.eglGetError();
                AppMethodBeat.o(84436);
                return false;
            } else if (this.mEgl.eglMakeCurrent(this.mEglDisplay, this.mEglSurface, this.mEglSurface, this.mEglContext)) {
                AppMethodBeat.o(84436);
                return true;
            } else {
                logEglErrorAsWarning("EGLHelper", "eglMakeCurrent", this.mEgl.eglGetError());
                AppMethodBeat.o(84436);
                return false;
            }
        }
    }

    /* Access modifiers changed, original: 0000 */
    public GL createGL() {
        AppMethodBeat.i(84437);
        GL gl = this.mEglContext.getGL();
        GLSurfaceView gLSurfaceView = (GLSurfaceView) this.mGLSurfaceViewWeakRef.get();
        if (gLSurfaceView != null) {
            if (GLSurfaceView.access$600(gLSurfaceView) != null) {
                gl = GLSurfaceView.access$600(gLSurfaceView).wrap(gl);
            }
            if ((GLSurfaceView.access$700(gLSurfaceView) & 3) != 0) {
                Writer logWriter;
                int i = 0;
                if ((GLSurfaceView.access$700(gLSurfaceView) & 1) != 0) {
                    i = 1;
                }
                if ((GLSurfaceView.access$700(gLSurfaceView) & 2) != 0) {
                    logWriter = new LogWriter();
                } else {
                    logWriter = null;
                }
                gl = GLDebugHelper.wrap(gl, i, logWriter);
            }
        }
        AppMethodBeat.o(84437);
        return gl;
    }

    public int swap() {
        AppMethodBeat.i(84438);
        if (this.mEgl.eglSwapBuffers(this.mEglDisplay, this.mEglSurface)) {
            AppMethodBeat.o(84438);
            return 12288;
        }
        int eglGetError = this.mEgl.eglGetError();
        AppMethodBeat.o(84438);
        return eglGetError;
    }

    public void destroySurface() {
        AppMethodBeat.i(84439);
        destroySurfaceImp();
        AppMethodBeat.o(84439);
    }

    private void destroySurfaceImp() {
        AppMethodBeat.i(84440);
        if (!(this.mEglSurface == null || this.mEglSurface == EGL10.EGL_NO_SURFACE)) {
            EGL10 egl10 = this.mEgl;
            EGLDisplay eGLDisplay = this.mEglDisplay;
            EGLSurface eGLSurface = EGL10.EGL_NO_SURFACE;
            egl10.eglMakeCurrent(eGLDisplay, eGLSurface, eGLSurface, EGL10.EGL_NO_CONTEXT);
            GLSurfaceView gLSurfaceView = (GLSurfaceView) this.mGLSurfaceViewWeakRef.get();
            if (gLSurfaceView != null) {
                GLSurfaceView.access$500(gLSurfaceView).destroySurface(this.mEgl, this.mEglDisplay, this.mEglSurface);
            }
            this.mEglSurface = null;
        }
        AppMethodBeat.o(84440);
    }

    public void finish() {
        AppMethodBeat.i(84441);
        if (this.mEglContext != null) {
            GLSurfaceView gLSurfaceView = (GLSurfaceView) this.mGLSurfaceViewWeakRef.get();
            if (gLSurfaceView != null) {
                GLSurfaceView.access$400(gLSurfaceView).destroyContext(this.mEgl, this.mEglDisplay, this.mEglContext);
            }
            this.mEglContext = null;
        }
        if (this.mEglDisplay != null) {
            this.mEgl.eglTerminate(this.mEglDisplay);
            this.mEglDisplay = null;
        }
        AppMethodBeat.o(84441);
    }

    private void throwEglException(String str) {
        AppMethodBeat.i(84442);
        throwEglException(str, this.mEgl.eglGetError());
        AppMethodBeat.o(84442);
    }

    public static void throwEglException(String str, int i) {
        AppMethodBeat.i(84443);
        RuntimeException runtimeException = new RuntimeException(formatEglError(str, i));
        AppMethodBeat.o(84443);
        throw runtimeException;
    }

    public static void logEglErrorAsWarning(String str, String str2, int i) {
        AppMethodBeat.i(84444);
        formatEglError(str2, i);
        AppMethodBeat.o(84444);
    }

    public static String formatEglError(String str, int i) {
        AppMethodBeat.i(84445);
        String str2 = str + " failed: " + i;
        AppMethodBeat.o(84445);
        return str2;
    }
}
