package com.tencent.youtu.ytagreflectlivecheck.controller;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.youtu.ytagreflectlivecheck.YTAGReflectLiveCheckInterface.LightLiveCheckResult;
import com.tencent.youtu.ytagreflectlivecheck.jni.JNIUtils;
import com.tencent.youtu.ytagreflectlivecheck.jni.YTAGReflectLiveCheckJNIInterface;
import com.tencent.youtu.ytagreflectlivecheck.jni.cppDefine.FullPack;
import com.tencent.youtu.ytagreflectlivecheck.jni.model.PersonLiveReq;
import com.tencent.youtu.ytagreflectlivecheck.manager.ProcessManager;
import com.tencent.youtu.ytagreflectlivecheck.requester.UploadVideoRequester;
import com.tencent.youtu.ytcommon.tools.CameraSetting;
import com.tencent.youtu.ytcommon.tools.YTLogger;
import com.tencent.youtu.ytcommon.tools.wejson.WeJson;

public class FinishController {
    private static int ERRCODE_JNI_DETECT_FAILED = 3;
    private static int ERRCODE_JSON_DECODE_FAILED = 2;
    private static int ERRCODE_NET_RETURN_PARSE_NULL = 0;
    private static int ERRCODE_UPLOAD_VIDEO_FAILED = 1;
    private static final String TAG = "YoutuLightLiveCheck";

    public void start(UploadVideoRequester uploadVideoRequester, LightLiveCheckResult lightLiveCheckResult) {
        AppMethodBeat.i(123146);
        YTLogger.i("mCountDownTimer", "current thread3: " + Thread.currentThread());
        long currentTimeMillis = System.currentTimeMillis();
        int rotateTag = CameraSetting.getRotateTag(ProcessManager.dataWorker().mCameraRotate);
        long currentTimeMillis2 = System.currentTimeMillis();
        rotateTag = YTAGReflectLiveCheckJNIInterface.getInstance().FRDoDetectionYuvs(false, rotateTag);
        long currentTimeMillis3 = System.currentTimeMillis();
        if (rotateTag == 0) {
            FullPack FRGetAGin = YTAGReflectLiveCheckJNIInterface.getInstance().FRGetAGin();
            long currentTimeMillis4 = System.currentTimeMillis();
            PersonLiveReq translation = JNIUtils.translation(FRGetAGin, ProcessManager.dataWorker().mRgbConfigCode);
            long currentTimeMillis5 = System.currentTimeMillis();
            String toJson = new WeJson().toJson(translation);
            long currentTimeMillis6 = System.currentTimeMillis();
            YTLogger.i("mCountDownTimer", "[FinishController.start] finish t2: " + (currentTimeMillis2 - currentTimeMillis));
            YTLogger.i("mCountDownTimer", "[FinishController.start] finish t3: " + (currentTimeMillis3 - currentTimeMillis2));
            YTLogger.i("mCountDownTimer", "[FinishController.start] finish t4: " + (currentTimeMillis4 - currentTimeMillis3));
            YTLogger.i("mCountDownTimer", "[FinishController.start] finish t5: " + (currentTimeMillis5 - currentTimeMillis4));
            YTLogger.i("mCountDownTimer", "[FinishController.start] finish t6: " + (currentTimeMillis6 - currentTimeMillis5));
            uploadVideoRequester.request(toJson, new 1(this, lightLiveCheckResult));
            AppMethodBeat.o(123146);
            return;
        }
        lightLiveCheckResult.onFailed(ERRCODE_JNI_DETECT_FAILED, "JNI return failed.[" + rotateTag + "]", "Check log for more information. code: ".concat(String.valueOf(rotateTag)));
        AppMethodBeat.o(123146);
    }
}
