package org.xwalk.core;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.xweb.util.b;
import java.io.BufferedReader;
import java.io.Closeable;
import java.io.File;
import java.io.FileInputStream;
import java.io.InputStreamReader;
import java.util.ArrayList;
import org.xwalk.core.XWalkUpdater.PatchFileConfig;

public class XWalkUpdater$PatchFileConfigParser {
    private static final String ADD_FLAG = "ADD:";
    private static final int ADD_TYPE = 1;
    private static final int APK_FILE_TYPE = 1;
    private static final String DEL_FLAG = "DEL:";
    private static final int DEL_TYPE = 3;
    private static final int EXTRACTED_FILE_TYPE = 2;
    private static final String MOD_FLAG = "MOD:";
    private static final int MOD_TYPE = 2;
    private static final String PATCH_SUFFIX = ".patch";

    public static ArrayList<PatchFileConfig> getPatchFileConfigList(int i) {
        Closeable inputStreamReader;
        Exception e;
        Closeable closeable;
        Throwable th;
        AppMethodBeat.i(85910);
        Closeable fileInputStream;
        try {
            fileInputStream = new FileInputStream(new File(XWalkEnvironment.getPatchConfig(i)));
            try {
                inputStreamReader = new InputStreamReader(fileInputStream);
            } catch (Exception e2) {
                e = e2;
                closeable = null;
                inputStreamReader = null;
                try {
                    Log.e("XWalkLib", "getPatchFileConfigList error:" + e.getMessage());
                    b.tryClose(fileInputStream);
                    b.tryClose(inputStreamReader);
                    b.tryClose(closeable);
                    AppMethodBeat.o(85910);
                    return null;
                } catch (Throwable th2) {
                    th = th2;
                    b.tryClose(fileInputStream);
                    b.tryClose(inputStreamReader);
                    b.tryClose(closeable);
                    AppMethodBeat.o(85910);
                    throw th;
                }
            } catch (Throwable th3) {
                th = th3;
                closeable = null;
                inputStreamReader = null;
                b.tryClose(fileInputStream);
                b.tryClose(inputStreamReader);
                b.tryClose(closeable);
                AppMethodBeat.o(85910);
                throw th;
            }
            try {
                closeable = new BufferedReader(inputStreamReader);
            } catch (Exception e3) {
                e = e3;
                closeable = null;
                Log.e("XWalkLib", "getPatchFileConfigList error:" + e.getMessage());
                b.tryClose(fileInputStream);
                b.tryClose(inputStreamReader);
                b.tryClose(closeable);
                AppMethodBeat.o(85910);
                return null;
            } catch (Throwable th4) {
                th = th4;
                closeable = null;
                b.tryClose(fileInputStream);
                b.tryClose(inputStreamReader);
                b.tryClose(closeable);
                AppMethodBeat.o(85910);
                throw th;
            }
            try {
                ArrayList<PatchFileConfig> arrayList = new ArrayList();
                while (true) {
                    String readLine = closeable.readLine();
                    if (readLine == null) {
                        b.tryClose(fileInputStream);
                        b.tryClose(inputStreamReader);
                        b.tryClose(closeable);
                        AppMethodBeat.o(85910);
                        return arrayList;
                    } else if (!(readLine == null || readLine.isEmpty())) {
                        int i2;
                        if (readLine.startsWith(ADD_FLAG)) {
                            readLine = readLine.substring(4);
                            i2 = 1;
                        } else if (readLine.startsWith(MOD_FLAG)) {
                            readLine = readLine.substring(4);
                            i2 = 2;
                        } else if (readLine.startsWith(DEL_FLAG)) {
                            readLine = readLine.substring(4);
                            i2 = 3;
                        } else {
                            i2 = 0;
                        }
                        for (String str : readLine.split(",")) {
                            if (!(str == null || str.isEmpty())) {
                                PatchFileConfig patchFileConfig = new PatchFileConfig();
                                patchFileConfig.originalFileName = str;
                                patchFileConfig.type = i2;
                                if (i2 == 2) {
                                    patchFileConfig.patchFileName = patchFileConfig.originalFileName + PATCH_SUFFIX;
                                }
                                if (i2 == 2 && patchFileConfig.originalFileName.equals("base.apk")) {
                                    patchFileConfig.originalFileType = 1;
                                } else {
                                    patchFileConfig.originalFileType = 2;
                                }
                                Log.d("XWalkLib", "getPatchFileConfigList config:" + patchFileConfig.toString());
                                arrayList.add(patchFileConfig);
                            }
                        }
                    }
                }
            } catch (Exception e4) {
                e = e4;
                Log.e("XWalkLib", "getPatchFileConfigList error:" + e.getMessage());
                b.tryClose(fileInputStream);
                b.tryClose(inputStreamReader);
                b.tryClose(closeable);
                AppMethodBeat.o(85910);
                return null;
            }
        } catch (Exception e5) {
            e = e5;
            closeable = null;
            inputStreamReader = null;
            fileInputStream = null;
            Log.e("XWalkLib", "getPatchFileConfigList error:" + e.getMessage());
            b.tryClose(fileInputStream);
            b.tryClose(inputStreamReader);
            b.tryClose(closeable);
            AppMethodBeat.o(85910);
            return null;
        } catch (Throwable th5) {
            th = th5;
            closeable = null;
            inputStreamReader = null;
            fileInputStream = null;
            b.tryClose(fileInputStream);
            b.tryClose(inputStreamReader);
            b.tryClose(closeable);
            AppMethodBeat.o(85910);
            throw th;
        }
    }
}
