package android.support.design.widget;

import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.os.Build.VERSION;
import android.os.Parcelable;
import android.os.SystemClock;
import android.support.v4.content.b;
import android.support.v4.f.i;
import android.support.v4.f.k.a;
import android.support.v4.f.k.c;
import android.support.v4.view.aa;
import android.support.v4.view.d;
import android.support.v4.view.m;
import android.support.v4.view.n;
import android.support.v4.view.o;
import android.support.v4.view.s;
import android.support.v4.widget.h;
import android.support.v4.widget.u;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.SparseArray;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.MeasureSpec;
import android.view.ViewGroup;
import android.view.ViewGroup.LayoutParams;
import android.view.ViewGroup.OnHierarchyChangeListener;
import com.tencent.smtt.sdk.TbsListener$ErrorCode;
import java.lang.reflect.Constructor;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class CoordinatorLayout extends ViewGroup implements m {
    static final String pk;
    static final Class<?>[] pl = new Class[]{Context.class, AttributeSet.class};
    static final ThreadLocal<Map<String, Constructor<Behavior>>> pm = new ThreadLocal();
    static final Comparator<View> pn;
    private static final a<Rect> po = new c(12);
    aa mp;
    private boolean pA;
    boolean pB;
    private Drawable pC;
    OnHierarchyChangeListener pD;
    private o pE;
    private final n pF;
    private final List<View> pp;
    final h<View> pq;
    private final List<View> pr;
    final List<View> ps;
    private final int[] pt;
    private boolean pu;
    private boolean pv;
    private int[] pw;
    private View px;
    private View py;
    private e pz;

    static {
        Package packageR = CoordinatorLayout.class.getPackage();
        pk = packageR != null ? packageR.getName() : null;
        if (VERSION.SDK_INT >= 21) {
            pn = new f();
        } else {
            pn = null;
        }
    }

    private static Rect bY() {
        Rect rect = (Rect) po.aA();
        if (rect == null) {
            return new Rect();
        }
        return rect;
    }

    private static void c(Rect rect) {
        rect.setEmpty();
        po.release(rect);
    }

    public CoordinatorLayout(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 2130771981);
    }

    public CoordinatorLayout(Context context, AttributeSet attributeSet, int i) {
        TypedArray obtainStyledAttributes;
        int i2 = 0;
        super(context, attributeSet, i);
        this.pp = new ArrayList();
        this.pq = new h();
        this.pr = new ArrayList();
        this.ps = new ArrayList();
        this.pt = new int[2];
        this.pF = new n(this);
        if (i == 0) {
            obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, android.support.b.a.a.CoordinatorLayout, 0, 2131493832);
        } else {
            obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, android.support.b.a.a.CoordinatorLayout, i, 0);
        }
        int resourceId = obtainStyledAttributes.getResourceId(0, 0);
        if (resourceId != 0) {
            Resources resources = context.getResources();
            this.pw = resources.getIntArray(resourceId);
            float f = resources.getDisplayMetrics().density;
            int length = this.pw.length;
            while (i2 < length) {
                int[] iArr = this.pw;
                iArr[i2] = (int) (((float) iArr[i2]) * f);
                i2++;
            }
        }
        this.pC = obtainStyledAttributes.getDrawable(1);
        obtainStyledAttributes.recycle();
        ca();
        super.setOnHierarchyChangeListener(new c(this));
    }

    public void setOnHierarchyChangeListener(OnHierarchyChangeListener onHierarchyChangeListener) {
        this.pD = onHierarchyChangeListener;
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        q(false);
        if (this.pA) {
            if (this.pz == null) {
                this.pz = new e(this);
            }
            getViewTreeObserver().addOnPreDrawListener(this.pz);
        }
        if (this.mp == null && s.al(this)) {
            s.ak(this);
        }
        this.pv = true;
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        q(false);
        if (this.pA && this.pz != null) {
            getViewTreeObserver().removeOnPreDrawListener(this.pz);
        }
        if (this.py != null) {
            onStopNestedScroll(this.py);
        }
        this.pv = false;
    }

    public void setStatusBarBackground(Drawable drawable) {
        Drawable drawable2 = null;
        if (this.pC != drawable) {
            if (this.pC != null) {
                this.pC.setCallback(null);
            }
            if (drawable != null) {
                drawable2 = drawable.mutate();
            }
            this.pC = drawable2;
            if (this.pC != null) {
                if (this.pC.isStateful()) {
                    this.pC.setState(getDrawableState());
                }
                android.support.v4.a.a.a.b(this.pC, s.T(this));
                this.pC.setVisible(getVisibility() == 0, false);
                this.pC.setCallback(this);
            }
            s.R(this);
        }
    }

    public Drawable getStatusBarBackground() {
        return this.pC;
    }

    /* Access modifiers changed, original: protected */
    public void drawableStateChanged() {
        super.drawableStateChanged();
        int[] drawableState = getDrawableState();
        int i = 0;
        Drawable drawable = this.pC;
        if (drawable != null && drawable.isStateful()) {
            i = drawable.setState(drawableState) | 0;
        }
        if (i != 0) {
            invalidate();
        }
    }

    /* Access modifiers changed, original: protected */
    public boolean verifyDrawable(Drawable drawable) {
        return super.verifyDrawable(drawable) || drawable == this.pC;
    }

    public void setVisibility(int i) {
        boolean z;
        super.setVisibility(i);
        if (i == 0) {
            z = true;
        } else {
            z = false;
        }
        if (this.pC != null && this.pC.isVisible() != z) {
            this.pC.setVisible(z, false);
        }
    }

    public void setStatusBarBackgroundResource(int i) {
        setStatusBarBackground(i != 0 ? b.g(getContext(), i) : null);
    }

    public void setStatusBarBackgroundColor(int i) {
        setStatusBarBackground(new ColorDrawable(i));
    }

    public final aa getLastWindowInsets() {
        return this.mp;
    }

    private void q(boolean z) {
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = getChildAt(i);
            Behavior behavior = ((d) childAt.getLayoutParams()).pH;
            if (behavior != null) {
                long uptimeMillis = SystemClock.uptimeMillis();
                MotionEvent obtain = MotionEvent.obtain(uptimeMillis, uptimeMillis, 3, 0.0f, 0.0f, 0);
                if (z) {
                    behavior.a(this, childAt, obtain);
                } else {
                    behavior.b(this, childAt, obtain);
                }
                obtain.recycle();
            }
        }
        for (int i2 = 0; i2 < childCount; i2++) {
            ((d) getChildAt(i2).getLayoutParams()).pR = false;
        }
        this.px = null;
        this.pu = false;
    }

    private boolean a(MotionEvent motionEvent, int i) {
        int childDrawingOrder;
        boolean z = false;
        Object obj = null;
        int actionMasked = motionEvent.getActionMasked();
        List list = this.pr;
        list.clear();
        boolean isChildrenDrawingOrderEnabled = isChildrenDrawingOrderEnabled();
        int childCount = getChildCount();
        for (int i2 = childCount - 1; i2 >= 0; i2--) {
            if (isChildrenDrawingOrderEnabled) {
                childDrawingOrder = getChildDrawingOrder(childCount, i2);
            } else {
                childDrawingOrder = i2;
            }
            list.add(getChildAt(childDrawingOrder));
        }
        if (pn != null) {
            Collections.sort(list, pn);
        }
        int size = list.size();
        int i3 = 0;
        MotionEvent motionEvent2 = null;
        while (i3 < size) {
            Object obj2;
            MotionEvent motionEvent3;
            View view = (View) list.get(i3);
            d dVar = (d) view.getLayoutParams();
            Behavior behavior = dVar.pH;
            if ((!z && obj == null) || actionMasked == 0) {
                if (!(z || behavior == null)) {
                    switch (i) {
                        case 0:
                            z = behavior.a(this, view, motionEvent);
                            break;
                        case 1:
                            z = behavior.b(this, view, motionEvent);
                            break;
                    }
                    if (z) {
                        this.px = view;
                    }
                }
                isChildrenDrawingOrderEnabled = z;
                if (dVar.pH == null) {
                    dVar.pR = false;
                }
                boolean z2 = dVar.pR;
                if (dVar.pR) {
                    childDrawingOrder = 1;
                } else {
                    int i4 = dVar.pR | 0;
                    dVar.pR = i4;
                    childDrawingOrder = i4;
                }
                obj2 = (childDrawingOrder == 0 || z2) ? null : 1;
                if (childDrawingOrder == 0 || obj2 != null) {
                    motionEvent3 = motionEvent2;
                } else {
                    list.clear();
                    return isChildrenDrawingOrderEnabled;
                }
            } else if (behavior != null) {
                if (motionEvent2 == null) {
                    long uptimeMillis = SystemClock.uptimeMillis();
                    motionEvent3 = MotionEvent.obtain(uptimeMillis, uptimeMillis, 3, 0.0f, 0.0f, 0);
                } else {
                    motionEvent3 = motionEvent2;
                }
                switch (i) {
                    case 0:
                        behavior.a(this, view, motionEvent3);
                        obj2 = obj;
                        isChildrenDrawingOrderEnabled = z;
                        continue;
                    case 1:
                        behavior.b(this, view, motionEvent3);
                        break;
                }
                obj2 = obj;
                isChildrenDrawingOrderEnabled = z;
            } else {
                motionEvent3 = motionEvent2;
                obj2 = obj;
                isChildrenDrawingOrderEnabled = z;
            }
            i3++;
            motionEvent2 = motionEvent3;
            obj = obj2;
            z = isChildrenDrawingOrderEnabled;
        }
        isChildrenDrawingOrderEnabled = z;
        list.clear();
        return isChildrenDrawingOrderEnabled;
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked == 0) {
            q(true);
        }
        boolean a = a(motionEvent, 0);
        if (actionMasked == 1 || actionMasked == 3) {
            q(true);
        }
        return a;
    }

    /* JADX WARNING: Removed duplicated region for block: B:17:0x003e  */
    /* JADX WARNING: Removed duplicated region for block: B:10:0x002b  */
    /* JADX WARNING: Removed duplicated region for block: B:12:0x0033  */
    public boolean onTouchEvent(android.view.MotionEvent r12) {
        /*
        r11 = this;
        r4 = 3;
        r10 = 1;
        r5 = 0;
        r7 = 0;
        r2 = 0;
        r9 = r12.getActionMasked();
        r0 = r11.px;
        if (r0 != 0) goto L_0x0055;
    L_0x000d:
        r0 = r11.a(r12, r10);
        if (r0 == 0) goto L_0x0052;
    L_0x0013:
        r1 = r0;
    L_0x0014:
        r0 = r11.px;
        r0 = r0.getLayoutParams();
        r0 = (android.support.design.widget.CoordinatorLayout.d) r0;
        r0 = r0.pH;
        if (r0 == 0) goto L_0x0050;
    L_0x0020:
        r3 = r11.px;
        r0 = r0.b(r11, r3, r12);
        r8 = r0;
    L_0x0027:
        r0 = r11.px;
        if (r0 != 0) goto L_0x003e;
    L_0x002b:
        r0 = super.onTouchEvent(r12);
        r8 = r8 | r0;
        r0 = r2;
    L_0x0031:
        if (r0 == 0) goto L_0x0036;
    L_0x0033:
        r0.recycle();
    L_0x0036:
        if (r9 == r10) goto L_0x003a;
    L_0x0038:
        if (r9 != r4) goto L_0x003d;
    L_0x003a:
        r11.q(r7);
    L_0x003d:
        return r8;
    L_0x003e:
        if (r1 == 0) goto L_0x004e;
    L_0x0040:
        r0 = android.os.SystemClock.uptimeMillis();
        r2 = r0;
        r6 = r5;
        r0 = android.view.MotionEvent.obtain(r0, r2, r4, r5, r6, r7);
        super.onTouchEvent(r0);
        goto L_0x0031;
    L_0x004e:
        r0 = r2;
        goto L_0x0031;
    L_0x0050:
        r8 = r7;
        goto L_0x0027;
    L_0x0052:
        r1 = r0;
        r8 = r7;
        goto L_0x0027;
    L_0x0055:
        r1 = r7;
        goto L_0x0014;
        */
        throw new UnsupportedOperationException("Method not decompiled: android.support.design.widget.CoordinatorLayout.onTouchEvent(android.view.MotionEvent):boolean");
    }

    public void requestDisallowInterceptTouchEvent(boolean z) {
        super.requestDisallowInterceptTouchEvent(z);
        if (z && !this.pu) {
            q(false);
            this.pu = true;
        }
    }

    private int U(int i) {
        if (this.pw == null) {
            new StringBuilder("No keylines defined for ").append(this).append(" - attempted index lookup ").append(i);
            return 0;
        } else if (i >= 0 && i < this.pw.length) {
            return this.pw[i];
        } else {
            new StringBuilder("Keyline index ").append(i).append(" out of range for ").append(this);
            return 0;
        }
    }

    static Behavior a(Context context, AttributeSet attributeSet, String str) {
        if (TextUtils.isEmpty(str)) {
            return null;
        }
        Object str2;
        if (str2.startsWith(".")) {
            str2 = context.getPackageName() + str2;
        } else if (str2.indexOf(46) < 0 && !TextUtils.isEmpty(pk)) {
            str2 = pk + '.' + str2;
        }
        try {
            Map map;
            Map map2 = (Map) pm.get();
            if (map2 == null) {
                HashMap hashMap = new HashMap();
                pm.set(hashMap);
                map = hashMap;
            } else {
                map = map2;
            }
            Constructor constructor = (Constructor) map.get(str2);
            if (constructor == null) {
                constructor = context.getClassLoader().loadClass(str2).getConstructor(pl);
                constructor.setAccessible(true);
                map.put(str2, constructor);
            }
            return (Behavior) constructor.newInstance(new Object[]{context, attributeSet});
        } catch (Exception e) {
            throw new RuntimeException("Could not inflate Behavior subclass ".concat(String.valueOf(str2)), e);
        }
    }

    private static d o(View view) {
        d dVar = (d) view.getLayoutParams();
        if (!dVar.pI) {
            if (view instanceof a) {
                dVar.a(((a) view).cb());
                dVar.pI = true;
            } else {
                b bVar = null;
                for (Class cls = view.getClass(); cls != null; cls = cls.getSuperclass()) {
                    bVar = (b) cls.getAnnotation(b.class);
                    if (bVar != null) {
                        break;
                    }
                }
                b bVar2 = bVar;
                if (bVar2 != null) {
                    try {
                        dVar.a((Behavior) bVar2.value().getDeclaredConstructor(new Class[0]).newInstance(new Object[0]));
                    } catch (Exception e) {
                        new StringBuilder("Default behavior class ").append(bVar2.value().getName()).append(" could not be instantiated. Did you forget a default constructor?");
                    }
                }
                dVar.pI = true;
            }
        }
        return dVar;
    }

    /* JADX WARNING: Removed duplicated region for block: B:106:0x019a A:{SYNTHETIC} */
    /* JADX WARNING: Removed duplicated region for block: B:28:0x0085  */
    /* JADX WARNING: Missing block: B:42:0x00be, code skipped:
            if (r0 == null) goto L_0x00c0;
     */
    private void bZ() {
        /*
        r12 = this;
        r4 = 1;
        r11 = 0;
        r3 = 0;
        r0 = r12.pp;
        r0.clear();
        r2 = r12.pq;
        r0 = r2.PR;
        r5 = r0.size();
        r1 = r3;
    L_0x0011:
        if (r1 >= r5) goto L_0x0029;
    L_0x0013:
        r0 = r2.PR;
        r0 = r0.valueAt(r1);
        r0 = (java.util.ArrayList) r0;
        if (r0 == 0) goto L_0x0025;
    L_0x001d:
        r0.clear();
        r6 = r2.PQ;
        r6.release(r0);
    L_0x0025:
        r0 = r1 + 1;
        r1 = r0;
        goto L_0x0011;
    L_0x0029:
        r0 = r2.PR;
        r0.clear();
        r5 = r12.getChildCount();
        r2 = r3;
    L_0x0033:
        if (r2 >= r5) goto L_0x01a4;
    L_0x0035:
        r6 = r12.getChildAt(r2);
        r7 = o(r6);
        r0 = r7.pK;
        r1 = -1;
        if (r0 != r1) goto L_0x00af;
    L_0x0042:
        r7.pQ = r11;
        r7.pP = r11;
    L_0x0046:
        r0 = r12.pq;
        r0.I(r6);
        r1 = r3;
    L_0x004c:
        if (r1 >= r5) goto L_0x019f;
    L_0x004e:
        if (r1 == r2) goto L_0x019a;
    L_0x0050:
        r8 = r12.getChildAt(r1);
        r0 = r7.pQ;
        if (r8 == r0) goto L_0x0082;
    L_0x0058:
        r9 = android.support.v4.view.s.T(r12);
        r0 = r8.getLayoutParams();
        r0 = (android.support.design.widget.CoordinatorLayout.d) r0;
        r0 = r0.pL;
        r0 = android.support.v4.view.d.getAbsoluteGravity(r0, r9);
        if (r0 == 0) goto L_0x0173;
    L_0x006a:
        r10 = r7.pM;
        r9 = android.support.v4.view.d.getAbsoluteGravity(r10, r9);
        r9 = r9 & r0;
        if (r9 != r0) goto L_0x0173;
    L_0x0073:
        r0 = r4;
    L_0x0074:
        if (r0 != 0) goto L_0x0082;
    L_0x0076:
        r0 = r7.pH;
        if (r0 == 0) goto L_0x0176;
    L_0x007a:
        r0 = r7.pH;
        r0 = r0.e(r8);
        if (r0 == 0) goto L_0x0176;
    L_0x0082:
        r0 = r4;
    L_0x0083:
        if (r0 == 0) goto L_0x019a;
    L_0x0085:
        r0 = r12.pq;
        r0 = r0.PR;
        r0 = r0.containsKey(r8);
        if (r0 != 0) goto L_0x0094;
    L_0x008f:
        r0 = r12.pq;
        r0.I(r8);
    L_0x0094:
        r9 = r12.pq;
        r0 = r9.PR;
        r0 = r0.containsKey(r8);
        if (r0 == 0) goto L_0x00a6;
    L_0x009e:
        r0 = r9.PR;
        r0 = r0.containsKey(r6);
        if (r0 != 0) goto L_0x0179;
    L_0x00a6:
        r0 = new java.lang.IllegalArgumentException;
        r1 = "All nodes must be present in the graph before being added as an edge";
        r0.<init>(r1);
        throw r0;
    L_0x00af:
        r0 = r7.pP;
        if (r0 == 0) goto L_0x00c0;
    L_0x00b3:
        r0 = r7.pP;
        r0 = r0.getId();
        r1 = r7.pK;
        if (r0 == r1) goto L_0x00dc;
    L_0x00bd:
        r0 = r3;
    L_0x00be:
        if (r0 != 0) goto L_0x0046;
    L_0x00c0:
        r0 = r7.pK;
        r0 = r12.findViewById(r0);
        r7.pP = r0;
        r0 = r7.pP;
        if (r0 == 0) goto L_0x013c;
    L_0x00cc:
        r0 = r7.pP;
        if (r0 != r12) goto L_0x0109;
    L_0x00d0:
        r0 = r12.isInEditMode();
        if (r0 == 0) goto L_0x0100;
    L_0x00d6:
        r7.pQ = r11;
        r7.pP = r11;
        goto L_0x0046;
    L_0x00dc:
        r0 = r7.pP;
        r1 = r7.pP;
        r1 = r1.getParent();
    L_0x00e4:
        if (r1 == r12) goto L_0x00fc;
    L_0x00e6:
        if (r1 == 0) goto L_0x00ea;
    L_0x00e8:
        if (r1 != r6) goto L_0x00f0;
    L_0x00ea:
        r7.pQ = r11;
        r7.pP = r11;
        r0 = r3;
        goto L_0x00be;
    L_0x00f0:
        r8 = r1 instanceof android.view.View;
        if (r8 == 0) goto L_0x00f7;
    L_0x00f4:
        r0 = r1;
        r0 = (android.view.View) r0;
    L_0x00f7:
        r1 = r1.getParent();
        goto L_0x00e4;
    L_0x00fc:
        r7.pQ = r0;
        r0 = r4;
        goto L_0x00be;
    L_0x0100:
        r0 = new java.lang.IllegalStateException;
        r1 = "View can not be anchored to the the parent CoordinatorLayout";
        r0.<init>(r1);
        throw r0;
    L_0x0109:
        r0 = r7.pP;
        r1 = r7.pP;
        r1 = r1.getParent();
    L_0x0111:
        if (r1 == r12) goto L_0x0138;
    L_0x0113:
        if (r1 == 0) goto L_0x0138;
    L_0x0115:
        if (r1 != r6) goto L_0x012c;
    L_0x0117:
        r0 = r12.isInEditMode();
        if (r0 == 0) goto L_0x0123;
    L_0x011d:
        r7.pQ = r11;
        r7.pP = r11;
        goto L_0x0046;
    L_0x0123:
        r0 = new java.lang.IllegalStateException;
        r1 = "Anchor must not be a descendant of the anchored view";
        r0.<init>(r1);
        throw r0;
    L_0x012c:
        r8 = r1 instanceof android.view.View;
        if (r8 == 0) goto L_0x0133;
    L_0x0130:
        r0 = r1;
        r0 = (android.view.View) r0;
    L_0x0133:
        r1 = r1.getParent();
        goto L_0x0111;
    L_0x0138:
        r7.pQ = r0;
        goto L_0x0046;
    L_0x013c:
        r0 = r12.isInEditMode();
        if (r0 == 0) goto L_0x0148;
    L_0x0142:
        r7.pQ = r11;
        r7.pP = r11;
        goto L_0x0046;
    L_0x0148:
        r0 = new java.lang.IllegalStateException;
        r1 = new java.lang.StringBuilder;
        r2 = "Could not find CoordinatorLayout descendant view with id ";
        r1.<init>(r2);
        r2 = r12.getResources();
        r3 = r7.pK;
        r2 = r2.getResourceName(r3);
        r1 = r1.append(r2);
        r2 = " to anchor view ";
        r1 = r1.append(r2);
        r1 = r1.append(r6);
        r1 = r1.toString();
        r0.<init>(r1);
        throw r0;
    L_0x0173:
        r0 = r3;
        goto L_0x0074;
    L_0x0176:
        r0 = r3;
        goto L_0x0083;
    L_0x0179:
        r0 = r9.PR;
        r0 = r0.get(r8);
        r0 = (java.util.ArrayList) r0;
        if (r0 != 0) goto L_0x0197;
    L_0x0183:
        r0 = r9.PQ;
        r0 = r0.aA();
        r0 = (java.util.ArrayList) r0;
        if (r0 != 0) goto L_0x0192;
    L_0x018d:
        r0 = new java.util.ArrayList;
        r0.<init>();
    L_0x0192:
        r9 = r9.PR;
        r9.put(r8, r0);
    L_0x0197:
        r0.add(r6);
    L_0x019a:
        r0 = r1 + 1;
        r1 = r0;
        goto L_0x004c;
    L_0x019f:
        r0 = r2 + 1;
        r2 = r0;
        goto L_0x0033;
    L_0x01a4:
        r0 = r12.pp;
        r1 = r12.pq;
        r1 = r1.eE();
        r0.addAll(r1);
        r0 = r12.pp;
        java.util.Collections.reverse(r0);
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: android.support.design.widget.CoordinatorLayout.bZ():void");
    }

    /* Access modifiers changed, original: protected */
    public int getSuggestedMinimumWidth() {
        return Math.max(super.getSuggestedMinimumWidth(), getPaddingLeft() + getPaddingRight());
    }

    /* Access modifiers changed, original: protected */
    public int getSuggestedMinimumHeight() {
        return Math.max(super.getSuggestedMinimumHeight(), getPaddingTop() + getPaddingBottom());
    }

    public final void a(View view, int i, int i2, int i3, int i4) {
        measureChildWithMargins(view, i, i2, i3, i4);
    }

    /* Access modifiers changed, original: protected */
    public void onMeasure(int i, int i2) {
        int i3;
        int i4;
        boolean z;
        Object obj;
        bZ();
        int childCount = getChildCount();
        for (i3 = 0; i3 < childCount; i3++) {
            Object obj2;
            View childAt = getChildAt(i3);
            h hVar = this.pq;
            int size = hVar.PR.size();
            for (i4 = 0; i4 < size; i4++) {
                ArrayList arrayList = (ArrayList) hVar.PR.valueAt(i4);
                if (arrayList != null && arrayList.contains(childAt)) {
                    obj2 = 1;
                    break;
                }
            }
            obj2 = null;
            if (obj2 != null) {
                z = true;
                break;
            }
        }
        z = false;
        if (z != this.pA) {
            if (z) {
                if (this.pv) {
                    if (this.pz == null) {
                        this.pz = new e(this);
                    }
                    getViewTreeObserver().addOnPreDrawListener(this.pz);
                }
                this.pA = true;
            } else {
                if (this.pv && this.pz != null) {
                    getViewTreeObserver().removeOnPreDrawListener(this.pz);
                }
                this.pA = false;
            }
        }
        int paddingLeft = getPaddingLeft();
        int paddingTop = getPaddingTop();
        int paddingRight = getPaddingRight();
        i4 = getPaddingBottom();
        int T = s.T(this);
        Object obj3;
        if (T == 1) {
            obj3 = 1;
        } else {
            obj3 = null;
        }
        int mode = MeasureSpec.getMode(i);
        int size2 = MeasureSpec.getSize(i);
        int mode2 = MeasureSpec.getMode(i2);
        int size3 = MeasureSpec.getSize(i2);
        int i5 = paddingLeft + paddingRight;
        int i6 = paddingTop + i4;
        int suggestedMinimumWidth = getSuggestedMinimumWidth();
        int suggestedMinimumHeight = getSuggestedMinimumHeight();
        int i7 = 0;
        if (this.mp == null || !s.al(this)) {
            obj = null;
        } else {
            obj = 1;
        }
        int size4 = this.pp.size();
        int i8 = 0;
        while (i8 < size4) {
            int U;
            View view = (View) this.pp.get(i8);
            if (view.getVisibility() != 8) {
                int i9;
                d dVar = (d) view.getLayoutParams();
                childCount = 0;
                if (dVar.pJ >= 0 && mode != 0) {
                    U = U(dVar.pJ);
                    paddingTop = d.getAbsoluteGravity(W(dVar.gravity), T) & 7;
                    if ((paddingTop == 3 && obj3 == null) || (paddingTop == 5 && obj3 != null)) {
                        childCount = Math.max(0, (size2 - paddingRight) - U);
                    } else if ((paddingTop == 5 && obj3 == null) || (paddingTop == 3 && obj3 != null)) {
                        childCount = Math.max(0, U - paddingLeft);
                    }
                }
                if (obj == null || s.al(view)) {
                    i9 = i2;
                    i3 = i;
                } else {
                    paddingTop = this.mp.getSystemWindowInsetTop() + this.mp.getSystemWindowInsetBottom();
                    i3 = MeasureSpec.makeMeasureSpec(size2 - (this.mp.getSystemWindowInsetLeft() + this.mp.getSystemWindowInsetRight()), mode);
                    i9 = MeasureSpec.makeMeasureSpec(size3 - paddingTop, mode2);
                }
                Behavior behavior = dVar.pH;
                if (behavior == null || !behavior.a(this, view, i3, childCount, i9, 0)) {
                    a(view, i3, childCount, i9, 0);
                }
                i3 = Math.max(suggestedMinimumWidth, ((view.getMeasuredWidth() + i5) + dVar.leftMargin) + dVar.rightMargin);
                paddingTop = Math.max(suggestedMinimumHeight, ((view.getMeasuredHeight() + i6) + dVar.topMargin) + dVar.bottomMargin);
                U = View.combineMeasuredStates(i7, view.getMeasuredState());
                i4 = i3;
            } else {
                U = i7;
                paddingTop = suggestedMinimumHeight;
                i4 = suggestedMinimumWidth;
            }
            i8++;
            i7 = U;
            suggestedMinimumHeight = paddingTop;
            suggestedMinimumWidth = i4;
        }
        setMeasuredDimension(View.resolveSizeAndState(suggestedMinimumWidth, i, -16777216 & i7), View.resolveSizeAndState(suggestedMinimumHeight, i2, i7 << 16));
    }

    public final void e(View view, int i) {
        d dVar = (d) view.getLayoutParams();
        if (dVar.cc()) {
            throw new IllegalStateException("An anchor may not be changed after CoordinatorLayout measurement begins before layout is complete.");
        } else if (dVar.pP != null) {
            a(view, dVar.pP, i);
        } else if (dVar.pJ >= 0) {
            c(view, dVar.pJ, i);
        } else {
            f(view, i);
        }
    }

    /* Access modifiers changed, original: protected */
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        int T = s.T(this);
        int size = this.pp.size();
        for (int i5 = 0; i5 < size; i5++) {
            View view = (View) this.pp.get(i5);
            if (view.getVisibility() != 8) {
                Behavior behavior = ((d) view.getLayoutParams()).pH;
                if (behavior == null || !behavior.a(this, view, T)) {
                    e(view, T);
                }
            }
        }
    }

    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        if (this.pB && this.pC != null) {
            int systemWindowInsetTop = this.mp != null ? this.mp.getSystemWindowInsetTop() : 0;
            if (systemWindowInsetTop > 0) {
                this.pC.setBounds(0, 0, getWidth(), systemWindowInsetTop);
                this.pC.draw(canvas);
            }
        }
    }

    public void setFitsSystemWindows(boolean z) {
        super.setFitsSystemWindows(z);
        ca();
    }

    private void a(View view, boolean z, Rect rect) {
        if (view.isLayoutRequested() || view.getVisibility() == 8) {
            rect.setEmpty();
        } else if (z) {
            u.a(this, view, rect);
        } else {
            rect.set(view.getLeft(), view.getTop(), view.getRight(), view.getBottom());
        }
    }

    private static void a(int i, Rect rect, Rect rect2, d dVar, int i2, int i3) {
        int i4 = dVar.gravity;
        if (i4 == 0) {
            i4 = 17;
        }
        i4 = d.getAbsoluteGravity(i4, i);
        int absoluteGravity = d.getAbsoluteGravity(V(dVar.anchorGravity), i);
        int i5 = i4 & 7;
        int i6 = i4 & TbsListener$ErrorCode.DOWNLOAD_OVER_FLOW;
        int i7 = absoluteGravity & TbsListener$ErrorCode.DOWNLOAD_OVER_FLOW;
        switch (absoluteGravity & 7) {
            case 1:
                absoluteGravity = (rect.width() / 2) + rect.left;
                break;
            case 5:
                absoluteGravity = rect.right;
                break;
            default:
                absoluteGravity = rect.left;
                break;
        }
        switch (i7) {
            case 16:
                i4 = rect.top + (rect.height() / 2);
                break;
            case 80:
                i4 = rect.bottom;
                break;
            default:
                i4 = rect.top;
                break;
        }
        switch (i5) {
            case 1:
                absoluteGravity -= i2 / 2;
                break;
            case 5:
                break;
            default:
                absoluteGravity -= i2;
                break;
        }
        switch (i6) {
            case 16:
                i4 -= i3 / 2;
                break;
            case 80:
                break;
            default:
                i4 -= i3;
                break;
        }
        rect2.set(absoluteGravity, i4, absoluteGravity + i2, i4 + i3);
    }

    private void a(d dVar, Rect rect, int i, int i2) {
        int width = getWidth();
        int height = getHeight();
        width = Math.max(getPaddingLeft() + dVar.leftMargin, Math.min(rect.left, ((width - getPaddingRight()) - i) - dVar.rightMargin));
        height = Math.max(getPaddingTop() + dVar.topMargin, Math.min(rect.top, ((height - getPaddingBottom()) - i2) - dVar.bottomMargin));
        rect.set(width, height, width + i, height + i2);
    }

    private void a(View view, int i, Rect rect, Rect rect2) {
        d dVar = (d) view.getLayoutParams();
        int measuredWidth = view.getMeasuredWidth();
        int measuredHeight = view.getMeasuredHeight();
        a(i, rect, rect2, dVar, measuredWidth, measuredHeight);
        a(dVar, rect2, measuredWidth, measuredHeight);
    }

    private void a(View view, View view2, int i) {
        view.getLayoutParams();
        Rect bY = bY();
        Rect bY2 = bY();
        try {
            u.a(this, view2, bY);
            a(view, i, bY, bY2);
            view.layout(bY2.left, bY2.top, bY2.right, bY2.bottom);
        } finally {
            c(bY);
            c(bY2);
        }
    }

    private void c(View view, int i, int i2) {
        d dVar = (d) view.getLayoutParams();
        int absoluteGravity = d.getAbsoluteGravity(W(dVar.gravity), i2);
        int i3 = absoluteGravity & 7;
        int i4 = absoluteGravity & TbsListener$ErrorCode.DOWNLOAD_OVER_FLOW;
        int width = getWidth();
        int height = getHeight();
        int measuredWidth = view.getMeasuredWidth();
        int measuredHeight = view.getMeasuredHeight();
        if (i2 == 1) {
            i = width - i;
        }
        int U = U(i) - measuredWidth;
        absoluteGravity = 0;
        switch (i3) {
            case 1:
                U += measuredWidth / 2;
                break;
            case 5:
                U += measuredWidth;
                break;
        }
        switch (i4) {
            case 16:
                absoluteGravity = (measuredHeight / 2) + 0;
                break;
            case 80:
                absoluteGravity = measuredHeight + 0;
                break;
        }
        U = Math.max(getPaddingLeft() + dVar.leftMargin, Math.min(U, ((width - getPaddingRight()) - measuredWidth) - dVar.rightMargin));
        int max = Math.max(getPaddingTop() + dVar.topMargin, Math.min(absoluteGravity, ((height - getPaddingBottom()) - measuredHeight) - dVar.bottomMargin));
        view.layout(U, max, U + measuredWidth, max + measuredHeight);
    }

    private void f(View view, int i) {
        d dVar = (d) view.getLayoutParams();
        Rect bY = bY();
        bY.set(getPaddingLeft() + dVar.leftMargin, getPaddingTop() + dVar.topMargin, (getWidth() - getPaddingRight()) - dVar.rightMargin, (getHeight() - getPaddingBottom()) - dVar.bottomMargin);
        if (!(this.mp == null || !s.al(this) || s.al(view))) {
            bY.left += this.mp.getSystemWindowInsetLeft();
            bY.top += this.mp.getSystemWindowInsetTop();
            bY.right -= this.mp.getSystemWindowInsetRight();
            bY.bottom -= this.mp.getSystemWindowInsetBottom();
        }
        Rect bY2 = bY();
        d.apply(V(dVar.gravity), view.getMeasuredWidth(), view.getMeasuredHeight(), bY, bY2, i);
        view.layout(bY2.left, bY2.top, bY2.right, bY2.bottom);
        c(bY);
        c(bY2);
    }

    private static int V(int i) {
        int i2;
        if ((i & 7) == 0) {
            i2 = 8388611 | i;
        } else {
            i2 = i;
        }
        if ((i2 & TbsListener$ErrorCode.DOWNLOAD_OVER_FLOW) == 0) {
            return i2 | 48;
        }
        return i2;
    }

    private static int W(int i) {
        return i == 0 ? 8388661 : i;
    }

    /* Access modifiers changed, original: protected */
    public boolean drawChild(Canvas canvas, View view, long j) {
        view.getLayoutParams();
        return super.drawChild(canvas, view, j);
    }

    /* Access modifiers changed, original: final */
    /* JADX WARNING: Removed duplicated region for block: B:101:0x0279  */
    public final void X(int r20) {
        /*
        r19 = this;
        r2 = android.support.v4.view.s.T(r19);
        r0 = r19;
        r3 = r0.pp;
        r13 = r3.size();
        r14 = bY();
        r15 = bY();
        r16 = bY();
        r3 = 0;
        r12 = r3;
    L_0x001a:
        if (r12 >= r13) goto L_0x029b;
    L_0x001c:
        r0 = r19;
        r3 = r0.pp;
        r3 = r3.get(r12);
        r8 = r3;
        r8 = (android.view.View) r8;
        r3 = r8.getLayoutParams();
        r9 = r3;
        r9 = (android.support.design.widget.CoordinatorLayout.d) r9;
        if (r20 != 0) goto L_0x0038;
    L_0x0030:
        r3 = r8.getVisibility();
        r4 = 8;
        if (r3 == r4) goto L_0x0296;
    L_0x0038:
        r3 = 0;
        r11 = r3;
    L_0x003a:
        if (r11 >= r12) goto L_0x00d0;
    L_0x003c:
        r0 = r19;
        r3 = r0.pp;
        r3 = r3.get(r11);
        r3 = (android.view.View) r3;
        r4 = r9.pQ;
        if (r4 != r3) goto L_0x00c9;
    L_0x004a:
        r5 = r8.getLayoutParams();
        r5 = (android.support.design.widget.CoordinatorLayout.d) r5;
        r3 = r5.pP;
        if (r3 == 0) goto L_0x00c9;
    L_0x0054:
        r3 = bY();
        r17 = bY();
        r4 = bY();
        r6 = r5.pP;
        r0 = r19;
        android.support.v4.widget.u.a(r0, r6, r3);
        r6 = 0;
        r0 = r19;
        r1 = r17;
        r0.a(r8, r6, r1);
        r6 = r8.getMeasuredWidth();
        r7 = r8.getMeasuredHeight();
        a(r2, r3, r4, r5, r6, r7);
        r10 = r4.left;
        r0 = r17;
        r0 = r0.left;
        r18 = r0;
        r0 = r18;
        if (r10 != r0) goto L_0x0092;
    L_0x0086:
        r10 = r4.top;
        r0 = r17;
        r0 = r0.top;
        r18 = r0;
        r0 = r18;
        if (r10 == r0) goto L_0x00ce;
    L_0x0092:
        r10 = 1;
    L_0x0093:
        r0 = r19;
        r0.a(r5, r4, r6, r7);
        r6 = r4.left;
        r0 = r17;
        r7 = r0.left;
        r6 = r6 - r7;
        r7 = r4.top;
        r0 = r17;
        r0 = r0.top;
        r18 = r0;
        r7 = r7 - r18;
        if (r6 == 0) goto L_0x00ae;
    L_0x00ab:
        android.support.v4.view.s.r(r8, r6);
    L_0x00ae:
        if (r7 == 0) goto L_0x00b3;
    L_0x00b0:
        android.support.v4.view.s.q(r8, r7);
    L_0x00b3:
        if (r10 == 0) goto L_0x00c0;
    L_0x00b5:
        r6 = r5.pH;
        if (r6 == 0) goto L_0x00c0;
    L_0x00b9:
        r5 = r5.pP;
        r0 = r19;
        r6.a(r0, r8, r5);
    L_0x00c0:
        c(r3);
        c(r17);
        c(r4);
    L_0x00c9:
        r3 = r11 + 1;
        r11 = r3;
        goto L_0x003a;
    L_0x00ce:
        r10 = 0;
        goto L_0x0093;
    L_0x00d0:
        r3 = 1;
        r0 = r19;
        r0.a(r8, r3, r15);
        r3 = r9.pL;
        if (r3 == 0) goto L_0x00f0;
    L_0x00da:
        r3 = r15.isEmpty();
        if (r3 != 0) goto L_0x00f0;
    L_0x00e0:
        r3 = r9.pL;
        r3 = android.support.v4.view.d.getAbsoluteGravity(r3, r2);
        r4 = r3 & 112;
        switch(r4) {
            case 48: goto L_0x015d;
            case 80: goto L_0x0168;
            default: goto L_0x00eb;
        };
    L_0x00eb:
        r3 = r3 & 7;
        switch(r3) {
            case 3: goto L_0x0179;
            case 4: goto L_0x00f0;
            case 5: goto L_0x0185;
            default: goto L_0x00f0;
        };
    L_0x00f0:
        r3 = r9.pM;
        if (r3 == 0) goto L_0x010c;
    L_0x00f4:
        r3 = r8.getVisibility();
        if (r3 != 0) goto L_0x010c;
    L_0x00fa:
        r3 = android.support.v4.view.s.as(r8);
        if (r3 == 0) goto L_0x010c;
    L_0x0100:
        r3 = r8.getWidth();
        if (r3 <= 0) goto L_0x010c;
    L_0x0106:
        r3 = r8.getHeight();
        if (r3 > 0) goto L_0x0196;
    L_0x010c:
        r3 = 2;
        r0 = r20;
        if (r0 == r3) goto L_0x0131;
    L_0x0111:
        r3 = r8.getLayoutParams();
        r3 = (android.support.design.widget.CoordinatorLayout.d) r3;
        r3 = r3.pV;
        r0 = r16;
        r0.set(r3);
        r0 = r16;
        r3 = r0.equals(r15);
        if (r3 != 0) goto L_0x0296;
    L_0x0126:
        r3 = r8.getLayoutParams();
        r3 = (android.support.design.widget.CoordinatorLayout.d) r3;
        r3 = r3.pV;
        r3.set(r15);
    L_0x0131:
        r3 = r12 + 1;
        r5 = r3;
    L_0x0134:
        if (r5 >= r13) goto L_0x0296;
    L_0x0136:
        r0 = r19;
        r3 = r0.pp;
        r3 = r3.get(r5);
        r3 = (android.view.View) r3;
        r4 = r3.getLayoutParams();
        r4 = (android.support.design.widget.CoordinatorLayout.d) r4;
        r6 = r4.pH;
        if (r6 == 0) goto L_0x0159;
    L_0x014a:
        r7 = r6.e(r8);
        if (r7 == 0) goto L_0x0159;
    L_0x0150:
        if (r20 != 0) goto L_0x0282;
    L_0x0152:
        r7 = r4.pU;
        if (r7 == 0) goto L_0x0282;
    L_0x0156:
        r3 = 0;
        r4.pU = r3;
    L_0x0159:
        r3 = r5 + 1;
        r5 = r3;
        goto L_0x0134;
    L_0x015d:
        r4 = r14.top;
        r5 = r15.bottom;
        r4 = java.lang.Math.max(r4, r5);
        r14.top = r4;
        goto L_0x00eb;
    L_0x0168:
        r4 = r14.bottom;
        r5 = r19.getHeight();
        r6 = r15.top;
        r5 = r5 - r6;
        r4 = java.lang.Math.max(r4, r5);
        r14.bottom = r4;
        goto L_0x00eb;
    L_0x0179:
        r3 = r14.left;
        r4 = r15.right;
        r3 = java.lang.Math.max(r3, r4);
        r14.left = r3;
        goto L_0x00f0;
    L_0x0185:
        r3 = r14.right;
        r4 = r19.getWidth();
        r5 = r15.left;
        r4 = r4 - r5;
        r3 = java.lang.Math.max(r3, r4);
        r14.right = r3;
        goto L_0x00f0;
    L_0x0196:
        r3 = r8.getLayoutParams();
        r3 = (android.support.design.widget.CoordinatorLayout.d) r3;
        r4 = r3.pH;
        r5 = bY();
        r6 = bY();
        r7 = r8.getLeft();
        r9 = r8.getTop();
        r10 = r8.getRight();
        r11 = r8.getBottom();
        r6.set(r7, r9, r10, r11);
        if (r4 == 0) goto L_0x01f0;
    L_0x01bb:
        r4 = r4.a(r8, r5);
        if (r4 == 0) goto L_0x01f0;
    L_0x01c1:
        r4 = r6.contains(r5);
        if (r4 != 0) goto L_0x01f3;
    L_0x01c7:
        r2 = new java.lang.IllegalArgumentException;
        r3 = new java.lang.StringBuilder;
        r4 = "Rect should be within the child's bounds. Rect:";
        r3.<init>(r4);
        r4 = r5.toShortString();
        r3 = r3.append(r4);
        r4 = " | Bounds:";
        r3 = r3.append(r4);
        r4 = r6.toShortString();
        r3 = r3.append(r4);
        r3 = r3.toString();
        r2.<init>(r3);
        throw r2;
    L_0x01f0:
        r5.set(r6);
    L_0x01f3:
        c(r6);
        r4 = r5.isEmpty();
        if (r4 != 0) goto L_0x027d;
    L_0x01fc:
        r4 = r3.pM;
        r6 = android.support.v4.view.d.getAbsoluteGravity(r4, r2);
        r4 = 0;
        r7 = r6 & 48;
        r9 = 48;
        if (r7 != r9) goto L_0x021c;
    L_0x0209:
        r7 = r5.top;
        r9 = r3.topMargin;
        r7 = r7 - r9;
        r9 = r3.pO;
        r7 = r7 - r9;
        r9 = r14.top;
        if (r7 >= r9) goto L_0x021c;
    L_0x0215:
        r4 = r14.top;
        r4 = r4 - r7;
        h(r8, r4);
        r4 = 1;
    L_0x021c:
        r7 = r6 & 80;
        r9 = 80;
        if (r7 != r9) goto L_0x023b;
    L_0x0222:
        r7 = r19.getHeight();
        r9 = r5.bottom;
        r7 = r7 - r9;
        r9 = r3.bottomMargin;
        r7 = r7 - r9;
        r9 = r3.pO;
        r7 = r7 + r9;
        r9 = r14.bottom;
        if (r7 >= r9) goto L_0x023b;
    L_0x0233:
        r4 = r14.bottom;
        r4 = r7 - r4;
        h(r8, r4);
        r4 = 1;
    L_0x023b:
        if (r4 != 0) goto L_0x0241;
    L_0x023d:
        r4 = 0;
        h(r8, r4);
    L_0x0241:
        r4 = 0;
        r7 = r6 & 3;
        r9 = 3;
        if (r7 != r9) goto L_0x025a;
    L_0x0247:
        r7 = r5.left;
        r9 = r3.leftMargin;
        r7 = r7 - r9;
        r9 = r3.pN;
        r7 = r7 - r9;
        r9 = r14.left;
        if (r7 >= r9) goto L_0x025a;
    L_0x0253:
        r4 = r14.left;
        r4 = r4 - r7;
        g(r8, r4);
        r4 = 1;
    L_0x025a:
        r6 = r6 & 5;
        r7 = 5;
        if (r6 != r7) goto L_0x02a5;
    L_0x025f:
        r6 = r19.getWidth();
        r7 = r5.right;
        r6 = r6 - r7;
        r7 = r3.rightMargin;
        r6 = r6 - r7;
        r3 = r3.pN;
        r3 = r3 + r6;
        r6 = r14.right;
        if (r3 >= r6) goto L_0x02a5;
    L_0x0270:
        r4 = r14.right;
        r3 = r3 - r4;
        g(r8, r3);
        r3 = 1;
    L_0x0277:
        if (r3 != 0) goto L_0x027d;
    L_0x0279:
        r3 = 0;
        g(r8, r3);
    L_0x027d:
        c(r5);
        goto L_0x010c;
    L_0x0282:
        switch(r20) {
            case 2: goto L_0x0294;
            default: goto L_0x0285;
        };
    L_0x0285:
        r0 = r19;
        r3 = r6.a(r0, r3, r8);
    L_0x028b:
        r6 = 1;
        r0 = r20;
        if (r0 != r6) goto L_0x0159;
    L_0x0290:
        r4.pU = r3;
        goto L_0x0159;
    L_0x0294:
        r3 = 1;
        goto L_0x028b;
    L_0x0296:
        r3 = r12 + 1;
        r12 = r3;
        goto L_0x001a;
    L_0x029b:
        c(r14);
        c(r15);
        c(r16);
        return;
    L_0x02a5:
        r3 = r4;
        goto L_0x0277;
        */
        throw new UnsupportedOperationException("Method not decompiled: android.support.design.widget.CoordinatorLayout.X(int):void");
    }

    private static void g(View view, int i) {
        d dVar = (d) view.getLayoutParams();
        if (dVar.pN != i) {
            s.r(view, i - dVar.pN);
            dVar.pN = i;
        }
    }

    private static void h(View view, int i) {
        d dVar = (d) view.getLayoutParams();
        if (dVar.pO != i) {
            s.q(view, i - dVar.pO);
            dVar.pO = i;
        }
    }

    public final List<View> p(View view) {
        List K = this.pq.K(view);
        this.ps.clear();
        if (K != null) {
            this.ps.addAll(K);
        }
        return this.ps;
    }

    /* Access modifiers changed, original: final */
    public final List<View> getDependencySortedChildren() {
        bZ();
        return Collections.unmodifiableList(this.pp);
    }

    public final boolean d(View view, int i, int i2) {
        Rect bY = bY();
        u.a(this, view, bY);
        try {
            boolean contains = bY.contains(i, i2);
            return contains;
        } finally {
            c(bY);
        }
    }

    /* Access modifiers changed, original: protected */
    public boolean checkLayoutParams(LayoutParams layoutParams) {
        return (layoutParams instanceof d) && super.checkLayoutParams(layoutParams);
    }

    public boolean onStartNestedScroll(View view, View view2, int i) {
        return e(view, i, 0);
    }

    public final boolean e(View view, int i, int i2) {
        int childCount = getChildCount();
        int i3 = 0;
        int i4 = 0;
        while (i3 < childCount) {
            int i5;
            View childAt = getChildAt(i3);
            if (childAt.getVisibility() != 8) {
                d dVar = (d) childAt.getLayoutParams();
                Behavior behavior = dVar.pH;
                if (behavior != null) {
                    boolean a = behavior.a(this, childAt, view, i, i2);
                    i5 = i4 | a;
                    dVar.i(i2, a);
                    i3++;
                    i4 = i5;
                } else {
                    dVar.i(i2, false);
                }
            }
            i5 = i4;
            i3++;
            i4 = i5;
        }
        return i4;
    }

    public void onNestedScrollAccepted(View view, View view2, int i) {
        i(view2, i);
    }

    public final void i(View view, int i) {
        this.pF.Ms = i;
        this.py = view;
        int childCount = getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            getChildAt(i2).getLayoutParams();
        }
    }

    public void onStopNestedScroll(View view) {
        j(view, 0);
    }

    public final void j(View view, int i) {
        this.pF.Ms = 0;
        int childCount = getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            View childAt = getChildAt(i2);
            d dVar = (d) childAt.getLayoutParams();
            if (dVar.Y(i)) {
                Behavior behavior = dVar.pH;
                if (behavior != null) {
                    behavior.a(this, childAt, view, i);
                }
                dVar.i(i, false);
                dVar.pU = false;
            }
        }
        this.py = null;
    }

    public void onNestedScroll(View view, int i, int i2, int i3, int i4) {
        m(i4, 0);
    }

    public final void m(int i, int i2) {
        int childCount = getChildCount();
        int i3 = 0;
        int i4 = 0;
        while (i3 < childCount) {
            int i5;
            View childAt = getChildAt(i3);
            if (childAt.getVisibility() != 8) {
                d dVar = (d) childAt.getLayoutParams();
                if (dVar.Y(i2)) {
                    Behavior behavior = dVar.pH;
                    if (behavior != null) {
                        behavior.b(this, childAt, i);
                        i5 = 1;
                        i3++;
                        i4 = i5;
                    }
                }
            }
            i5 = i4;
            i3++;
            i4 = i5;
        }
        if (i4 != 0) {
            X(1);
        }
    }

    public void onNestedPreScroll(View view, int i, int i2, int[] iArr) {
        a(view, i, i2, iArr, 0);
    }

    public final void a(View view, int i, int i2, int[] iArr, int i3) {
        int i4 = 0;
        int i5 = 0;
        Object obj = null;
        int childCount = getChildCount();
        int i6 = 0;
        while (i6 < childCount) {
            int max;
            int max2;
            View childAt = getChildAt(i6);
            if (childAt.getVisibility() != 8) {
                d dVar = (d) childAt.getLayoutParams();
                if (dVar.Y(i3)) {
                    Behavior behavior = dVar.pH;
                    if (behavior != null) {
                        int[] iArr2 = this.pt;
                        this.pt[1] = 0;
                        iArr2[0] = 0;
                        behavior.a(this, childAt, view, i2, this.pt, i3);
                        if (i > 0) {
                            max = Math.max(i4, this.pt[0]);
                        } else {
                            max = Math.min(i4, this.pt[0]);
                        }
                        if (i2 > 0) {
                            max2 = Math.max(i5, this.pt[1]);
                        } else {
                            max2 = Math.min(i5, this.pt[1]);
                        }
                        obj = 1;
                        i6++;
                        i5 = max2;
                        i4 = max;
                    }
                }
            }
            max2 = i5;
            max = i4;
            i6++;
            i5 = max2;
            i4 = max;
        }
        iArr[0] = i4;
        iArr[1] = i5;
        if (obj != null) {
            X(1);
        }
    }

    public boolean onNestedFling(View view, float f, float f2, boolean z) {
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = getChildAt(i);
            if (childAt.getVisibility() != 8) {
                childAt.getLayoutParams();
            }
        }
        return false;
    }

    public boolean onNestedPreFling(View view, float f, float f2) {
        int childCount = getChildCount();
        int i = 0;
        int i2 = 0;
        while (i < childCount) {
            int a;
            View childAt = getChildAt(i);
            if (childAt.getVisibility() != 8) {
                d dVar = (d) childAt.getLayoutParams();
                if (dVar.Y(0)) {
                    Behavior behavior = dVar.pH;
                    if (behavior != null) {
                        a = behavior.a(this, childAt, view, f, f2) | i2;
                        i++;
                        i2 = a;
                    }
                }
            }
            a = i2;
            i++;
            i2 = a;
        }
        return i2;
    }

    public int getNestedScrollAxes() {
        return this.pF.Ms;
    }

    /* Access modifiers changed, original: protected */
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (parcelable instanceof SavedState) {
            SavedState savedState = (SavedState) parcelable;
            super.onRestoreInstanceState(savedState.LC);
            SparseArray sparseArray = savedState.pX;
            int childCount = getChildCount();
            for (int i = 0; i < childCount; i++) {
                View childAt = getChildAt(i);
                int id = childAt.getId();
                Behavior behavior = o(childAt).pH;
                if (!(id == -1 || behavior == null)) {
                    Parcelable parcelable2 = (Parcelable) sparseArray.get(id);
                    if (parcelable2 != null) {
                        behavior.a(this, childAt, parcelable2);
                    }
                }
            }
            return;
        }
        super.onRestoreInstanceState(parcelable);
    }

    /* Access modifiers changed, original: protected */
    public Parcelable onSaveInstanceState() {
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        SparseArray sparseArray = new SparseArray();
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = getChildAt(i);
            int id = childAt.getId();
            Behavior behavior = ((d) childAt.getLayoutParams()).pH;
            if (!(id == -1 || behavior == null)) {
                Parcelable b = behavior.b(this, childAt);
                if (b != null) {
                    sparseArray.append(id, b);
                }
            }
        }
        savedState.pX = sparseArray;
        return savedState;
    }

    public boolean requestChildRectangleOnScreen(View view, Rect rect, boolean z) {
        Behavior behavior = ((d) view.getLayoutParams()).pH;
        if (behavior == null || !behavior.a(this, view, rect, z)) {
            return super.requestChildRectangleOnScreen(view, rect, z);
        }
        return true;
    }

    private void ca() {
        if (VERSION.SDK_INT >= 21) {
            if (s.al(this)) {
                if (this.pE == null) {
                    this.pE = new o() {
                        public final aa a(View view, aa aaVar) {
                            boolean z = true;
                            int i = 0;
                            CoordinatorLayout coordinatorLayout = CoordinatorLayout.this;
                            if (i.equals(coordinatorLayout.mp, aaVar)) {
                                return aaVar;
                            }
                            aa aaVar2;
                            coordinatorLayout.mp = aaVar;
                            boolean z2 = aaVar != null && aaVar.getSystemWindowInsetTop() > 0;
                            coordinatorLayout.pB = z2;
                            if (coordinatorLayout.pB || coordinatorLayout.getBackground() != null) {
                                z = false;
                            }
                            coordinatorLayout.setWillNotDraw(z);
                            if (aaVar.isConsumed()) {
                                aaVar2 = aaVar;
                            } else {
                                int childCount = coordinatorLayout.getChildCount();
                                aa aaVar3 = aaVar;
                                while (i < childCount) {
                                    View childAt = coordinatorLayout.getChildAt(i);
                                    if (s.al(childAt) && ((d) childAt.getLayoutParams()).pH != null) {
                                        aaVar2 = Behavior.b(aaVar3);
                                        if (aaVar2.isConsumed()) {
                                            break;
                                        }
                                    } else {
                                        aaVar2 = aaVar3;
                                    }
                                    i++;
                                    aaVar3 = aaVar2;
                                }
                                aaVar2 = aaVar3;
                            }
                            coordinatorLayout.requestLayout();
                            return aaVar2;
                        }
                    };
                }
                s.a(this, this.pE);
                setSystemUiVisibility(1280);
                return;
            }
            s.a(this, null);
        }
    }

    /* Access modifiers changed, original: protected|synthetic */
    public /* synthetic */ LayoutParams generateDefaultLayoutParams() {
        return new d();
    }
}
