package android.support.v4.media;

import android.app.Service;
import android.os.Binder;
import android.os.Bundle;
import android.os.Handler;
import android.os.IBinder;
import android.os.Message;
import android.support.v4.app.e;
import android.support.v4.f.a;
import android.support.v4.f.j;
import android.support.v4.media.MediaBrowserCompat.MediaItem;
import android.support.v4.media.session.MediaSessionCompat.Token;
import android.support.v4.os.ResultReceiver;
import android.text.TextUtils;
import android.util.Log;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

public abstract class MediaBrowserServiceCompat extends Service {
    static final boolean DEBUG = Log.isLoggable("MBServiceCompat", 3);
    final a<IBinder, b> Io = new a();
    b Ip;
    final g Iq = new g();
    Token Ir;

    final class g extends Handler {
        private final d IR = new d(MediaBrowserServiceCompat.this);

        g() {
        }

        public final void handleMessage(Message message) {
            Object obj = null;
            Bundle data = message.getData();
            d dVar;
            String string;
            Bundle bundle;
            f fVar;
            d dVar2;
            ResultReceiver resultReceiver;
            switch (message.what) {
                case 1:
                    dVar = this.IR;
                    string = data.getString("data_package_name");
                    int i = data.getInt("data_calling_uid");
                    bundle = data.getBundle("data_root_hints");
                    fVar = new f(message.replyTo);
                    MediaBrowserServiceCompat mediaBrowserServiceCompat = dVar.Iu;
                    if (string != null) {
                        String[] packagesForUid = mediaBrowserServiceCompat.getPackageManager().getPackagesForUid(i);
                        int length = packagesForUid.length;
                        int i2 = 0;
                        while (i2 < length) {
                            if (packagesForUid[i2].equals(string)) {
                                obj = 1;
                            } else {
                                i2++;
                            }
                        }
                    }
                    if (obj == null) {
                        throw new IllegalArgumentException("Package/uid mismatch: uid=" + i + " package=" + string);
                    }
                    dVar.Iu.Iq.e(new 1(dVar, fVar, string, bundle, i));
                    return;
                case 2:
                    dVar2 = this.IR;
                    dVar2.Iu.Iq.e(new 2(dVar2, new f(message.replyTo)));
                    return;
                case 3:
                    dVar = this.IR;
                    string = data.getString("data_media_item_id");
                    IBinder c = e.c(data, "data_callback_token");
                    Bundle bundle2 = data.getBundle("data_options");
                    dVar.Iu.Iq.e(new 3(dVar, new f(message.replyTo), string, c, bundle2));
                    return;
                case 4:
                    dVar2 = this.IR;
                    String string2 = data.getString("data_media_item_id");
                    IBinder c2 = e.c(data, "data_callback_token");
                    dVar2.Iu.Iq.e(new 4(dVar2, new f(message.replyTo), string2, c2));
                    return;
                case 5:
                    dVar = this.IR;
                    string = data.getString("data_media_item_id");
                    ResultReceiver resultReceiver2 = (ResultReceiver) data.getParcelable("data_result_receiver");
                    fVar = new f(message.replyTo);
                    if (!TextUtils.isEmpty(string) && resultReceiver2 != null) {
                        dVar.Iu.Iq.e(new 5(dVar, fVar, string, resultReceiver2));
                        return;
                    }
                    return;
                case 6:
                    dVar2 = this.IR;
                    dVar2.Iu.Iq.e(new MediaBrowserServiceCompat$d$6(dVar2, new f(message.replyTo), data.getBundle("data_root_hints")));
                    return;
                case 7:
                    dVar2 = this.IR;
                    dVar2.Iu.Iq.e(new MediaBrowserServiceCompat$d$7(dVar2, new f(message.replyTo)));
                    return;
                case 8:
                    dVar = this.IR;
                    string = data.getString("data_search_query");
                    bundle = data.getBundle("data_search_extras");
                    resultReceiver = (ResultReceiver) data.getParcelable("data_result_receiver");
                    fVar = new f(message.replyTo);
                    if (!TextUtils.isEmpty(string) && resultReceiver != null) {
                        dVar.Iu.Iq.e(new MediaBrowserServiceCompat$d$8(dVar, fVar, string, bundle, resultReceiver));
                        return;
                    }
                    return;
                case 9:
                    dVar = this.IR;
                    string = data.getString("data_custom_action");
                    bundle = data.getBundle("data_custom_action_extras");
                    resultReceiver = (ResultReceiver) data.getParcelable("data_result_receiver");
                    fVar = new f(message.replyTo);
                    if (!TextUtils.isEmpty(string) && resultReceiver != null) {
                        dVar.Iu.Iq.e(new MediaBrowserServiceCompat$d$9(dVar, fVar, string, bundle, resultReceiver));
                        return;
                    }
                    return;
                default:
                    new StringBuilder("Unhandled message: ").append(message).append("\n  Service version: 2\n  Client version: ").append(message.arg1);
                    return;
            }
        }

        public final boolean sendMessageAtTime(Message message, long j) {
            Bundle data = message.getData();
            data.setClassLoader(MediaBrowserCompat.class.getClassLoader());
            data.putInt("data_calling_uid", Binder.getCallingUid());
            return super.sendMessageAtTime(message, j);
        }

        private void e(Runnable runnable) {
            if (Thread.currentThread() == getLooper().getThread()) {
                runnable.run();
            } else {
                post(runnable);
            }
        }
    }

    public abstract a dJ();

    /* Access modifiers changed, original: final */
    public final void a(String str, b bVar, IBinder iBinder, Bundle bundle) {
        List list = (List) bVar.IA.get(str);
        List arrayList;
        if (list == null) {
            arrayList = new ArrayList();
        } else {
            arrayList = list;
        }
        for (j jVar : arrayList) {
            if (iBinder == jVar.first && c.a(bundle, (Bundle) jVar.second)) {
                return;
            }
        }
        arrayList.add(new j(iBinder, bundle));
        bVar.IA.put(str, arrayList);
        1 1 = new 1(this, str, bVar, str, bundle);
        this.Ip = bVar;
        if (bundle != null) {
            1.Dj = 1;
        }
        this.Ip = null;
        if (!1.isDone()) {
            throw new IllegalStateException("onLoadChildren must call detach() or sendResult() before returning for package=" + bVar.Iw + " id=" + str);
        }
    }

    static boolean a(String str, b bVar, IBinder iBinder) {
        if (iBinder != null) {
            boolean z;
            List list = (List) bVar.IA.get(str);
            if (list != null) {
                Iterator it = list.iterator();
                z = false;
                while (it.hasNext()) {
                    if (iBinder == ((j) it.next()).first) {
                        it.remove();
                        z = true;
                    }
                }
                if (list.size() == 0) {
                    bVar.IA.remove(str);
                }
            } else {
                z = false;
            }
            return z;
        } else if (bVar.IA.remove(str) != null) {
            return true;
        } else {
            return false;
        }
    }

    static List<MediaItem> dK() {
        return null;
    }
}
