package android.support.v7.widget;

import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.database.DataSetObserver;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.support.v4.view.b;
import android.support.v7.a.a.a;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.MeasureSpec;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.view.ViewTreeObserver.OnGlobalLayoutListener;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.PopupWindow.OnDismissListener;

public class ActivityChooserView extends ViewGroup {
    OnDismissListener aaN;
    final a aeA;
    private final b aeB;
    final View aeC;
    final Drawable aeD;
    final FrameLayout aeE;
    private final ImageView aeF;
    final FrameLayout aeG;
    final ImageView aeH;
    private final int aeI;
    b aeJ;
    final DataSetObserver aeK;
    private final OnGlobalLayoutListener aeL;
    private ListPopupWindow aeM;
    boolean aeN;
    int aeO;
    int aeP;
    private boolean pv;

    public ActivityChooserView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public ActivityChooserView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.aeK = new 1(this);
        this.aeL = new 2(this);
        this.aeO = 4;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, a.ActivityChooserView, i, 0);
        this.aeO = obtainStyledAttributes.getInt(0, 4);
        Drawable drawable = obtainStyledAttributes.getDrawable(1);
        obtainStyledAttributes.recycle();
        LayoutInflater.from(getContext()).inflate(2130968590, this, true);
        this.aeB = new b(this);
        this.aeC = findViewById(2131820911);
        this.aeD = this.aeC.getBackground();
        this.aeG = (FrameLayout) findViewById(2131820913);
        this.aeG.setOnClickListener(this.aeB);
        this.aeG.setOnLongClickListener(this.aeB);
        this.aeH = (ImageView) this.aeG.findViewById(2131820629);
        FrameLayout frameLayout = (FrameLayout) findViewById(2131820912);
        frameLayout.setOnClickListener(this.aeB);
        frameLayout.setAccessibilityDelegate(new 3(this));
        frameLayout.setOnTouchListener(new 4(this, frameLayout));
        this.aeE = frameLayout;
        this.aeF = (ImageView) frameLayout.findViewById(2131820629);
        this.aeF.setImageDrawable(drawable);
        this.aeA = new a(this);
        this.aeA.registerDataSetObserver(new 5(this));
        Resources resources = context.getResources();
        this.aeI = Math.max(resources.getDisplayMetrics().widthPixels / 2, resources.getDimensionPixelSize(2131427361));
    }

    public void setActivityChooserModel(e eVar) {
        a aVar = this.aeA;
        e eVar2 = aVar.aeQ.aeA.aeR;
        if (eVar2 != null && aVar.aeQ.isShown()) {
            eVar2.unregisterObserver(aVar.aeQ.aeK);
        }
        aVar.aeR = eVar;
        if (eVar != null && aVar.aeQ.isShown()) {
            eVar.registerObserver(aVar.aeQ.aeK);
        }
        aVar.notifyDataSetChanged();
        if (getListPopupWindow().amH.isShowing()) {
            hr();
            hq();
        }
    }

    public void setExpandActivityOverflowButtonDrawable(Drawable drawable) {
        this.aeF.setImageDrawable(drawable);
    }

    public void setExpandActivityOverflowButtonContentDescription(int i) {
        this.aeF.setContentDescription(getContext().getString(i));
    }

    public void setProvider(b bVar) {
        this.aeJ = bVar;
    }

    public final boolean hq() {
        if (getListPopupWindow().amH.isShowing() || !this.pv) {
            return false;
        }
        this.aeN = false;
        bw(this.aeO);
        return true;
    }

    /* Access modifiers changed, original: final */
    public final void bw(int i) {
        if (this.aeA.aeR == null) {
            throw new IllegalStateException("No data model. Did you call #setDataModel?");
        }
        getViewTreeObserver().addOnGlobalLayoutListener(this.aeL);
        boolean z = this.aeG.getVisibility() == 0;
        int hg = this.aeA.aeR.hg();
        int i2;
        if (z) {
            i2 = 1;
        } else {
            i2 = 0;
        }
        if (i == Integer.MAX_VALUE || hg <= i2 + i) {
            this.aeA.setShowFooterView(false);
            this.aeA.bx(i);
        } else {
            this.aeA.setShowFooterView(true);
            this.aeA.bx(i - 1);
        }
        ListPopupWindow listPopupWindow = getListPopupWindow();
        if (!listPopupWindow.amH.isShowing()) {
            if (this.aeN || !z) {
                this.aeA.g(true, z);
            } else {
                this.aeA.g(false, false);
            }
            listPopupWindow.setContentWidth(Math.min(this.aeA.ht(), this.aeI));
            listPopupWindow.show();
            if (this.aeJ != null) {
                this.aeJ.E(true);
            }
            listPopupWindow.amk.setContentDescription(getContext().getString(2131296262));
            listPopupWindow.amk.setSelector(new ColorDrawable(0));
        }
    }

    public final boolean hs() {
        return getListPopupWindow().amH.isShowing();
    }

    /* Access modifiers changed, original: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        e eVar = this.aeA.aeR;
        if (eVar != null) {
            eVar.registerObserver(this.aeK);
        }
        this.pv = true;
    }

    /* Access modifiers changed, original: protected */
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        e eVar = this.aeA.aeR;
        if (eVar != null) {
            eVar.unregisterObserver(this.aeK);
        }
        ViewTreeObserver viewTreeObserver = getViewTreeObserver();
        if (viewTreeObserver.isAlive()) {
            viewTreeObserver.removeGlobalOnLayoutListener(this.aeL);
        }
        if (hs()) {
            hr();
        }
        this.pv = false;
    }

    /* Access modifiers changed, original: protected */
    public void onMeasure(int i, int i2) {
        View view = this.aeC;
        if (this.aeG.getVisibility() != 0) {
            i2 = MeasureSpec.makeMeasureSpec(MeasureSpec.getSize(i2), 1073741824);
        }
        measureChild(view, i, i2);
        setMeasuredDimension(view.getMeasuredWidth(), view.getMeasuredHeight());
    }

    /* Access modifiers changed, original: protected */
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        this.aeC.layout(0, 0, i3 - i, i4 - i2);
        if (!hs()) {
            hr();
        }
    }

    public e getDataModel() {
        return this.aeA.aeR;
    }

    public void setOnDismissListener(OnDismissListener onDismissListener) {
        this.aaN = onDismissListener;
    }

    public void setInitialActivityCount(int i) {
        this.aeO = i;
    }

    public void setDefaultActionButtonContentDescription(int i) {
        this.aeP = i;
    }

    /* Access modifiers changed, original: 0000 */
    public ListPopupWindow getListPopupWindow() {
        if (this.aeM == null) {
            this.aeM = new ListPopupWindow(getContext());
            this.aeM.setAdapter(this.aeA);
            this.aeM.amx = this;
            this.aeM.setModal(true);
            this.aeM.amz = this.aeB;
            this.aeM.setOnDismissListener(this.aeB);
        }
        return this.aeM;
    }

    public final boolean hr() {
        if (getListPopupWindow().amH.isShowing()) {
            getListPopupWindow().dismiss();
            ViewTreeObserver viewTreeObserver = getViewTreeObserver();
            if (viewTreeObserver.isAlive()) {
                viewTreeObserver.removeGlobalOnLayoutListener(this.aeL);
            }
        }
        return true;
    }
}
