package android.support.v7.widget;

import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.pm.ResolveInfo;
import android.database.DataSetObservable;
import android.os.AsyncTask;
import android.text.TextUtils;
import android.util.Xml;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

class e extends DataSetObservable {
    static final String LOG_TAG = e.class.getSimpleName();
    private static final Object ael = new Object();
    private static final Map<String, e> aem = new HashMap();
    final Object aen;
    final List<a> aeo;
    private final List<c> aep;
    final String aeq;
    private b aer;
    private int aes;
    boolean aet;
    private boolean aeu;
    private boolean aev;
    private boolean aew;
    private d aex;
    final Context mContext;
    private Intent mIntent;

    public final int hg() {
        int size;
        synchronized (this.aen) {
            hj();
            size = this.aeo.size();
        }
        return size;
    }

    public final ResolveInfo bu(int i) {
        ResolveInfo resolveInfo;
        synchronized (this.aen) {
            hj();
            resolveInfo = ((a) this.aeo.get(i)).resolveInfo;
        }
        return resolveInfo;
    }

    public final int a(ResolveInfo resolveInfo) {
        synchronized (this.aen) {
            hj();
            List list = this.aeo;
            int size = list.size();
            for (int i = 0; i < size; i++) {
                if (((a) list.get(i)).resolveInfo == resolveInfo) {
                    return i;
                }
            }
            return -1;
        }
    }

    public final Intent bv(int i) {
        synchronized (this.aen) {
            if (this.mIntent == null) {
                return null;
            }
            hj();
            a aVar = (a) this.aeo.get(i);
            ComponentName componentName = new ComponentName(aVar.resolveInfo.activityInfo.packageName, aVar.resolveInfo.activityInfo.name);
            Intent intent = new Intent(this.mIntent);
            intent.setComponent(componentName);
            if (this.aex != null) {
                Intent intent2 = new Intent(intent);
                if (this.aex.hp()) {
                    return null;
                }
            }
            a(new c(componentName, System.currentTimeMillis(), 1.0f));
            return intent;
        }
    }

    public final ResolveInfo hh() {
        synchronized (this.aen) {
            hj();
            if (this.aeo.isEmpty()) {
                return null;
            }
            ResolveInfo resolveInfo = ((a) this.aeo.get(0)).resolveInfo;
            return resolveInfo;
        }
    }

    private void hi() {
        if (!this.aeu) {
            throw new IllegalStateException("No preceding call to #readHistoricalData");
        } else if (this.aev) {
            this.aev = false;
            if (!TextUtils.isEmpty(this.aeq)) {
                new e(this).executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new Object[]{new ArrayList(this.aep), this.aeq});
            }
        }
    }

    public final int getHistorySize() {
        int size;
        synchronized (this.aen) {
            hj();
            size = this.aep.size();
        }
        return size;
    }

    /* Access modifiers changed, original: final */
    public final void hj() {
        int hl = hl() | hm();
        hn();
        if (hl != 0) {
            hk();
            notifyChanged();
        }
    }

    private boolean hk() {
        if (this.aer == null || this.mIntent == null || this.aeo.isEmpty() || this.aep.isEmpty()) {
            return false;
        }
        Collections.unmodifiableList(this.aep);
        return true;
    }

    private boolean hl() {
        if (!this.aew || this.mIntent == null) {
            return false;
        }
        this.aew = false;
        this.aeo.clear();
        List queryIntentActivities = this.mContext.getPackageManager().queryIntentActivities(this.mIntent, 0);
        int size = queryIntentActivities.size();
        for (int i = 0; i < size; i++) {
            this.aeo.add(new a((ResolveInfo) queryIntentActivities.get(i)));
        }
        return true;
    }

    private boolean hm() {
        if (!this.aet || !this.aev || TextUtils.isEmpty(this.aeq)) {
            return false;
        }
        this.aet = false;
        this.aeu = true;
        ho();
        return true;
    }

    /* Access modifiers changed, original: final */
    public final boolean a(c cVar) {
        boolean add = this.aep.add(cVar);
        if (add) {
            this.aev = true;
            hn();
            hi();
            hk();
            notifyChanged();
        }
        return add;
    }

    private void hn() {
        int size = this.aep.size() - this.aes;
        if (size > 0) {
            this.aev = true;
            for (int i = 0; i < size; i++) {
                this.aep.remove(0);
            }
        }
    }

    private void ho() {
        try {
            FileInputStream openFileInput = this.mContext.openFileInput(this.aeq);
            try {
                XmlPullParser newPullParser = Xml.newPullParser();
                newPullParser.setInput(openFileInput, "UTF-8");
                int i = 0;
                while (i != 1 && i != 2) {
                    i = newPullParser.next();
                }
                if ("historical-records".equals(newPullParser.getName())) {
                    List list = this.aep;
                    list.clear();
                    while (true) {
                        int next = newPullParser.next();
                        if (next != 1) {
                            if (!(next == 3 || next == 4)) {
                                if ("historical-record".equals(newPullParser.getName())) {
                                    list.add(new c(newPullParser.getAttributeValue(null, "activity"), Long.parseLong(newPullParser.getAttributeValue(null, "time")), Float.parseFloat(newPullParser.getAttributeValue(null, "weight"))));
                                } else {
                                    throw new XmlPullParserException("Share records file not well-formed.");
                                }
                            }
                        } else if (openFileInput != null) {
                            try {
                                openFileInput.close();
                                return;
                            } catch (IOException e) {
                                return;
                            }
                        } else {
                            return;
                        }
                    }
                }
                throw new XmlPullParserException("Share records file does not start with historical-records tag.");
            } catch (XmlPullParserException e2) {
                new StringBuilder("Error reading historical recrod file: ").append(this.aeq);
                if (openFileInput != null) {
                    try {
                        openFileInput.close();
                    } catch (IOException e3) {
                    }
                }
            } catch (IOException e4) {
                new StringBuilder("Error reading historical recrod file: ").append(this.aeq);
                if (openFileInput != null) {
                    try {
                        openFileInput.close();
                    } catch (IOException e5) {
                    }
                }
            } catch (Throwable th) {
                if (openFileInput != null) {
                    try {
                        openFileInput.close();
                    } catch (IOException e6) {
                    }
                }
            }
        } catch (FileNotFoundException e7) {
        }
    }
}
