package com.facebook.internal;

import android.os.Bundle;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import org.json.JSONArray;
import org.json.JSONObject;

public class BundleJSONConverter {
    private static final Map<Class<?>, Setter> SETTERS;

    static {
        AppMethodBeat.i(72266);
        HashMap hashMap = new HashMap();
        SETTERS = hashMap;
        hashMap.put(Boolean.class, new 1());
        SETTERS.put(Integer.class, new 2());
        SETTERS.put(Long.class, new 3());
        SETTERS.put(Double.class, new 4());
        SETTERS.put(String.class, new 5());
        SETTERS.put(String[].class, new 6());
        SETTERS.put(JSONArray.class, new 7());
        AppMethodBeat.o(72266);
    }

    public static JSONObject convertToJSON(Bundle bundle) {
        AppMethodBeat.i(72264);
        JSONObject jSONObject = new JSONObject();
        for (String str : bundle.keySet()) {
            Object obj = bundle.get(str);
            if (obj != null) {
                if (obj instanceof List) {
                    JSONArray jSONArray = new JSONArray();
                    for (String put : (List) obj) {
                        jSONArray.put(put);
                    }
                    jSONObject.put(str, jSONArray);
                } else if (obj instanceof Bundle) {
                    jSONObject.put(str, convertToJSON((Bundle) obj));
                } else {
                    Setter setter = (Setter) SETTERS.get(obj.getClass());
                    if (setter == null) {
                        IllegalArgumentException illegalArgumentException = new IllegalArgumentException("Unsupported type: " + obj.getClass());
                        AppMethodBeat.o(72264);
                        throw illegalArgumentException;
                    }
                    setter.setOnJSON(jSONObject, str, obj);
                }
            }
        }
        AppMethodBeat.o(72264);
        return jSONObject;
    }

    public static Bundle convertToBundle(JSONObject jSONObject) {
        AppMethodBeat.i(72265);
        Bundle bundle = new Bundle();
        Iterator keys = jSONObject.keys();
        while (keys.hasNext()) {
            String str = (String) keys.next();
            Object obj = jSONObject.get(str);
            if (!(obj == null || obj == JSONObject.NULL)) {
                if (obj instanceof JSONObject) {
                    bundle.putBundle(str, convertToBundle((JSONObject) obj));
                } else {
                    Setter setter = (Setter) SETTERS.get(obj.getClass());
                    if (setter == null) {
                        IllegalArgumentException illegalArgumentException = new IllegalArgumentException("Unsupported type: " + obj.getClass());
                        AppMethodBeat.o(72265);
                        throw illegalArgumentException;
                    }
                    setter.setOnBundle(bundle, str, obj);
                }
            }
        }
        AppMethodBeat.o(72265);
        return bundle;
    }
}
