package com.facebook.login;

import android.os.Parcel;
import android.os.Parcelable;
import android.os.Parcelable.Creator;
import com.facebook.internal.Validate;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.util.ArrayList;
import java.util.HashSet;
import java.util.Set;

public class LoginClient$Request implements Parcelable {
    public static final Creator<LoginClient$Request> CREATOR = new 1();
    private final String applicationId;
    private final String authId;
    private String authType;
    private final DefaultAudience defaultAudience;
    private String deviceAuthTargetUserId;
    private String deviceRedirectUriString;
    private boolean isRerequest;
    private final LoginBehavior loginBehavior;
    private Set<String> permissions;

    LoginClient$Request(LoginBehavior loginBehavior, Set<String> set, DefaultAudience defaultAudience, String str, String str2, String str3) {
        Set set2;
        AppMethodBeat.i(96795);
        this.isRerequest = false;
        this.loginBehavior = loginBehavior;
        if (set2 == null) {
            set2 = new HashSet();
        }
        this.permissions = set2;
        this.defaultAudience = defaultAudience;
        this.authType = str;
        this.applicationId = str2;
        this.authId = str3;
        AppMethodBeat.o(96795);
    }

    /* Access modifiers changed, original: 0000 */
    public Set<String> getPermissions() {
        return this.permissions;
    }

    /* Access modifiers changed, original: 0000 */
    public void setPermissions(Set<String> set) {
        AppMethodBeat.i(96796);
        Validate.notNull(set, "permissions");
        this.permissions = set;
        AppMethodBeat.o(96796);
    }

    /* Access modifiers changed, original: 0000 */
    public LoginBehavior getLoginBehavior() {
        return this.loginBehavior;
    }

    /* Access modifiers changed, original: 0000 */
    public DefaultAudience getDefaultAudience() {
        return this.defaultAudience;
    }

    /* Access modifiers changed, original: 0000 */
    public String getApplicationId() {
        return this.applicationId;
    }

    /* Access modifiers changed, original: 0000 */
    public String getAuthId() {
        return this.authId;
    }

    /* Access modifiers changed, original: 0000 */
    public boolean isRerequest() {
        return this.isRerequest;
    }

    /* Access modifiers changed, original: 0000 */
    public void setRerequest(boolean z) {
        this.isRerequest = z;
    }

    /* Access modifiers changed, original: 0000 */
    public String getDeviceRedirectUriString() {
        return this.deviceRedirectUriString;
    }

    /* Access modifiers changed, original: 0000 */
    public void setDeviceRedirectUriString(String str) {
        this.deviceRedirectUriString = str;
    }

    /* Access modifiers changed, original: 0000 */
    public String getDeviceAuthTargetUserId() {
        return this.deviceAuthTargetUserId;
    }

    /* Access modifiers changed, original: 0000 */
    public void setDeviceAuthTargetUserId(String str) {
        this.deviceAuthTargetUserId = str;
    }

    /* Access modifiers changed, original: 0000 */
    public String getAuthType() {
        return this.authType;
    }

    /* Access modifiers changed, original: 0000 */
    public void setAuthType(String str) {
        this.authType = str;
    }

    /* Access modifiers changed, original: 0000 */
    public boolean hasPublishPermission() {
        AppMethodBeat.i(96797);
        for (String isPublishPermission : this.permissions) {
            if (LoginManager.isPublishPermission(isPublishPermission)) {
                AppMethodBeat.o(96797);
                return true;
            }
        }
        AppMethodBeat.o(96797);
        return false;
    }

    private LoginClient$Request(Parcel parcel) {
        boolean z;
        DefaultAudience defaultAudience = null;
        AppMethodBeat.i(96798);
        this.isRerequest = false;
        String readString = parcel.readString();
        this.loginBehavior = readString != null ? LoginBehavior.valueOf(readString) : null;
        ArrayList arrayList = new ArrayList();
        parcel.readStringList(arrayList);
        this.permissions = new HashSet(arrayList);
        readString = parcel.readString();
        if (readString != null) {
            defaultAudience = DefaultAudience.valueOf(readString);
        }
        this.defaultAudience = defaultAudience;
        this.applicationId = parcel.readString();
        this.authId = parcel.readString();
        if (parcel.readByte() != (byte) 0) {
            z = true;
        } else {
            z = false;
        }
        this.isRerequest = z;
        this.deviceRedirectUriString = parcel.readString();
        this.authType = parcel.readString();
        this.deviceAuthTargetUserId = parcel.readString();
        AppMethodBeat.o(96798);
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(Parcel parcel, int i) {
        String str = null;
        AppMethodBeat.i(96799);
        parcel.writeString(this.loginBehavior != null ? this.loginBehavior.name() : null);
        parcel.writeStringList(new ArrayList(this.permissions));
        if (this.defaultAudience != null) {
            str = this.defaultAudience.name();
        }
        parcel.writeString(str);
        parcel.writeString(this.applicationId);
        parcel.writeString(this.authId);
        parcel.writeByte((byte) (this.isRerequest ? 1 : 0));
        parcel.writeString(this.deviceRedirectUriString);
        parcel.writeString(this.authType);
        parcel.writeString(this.deviceAuthTargetUserId);
        AppMethodBeat.o(96799);
    }

    static {
        AppMethodBeat.i(96800);
        AppMethodBeat.o(96800);
    }
}
