package com.facebook.share.internal;

import android.os.Bundle;
import com.facebook.AccessToken;
import com.facebook.FacebookRequestError;
import com.facebook.GraphRequest;
import com.facebook.GraphResponse;
import com.facebook.HttpMethod;
import com.facebook.LoggingBehavior;
import com.facebook.internal.Logger;
import com.facebook.internal.Utility;
import com.facebook.share.internal.LikeActionController.AbstractRequestWrapper;
import com.facebook.share.internal.LikeActionController.LikeRequestWrapper;
import com.facebook.share.widget.LikeView.ObjectType;
import com.tencent.matrix.trace.core.AppMethodBeat;
import org.json.JSONArray;
import org.json.JSONObject;

class LikeActionController$GetOGObjectLikesRequestWrapper extends AbstractRequestWrapper implements LikeRequestWrapper {
    private final String objectId;
    private boolean objectIsLiked = LikeActionController.access$2500(this.this$0);
    private final ObjectType objectType;
    final /* synthetic */ LikeActionController this$0;
    private String unlikeToken;

    LikeActionController$GetOGObjectLikesRequestWrapper(LikeActionController likeActionController, String str, ObjectType objectType) {
        this.this$0 = likeActionController;
        super(likeActionController, str, objectType);
        AppMethodBeat.i(97004);
        this.objectId = str;
        this.objectType = objectType;
        Bundle bundle = new Bundle();
        bundle.putString("fields", "id,application");
        bundle.putString("object", this.objectId);
        setRequest(new GraphRequest(AccessToken.getCurrentAccessToken(), "me/og.likes", bundle, HttpMethod.GET));
        AppMethodBeat.o(97004);
    }

    /* Access modifiers changed, original: protected */
    public void processSuccess(GraphResponse graphResponse) {
        AppMethodBeat.i(97005);
        JSONArray tryGetJSONArrayFromResponse = Utility.tryGetJSONArrayFromResponse(graphResponse.getJSONObject(), "data");
        if (tryGetJSONArrayFromResponse != null) {
            for (int i = 0; i < tryGetJSONArrayFromResponse.length(); i++) {
                JSONObject optJSONObject = tryGetJSONArrayFromResponse.optJSONObject(i);
                if (optJSONObject != null) {
                    this.objectIsLiked = true;
                    JSONObject optJSONObject2 = optJSONObject.optJSONObject("application");
                    AccessToken currentAccessToken = AccessToken.getCurrentAccessToken();
                    if (optJSONObject2 != null && AccessToken.isCurrentAccessTokenActive() && Utility.areObjectsEqual(currentAccessToken.getApplicationId(), optJSONObject2.optString("id"))) {
                        this.unlikeToken = optJSONObject.optString("id");
                    }
                }
            }
        }
        AppMethodBeat.o(97005);
    }

    /* Access modifiers changed, original: protected */
    public void processError(FacebookRequestError facebookRequestError) {
        AppMethodBeat.i(97006);
        Logger.log(LoggingBehavior.REQUESTS, LikeActionController.access$100(), "Error fetching like status for object '%s' with type '%s' : %s", new Object[]{this.objectId, this.objectType, facebookRequestError});
        LikeActionController.access$2400(this.this$0, "get_og_object_like", facebookRequestError);
        AppMethodBeat.o(97006);
    }

    public boolean isObjectLiked() {
        return this.objectIsLiked;
    }

    public String getUnlikeToken() {
        return this.unlikeToken;
    }
}
