package com.google.android.gms.auth.api.accounttransfer;

import android.app.Activity;
import android.app.PendingIntent;
import android.content.Context;
import com.google.android.gms.common.api.Api;
import com.google.android.gms.common.api.Api.AbstractClientBuilder;
import com.google.android.gms.common.api.Api.ClientKey;
import com.google.android.gms.common.api.GoogleApi;
import com.google.android.gms.common.api.GoogleApi.Settings.Builder;
import com.google.android.gms.common.api.Status;
import com.google.android.gms.common.api.internal.ApiExceptionMapper;
import com.google.android.gms.common.internal.Preconditions;
import com.google.android.gms.internal.auth.zzae;
import com.google.android.gms.internal.auth.zzag;
import com.google.android.gms.internal.auth.zzai;
import com.google.android.gms.internal.auth.zzak;
import com.google.android.gms.internal.auth.zzx;
import com.google.android.gms.internal.auth.zzy;
import com.google.android.gms.tasks.Task;
import com.google.android.gms.tasks.TaskCompletionSource;
import com.tencent.matrix.trace.core.AppMethodBeat;

public class AccountTransferClient extends GoogleApi<zzq> {
    private static final ClientKey<zzx> zzau = new ClientKey();
    private static final AbstractClientBuilder<zzx, zzq> zzav = new zzf();
    private static final Api<zzq> zzaw = new Api("AccountTransfer.ACCOUNT_TRANSFER_API", zzav, zzau);

    static {
        AppMethodBeat.i(76988);
        AppMethodBeat.o(76988);
    }

    AccountTransferClient(Activity activity) {
        super(activity, zzaw, null, new Builder().setMapper(new ApiExceptionMapper()).build());
        AppMethodBeat.i(76980);
        AppMethodBeat.o(76980);
    }

    AccountTransferClient(Context context) {
        super(context, zzaw, null, new Builder().setMapper(new ApiExceptionMapper()).build());
        AppMethodBeat.i(76979);
        AppMethodBeat.o(76979);
    }

    private static void zzd(TaskCompletionSource taskCompletionSource, Status status) {
        AppMethodBeat.i(76986);
        taskCompletionSource.setException(new AccountTransferException(status));
        AppMethodBeat.o(76986);
    }

    static /* synthetic */ void zze(TaskCompletionSource taskCompletionSource, Status status) {
        AppMethodBeat.i(76987);
        zzd(taskCompletionSource, status);
        AppMethodBeat.o(76987);
    }

    public Task<DeviceMetaData> getDeviceMetaData(String str) {
        AppMethodBeat.i(76983);
        Preconditions.checkNotNull(str);
        Task doRead = doRead(new zzj(this, new zzy(str)));
        AppMethodBeat.o(76983);
        return doRead;
    }

    public Task<Void> notifyCompletion(String str, int i) {
        AppMethodBeat.i(76985);
        Preconditions.checkNotNull(str);
        Task doWrite = doWrite(new zzm(this, new zzae(str, i)));
        AppMethodBeat.o(76985);
        return doWrite;
    }

    public Task<byte[]> retrieveData(String str) {
        AppMethodBeat.i(76982);
        Preconditions.checkNotNull(str);
        Task doRead = doRead(new zzh(this, new zzag(str)));
        AppMethodBeat.o(76982);
        return doRead;
    }

    public Task<Void> sendData(String str, byte[] bArr) {
        AppMethodBeat.i(76981);
        Preconditions.checkNotNull(str);
        Preconditions.checkNotNull(bArr);
        Task doWrite = doWrite(new zzg(this, new zzai(str, bArr)));
        AppMethodBeat.o(76981);
        return doWrite;
    }

    public Task<Void> showUserChallenge(String str, PendingIntent pendingIntent) {
        AppMethodBeat.i(76984);
        Preconditions.checkNotNull(str);
        Preconditions.checkNotNull(pendingIntent);
        Task doWrite = doWrite(new zzl(this, new zzak(str, pendingIntent)));
        AppMethodBeat.o(76984);
        return doWrite;
    }
}
