package com.google.android.gms.common.images;

import android.graphics.Bitmap;
import android.os.SystemClock;
import com.google.android.gms.common.images.ImageManager.ImageReceiver;
import com.google.android.gms.common.images.ImageRequest.ListenerImageRequest;
import com.google.android.gms.common.images.ImageRequest.zza;
import com.google.android.gms.common.internal.Asserts;
import com.tencent.matrix.trace.core.AppMethodBeat;

final class ImageManager$zzc implements Runnable {
    private final /* synthetic */ ImageManager zzpg;
    private final ImageRequest zzpi;

    public ImageManager$zzc(ImageManager imageManager, ImageRequest imageRequest) {
        this.zzpg = imageManager;
        this.zzpi = imageRequest;
    }

    public final void run() {
        AppMethodBeat.i(61212);
        Asserts.checkMainThread("LoadImageRunnable must be executed on the main thread");
        ImageReceiver imageReceiver = (ImageReceiver) ImageManager.zza(this.zzpg).get(this.zzpi);
        if (imageReceiver != null) {
            ImageManager.zza(this.zzpg).remove(this.zzpi);
            imageReceiver.zzb(this.zzpi);
        }
        zza zza = this.zzpi.zzpk;
        if (zza.uri == null) {
            this.zzpi.zza(ImageManager.zzb(this.zzpg), ImageManager.zzc(this.zzpg), true);
            AppMethodBeat.o(61212);
            return;
        }
        Bitmap zza2 = ImageManager.zza(this.zzpg, zza);
        if (zza2 != null) {
            this.zzpi.zza(ImageManager.zzb(this.zzpg), zza2, true);
            AppMethodBeat.o(61212);
            return;
        }
        Long l = (Long) ImageManager.zzd(this.zzpg).get(zza.uri);
        if (l != null) {
            if (SystemClock.elapsedRealtime() - l.longValue() < 3600000) {
                this.zzpi.zza(ImageManager.zzb(this.zzpg), ImageManager.zzc(this.zzpg), true);
                AppMethodBeat.o(61212);
                return;
            }
            ImageManager.zzd(this.zzpg).remove(zza.uri);
        }
        this.zzpi.zza(ImageManager.zzb(this.zzpg), ImageManager.zzc(this.zzpg));
        imageReceiver = (ImageReceiver) ImageManager.zze(this.zzpg).get(zza.uri);
        if (imageReceiver == null) {
            imageReceiver = new ImageReceiver(this.zzpg, zza.uri);
            ImageManager.zze(this.zzpg).put(zza.uri, imageReceiver);
        }
        imageReceiver.zza(this.zzpi);
        if (!(this.zzpi instanceof ListenerImageRequest)) {
            ImageManager.zza(this.zzpg).put(this.zzpi, imageReceiver);
        }
        synchronized (ImageManager.zzcm()) {
            try {
                if (!ImageManager.zzcn().contains(zza.uri)) {
                    ImageManager.zzcn().add(zza.uri);
                    imageReceiver.zzco();
                }
            } finally {
                while (true) {
                }
                AppMethodBeat.o(61212);
            }
        }
    }
}
