package com.google.android.gms.gcm;

import android.content.Context;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageManager.NameNotFoundException;
import android.content.res.Resources;
import android.os.Bundle;
import android.os.SystemClock;
import android.text.TextUtils;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.smtt.sdk.TbsListener$ErrorCode;
import java.util.MissingFormatArgumentException;
import java.util.concurrent.atomic.AtomicInteger;
import org.json.JSONArray;
import org.json.JSONException;

final class zzd {
    static zzd zzj;
    private final Context zzk;
    private String zzl;
    private final AtomicInteger zzm = new AtomicInteger((int) SystemClock.elapsedRealtime());

    private zzd(Context context) {
        AppMethodBeat.i(70023);
        this.zzk = context.getApplicationContext();
        AppMethodBeat.o(70023);
    }

    static synchronized zzd zzd(Context context) {
        zzd zzd;
        synchronized (zzd.class) {
            AppMethodBeat.i(70021);
            if (zzj == null) {
                zzj = new zzd(context);
            }
            zzd = zzj;
            AppMethodBeat.o(70021);
        }
        return zzd;
    }

    static String zzd(Bundle bundle, String str) {
        AppMethodBeat.i(70022);
        String string = bundle.getString(str);
        if (string == null) {
            string = bundle.getString(str.replace("gcm.n.", "gcm.notification."));
        }
        AppMethodBeat.o(70022);
        return string;
    }

    private final Bundle zze() {
        AppMethodBeat.i(70026);
        ApplicationInfo applicationInfo = null;
        try {
            applicationInfo = this.zzk.getPackageManager().getApplicationInfo(this.zzk.getPackageName(), TbsListener$ErrorCode.DOWNLOAD_INTERRUPT);
        } catch (NameNotFoundException e) {
        }
        Bundle bundle;
        if (applicationInfo == null || applicationInfo.metaData == null) {
            bundle = Bundle.EMPTY;
            AppMethodBeat.o(70026);
            return bundle;
        }
        bundle = applicationInfo.metaData;
        AppMethodBeat.o(70026);
        return bundle;
    }

    private final String zze(Bundle bundle, String str) {
        AppMethodBeat.i(70025);
        String zzd = zzd(bundle, str);
        if (TextUtils.isEmpty(zzd)) {
            String valueOf = String.valueOf(str);
            zzd = String.valueOf("_loc_key");
            valueOf = zzd(bundle, zzd.length() != 0 ? valueOf.concat(zzd) : new String(valueOf));
            if (TextUtils.isEmpty(valueOf)) {
                AppMethodBeat.o(70025);
                return null;
            }
            Resources resources = this.zzk.getResources();
            int identifier = resources.getIdentifier(valueOf, "string", this.zzk.getPackageName());
            if (identifier == 0) {
                String valueOf2 = String.valueOf(str);
                zzd = String.valueOf("_loc_key");
                zzd = (zzd.length() != 0 ? valueOf2.concat(zzd) : new String(valueOf2)).substring(6);
                new StringBuilder((String.valueOf(zzd).length() + 49) + String.valueOf(valueOf).length()).append(zzd).append(" resource not found: ").append(valueOf).append(" Default value will be used.");
                AppMethodBeat.o(70025);
                return null;
            }
            String valueOf3 = String.valueOf(str);
            zzd = String.valueOf("_loc_args");
            valueOf3 = zzd(bundle, zzd.length() != 0 ? valueOf3.concat(zzd) : new String(valueOf3));
            if (TextUtils.isEmpty(valueOf3)) {
                zzd = resources.getString(identifier);
                AppMethodBeat.o(70025);
                return zzd;
            }
            try {
                JSONArray jSONArray = new JSONArray(valueOf3);
                String[] strArr = new String[jSONArray.length()];
                for (int i = 0; i < strArr.length; i++) {
                    strArr[i] = jSONArray.opt(i);
                }
                zzd = resources.getString(identifier, strArr);
                AppMethodBeat.o(70025);
                return zzd;
            } catch (JSONException e) {
                valueOf = String.valueOf(str);
                zzd = String.valueOf("_loc_args");
                zzd = (zzd.length() != 0 ? valueOf.concat(zzd) : new String(valueOf)).substring(6);
                new StringBuilder((String.valueOf(zzd).length() + 41) + String.valueOf(valueOf3).length()).append("Malformed ").append(zzd).append(": ").append(valueOf3).append("  Default value will be used.");
                AppMethodBeat.o(70025);
                return null;
            } catch (MissingFormatArgumentException e2) {
                new StringBuilder((String.valueOf(valueOf).length() + 58) + String.valueOf(valueOf3).length()).append("Missing format argument for ").append(valueOf).append(": ").append(valueOf3).append(" Default value will be used.");
                AppMethodBeat.o(70025);
                return null;
            }
        }
        AppMethodBeat.o(70025);
        return zzd;
    }

    /* Access modifiers changed, original: final */
    /* JADX WARNING: Removed duplicated region for block: B:87:0x02d0  */
    /* JADX WARNING: Removed duplicated region for block: B:90:0x02d9  */
    /* JADX WARNING: Removed duplicated region for block: B:93:0x02e2  */
    /* JADX WARNING: Removed duplicated region for block: B:95:0x02ea  */
    /* JADX WARNING: Removed duplicated region for block: B:97:0x02ef  */
    /* JADX WARNING: Removed duplicated region for block: B:63:0x0200  */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x00fd  */
    /* JADX WARNING: Removed duplicated region for block: B:10:0x0065  */
    /* JADX WARNING: Removed duplicated region for block: B:36:0x0162  */
    /* JADX WARNING: Removed duplicated region for block: B:13:0x0073  */
    /* JADX WARNING: Removed duplicated region for block: B:17:0x00a0  */
    /* JADX WARNING: Removed duplicated region for block: B:41:0x017b  */
    /* JADX WARNING: Removed duplicated region for block: B:87:0x02d0  */
    /* JADX WARNING: Removed duplicated region for block: B:90:0x02d9  */
    /* JADX WARNING: Removed duplicated region for block: B:93:0x02e2  */
    /* JADX WARNING: Removed duplicated region for block: B:95:0x02ea  */
    /* JADX WARNING: Removed duplicated region for block: B:97:0x02ef  */
    /* JADX WARNING: Removed duplicated region for block: B:63:0x0200  */
    public final boolean zze(android.os.Bundle r15) {
        /*
        r14 = this;
        r13 = 70024; // 0x11188 float:9.8125E-41 double:3.45965E-319;
        r12 = 3;
        r4 = 0;
        r11 = 1;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r13);
        r0 = "gcm.n.title";
        r0 = r14.zze(r15, r0);
        r1 = android.text.TextUtils.isEmpty(r0);
        if (r1 == 0) goto L_0x02fb;
    L_0x0016:
        r0 = r14.zzk;
        r0 = r0.getApplicationInfo();
        r1 = r14.zzk;
        r1 = r1.getPackageManager();
        r0 = r0.loadLabel(r1);
        r1 = r0;
    L_0x0027:
        r0 = "gcm.n.body";
        r7 = r14.zze(r15, r0);
        r0 = "gcm.n.icon";
        r2 = zzd(r15, r0);
        r0 = android.text.TextUtils.isEmpty(r2);
        if (r0 != 0) goto L_0x00ed;
    L_0x003b:
        r0 = r14.zzk;
        r3 = r0.getResources();
        r0 = "drawable";
        r5 = r14.zzk;
        r5 = r5.getPackageName();
        r0 = r3.getIdentifier(r2, r0, r5);
        if (r0 == 0) goto L_0x00bc;
    L_0x0050:
        r2 = r0;
    L_0x0051:
        r0 = "gcm.n.color";
        r8 = zzd(r15, r0);
        r0 = "gcm.n.sound2";
        r0 = zzd(r15, r0);
        r3 = android.text.TextUtils.isEmpty(r0);
        if (r3 == 0) goto L_0x00fd;
    L_0x0065:
        r3 = r4;
    L_0x0066:
        r0 = "gcm.n.click_action";
        r5 = zzd(r15, r0);
        r0 = android.text.TextUtils.isEmpty(r5);
        if (r0 != 0) goto L_0x0162;
    L_0x0073:
        r0 = new android.content.Intent;
        r0.<init>(r5);
        r5 = r14.zzk;
        r5 = r5.getPackageName();
        r0.setPackage(r5);
        r5 = 268435456; // 0x10000000 float:2.5243549E-29 double:1.32624737E-315;
        r0.setFlags(r5);
        r5 = r0;
    L_0x0087:
        r0 = new android.os.Bundle;
        r0.<init>(r15);
        com.google.android.gms.gcm.GcmListenerService.zzd(r0);
        r5.putExtras(r0);
        r0 = r0.keySet();
        r6 = r0.iterator();
    L_0x009a:
        r0 = r6.hasNext();
        if (r0 == 0) goto L_0x0222;
    L_0x00a0:
        r0 = r6.next();
        r0 = (java.lang.String) r0;
        r9 = "gcm.n.";
        r9 = r0.startsWith(r9);
        if (r9 != 0) goto L_0x00b8;
    L_0x00af:
        r9 = "gcm.notification.";
        r9 = r0.startsWith(r9);
        if (r9 == 0) goto L_0x009a;
    L_0x00b8:
        r5.removeExtra(r0);
        goto L_0x009a;
    L_0x00bc:
        r0 = "mipmap";
        r5 = r14.zzk;
        r5 = r5.getPackageName();
        r0 = r3.getIdentifier(r2, r0, r5);
        if (r0 == 0) goto L_0x00cd;
    L_0x00cb:
        r2 = r0;
        goto L_0x0051;
    L_0x00cd:
        r0 = java.lang.String.valueOf(r2);
        r0 = r0.length();
        r0 = r0 + 57;
        r3 = new java.lang.StringBuilder;
        r3.<init>(r0);
        r0 = "Icon resource ";
        r0 = r3.append(r0);
        r0 = r0.append(r2);
        r2 = " not found. Notification will use app icon.";
        r0.append(r2);
    L_0x00ed:
        r0 = r14.zzk;
        r0 = r0.getApplicationInfo();
        r0 = r0.icon;
        if (r0 != 0) goto L_0x00fa;
    L_0x00f7:
        r0 = 17301651; // 0x1080093 float:2.4979667E-38 double:8.5481514E-317;
    L_0x00fa:
        r2 = r0;
        goto L_0x0051;
    L_0x00fd:
        r3 = "default";
        r3 = r3.equals(r0);
        if (r3 != 0) goto L_0x015a;
    L_0x0106:
        r3 = r14.zzk;
        r3 = r3.getResources();
        r5 = "raw";
        r6 = r14.zzk;
        r6 = r6.getPackageName();
        r3 = r3.getIdentifier(r0, r5, r6);
        if (r3 == 0) goto L_0x015a;
    L_0x011b:
        r3 = r14.zzk;
        r3 = r3.getPackageName();
        r5 = java.lang.String.valueOf(r3);
        r5 = r5.length();
        r5 = r5 + 24;
        r6 = java.lang.String.valueOf(r0);
        r6 = r6.length();
        r5 = r5 + r6;
        r6 = new java.lang.StringBuilder;
        r6.<init>(r5);
        r5 = "android.resource://";
        r5 = r6.append(r5);
        r3 = r5.append(r3);
        r5 = "/raw/";
        r3 = r3.append(r5);
        r0 = r3.append(r0);
        r0 = r0.toString();
        r0 = android.net.Uri.parse(r0);
        r3 = r0;
        goto L_0x0066;
    L_0x015a:
        r0 = 2;
        r0 = android.media.RingtoneManager.getDefaultUri(r0);
        r3 = r0;
        goto L_0x0066;
    L_0x0162:
        r0 = r14.zzk;
        r0 = r0.getPackageManager();
        r5 = r14.zzk;
        r5 = r5.getPackageName();
        r0 = r0.getLaunchIntentForPackage(r5);
        if (r0 != 0) goto L_0x02f8;
    L_0x0174:
        r5 = r4;
    L_0x0175:
        r0 = com.google.android.gms.common.util.PlatformVersion.isAtLeastO();
        if (r0 == 0) goto L_0x02bb;
    L_0x017b:
        r0 = r14.zzk;
        r0 = r0.getApplicationInfo();
        r0 = r0.targetSdkVersion;
        r6 = 26;
        if (r0 < r6) goto L_0x02bb;
    L_0x0187:
        r0 = "gcm.n.android_channel_id";
        r6 = zzd(r15, r0);
        r0 = com.google.android.gms.common.util.PlatformVersion.isAtLeastO();
        if (r0 != 0) goto L_0x0233;
    L_0x0194:
        r0 = new android.app.Notification$Builder;
        r6 = r14.zzk;
        r0.<init>(r6);
        r0 = r0.setAutoCancel(r11);
        r0 = r0.setSmallIcon(r2);
        r2 = android.text.TextUtils.isEmpty(r1);
        if (r2 != 0) goto L_0x01ac;
    L_0x01a9:
        r0.setContentTitle(r1);
    L_0x01ac:
        r1 = android.text.TextUtils.isEmpty(r7);
        if (r1 != 0) goto L_0x01c1;
    L_0x01b2:
        r0.setContentText(r7);
        r1 = new android.app.Notification$BigTextStyle;
        r1.<init>();
        r1 = r1.bigText(r7);
        r0.setStyle(r1);
    L_0x01c1:
        r1 = android.text.TextUtils.isEmpty(r8);
        if (r1 != 0) goto L_0x01ce;
    L_0x01c7:
        r1 = android.graphics.Color.parseColor(r8);
        r0.setColor(r1);
    L_0x01ce:
        if (r3 == 0) goto L_0x01d3;
    L_0x01d0:
        r0.setSound(r3);
    L_0x01d3:
        if (r5 == 0) goto L_0x01d8;
    L_0x01d5:
        r0.setContentIntent(r5);
    L_0x01d8:
        if (r4 == 0) goto L_0x01dd;
    L_0x01da:
        r0.setChannelId(r4);
    L_0x01dd:
        r0 = r0.build();
        r1 = r0;
    L_0x01e2:
        r0 = "gcm.n.tag";
        r2 = zzd(r15, r0);
        r0 = "GcmNotification";
        android.util.Log.isLoggable(r0, r12);
        r0 = r14.zzk;
        r3 = "notification";
        r0 = r0.getSystemService(r3);
        r0 = (android.app.NotificationManager) r0;
        r3 = android.text.TextUtils.isEmpty(r2);
        if (r3 == 0) goto L_0x021a;
    L_0x0200:
        r2 = android.os.SystemClock.uptimeMillis();
        r4 = 37;
        r5 = new java.lang.StringBuilder;
        r5.<init>(r4);
        r4 = "GCM-Notification:";
        r4 = r5.append(r4);
        r2 = r4.append(r2);
        r2 = r2.toString();
    L_0x021a:
        r3 = 0;
        r0.notify(r2, r3, r1);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r13);
        return r11;
    L_0x0222:
        r0 = r14.zzk;
        r6 = r14.zzm;
        r6 = r6.getAndIncrement();
        r9 = 1073741824; // 0x40000000 float:2.0 double:5.304989477E-315;
        r0 = android.app.PendingIntent.getActivity(r0, r6, r5, r9);
        r5 = r0;
        goto L_0x0175;
    L_0x0233:
        r0 = r14.zzk;
        r4 = android.app.NotificationManager.class;
        r0 = r0.getSystemService(r4);
        r0 = (android.app.NotificationManager) r0;
        r4 = android.text.TextUtils.isEmpty(r6);
        if (r4 != 0) goto L_0x026c;
    L_0x0243:
        r4 = r0.getNotificationChannel(r6);
        if (r4 == 0) goto L_0x024c;
    L_0x0249:
        r4 = r6;
        goto L_0x0194;
    L_0x024c:
        r4 = java.lang.String.valueOf(r6);
        r4 = r4.length();
        r4 = r4 + 122;
        r9 = new java.lang.StringBuilder;
        r9.<init>(r4);
        r4 = "Notification Channel requested (";
        r4 = r9.append(r4);
        r4 = r4.append(r6);
        r6 = ") has not been created by the app. Manifest configuration, or default, value will be used.";
        r4.append(r6);
    L_0x026c:
        r4 = r14.zzl;
        if (r4 == 0) goto L_0x0274;
    L_0x0270:
        r4 = r14.zzl;
        goto L_0x0194;
    L_0x0274:
        r4 = r14.zze();
        r6 = "com.google.android.gms.gcm.default_notification_channel_id";
        r4 = r4.getString(r6);
        r14.zzl = r4;
        r4 = r14.zzl;
        r4 = android.text.TextUtils.isEmpty(r4);
        if (r4 != 0) goto L_0x0295;
    L_0x0289:
        r4 = r14.zzl;
        r4 = r0.getNotificationChannel(r4);
        if (r4 == 0) goto L_0x0295;
    L_0x0291:
        r4 = r14.zzl;
        goto L_0x0194;
    L_0x0295:
        r4 = "fcm_fallback_notification_channel";
        r4 = r0.getNotificationChannel(r4);
        if (r4 != 0) goto L_0x02b2;
    L_0x029e:
        r4 = new android.app.NotificationChannel;
        r6 = "fcm_fallback_notification_channel";
        r9 = r14.zzk;
        r10 = 2131296292; // 0x7f090024 float:1.8210497E38 double:1.053000279E-314;
        r9 = r9.getString(r10);
        r4.<init>(r6, r9, r12);
        r0.createNotificationChannel(r4);
    L_0x02b2:
        r0 = "fcm_fallback_notification_channel";
        r14.zzl = r0;
        r4 = r14.zzl;
        goto L_0x0194;
    L_0x02bb:
        r0 = new android.support.v4.app.v$c;
        r4 = r14.zzk;
        r0.<init>(r4);
        r0 = r0.z(r11);
        r0 = r0.as(r2);
        r2 = android.text.TextUtils.isEmpty(r1);
        if (r2 != 0) goto L_0x02d3;
    L_0x02d0:
        r0.d(r1);
    L_0x02d3:
        r1 = android.text.TextUtils.isEmpty(r7);
        if (r1 != 0) goto L_0x02dc;
    L_0x02d9:
        r0.e(r7);
    L_0x02dc:
        r1 = android.text.TextUtils.isEmpty(r8);
        if (r1 != 0) goto L_0x02e8;
    L_0x02e2:
        r1 = android.graphics.Color.parseColor(r8);
        r0.mColor = r1;
    L_0x02e8:
        if (r3 == 0) goto L_0x02ed;
    L_0x02ea:
        r0.b(r3);
    L_0x02ed:
        if (r5 == 0) goto L_0x02f1;
    L_0x02ef:
        r0.EI = r5;
    L_0x02f1:
        r0 = r0.build();
        r1 = r0;
        goto L_0x01e2;
    L_0x02f8:
        r5 = r0;
        goto L_0x0087;
    L_0x02fb:
        r1 = r0;
        goto L_0x0027;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.gms.gcm.zzd.zze(android.os.Bundle):boolean");
    }
}
