package com.tencent.filter.art;

import android.graphics.Bitmap;
import com.tencent.filter.BaseFilter;
import com.tencent.filter.GLSLRender;
import com.tencent.filter.QImage;
import com.tencent.filter.m.k;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.util.Map;

public class BokehFilter extends BaseFilter {
    public static Bitmap[] bNe = new Bitmap[]{null, null, null, null, null, null};
    Bitmap bNf = null;
    float bNg = 400.0f;
    int bNh = 1;
    float bNi = 0.5f;
    float bNj = ((float) (1.0d / Math.exp(0.0d)));
    float bNk = 0.0f;
    int radius = 8;

    public static native int nativeBokehProcess(QImage qImage, QImage qImage2, int i, float f, float f2);

    public BokehFilter() {
        super(GLSLRender.bKc);
        AppMethodBeat.i(86288);
        AppMethodBeat.o(86288);
    }

    public void ClearGLSL() {
        AppMethodBeat.i(86289);
        super.ClearGLSL();
        this.bNf = null;
        AppMethodBeat.o(86289);
    }

    public void setParameterDic(Map<String, Object> map) {
        AppMethodBeat.i(86290);
        if (map.containsKey("inputradius")) {
            float floatValue = ((Float) map.get("input_radius")).floatValue();
            this.bNi = 1.0f - floatValue;
            this.radius = 5;
            if (((double) this.bNi) < 0.8d && this.bNi > 0.4f) {
                this.radius = 8;
            } else if (this.bNi <= 0.4f) {
                this.bNi = 0.4f;
                this.radius = (int) ((floatValue * 6.0f) + 8.0f);
            }
        }
        if (map.containsKey("maxwidth")) {
            this.bNg = ((Float) map.get("maxwidth")).floatValue();
        }
        if (map.containsKey("maskbmp")) {
            this.bNf = (Bitmap) map.get("maskbmp");
        }
        if (map.containsKey("bokehType")) {
            this.bNh = ((Integer) map.get("bokehType")).intValue() % 6;
        }
        if (map.containsKey("lumi_threshold")) {
            this.bNk = ((Float) map.get("lumi_threshold")).floatValue();
        }
        if (map.containsKey("lumi_weight")) {
            this.bNj = (float) (1.0d / Math.exp((double) ((Float) map.get("lumi_weight")).floatValue()));
        }
        AppMethodBeat.o(86290);
    }

    public void ApplyGLSLFilter(boolean z, float f, float f2) {
        AppMethodBeat.i(86291);
        this.glsl_programID = GLSLRender.bJB;
        this.scaleFact = Math.min(960.0f / Math.max(f, f2), 1.0f) * this.bNi;
        a aVar = new a(this.radius, this.bNj, this.bNk, this.bNh, 1);
        aVar.setScaleFact(this.scaleFact);
        setNextFilter(aVar, null);
        aVar.setNextFilter(new BaseFilter(GLSLRender.bJB), null);
        BaseFilter baseFilter = new BaseFilter(GLSLRender.bKn);
        if (this.bNf != null) {
            baseFilter.addParam(new k("inputImageTexture3", this.bNf, 33987, false));
        }
        aVar.setNextFilter(baseFilter, new int[]{-1});
        super.ApplyGLSLFilter(z, f, f2);
        AppMethodBeat.o(86291);
    }
}
