package com.tencent.mm.plugin.appbrand.jsapi;

import android.content.Context;
import android.content.Intent;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.bp.d;
import com.tencent.mm.compatible.util.f;
import com.tencent.mm.plugin.appbrand.ipc.AppBrandMainProcessService;
import com.tencent.mm.plugin.appbrand.page.u;
import com.tencent.mm.plugin.appbrand.q;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.al;
import com.tencent.mm.sdk.platformtools.at;
import com.tencent.mm.sdk.platformtools.bo;
import org.json.JSONObject;

public final class JsApiAddNativeDownloadTask extends a<q> {
    private static final int CTRL_INDEX = 428;
    private static final String NAME = "addNativeDownloadTask";

    public final /* synthetic */ void a(c cVar, JSONObject jSONObject, int i) {
        AppMethodBeat.i(130390);
        q qVar = (q) cVar;
        if (jSONObject == null) {
            ab.e("MicroMsg.JsApiAddNativeDownloadTask", "data is null");
            qVar.M(i, j("fail:data is null", null));
            AppMethodBeat.o(130390);
            return;
        }
        String optString = jSONObject.optString("taskName");
        String optString2 = jSONObject.optString("taskUrl");
        long j = bo.getLong(jSONObject.optString("taskSize"), 0);
        String optString3 = jSONObject.optString("fileMD5");
        String optString4 = jSONObject.optString("thumbUrl");
        String optString5 = jSONObject.optString("title");
        Context context = qVar.getContext();
        ab.i("MicroMsg.JsApiAddNativeDownloadTask", "taskUrl : %s, taskSize : %s, fileMD5:[%s], title : %s, thumbUrl : %s", new Object[]{optString2, Long.valueOf(j), optString3, optString5, optString4});
        if (!at.isNetworkConnected(context)) {
            qVar.M(i, j("fail:fail network not connected", null));
            al.d(new 1(this, context));
            ab.i("MicroMsg.JsApiAddNativeDownloadTask", "fail, network not ready");
            AppMethodBeat.o(130390);
        } else if (!f.Mn()) {
            qVar.M(i, j("fail:fail sdcard not ready", null));
            al.d(new 2(this, context));
            ab.i("MicroMsg.JsApiAddNativeDownloadTask", "fail, sdcard not ready");
            AppMethodBeat.o(130390);
        } else if (j > 0 && !f.eW(j)) {
            qVar.M(i, j("fail:fail sdcard has not enough space", null));
            al.d(new 3(this, context));
            ab.i("MicroMsg.JsApiAddNativeDownloadTask", "fail, not enough space, require size = ".concat(String.valueOf(j)));
            AppMethodBeat.o(130390);
        } else if (bo.isNullOrNil(optString2)) {
            ab.e("MicroMsg.JsApiAddNativeDownloadTask", "doAddDownloadTask fail, url is null");
            qVar.M(i, j("fail:taskUrl is null or nil", null));
            AppMethodBeat.o(130390);
        } else {
            Intent intent = new Intent();
            intent.putExtra("task_name", optString);
            intent.putExtra("task_url", optString2);
            intent.putExtra("task_size", j);
            intent.putExtra("file_md5", optString3);
            intent.putExtra("appid", qVar.getAppId());
            intent.putExtra("thumb_url", optString4);
            intent.putExtra("title", optString5);
            u currentPageView = qVar.getCurrentPageView();
            if (currentPageView != null) {
                intent.putExtra("page_url", currentPageView.getURL());
            } else {
                ab.e("MicroMsg.JsApiAddNativeDownloadTask", "getCurrentPageView is null");
            }
            intent.putExtra("page_scene", 1);
            d.b(context, "webview", ".ui.tools.WebViewDownloadUI", intent);
            AddNativeDownloadTaskTask addNativeDownloadTaskTask = new AddNativeDownloadTaskTask();
            addNativeDownloadTaskTask.hww = new 4(this, addNativeDownloadTaskTask, qVar, i);
            addNativeDownloadTaskTask.aBV();
            AppBrandMainProcessService.a(addNativeDownloadTaskTask);
            AppMethodBeat.o(130390);
        }
    }
}
