package com.tencent.mm.plugin.appbrand.widget.input;

import android.graphics.Rect;
import android.os.Build.VERSION;
import android.text.Editable;
import android.text.Layout;
import android.text.TextPaint;
import android.text.style.RelativeSizeSpan;
import android.widget.EditText;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import java.lang.reflect.Method;

enum aj$a {
    ;

    static void c(EditText editText) {
        AppMethodBeat.i(123845);
        if (editText == null) {
            AppMethodBeat.o(123845);
            return;
        }
        aj.cS(editText).hideSoftInputFromInputMethod(editText.getWindowToken(), 2);
        AppMethodBeat.o(123845);
    }

    static void setNoSystemInputOnEditText(EditText editText) {
        AppMethodBeat.i(123846);
        if (editText == null) {
            AppMethodBeat.o(123846);
        } else if (VERSION.SDK_INT >= 21) {
            editText.setShowSoftInputOnFocus(false);
            AppMethodBeat.o(123846);
        } else {
            Class cls = EditText.class;
            try {
                Method method = cls.getMethod("setShowSoftInputOnFocus", new Class[]{Boolean.TYPE});
                method.setAccessible(true);
                method.invoke(editText, new Object[]{Boolean.FALSE});
                method.setAccessible(false);
                AppMethodBeat.o(123846);
            } catch (NoSuchMethodException e) {
                ab.i("MicroMsg.AppBrand.InputUtil.EditTextUtil", "setNoSystemInputOnEditText, setShowSoftInputOnFocus no such method, api level = %d", new Object[]{Integer.valueOf(VERSION.SDK_INT)});
                try {
                    Method method2 = cls.getMethod("setSoftInputShownOnFocus", new Class[]{Boolean.TYPE});
                    method2.setAccessible(true);
                    method2.invoke(editText, new Object[]{Boolean.FALSE});
                    method2.setAccessible(false);
                    AppMethodBeat.o(123846);
                } catch (Exception e2) {
                    ab.e("MicroMsg.AppBrand.InputUtil.EditTextUtil", "setNoSystemInputOnEditText, reflect method [setSoftInputShownOnFocus], exp = %s", new Object[]{bo.l(e2)});
                    if (editText.getContext() != null && (editText.getContext() instanceof ad)) {
                        ((ad) editText.getContext()).hideVKB(editText);
                    }
                    AppMethodBeat.o(123846);
                }
            } catch (Exception e22) {
                ab.e("MicroMsg.AppBrand.InputUtil.EditTextUtil", "setNoSystemInputOnEditText, reflect method [setShowSoftInputOnFocus], exp = %s", new Object[]{bo.l(e22)});
                AppMethodBeat.o(123846);
            }
        }
    }

    static int a(EditText editText, float f, float f2) {
        AppMethodBeat.i(123847);
        int paddingTop = editText.getPaddingTop();
        Layout layout = editText.getLayout();
        if (layout == null) {
            AppMethodBeat.o(123847);
            return -1;
        }
        Editable editableText = editText.getEditableText();
        if (editableText == null) {
            AppMethodBeat.o(123847);
            return -1;
        }
        TextPaint paint = editText.getPaint();
        if (paint == null) {
            AppMethodBeat.o(123847);
            return -1;
        }
        int lineStart;
        int i;
        Rect rect = new Rect();
        int i2 = 0;
        loop0:
        while (true) {
            int i3 = i2;
            if (i3 < layout.getLineCount()) {
                layout.getLineBounds(i3, rect);
                paddingTop += rect.height();
                if (((float) paddingTop) >= f2) {
                    int max;
                    lineStart = layout.getLineStart(i3);
                    i2 = layout.getLineEnd(i3);
                    if (i3 != layout.getLineCount() - 1) {
                        max = Math.max(i2 - 1, lineStart);
                    } else {
                        max = i2;
                    }
                    if (lineStart == max) {
                        AppMethodBeat.o(123847);
                        return lineStart;
                    }
                    RelativeSizeSpan[] relativeSizeSpanArr = (RelativeSizeSpan[]) editableText.getSpans(lineStart, max, RelativeSizeSpan.class);
                    float f3 = 1.0f;
                    if (relativeSizeSpanArr != null) {
                        for (RelativeSizeSpan sizeChange : relativeSizeSpanArr) {
                            f3 = sizeChange.getSizeChange();
                        }
                    }
                    float f4 = f3;
                    String charSequence = editableText.subSequence(lineStart, max).toString();
                    float[] fArr = new float[charSequence.length()];
                    paint.getTextWidths(charSequence, fArr);
                    f3 = 0.0f;
                    i = 0;
                    while (i < charSequence.length()) {
                        f3 += fArr[i] * f4;
                        if (i == charSequence.length() - 1 && f >= f3) {
                            i2 = charSequence.length() + lineStart;
                            AppMethodBeat.o(123847);
                            return i2;
                        } else if (f3 >= f || i == charSequence.length() - 1) {
                            i2 = lineStart + i;
                            AppMethodBeat.o(123847);
                        } else {
                            i++;
                        }
                    }
                    continue;
                }
                i2 = i3 + 1;
            } else {
                AppMethodBeat.o(123847);
                return -1;
            }
        }
        i2 = lineStart + i;
        AppMethodBeat.o(123847);
        return i2;
    }
}
