package com.tencent.mm.plugin.ext.provider;

import android.content.ContentValues;
import android.content.Context;
import android.content.UriMatcher;
import android.database.Cursor;
import android.database.MatrixCursor;
import android.net.Uri;
import com.jg.EType;
import com.jg.JgClassChecked;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.g.a.fk;
import com.tencent.mm.g.a.fs;
import com.tencent.mm.model.aw;
import com.tencent.mm.model.bf;
import com.tencent.mm.model.c;
import com.tencent.mm.model.s;
import com.tencent.mm.model.t;
import com.tencent.mm.modelvoice.m;
import com.tencent.mm.modelvoice.p;
import com.tencent.mm.modelvoice.q;
import com.tencent.mm.opensdk.modelmsg.WXMediaMessage$IMediaObject;
import com.tencent.mm.pluginsdk.d.a.a;
import com.tencent.mm.pluginsdk.d.a.b;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.storage.ad;
import com.tencent.mm.storage.bi;
import com.tencent.tmassistantsdk.downloadservice.DownloadInfo;

@JgClassChecked(author = 32, fComment = "checked", lastDate = "20141016", reviewer = 20, vComment = {EType.PROVIDERCHECK})
public class ExtControlProviderMsg extends ExtContentProviderBase {
    private static final UriMatcher lQc;
    private static final String[] lQf = new String[]{"msgId", "fromUserId", "fromUserNickName", "msgType", DownloadInfo.CONTENTTYPE, "content", DownloadInfo.STATUS, "createTime"};
    private static final String[] lQg = new String[]{"userId", "unReadCount"};
    private static final String[] lQh = new String[]{"userId", "unReadCount"};
    private static final String[] lQi = new String[]{"userId", "retCode", "msgId"};
    private static final String[] lQj = new String[]{"msgId", "retCode"};
    private static final String[] lQk = new String[]{"msgId", "retCode"};
    private String[] lPN;
    private int lPO;
    private boolean lQd;
    private Context lQe;
    private MatrixCursor lQl;

    static {
        AppMethodBeat.i(20361);
        UriMatcher uriMatcher = new UriMatcher(-1);
        lQc = uriMatcher;
        uriMatcher.addURI("com.tencent.mm.plugin.ext.message", "oneMsg", 7);
        lQc.addURI("com.tencent.mm.plugin.ext.message", "unReadCount", 8);
        lQc.addURI("com.tencent.mm.plugin.ext.message", "unReadMsgs", 9);
        lQc.addURI("com.tencent.mm.plugin.ext.message", "unReadUserList", 10);
        lQc.addURI("com.tencent.mm.plugin.ext.message", "recordMsg", 11);
        lQc.addURI("com.tencent.mm.plugin.ext.message", "playVoice", 12);
        lQc.addURI("com.tencent.mm.plugin.ext.message", "setReaded", 13);
        lQc.addURI("com.tencent.mm.plugin.ext.message", "sendTextMsg", 14);
        AppMethodBeat.o(20361);
    }

    public ExtControlProviderMsg() {
        this.lQl = null;
        this.lQd = false;
        this.lPN = null;
        this.lPO = -1;
    }

    public ExtControlProviderMsg(String[] strArr, int i, Context context) {
        this.lQl = null;
        this.lQd = false;
        this.lPN = null;
        this.lPO = -1;
        this.lQd = true;
        this.lPN = strArr;
        this.lPO = i;
        this.lQe = context;
    }

    public String getType(Uri uri) {
        return null;
    }

    public boolean onCreate() {
        return true;
    }

    public Cursor query(Uri uri, String[] strArr, String str, String[] strArr2, String str2) {
        Cursor Kn;
        AppMethodBeat.i(20351);
        ab.i("MicroMsg.ExtControlProviderMsg", "ExtControlProviderMsg query() mIsLocalUsed :" + this.lQd);
        if (this.lQd) {
            a(uri, this.lQe, this.lPO, this.lPN);
            if (bo.isNullOrNil(this.lPW)) {
                ab.e("MicroMsg.ExtControlProviderMsg", "AppID == null");
                dZ(3, 7);
                MatrixCursor Kn2 = a.Kn(7);
                AppMethodBeat.o(20351);
                return Kn2;
            } else if (bo.isNullOrNil(brL())) {
                ab.e("MicroMsg.ExtControlProviderMsg", "PkgName == null");
                dZ(3, 6);
                Kn = a.Kn(6);
                AppMethodBeat.o(20351);
                return Kn;
            } else {
                int brM = brM();
                if (brM != 1) {
                    ab.e("MicroMsg.ExtControlProviderMsg", "invalid appid ! return code = ".concat(String.valueOf(brM)));
                    dZ(2, brM);
                    Kn = a.Kn(brM);
                    AppMethodBeat.o(20351);
                    return Kn;
                }
            }
        }
        this.lQe = getContext();
        a(uri, this.lQe, lQc);
        if (uri == null) {
            vf(3);
            AppMethodBeat.o(20351);
            return null;
        } else if (bo.isNullOrNil(this.lPW) || bo.isNullOrNil(brL())) {
            vf(3);
            AppMethodBeat.o(20351);
            return null;
        } else if (!aVl()) {
            vf(1);
            Kn = this.jDN;
            AppMethodBeat.o(20351);
            return Kn;
        } else if (!dJ(this.lQe)) {
            ab.w("MicroMsg.ExtControlProviderMsg", "invalid appid ! return null");
            vf(2);
            AppMethodBeat.o(20351);
            return null;
        }
        String nullAsNil = bo.nullAsNil(uri.getQueryParameter("source"));
        String nullAsNil2 = bo.nullAsNil(uri.getQueryParameter("count"));
        if (!this.lQd) {
            this.lPO = lQc.match(uri);
        }
        switch (this.lPO) {
            case 7:
                Kn = b(strArr2, nullAsNil);
                AppMethodBeat.o(20351);
                return Kn;
            case 8:
                Kn = v(strArr2);
                AppMethodBeat.o(20351);
                return Kn;
            case 9:
                Kn = a(strArr2, nullAsNil, nullAsNil2);
                AppMethodBeat.o(20351);
                return Kn;
            case 10:
                Kn = brN();
                AppMethodBeat.o(20351);
                return Kn;
            case 11:
                Kn = w(strArr2);
                AppMethodBeat.o(20351);
                return Kn;
            case 12:
                Kn = x(strArr2);
                AppMethodBeat.o(20351);
                return Kn;
            case WXMediaMessage$IMediaObject.TYPE_MALL_PRODUCT /*13*/:
                Kn = y(strArr2);
                AppMethodBeat.o(20351);
                return Kn;
            case WXMediaMessage$IMediaObject.TYPE_OLD_TV /*14*/:
                Kn = z(strArr2);
                AppMethodBeat.o(20351);
                return Kn;
            default:
                dZ(3, 15);
                AppMethodBeat.o(20351);
                return null;
        }
    }

    public Uri insert(Uri uri, ContentValues contentValues) {
        return null;
    }

    public int delete(Uri uri, String str, String[] strArr) {
        return 0;
    }

    public int update(Uri uri, ContentValues contentValues, String str, String[] strArr) {
        return 0;
    }

    private Cursor v(String[] strArr) {
        AppMethodBeat.i(20352);
        ab.d("MicroMsg.ExtControlProviderMsg", "getUnReadCount()");
        if (strArr == null || strArr.length <= 0) {
            ab.e("MicroMsg.ExtControlProviderMsg", "wrong args");
            vf(3);
            AppMethodBeat.o(20352);
            return null;
        }
        Cursor matrixCursor = new MatrixCursor(lQg);
        try {
            int nR;
            if ("*".equals(strArr[0])) {
                aw.ZK();
                nR = c.XR().nR("");
                matrixCursor.addRow(new Object[]{"0", Integer.valueOf(nR)});
            } else {
                for (String Le : strArr) {
                    long Le2 = com.tencent.mm.plugin.ext.a.a.Le(Le);
                    aw.ZK();
                    ad mQ = c.XM().mQ(Le2);
                    if (mQ != null && ((int) mQ.ewQ) > 0) {
                        aw.ZK();
                        int nR2 = c.XR().nR(" and ( rconversation.username='" + mQ.field_username + "' );");
                        matrixCursor.addRow(new Object[]{Long.valueOf(Le2), Integer.valueOf(nR2)});
                    }
                }
            }
            vf(0);
            AppMethodBeat.o(20352);
            return matrixCursor;
        } catch (Exception e) {
            ab.e("MicroMsg.ExtControlProviderMsg", e.getMessage());
            ab.printErrStackTrace("MicroMsg.ExtControlProviderMsg", e, "", new Object[0]);
            matrixCursor.close();
            vf(4);
            AppMethodBeat.o(20352);
            return null;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:75:0x01d7  */
    private android.database.Cursor a(java.lang.String[] r13, java.lang.String r14, java.lang.String r15) {
        /*
        r12 = this;
        r3 = 2;
        r0 = 1;
        r11 = 3;
        r10 = 20353; // 0x4f81 float:2.852E-41 double:1.00557E-319;
        r8 = 0;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r10);
        r1 = "MicroMsg.ExtControlProviderMsg";
        r2 = "getUnReadMsgs() ";
        com.tencent.mm.sdk.platformtools.ab.i(r1, r2);
        r1 = "MicroMsg.ExtControlProviderMsg";
        r2 = "getUnReadMsgs(), %s, %s";
        r3 = new java.lang.Object[r3];
        r3[r8] = r14;
        r3[r0] = r15;
        com.tencent.mm.sdk.platformtools.ab.d(r1, r2, r3);
        if (r13 == 0) goto L_0x0026;
    L_0x0023:
        r1 = r13.length;
        if (r1 > 0) goto L_0x003e;
    L_0x0026:
        r0 = "MicroMsg.ExtControlProviderMsg";
        r1 = "wrong args";
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1);
        r0 = 3701; // 0xe75 float:5.186E-42 double:1.8285E-320;
        r12.dZ(r11, r0);
        r0 = 3701; // 0xe75 float:5.186E-42 double:1.8285E-320;
        r1 = com.tencent.mm.pluginsdk.d.a.a.Kn(r0);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
    L_0x003d:
        return r1;
    L_0x003e:
        r1 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r14);
        if (r1 == 0) goto L_0x005c;
    L_0x0044:
        r0 = "MicroMsg.ExtControlProviderMsg";
        r1 = "callSource == null";
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1);
        r0 = 3702; // 0xe76 float:5.188E-42 double:1.829E-320;
        r12.dZ(r11, r0);
        r0 = 3702; // 0xe76 float:5.188E-42 double:1.829E-320;
        r1 = com.tencent.mm.pluginsdk.d.a.a.Kn(r0);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        goto L_0x003d;
    L_0x005c:
        r1 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r15);
        if (r1 == 0) goto L_0x007a;
    L_0x0062:
        r0 = "MicroMsg.ExtControlProviderMsg";
        r1 = "countStr == null";
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1);
        r0 = 3703; // 0xe77 float:5.189E-42 double:1.8295E-320;
        r12.dZ(r11, r0);
        r0 = 3703; // 0xe77 float:5.189E-42 double:1.8295E-320;
        r1 = com.tencent.mm.pluginsdk.d.a.a.Kn(r0);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        goto L_0x003d;
    L_0x007a:
        if (r14 == 0) goto L_0x00c0;
    L_0x007c:
        r1 = "openapi";
        r1 = r14.equalsIgnoreCase(r1);
        if (r1 == 0) goto L_0x00c0;
    L_0x0085:
        r6 = r0;
    L_0x0086:
        r2 = 0;
        if (r6 == 0) goto L_0x00f7;
    L_0x0089:
        r1 = com.tencent.mm.plugin.ext.b.brB();	 Catch:{ Exception -> 0x01be }
        r3 = 0;
        r3 = r13[r3];	 Catch:{ Exception -> 0x01be }
        r1 = r1.apZ(r3);	 Catch:{ Exception -> 0x01be }
        if (r1 == 0) goto L_0x00a6;
    L_0x0096:
        r3 = r1.field_openId;	 Catch:{ Exception -> 0x01be }
        r3 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r3);	 Catch:{ Exception -> 0x01be }
        if (r3 != 0) goto L_0x00a6;
    L_0x009e:
        r3 = r1.field_username;	 Catch:{ Exception -> 0x01be }
        r3 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r3);	 Catch:{ Exception -> 0x01be }
        if (r3 == 0) goto L_0x00c2;
    L_0x00a6:
        r0 = "MicroMsg.ExtControlProviderMsg";
        r1 = "openidInApp is null";
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1);	 Catch:{ Exception -> 0x01be }
        r0 = 3;
        r1 = 3704; // 0xe78 float:5.19E-42 double:1.83E-320;
        r12.dZ(r0, r1);	 Catch:{ Exception -> 0x01be }
        r0 = 3704; // 0xe78 float:5.19E-42 double:1.83E-320;
        r1 = com.tencent.mm.pluginsdk.d.a.a.Kn(r0);	 Catch:{ Exception -> 0x01be }
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        goto L_0x003d;
    L_0x00c0:
        r6 = r8;
        goto L_0x0086;
    L_0x00c2:
        com.tencent.mm.model.aw.ZK();	 Catch:{ Exception -> 0x01be }
        r3 = com.tencent.mm.model.c.XM();	 Catch:{ Exception -> 0x01be }
        r1 = r1.field_username;	 Catch:{ Exception -> 0x01be }
        r3 = r3.aoO(r1);	 Catch:{ Exception -> 0x01be }
    L_0x00cf:
        if (r3 == 0) goto L_0x00dd;
    L_0x00d1:
        r1 = r3.field_username;	 Catch:{ Exception -> 0x01be }
        if (r1 == 0) goto L_0x00dd;
    L_0x00d5:
        r1 = r3.field_username;	 Catch:{ Exception -> 0x01be }
        r1 = r1.length();	 Catch:{ Exception -> 0x01be }
        if (r1 > 0) goto L_0x010a;
    L_0x00dd:
        r0 = "MicroMsg.ExtControlProviderMsg";
        r1 = "contact is null";
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1);	 Catch:{ Exception -> 0x01be }
        r0 = 3;
        r1 = 3705; // 0xe79 float:5.192E-42 double:1.8305E-320;
        r12.dZ(r0, r1);	 Catch:{ Exception -> 0x01be }
        r0 = 3705; // 0xe79 float:5.192E-42 double:1.8305E-320;
        r1 = com.tencent.mm.pluginsdk.d.a.a.Kn(r0);	 Catch:{ Exception -> 0x01be }
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        goto L_0x003d;
    L_0x00f7:
        r1 = 0;
        r1 = r13[r1];	 Catch:{ Exception -> 0x01be }
        r4 = com.tencent.mm.plugin.ext.a.a.Le(r1);	 Catch:{ Exception -> 0x01be }
        com.tencent.mm.model.aw.ZK();	 Catch:{ Exception -> 0x01be }
        r1 = com.tencent.mm.model.c.XM();	 Catch:{ Exception -> 0x01be }
        r3 = r1.mQ(r4);	 Catch:{ Exception -> 0x01be }
        goto L_0x00cf;
    L_0x010a:
        r5 = r3.Oj();	 Catch:{ Exception -> 0x01be }
        r1 = r3.field_username;	 Catch:{ Exception -> 0x01be }
        r1 = com.tencent.mm.model.t.kH(r1);	 Catch:{ Exception -> 0x01be }
        if (r1 == 0) goto L_0x01ed;
    L_0x0116:
        r1 = r3.field_username;	 Catch:{ Exception -> 0x01be }
        r5 = com.tencent.mm.model.s.mJ(r1);	 Catch:{ Exception -> 0x01be }
        r4 = r0;
    L_0x011d:
        if (r6 == 0) goto L_0x0178;
    L_0x011f:
        r0 = 0;
        r0 = com.tencent.mm.sdk.platformtools.bo.getInt(r15, r0);	 Catch:{ Exception -> 0x0157 }
    L_0x0124:
        if (r0 <= 0) goto L_0x012a;
    L_0x0126:
        r1 = 15;
        if (r0 < r1) goto L_0x0169;
    L_0x012a:
        com.tencent.mm.model.aw.ZK();	 Catch:{ Exception -> 0x01be }
        r0 = com.tencent.mm.model.c.XO();	 Catch:{ Exception -> 0x01be }
        r1 = r3.field_username;	 Catch:{ Exception -> 0x01be }
        r7 = 15;
        r0 = r0.cz(r1, r7);	 Catch:{ Exception -> 0x01be }
        r9 = r0;
    L_0x013a:
        if (r9 != 0) goto L_0x0188;
    L_0x013c:
        r0 = "MicroMsg.ExtControlProviderMsg";
        r1 = "msgCursor == null";
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1);	 Catch:{ Exception -> 0x01be }
        r0 = 3;
        r1 = 4;
        r3 = 3706; // 0xe7a float:5.193E-42 double:1.831E-320;
        r12.T(r0, r1, r3);	 Catch:{ Exception -> 0x01be }
        r0 = 3706; // 0xe7a float:5.193E-42 double:1.831E-320;
        r1 = com.tencent.mm.pluginsdk.d.a.a.Kn(r0);	 Catch:{ Exception -> 0x01be }
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        goto L_0x003d;
    L_0x0157:
        r0 = move-exception;
        r0 = "MicroMsg.ExtControlProviderMsg";
        r1 = "exception in parseInt(%s)";
        r7 = 1;
        r7 = new java.lang.Object[r7];	 Catch:{ Exception -> 0x01be }
        r9 = 0;
        r7[r9] = r15;	 Catch:{ Exception -> 0x01be }
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1, r7);	 Catch:{ Exception -> 0x01be }
        r0 = r8;
        goto L_0x0124;
    L_0x0169:
        com.tencent.mm.model.aw.ZK();	 Catch:{ Exception -> 0x01be }
        r1 = com.tencent.mm.model.c.XO();	 Catch:{ Exception -> 0x01be }
        r7 = r3.field_username;	 Catch:{ Exception -> 0x01be }
        r0 = r1.cz(r7, r0);	 Catch:{ Exception -> 0x01be }
        r9 = r0;
        goto L_0x013a;
    L_0x0178:
        com.tencent.mm.model.aw.ZK();	 Catch:{ Exception -> 0x01be }
        r0 = com.tencent.mm.model.c.XO();	 Catch:{ Exception -> 0x01be }
        r1 = r3.field_username;	 Catch:{ Exception -> 0x01be }
        r7 = 3;
        r0 = r0.cz(r1, r7);	 Catch:{ Exception -> 0x01be }
        r9 = r0;
        goto L_0x013a;
    L_0x0188:
        r1 = new android.database.MatrixCursor;	 Catch:{ Exception -> 0x01be }
        r0 = lQf;	 Catch:{ Exception -> 0x01be }
        r1.<init>(r0);	 Catch:{ Exception -> 0x01be }
        r0 = r9.getCount();	 Catch:{ Exception -> 0x01eb }
        if (r0 <= 0) goto L_0x01b0;
    L_0x0195:
        r0 = r9.moveToFirst();	 Catch:{ Exception -> 0x01eb }
        if (r0 == 0) goto L_0x01b0;
    L_0x019b:
        r2 = new com.tencent.mm.storage.bi;	 Catch:{ Exception -> 0x01eb }
        r2.<init>();	 Catch:{ Exception -> 0x01eb }
    L_0x01a0:
        r2.d(r9);	 Catch:{ Exception -> 0x01eb }
        r0 = 0;
        r7 = r13[r0];	 Catch:{ Exception -> 0x01eb }
        r0 = r12;
        r0.a(r1, r2, r3, r4, r5, r6, r7);	 Catch:{ Exception -> 0x01eb }
        r0 = r9.moveToNext();	 Catch:{ Exception -> 0x01eb }
        if (r0 != 0) goto L_0x01a0;
    L_0x01b0:
        r9.close();	 Catch:{ Exception -> 0x01eb }
        r0 = 2;
        r2 = 0;
        r3 = 1;
        r12.T(r0, r2, r3);	 Catch:{ Exception -> 0x01eb }
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        goto L_0x003d;
    L_0x01be:
        r0 = move-exception;
        r1 = r2;
    L_0x01c0:
        r2 = "MicroMsg.ExtControlProviderMsg";
        r3 = r0.getMessage();
        com.tencent.mm.sdk.platformtools.ab.e(r2, r3);
        r2 = "MicroMsg.ExtControlProviderMsg";
        r3 = "";
        r4 = new java.lang.Object[r8];
        com.tencent.mm.sdk.platformtools.ab.printErrStackTrace(r2, r0, r3, r4);
        if (r1 == 0) goto L_0x01da;
    L_0x01d7:
        r1.close();
    L_0x01da:
        r0 = 4;
        r1 = 12;
        r12.T(r11, r0, r1);
        r0 = 12;
        r1 = com.tencent.mm.pluginsdk.d.a.a.Kn(r0);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        goto L_0x003d;
    L_0x01eb:
        r0 = move-exception;
        goto L_0x01c0;
    L_0x01ed:
        r4 = r8;
        goto L_0x011d;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.ext.provider.ExtControlProviderMsg.a(java.lang.String[], java.lang.String, java.lang.String):android.database.Cursor");
    }

    private Cursor brN() {
        AppMethodBeat.i(20354);
        ab.d("MicroMsg.ExtControlProviderMsg", "getUnReadUserList()");
        MatrixCursor matrixCursor = new MatrixCursor(lQh);
        try {
            aw.ZK();
            Cursor bOE = c.XO().bOE();
            if (bOE != null) {
                if (bOE.moveToFirst()) {
                    do {
                        String string = bOE.getString(bOE.getColumnIndex("talker"));
                        aw.ZK();
                        ad aoO = c.XM().aoO(string);
                        if (!t.kH(string)) {
                            int i;
                            if (t.nI(aoO.field_username) || t.nG(aoO.field_username) || ad.Mn(aoO.field_verifyFlag) || t.ny(aoO.field_username) || t.nz(aoO.field_username)) {
                                i = 0;
                            } else {
                                i = 1;
                            }
                            if (i == 0) {
                                long j = (long) ((int) aoO.ewQ);
                                matrixCursor.addRow(new Object[]{com.tencent.mm.plugin.ext.a.a.ii(j), Integer.valueOf(bOE.getInt(bOE.getColumnIndex("unReadCount")))});
                            }
                        }
                    } while (bOE.moveToNext());
                }
                bOE.close();
            }
            vf(0);
            AppMethodBeat.o(20354);
            return matrixCursor;
        } catch (Exception e) {
            ab.e("MicroMsg.ExtControlProviderMsg", e.getMessage());
            ab.printErrStackTrace("MicroMsg.ExtControlProviderMsg", e, "", new Object[0]);
            matrixCursor.close();
            vf(4);
            AppMethodBeat.o(20354);
            return null;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:30:0x00a6  */
    private android.database.Cursor b(java.lang.String[] r12, java.lang.String r13) {
        /*
        r11 = this;
        r2 = 3;
        r6 = 1;
        r8 = 0;
        r10 = 20355; // 0x4f83 float:2.8523E-41 double:1.00567E-319;
        r9 = 0;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r10);
        r0 = "MicroMsg.ExtControlProviderMsg";
        r1 = "getOneMsg()";
        com.tencent.mm.sdk.platformtools.ab.d(r0, r1);
        if (r12 == 0) goto L_0x0017;
    L_0x0014:
        r0 = r12.length;
        if (r0 > 0) goto L_0x0028;
    L_0x0017:
        r0 = "MicroMsg.ExtControlProviderMsg";
        r1 = "wrong args";
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1);
        r11.vf(r2);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        r1 = r8;
    L_0x0027:
        return r1;
    L_0x0028:
        r0 = 0;
        r0 = r12[r0];	 Catch:{ Exception -> 0x008d }
        r0 = com.tencent.mm.plugin.ext.a.a.Le(r0);	 Catch:{ Exception -> 0x008d }
        com.tencent.mm.model.aw.ZK();	 Catch:{ Exception -> 0x008d }
        r2 = com.tencent.mm.model.c.XO();	 Catch:{ Exception -> 0x008d }
        r2 = r2.jf(r0);	 Catch:{ Exception -> 0x008d }
        com.tencent.mm.model.aw.ZK();	 Catch:{ Exception -> 0x008d }
        r0 = com.tencent.mm.model.c.XM();	 Catch:{ Exception -> 0x008d }
        r1 = r2.field_talker;	 Catch:{ Exception -> 0x008d }
        r3 = r0.aoO(r1);	 Catch:{ Exception -> 0x008d }
        if (r3 == 0) goto L_0x004e;
    L_0x0049:
        r0 = r3.ewQ;	 Catch:{ Exception -> 0x008d }
        r0 = (int) r0;	 Catch:{ Exception -> 0x008d }
        if (r0 > 0) goto L_0x0057;
    L_0x004e:
        r0 = 3;
        r11.vf(r0);	 Catch:{ Exception -> 0x008d }
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        r1 = r8;
        goto L_0x0027;
    L_0x0057:
        r5 = r3.Oj();	 Catch:{ Exception -> 0x008d }
        r0 = r3.field_username;	 Catch:{ Exception -> 0x008d }
        r0 = com.tencent.mm.model.t.kH(r0);	 Catch:{ Exception -> 0x008d }
        if (r0 == 0) goto L_0x00b5;
    L_0x0063:
        r0 = r3.field_username;	 Catch:{ Exception -> 0x008d }
        r5 = com.tencent.mm.model.s.mJ(r0);	 Catch:{ Exception -> 0x008d }
        r4 = r6;
    L_0x006a:
        if (r13 == 0) goto L_0x008b;
    L_0x006c:
        r0 = "openapi";
        r0 = r13.equalsIgnoreCase(r0);	 Catch:{ Exception -> 0x008d }
        if (r0 == 0) goto L_0x008b;
    L_0x0075:
        r1 = new android.database.MatrixCursor;	 Catch:{ Exception -> 0x008d }
        r0 = lQf;	 Catch:{ Exception -> 0x008d }
        r1.<init>(r0);	 Catch:{ Exception -> 0x008d }
        r0 = 0;
        r7 = r12[r0];	 Catch:{ Exception -> 0x00b3 }
        r0 = r11;
        r0.a(r1, r2, r3, r4, r5, r6, r7);	 Catch:{ Exception -> 0x00b3 }
        r0 = 0;
        r11.vf(r0);	 Catch:{ Exception -> 0x00b3 }
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        goto L_0x0027;
    L_0x008b:
        r6 = r9;
        goto L_0x0075;
    L_0x008d:
        r0 = move-exception;
        r1 = r8;
    L_0x008f:
        r2 = "MicroMsg.ExtControlProviderMsg";
        r3 = r0.getMessage();
        com.tencent.mm.sdk.platformtools.ab.e(r2, r3);
        r2 = "MicroMsg.ExtControlProviderMsg";
        r3 = "";
        r4 = new java.lang.Object[r9];
        com.tencent.mm.sdk.platformtools.ab.printErrStackTrace(r2, r0, r3, r4);
        if (r1 == 0) goto L_0x00a9;
    L_0x00a6:
        r1.close();
    L_0x00a9:
        r0 = 4;
        r11.vf(r0);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        r1 = r8;
        goto L_0x0027;
    L_0x00b3:
        r0 = move-exception;
        goto L_0x008f;
    L_0x00b5:
        r4 = r9;
        goto L_0x006a;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.ext.provider.ExtControlProviderMsg.b(java.lang.String[], java.lang.String):android.database.Cursor");
    }

    private Cursor w(String[] strArr) {
        Cursor cursor = null;
        AppMethodBeat.i(20356);
        ab.d("MicroMsg.ExtControlProviderMsg", "handleRecordMsg()");
        if (strArr == null || strArr.length < 2) {
            ab.w("MicroMsg.ExtControlProviderMsg", "wrong args");
            vf(3);
            AppMethodBeat.o(20356);
        } else {
            try {
                int intValue = Integer.valueOf(strArr[0]).intValue();
                long Le = com.tencent.mm.plugin.ext.a.a.Le(strArr[1]);
                if (Le <= 0) {
                    vf(3);
                    AppMethodBeat.o(20356);
                } else {
                    b bVar = new b();
                    bVar.b(4000, new 1(this, intValue, Le, bVar, strArr));
                    cursor = this.lQl;
                    AppMethodBeat.o(20356);
                }
            } catch (Exception e) {
                ab.e("MicroMsg.ExtControlProviderMsg", e.getMessage());
                ab.printErrStackTrace("MicroMsg.ExtControlProviderMsg", e, "", new Object[0]);
                if (this.lQl != null) {
                    this.lQl.close();
                }
                vf(4);
                AppMethodBeat.o(20356);
            }
        }
        return cursor;
    }

    private Cursor x(String[] strArr) {
        MatrixCursor matrixCursor;
        Exception e;
        AppMethodBeat.i(20357);
        ab.d("MicroMsg.ExtControlProviderMsg", "handlePlayVoice()");
        if (strArr == null || strArr.length < 2) {
            ab.e("MicroMsg.ExtControlProviderMsg", "wrong args");
            vf(3);
            AppMethodBeat.o(20357);
            return null;
        }
        matrixCursor = null;
        try {
            int intValue = Integer.valueOf(strArr[0]).intValue();
            long Le = com.tencent.mm.plugin.ext.a.a.Le(strArr[1]);
            if (Le <= 0) {
                vf(3);
                AppMethodBeat.o(20357);
                return null;
            } else if (intValue == 3) {
                Cursor matrixCursor2 = new MatrixCursor(lQj);
                try {
                    fs fsVar = new fs();
                    fsVar.czI.cvx = Le;
                    com.tencent.mm.sdk.b.a.xxA.m(fsVar);
                    if (fsVar.czJ.fileName == null || fsVar.czJ.fileName.length() <= 0) {
                        matrixCursor2.addRow(new Object[]{strArr[1], Integer.valueOf(2)});
                        vf(4);
                        AppMethodBeat.o(20357);
                        return matrixCursor2;
                    }
                    fk fkVar = new fk();
                    fkVar.czf.op = 1;
                    fkVar.czf.fileName = fsVar.czJ.fileName;
                    if (com.tencent.mm.sdk.b.a.xxA.m(fkVar)) {
                        matrixCursor2.addRow(new Object[]{strArr[1], Integer.valueOf(1)});
                        vf(0);
                    } else {
                        ab.e("MicroMsg.ExtControlProviderMsg", "play failed");
                        matrixCursor2.addRow(new Object[]{strArr[1], Integer.valueOf(2)});
                        vf(4);
                    }
                    com.tencent.mm.plugin.ext.b.bry();
                    com.tencent.mm.plugin.ext.b.ih(Le);
                    AppMethodBeat.o(20357);
                    return matrixCursor2;
                } catch (Exception e2) {
                    e = e2;
                    matrixCursor = matrixCursor2;
                }
            } else {
                if (intValue == 4) {
                    fk fkVar2 = new fk();
                    fkVar2.czf.op = 2;
                    if (com.tencent.mm.sdk.b.a.xxA.m(fkVar2)) {
                        ab.i("MicroMsg.ExtControlProviderMsg", "stop last playing");
                        vf(0);
                    } else {
                        ab.i("MicroMsg.ExtControlProviderMsg", "stop last playing fail");
                        vf(4);
                    }
                }
                AppMethodBeat.o(20357);
                return null;
            }
        } catch (Exception e3) {
            e = e3;
        }
        ab.e("MicroMsg.ExtControlProviderMsg", e.getMessage());
        ab.printErrStackTrace("MicroMsg.ExtControlProviderMsg", e, "", new Object[0]);
        if (matrixCursor != null) {
            matrixCursor.close();
        }
        vf(4);
        AppMethodBeat.o(20357);
        return null;
    }

    private Cursor y(String[] strArr) {
        Cursor Kn;
        AppMethodBeat.i(20358);
        ab.i("MicroMsg.ExtControlProviderMsg", "setMsgReaded()");
        if (strArr == null || strArr.length <= 0) {
            ab.e("MicroMsg.ExtControlProviderMsg", "wrong args");
            dZ(3, 3801);
            MatrixCursor Kn2 = a.Kn(3801);
            AppMethodBeat.o(20358);
            return Kn2;
        }
        int i = 0;
        while (i < strArr.length) {
            try {
                if (strArr[i] == null || strArr[i].length() <= 0) {
                    ab.w("MicroMsg.ExtControlProviderMsg", "setMsgReaded() wrongArgs i = ".concat(String.valueOf(i)));
                } else {
                    long Le = com.tencent.mm.plugin.ext.a.a.Le(strArr[i]);
                    com.tencent.mm.plugin.ext.b.bry();
                    com.tencent.mm.plugin.ext.b.ih(Le);
                }
                i++;
            } catch (Exception e) {
                ab.e("MicroMsg.ExtControlProviderMsg", e.getMessage());
                ab.printErrStackTrace("MicroMsg.ExtControlProviderMsg", e, "", new Object[0]);
                dZ(4, 12);
                Kn = a.Kn(12);
                AppMethodBeat.o(20358);
                return Kn;
            }
        }
        dZ(0, 1);
        Kn = a.Kn(1);
        AppMethodBeat.o(20358);
        return Kn;
    }

    private Cursor z(String[] strArr) {
        AppMethodBeat.i(20359);
        ab.d("MicroMsg.ExtControlProviderMsg", "sendTextMsg()");
        if (strArr == null || strArr.length <= 0) {
            ab.e("MicroMsg.ExtControlProviderMsg", "wrong args");
            vf(3);
            AppMethodBeat.o(20359);
            return null;
        }
        try {
            long Le = com.tencent.mm.plugin.ext.a.a.Le(strArr[0]);
            if (Le <= 0) {
                vf(3);
                AppMethodBeat.o(20359);
                return null;
            }
            com.tencent.mm.plugin.ext.b.bry();
            ad ig = com.tencent.mm.plugin.ext.b.ig(Le);
            if (ig == null || ((int) ig.ewQ) <= 0) {
                ab.e("MicroMsg.ExtControlProviderMsg", "toContact is null ");
                vf(3);
                AppMethodBeat.o(20359);
                return null;
            }
            this.lQl = new MatrixCursor(lQk);
            b bVar = new b();
            bVar.b(15000, new 2(this, ig, strArr, bVar));
            Cursor cursor = this.lQl;
            AppMethodBeat.o(20359);
            return cursor;
        } catch (Exception e) {
            ab.e("MicroMsg.ExtControlProviderMsg", e.getMessage());
            ab.printErrStackTrace("MicroMsg.ExtControlProviderMsg", e, "", new Object[0]);
            if (this.lQl != null) {
                this.lQl.close();
            }
            vf(4);
            AppMethodBeat.o(20359);
            return null;
        }
    }

    private void a(MatrixCursor matrixCursor, bi biVar, ad adVar, boolean z, String str, boolean z2, String str2) {
        AppMethodBeat.i(20360);
        if (biVar == null) {
            AppMethodBeat.o(20360);
        } else if (bo.isNullOrNil(str2)) {
            ab.d("MicroMsg.ExtControlProviderMsg", "userOpenId is null");
            AppMethodBeat.o(20360);
        } else if (biVar.getType() == 9999 || biVar.getType() == 10000) {
            AppMethodBeat.o(20360);
        } else {
            String str3 = "";
            String str4 = "";
            if (z) {
                int ox = bf.ox(biVar.field_content);
                if (ox != -1 && biVar.field_content.length() > ox) {
                    String trim = biVar.field_content.substring(0, ox).trim();
                    if (trim != null && trim.length() > 0 && biVar.field_content.length() >= ox + 2) {
                        str3 = s.mJ(trim);
                        str4 = biVar.field_content.substring(ox + 2);
                    }
                }
            }
            String str5 = "";
            int V = com.tencent.mm.plugin.ext.b.b.V(biVar);
            if (V == 1) {
                if (z) {
                    str3 = str3 + "!]" + str4;
                } else {
                    str3 = biVar.field_content;
                }
            } else if (V == 2) {
                p mv = m.ama().mv((int) biVar.field_msgId);
                if (mv == null || mv.fileName == null) {
                    str4 = str5;
                } else {
                    str4 = q.getFullPath(mv.fileName);
                    ab.d("MicroMsg.ExtControlProviderMsg", "voice file = %s", new Object[]{str4});
                }
                str3 = str4;
            } else if (!z) {
                if (this.lQe != null) {
                    str3 = this.lQe.getString(2131299426);
                } else {
                    str3 = "";
                }
            }
            if (!z2) {
                str2 = com.tencent.mm.plugin.ext.a.a.ii((long) ((int) adVar.ewQ));
            }
            try {
                if (bo.isNullOrNil(str2)) {
                    ab.w("MicroMsg.ExtControlProviderMsg", "userId is null");
                    AppMethodBeat.o(20360);
                    return;
                }
                int i;
                Object[] objArr = new Object[8];
                objArr[0] = com.tencent.mm.plugin.ext.a.a.ii(biVar.field_msgId);
                objArr[1] = str2;
                objArr[2] = str;
                objArr[3] = Integer.valueOf(biVar.field_isSend == 0 ? 1 : 2);
                objArr[4] = Integer.valueOf(V);
                objArr[5] = str3;
                if (biVar.field_status == 4) {
                    i = 1;
                } else {
                    i = 2;
                }
                objArr[6] = Integer.valueOf(i);
                objArr[7] = Long.valueOf(biVar.field_createTime);
                matrixCursor.addRow(objArr);
                AppMethodBeat.o(20360);
            } catch (Exception e) {
                ab.e("MicroMsg.ExtControlProviderMsg", e.getMessage());
                ab.printErrStackTrace("MicroMsg.ExtControlProviderMsg", e, "", new Object[0]);
                AppMethodBeat.o(20360);
            }
        }
    }
}
