package com.tencent.mm.plugin.webview.stub;

import android.annotation.TargetApi;
import android.app.Dialog;
import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;
import android.content.DialogInterface.OnDismissListener;
import android.content.Intent;
import android.os.Bundle;
import android.os.Looper;
import android.os.RemoteException;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.compatible.util.d;
import com.tencent.mm.g.a.c;
import com.tencent.mm.g.a.qr;
import com.tencent.mm.g.a.ty;
import com.tencent.mm.kernel.g;
import com.tencent.mm.model.r;
import com.tencent.mm.modelsimple.v;
import com.tencent.mm.plugin.account.ui.SimpleLoginUI;
import com.tencent.mm.plugin.messenger.foundation.a.j;
import com.tencent.mm.plugin.webview.model.at;
import com.tencent.mm.plugin.webview.ui.tools.WebViewStubCallbackWrapper;
import com.tencent.mm.plugin.webview.ui.tools.jsapi.i;
import com.tencent.mm.pluginsdk.f.e;
import com.tencent.mm.pluginsdk.q;
import com.tencent.mm.protocal.JsapiPermissionWrapper;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ah;
import com.tencent.mm.sdk.platformtools.ap;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.storage.bq;
import com.tencent.mm.ui.MMActivity;
import com.tencent.mm.ui.MMWizardActivity;
import com.tencent.mm.ui.base.a;
import com.tencent.mm.ui.base.h;
import com.tencent.mm.ui.base.p;
import com.tencent.mm.ui.d.b;
import com.tencent.smtt.sdk.TbsListener$ErrorCode;
import org.json.JSONException;
import org.json.JSONObject;

@a(7)
@b
public class WebViewStubProxyUI extends MMActivity {
    private OnDismissListener cMR = new 6(this);
    private ap che = new ap(new 7(this), true);
    private int mqx = 0;
    private e umI = null;
    public boolean uqh = false;
    private boolean uqi = false;
    private int uqj;
    private final e uqk = new 5(this);
    private ap uql = new ap(new ap.a() {
        public final boolean BI() {
            AppMethodBeat.i(7097);
            if (!WebViewStubProxyUI.this.isFinishing()) {
                WebViewStubProxyUI.this.finish();
            }
            AppMethodBeat.o(7097);
            return false;
        }
    }, true);

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public WebViewStubProxyUI() {
        AppMethodBeat.i(7098);
        AppMethodBeat.o(7098);
    }

    static /* synthetic */ int d(WebViewStubProxyUI webViewStubProxyUI) {
        int i = webViewStubProxyUI.mqx + 1;
        webViewStubProxyUI.mqx = i;
        return i;
    }

    @TargetApi(21)
    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(7099);
        super.onCreate(bundle);
        if (d.iW(21)) {
            getWindow().setStatusBarColor(0);
        }
        WebViewStubCallbackWrapper webViewStubCallbackWrapper = (WebViewStubCallbackWrapper) getIntent().getParcelableExtra("webview_stub_callbacker_key");
        if (webViewStubCallbackWrapper != null) {
            this.umI = webViewStubCallbackWrapper.uuT;
        }
        Intent intent = getIntent();
        int intExtra = intent.getIntExtra("proxyui_action_code_key", 0);
        this.uqj = intent.getIntExtra("webview_binder_id", 0);
        ab.i("MicroMsg.WebViewStubProxyUI", "onCreate, actionCode = %d, binderID = %d", new Object[]{Integer.valueOf(intExtra), Integer.valueOf(this.uqj)});
        if ("startMonitoringBeacons".equals(intent.getStringExtra("proxyui_function_key"))) {
            this.uqh = true;
        }
        String stringExtra;
        switch (intExtra) {
            case 1:
                if (!this.uqi) {
                    this.che.ae(100, 100);
                }
                if (this.uqh) {
                    this.uql.ae(5000, 5000);
                    AppMethodBeat.o(7099);
                    return;
                }
                break;
            case 2:
                final ty tyVar = new ty();
                tyVar.callback = new Runnable() {
                    public final void run() {
                        AppMethodBeat.i(7068);
                        if (tyVar.cQd.cQe) {
                            if (WebViewStubProxyUI.this.umI != null) {
                                try {
                                    WebViewStubProxyUI.this.umI.c(1001, null);
                                } catch (RemoteException e) {
                                    ab.w("MicroMsg.WebViewStubProxyUI", "dealUpdate fail, ex = " + e.getMessage());
                                }
                            }
                            WebViewStubProxyUI.this.finish();
                            e.a aVar = e.vdx;
                            if (aVar != null) {
                                aVar.bd(WebViewStubProxyUI.this);
                            }
                            AppMethodBeat.o(7068);
                            return;
                        }
                        WebViewStubProxyUI.this.finish();
                        AppMethodBeat.o(7068);
                    }
                };
                tyVar.cQc.context = this;
                tyVar.cQc.type = intent.getIntExtra("update_type_key", 0);
                if (tyVar.cQc.type <= 0) {
                    ab.e("MicroMsg.WebViewStubProxyUI", "doUpdate fail, invalid type = " + tyVar.cQc.type);
                    finish();
                    AppMethodBeat.o(7099);
                    return;
                }
                com.tencent.mm.sdk.b.a.xxA.a(tyVar, Looper.myLooper());
                AppMethodBeat.o(7099);
                return;
            case 3:
                Dialog a;
                bq RA = ((j) g.K(j.class)).XU().RA("@t.qq.com");
                if (!r.Ze()) {
                    a = h.a(this, 2131298583, 2131297061, new OnClickListener() {
                        public final void onClick(DialogInterface dialogInterface, int i) {
                            AppMethodBeat.i(7069);
                            com.tencent.mm.plugin.webview.a.a.gkE.g(new Intent(), WebViewStubProxyUI.this);
                            AppMethodBeat.o(7069);
                        }
                    }, null);
                } else if (RA == null || bo.isNullOrNil(RA.name)) {
                    a = h.g(this, 2131303319, 2131297061);
                } else {
                    g.Rg().a(new v(getIntent().getIntExtra("type", 0), bo.nullAsNil(getIntent().getStringExtra("shortUrl"))), 0);
                    try {
                        this.umI.IZ(0);
                        a = null;
                    } catch (Exception e) {
                        ab.w("MicroMsg.WebViewStubProxyUI", "setTitlePbVisibility, ex = " + e.getMessage());
                        a = null;
                    }
                }
                if (a == null) {
                    finish();
                    AppMethodBeat.o(7099);
                    return;
                }
                a.setOnDismissListener(this.cMR);
                AppMethodBeat.o(7099);
                return;
            case 4:
                this.che.ae(100, 100);
                AppMethodBeat.o(7099);
                return;
            case 5:
                ((q) g.K(q.class)).a(this, intent.getStringExtra("proxyui_handle_event_url"), this.cMR);
                AppMethodBeat.o(7099);
                return;
            case 6:
                intExtra = getIntent().getIntExtra("proxyui_expired_errtype", 0);
                int intExtra2 = getIntent().getIntExtra("proxyui_expired_errcode", 0);
                if (intExtra == 0 && intExtra2 == 0) {
                    ab.e("MicroMsg.WebViewStubProxyUI", "PROXY_AC_VALUE_ACCOUNT_EXPIRED, errType & errCode should not both be 0");
                    AppMethodBeat.o(7099);
                    return;
                }
                c cVar = new c();
                cVar.crO.crP = this;
                cVar.crO.errType = intExtra;
                cVar.crO.errCode = intExtra2;
                com.tencent.mm.sdk.b.a.xxA.m(cVar);
                AppMethodBeat.o(7099);
                return;
            case 8:
                stringExtra = getIntent().getStringExtra("proxyui_phone");
                if (bo.isNullOrNil(stringExtra)) {
                    ab.e("MicroMsg.WebViewStubProxyUI", "show phone span dialog, phone is empty");
                    finish();
                    AppMethodBeat.o(7099);
                    return;
                }
                Bundle bundle2 = new Bundle();
                bundle2.putInt("fromScene", 3);
                qr qrVar = new qr();
                qrVar.cMP.context = this;
                qrVar.cMP.cMQ = stringExtra;
                qrVar.cMP.cMR = this.cMR;
                qrVar.cMP.cMS = bundle2;
                com.tencent.mm.sdk.b.a.xxA.m(qrVar);
                AppMethodBeat.o(7099);
                return;
            case 9:
                Intent intent2 = (Intent) getIntent().getExtras().getParcelable("proxyui_next_intent_key");
                intent2.setFlags(603979776);
                Intent intent3 = new Intent();
                intent3.setClass(this, SimpleLoginUI.class);
                MMWizardActivity.b(this, intent3, intent2);
                finish();
                AppMethodBeat.o(7099);
                return;
            case 10:
                stringExtra = getIntent().getStringExtra("KAppId");
                String stringExtra2 = getIntent().getStringExtra("shortcut_user_name");
                if (!(bo.isNullOrNil(stringExtra) || bo.isNullOrNil(stringExtra2))) {
                    getString(2131297061);
                    p b = h.b(this, getString(2131297086), true, new 3(this));
                    b.show();
                    at.a(ah.getContext(), stringExtra2, stringExtra, new 4(this, b));
                    break;
                }
        }
        AppMethodBeat.o(7099);
    }

    public final int getForceOrientation() {
        AppMethodBeat.i(7100);
        int intExtra = getIntent().getIntExtra("screen_orientation", -1);
        AppMethodBeat.o(7100);
        return intExtra;
    }

    public final int getLayoutId() {
        return -1;
    }

    public void onDestroy() {
        AppMethodBeat.i(7101);
        super.onDestroy();
        if (!this.uqh) {
            this.umI = null;
        }
        com.tencent.mm.plugin.webview.ui.tools.jsapi.g JR = com.tencent.mm.plugin.webview.ui.tools.jsapi.h.JR(this.uqj);
        if (JR.ehJ != null) {
            JR.ehJ.dismiss();
            JR.ehJ = null;
        }
        ab.i("MicroMsg.WebViewStubProxyUI", "onDestroy proxyui");
        AppMethodBeat.o(7101);
    }

    public void onRequestPermissionsResult(int i, String[] strArr, int[] iArr) {
        AppMethodBeat.i(7102);
        switch (i) {
            case 72:
            case 113:
            case 115:
            case 116:
            case 117:
            case 118:
            case 119:
            case TbsListener$ErrorCode.DOWNLOAD_HAS_LOCAL_TBS_ERROR /*120*/:
                if (iArr[0] != 0) {
                    com.tencent.mm.plugin.webview.ui.tools.jsapi.h.JR(this.uqj).c(i, 0, null);
                    break;
                }
                com.tencent.mm.plugin.webview.ui.tools.jsapi.h.JR(this.uqj).c(i, -1, null);
                AppMethodBeat.o(7102);
                return;
        }
        AppMethodBeat.o(7102);
    }

    static /* synthetic */ boolean afc(String str) {
        AppMethodBeat.i(7103);
        if (str != null) {
            String[] split = str.split(":");
            if (split.length > 0 && split[0].equals("startMonitoringBeacons")) {
                AppMethodBeat.o(7103);
                return true;
            }
        }
        AppMethodBeat.o(7103);
        return false;
    }

    static /* synthetic */ void e(WebViewStubProxyUI webViewStubProxyUI) {
        AppMethodBeat.i(7104);
        Intent intent = webViewStubProxyUI.getIntent();
        int intExtra = intent.getIntExtra("proxyui_action_code_key", 0);
        ab.i("MicroMsg.WebViewStubProxyUI", "onCreate, dealAfterWindowTokenInited = ".concat(String.valueOf(intExtra)));
        JsapiPermissionWrapper jsapiPermissionWrapper;
        switch (intExtra) {
            case 1:
                i iVar = new i();
                iVar.type = intent.getStringExtra("proxyui_type_key");
                iVar.uIJ = intent.getStringExtra("proxyui_function_key");
                iVar.uIG = intent.getStringExtra("proxyui_callback_key");
                Bundle extras = intent.getExtras();
                if (extras == null) {
                    ab.e("MicroMsg.WebViewStubProxyUI", "getExtras from intent, returned NULL");
                    extras = Bundle.EMPTY;
                }
                iVar.puc = i.aq(extras.getBundle("compatParams"));
                try {
                    iVar.uIH = new JSONObject(extras.getString("rawParams"));
                } catch (JSONException e) {
                    ab.e("MicroMsg.WebViewStubProxyUI", "get rawParams, e = %s", new Object[]{e});
                }
                jsapiPermissionWrapper = (JsapiPermissionWrapper) intent.getExtras().getParcelable("proxyui_perm_key");
                if (jsapiPermissionWrapper == null) {
                    jsapiPermissionWrapper = new JsapiPermissionWrapper(2);
                }
                com.tencent.mm.plugin.webview.ui.tools.jsapi.g JR = com.tencent.mm.plugin.webview.ui.tools.jsapi.h.JR(webViewStubProxyUI.uqj);
                JR.oc(false);
                JR.a(webViewStubProxyUI, webViewStubProxyUI.uqk, webViewStubProxyUI.umI);
                if (!JR.a(iVar, jsapiPermissionWrapper)) {
                    try {
                        webViewStubProxyUI.uqk.a(null, null, null, true);
                        AppMethodBeat.o(7104);
                        return;
                    } catch (Exception e2) {
                        ab.w("MicroMsg.WebViewStubProxyUI", "onHandleEnd, ex = " + e2.getMessage());
                        AppMethodBeat.o(7104);
                        return;
                    }
                }
                break;
            case 4:
                if (((JsapiPermissionWrapper) intent.getExtras().getParcelable("proxyui_perm_key")) == null) {
                    jsapiPermissionWrapper = new JsapiPermissionWrapper(2);
                }
                com.tencent.mm.plugin.webview.ui.tools.jsapi.h.JR(webViewStubProxyUI.uqj).a(webViewStubProxyUI, webViewStubProxyUI.uqk);
                if (!com.tencent.mm.plugin.webview.ui.tools.jsapi.h.JR(webViewStubProxyUI.uqj).agy(intent.getStringExtra("proxyui_username_key"))) {
                    ab.w("MicroMsg.WebViewStubProxyUI", "doProfile fail, finish");
                    webViewStubProxyUI.finish();
                    AppMethodBeat.o(7104);
                    return;
                }
                break;
            default:
                ab.e("MicroMsg.WebViewStubProxyUI", "dealAfterWindowTokenInited unknown actionCode = ".concat(String.valueOf(intExtra)));
                webViewStubProxyUI.finish();
                break;
        }
        AppMethodBeat.o(7104);
    }
}
