package com.tencent.mm.ui.base;

import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.view.View;
import android.widget.EditText;
import android.widget.LinearLayout;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ad.a.a;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.av;
import com.tencent.mm.ui.v;
import com.tencent.mm.ui.widget.MMEditText.c;

public class MMFormMobileInputView extends LinearLayout {
    private Context mContext;
    private int yuj;
    private int[] yuk;
    private EditText yum;
    private EditText yun;
    private String yuo;
    private String yup;
    private final int yuq;
    private a yur;

    @TargetApi(11)
    public MMFormMobileInputView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet);
        AppMethodBeat.i(106574);
        this.mContext = null;
        this.yuj = -1;
        this.yuo = "";
        this.yup = "";
        this.yuq = 13;
        this.yur = null;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, a.FormItemView, i, 0);
        this.yuj = obtainStyledAttributes.getResourceId(2, -1);
        obtainStyledAttributes.recycle();
        v.hu(context).inflate(2130970118, this);
        this.mContext = context;
        AppMethodBeat.o(106574);
    }

    public MMFormMobileInputView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, -1);
    }

    public void setOnCountryCodeChangedListener(a aVar) {
        this.yur = aVar;
    }

    public final void qb(boolean z) {
        AppMethodBeat.i(106576);
        eG(this.yum);
        if (z) {
            this.yum.setBackgroundResource(2130839104);
        } else {
            this.yum.setBackgroundResource(2130839105);
        }
        eH(this.yum);
        eG(this.yun);
        if (z) {
            this.yun.setBackgroundResource(2130839104);
        } else {
            this.yun.setBackgroundResource(2130839105);
        }
        eH(this.yun);
        AppMethodBeat.o(106576);
    }

    private void eG(View view) {
        AppMethodBeat.i(106577);
        this.yuk = new int[]{view.getPaddingLeft(), view.getPaddingTop(), view.getPaddingRight(), view.getPaddingBottom()};
        AppMethodBeat.o(106577);
    }

    private void eH(View view) {
        AppMethodBeat.i(106578);
        if (this.yuk != null) {
            view.setPadding(this.yuk[0], this.yuk[1], this.yuk[2], this.yuk[3]);
        }
        AppMethodBeat.o(106578);
    }

    public void setCountryCode(String str) {
        AppMethodBeat.i(106579);
        if (this.yum != null) {
            this.yum.setText(str);
            AppMethodBeat.o(106579);
            return;
        }
        ab.e("MicroMsg.MMFormMobileInputView", "countryCodeET is null!");
        AppMethodBeat.o(106579);
    }

    public void setHint(String str) {
        AppMethodBeat.i(106580);
        if (this.yun != null) {
            this.yun.setHint(str);
            AppMethodBeat.o(106580);
            return;
        }
        ab.e("MicroMsg.MMFormMobileInputView", "mobileNumberET is null!");
        AppMethodBeat.o(106580);
    }

    public void setMobileNumber(String str) {
        AppMethodBeat.i(106581);
        if (this.yun != null) {
            this.yun.setText(str);
            AppMethodBeat.o(106581);
            return;
        }
        ab.e("MicroMsg.MMFormMobileInputView", "mobileNumberET is null!");
        AppMethodBeat.o(106581);
    }

    public String getMobileNumber() {
        AppMethodBeat.i(106582);
        String amN;
        if (this.yun != null) {
            amN = av.amN(this.yun.getText().toString());
            AppMethodBeat.o(106582);
            return amN;
        }
        amN = "";
        AppMethodBeat.o(106582);
        return amN;
    }

    public String getCountryCode() {
        AppMethodBeat.i(106583);
        String trim;
        if (this.yum != null) {
            trim = this.yum.getText().toString().trim();
            AppMethodBeat.o(106583);
            return trim;
        }
        trim = "";
        AppMethodBeat.o(106583);
        return trim;
    }

    public EditText getCountryCodeEditText() {
        return this.yum;
    }

    public EditText getMobileNumberEditText() {
        return this.yun;
    }

    public void onFinishInflate() {
        AppMethodBeat.i(106575);
        this.yum = (EditText) findViewById(2131821727);
        this.yun = (EditText) findViewById(2131826001);
        if (this.yum == null || this.yun == null) {
            ab.w("MicroMsg.MMFormMobileInputView", "countryCodeET : %s, mobileNumberET : %s", new Object[]{this.yum, this.yun});
        } else if (this.yuj != -1) {
            this.yun.setHint(this.yuj);
        }
        if (!(this.yum == null || this.yun == null)) {
            if (this.yum.hasFocus() || this.yun.hasFocus()) {
                qb(true);
            } else {
                qb(false);
            }
            1 1 = new 1(this);
            this.yum.setOnFocusChangeListener(1);
            this.yun.setOnFocusChangeListener(1);
            this.yun.addTextChangedListener(new c(this.yun, null, 20));
            this.yun.addTextChangedListener(new 2(this));
            this.yum.addTextChangedListener(new 3(this));
        }
        AppMethodBeat.o(106575);
    }
}
