package com.tencent.qqmusic.mediaplayer;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.qqmusic.mediaplayer.util.Logger;

public class CacheBytesManager {
    private static byte[] mCache1024 = null;
    private static byte[] mCache4096 = null;
    private static byte[] mCache8192 = null;

    private CacheBytesManager(int i) {
    }

    public static CacheBytesManager getInstance() {
        AppMethodBeat.i(128439);
        CacheBytesManager access$000 = SingletonHolder.access$000();
        AppMethodBeat.o(128439);
        return access$000;
    }

    public static synchronized byte[] recycle(byte[] bArr) {
        synchronized (CacheBytesManager.class) {
            if (bArr != null) {
                if (bArr.length == 1024 && mCache1024 == null) {
                    mCache1024 = bArr;
                } else if (bArr.length == 4096 && mCache4096 == null) {
                    mCache4096 = bArr;
                } else if (bArr.length == 8192 && mCache8192 == null) {
                    mCache8192 = bArr;
                }
            }
        }
        return null;
    }

    public static synchronized byte[] getStatic(int i) {
        byte[] bArr;
        synchronized (CacheBytesManager.class) {
            AppMethodBeat.i(128440);
            Logger.d("CBM", "cache get:".concat(String.valueOf(i)));
            if (i != 1024 || mCache1024 == null) {
                if (i == 4096) {
                    if (mCache4096 != null) {
                        bArr = mCache4096;
                        mCache4096 = null;
                        AppMethodBeat.o(128440);
                    }
                }
                if (i == 8192) {
                    if (mCache8192 != null) {
                        bArr = mCache8192;
                        mCache8192 = null;
                        AppMethodBeat.o(128440);
                    }
                }
                bArr = new byte[i];
                AppMethodBeat.o(128440);
            } else {
                bArr = mCache1024;
                mCache1024 = null;
                AppMethodBeat.o(128440);
            }
        }
        return bArr;
    }
}
