package com.tencent.qqmusic.mediaplayer.audioplaylist.charsetdetector;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.qqmusic.mediaplayer.audioplaylist.charsetdetector.CharsetRecog_mbcs.iteratedChar;
import com.tencent.smtt.sdk.TbsListener$ErrorCode;

class CharsetRecog_mbcs$CharsetRecog_sjis extends CharsetRecog_mbcs {
    static int[] commonChars = new int[]{33088, 33089, 33090, 33093, 33115, 33129, 33130, 33141, 33142, 33440, 33442, 33444, 33449, 33450, 33451, 33453, 33455, 33457, 33459, 33461, 33463, 33469, 33470, 33473, 33476, 33477, 33478, 33480, 33481, 33484, 33485, 33500, 33504, 33511, 33512, 33513, 33514, 33520, 33521, 33601, 33603, 33614, 33615, 33624, 33630, 33634, 33639, 33653, 33654, 33673, 33674, 33675, 33677, 33683, 36502, 37882, 38314};

    CharsetRecog_mbcs$CharsetRecog_sjis() {
    }

    /* Access modifiers changed, original: 0000 */
    public boolean nextChar(iteratedChar iteratedchar, CharsetDetector charsetDetector) {
        AppMethodBeat.i(104735);
        iteratedchar.error = false;
        int nextByte = iteratedchar.nextByte(charsetDetector);
        iteratedchar.charValue = nextByte;
        if (nextByte < 0) {
            AppMethodBeat.o(104735);
            return false;
        } else if (nextByte <= 127 || (nextByte > TbsListener$ErrorCode.STARTDOWNLOAD_1 && nextByte <= TbsListener$ErrorCode.EXCEED_LZMA_RETRY_NUM)) {
            AppMethodBeat.o(104735);
            return true;
        } else {
            int nextByte2 = iteratedchar.nextByte(charsetDetector);
            if (nextByte2 < 0) {
                AppMethodBeat.o(104735);
                return false;
            }
            iteratedchar.charValue = (nextByte << 8) | nextByte2;
            if ((nextByte2 < 64 || nextByte2 > 127) && (nextByte2 < TbsListener$ErrorCode.DOWNLOAD_INTERRUPT || nextByte2 > 255)) {
                iteratedchar.error = true;
            }
            AppMethodBeat.o(104735);
            return true;
        }
    }

    /* Access modifiers changed, original: 0000 */
    public CharsetMatch match(CharsetDetector charsetDetector) {
        AppMethodBeat.i(104736);
        int match = match(charsetDetector, commonChars);
        if (match == 0) {
            AppMethodBeat.o(104736);
            return null;
        }
        CharsetMatch charsetMatch = new CharsetMatch(charsetDetector, this, match);
        AppMethodBeat.o(104736);
        return charsetMatch;
    }

    /* Access modifiers changed, original: 0000 */
    public String getName() {
        return "Shift_JIS";
    }

    public String getLanguage() {
        return "ja";
    }
}
