package com.tencent.qqmusic.mediaplayer.audioplaylist.charsetdetector;

import com.tencent.matrix.trace.core.AppMethodBeat;

class CharsetRecog_sbcs$NGramParser {
    private static final int N_GRAM_MASK = 16777215;
    protected int byteIndex = 0;
    protected byte[] byteMap;
    private int hitCount;
    private int ngram = 0;
    private int ngramCount;
    private int[] ngramList;
    protected byte spaceChar;

    public CharsetRecog_sbcs$NGramParser(int[] iArr, byte[] bArr) {
        AppMethodBeat.i(104717);
        this.ngramList = iArr;
        this.byteMap = bArr;
        this.ngram = 0;
        this.hitCount = 0;
        this.ngramCount = 0;
        AppMethodBeat.o(104717);
    }

    private static int search(int[] iArr, int i) {
        int i2 = 32;
        if (iArr[32] > i) {
            i2 = 0;
        }
        if (iArr[i2 + 16] <= i) {
            i2 += 16;
        }
        if (iArr[i2 + 8] <= i) {
            i2 += 8;
        }
        if (iArr[i2 + 4] <= i) {
            i2 += 4;
        }
        if (iArr[i2 + 2] <= i) {
            i2 += 2;
        }
        if (iArr[i2 + 1] <= i) {
            i2++;
        }
        if (iArr[i2] > i) {
            i2--;
        }
        if (i2 < 0 || iArr[i2] != i) {
            return -1;
        }
        return i2;
    }

    private void lookup(int i) {
        AppMethodBeat.i(104718);
        this.ngramCount++;
        if (search(this.ngramList, i) >= 0) {
            this.hitCount++;
        }
        AppMethodBeat.o(104718);
    }

    /* Access modifiers changed, original: protected */
    public void addByte(int i) {
        AppMethodBeat.i(104719);
        this.ngram = ((this.ngram << 8) + (i & 255)) & N_GRAM_MASK;
        lookup(this.ngram);
        AppMethodBeat.o(104719);
    }

    private int nextByte(CharsetDetector charsetDetector) {
        if (this.byteIndex >= charsetDetector.fInputLen) {
            return -1;
        }
        byte[] bArr = charsetDetector.fInputBytes;
        int i = this.byteIndex;
        this.byteIndex = i + 1;
        return bArr[i] & 255;
    }

    /* Access modifiers changed, original: protected */
    public void parseCharacters(CharsetDetector charsetDetector) {
        AppMethodBeat.i(104720);
        Object obj = null;
        while (true) {
            int nextByte = nextByte(charsetDetector);
            if (nextByte >= 0) {
                byte b = this.byteMap[nextByte];
                if (b != (byte) 0) {
                    if (b != this.spaceChar || obj == null) {
                        addByte(b);
                    }
                    obj = b == this.spaceChar ? 1 : null;
                }
            } else {
                AppMethodBeat.o(104720);
                return;
            }
        }
    }

    public int parse(CharsetDetector charsetDetector) {
        AppMethodBeat.i(104721);
        int parse = parse(charsetDetector, (byte) 32);
        AppMethodBeat.o(104721);
        return parse;
    }

    public int parse(CharsetDetector charsetDetector, byte b) {
        AppMethodBeat.i(104722);
        this.spaceChar = b;
        parseCharacters(charsetDetector);
        addByte(this.spaceChar);
        double d = ((double) this.hitCount) / ((double) this.ngramCount);
        if (d > 0.33d) {
            AppMethodBeat.o(104722);
            return 98;
        }
        int i = (int) (d * 300.0d);
        AppMethodBeat.o(104722);
        return i;
    }
}
