package com.tencent.qqmusic.mediaplayer.perf;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.qqmusic.mediaplayer.upstream.IDataSource;
import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.Map;

public class PerformanceTracer {
    private IDataSource dataSource;
    private long lastTimeStampNanoSecond = 0;
    private long playStartTimestampNanoSec = 0;
    private final Map<String, SpeedCheck> speedMap = new LinkedHashMap();
    private long totalPcmInByte;
    private long totalTimeCostInNanoSec = 0;

    public PerformanceTracer() {
        AppMethodBeat.i(128420);
        AppMethodBeat.o(128420);
    }

    public void init(IDataSource iDataSource) {
        AppMethodBeat.i(128421);
        this.dataSource = iDataSource;
        this.lastTimeStampNanoSecond = 0;
        for (SpeedCheck reset : this.speedMap.values()) {
            reset.reset();
        }
        AppMethodBeat.o(128421);
    }

    public void playStart() {
        this.totalPcmInByte = 0;
    }

    public void playEnd() {
    }

    public void roundStart() {
        AppMethodBeat.i(128422);
        this.playStartTimestampNanoSec = System.nanoTime();
        AppMethodBeat.o(128422);
    }

    public void roundEnd(int i) {
        AppMethodBeat.i(128423);
        this.totalPcmInByte += (long) i;
        this.totalTimeCostInNanoSec += System.nanoTime() - this.playStartTimestampNanoSec;
        AppMethodBeat.o(128423);
    }

    public void start(String str) {
        AppMethodBeat.i(128424);
        getSpeedCheck(str);
        this.lastTimeStampNanoSecond = System.nanoTime();
        AppMethodBeat.o(128424);
    }

    public void end(String str, int i) {
        AppMethodBeat.i(128425);
        SpeedCheck.access$000(getSpeedCheck(str), i, System.nanoTime() - this.lastTimeStampNanoSecond);
        AppMethodBeat.o(128425);
    }

    public void accept(Visitor visitor) {
        AppMethodBeat.i(128426);
        ArrayList<SpeedCheck> arrayList = new ArrayList(this.speedMap.values());
        for (SpeedCheck access$100 : arrayList) {
            SpeedCheck.access$100(access$100);
        }
        visitor.visitSpeedCheck(arrayList, new OverallInfo(this.dataSource, Math.round(((double) this.totalTimeCostInNanoSec) / 1000000.0d), this.totalPcmInByte));
        AppMethodBeat.o(128426);
    }

    private SpeedCheck getSpeedCheck(String str) {
        AppMethodBeat.i(128427);
        SpeedCheck speedCheck = (SpeedCheck) this.speedMap.get(str);
        if (speedCheck != null) {
            AppMethodBeat.o(128427);
            return speedCheck;
        }
        speedCheck = new SpeedCheck(str, null);
        this.speedMap.put(str, speedCheck);
        AppMethodBeat.o(128427);
        return speedCheck;
    }
}
