package com.tencent.ttpic.cache;

import android.graphics.Bitmap;
import android.text.TextUtils;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.ttpic.baseutils.BitmapUtils;
import com.tencent.ttpic.config.MediaConfig;
import com.tencent.ttpic.model.StickerItem;
import com.tencent.ttpic.util.VideoGlobalContext;
import java.io.File;
import java.util.Map;

public class ImagePreLoader3D extends PreLoader {
    private static final String TAG = ImagePreLoader3D.class.getSimpleName();

    static {
        AppMethodBeat.i(81773);
        AppMethodBeat.o(81773);
    }

    public ImagePreLoader3D(Map<String, Bitmap> map, String str, StickerItem stickerItem, int i) {
        super(map, str, stickerItem, i);
    }

    public void prepareImages() {
        int i = 0;
        AppMethodBeat.i(81771);
        this.frontIndex = 0;
        while (i < this.capacity && i < this.item.frames) {
            Object obj = this.item.id + "_" + i + ".png";
            Bitmap decodeSampleBitmap = BitmapUtils.decodeSampleBitmap(VideoGlobalContext.getContext(), this.dataPath + File.separator + this.item.subFolder + File.separator + obj, MediaConfig.VIDEO_OUTPUT_WIDTH, MediaConfig.VIDEO_OUTPUT_HEIGHT);
            if (!TextUtils.isEmpty(this.materialId)) {
                obj = this.materialId + File.separator + obj;
            }
            if (BitmapUtils.isLegal(decodeSampleBitmap) && !this.cache.containsKey(obj)) {
                this.cache.put(obj, decodeSampleBitmap);
            }
            this.rearIndex = i;
            i++;
        }
        AppMethodBeat.o(81771);
    }

    public void preloadNewImages(int i) {
        AppMethodBeat.i(81772);
        this.frontIndex = i;
        this.rearIndex = (this.frontIndex + this.capacity) % this.item.frames;
        int i2 = this.frontIndex;
        while (i2 != this.rearIndex) {
            Object obj;
            String str = this.item.id + "_" + i2 + ".png";
            if (TextUtils.isEmpty(this.materialId)) {
                obj = str;
            } else {
                obj = this.materialId + File.separator + str;
            }
            if (!this.cache.containsKey(obj)) {
                Bitmap decodeSampleBitmap = BitmapUtils.decodeSampleBitmap(VideoGlobalContext.getContext(), this.dataPath + File.separator + this.item.subFolder + File.separator + str, MediaConfig.VIDEO_OUTPUT_WIDTH, MediaConfig.VIDEO_OUTPUT_HEIGHT);
                if (BitmapUtils.isLegal(decodeSampleBitmap)) {
                    this.cache.put(obj, decodeSampleBitmap);
                }
            }
            i2 = (i2 + 1) % this.item.frames;
        }
        AppMethodBeat.o(81772);
    }

    public void clear() {
    }
}
