package org.xwalk.core.resource;

import android.content.Context;
import android.os.Build.VERSION;
import android.util.AttributeSet;
import android.view.InflateException;
import android.view.LayoutInflater;
import android.view.LayoutInflater.Factory;
import android.view.View;
import android.view.ViewStub;
import com.tencent.matrix.trace.core.AppMethodBeat;
import org.xwalk.core.Log;

final class XWalkContextWrapper$XWalkLayoutInflaterFactory implements Factory {
    LayoutInflater layoutInflater;

    private XWalkContextWrapper$XWalkLayoutInflaterFactory() {
    }

    public final View onCreateView(String str, Context context, AttributeSet attributeSet) {
        AppMethodBeat.i(86209);
        View view = null;
        try {
            view = inflateView(str, context, attributeSet);
            if ((view instanceof ViewStub) && VERSION.SDK_INT >= 21) {
                ((ViewStub) view).setLayoutInflater(this.layoutInflater);
            }
        } catch (ClassNotFoundException e) {
            Log.w("XWalkLib", String.format("[XWalkContextWrapper] class not found. name:%s. Use default Inflate.", new Object[]{str}));
        } catch (InflateException e2) {
            Log.w("XWalkLib", String.format("[XWalkContextWrapper] Inflate failed. name:%s. Use default Inflate.", new Object[]{str}));
        }
        AppMethodBeat.o(86209);
        return view;
    }

    public final View inflateView(String str, Context context, AttributeSet attributeSet) {
        View view = null;
        AppMethodBeat.i(86210);
        if (str.indexOf(".") == -1) {
            if (str.equals("WebView")) {
                view = createView(str, "android.webkit.", attributeSet);
            }
            if (view == null) {
                view = createView(str, "android.widget.", attributeSet);
            }
            if (view == null) {
                view = createView(str, "android.view.", attributeSet);
            }
        } else {
            view = this.layoutInflater.createView(str, null, attributeSet);
        }
        AppMethodBeat.o(86210);
        return view;
    }

    private View createView(String str, String str2, AttributeSet attributeSet) {
        AppMethodBeat.i(86211);
        View view = null;
        try {
            view = this.layoutInflater.createView(str, str2, attributeSet);
        } catch (InflateException | ClassNotFoundException e) {
        }
        AppMethodBeat.o(86211);
        return view;
    }
}
