package com.facebook.internal;

import android.content.Context;
import android.os.Bundle;
import com.facebook.AccessToken;
import com.facebook.FacebookException;
import com.facebook.internal.WebDialog.OnCompleteListener;
import com.tencent.matrix.trace.core.AppMethodBeat;

public class WebDialog$Builder {
    private AccessToken accessToken;
    private String action;
    private String applicationId;
    private Context context;
    private OnCompleteListener listener;
    private Bundle parameters;
    private int theme;

    public WebDialog$Builder(Context context, String str, Bundle bundle) {
        AppMethodBeat.i(96659);
        this.accessToken = AccessToken.getCurrentAccessToken();
        if (!AccessToken.isCurrentAccessTokenActive()) {
            String metadataApplicationId = Utility.getMetadataApplicationId(context);
            if (metadataApplicationId != null) {
                this.applicationId = metadataApplicationId;
            } else {
                FacebookException facebookException = new FacebookException("Attempted to create a builder without a valid access token or a valid default Application ID.");
                AppMethodBeat.o(96659);
                throw facebookException;
            }
        }
        finishInit(context, str, bundle);
        AppMethodBeat.o(96659);
    }

    public WebDialog$Builder(Context context, String str, String str2, Bundle bundle) {
        AppMethodBeat.i(96660);
        if (str == null) {
            str = Utility.getMetadataApplicationId(context);
        }
        Validate.notNullOrEmpty(str, "applicationId");
        this.applicationId = str;
        finishInit(context, str2, bundle);
        AppMethodBeat.o(96660);
    }

    public WebDialog$Builder setTheme(int i) {
        this.theme = i;
        return this;
    }

    public WebDialog$Builder setOnCompleteListener(OnCompleteListener onCompleteListener) {
        this.listener = onCompleteListener;
        return this;
    }

    public WebDialog build() {
        AppMethodBeat.i(96661);
        if (this.accessToken != null) {
            this.parameters.putString("app_id", this.accessToken.getApplicationId());
            this.parameters.putString("access_token", this.accessToken.getToken());
        } else {
            this.parameters.putString("app_id", this.applicationId);
        }
        WebDialog newInstance = WebDialog.newInstance(this.context, this.action, this.parameters, this.theme, this.listener);
        AppMethodBeat.o(96661);
        return newInstance;
    }

    public String getApplicationId() {
        return this.applicationId;
    }

    public Context getContext() {
        return this.context;
    }

    public int getTheme() {
        return this.theme;
    }

    public Bundle getParameters() {
        return this.parameters;
    }

    public OnCompleteListener getListener() {
        return this.listener;
    }

    private void finishInit(Context context, String str, Bundle bundle) {
        AppMethodBeat.i(96662);
        this.context = context;
        this.action = str;
        if (bundle != null) {
            this.parameters = bundle;
            AppMethodBeat.o(96662);
            return;
        }
        this.parameters = new Bundle();
        AppMethodBeat.o(96662);
    }
}
