package com.facebook.share.model;

import android.os.Parcel;
import android.os.Parcelable.Creator;
import com.tencent.matrix.trace.core.AppMethodBeat;

public final class ShareMessengerGenericTemplateContent extends ShareContent<ShareMessengerGenericTemplateContent, Builder> {
    public static final Creator<ShareMessengerGenericTemplateContent> CREATOR = new 1();
    private final ShareMessengerGenericTemplateElement genericTemplateElement;
    private final ImageAspectRatio imageAspectRatio;
    private final boolean isSharable;

    public enum ImageAspectRatio {
        HORIZONTAL,
        SQUARE;

        static {
            AppMethodBeat.o(97460);
        }
    }

    protected ShareMessengerGenericTemplateContent(Builder builder) {
        super(builder);
        AppMethodBeat.i(97461);
        this.isSharable = Builder.access$000(builder);
        this.imageAspectRatio = Builder.access$100(builder);
        this.genericTemplateElement = Builder.access$200(builder);
        AppMethodBeat.o(97461);
    }

    ShareMessengerGenericTemplateContent(Parcel parcel) {
        super(parcel);
        AppMethodBeat.i(97462);
        this.isSharable = parcel.readByte() != (byte) 0;
        this.imageAspectRatio = (ImageAspectRatio) parcel.readSerializable();
        this.genericTemplateElement = (ShareMessengerGenericTemplateElement) parcel.readParcelable(ShareMessengerGenericTemplateElement.class.getClassLoader());
        AppMethodBeat.o(97462);
    }

    public final boolean getIsSharable() {
        return this.isSharable;
    }

    public final ImageAspectRatio getImageAspectRatio() {
        return this.imageAspectRatio;
    }

    public final ShareMessengerGenericTemplateElement getGenericTemplateElement() {
        return this.genericTemplateElement;
    }

    public final int describeContents() {
        return 0;
    }

    public final void writeToParcel(Parcel parcel, int i) {
        AppMethodBeat.i(97463);
        super.writeToParcel(parcel, i);
        parcel.writeByte((byte) (this.isSharable ? 1 : 0));
        parcel.writeSerializable(this.imageAspectRatio);
        parcel.writeParcelable(this.genericTemplateElement, i);
        AppMethodBeat.o(97463);
    }

    static {
        AppMethodBeat.i(97464);
        AppMethodBeat.o(97464);
    }
}
