package com.google.android.gms.common.images;

import android.graphics.Bitmap;
import android.net.Uri;
import android.os.SystemClock;
import com.google.android.gms.common.images.ImageManager.ImageReceiver;
import com.google.android.gms.common.images.ImageRequest.ListenerImageRequest;
import com.google.android.gms.common.images.ImageRequest.zza;
import com.google.android.gms.common.internal.Asserts;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.util.ArrayList;
import java.util.concurrent.CountDownLatch;

final class ImageManager$zze implements Runnable {
    private final Bitmap mBitmap;
    private final Uri mUri;
    private final CountDownLatch zzfd;
    private final /* synthetic */ ImageManager zzpg;
    private boolean zzpj;

    public ImageManager$zze(ImageManager imageManager, Uri uri, Bitmap bitmap, boolean z, CountDownLatch countDownLatch) {
        this.zzpg = imageManager;
        this.mUri = uri;
        this.mBitmap = bitmap;
        this.zzpj = z;
        this.zzfd = countDownLatch;
    }

    public final void run() {
        AppMethodBeat.i(61215);
        Asserts.checkMainThread("OnBitmapLoadedRunnable must be executed in the main thread");
        boolean z = this.mBitmap != null;
        if (ImageManager.zzh(this.zzpg) != null) {
            if (this.zzpj) {
                ImageManager.zzh(this.zzpg).evictAll();
                System.gc();
                this.zzpj = false;
                ImageManager.zzg(this.zzpg).post(this);
                AppMethodBeat.o(61215);
                return;
            } else if (z) {
                ImageManager.zzh(this.zzpg).put(new zza(this.mUri), this.mBitmap);
            }
        }
        ImageReceiver imageReceiver = (ImageReceiver) ImageManager.zze(this.zzpg).remove(this.mUri);
        if (imageReceiver != null) {
            ArrayList zza = ImageReceiver.zza(imageReceiver);
            int size = zza.size();
            for (int i = 0; i < size; i++) {
                ImageRequest imageRequest = (ImageRequest) zza.get(i);
                if (z) {
                    imageRequest.zza(ImageManager.zzb(this.zzpg), this.mBitmap, false);
                } else {
                    ImageManager.zzd(this.zzpg).put(this.mUri, Long.valueOf(SystemClock.elapsedRealtime()));
                    imageRequest.zza(ImageManager.zzb(this.zzpg), ImageManager.zzc(this.zzpg), false);
                }
                if (!(imageRequest instanceof ListenerImageRequest)) {
                    ImageManager.zza(this.zzpg).remove(imageRequest);
                }
            }
        }
        this.zzfd.countDown();
        synchronized (ImageManager.zzcm()) {
            try {
                ImageManager.zzcn().remove(this.mUri);
            } finally {
                while (true) {
                }
                AppMethodBeat.o(61215);
            }
        }
    }
}
