package com.google.android.gms.common.util;

import android.os.ParcelFileDescriptor;
import com.google.android.gms.common.internal.Preconditions;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.io.ByteArrayOutputStream;
import java.io.Closeable;
import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.ServerSocket;
import java.net.Socket;
import java.util.Arrays;
import javax.annotation.Nullable;

public final class IOUtils {

    static final class zza extends ByteArrayOutputStream {
        private zza() {
        }

        /* synthetic */ zza(zzb zzb) {
            this();
        }

        /* Access modifiers changed, original: final */
        public final void zza(byte[] bArr, int i) {
            AppMethodBeat.i(90218);
            System.arraycopy(this.buf, 0, bArr, i, this.count);
            AppMethodBeat.o(90218);
        }
    }

    private IOUtils() {
    }

    public static void close(@Nullable Closeable closeable, String str, String str2) {
        AppMethodBeat.i(90225);
        if (closeable != null) {
            try {
                closeable.close();
                AppMethodBeat.o(90225);
                return;
            } catch (IOException e) {
            }
        }
        AppMethodBeat.o(90225);
    }

    public static void closeQuietly(@Nullable ParcelFileDescriptor parcelFileDescriptor) {
        AppMethodBeat.i(90222);
        if (parcelFileDescriptor != null) {
            try {
                parcelFileDescriptor.close();
                AppMethodBeat.o(90222);
                return;
            } catch (IOException e) {
            }
        }
        AppMethodBeat.o(90222);
    }

    public static void closeQuietly(@Nullable Closeable closeable) {
        AppMethodBeat.i(90221);
        if (closeable != null) {
            try {
                closeable.close();
                AppMethodBeat.o(90221);
                return;
            } catch (IOException e) {
            }
        }
        AppMethodBeat.o(90221);
    }

    public static void closeQuietly(@Nullable ServerSocket serverSocket) {
        AppMethodBeat.i(90224);
        if (serverSocket != null) {
            try {
                serverSocket.close();
                AppMethodBeat.o(90224);
                return;
            } catch (IOException e) {
            }
        }
        AppMethodBeat.o(90224);
    }

    public static void closeQuietly(@Nullable Socket socket) {
        AppMethodBeat.i(90223);
        if (socket != null) {
            try {
                socket.close();
                AppMethodBeat.o(90223);
                return;
            } catch (IOException e) {
            }
        }
        AppMethodBeat.o(90223);
    }

    public static long copyStream(InputStream inputStream, OutputStream outputStream) {
        AppMethodBeat.i(90226);
        long copyStream = copyStream(inputStream, outputStream, false);
        AppMethodBeat.o(90226);
        return copyStream;
    }

    public static long copyStream(InputStream inputStream, OutputStream outputStream, boolean z) {
        AppMethodBeat.i(90227);
        long copyStream = copyStream(inputStream, outputStream, z, 1024);
        AppMethodBeat.o(90227);
        return copyStream;
    }

    public static long copyStream(InputStream inputStream, OutputStream outputStream, boolean z, int i) {
        AppMethodBeat.i(90228);
        byte[] bArr = new byte[i];
        long j = 0;
        while (true) {
            try {
                int read = inputStream.read(bArr, 0, i);
                if (read == -1) {
                    break;
                }
                j += (long) read;
                outputStream.write(bArr, 0, read);
            } finally {
                if (z) {
                    closeQuietly((Closeable) inputStream);
                    closeQuietly((Closeable) outputStream);
                }
                AppMethodBeat.o(90228);
            }
        }
        return j;
    }

    public static boolean isGzipByteBuffer(byte[] bArr) {
        return bArr.length > 1 && ((bArr[0] & 255) | ((bArr[1] & 255) << 8)) == 35615;
    }

    /* JADX WARNING: Removed duplicated region for block: B:26:0x004d  */
    /* JADX WARNING: Removed duplicated region for block: B:26:0x004d  */
    public static void lockAndTruncateFile(java.io.File r7) {
        /*
        r2 = 0;
        r6 = 90233; // 0x16079 float:1.26443E-40 double:4.4581E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r6);
        r0 = r7.exists();
        if (r0 != 0) goto L_0x0016;
    L_0x000d:
        r0 = new java.io.FileNotFoundException;
        r0.<init>();
        com.tencent.matrix.trace.core.AppMethodBeat.o(r6);
        throw r0;
    L_0x0016:
        r3 = new java.io.RandomAccessFile;	 Catch:{ all -> 0x003d }
        r0 = "rw";
        r3.<init>(r7, r0);	 Catch:{ all -> 0x003d }
        r0 = r3.getChannel();	 Catch:{ all -> 0x0058 }
        r1 = r0.lock();	 Catch:{ all -> 0x0058 }
        r4 = 0;
        r0.truncate(r4);	 Catch:{ all -> 0x005b }
        if (r1 == 0) goto L_0x0036;
    L_0x002d:
        r0 = r1.isValid();
        if (r0 == 0) goto L_0x0036;
    L_0x0033:
        r1.release();	 Catch:{ IOException -> 0x0054 }
    L_0x0036:
        closeQuietly(r3);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r6);
        return;
    L_0x003d:
        r0 = move-exception;
        r1 = r2;
        r3 = r2;
    L_0x0040:
        if (r1 == 0) goto L_0x004b;
    L_0x0042:
        r2 = r1.isValid();
        if (r2 == 0) goto L_0x004b;
    L_0x0048:
        r1.release();	 Catch:{ IOException -> 0x0056 }
    L_0x004b:
        if (r3 == 0) goto L_0x0050;
    L_0x004d:
        closeQuietly(r3);
    L_0x0050:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r6);
        throw r0;
    L_0x0054:
        r0 = move-exception;
        goto L_0x0036;
    L_0x0056:
        r1 = move-exception;
        goto L_0x004b;
    L_0x0058:
        r0 = move-exception;
        r1 = r2;
        goto L_0x0040;
    L_0x005b:
        r0 = move-exception;
        goto L_0x0040;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.gms.common.util.IOUtils.lockAndTruncateFile(java.io.File):void");
    }

    public static byte[] readInputStreamFully(InputStream inputStream) {
        AppMethodBeat.i(90229);
        byte[] readInputStreamFully = readInputStreamFully(inputStream, true);
        AppMethodBeat.o(90229);
        return readInputStreamFully;
    }

    public static byte[] readInputStreamFully(InputStream inputStream, boolean z) {
        AppMethodBeat.i(90230);
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
        copyStream(inputStream, byteArrayOutputStream, z);
        byte[] toByteArray = byteArrayOutputStream.toByteArray();
        AppMethodBeat.o(90230);
        return toByteArray;
    }

    public static byte[] toByteArray(File file) {
        AppMethodBeat.i(90231);
        byte[] zzdd = new zzb(file, null).zzdd();
        AppMethodBeat.o(90231);
        return zzdd;
    }

    public static byte[] toByteArray(InputStream inputStream) {
        AppMethodBeat.i(90232);
        OutputStream byteArrayOutputStream = new ByteArrayOutputStream();
        zza(inputStream, byteArrayOutputStream);
        byte[] toByteArray = byteArrayOutputStream.toByteArray();
        AppMethodBeat.o(90232);
        return toByteArray;
    }

    private static long zza(InputStream inputStream, OutputStream outputStream) {
        AppMethodBeat.i(90235);
        Preconditions.checkNotNull(inputStream);
        Preconditions.checkNotNull(outputStream);
        byte[] bArr = new byte[4096];
        long j = 0;
        while (true) {
            int read = inputStream.read(bArr);
            if (read != -1) {
                outputStream.write(bArr, 0, read);
                j += (long) read;
            } else {
                AppMethodBeat.o(90235);
                return j;
            }
        }
    }

    private static byte[] zza(InputStream inputStream, long j) {
        AppMethodBeat.i(90234);
        byte[] toByteArray;
        if (j > 2147483647L) {
            OutOfMemoryError outOfMemoryError = new OutOfMemoryError("file is too large to fit in a byte array: " + j + " bytes");
            AppMethodBeat.o(90234);
            throw outOfMemoryError;
        } else if (j == 0) {
            toByteArray = toByteArray(inputStream);
            AppMethodBeat.o(90234);
            return toByteArray;
        } else {
            int i = (int) j;
            toByteArray = new byte[i];
            int i2 = i;
            while (i2 > 0) {
                int i3 = i - i2;
                int read = inputStream.read(toByteArray, i3, i2);
                if (read == -1) {
                    toByteArray = Arrays.copyOf(toByteArray, i3);
                    AppMethodBeat.o(90234);
                    return toByteArray;
                }
                i2 -= read;
            }
            i2 = inputStream.read();
            if (i2 == -1) {
                AppMethodBeat.o(90234);
                return toByteArray;
            }
            OutputStream zza = new zza();
            zza.write(i2);
            zza(inputStream, zza);
            toByteArray = Arrays.copyOf(toByteArray, zza.size() + i);
            zza.zza(toByteArray, i);
            AppMethodBeat.o(90234);
            return toByteArray;
        }
    }

    static /* synthetic */ byte[] zzb(InputStream inputStream, long j) {
        AppMethodBeat.i(90236);
        byte[] zza = zza(inputStream, j);
        AppMethodBeat.o(90236);
        return zza;
    }
}
