package com.google.android.gms.wearable;

import android.os.Binder;
import android.util.Log;
import com.google.android.gms.common.data.DataHolder;
import com.google.android.gms.common.util.UidVerifier;
import com.google.android.gms.wearable.internal.zzah;
import com.google.android.gms.wearable.internal.zzaw;
import com.google.android.gms.wearable.internal.zzen;
import com.google.android.gms.wearable.internal.zzfe;
import com.google.android.gms.wearable.internal.zzfo;
import com.google.android.gms.wearable.internal.zzhp;
import com.google.android.gms.wearable.internal.zzi;
import com.google.android.gms.wearable.internal.zzl;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.util.List;

final class WearableListenerService$zzd extends zzen {
    final /* synthetic */ WearableListenerService zzak;
    private volatile int zzam;

    private WearableListenerService$zzd(WearableListenerService wearableListenerService) {
        this.zzak = wearableListenerService;
        this.zzam = -1;
    }

    /* synthetic */ WearableListenerService$zzd(WearableListenerService wearableListenerService, zzk zzk) {
        this(wearableListenerService);
    }

    private final boolean zza(Runnable runnable, String str, Object obj) {
        AppMethodBeat.i(70932);
        if (Log.isLoggable("WearableLS", 3)) {
            String.format("%s: %s %s", new Object[]{str, WearableListenerService.zza(this.zzak).toString(), obj});
        }
        int callingUid = Binder.getCallingUid();
        if (callingUid == this.zzam) {
            callingUid = 1;
        } else if (zzhp.zza(this.zzak).zze("com.google.android.wearable.app.cn") && UidVerifier.uidHasPackageName(this.zzak, callingUid, "com.google.android.wearable.app.cn")) {
            this.zzam = callingUid;
            callingUid = 1;
        } else if (UidVerifier.isGooglePlayServicesUid(this.zzak, callingUid)) {
            this.zzam = callingUid;
            callingUid = 1;
        } else {
            new StringBuilder(57).append("Caller is not GooglePlayServices; caller UID: ").append(callingUid);
            boolean z = false;
        }
        if (callingUid == 0) {
            AppMethodBeat.o(70932);
            return false;
        }
        synchronized (WearableListenerService.zzd(this.zzak)) {
            try {
                if (WearableListenerService.zze(this.zzak)) {
                } else {
                    WearableListenerService.zzf(this.zzak).post(runnable);
                    AppMethodBeat.o(70932);
                    return true;
                }
            } finally {
                while (true) {
                }
                AppMethodBeat.o(70932);
            }
        }
        return false;
    }

    public final void onConnectedNodes(List<zzfo> list) {
        AppMethodBeat.i(70927);
        zza(new zzp(this, list), "onConnectedNodes", list);
        AppMethodBeat.o(70927);
    }

    public final void zza(DataHolder dataHolder) {
        AppMethodBeat.i(70923);
        zzl zzl = new zzl(this, dataHolder);
        try {
            String valueOf = String.valueOf(dataHolder);
            if (zza(zzl, "onDataItemChanged", new StringBuilder(String.valueOf(valueOf).length() + 18).append(valueOf).append(", rows=").append(dataHolder.getCount()).toString())) {
                AppMethodBeat.o(70923);
            }
        } finally {
            dataHolder.close();
            AppMethodBeat.o(70923);
        }
    }

    public final void zza(zzah zzah) {
        AppMethodBeat.i(70928);
        zza(new zzq(this, zzah), "onConnectedCapabilityChanged", zzah);
        AppMethodBeat.o(70928);
    }

    public final void zza(zzaw zzaw) {
        AppMethodBeat.i(70931);
        zza(new zzt(this, zzaw), "onChannelEvent", zzaw);
        AppMethodBeat.o(70931);
    }

    public final void zza(zzfe zzfe) {
        AppMethodBeat.i(70924);
        zza(new zzm(this, zzfe), "onMessageReceived", zzfe);
        AppMethodBeat.o(70924);
    }

    public final void zza(zzfo zzfo) {
        AppMethodBeat.i(70925);
        zza(new zzn(this, zzfo), "onPeerConnected", zzfo);
        AppMethodBeat.o(70925);
    }

    public final void zza(zzi zzi) {
        AppMethodBeat.i(70930);
        zza(new zzs(this, zzi), "onEntityUpdate", zzi);
        AppMethodBeat.o(70930);
    }

    public final void zza(zzl zzl) {
        AppMethodBeat.i(70929);
        zza(new zzr(this, zzl), "onNotificationReceived", zzl);
        AppMethodBeat.o(70929);
    }

    public final void zzb(zzfo zzfo) {
        AppMethodBeat.i(70926);
        zza(new zzo(this, zzfo), "onPeerDisconnected", zzfo);
        AppMethodBeat.o(70926);
    }
}
