package com.tencent.mm.app.plugin;

import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.bp.d;
import com.tencent.mm.compatible.e.q;
import com.tencent.mm.model.aw;
import com.tencent.mm.model.u;
import com.tencent.mm.model.v.b;
import com.tencent.mm.model.y;
import com.tencent.mm.model.z;
import com.tencent.mm.plugin.setting.model.j;
import com.tencent.mm.plugin.webview.ui.tools.WebViewUI;
import com.tencent.mm.pluginsdk.ui.applet.m;
import com.tencent.mm.pluginsdk.ui.e.g;
import com.tencent.mm.pluginsdk.v;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ah;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.ui.base.h;

class URISpanHandlerSet {
    Context mContext = null;

    @a
    class AAUriSpanHandler extends BaseUriSpanHandler {
        AAUriSpanHandler() {
            super(URISpanHandlerSet.this);
        }

        /* Access modifiers changed, original: final */
        public final m dr(String str) {
            AppMethodBeat.i(15630);
            m mVar;
            if (str.trim().toLowerCase().startsWith("weixin://weixinnewaa/opendetail")) {
                mVar = new m(str, 35, null);
                AppMethodBeat.o(15630);
                return mVar;
            } else if (str.trim().toLowerCase().startsWith("weixin://weixinnewaa/closeurgenotify")) {
                mVar = new m(str, 36, null);
                AppMethodBeat.o(15630);
                return mVar;
            } else if (str.trim().toLowerCase().startsWith("weixin://weixinnewaa/closeaa")) {
                mVar = new m(str, 37, null);
                AppMethodBeat.o(15630);
                return mVar;
            } else {
                AppMethodBeat.o(15630);
                return null;
            }
        }

        /* Access modifiers changed, original: final */
        public final int[] Cm() {
            return new int[]{35, 36, 37};
        }

        /* Access modifiers changed, original: final */
        public final boolean a(String str, boolean z, v vVar, Bundle bundle) {
            return false;
        }

        /* Access modifiers changed, original: final */
        public final boolean a(m mVar, g gVar) {
            AppMethodBeat.i(15631);
            if (mVar.type == 35) {
                try {
                    String queryParameter = Uri.parse(mVar.url).getQueryParameter("billno");
                    if (bo.isNullOrNil(queryParameter)) {
                        ab.e("MicroMsg.URISpanHandlerSet", "url error, billno is null");
                        AppMethodBeat.o(15631);
                        return true;
                    }
                    String string;
                    if (mVar.data instanceof Bundle) {
                        string = ((Bundle) mVar.data).getString("chatroom_name");
                    } else if (mVar.data instanceof String) {
                        string = mVar.data.toString();
                    } else {
                        ab.e("MicroMsg.URISpanHandlerSet", "illegal data type, %s", new Object[]{mVar});
                        AppMethodBeat.o(15631);
                        return true;
                    }
                    Intent intent = new Intent();
                    intent.putExtra("bill_no", queryParameter);
                    intent.putExtra("enter_scene", 3);
                    intent.putExtra("chatroom", string);
                    d.b(URISpanHandlerSet.this.mContext, "aa", ".ui.PaylistAAUI", intent);
                    AppMethodBeat.o(15631);
                    return true;
                } catch (Exception e) {
                    ab.e("MicroMsg.URISpanHandlerSet", "handle click new aa open detail link error: %s, url: %s", new Object[]{e.getMessage(), mVar.url});
                }
            } else {
                String queryParameter2;
                Bundle bundle;
                String string2;
                long j;
                if (mVar.type == 37) {
                    try {
                        queryParameter2 = Uri.parse(mVar.url).getQueryParameter("billno");
                        if (bo.isNullOrNil(queryParameter2)) {
                            ab.e("MicroMsg.URISpanHandlerSet", "url error, billno is null");
                            AppMethodBeat.o(15631);
                            return true;
                        } else if (mVar.data instanceof Bundle) {
                            bundle = (Bundle) mVar.data;
                            string2 = bundle.getString("chatroom_name");
                            if (bo.isNullOrNil(string2)) {
                                ab.e("MicroMsg.URISpanHandlerSet", "empty chatroom!");
                                AppMethodBeat.o(15631);
                                return true;
                            }
                            j = bundle.getLong("msg_id", -1);
                            if (j < 0) {
                                ab.e("MicroMsg.URISpanHandlerSet", "msgId is null");
                                AppMethodBeat.o(15631);
                                return true;
                            }
                            h.a(URISpanHandlerSet.this.mContext, 2131303885, -1, 2131303888, 2131297773, new 1(this, queryParameter2, string2, j), null);
                        } else {
                            ab.e("MicroMsg.URISpanHandlerSet", "error data!");
                            AppMethodBeat.o(15631);
                            return true;
                        }
                    } catch (Exception e2) {
                        ab.e("MicroMsg.URISpanHandlerSet", "handle click new aa close link error: %s, url: %s", new Object[]{e2.getMessage(), mVar.url});
                    }
                } else if (mVar.type == 36) {
                    try {
                        queryParameter2 = Uri.parse(mVar.url).getQueryParameter("billno");
                        if (bo.isNullOrNil(queryParameter2)) {
                            ab.e("MicroMsg.URISpanHandlerSet", "url error, billno is null");
                            AppMethodBeat.o(15631);
                            return true;
                        }
                        bundle = null;
                        if (mVar.data instanceof Bundle) {
                            bundle = (Bundle) mVar.data;
                        }
                        if (bundle == null || bo.isNullOrNil(bundle.getString("chatroom_name"))) {
                            ab.e("MicroMsg.URISpanHandlerSet", "empty chatroom!");
                            AppMethodBeat.o(15631);
                            return true;
                        }
                        string2 = bundle.getString("chatroom_name");
                        j = bundle.getLong("msg_id", -1);
                        h.a(URISpanHandlerSet.this.mContext, 2131303886, -1, 2131303887, 2131297773, new 2(this, queryParameter2, string2, j), null);
                    } catch (Exception e22) {
                        ab.e("MicroMsg.URISpanHandlerSet", "handle click new aa urge notify link error: %s, url: %s", new Object[]{e22.getMessage(), mVar.url});
                    }
                }
                AppMethodBeat.o(15631);
                return false;
            }
        }
    }

    @a
    class FeedbackUriSpanHandler extends BaseUriSpanHandler {
        FeedbackUriSpanHandler() {
            super(URISpanHandlerSet.this);
        }

        /* Access modifiers changed, original: final */
        public final m dr(String str) {
            AppMethodBeat.i(15657);
            if (str.trim().startsWith("weixin://feedback/next/")) {
                m mVar = new m(str, 34, null);
                AppMethodBeat.o(15657);
                return mVar;
            }
            AppMethodBeat.o(15657);
            return null;
        }

        /* Access modifiers changed, original: final */
        public final int[] Cm() {
            return new int[]{34};
        }

        /* Access modifiers changed, original: final */
        public final boolean a(String str, boolean z, v vVar, Bundle bundle) {
            return false;
        }

        /* Access modifiers changed, original: final */
        public final boolean a(m mVar, g gVar) {
            AppMethodBeat.i(15658);
            if (mVar.type == 34) {
                ab.d("MicroMsg.URISpanHandlerSet", "FeedbackUriSpanHandler, url:%s, content:%s", new Object[]{mVar.url, mVar.url.trim().replace("weixin://feedback/next/", "")});
                aw.Rg().a(new j(q.Mc(), r2, 8), 0);
                AppMethodBeat.o(15658);
                return true;
            }
            AppMethodBeat.o(15658);
            return false;
        }
    }

    @a
    class HttpUriSpanHandler extends BaseUriSpanHandler {
        HttpUriSpanHandler() {
            super(URISpanHandlerSet.this);
        }

        /* Access modifiers changed, original: final */
        public final m dr(String str) {
            m mVar;
            AppMethodBeat.i(15673);
            if (str.trim().toLowerCase().startsWith("http")) {
                mVar = new m(str, 1, null);
            } else {
                mVar = null;
            }
            AppMethodBeat.o(15673);
            return mVar;
        }

        /* Access modifiers changed, original: final */
        public final int[] Cm() {
            return new int[]{1};
        }

        /* Access modifiers changed, original: final */
        public final boolean a(String str, boolean z, v vVar, Bundle bundle) {
            return false;
        }

        /* Access modifiers changed, original: final */
        public final boolean a(m mVar, g gVar) {
            AppMethodBeat.i(15674);
            if (mVar.type == 1) {
                y ag;
                String str;
                boolean z = URISpanHandlerSet.this.mContext != null && (URISpanHandlerSet.this.mContext instanceof WebViewUI);
                mVar.au(y.class);
                if (!z || ah.bqo()) {
                    ag = z.ag("@" + mVar.url, URISpanHandlerSet.this.mContext.getString(2131300424));
                } else {
                    ag = null;
                }
                if (gVar != null) {
                    str = (String) gVar.a(mVar);
                } else {
                    str = null;
                }
                if (ag == null || !ag.enable) {
                    String str2 = mVar.url;
                    if (!str2.toLowerCase().startsWith("http")) {
                        str2 = "http://".concat(String.valueOf(str2));
                    }
                    Intent intent = new Intent();
                    intent.putExtra("rawUrl", str2);
                    if (mVar.data != null && (mVar.data instanceof Integer)) {
                        intent.putExtra("geta8key_scene", ((Integer) mVar.data).intValue());
                    }
                    str2 = mVar.hcl;
                    if (!bo.isNullOrNil(str2)) {
                        b nV = com.tencent.mm.model.v.Zp().nV(str2);
                        if (nV != null) {
                            String string = nV.getString("prePublishId", null);
                            String string2 = nV.getString("preUsername", null);
                            String string3 = nV.getString("preChatName", null);
                            intent.putExtra("reportSessionId", str2);
                            intent.putExtra("KPublisherId", string);
                            intent.putExtra("geta8key_username", string3);
                            intent.putExtra("pre_username", string2);
                            intent.putExtra("prePublishId", string);
                            intent.putExtra("preUsername", string2);
                            intent.putExtra("preChatName", string3);
                            intent.putExtra("preChatTYPE", u.ad(string2, string3));
                        }
                    }
                    intent.putExtra("geta8key_username", bo.isNullOrNil(str) ? null : str);
                    if (z) {
                        intent.addFlags(268435456);
                    } else {
                        intent.addFlags(536870912);
                    }
                    d.b(URISpanHandlerSet.this.mContext, "webview", ".ui.tools.WebViewUI", intent);
                }
                if (gVar != null) {
                    gVar.b(mVar);
                }
                AppMethodBeat.o(15674);
                return true;
            }
            AppMethodBeat.o(15674);
            return false;
        }
    }

    @a
    class SettingPluginQQMsgUriSpanHandler extends BaseUriSpanHandler {
        SettingPluginQQMsgUriSpanHandler() {
            super(URISpanHandlerSet.this);
        }

        /* Access modifiers changed, original: final */
        public final m dr(String str) {
            AppMethodBeat.i(15708);
            if (str.trim().startsWith("weixin://setting/plugin/qqmsg")) {
                m mVar = new m(str, 13, null);
                AppMethodBeat.o(15708);
                return mVar;
            }
            AppMethodBeat.o(15708);
            return null;
        }

        /* Access modifiers changed, original: final */
        public final int[] Cm() {
            return new int[]{13};
        }

        /* Access modifiers changed, original: final */
        public final boolean a(m mVar, g gVar) {
            return false;
        }

        /* Access modifiers changed, original: final */
        public final boolean a(String str, boolean z, v vVar, Bundle bundle) {
            return false;
        }
    }

    public URISpanHandlerSet(Context context) {
        AppMethodBeat.i(15722);
        this.mContext = context == null ? ah.getContext() : this.mContext;
        AppMethodBeat.o(15722);
    }
}
