package com.tencent.mm.plugin.fav.ui.widget;

import android.content.Context;
import android.os.Looper;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.ProgressBar;
import android.widget.RelativeLayout;
import android.widget.RelativeLayout.LayoutParams;
import android.widget.TextView;
import com.facebook.appevents.codeless.internal.Constants;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.kernel.g;
import com.tencent.mm.modelcontrol.d;
import com.tencent.mm.plugin.fav.a.ae;
import com.tencent.mm.pluginsdk.ui.tools.VideoPlayerTextureView;
import com.tencent.mm.pluginsdk.ui.tools.VideoTextureView;
import com.tencent.mm.pluginsdk.ui.tools.e;
import com.tencent.mm.pluginsdk.ui.tools.e.a;
import com.tencent.mm.sdk.platformtools.BackwardSupportUtil.b;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ak;
import com.tencent.mm.sdk.platformtools.al;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.storage.ac;
import com.tencent.mm.ui.widget.MMPinProgressBtn;

public class FavVideoView extends RelativeLayout implements a {
    private String ePJ;
    private ak kkp;
    public e klq;
    private ImageView mmB;
    private boolean mmE;
    public LinearLayout mmZ;
    private String mnd;
    private TextView mqf;
    private boolean mqg;
    private boolean mqh;
    private int mqi;
    private ProgressBar mqj;
    private MMPinProgressBtn mqk;
    private int mql;
    private a mqm;

    public FavVideoView(Context context) {
        this(context, null);
    }

    public FavVideoView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public FavVideoView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        AppMethodBeat.i(74724);
        this.kkp = new ak(Looper.getMainLooper());
        this.mqg = false;
        this.mqh = false;
        this.mqi = 0;
        this.mmE = false;
        this.mnd = "";
        this.mql = 0;
        this.mqm = new a(this, (byte) 0);
        ab.i("MicroMsg.FavVideoView", "%d ui init view.", new Object[]{Integer.valueOf(hashCode())});
        LayoutInflater.from(context).inflate(2130969534, this);
        this.mmB = (ImageView) findViewById(2131822133);
        RelativeLayout relativeLayout = (RelativeLayout) findViewById(2131820629);
        ((TextView) findViewById(2131822135)).setVisibility(8);
        this.mqk = (MMPinProgressBtn) findViewById(2131822136);
        this.mqj = (ProgressBar) findViewById(2131821891);
        this.mmZ = (LinearLayout) findViewById(2131823884);
        this.mqf = (TextView) findViewById(2131822138);
        if (d.afO()) {
            this.mqh = true;
            this.klq = new VideoPlayerTextureView(context);
        } else {
            this.mqh = false;
            this.klq = new VideoTextureView(context);
        }
        this.klq.setVideoCallback(this);
        LayoutParams layoutParams = new LayoutParams(-1, -2);
        layoutParams.addRule(13);
        relativeLayout.addView((View) this.klq, layoutParams);
        ((com.tencent.mm.plugin.record.a.a) g.M(com.tencent.mm.plugin.record.a.a.class)).getRecordMsgCDNStorage().a(this.mqm);
        ((ae) g.M(ae.class)).getFavCdnStorage().a(this.mqm);
        AppMethodBeat.o(74724);
    }

    public void setVideoData(String str) {
        this.ePJ = str;
    }

    public final void a(String str, boolean z, String str2) {
        AppMethodBeat.i(74725);
        this.ePJ = str;
        if (z) {
            aNt();
            this.mnd = str2;
        }
        AppMethodBeat.o(74725);
    }

    public void setThumbView(String str) {
        AppMethodBeat.i(74726);
        this.mmB.setImageBitmap(b.i(str, 1.0f));
        AppMethodBeat.o(74726);
    }

    public final void onResume() {
        AppMethodBeat.i(74727);
        ab.i("MicroMsg.FavVideoView", "VideoPlay:   onResume()");
        if (!this.mqg) {
            bwD();
        }
        AppMethodBeat.o(74727);
    }

    public final void onDestroy() {
        AppMethodBeat.i(74728);
        ab.i("MicroMsg.FavVideoView", "VideoPlay:   onDestroy()");
        try {
            ((com.tencent.mm.plugin.record.a.a) g.M(com.tencent.mm.plugin.record.a.a.class)).getRecordMsgCDNStorage().b(this.mqm);
            ((ae) g.M(ae.class)).getFavCdnStorage().b(this.mqm);
            this.klq.stop();
            AppMethodBeat.o(74728);
        } catch (Throwable th) {
            AppMethodBeat.o(74728);
        }
    }

    private void ho(boolean z) {
        AppMethodBeat.i(74729);
        this.kkp.post(new 1(this, z));
        AppMethodBeat.o(74729);
    }

    private void bwD() {
        AppMethodBeat.i(74730);
        if (bo.isNullOrNil(this.ePJ) || !com.tencent.mm.vfs.e.ct(this.ePJ)) {
            ab.i("MicroMsg.FavVideoView", "VideoPlay: fullPath is  null, show error, toggleVideo()");
            ho(false);
            AppMethodBeat.o(74730);
            return;
        }
        ab.i("MicroMsg.FavVideoView", "VideoPlay: fullPath is not null,exist,  toggleVideo()");
        Mj(this.ePJ);
        AppMethodBeat.o(74730);
    }

    private static boolean bwE() {
        AppMethodBeat.i(74731);
        boolean z = g.RP().Ry().getBoolean(ac.a.xQl, false);
        AppMethodBeat.o(74731);
        return z;
    }

    public final void Mj(String str) {
        AppMethodBeat.i(74732);
        ab.i("MicroMsg.FavVideoView", "VideoPlay: prepareVideo");
        if (bo.isNullOrNil(str)) {
            ab.e("MicroMsg.FavVideoView", "VideoPlay: %d prepare video but filepath is null.", new Object[]{Integer.valueOf(hashCode())});
            AppMethodBeat.o(74732);
            return;
        }
        if (this.klq != null) {
            if (this.klq instanceof VideoPlayerTextureView) {
                ((VideoPlayerTextureView) this.klq).setNeedResetExtractor(bwE());
            }
            ((View) this.klq).setVisibility(0);
            ((View) this.klq).setAlpha(0.0f);
            this.mmB.setVisibility(0);
            this.klq.setVideoPath(str);
        }
        if (((Integer) g.RP().Ry().get(ac.a.xPd, Integer.valueOf(0))).intValue() == 1) {
            this.mqf.setText(com.tencent.mm.plugin.sight.base.d.RK(str));
            this.mqf.setVisibility(0);
        }
        AppMethodBeat.o(74732);
    }

    public final int dG(int i, int i2) {
        return 0;
    }

    public final void dH(int i, int i2) {
    }

    public final void pL() {
        AppMethodBeat.i(74733);
        this.mqi = 0;
        ho(true);
        this.mmE = this.klq.start();
        ab.i("MicroMsg.FavVideoView", "VideoPlay: startPlay(),duration is %d", new Object[]{Integer.valueOf(this.klq.getDuration() / Constants.APP_INDEXING_SCHEDULE_INTERVAL_MS)});
        AppMethodBeat.o(74733);
    }

    public final void EA() {
        AppMethodBeat.i(74734);
        ab.i("MicroMsg.FavVideoView", "%d on completion", new Object[]{Integer.valueOf(hashCode())});
        if (com.tencent.mm.compatible.util.d.iX(18) || !this.mqh) {
            ab.i("MicroMsg.FavVideoView", "VideoPlay: seek second is %d", new Object[]{Integer.valueOf(0)});
            this.klq.B(0.0d);
            AppMethodBeat.o(74734);
            return;
        }
        if (this.klq != null) {
            this.klq.stop();
        }
        AppMethodBeat.o(74734);
    }

    public final void onError(int i, int i2) {
        AppMethodBeat.i(74735);
        ab.e("MicroMsg.FavVideoView", "VideoPlay: %d on play video error what %d extra %d. isMMVideoPlayer[%b]", new Object[]{Integer.valueOf(hashCode()), Integer.valueOf(i), Integer.valueOf(i2), Boolean.valueOf(this.mqh)});
        if (this.mmE) {
            EA();
            AppMethodBeat.o(74735);
            return;
        }
        this.mqi = i2;
        String videoPath = this.klq.getVideoPath();
        this.klq.stop();
        this.mqg = true;
        ho(false);
        if (this.mqi == -1) {
            this.mql++;
            if (this.mql <= 3) {
                al.d(new 2(this));
                AppMethodBeat.o(74735);
                return;
            }
        }
        if (!bo.isNullOrNil(videoPath) && com.tencent.mm.vfs.e.ct(videoPath)) {
            ab.e("MicroMsg.FavVideoView", "VideoPlay: start third player to play");
            this.kkp.post(new 3(this, videoPath));
        }
        AppMethodBeat.o(74735);
    }

    private void aNt() {
        AppMethodBeat.i(74736);
        this.kkp.post(new 5(this));
        AppMethodBeat.o(74736);
    }

    static /* synthetic */ void g(FavVideoView favVideoView) {
        AppMethodBeat.i(74737);
        favVideoView.kkp.post(new 6(favVideoView));
        AppMethodBeat.o(74737);
    }
}
