package com.tencent.mm.plugin.gallery.view;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.RectF;
import android.util.AttributeSet;
import android.view.GestureDetector;
import android.view.MotionEvent;
import android.view.View.MeasureSpec;
import android.view.animation.DecelerateInterpolator;
import android.widget.LinearLayout;
import android.widget.LinearLayout.LayoutParams;
import android.widget.OverScroller;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.ui.base.MultiTouchImageView;
import com.tencent.mm.ui.base.f;
import java.lang.ref.WeakReference;

public class MultiGestureImageView extends LinearLayout {
    private int apF;
    private int apG;
    private float ccB;
    private int count = 0;
    private int ieu;
    private int iev;
    private j mSA;
    private j mSB;
    private d mSC;
    private b mSD;
    private MultiTouchImageView mSi;
    private long mSj = 0;
    private long mSk = 0;
    private float mSl = 0.0f;
    private float mSm = 0.0f;
    private long mSn = 0;
    private boolean mSp = false;
    private OverScroller mSq;
    private GestureDetector mSr;
    private RectF mSs = new RectF();
    private a mSt;
    private float mSu;
    private boolean mSv = false;
    private boolean mSw = false;
    private boolean mSx = false;
    private boolean mSy = false;
    private j mSz;

    static /* synthetic */ void e(MultiGestureImageView multiGestureImageView) {
        AppMethodBeat.i(21654);
        multiGestureImageView.bCP();
        AppMethodBeat.o(21654);
    }

    public MultiGestureImageView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        AppMethodBeat.i(21640);
        init(context, attributeSet);
        AppMethodBeat.o(21640);
    }

    public MultiGestureImageView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        AppMethodBeat.i(21641);
        init(context, attributeSet);
        AppMethodBeat.o(21641);
    }

    public void setSingleClickOverListener(d dVar) {
        this.mSC = dVar;
    }

    public void setLongClickOverListener(b bVar) {
        this.mSD = bVar;
    }

    private void init(Context context, AttributeSet attributeSet) {
        AppMethodBeat.i(21642);
        this.mSi = new MultiTouchImageView(context, attributeSet);
        this.mSr = new GestureDetector(context, new c(this, (byte) 0));
        this.mSq = new OverScroller(context, new DecelerateInterpolator(2.0f));
        this.mSi.setLayoutParams(new LayoutParams(-1, -1));
        addView(this.mSi);
        this.mSz = new j(this, new WeakReference(this));
        this.mSA = new j(this, new WeakReference(this));
        this.mSB = new j(this, new WeakReference(this));
        AppMethodBeat.o(21642);
    }

    /* Access modifiers changed, original: protected */
    public void onMeasure(int i, int i2) {
        AppMethodBeat.i(21643);
        super.onMeasure(i, i2);
        this.ieu = MeasureSpec.getSize(i);
        this.iev = MeasureSpec.getSize(i2);
        this.mSs.set(0.0f, 0.0f, (float) this.ieu, (float) this.iev);
        ab.v("MicroMsg.MuitlGestureImageView", "MMGestureGallery width:" + this.ieu + " height:" + this.iev);
        AppMethodBeat.o(21643);
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        AppMethodBeat.i(21644);
        this.mSr.onTouchEvent(motionEvent);
        if (motionEvent.getAction() == 0) {
            this.mSq.forceFinished(true);
            this.mSB.removeMessages(2);
            this.mSB.j(2, 500, 0);
            this.mSi.dzB();
            this.count++;
            if (this.count == 1) {
                this.mSj = System.currentTimeMillis();
                this.mSl = f.c(motionEvent, 0);
                this.mSm = f.d(motionEvent, 0);
            } else if (this.count == 2) {
                this.mSn = System.currentTimeMillis();
                if (this.mSn - this.mSk >= 350) {
                    this.count = 1;
                } else if (Math.abs(this.mSl - f.c(motionEvent, 0)) >= 35.0f || Math.abs(this.mSm - f.d(motionEvent, 0)) >= 35.0f) {
                    this.count = 1;
                } else {
                    this.count = 0;
                    ab.d("MicroMsg.MuitlGestureImageView", "double click!");
                    if (this.mSi.getScale() <= this.mSi.getScaleRate()) {
                        this.mSi.ai(f.c(motionEvent, 0), f.d(motionEvent, 0));
                    } else {
                        this.mSi.ah(f.c(motionEvent, 0), f.d(motionEvent, 0));
                        this.mSi.dAp();
                    }
                }
            }
        }
        if (motionEvent.getAction() == 6 || motionEvent.getAction() == 262) {
            this.mSB.removeMessages(2);
            this.ccB = 0.0f;
            this.mSu = this.mSi.getScale();
            this.mSp = true;
            if (this.mSu < this.mSi.getScaleRate()) {
                this.mSi.ah((f.c(motionEvent, 0) - f.c(motionEvent, 1)) + f.c(motionEvent, 1), (f.d(motionEvent, 0) - f.d(motionEvent, 1)) + f.d(motionEvent, 1));
            }
            if (this.mSu > this.mSi.getDoubleTabScale()) {
                this.mSi.ai((f.c(motionEvent, 0) - f.c(motionEvent, 1)) + f.c(motionEvent, 1), (f.d(motionEvent, 0) - f.d(motionEvent, 1)) + f.d(motionEvent, 1));
            }
        }
        if (motionEvent.getAction() == 1) {
            this.mSB.removeMessages(2);
            if ((this.mSx || this.mSy) && (this.mSv || this.mSw)) {
                this.mSt = new f(this, this.mSi);
                bCQ();
                this.mSx = false;
                this.mSy = false;
                this.mSv = false;
                this.mSw = false;
            } else {
                if (this.mSx) {
                    this.mSx = false;
                    this.mSt = new g(this, this.mSi);
                    bCQ();
                }
                if (this.mSy) {
                    this.mSy = false;
                    this.mSt = new h(this, this.mSi);
                    bCQ();
                }
                if (this.mSv) {
                    this.mSv = false;
                    this.mSt = new i(this, this.mSi);
                    bCQ();
                }
                if (this.mSw) {
                    this.mSw = false;
                    this.mSt = new e(this, this.mSi);
                    bCQ();
                }
            }
            this.ccB = 0.0f;
            this.mSu = this.mSi.getScale();
            if (this.count == 1) {
                this.mSk = System.currentTimeMillis();
                if (this.mSk - this.mSj >= 350) {
                    this.count = 0;
                    ab.d("MicroMsg.MuitlGestureImageView", "single long click over!");
                } else if (Math.abs(this.mSl - f.c(motionEvent, 0)) < 10.0f && Math.abs(this.mSm - f.d(motionEvent, 0)) < 10.0f) {
                    j jVar = this.mSA;
                    jVar.cOV = false;
                    jVar.j(0, 350, 0);
                }
            }
        }
        if (motionEvent.getAction() == 5 || motionEvent.getAction() == 261) {
            this.ccB = 0.0f;
            this.mSu = this.mSi.getScale();
            this.mSp = true;
        }
        if (motionEvent.getAction() == 2) {
            if (f.O(motionEvent) == 2) {
                this.mSB.removeMessages(2);
                this.mSp = true;
                this.count = 0;
                float c = f.c(motionEvent, 0) - f.c(motionEvent, 1);
                float d = f.d(motionEvent, 0) - f.d(motionEvent, 1);
                float sqrt = (float) Math.sqrt((double) ((c * c) + (d * d)));
                if (this.ccB == 0.0f) {
                    this.ccB = sqrt;
                } else {
                    sqrt /= this.ccB;
                    if (this.mSp) {
                        this.mSi.k(sqrt * this.mSu, c + f.c(motionEvent, 1), d + f.d(motionEvent, 1));
                    }
                }
            } else if (Math.abs(this.mSl - f.c(motionEvent, 0)) > 10.0f || Math.abs(this.mSm - f.d(motionEvent, 0)) > 10.0f) {
                this.mSB.removeMessages(2);
                this.count = 0;
                computeScroll();
            }
        }
        AppMethodBeat.o(21644);
        return true;
    }

    public void computeScroll() {
        int i = 0;
        AppMethodBeat.i(21645);
        if (this.mSi == null) {
            AppMethodBeat.o(21645);
            return;
        }
        if (this.mSq.computeScrollOffset()) {
            int currX = this.mSq.getCurrX() - this.apF;
            int currY = this.mSq.getCurrY() - this.apG;
            this.apF = this.mSq.getCurrX();
            this.apG = this.mSq.getCurrY();
            float scale = this.mSi.getScale();
            float imageWidth = ((float) this.mSi.getImageWidth()) * scale;
            scale *= (float) this.mSi.getImageHeight();
            float[] fArr = new float[9];
            this.mSi.getImageMatrix().getValues(fArr);
            float f = fArr[2];
            imageWidth += f;
            float f2 = fArr[5];
            float f3 = f2 + scale;
            if (currX < 0 && ((float) currX) < this.mSs.right - ((float) Math.round(imageWidth))) {
                currX = (int) (this.mSs.right - ((float) Math.round(imageWidth)));
            }
            if (currX > 0 && ((float) currX) > this.mSs.left - ((float) Math.round(f))) {
                currX = (int) (this.mSs.left - ((float) Math.round(f)));
            }
            if (currY < 0 && ((float) currY) < this.mSs.bottom - ((float) Math.round(f3))) {
                currY = (int) (this.mSs.bottom - ((float) Math.round(f3)));
            }
            if (currY > 0 && ((float) currY) > this.mSs.top - ((float) Math.round(f2))) {
                currY = (int) (this.mSs.top - ((float) Math.round(f2)));
            }
            if (((float) Math.round(f)) >= this.mSs.left || ((float) Math.round(imageWidth)) <= this.mSs.right) {
                currX = 0;
            } else if (((float) Math.round(f2)) >= this.mSs.top || ((float) Math.round(f3)) <= this.mSs.bottom) {
                currY = 0;
            }
            if (scale >= ((float) this.iev)) {
                i = currY;
            }
            this.mSi.aj((float) currX, (float) i);
            postInvalidate();
        }
        AppMethodBeat.o(21645);
    }

    private void bCP() {
        AppMethodBeat.i(21646);
        this.mSz.removeMessages(1);
        AppMethodBeat.o(21646);
    }

    private void bCQ() {
        AppMethodBeat.i(21647);
        bCP();
        this.mSz.j(1, 15, 15);
        AppMethodBeat.o(21647);
    }

    public void setEnableHorLongBmpMode(boolean z) {
        AppMethodBeat.i(21648);
        this.mSi.setEnableHorLongBmpMode(z);
        AppMethodBeat.o(21648);
    }

    public int getImageWidth() {
        AppMethodBeat.i(21649);
        int imageWidth = this.mSi.getImageWidth();
        AppMethodBeat.o(21649);
        return imageWidth;
    }

    public void setImageWidth(int i) {
        AppMethodBeat.i(21650);
        this.mSi.setImageWidth(i);
        AppMethodBeat.o(21650);
    }

    public int getImageHeight() {
        AppMethodBeat.i(21651);
        int imageHeight = this.mSi.getImageHeight();
        AppMethodBeat.o(21651);
        return imageHeight;
    }

    public void setImageHeight(int i) {
        AppMethodBeat.i(21652);
        this.mSi.setImageHeight(i);
        AppMethodBeat.o(21652);
    }

    public void setImageBitmap(Bitmap bitmap) {
        AppMethodBeat.i(21653);
        this.mSi.setImageBitmap(bitmap);
        this.mSi.dzA();
        AppMethodBeat.o(21653);
    }
}
