package com.tencent.mm.plugin.performance.elf;

import android.app.Activity;
import android.app.ActivityManager;
import android.app.ActivityManager.RunningServiceInfo;
import android.app.Application;
import android.app.Application.ActivityLifecycleCallbacks;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.os.Debug;
import android.os.HandlerThread;
import android.os.Looper;
import android.os.Process;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.report.e;
import com.tencent.mm.sdk.g.d;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ah;
import com.tencent.mm.sdk.platformtools.ak;
import com.tencent.mm.sdk.platformtools.bo;
import java.util.Map;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public abstract class AbstractProcessChecker extends BroadcastReceiver {
    private static HandlerThread pfg;
    boolean caA = true;
    ak pfh;
    a pfi = new a(this, (byte) 0);
    private long pfj = -1;

    class a implements ActivityLifecycleCallbacks {
        boolean isResume;
        String pfl;
        boolean pfm;

        private a() {
            this.pfl = "";
            this.pfm = false;
            this.isResume = true;
        }

        /* synthetic */ a(AbstractProcessChecker abstractProcessChecker, byte b) {
            this();
        }

        public final void onActivityCreated(Activity activity, Bundle bundle) {
            AppMethodBeat.i(111042);
            if (activity.getClass().getSimpleName().endsWith("WeChatSplashActivity")) {
                this.pfm = true;
                ab.i(AbstractProcessChecker.this.getTag(), "WeChatSplashActivity was created!");
            }
            AppMethodBeat.o(111042);
        }

        public final void onActivityStarted(Activity activity) {
        }

        public final void onActivityResumed(Activity activity) {
            AppMethodBeat.i(111043);
            this.pfl = activity.getClass().getName();
            this.isResume = true;
            AppMethodBeat.o(111043);
        }

        public final void onActivityPaused(Activity activity) {
            AppMethodBeat.i(111044);
            if (bo.isNullOrNil(this.pfl)) {
                this.pfl = activity.getClass().getName();
            }
            AppMethodBeat.o(111044);
        }

        public final void onActivityStopped(Activity activity) {
            AppMethodBeat.i(111045);
            if (bo.isNullOrNil(this.pfl)) {
                this.pfl = activity.getClass().getName();
            }
            this.isResume = false;
            AppMethodBeat.o(111045);
        }

        public final void onActivitySaveInstanceState(Activity activity, Bundle bundle) {
        }

        public final void onActivityDestroyed(Activity activity) {
        }
    }

    public abstract boolean Q(long j, long j2);

    public abstract void awE();

    public abstract long bZm();

    public abstract boolean isEnable();

    /* Access modifiers changed, original: protected */
    public String getTag() {
        return "AbstractProcessChecker";
    }

    public static String getProcessName() {
        return ah.getProcessName();
    }

    /* Access modifiers changed, original: protected */
    public void eU(int i, int i2) {
    }

    /* Access modifiers changed, original: protected */
    public boolean bZj() {
        return true;
    }

    public AbstractProcessChecker() {
        HandlerThread anM = d.anM("ProcessChecker");
        pfg = anM;
        anM.start();
        this.pfh = new ak(pfg.getLooper());
        if (!com.tencent.mm.protocal.d.vxp) {
            long j = ah.doB().getLong("MicroMsg.AbstractProcessChecker", 0);
            ab.i("MicroMsg.AbstractProcessChecker", "[updateProcessTime] last process durTime:%sms", new Object[]{Long.valueOf(j)});
            if (j > 0) {
                int i;
                if (ah.bqo()) {
                    i = (int) (j / 7200000);
                    if (i >= 36) {
                        e.pXa.a(959, 46, 1, false);
                    } else {
                        e.pXa.a(959, (long) (i + 10), 1, false);
                    }
                }
                i = (int) (j / 600000);
                e.pXa.e(16338, new Object[]{ah.getProcessName(), Integer.valueOf(i), Integer.valueOf(1)});
            }
            if (this.pfj < 0) {
                this.pfj = System.currentTimeMillis();
                ah.doB().edit().putLong("MicroMsg.AbstractProcessChecker", 0).commit();
            }
            this.pfh.postDelayed(new 2(this), 600000);
        }
        ((Application) ah.getContext()).registerActivityLifecycleCallbacks(this.pfi);
        if (ElfCallUpReceiver.pfn > 0) {
            eU(Process.myPid(), ElfCallUpReceiver.pfn);
        } else {
            ab.w(getTag(), "not processElf call up!");
        }
    }

    /* Access modifiers changed, original: protected */
    public void start() {
        IntentFilter intentFilter = new IntentFilter();
        intentFilter.addAction("ACTION_ELF_CHECK");
        intentFilter.addAction("android.intent.action.SCREEN_OFF");
        ah.getContext().registerReceiver(this, intentFilter);
    }

    public final void onReceive(Context context, Intent intent) {
        if (intent.getAction() == "ACTION_ELF_CHECK") {
            this.pfh.post(new 1(this, intent));
        } else if (intent.getAction() == "android.intent.action.SCREEN_OFF") {
            awE();
        }
    }

    /* Access modifiers changed, original: protected|final */
    public final void bZk() {
        if (this.caA || this.pfi.isResume) {
            ab.w("MicroMsg.AbstractProcessChecker", "pass this kill! app is on foreground!");
            e.pXa.a(959, 6, 1, true);
            jI(false);
            return;
        }
        jI(true);
        throw new RuntimeException(bZl());
    }

    private void jI(boolean z) {
        ElfCheckResponse elfCheckResponse = new ElfCheckResponse(isEnable(), bZm(), z, bZj(), ah.getProcessName(), ElfCallUpReceiver.class.getName());
        Bundle bundle = new Bundle();
        bundle.putInt("processId", Process.myPid());
        elfCheckResponse.DA = bundle;
        Intent intent = new Intent("ACTION_ELF_CHECK_RESPONSE");
        intent.putExtra("MicroMsg.ElfCheckResponse", elfCheckResponse);
        ah.getContext().sendBroadcast(intent);
    }

    public void jJ(boolean z) {
        this.caA = z;
    }

    /* Access modifiers changed, original: protected */
    public String bZl() {
        return String.format("ProcessEfl found exception!kill process[%s] %s %s %s", new Object[]{Integer.valueOf(Process.myPid()), Long.valueOf(zJ()), Long.valueOf(Debug.getNativeHeapSize()), Long.valueOf(Runtime.getRuntime().totalMemory())});
    }

    public static long zJ() {
        Matcher matcher = Pattern.compile("\\d+").matcher(bZn());
        if (matcher.find()) {
            return (long) bo.ank(matcher.group());
        }
        return -1;
    }

    private static String bZn() {
        try {
            String[] split = getStringFromFile(String.format("/proc/%s/status", new Object[]{Integer.valueOf(Process.myPid())})).trim().split("\n");
            for (String str : split) {
                if (str.startsWith("VmSize")) {
                    return str;
                }
            }
            return split[12];
        } catch (Exception e) {
            return "";
        }
    }

    protected static long bZo() {
        try {
            String stringFromFile = getStringFromFile(String.format("/proc/%s/schedstat", new Object[]{Integer.valueOf(Process.myPid())}));
            if (stringFromFile == null) {
                return -1;
            }
            return bo.anl(stringFromFile.replaceAll("\n", "").split(" ")[2]);
        } catch (Exception e) {
            return -2;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:10:0x0023  */
    private static java.lang.String convertStreamToString(java.io.InputStream r4) {
        /*
        r2 = 0;
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r1 = new java.io.BufferedReader;	 Catch:{ all -> 0x002f }
        r3 = new java.io.InputStreamReader;	 Catch:{ all -> 0x002f }
        r3.<init>(r4);	 Catch:{ all -> 0x002f }
        r1.<init>(r3);	 Catch:{ all -> 0x002f }
    L_0x0010:
        r2 = r1.readLine();	 Catch:{ all -> 0x0020 }
        if (r2 == 0) goto L_0x0027;
    L_0x0016:
        r2 = r0.append(r2);	 Catch:{ all -> 0x0020 }
        r3 = 10;
        r2.append(r3);	 Catch:{ all -> 0x0020 }
        goto L_0x0010;
    L_0x0020:
        r0 = move-exception;
    L_0x0021:
        if (r1 == 0) goto L_0x0026;
    L_0x0023:
        r1.close();
    L_0x0026:
        throw r0;
    L_0x0027:
        r1.close();
        r0 = r0.toString();
        return r0;
    L_0x002f:
        r0 = move-exception;
        r1 = r2;
        goto L_0x0021;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.performance.elf.AbstractProcessChecker.convertStreamToString(java.io.InputStream):java.lang.String");
    }

    /* JADX WARNING: Removed duplicated region for block: B:10:0x0017  */
    private static java.lang.String getStringFromFile(java.lang.String r3) {
        /*
        r0 = new java.io.File;
        r0.<init>(r3);
        r2 = 0;
        r1 = new java.io.FileInputStream;	 Catch:{ all -> 0x0013 }
        r1.<init>(r0);	 Catch:{ all -> 0x0013 }
        r0 = convertStreamToString(r1);	 Catch:{ all -> 0x001b }
        r1.close();
        return r0;
    L_0x0013:
        r0 = move-exception;
        r1 = r2;
    L_0x0015:
        if (r1 == 0) goto L_0x001a;
    L_0x0017:
        r1.close();
    L_0x001a:
        throw r0;
    L_0x001b:
        r0 = move-exception;
        goto L_0x0015;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.performance.elf.AbstractProcessChecker.getStringFromFile(java.lang.String):java.lang.String");
    }

    protected static int U(Map<String, Integer> map) {
        ThreadGroup threadGroup = Looper.getMainLooper().getThread().getThreadGroup();
        Thread[] threadArr = new Thread[(threadGroup.activeCount() * 2)];
        int enumerate = threadGroup.enumerate(threadArr);
        int i = 0;
        int i2 = 0;
        while (i < enumerate) {
            int i3;
            String name = threadArr[i].getName();
            if (bo.isNullOrNil(name)) {
                i3 = i2;
            } else {
                String replaceAll = name.replaceAll("-?[0-9]\\d*", "?");
                if (map.containsKey(replaceAll)) {
                    map.put(replaceAll, Integer.valueOf(((Integer) map.get(replaceAll)).intValue() + 1));
                } else {
                    map.put(replaceAll, Integer.valueOf(1));
                }
                i3 = i2 + 1;
            }
            i++;
            i2 = i3;
        }
        return i2;
    }

    /* Access modifiers changed, original: protected|final */
    public final boolean bZp() {
        for (RunningServiceInfo runningServiceInfo : ((ActivityManager) ah.getContext().getSystemService("activity")).getRunningServices(50)) {
            if (runningServiceInfo.foreground) {
                ab.i(getTag(), "foreground service:%s process:%s ", new Object[]{((RunningServiceInfo) r3.next()).service, ((RunningServiceInfo) r3.next()).process});
                return true;
            }
        }
        return false;
    }
}
