package com.tencent.mm.plugin.sight.encode.ui;

import android.annotation.TargetApi;
import android.content.Context;
import android.graphics.SurfaceTexture;
import android.media.MediaPlayer;
import android.util.AttributeSet;
import android.util.DisplayMetrics;
import android.view.Surface;
import android.view.TextureView;
import android.view.ViewGroup.LayoutParams;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.model.aw;
import com.tencent.mm.sdk.platformtools.ab;

@TargetApi(14)
public class SightVideoTextureView extends SightCameraView {
    private MediaPlayer ieC;
    private String ien;
    private boolean mMute;
    private TextureView qBN;
    private SurfaceTexture qBO;
    private Surface qBP;
    private boolean qBQ;

    public SightVideoTextureView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        AppMethodBeat.i(25124);
        this.qBN = null;
        this.qBO = null;
        this.qBP = null;
        this.qBN = (TextureView) findViewById(2131827545);
        this.qBN.setSurfaceTextureListener(new 1(this));
        AppMethodBeat.o(25124);
    }

    public SightVideoTextureView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    /* Access modifiers changed, original: protected */
    public void setIsMute(boolean z) {
        AppMethodBeat.i(25125);
        if (this.ieC == null) {
            AppMethodBeat.o(25125);
            return;
        }
        try {
            if (!this.ieC.isPlaying()) {
                AppMethodBeat.o(25125);
            } else if (z) {
                try {
                    this.ieC.setVolume(0.0f, 0.0f);
                    AppMethodBeat.o(25125);
                } catch (Exception e) {
                    ab.w("MicroMsg.SightVideoTextureView", "try to set MediaPlayer Volume 0, 0 Fail: %s", new Object[]{e.getMessage()});
                    AppMethodBeat.o(25125);
                }
            } else {
                clU();
                try {
                    this.ieC.setVolume(1.0f, 1.0f);
                    AppMethodBeat.o(25125);
                } catch (Exception e2) {
                    ab.w("MicroMsg.SightVideoTextureView", "try to set MediaPlayer Volume 1, 1 Fail: %s", new Object[]{e2.getMessage()});
                    AppMethodBeat.o(25125);
                }
            }
        } catch (Exception e22) {
            ab.w("MicroMsg.SightVideoTextureView", "setIsMute %B, check MediaPlayer playing Fail: %s", new Object[]{Boolean.valueOf(z), e22.getMessage()});
            AppMethodBeat.o(25125);
        }
    }

    public final void bg(String str, boolean z) {
        AppMethodBeat.i(25126);
        ab.i("MicroMsg.SightVideoTextureView", "start play video, path %s, mute %B, wantPlay %B", new Object[]{str, Boolean.valueOf(z), Boolean.valueOf(this.qBQ)});
        this.ien = str;
        this.mMute = z;
        if (this.qBO == null) {
            ab.w("MicroMsg.SightVideoTextureView", "play video fail, texture is null");
            this.qBQ = true;
            AppMethodBeat.o(25126);
            return;
        }
        this.qBQ = false;
        aw.RS().aa(new 2(this, str, z));
        AppMethodBeat.o(25126);
    }

    public final boolean isPlaying() {
        boolean z = false;
        AppMethodBeat.i(25127);
        try {
            if (this.ieC == null) {
                AppMethodBeat.o(25127);
            } else {
                z = this.ieC.isPlaying();
                AppMethodBeat.o(25127);
            }
        } catch (Exception e) {
            ab.printErrStackTrace("MicroMsg.SightVideoTextureView", e, "", new Object[0]);
            AppMethodBeat.o(25127);
        }
        return z;
    }

    public final void clS() {
        AppMethodBeat.i(25128);
        ab.i("MicroMsg.SightVideoTextureView", "stop play video, wantPlay %B", new Object[]{Boolean.valueOf(this.qBQ)});
        if (this.ieC != null || this.qBQ) {
            aw.RS().aa(new 3(this));
            AppMethodBeat.o(25128);
            return;
        }
        ab.w("MicroMsg.SightVideoTextureView", "mediaplayer is null, do nothing when stop play video");
        AppMethodBeat.o(25128);
    }

    /* Access modifiers changed, original: protected */
    public int getSurfaceWidth() {
        AppMethodBeat.i(25129);
        if (this.qBN != null) {
            int width = this.qBN.getWidth();
            AppMethodBeat.o(25129);
            return width;
        }
        AppMethodBeat.o(25129);
        return 0;
    }

    /* Access modifiers changed, original: protected */
    public int getSurfaceHeight() {
        AppMethodBeat.i(25130);
        if (this.qBN != null) {
            int height = this.qBN.getHeight();
            AppMethodBeat.o(25130);
            return height;
        }
        AppMethodBeat.o(25130);
        return 0;
    }

    /* Access modifiers changed, original: protected */
    public Surface getPreviewSurface() {
        AppMethodBeat.i(25131);
        if (this.qBO != null) {
            Surface surface = new Surface(this.qBO);
            AppMethodBeat.o(25131);
            return surface;
        }
        AppMethodBeat.o(25131);
        return null;
    }

    public void setFixPreviewRate(float f) {
        AppMethodBeat.i(25132);
        LayoutParams layoutParams = this.qBN.getLayoutParams();
        DisplayMetrics displayMetrics = getResources().getDisplayMetrics();
        ab.i("MicroMsg.SightVideoTextureView", "setFixPreviewRate [%f], dm[%d, %d]", new Object[]{Float.valueOf(f), Integer.valueOf(displayMetrics.widthPixels), Integer.valueOf(displayMetrics.heightPixels)});
        layoutParams.width = displayMetrics.widthPixels;
        layoutParams.height = (int) (((float) displayMetrics.widthPixels) / f);
        ab.i("MicroMsg.SightVideoTextureView", "setFixPreviewRate width:%d, height:%d", new Object[]{Integer.valueOf(layoutParams.width), Integer.valueOf(layoutParams.height)});
        this.qBN.setLayoutParams(layoutParams);
        super.setPreviewRate(f);
        AppMethodBeat.o(25132);
    }
}
