package com.tencent.mm.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.os.Looper;
import android.os.Process;
import com.jg.EType;
import com.jg.JgClassChecked;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.booter.n;
import com.tencent.mm.model.aw;
import com.tencent.mm.plugin.report.service.h;
import com.tencent.mm.pluginsdk.f.i;
import com.tencent.mm.pluginsdk.model.app.a;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ak;

@JgClassChecked(author = 20, fComment = "checked", lastDate = "20141015", reviewer = 20, vComment = {EType.RECEIVERCHECK})
public class MMAppMgr$Receiver extends BroadcastReceiver {
    private MMAppMgr appMgr;

    public MMAppMgr$Receiver(MMAppMgr mMAppMgr) {
        this.appMgr = mMAppMgr;
    }

    private static boolean aT(Intent intent) {
        AppMethodBeat.i(29567);
        if (!intent.getBooleanExtra("process_is_mm", false)) {
            AppMethodBeat.o(29567);
            return true;
        } else if (intent.getIntExtra("process_id", 0) == Process.myPid()) {
            AppMethodBeat.o(29567);
            return true;
        } else {
            AppMethodBeat.o(29567);
            return false;
        }
    }

    public void onReceive(Context context, Intent intent) {
        AppMethodBeat.i(29568);
        if (intent == null) {
            AppMethodBeat.o(29568);
        } else if (aw.ZD() || aw.ZF()) {
            AppMethodBeat.o(29568);
        } else {
            String action = intent.getAction();
            if ("com.tencent.mm.ui.ACTION_ACTIVE".equals(action)) {
                if (aT(intent)) {
                    MMAppMgr.a(this.appMgr, intent, true);
                    this.appMgr.c(intent, true);
                    AppMethodBeat.o(29568);
                    return;
                }
                ab.w("MicroMsg.MMAppMgr", "onreceive active process changed old: %d, new: %d", new Object[]{Integer.valueOf(intent.getIntExtra("process_id", 0)), Integer.valueOf(Process.myPid())});
                AppMethodBeat.o(29568);
            } else if ("com.tencent.mm.ui.ACTION_DEACTIVE".equals(action)) {
                if (aT(intent)) {
                    n.IF();
                    MMAppMgr.a(this.appMgr, intent, false);
                    this.appMgr.c(intent, false);
                    if (MMAppMgr.dyt() != null && MMAppMgr.dyt().length() > 800) {
                        new ak(Looper.getMainLooper()).post(new Runnable() {
                            public final void run() {
                                AppMethodBeat.i(29565);
                                MMAppMgr.BK();
                                AppMethodBeat.o(29565);
                            }
                        });
                    }
                    AppMethodBeat.o(29568);
                    return;
                }
                ab.w("MicroMsg.MMAppMgr", "onreceive deactive process changed old: %d, new: %d", new Object[]{Integer.valueOf(intent.getIntExtra("process_id", 0)), Integer.valueOf(Process.myPid())});
                AppMethodBeat.o(29568);
            } else if ("com.tencent.mm.ui.ACTION_ABTEST".equals(action)) {
                MMAppMgr.aS(intent);
                if (MMAppMgr.dyt() != null && MMAppMgr.dyt().length() > 800) {
                    new ak(Looper.getMainLooper()).post(new 2(this));
                }
                AppMethodBeat.o(29568);
            } else if (intent.getAction().equals("com.tencent.mm.sandbox.updater.intent.ACTION_UPDATE")) {
                int intExtra;
                if (intent.getBooleanExtra("intent_extra_is_silence_stat", false)) {
                    intExtra = intent.getIntExtra("intent_extra_opcode", 0);
                    ab.d("MicroMsg.MMAppMgr", "silence_update_stat = ".concat(String.valueOf(intExtra)));
                    if (aw.RK()) {
                        if (intExtra == 2) {
                            int intExtra2 = intent.getIntExtra("intent_extra_install_dialog_times", 0);
                            h.pYm.e(11147, new Object[]{Integer.valueOf(intExtra), Integer.valueOf(intExtra2)});
                        } else {
                            h.pYm.e(11147, new Object[]{Integer.valueOf(intExtra)});
                        }
                        if (intExtra == 4 && i.dhV() == 4) {
                            a dhs = a.dhs();
                            if (dhs != null) {
                                dhs.dhu();
                            }
                        }
                    }
                } else {
                    ab.d("MicroMsg.MMAppMgr", "incremental_update = ".concat(String.valueOf(intent.getIntExtra("intent_extra_opcode", 0))));
                    if (aw.RK()) {
                        h.pYm.e(10328, new Object[]{Integer.valueOf(intExtra)});
                    }
                }
                long longExtra = intent.getLongExtra("intent_extra_flow_stat_upstream", 0);
                long longExtra2 = intent.getLongExtra("intent_extra_flow_stat_downstream", 0);
                boolean booleanExtra = intent.getBooleanExtra("intent_extra_flow_stat_is_wifi", false);
                if (aw.RK() && !(longExtra == 0 && longExtra2 == 0)) {
                    ab.d("MicroMsg.MMAppMgr", "silence_update_flow_stat upstream %s downstream %s isWifi %s", new Object[]{Long.valueOf(longExtra), Long.valueOf(longExtra2), Boolean.valueOf(booleanExtra)});
                    if (booleanExtra) {
                        com.tencent.mm.modelstat.n.I((int) longExtra2, (int) longExtra, 0);
                        AppMethodBeat.o(29568);
                        return;
                    }
                    com.tencent.mm.modelstat.n.J((int) longExtra2, (int) longExtra, 0);
                }
                AppMethodBeat.o(29568);
            } else if (intent.getAction().equals("com.tencent.mm.sandbox.updater.intent.ACTION_EXIT_APP")) {
                MMAppMgr.bd(context);
                AppMethodBeat.o(29568);
            } else if (intent.getAction().equals("MINIQB_OPEN_RET")) {
                com.tencent.mm.pluginsdk.ui.tools.a.aF(intent);
                AppMethodBeat.o(29568);
            } else {
                ab.e("MicroMsg.MMAppMgr", "unknown broadcast action");
                AppMethodBeat.o(29568);
            }
        }
    }
}
