package com.tencent.mm.ui.widget.picker;

import android.content.Context;
import android.content.res.Configuration;
import android.content.res.TypedArray;
import android.os.Parcelable;
import android.support.annotation.Keep;
import android.util.AttributeSet;
import android.util.SparseArray;
import android.view.View.BaseSavedState;
import android.view.accessibility.AccessibilityEvent;
import android.widget.CalendarView;
import android.widget.FrameLayout;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.cg.a.a;

public class YADatePicker extends FrameLayout {
    private static final String LOG_TAG = YADatePicker.class.getSimpleName();
    public final b zSI;

    static {
        AppMethodBeat.i(112935);
        AppMethodBeat.o(112935);
    }

    public YADatePicker(Context context) {
        this(context, null);
    }

    public YADatePicker(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 2130771982);
    }

    public YADatePicker(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        AppMethodBeat.i(112909);
        this.zSI = new c(this, context, attributeSet, i);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, a.DatePicker, i, 0);
        int i2 = obtainStyledAttributes.getInt(0, 0);
        obtainStyledAttributes.recycle();
        if (i2 != 0) {
            setFirstDayOfWeek(i2);
        }
        AppMethodBeat.o(112909);
    }

    @Keep
    public b getUIDelegate() {
        return this.zSI;
    }

    public void a(int i, int i2, int i3, d dVar) {
        AppMethodBeat.i(112910);
        this.zSI.a(i, i2, i3, dVar);
        AppMethodBeat.o(112910);
    }

    public int getYear() {
        AppMethodBeat.i(112911);
        int year = this.zSI.getYear();
        AppMethodBeat.o(112911);
        return year;
    }

    public int getMonth() {
        AppMethodBeat.i(112912);
        int month = this.zSI.getMonth();
        AppMethodBeat.o(112912);
        return month;
    }

    public int getDayOfMonth() {
        AppMethodBeat.i(112913);
        int dayOfMonth = this.zSI.getDayOfMonth();
        AppMethodBeat.o(112913);
        return dayOfMonth;
    }

    public long getMinDate() {
        AppMethodBeat.i(112914);
        long timeInMillis = this.zSI.dLo().getTimeInMillis();
        AppMethodBeat.o(112914);
        return timeInMillis;
    }

    public void setMinDate(long j) {
        AppMethodBeat.i(112915);
        this.zSI.setMinDate(j);
        AppMethodBeat.o(112915);
    }

    public long getMaxDate() {
        AppMethodBeat.i(112916);
        long timeInMillis = this.zSI.dLp().getTimeInMillis();
        AppMethodBeat.o(112916);
        return timeInMillis;
    }

    public void setMaxDate(long j) {
        AppMethodBeat.i(112917);
        this.zSI.setMaxDate(j);
        AppMethodBeat.o(112917);
    }

    public void setValidationCallback(e eVar) {
        AppMethodBeat.i(112918);
        this.zSI.setValidationCallback(eVar);
        AppMethodBeat.o(112918);
    }

    public boolean isEnabled() {
        AppMethodBeat.i(112919);
        boolean isEnabled = this.zSI.isEnabled();
        AppMethodBeat.o(112919);
        return isEnabled;
    }

    public void setEnabled(boolean z) {
        AppMethodBeat.i(112920);
        if (this.zSI.isEnabled() == z) {
            AppMethodBeat.o(112920);
            return;
        }
        super.setEnabled(z);
        this.zSI.setEnabled(z);
        AppMethodBeat.o(112920);
    }

    public boolean dispatchPopulateAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        AppMethodBeat.i(112921);
        boolean dispatchPopulateAccessibilityEvent = this.zSI.dispatchPopulateAccessibilityEvent(accessibilityEvent);
        AppMethodBeat.o(112921);
        return dispatchPopulateAccessibilityEvent;
    }

    public void onPopulateAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        AppMethodBeat.i(112922);
        super.onPopulateAccessibilityEvent(accessibilityEvent);
        this.zSI.onPopulateAccessibilityEvent(accessibilityEvent);
        AppMethodBeat.o(112922);
    }

    public CharSequence getAccessibilityClassName() {
        AppMethodBeat.i(112923);
        String name = YADatePicker.class.getName();
        AppMethodBeat.o(112923);
        return name;
    }

    /* Access modifiers changed, original: protected */
    public void onConfigurationChanged(Configuration configuration) {
        AppMethodBeat.i(112924);
        super.onConfigurationChanged(configuration);
        this.zSI.onConfigurationChanged(configuration);
        AppMethodBeat.o(112924);
    }

    public int getFirstDayOfWeek() {
        AppMethodBeat.i(112925);
        int firstDayOfWeek = this.zSI.getFirstDayOfWeek();
        AppMethodBeat.o(112925);
        return firstDayOfWeek;
    }

    public void setFirstDayOfWeek(int i) {
        AppMethodBeat.i(112926);
        if (i <= 0 || i > 7) {
            IllegalArgumentException illegalArgumentException = new IllegalArgumentException("firstDayOfWeek must be between 1 and 7");
            AppMethodBeat.o(112926);
            throw illegalArgumentException;
        }
        this.zSI.setFirstDayOfWeek(i);
        AppMethodBeat.o(112926);
    }

    public boolean getCalendarViewShown() {
        AppMethodBeat.i(112927);
        boolean calendarViewShown = this.zSI.getCalendarViewShown();
        AppMethodBeat.o(112927);
        return calendarViewShown;
    }

    public void setCalendarViewShown(boolean z) {
        AppMethodBeat.i(112928);
        this.zSI.setCalendarViewShown(z);
        AppMethodBeat.o(112928);
    }

    public CalendarView getCalendarView() {
        AppMethodBeat.i(112929);
        CalendarView calendarView = this.zSI.getCalendarView();
        AppMethodBeat.o(112929);
        return calendarView;
    }

    public boolean getSpinnersShown() {
        AppMethodBeat.i(112930);
        boolean spinnersShown = this.zSI.getSpinnersShown();
        AppMethodBeat.o(112930);
        return spinnersShown;
    }

    public void setSpinnersShown(boolean z) {
        AppMethodBeat.i(112931);
        this.zSI.setSpinnersShown(z);
        AppMethodBeat.o(112931);
    }

    /* Access modifiers changed, original: protected */
    public void dispatchRestoreInstanceState(SparseArray<Parcelable> sparseArray) {
        AppMethodBeat.i(112932);
        dispatchThawSelfOnly(sparseArray);
        AppMethodBeat.o(112932);
    }

    /* Access modifiers changed, original: protected */
    public Parcelable onSaveInstanceState() {
        AppMethodBeat.i(112933);
        Parcelable d = this.zSI.d(super.onSaveInstanceState());
        AppMethodBeat.o(112933);
        return d;
    }

    /* Access modifiers changed, original: protected */
    public void onRestoreInstanceState(Parcelable parcelable) {
        AppMethodBeat.i(112934);
        BaseSavedState baseSavedState = (BaseSavedState) parcelable;
        super.onRestoreInstanceState(baseSavedState.getSuperState());
        this.zSI.onRestoreInstanceState(baseSavedState);
        AppMethodBeat.o(112934);
    }
}
