package com.tencent.mm.vending.base;

import android.os.Handler;
import android.os.Looper;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.vending.b.b;
import com.tencent.mm.vending.b.c;
import com.tencent.mm.vending.e.a;
import com.tencent.mm.vending.g.f;
import com.tencent.mm.vending.h.d;
import java.util.HashSet;
import java.util.concurrent.atomic.AtomicBoolean;

public abstract class Vending<_Struct, _Index, _Change> implements a {
    private c a;
    HashSet<d> b;
    private Looper c;
    private Looper d;
    private Handler e;
    private Handler f;
    private AtomicBoolean g;
    private c h;
    private byte[] i;
    private byte[] j;
    private boolean k;
    private boolean l;
    private g<_Index> m;
    private volatile c n;
    private volatile c o;
    private h<_Index, i<_Struct, _Index>> p;
    private boolean q;

    static final class i<_Struct, _Index> {
        _Index a;
        _Struct b;
        byte[] c = new byte[0];
        boolean d = false;
        boolean e = false;
        boolean f = false;
        boolean g = false;
        boolean h = false;

        i() {
            AppMethodBeat.i(126167);
            AppMethodBeat.o(126167);
        }
    }

    public abstract void applyChangeSynchronized(_Change _change);

    public abstract void destroyAsynchronous();

    public abstract _Change prepareVendingDataAsynchronous();

    public abstract _Struct resolveAsynchronous(_Index _index);

    /* Access modifiers changed, original: 0000 */
    public c<_Index> a() {
        return this.h;
    }

    public b<a> addVendingDataChangedCallback(a aVar) {
        return this.n.aD(aVar);
    }

    public void removeVendingDataChangedCallback(a aVar) {
        this.n.remove(aVar);
    }

    public b<b> addVendingDataResolvedCallback(b bVar) {
        return this.o.aD(bVar);
    }

    public void removeVendingDataResolvedCallback(b bVar) {
        this.o.remove(bVar);
    }

    public Vending() {
        this(Looper.getMainLooper());
    }

    public Vending(Looper looper) {
        this.g = new AtomicBoolean(false);
        this.i = new byte[0];
        this.j = new byte[0];
        this.k = false;
        this.l = false;
        this.m = new g((byte) 0);
        this.n = new 1(this, d.zYp);
        this.o = new c<b>(d.zYp) {
            public final /* synthetic */ void a(Object obj, com.tencent.mm.vending.j.a aVar) {
                AppMethodBeat.i(126154);
                ((b) obj).cP(aVar.get(0));
                AppMethodBeat.o(126154);
            }
        };
        this.p = new h();
        this.b = new HashSet();
        this.q = false;
        this.c = looper;
        this.d = com.tencent.mm.vending.i.b.dMs().a.getLooper();
        this.p.zXy = new 3(this);
        this.a = new c(this.c, this.d);
        this.a.zXA = new c$a() {
            public final void dMc() {
                AppMethodBeat.i(126159);
                com.tencent.mm.vending.f.a.i("Vending", "%s beforeSynchronize", new Object[]{Vending.this});
                Vending.this.h.dMe();
                AppMethodBeat.o(126159);
            }

            public final void synchronizing(int i, Object obj) {
                AppMethodBeat.i(126160);
                com.tencent.mm.vending.f.a.i("Vending", "%s synchronizing", new Object[]{Vending.this});
                Vending.this.b.clear();
                Vending.this.h.dMe();
                Vending.this.e.removeCallbacksAndMessages(null);
                if (i == 2) {
                    obj = Vending.this.prepareVendingDataAsynchronous();
                }
                if (i == 2 || i == 1) {
                    Vending.this.applyChangeSynchronized(obj);
                }
                Vending.this.synchronizing(i, obj);
                Vending.this.p.clear();
                AppMethodBeat.o(126160);
            }

            public final void dMd() {
                AppMethodBeat.i(126161);
                com.tencent.mm.vending.f.a.i("Vending", "%s afterSynchronize", new Object[]{Vending.this});
                if (Vending.this.n != null) {
                    Vending.this.n.aDt();
                }
                AppMethodBeat.o(126161);
            }
        };
        this.e = new 5(this, this.c);
        this.f = new 6(this, this.d);
        this.h = new c(this.d, new 7(this));
    }

    /* Access modifiers changed, original: protected */
    public void synchronizing(int i, Object obj) {
    }

    /* Access modifiers changed, original: protected */
    public i<_Struct, _Index> getLock(_Index _index) {
        i<_Struct, _Index> iVar;
        synchronized (this.i) {
            iVar = (i) this.p.get(_index);
            if (iVar == null) {
                iVar = new i();
                this.p.put(_index, iVar);
            }
        }
        return iVar;
    }

    /* Access modifiers changed, original: protected */
    public i<_Struct, _Index> peekLock(_Index _index) {
        i iVar;
        synchronized (this.i) {
            iVar = (i) this.p.get(_index);
        }
        return iVar;
    }

    /* Access modifiers changed, original: protected */
    public d defer(_Index _index) {
        looperCheckForVending();
        if (this.q) {
            getLock(_index).g = true;
            d dVar = new d(this, _index);
            this.b.add(dVar);
            return dVar;
        }
        com.tencent.mm.vending.f.a.w("Vending", "Please call defer in resolveAsynchronous()", new Object[0]);
        return null;
    }

    private void a(d dVar, _Index _index, _Struct _struct) {
        if (this.b.contains(dVar)) {
            i lock = getLock(_index);
            synchronized (lock.c) {
                lock.g = false;
                a(lock, (Object) _index, (Object) _struct);
            }
            a(lock);
        }
    }

    public <T> T peek(_Index _index) {
        if (this.g.get() || invalidIndex(_index)) {
            return null;
        }
        i peekLock = peekLock(_index);
        if (peekLock == null || peekLock.d) {
            return null;
        }
        return peekLock.b;
    }

    public <T> T get(_Index _index) {
        return a((Object) _index);
    }

    private _Struct a(_Index _index) {
        Looper myLooper = Looper.myLooper();
        if (myLooper != this.c && myLooper != this.d) {
            throw new IllegalAccessError("Call from wrong looper");
        } else if (this.g.get()) {
            return null;
        } else {
            i lock = getLock(_index);
            if (invalidIndex(_index)) {
                return lock.b;
            }
            if (myLooper == this.c) {
                return b(lock, _index).b;
            }
            a(lock, (Object) _index);
            return lock.b;
        }
    }

    private void a(i<_Struct, _Index> iVar, _Index _index, _Struct _struct) {
        iVar.b = _struct;
        iVar.a = _index;
        iVar.d = false;
        iVar.e = false;
        iVar.f = true;
        if (this.m.zXx == iVar) {
            iVar.h = true;
        }
        iVar.c.notify();
    }

    private boolean a(i<_Struct, _Index> iVar, _Index _index) {
        synchronized (iVar.c) {
            if (!iVar.f || iVar.d || iVar.e) {
                this.q = true;
                Object resolveAsynchronous = resolveAsynchronous(_index);
                this.q = false;
                if (iVar.g) {
                    return false;
                }
                a((i) iVar, (Object) _index, resolveAsynchronous);
                return false;
            }
            return true;
        }
    }

    private i<_Struct, _Index> b(i<_Struct, _Index> iVar, _Index _index) {
        if (com.tencent.mm.vending.i.b.dMs().a.isAlive()) {
            synchronized (iVar.c) {
                boolean c = c(iVar, _index);
                if (!iVar.f || iVar.d) {
                    if (c) {
                        this.m.zXw.a = _index;
                        this.m.zXx = iVar;
                        com.tencent.mm.vending.f.a.i("Vending", "%s waiting %s", new Object[]{this, _index});
                        long nanoTime = System.nanoTime();
                        try {
                            iVar.c.wait();
                        } catch (InterruptedException e) {
                        }
                        nanoTime = System.nanoTime() - nanoTime;
                        com.tencent.mm.vending.f.a.i("Vending", "%s waiting duration %s", new Object[]{this, Long.valueOf(nanoTime)});
                        this.m.a();
                    }
                }
            }
        } else {
            com.tencent.mm.vending.f.a.e("Vending", "Vending thread is not running!", new Object[0]);
        }
        return iVar;
    }

    /* Access modifiers changed, original: protected */
    public boolean invalidIndex(_Index _index) {
        return false;
    }

    private _Struct b(_Index _index) {
        if (invalidIndex(_index)) {
            return null;
        }
        i lock = getLock(_index);
        if (!c(lock, _index) || lock.d) {
            return null;
        }
        return lock.b;
    }

    public void request(_Index _index) {
        a((Object) _index, false);
    }

    public void requestConsistent(_Index _index) {
        a((Object) _index, true);
    }

    private void a(_Index _index, boolean z) {
        looperCheckBoth();
        if (!this.g.get()) {
            i lock = getLock(_index);
            synchronized (lock.c) {
                if (lock.f) {
                    if (z) {
                        lock.d = true;
                    } else {
                        lock.e = true;
                    }
                }
            }
            b((Object) _index);
        }
    }

    public void resolvedClear() {
        looperCheckBoth();
        if (!this.g.get()) {
            this.a.s(3, null);
        }
    }

    public void notifyVendingDataChange() {
        a(false);
    }

    public void notifyVendingDataChangeSynchronize() {
        a(true);
    }

    /* JADX WARNING: Missing block: B:24:0x0043, code skipped:
            if (android.os.Looper.myLooper() != r3.d) goto L_0x0049;
     */
    /* JADX WARNING: Missing block: B:25:0x0045, code skipped:
            c();
     */
    /* JADX WARNING: Missing block: B:26:0x0049, code skipped:
            r3.f.removeMessages(1);
            r3.f.sendMessage(r3.f.obtainMessage(1));
            r3.f.post(new com.tencent.mm.vending.base.Vending.8(r3));
     */
    /* JADX WARNING: Missing block: B:30:?, code skipped:
            return;
     */
    /* JADX WARNING: Missing block: B:31:?, code skipped:
            return;
     */
    private void a(boolean r4) {
        /*
        r3 = this;
        r2 = 1;
        r0 = r3.g;
        r0 = r0.get();
        if (r0 == 0) goto L_0x000a;
    L_0x0009:
        return;
    L_0x000a:
        r0 = android.os.Looper.myLooper();
        r1 = r3.c;
        if (r0 == r1) goto L_0x0023;
    L_0x0012:
        r0 = android.os.Looper.myLooper();
        r1 = r3.d;
        if (r0 == r1) goto L_0x0023;
    L_0x001a:
        r0 = new java.lang.IllegalAccessError;
        r1 = "Call from wrong thread";
        r0.<init>(r1);
        throw r0;
    L_0x0023:
        if (r4 == 0) goto L_0x002d;
    L_0x0025:
        r0 = r3.a;
        r1 = 2;
        r2 = 0;
        r0.s(r1, r2);
        goto L_0x0009;
    L_0x002d:
        r1 = r3.j;
        monitor-enter(r1);
        r0 = r3.l;	 Catch:{ all -> 0x0039 }
        if (r0 == 0) goto L_0x003c;
    L_0x0034:
        r0 = 1;
        r3.k = r0;	 Catch:{ all -> 0x0039 }
        monitor-exit(r1);	 Catch:{ all -> 0x0039 }
        goto L_0x0009;
    L_0x0039:
        r0 = move-exception;
        monitor-exit(r1);	 Catch:{ all -> 0x0039 }
        throw r0;
    L_0x003c:
        monitor-exit(r1);	 Catch:{ all -> 0x0039 }
        r0 = android.os.Looper.myLooper();
        r1 = r3.d;
        if (r0 != r1) goto L_0x0049;
    L_0x0045:
        r3.c();
        goto L_0x0009;
    L_0x0049:
        r0 = r3.f;
        r0.removeMessages(r2);
        r0 = r3.f;
        r1 = r3.f;
        r1 = r1.obtainMessage(r2);
        r0.sendMessage(r1);
        r0 = r3.f;
        r1 = new com.tencent.mm.vending.base.Vending$8;
        r1.<init>(r3);
        r0.post(r1);
        goto L_0x0009;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.vending.base.Vending.a(boolean):void");
    }

    public void freezeDataChange() {
        if (!this.g.get()) {
            synchronized (this.j) {
                this.l = true;
            }
        }
    }

    public void unfreezeDataChange() {
        if (!this.g.get()) {
            synchronized (this.j) {
                this.l = false;
                if (this.k) {
                    notifyVendingDataChange();
                    this.k = false;
                }
            }
        }
    }

    /* Access modifiers changed, original: protected */
    public void loaderClear() {
    }

    private void b() {
        if (this.m.zXw.a != null) {
            com.tencent.mm.vending.f.a.e("Vending", "Catch deadlock! Tell Carl! .. " + this.m.zXw.a, new Object[0]);
            if (this.m.zXx != null) {
                synchronized (this.m.zXx.c) {
                    this.m.zXx.c.notify();
                }
                this.m.a();
            }
        }
    }

    /* Access modifiers changed, original: protected */
    public void requestIndexImpl(i<_Struct, _Index> iVar, _Index _index) {
    }

    private boolean c(i<_Struct, _Index> iVar, _Index _index) {
        if (invalidIndex(_index)) {
            return false;
        }
        if (this.g.get()) {
            com.tencent.mm.vending.f.a.e("Vending", "Vending.destroyed() has called.", new Object[0]);
            return false;
        }
        c cVar = this.h;
        if (!cVar.zXq.get()) {
            synchronized (cVar.b) {
                cVar.a.put(_index, b.zXt);
            }
            cVar.e.sendMessageAtFrontOfQueue(cVar.e.obtainMessage(0, _index));
        }
        requestIndexImpl(iVar, _index);
        return true;
    }

    private void c() {
        if (!this.g.get()) {
            com.tencent.mm.vending.f.a.i("Vending", "Vending.callPrepareVendingData()", new Object[0]);
            this.a.s(1, prepareVendingDataAsynchronous());
        }
    }

    public Looper getLooper() {
        return this.d;
    }

    public final void dead() {
        looperCheckBoth();
        com.tencent.mm.vending.f.a.i("Vending", "Vending.destroy()", new Object[0]);
        this.g.set(true);
        this.f.removeCallbacksAndMessages(null);
        this.e.removeCallbacksAndMessages(null);
        this.h.zXq.set(true);
        this.h.dMe();
        this.f.sendMessage(this.f.obtainMessage(2));
    }

    private void a(_Index _index, _Struct _struct) {
        if (!this.g.get() && this.o != null) {
            this.o.a(f.cV(_index));
        }
    }

    /* Access modifiers changed, original: protected */
    public void looperCheckForVending() {
        if (Looper.myLooper() != this.d) {
            throw new IllegalAccessError("Call from wrong looper");
        }
    }

    /* Access modifiers changed, original: protected */
    public void looperCheckForSubscriber() {
        if (Looper.myLooper() != this.c) {
            throw new IllegalAccessError("Call from wrong looper");
        }
    }

    /* Access modifiers changed, original: protected */
    public void looperCheckBoth() {
        Looper myLooper = Looper.myLooper();
        if (myLooper != this.c && myLooper != this.d) {
            throw new IllegalAccessError("Call from wrong looper");
        }
    }

    private void a(i<_Struct, _Index> iVar) {
        if (iVar.h) {
            iVar.h = false;
        } else {
            this.e.sendMessage(this.e.obtainMessage(1, iVar));
        }
    }
}
