package com.tencent.ttpic;

import com.tencent.filter.BaseFilter;
import com.tencent.filter.GLSLRender;
import com.tencent.filter.h;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.ttpic.filter.GPUImageTwoInputHighPassFilter;
import com.tencent.ttpic.filter.SmoothBBoxFilter;
import com.tencent.ttpic.filter.SmoothBClarifyFilter;
import com.tencent.ttpic.filter.SmoothBLargeBlurFilter;
import com.tencent.ttpic.filter.SmoothBProcessFilter;
import com.tencent.ttpic.filter.SmoothBVarianceFilter;
import com.tencent.ttpic.util.FrameUtil;

public class PTFilter$PTSmoothBFilters extends PTFilter {
    private SmoothBLargeBlurFilter mBigBlurFilter = new SmoothBLargeBlurFilter();
    private h mBigBlurFrame1 = new h();
    private SmoothBBoxFilter mBoxFilter = new SmoothBBoxFilter();
    private h mBoxFrame1 = new h();
    private h mBoxFrame1_1 = new h();
    private h mBoxFrame2 = new h();
    private h mBoxFrame2_1 = new h();
    private h mBoxFrame3 = new h();
    private SmoothBClarifyFilter mClarityFilter = new SmoothBClarifyFilter();
    private h mClarityFrame1 = new h();
    private BaseFilter mCopyFilter = new BaseFilter(GLSLRender.bJB);
    private GPUImageTwoInputHighPassFilter mHighPassFilter = new GPUImageTwoInputHighPassFilter();
    private h mHighPassFrame = new h();
    private SmoothBProcessFilter mProcessVarianceFilter = new SmoothBProcessFilter();
    private SmoothBProcessFilter mProcessVarianceFilter2 = new SmoothBProcessFilter();
    private h mProcessVarianceFrame1 = new h();
    private SmoothBVarianceFilter mVarianceFilter = new SmoothBVarianceFilter();
    private SmoothBVarianceFilter mVarianceFilter2 = new SmoothBVarianceFilter();
    private h mVarianceFrame1 = new h();
    private h mVarianceFrame1_1 = new h();
    private h outputFrame = new h();

    public PTFilter$PTSmoothBFilters() {
        AppMethodBeat.i(80671);
        AppMethodBeat.o(80671);
    }

    public int init() {
        AppMethodBeat.i(80672);
        int init = super.init();
        this.mClarityFilter.ApplyGLSLFilter();
        this.mBigBlurFilter.ApplyGLSLFilter();
        this.mVarianceFilter.ApplyGLSLFilter();
        this.mVarianceFilter2.ApplyGLSLFilter();
        this.mBoxFilter.ApplyGLSLFilter(true, 0.0f, 0.0f);
        this.mProcessVarianceFilter.ApplyGLSLFilter();
        this.mProcessVarianceFilter2.ApplyGLSLFilter();
        this.mHighPassFilter.ApplyGLSLFilter();
        this.mCopyFilter.ApplyGLSLFilter();
        AppMethodBeat.o(80672);
        return init;
    }

    public h process(h hVar, int i, int i2) {
        AppMethodBeat.i(80673);
        if (this.mProcessVarianceFilter.getBlurAlpha() > 0.01f) {
            int i3 = (hVar.height * 360) / hVar.width;
            this.mBoxFilter.updateParam(360.0f, (float) i3);
            this.mBoxFilter.RenderProcess(hVar.texture[0], 360, i3, -1, 0.0d, this.mBoxFrame1);
            this.mVarianceFilter2.setTexture2(FrameUtil.getLastRenderFrame(this.mBoxFrame1).texture[0]);
            this.mVarianceFilter2.RenderProcess(hVar.texture[0], 360, i3, -1, 0.0d, this.mVarianceFrame1);
            this.mBoxFilter.updateParam(360.0f, (float) i3);
            this.mBoxFilter.RenderProcess(this.mVarianceFrame1.texture[0], 360, i3, -1, 0.0d, this.mBoxFrame2);
            this.mProcessVarianceFilter2.updateTextures(FrameUtil.getLastRenderFrame(this.mBoxFrame1).texture[0], FrameUtil.getLastRenderFrame(this.mBoxFrame2).texture[0]);
            this.mProcessVarianceFilter2.RenderProcess(hVar.texture[0], hVar.width, hVar.height, -1, 0.0d, this.outputFrame);
        } else {
            this.mCopyFilter.RenderProcess(hVar.texture[0], hVar.width, hVar.height, -1, 0.0d, this.outputFrame);
        }
        h hVar2 = this.outputFrame;
        AppMethodBeat.o(80673);
        return hVar2;
    }

    public void updateBlurAlpha(float f) {
        AppMethodBeat.i(80674);
        this.mProcessVarianceFilter.updateBlurAlpha(0.8f * f);
        this.mProcessVarianceFilter2.updateBlurAlpha(0.8f * f);
        AppMethodBeat.o(80674);
    }

    public void destroy() {
        AppMethodBeat.i(80675);
        this.mClarityFilter.ClearGLSL();
        this.mBigBlurFilter.ClearGLSL();
        this.mVarianceFilter.ClearGLSL();
        this.mVarianceFilter2.ClearGLSL();
        this.mBoxFilter.ClearGLSL();
        this.mProcessVarianceFilter.ClearGLSL();
        this.mProcessVarianceFilter2.ClearGLSL();
        this.mHighPassFilter.ClearGLSL();
        this.mCopyFilter.ClearGLSL();
        this.mBoxFrame1.clear();
        this.mBoxFrame1_1.clear();
        this.mVarianceFrame1.clear();
        this.mVarianceFrame1_1.clear();
        this.mProcessVarianceFrame1.clear();
        this.mBoxFrame2.clear();
        this.mBoxFrame2_1.clear();
        this.mBoxFrame3.clear();
        this.mBigBlurFrame1.clear();
        this.mClarityFrame1.clear();
        this.mHighPassFrame.clear();
        this.outputFrame.clear();
        super.destroy();
        AppMethodBeat.o(80675);
    }
}
