package com.tencent.mm.plugin.webview.ui.tools.jsapi;

import android.app.Activity;
import android.app.ProgressDialog;
import android.bluetooth.BluetoothAdapter;
import android.content.Context;
import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;
import android.content.Intent;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.content.pm.PackageInfo;
import android.database.Cursor;
import android.graphics.Bitmap;
import android.graphics.Bitmap.CompressFormat;
import android.graphics.Bitmap.Config;
import android.graphics.BitmapFactory;
import android.graphics.Color;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import android.location.LocationManager;
import android.net.Uri;
import android.nfc.NfcAdapter;
import android.os.Build;
import android.os.Build.VERSION;
import android.os.Bundle;
import android.os.Looper;
import android.os.Parcelable;
import android.os.RemoteException;
import android.text.TextUtils;
import android.util.Base64;
import android.view.ContextMenu;
import android.view.ContextMenu.ContextMenuInfo;
import android.view.View;
import android.view.View.OnCreateContextMenuListener;
import android.widget.ImageView;
import android.widget.Toast;
import com.facebook.GraphRequest;
import com.facebook.device.yearclass.DeviceInfo;
import com.facebook.device.yearclass.YearClass;
import com.facebook.internal.ServerProtocol;
import com.google.android.gms.auth.api.credentials.CredentialsApi;
import com.tencent.map.geolocation.TencentLocation;
import com.tencent.map.lib.gl.model.GLIcon;
import com.tencent.mars.smc.IDKey;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ai.w;
import com.tencent.mm.aj.a.m;
import com.tencent.mm.aj.f;
import com.tencent.mm.aj.z;
import com.tencent.mm.at.o;
import com.tencent.mm.aw.a.9;
import com.tencent.mm.g.a.aq;
import com.tencent.mm.g.a.cl;
import com.tencent.mm.g.a.cr;
import com.tencent.mm.g.a.dh;
import com.tencent.mm.g.a.di;
import com.tencent.mm.g.a.dl;
import com.tencent.mm.g.a.dm;
import com.tencent.mm.g.a.dn;
import com.tencent.mm.g.a.dp;
import com.tencent.mm.g.a.ds;
import com.tencent.mm.g.a.dy;
import com.tencent.mm.g.a.ee;
import com.tencent.mm.g.a.ef;
import com.tencent.mm.g.a.eh;
import com.tencent.mm.g.a.ei;
import com.tencent.mm.g.a.el;
import com.tencent.mm.g.a.ev;
import com.tencent.mm.g.a.fn;
import com.tencent.mm.g.a.gt;
import com.tencent.mm.g.a.gu;
import com.tencent.mm.g.a.gv;
import com.tencent.mm.g.a.gw;
import com.tencent.mm.g.a.gx;
import com.tencent.mm.g.a.hc;
import com.tencent.mm.g.a.ht;
import com.tencent.mm.g.a.hu;
import com.tencent.mm.g.a.im;
import com.tencent.mm.g.a.lw;
import com.tencent.mm.g.a.mg;
import com.tencent.mm.g.a.mq;
import com.tencent.mm.g.a.nd;
import com.tencent.mm.g.a.of;
import com.tencent.mm.g.a.oo;
import com.tencent.mm.g.a.op;
import com.tencent.mm.g.a.or;
import com.tencent.mm.g.a.py;
import com.tencent.mm.g.a.py$a;
import com.tencent.mm.g.a.qb;
import com.tencent.mm.g.a.qh;
import com.tencent.mm.g.a.rh;
import com.tencent.mm.g.a.se;
import com.tencent.mm.g.a.uk;
import com.tencent.mm.g.a.up;
import com.tencent.mm.g.a.vd;
import com.tencent.mm.g.a.vo;
import com.tencent.mm.g.a.vv;
import com.tencent.mm.graphics.MMBitmapFactory;
import com.tencent.mm.model.ao;
import com.tencent.mm.model.av;
import com.tencent.mm.model.ax;
import com.tencent.mm.model.r;
import com.tencent.mm.model.t;
import com.tencent.mm.model.v;
import com.tencent.mm.modelgeo.b.b;
import com.tencent.mm.modelgeo.d;
import com.tencent.mm.modelsns.SnsAdClick;
import com.tencent.mm.opensdk.channel.MMessageActV2;
import com.tencent.mm.opensdk.modelmsg.WXMediaMessage;
import com.tencent.mm.opensdk.modelmsg.WXWebpageObject;
import com.tencent.mm.plugin.appbrand.jsapi.audio.JsApiStopPlayVoice;
import com.tencent.mm.plugin.appbrand.jsapi.media.JsApiChooseVideo;
import com.tencent.mm.plugin.appbrand.report.AppBrandStatObject;
import com.tencent.mm.plugin.downloader.model.FileDownloadTaskInfo;
import com.tencent.mm.plugin.emoji.model.EmojiLogic;
import com.tencent.mm.plugin.messenger.foundation.a.j;
import com.tencent.mm.plugin.report.service.h;
import com.tencent.mm.plugin.soter.ui.SoterAuthenticationUIWC;
import com.tencent.mm.plugin.websearch.api.WidgetData;
import com.tencent.mm.plugin.websearch.api.aa;
import com.tencent.mm.plugin.websearch.api.an;
import com.tencent.mm.plugin.webview.b.e$1;
import com.tencent.mm.plugin.webview.e.c$a;
import com.tencent.mm.plugin.webview.fts.g.3;
import com.tencent.mm.plugin.webview.model.WebViewJSSDKFileItem;
import com.tencent.mm.plugin.webview.model.ae;
import com.tencent.mm.plugin.webview.model.af;
import com.tencent.mm.plugin.webview.model.am;
import com.tencent.mm.plugin.webview.model.ap;
import com.tencent.mm.plugin.webview.model.ar;
import com.tencent.mm.plugin.webview.model.k;
import com.tencent.mm.plugin.webview.modelcache.n;
import com.tencent.mm.plugin.webview.modelcache.q;
import com.tencent.mm.plugin.webview.modeltools.l;
import com.tencent.mm.plugin.webview.stub.WebViewStubTempUI;
import com.tencent.mm.plugin.webview.stub.e;
import com.tencent.mm.plugin.webview.ui.tools.WebViewDownloadUI;
import com.tencent.mm.plugin.webview.ui.tools.game.e$a;
import com.tencent.mm.plugin.webview.ui.tools.game.e$b;
import com.tencent.mm.pluginsdk.ui.tools.u;
import com.tencent.mm.pointers.PByteArray;
import com.tencent.mm.pointers.PInt;
import com.tencent.mm.pointers.PString;
import com.tencent.mm.protocal.GeneralControlWrapper;
import com.tencent.mm.protocal.JsapiPermissionWrapper;
import com.tencent.mm.protocal.MMProtocalJni;
import com.tencent.mm.protocal.c.me;
import com.tencent.mm.protocal.protobuf.TimeLineObject;
import com.tencent.mm.protocal.protobuf.atz;
import com.tencent.mm.protocal.protobuf.aua;
import com.tencent.mm.protocal.protobuf.avj;
import com.tencent.mm.protocal.protobuf.avk;
import com.tencent.mm.protocal.protobuf.bfk;
import com.tencent.mm.protocal.protobuf.bvp;
import com.tencent.mm.protocal.protobuf.bvq;
import com.tencent.mm.protocal.protobuf.ciw;
import com.tencent.mm.protocal.protobuf.cix;
import com.tencent.mm.protocal.protobuf.cso;
import com.tencent.mm.protocal.protobuf.csp;
import com.tencent.mm.protocal.protobuf.csq;
import com.tencent.mm.protocal.protobuf.csr;
import com.tencent.mm.protocal.protobuf.cvf;
import com.tencent.mm.protocal.protobuf.li;
import com.tencent.mm.sdk.b.c;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ag;
import com.tencent.mm.sdk.platformtools.ah;
import com.tencent.mm.sdk.platformtools.ak;
import com.tencent.mm.sdk.platformtools.al;
import com.tencent.mm.sdk.platformtools.at;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.sdk.platformtools.i;
import com.tencent.mm.storage.ac;
import com.tencent.mm.storage.ad;
import com.tencent.mm.storage.bi;
import com.tencent.mm.storage.bq;
import com.tencent.mm.ui.MMActivity;
import com.tencent.mm.ui.MMActivity.a;
import com.tencent.mm.ui.contact.s;
import com.tencent.ttpic.util.VideoMaterialUtil;
import com.tencent.wework.api.WWAPIFactory;
import com.tencent.wework.api.model.WWMediaLink;
import java.io.ByteArrayOutputStream;
import java.io.UnsupportedEncodingException;
import java.lang.ref.WeakReference;
import java.net.URI;
import java.net.URLEncoder;
import java.nio.charset.Charset;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;
import java.util.TreeMap;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.CopyOnWriteArrayList;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;
import org.json.JSONTokener;

public class g implements a {
    private static final char[] iRk = new char[]{'<', '>', '\"', '\'', '&', ' ', '\''};
    private static final String[] iRl = new String[]{"&lt;", "&gt;", "&quot;", "&apos;", "&amp;", "&nbsp;", "&#39;"};
    private static final HashSet<String> uGK;
    private static final LinkedList<Runnable> uGS = new LinkedList();
    private static boolean uGT = false;
    private static a uGU = new 6();
    private WXMediaMessage cEl;
    public final int cIv;
    private Context context;
    public boolean eBB = false;
    private d ecr = null;
    private Map<String, atz> ecv = new ConcurrentHashMap();
    public ProgressDialog ehJ = null;
    public c hwv;
    private String jMp = null;
    private ak mzp;
    private ProgressDialog nBv;
    private boolean nPX;
    private float qfA = 0.0f;
    public c qwg = new 50(this);
    public c qwh = new 51(this);
    private Map<String, String> uGA = new ConcurrentHashMap();
    private Map<String, List<aua>> uGB = new ConcurrentHashMap();
    private List<atz> uGC = new CopyOnWriteArrayList();
    private boolean uGD = false;
    private long uGE = 0;
    private WeakReference<e> uGF;
    private String uGG = "-1000.0";
    private String uGH = "-1000.0";
    private boolean uGI = false;
    private SensorEventListener uGJ = new 52(this);
    private b uGL = null;
    public i uGM;
    public c uGN = new 77(this);
    public final Map<String, b> uGO = new HashMap();
    public String uGP;
    public c uGQ = new 104(this);
    public final List<String> uGR = new LinkedList();
    public final Map<Integer, c> uGV = new HashMap();
    private int uGW = 0;
    private int uGX = CredentialsApi.ACTIVITY_RESULT_ADD_ACCOUNT;
    public c uGY;
    public volatile i uGZ = null;
    public i uGd;
    public i uGe;
    public HashSet<String> uGf;
    public HashSet<String> uGg;
    public Bundle uGh;
    private String uGi = null;
    public HashMap<String, String> uGj = null;
    public HashMap<String, String> uGk = null;
    public String uGl = null;
    public boolean uGm = false;
    public String uGn = null;
    public boolean uGo = false;
    public e uGp;
    private e uGq;
    public c uGr = null;
    public boolean uGs = false;
    private final j uGt;
    private final com.tencent.mm.plugin.webview.modeltools.e uGu;
    public final l uGv;
    public com.tencent.mm.plugin.webview.e.c uGw;
    private long uGx = 0;
    private int uGy;
    private int uGz = -1;
    public final c uHa = new 36(this);
    public e umI;

    /* renamed from: com.tencent.mm.plugin.webview.ui.tools.jsapi.g$90 */
    public class AnonymousClass90 implements Runnable {
        final /* synthetic */ WebViewJSSDKFileItem uId;

        public AnonymousClass90(WebViewJSSDKFileItem webViewJSSDKFileItem) {
            this.uId = webViewJSSDKFileItem;
        }

        public final void run() {
            AppMethodBeat.i(9156);
            fn fnVar = new fn();
            fnVar.czm.op = 2;
            fnVar.czm.filePath = this.uId.heo;
            com.tencent.mm.sdk.b.a.xxA.m(fnVar);
            g.this.uGP = null;
            AppMethodBeat.o(9156);
        }
    }

    static /* synthetic */ boolean A(g gVar, i iVar) {
        AppMethodBeat.i(9514);
        boolean E = gVar.E(iVar);
        AppMethodBeat.o(9514);
        return E;
    }

    static /* synthetic */ boolean D(g gVar, i iVar) {
        AppMethodBeat.i(9517);
        boolean F = gVar.F(iVar);
        AppMethodBeat.o(9517);
        return F;
    }

    static /* synthetic */ boolean E(g gVar, i iVar) {
        AppMethodBeat.i(9518);
        boolean A = gVar.A(iVar);
        AppMethodBeat.o(9518);
        return A;
    }

    static /* synthetic */ boolean I(g gVar, i iVar) {
        AppMethodBeat.i(9522);
        boolean H = gVar.H(iVar);
        AppMethodBeat.o(9522);
        return H;
    }

    static /* synthetic */ boolean J(g gVar, i iVar) {
        AppMethodBeat.i(9523);
        boolean e = gVar.e(iVar);
        AppMethodBeat.o(9523);
        return e;
    }

    static /* synthetic */ boolean K(g gVar, i iVar) {
        AppMethodBeat.i(9524);
        boolean d = gVar.d(iVar);
        AppMethodBeat.o(9524);
        return d;
    }

    static /* synthetic */ boolean L(g gVar, i iVar) {
        AppMethodBeat.i(9525);
        boolean c = gVar.c(iVar);
        AppMethodBeat.o(9525);
        return c;
    }

    static /* synthetic */ boolean O(g gVar, i iVar) {
        AppMethodBeat.i(9528);
        boolean G = gVar.G(iVar);
        AppMethodBeat.o(9528);
        return G;
    }

    static /* synthetic */ boolean W(g gVar, i iVar) {
        AppMethodBeat.i(9536);
        boolean I = gVar.I(iVar);
        AppMethodBeat.o(9536);
        return I;
    }

    static /* synthetic */ boolean X(g gVar, i iVar) {
        AppMethodBeat.i(9537);
        boolean J = gVar.J(iVar);
        AppMethodBeat.o(9537);
        return J;
    }

    static /* synthetic */ boolean Y(g gVar, i iVar) {
        AppMethodBeat.i(9538);
        boolean ad = gVar.ad(iVar);
        AppMethodBeat.o(9538);
        return ad;
    }

    static /* synthetic */ boolean Z(g gVar, i iVar) {
        AppMethodBeat.i(9539);
        boolean ae = gVar.ae(iVar);
        AppMethodBeat.o(9539);
        return ae;
    }

    static /* synthetic */ boolean aA(g gVar, i iVar) {
        AppMethodBeat.i(9569);
        boolean L = gVar.L(iVar);
        AppMethodBeat.o(9569);
        return L;
    }

    static /* synthetic */ boolean aB(g gVar, i iVar) {
        AppMethodBeat.i(9570);
        boolean M = gVar.M(iVar);
        AppMethodBeat.o(9570);
        return M;
    }

    static /* synthetic */ boolean aC(g gVar, i iVar) {
        AppMethodBeat.i(9571);
        boolean N = gVar.N(iVar);
        AppMethodBeat.o(9571);
        return N;
    }

    static /* synthetic */ boolean aD(g gVar, i iVar) {
        AppMethodBeat.i(9572);
        boolean O = gVar.O(iVar);
        AppMethodBeat.o(9572);
        return O;
    }

    static /* synthetic */ boolean aE(g gVar, i iVar) {
        AppMethodBeat.i(9573);
        boolean P = gVar.P(iVar);
        AppMethodBeat.o(9573);
        return P;
    }

    static /* synthetic */ boolean aF(g gVar, i iVar) {
        AppMethodBeat.i(9574);
        boolean Q = gVar.Q(iVar);
        AppMethodBeat.o(9574);
        return Q;
    }

    static /* synthetic */ boolean aG(g gVar, i iVar) {
        AppMethodBeat.i(9575);
        boolean R = gVar.R(iVar);
        AppMethodBeat.o(9575);
        return R;
    }

    static /* synthetic */ boolean aH(g gVar, i iVar) {
        AppMethodBeat.i(9576);
        boolean S = gVar.S(iVar);
        AppMethodBeat.o(9576);
        return S;
    }

    static /* synthetic */ boolean aI(g gVar, i iVar) {
        AppMethodBeat.i(9577);
        boolean T = gVar.T(iVar);
        AppMethodBeat.o(9577);
        return T;
    }

    static /* synthetic */ boolean aJ(g gVar, i iVar) {
        AppMethodBeat.i(9578);
        boolean U = gVar.U(iVar);
        AppMethodBeat.o(9578);
        return U;
    }

    static /* synthetic */ boolean aN(g gVar, i iVar) {
        AppMethodBeat.i(9582);
        boolean ar = gVar.ar(iVar);
        AppMethodBeat.o(9582);
        return ar;
    }

    static /* synthetic */ boolean ad(g gVar, i iVar) {
        AppMethodBeat.i(9543);
        boolean af = gVar.af(iVar);
        AppMethodBeat.o(9543);
        return af;
    }

    static /* synthetic */ boolean ae(g gVar, i iVar) {
        AppMethodBeat.i(9544);
        boolean ag = gVar.ag(iVar);
        AppMethodBeat.o(9544);
        return ag;
    }

    static /* synthetic */ boolean af(g gVar, i iVar) {
        AppMethodBeat.i(9545);
        boolean W = gVar.W(iVar);
        AppMethodBeat.o(9545);
        return W;
    }

    static /* synthetic */ boolean ag(g gVar, i iVar) {
        AppMethodBeat.i(9546);
        boolean X = gVar.X(iVar);
        AppMethodBeat.o(9546);
        return X;
    }

    static /* synthetic */ boolean ah(g gVar, i iVar) {
        AppMethodBeat.i(9547);
        boolean Y = gVar.Y(iVar);
        AppMethodBeat.o(9547);
        return Y;
    }

    static /* synthetic */ boolean ai(g gVar, i iVar) {
        AppMethodBeat.i(9548);
        boolean ah = gVar.ah(iVar);
        AppMethodBeat.o(9548);
        return ah;
    }

    static /* synthetic */ boolean aj(g gVar, i iVar) {
        AppMethodBeat.i(9549);
        boolean ai = gVar.ai(iVar);
        AppMethodBeat.o(9549);
        return ai;
    }

    static /* synthetic */ boolean ak(g gVar, i iVar) {
        AppMethodBeat.i(9550);
        boolean aj = gVar.aj(iVar);
        AppMethodBeat.o(9550);
        return aj;
    }

    static /* synthetic */ boolean al(g gVar, i iVar) {
        AppMethodBeat.i(9551);
        boolean ak = gVar.ak(iVar);
        AppMethodBeat.o(9551);
        return ak;
    }

    static /* synthetic */ boolean am(g gVar, i iVar) {
        AppMethodBeat.i(9552);
        boolean al = gVar.al(iVar);
        AppMethodBeat.o(9552);
        return al;
    }

    static /* synthetic */ boolean an(g gVar, i iVar) {
        AppMethodBeat.i(9553);
        boolean an = gVar.an(iVar);
        AppMethodBeat.o(9553);
        return an;
    }

    static /* synthetic */ boolean ao(g gVar, i iVar) {
        AppMethodBeat.i(9554);
        boolean ap = gVar.ap(iVar);
        AppMethodBeat.o(9554);
        return ap;
    }

    static /* synthetic */ boolean ap(g gVar, i iVar) {
        AppMethodBeat.i(9555);
        boolean aq = gVar.aq(iVar);
        AppMethodBeat.o(9555);
        return aq;
    }

    static /* synthetic */ boolean ar(g gVar, i iVar) {
        AppMethodBeat.i(9557);
        boolean K = gVar.K(iVar);
        AppMethodBeat.o(9557);
        return K;
    }

    static /* synthetic */ boolean as(g gVar, i iVar) {
        AppMethodBeat.i(9558);
        boolean z = gVar.z(iVar);
        AppMethodBeat.o(9558);
        return z;
    }

    static /* synthetic */ boolean ax(g gVar, i iVar) {
        AppMethodBeat.i(9566);
        boolean am = gVar.am(iVar);
        AppMethodBeat.o(9566);
        return am;
    }

    static /* synthetic */ boolean ay(g gVar, i iVar) {
        AppMethodBeat.i(9567);
        boolean as = gVar.as(iVar);
        AppMethodBeat.o(9567);
        return as;
    }

    static /* synthetic */ boolean az(g gVar, i iVar) {
        AppMethodBeat.i(9568);
        boolean at = gVar.at(iVar);
        AppMethodBeat.o(9568);
        return at;
    }

    static /* synthetic */ boolean bA(g gVar, i iVar) {
        AppMethodBeat.i(9621);
        boolean bw = gVar.bw(iVar);
        AppMethodBeat.o(9621);
        return bw;
    }

    static /* synthetic */ boolean bB(g gVar, i iVar) {
        AppMethodBeat.i(9622);
        boolean bx = gVar.bx(iVar);
        AppMethodBeat.o(9622);
        return bx;
    }

    static /* synthetic */ boolean bI(g gVar, i iVar) {
        AppMethodBeat.i(9629);
        boolean aH = gVar.aH(iVar);
        AppMethodBeat.o(9629);
        return aH;
    }

    static /* synthetic */ boolean bJ(g gVar, i iVar) {
        AppMethodBeat.i(9630);
        boolean aK = gVar.aK(iVar);
        AppMethodBeat.o(9630);
        return aK;
    }

    static /* synthetic */ boolean bK(g gVar, i iVar) {
        AppMethodBeat.i(9631);
        boolean aL = gVar.aL(iVar);
        AppMethodBeat.o(9631);
        return aL;
    }

    static /* synthetic */ boolean bL(g gVar, i iVar) {
        AppMethodBeat.i(9632);
        boolean aM = gVar.aM(iVar);
        AppMethodBeat.o(9632);
        return aM;
    }

    static /* synthetic */ boolean bM(g gVar, i iVar) {
        AppMethodBeat.i(9633);
        boolean aI = gVar.aI(iVar);
        AppMethodBeat.o(9633);
        return aI;
    }

    static /* synthetic */ boolean bN(g gVar, i iVar) {
        AppMethodBeat.i(9634);
        boolean aJ = gVar.aJ(iVar);
        AppMethodBeat.o(9634);
        return aJ;
    }

    static /* synthetic */ boolean bO(g gVar, i iVar) {
        AppMethodBeat.i(9635);
        boolean aB = gVar.aB(iVar);
        AppMethodBeat.o(9635);
        return aB;
    }

    static /* synthetic */ boolean bQ(g gVar, i iVar) {
        AppMethodBeat.i(9637);
        boolean aC = gVar.aC(iVar);
        AppMethodBeat.o(9637);
        return aC;
    }

    static /* synthetic */ boolean bS(g gVar, i iVar) {
        AppMethodBeat.i(9639);
        boolean aN = gVar.aN(iVar);
        AppMethodBeat.o(9639);
        return aN;
    }

    static /* synthetic */ boolean bU(g gVar, i iVar) {
        AppMethodBeat.i(9641);
        boolean bv = gVar.bv(iVar);
        AppMethodBeat.o(9641);
        return bv;
    }

    static /* synthetic */ boolean bW(g gVar, i iVar) {
        AppMethodBeat.i(9643);
        boolean bs = gVar.bs(iVar);
        AppMethodBeat.o(9643);
        return bs;
    }

    static /* synthetic */ boolean bX(g gVar, i iVar) {
        AppMethodBeat.i(9644);
        boolean bt = gVar.bt(iVar);
        AppMethodBeat.o(9644);
        return bt;
    }

    static /* synthetic */ boolean bY(g gVar, i iVar) {
        AppMethodBeat.i(9645);
        boolean bu = gVar.bu(iVar);
        AppMethodBeat.o(9645);
        return bu;
    }

    static /* synthetic */ boolean bZ(g gVar, i iVar) {
        AppMethodBeat.i(9646);
        boolean bG = gVar.bG(iVar);
        AppMethodBeat.o(9646);
        return bG;
    }

    static /* synthetic */ boolean bb(g gVar, i iVar) {
        AppMethodBeat.i(9596);
        boolean av = gVar.av(iVar);
        AppMethodBeat.o(9596);
        return av;
    }

    static /* synthetic */ boolean bc(g gVar, i iVar) {
        AppMethodBeat.i(9597);
        boolean aw = gVar.aw(iVar);
        AppMethodBeat.o(9597);
        return aw;
    }

    static /* synthetic */ boolean bd(g gVar, i iVar) {
        AppMethodBeat.i(9598);
        boolean ax = gVar.ax(iVar);
        AppMethodBeat.o(9598);
        return ax;
    }

    static /* synthetic */ boolean be(g gVar, i iVar) {
        AppMethodBeat.i(9599);
        boolean ay = gVar.ay(iVar);
        AppMethodBeat.o(9599);
        return ay;
    }

    static /* synthetic */ boolean bf(g gVar, i iVar) {
        AppMethodBeat.i(9600);
        boolean az = gVar.az(iVar);
        AppMethodBeat.o(9600);
        return az;
    }

    static /* synthetic */ boolean bg(g gVar, i iVar) {
        AppMethodBeat.i(9601);
        boolean bd = gVar.bd(iVar);
        AppMethodBeat.o(9601);
        return bd;
    }

    static /* synthetic */ boolean bj(g gVar, i iVar) {
        AppMethodBeat.i(9604);
        boolean be = gVar.be(iVar);
        AppMethodBeat.o(9604);
        return be;
    }

    static /* synthetic */ boolean bk(g gVar, i iVar) {
        AppMethodBeat.i(9605);
        boolean bl = gVar.bl(iVar);
        AppMethodBeat.o(9605);
        return bl;
    }

    static /* synthetic */ boolean bl(g gVar, i iVar) {
        AppMethodBeat.i(9606);
        boolean bq = gVar.bq(iVar);
        AppMethodBeat.o(9606);
        return bq;
    }

    static /* synthetic */ boolean bm(g gVar, i iVar) {
        AppMethodBeat.i(9607);
        boolean br = gVar.br(iVar);
        AppMethodBeat.o(9607);
        return br;
    }

    static /* synthetic */ boolean bs(g gVar, i iVar) {
        AppMethodBeat.i(9613);
        boolean bf = gVar.bf(iVar);
        AppMethodBeat.o(9613);
        return bf;
    }

    static /* synthetic */ boolean cA(g gVar, i iVar) {
        AppMethodBeat.i(9676);
        boolean bS = gVar.bS(iVar);
        AppMethodBeat.o(9676);
        return bS;
    }

    static /* synthetic */ boolean cB(g gVar, i iVar) {
        AppMethodBeat.i(9677);
        boolean aV = gVar.aV(iVar);
        AppMethodBeat.o(9677);
        return aV;
    }

    static /* synthetic */ boolean cF(g gVar, i iVar) {
        AppMethodBeat.i(9681);
        boolean bU = gVar.bU(iVar);
        AppMethodBeat.o(9681);
        return bU;
    }

    static /* synthetic */ boolean cG(g gVar, i iVar) {
        AppMethodBeat.i(9682);
        boolean bW = gVar.bW(iVar);
        AppMethodBeat.o(9682);
        return bW;
    }

    static /* synthetic */ boolean cH(g gVar, i iVar) {
        AppMethodBeat.i(9683);
        boolean ab = gVar.ab(iVar);
        AppMethodBeat.o(9683);
        return ab;
    }

    static /* synthetic */ boolean cI(g gVar, i iVar) {
        AppMethodBeat.i(9684);
        boolean bX = gVar.bX(iVar);
        AppMethodBeat.o(9684);
        return bX;
    }

    static /* synthetic */ boolean cK(g gVar, i iVar) {
        AppMethodBeat.i(9686);
        boolean bY = gVar.bY(iVar);
        AppMethodBeat.o(9686);
        return bY;
    }

    static /* synthetic */ boolean cL(g gVar, i iVar) {
        AppMethodBeat.i(9687);
        boolean bZ = gVar.bZ(iVar);
        AppMethodBeat.o(9687);
        return bZ;
    }

    static /* synthetic */ boolean cM(g gVar, i iVar) {
        AppMethodBeat.i(9688);
        boolean b = gVar.b(iVar);
        AppMethodBeat.o(9688);
        return b;
    }

    static /* synthetic */ boolean cP(g gVar, i iVar) {
        AppMethodBeat.i(9691);
        boolean bT = gVar.bT(iVar);
        AppMethodBeat.o(9691);
        return bT;
    }

    static /* synthetic */ boolean cS(g gVar, i iVar) {
        AppMethodBeat.i(9694);
        boolean Z = gVar.Z(iVar);
        AppMethodBeat.o(9694);
        return Z;
    }

    static /* synthetic */ boolean cT(g gVar, i iVar) {
        AppMethodBeat.i(9695);
        boolean aQ = gVar.aQ(iVar);
        AppMethodBeat.o(9695);
        return aQ;
    }

    static /* synthetic */ boolean cU(g gVar, i iVar) {
        AppMethodBeat.i(9696);
        boolean aa = gVar.aa(iVar);
        AppMethodBeat.o(9696);
        return aa;
    }

    static /* synthetic */ boolean cV(g gVar, i iVar) {
        AppMethodBeat.i(9697);
        boolean bV = gVar.bV(iVar);
        AppMethodBeat.o(9697);
        return bV;
    }

    static /* synthetic */ boolean cW(g gVar, i iVar) {
        AppMethodBeat.i(9699);
        boolean p = gVar.p(iVar);
        AppMethodBeat.o(9699);
        return p;
    }

    static /* synthetic */ boolean cZ(g gVar, i iVar) {
        AppMethodBeat.i(9702);
        boolean ba = gVar.ba(iVar);
        AppMethodBeat.o(9702);
        return ba;
    }

    static /* synthetic */ boolean ca(g gVar, i iVar) {
        AppMethodBeat.i(9647);
        boolean bF = gVar.bF(iVar);
        AppMethodBeat.o(9647);
        return bF;
    }

    static /* synthetic */ boolean cc(g gVar, i iVar) {
        AppMethodBeat.i(9649);
        boolean bD = gVar.bD(iVar);
        AppMethodBeat.o(9649);
        return bD;
    }

    static /* synthetic */ boolean cd(g gVar, i iVar) {
        AppMethodBeat.i(9650);
        boolean bE = gVar.bE(iVar);
        AppMethodBeat.o(9650);
        return bE;
    }

    static /* synthetic */ boolean ce(g gVar, i iVar) {
        AppMethodBeat.i(9651);
        boolean bC = gVar.bC(iVar);
        AppMethodBeat.o(9651);
        return bC;
    }

    static /* synthetic */ boolean cf(g gVar, i iVar) {
        AppMethodBeat.i(9652);
        boolean bA = gVar.bA(iVar);
        AppMethodBeat.o(9652);
        return bA;
    }

    static /* synthetic */ boolean cg(g gVar, i iVar) {
        AppMethodBeat.i(9653);
        boolean bB = gVar.bB(iVar);
        AppMethodBeat.o(9653);
        return bB;
    }

    static /* synthetic */ boolean ch(g gVar, i iVar) {
        AppMethodBeat.i(9654);
        boolean aO = gVar.aO(iVar);
        AppMethodBeat.o(9654);
        return aO;
    }

    static /* synthetic */ boolean ck(g gVar, i iVar) {
        AppMethodBeat.i(9657);
        boolean aP = gVar.aP(iVar);
        AppMethodBeat.o(9657);
        return aP;
    }

    static /* synthetic */ boolean cl(g gVar, i iVar) {
        AppMethodBeat.i(9658);
        boolean aA = gVar.aA(iVar);
        AppMethodBeat.o(9658);
        return aA;
    }

    static /* synthetic */ boolean cm(g gVar, i iVar) {
        AppMethodBeat.i(9659);
        boolean aE = gVar.aE(iVar);
        AppMethodBeat.o(9659);
        return aE;
    }

    static /* synthetic */ boolean cn(g gVar, i iVar) {
        AppMethodBeat.i(9660);
        boolean aF = gVar.aF(iVar);
        AppMethodBeat.o(9660);
        return aF;
    }

    static /* synthetic */ boolean co(g gVar, i iVar) {
        AppMethodBeat.i(9661);
        boolean aG = gVar.aG(iVar);
        AppMethodBeat.o(9661);
        return aG;
    }

    static /* synthetic */ boolean cq(g gVar, i iVar) {
        AppMethodBeat.i(9663);
        boolean aT = gVar.aT(iVar);
        AppMethodBeat.o(9663);
        return aT;
    }

    static /* synthetic */ boolean cs(g gVar, i iVar) {
        AppMethodBeat.i(9666);
        boolean ac = gVar.ac(iVar);
        AppMethodBeat.o(9666);
        return ac;
    }

    static /* synthetic */ boolean ct(g gVar, i iVar) {
        AppMethodBeat.i(9667);
        boolean aS = gVar.aS(iVar);
        AppMethodBeat.o(9667);
        return aS;
    }

    static /* synthetic */ boolean cz(g gVar, i iVar) {
        AppMethodBeat.i(9675);
        boolean bR = gVar.bR(iVar);
        AppMethodBeat.o(9675);
        return bR;
    }

    static /* synthetic */ boolean dC(g gVar, i iVar) {
        AppMethodBeat.i(9734);
        boolean bi = gVar.bi(iVar);
        AppMethodBeat.o(9734);
        return bi;
    }

    static /* synthetic */ boolean dD(g gVar, i iVar) {
        AppMethodBeat.i(9735);
        boolean cg = gVar.cg(iVar);
        AppMethodBeat.o(9735);
        return cg;
    }

    static /* synthetic */ boolean dE(g gVar, i iVar) {
        AppMethodBeat.i(9736);
        boolean cd = gVar.cd(iVar);
        AppMethodBeat.o(9736);
        return cd;
    }

    static /* synthetic */ boolean dF(g gVar, i iVar) {
        AppMethodBeat.i(9737);
        boolean ce = gVar.ce(iVar);
        AppMethodBeat.o(9737);
        return ce;
    }

    static /* synthetic */ boolean dG(g gVar, i iVar) {
        AppMethodBeat.i(9738);
        boolean by = gVar.by(iVar);
        AppMethodBeat.o(9738);
        return by;
    }

    static /* synthetic */ boolean dH(g gVar, i iVar) {
        AppMethodBeat.i(9739);
        boolean ch = gVar.ch(iVar);
        AppMethodBeat.o(9739);
        return ch;
    }

    static /* synthetic */ boolean dI(g gVar, i iVar) {
        AppMethodBeat.i(9740);
        boolean ci = gVar.ci(iVar);
        AppMethodBeat.o(9740);
        return ci;
    }

    static /* synthetic */ boolean dJ(g gVar, i iVar) {
        AppMethodBeat.i(9741);
        boolean cj = gVar.cj(iVar);
        AppMethodBeat.o(9741);
        return cj;
    }

    static /* synthetic */ boolean dL(g gVar, i iVar) {
        AppMethodBeat.i(9743);
        boolean q = gVar.q(iVar);
        AppMethodBeat.o(9743);
        return q;
    }

    static /* synthetic */ boolean dM(g gVar, i iVar) {
        AppMethodBeat.i(9744);
        boolean bm = gVar.bm(iVar);
        AppMethodBeat.o(9744);
        return bm;
    }

    static /* synthetic */ boolean dO(g gVar, i iVar) {
        AppMethodBeat.i(9746);
        boolean bo = gVar.bo(iVar);
        AppMethodBeat.o(9746);
        return bo;
    }

    static /* synthetic */ boolean dP(g gVar, i iVar) {
        AppMethodBeat.i(9747);
        boolean bp = gVar.bp(iVar);
        AppMethodBeat.o(9747);
        return bp;
    }

    static /* synthetic */ boolean dR(g gVar, i iVar) {
        AppMethodBeat.i(9750);
        boolean bg = gVar.bg(iVar);
        AppMethodBeat.o(9750);
        return bg;
    }

    static /* synthetic */ boolean dS(g gVar, i iVar) {
        AppMethodBeat.i(9751);
        boolean ck = gVar.ck(iVar);
        AppMethodBeat.o(9751);
        return ck;
    }

    static /* synthetic */ boolean dV(g gVar, i iVar) {
        AppMethodBeat.i(9755);
        boolean cl = gVar.cl(iVar);
        AppMethodBeat.o(9755);
        return cl;
    }

    static /* synthetic */ boolean dW(g gVar, i iVar) {
        AppMethodBeat.i(9756);
        boolean cm = gVar.cm(iVar);
        AppMethodBeat.o(9756);
        return cm;
    }

    static /* synthetic */ boolean dX(g gVar, i iVar) {
        AppMethodBeat.i(9757);
        boolean cn = gVar.cn(iVar);
        AppMethodBeat.o(9757);
        return cn;
    }

    static /* synthetic */ boolean dY(g gVar, i iVar) {
        AppMethodBeat.i(9758);
        boolean co = gVar.co(iVar);
        AppMethodBeat.o(9758);
        return co;
    }

    static /* synthetic */ boolean dZ(g gVar, i iVar) {
        AppMethodBeat.i(9759);
        boolean bh = gVar.bh(iVar);
        AppMethodBeat.o(9759);
        return bh;
    }

    static /* synthetic */ boolean dc(g gVar, i iVar) {
        AppMethodBeat.i(9705);
        boolean cb = gVar.cb(iVar);
        AppMethodBeat.o(9705);
        return cb;
    }

    static /* synthetic */ boolean dd(g gVar, i iVar) {
        AppMethodBeat.i(9707);
        boolean ca = gVar.ca(iVar);
        AppMethodBeat.o(9707);
        return ca;
    }

    static /* synthetic */ boolean de(g gVar, i iVar) {
        AppMethodBeat.i(9709);
        boolean aR = gVar.aR(iVar);
        AppMethodBeat.o(9709);
        return aR;
    }

    static /* synthetic */ boolean dj(g gVar, i iVar) {
        AppMethodBeat.i(9715);
        boolean u = gVar.u(iVar);
        AppMethodBeat.o(9715);
        return u;
    }

    static /* synthetic */ boolean do(g gVar, i iVar) {
        AppMethodBeat.i(9720);
        boolean j = gVar.j(iVar);
        AppMethodBeat.o(9720);
        return j;
    }

    static /* synthetic */ boolean dp(g gVar, i iVar) {
        AppMethodBeat.i(9721);
        boolean i = gVar.i(iVar);
        AppMethodBeat.o(9721);
        return i;
    }

    static /* synthetic */ boolean dq(g gVar, i iVar) {
        AppMethodBeat.i(9722);
        boolean k = gVar.k(iVar);
        AppMethodBeat.o(9722);
        return k;
    }

    static /* synthetic */ boolean dr(g gVar, i iVar) {
        AppMethodBeat.i(9723);
        boolean l = gVar.l(iVar);
        AppMethodBeat.o(9723);
        return l;
    }

    static /* synthetic */ boolean ds(g gVar, i iVar) {
        AppMethodBeat.i(9724);
        boolean m = gVar.m(iVar);
        AppMethodBeat.o(9724);
        return m;
    }

    static /* synthetic */ boolean dv(g gVar, i iVar) {
        AppMethodBeat.i(9727);
        boolean h = gVar.h(iVar);
        AppMethodBeat.o(9727);
        return h;
    }

    static /* synthetic */ boolean dw(g gVar, i iVar) {
        AppMethodBeat.i(9728);
        boolean bk = gVar.bk(iVar);
        AppMethodBeat.o(9728);
        return bk;
    }

    static /* synthetic */ boolean dx(g gVar, i iVar) {
        AppMethodBeat.i(9729);
        boolean cf = gVar.cf(iVar);
        AppMethodBeat.o(9729);
        return cf;
    }

    static /* synthetic */ boolean dy(g gVar, i iVar) {
        AppMethodBeat.i(9730);
        boolean bj = gVar.bj(iVar);
        AppMethodBeat.o(9730);
        return bj;
    }

    static /* synthetic */ boolean e(g gVar, i iVar) {
        AppMethodBeat.i(9487);
        boolean o = gVar.o(iVar);
        AppMethodBeat.o(9487);
        return o;
    }

    static /* synthetic */ boolean ea(g gVar, i iVar) {
        AppMethodBeat.i(9760);
        boolean cq = gVar.cq(iVar);
        AppMethodBeat.o(9760);
        return cq;
    }

    static /* synthetic */ boolean eb(g gVar, i iVar) {
        AppMethodBeat.i(9761);
        boolean cp = gVar.cp(iVar);
        AppMethodBeat.o(9761);
        return cp;
    }

    static /* synthetic */ boolean ee(g gVar, i iVar) {
        AppMethodBeat.i(9764);
        boolean cu = gVar.cu(iVar);
        AppMethodBeat.o(9764);
        return cu;
    }

    static /* synthetic */ boolean ef(g gVar, i iVar) {
        AppMethodBeat.i(9765);
        boolean cv = gVar.cv(iVar);
        AppMethodBeat.o(9765);
        return cv;
    }

    static /* synthetic */ boolean eg(g gVar, i iVar) {
        AppMethodBeat.i(9766);
        boolean cx = gVar.cx(iVar);
        AppMethodBeat.o(9766);
        return cx;
    }

    static /* synthetic */ boolean eh(g gVar, i iVar) {
        AppMethodBeat.i(9767);
        boolean ct = gVar.ct(iVar);
        AppMethodBeat.o(9767);
        return ct;
    }

    static /* synthetic */ boolean ei(g gVar, i iVar) {
        AppMethodBeat.i(9768);
        boolean cz = gVar.cz(iVar);
        AppMethodBeat.o(9768);
        return cz;
    }

    static /* synthetic */ boolean ej(g gVar, i iVar) {
        AppMethodBeat.i(9769);
        boolean cy = gVar.cy(iVar);
        AppMethodBeat.o(9769);
        return cy;
    }

    static /* synthetic */ boolean ek(g gVar, i iVar) {
        AppMethodBeat.i(9770);
        boolean cA = gVar.cA(iVar);
        AppMethodBeat.o(9770);
        return cA;
    }

    static /* synthetic */ boolean el(g gVar, i iVar) {
        AppMethodBeat.i(9771);
        boolean cr = gVar.cr(iVar);
        AppMethodBeat.o(9771);
        return cr;
    }

    static /* synthetic */ boolean em(g gVar, i iVar) {
        AppMethodBeat.i(9772);
        boolean cs = gVar.cs(iVar);
        AppMethodBeat.o(9772);
        return cs;
    }

    static /* synthetic */ boolean ep(g gVar, i iVar) {
        AppMethodBeat.i(9775);
        boolean cw = gVar.cw(iVar);
        AppMethodBeat.o(9775);
        return cw;
    }

    static /* synthetic */ boolean eq(g gVar, i iVar) {
        AppMethodBeat.i(9776);
        boolean cB = gVar.cB(iVar);
        AppMethodBeat.o(9776);
        return cB;
    }

    static /* synthetic */ boolean er(g gVar, i iVar) {
        AppMethodBeat.i(9781);
        boolean r = gVar.r(iVar);
        AppMethodBeat.o(9781);
        return r;
    }

    static /* synthetic */ boolean es(g gVar, i iVar) {
        AppMethodBeat.i(9783);
        boolean C = gVar.C(iVar);
        AppMethodBeat.o(9783);
        return C;
    }

    static /* synthetic */ boolean et(g gVar, i iVar) {
        AppMethodBeat.i(9785);
        boolean D = gVar.D(iVar);
        AppMethodBeat.o(9785);
        return D;
    }

    static /* synthetic */ void ew(g gVar, i iVar) {
        AppMethodBeat.i(9800);
        gVar.bb(iVar);
        AppMethodBeat.o(9800);
    }

    static /* synthetic */ boolean h(g gVar, i iVar) {
        AppMethodBeat.i(9491);
        boolean s = gVar.s(iVar);
        AppMethodBeat.o(9491);
        return s;
    }

    static /* synthetic */ boolean k(g gVar, i iVar) {
        AppMethodBeat.i(9496);
        boolean t = gVar.t(iVar);
        AppMethodBeat.o(9496);
        return t;
    }

    static /* synthetic */ boolean l(g gVar, i iVar) {
        AppMethodBeat.i(9497);
        boolean v = gVar.v(iVar);
        AppMethodBeat.o(9497);
        return v;
    }

    static /* synthetic */ boolean m(g gVar, i iVar) {
        AppMethodBeat.i(9498);
        boolean w = gVar.w(iVar);
        AppMethodBeat.o(9498);
        return w;
    }

    static /* synthetic */ boolean n(g gVar, i iVar) {
        AppMethodBeat.i(9499);
        boolean x = gVar.x(iVar);
        AppMethodBeat.o(9499);
        return x;
    }

    static /* synthetic */ boolean q(g gVar, i iVar) {
        AppMethodBeat.i(9502);
        boolean y = gVar.y(iVar);
        AppMethodBeat.o(9502);
        return y;
    }

    static /* synthetic */ boolean t(g gVar, i iVar) {
        AppMethodBeat.i(9506);
        boolean B = gVar.B(iVar);
        AppMethodBeat.o(9506);
        return B;
    }

    g(int i) {
        AppMethodBeat.i(9215);
        this.cIv = i;
        this.eBB = false;
        this.uGf = new HashSet();
        this.uGg = new HashSet();
        this.uGr = new c(this.cIv);
        this.uGt = new j();
        this.uGu = new com.tencent.mm.plugin.webview.modeltools.e();
        this.uGv = new l();
        this.uGw = new com.tencent.mm.plugin.webview.e.c();
        AppMethodBeat.o(9215);
    }

    public final void oc(boolean z) {
        AppMethodBeat.i(9216);
        this.uGo = z;
        ab.i("MicroMsg.MsgHandler", "markAwaitingProxyUI %d, %b", new Object[]{Integer.valueOf(this.cIv), Boolean.valueOf(z)});
        AppMethodBeat.o(9216);
    }

    public final void dcu() {
        AppMethodBeat.i(9217);
        ab.i("MicroMsg.MsgHandler", "setIsBusy: true");
        this.eBB = true;
        AppMethodBeat.o(9217);
    }

    public final void a(Context context, e eVar) {
        AppMethodBeat.i(9218);
        String str = "MicroMsg.MsgHandler";
        String str2 = "set context and callbacker, callbacker %s";
        Object[] objArr = new Object[1];
        objArr[0] = eVar == null ? "null" : eVar.toString();
        ab.i(str, str2, objArr);
        this.context = context;
        if (this.uGr != null) {
            this.uGr.a(context, eVar);
        }
        this.umI = eVar;
        AppMethodBeat.o(9218);
    }

    public final void a(Context context, e eVar, e eVar2) {
        AppMethodBeat.i(9219);
        ab.i("MicroMsg.MsgHandler", "set context, callbacker and service callbacker");
        this.context = context;
        if (this.uGr != null) {
            this.uGr.a(context, eVar);
        }
        this.umI = eVar;
        this.uGq = eVar2;
        AppMethodBeat.o(9219);
    }

    public final Bundle dcv() {
        AppMethodBeat.i(9220);
        if (this.uGh == null) {
            this.uGh = new Bundle();
        }
        Bundle bundle = this.uGh;
        AppMethodBeat.o(9220);
        return bundle;
    }

    public final String bK(String str) {
        AppMethodBeat.i(9221);
        if (this.uGr == null) {
            ab.i("MicroMsg.MsgHandler", "getCachedAppId, jsVerifyHelper is null, return null");
            AppMethodBeat.o(9221);
            return null;
        }
        String agj = this.uGr.agj(str);
        AppMethodBeat.o(9221);
        return agj;
    }

    public static boolean Ke(String str) {
        AppMethodBeat.i(9222);
        if (!bo.isNullOrNil(str)) {
            com.tencent.mm.aj.d qX = f.qX(str);
            if (qX != null) {
                com.tencent.mm.aj.d.b cJ = qX.cJ(false);
                if (!(cJ == null || cJ.aej() == null || !cJ.aej().aes())) {
                    AppMethodBeat.o(9222);
                    return true;
                }
            }
        }
        AppMethodBeat.o(9222);
        return false;
    }

    private void agv(String str) {
        AppMethodBeat.i(9223);
        if (this.uGh == null) {
            this.uGh = new Bundle();
        }
        int i = bo.getInt(str, 33);
        if (this.uGh.getBoolean("KFromBizSearch")) {
            Bundle bundle = this.uGh.getBundle("KBizSearchExtArgs");
            if (bundle != null) {
                i = bundle.getInt("Contact_Scene");
            }
        }
        this.uGh.putInt("Contact_Scene", i);
        AppMethodBeat.o(9223);
    }

    private boolean agw(String str) {
        AppMethodBeat.i(9224);
        ab.i("MicroMsg.MsgHandler", "getFromMenu, functionName = ".concat(String.valueOf(str)));
        if (this.uGf.contains(str)) {
            this.uGf.remove(str);
            AppMethodBeat.o(9224);
            return true;
        }
        AppMethodBeat.o(9224);
        return false;
    }

    public final boolean agx(String str) {
        AppMethodBeat.i(9225);
        ab.i("MicroMsg.MsgHandler", "removeInvokedJsApiFromMenu, functionName = %s, succ = %s.", new Object[]{str, Boolean.valueOf(this.uGg.remove(str))});
        AppMethodBeat.o(9225);
        return this.uGg.remove(str);
    }

    public final boolean a(i iVar, JsapiPermissionWrapper jsapiPermissionWrapper) {
        boolean z = false;
        AppMethodBeat.i(9226);
        if (this.eBB) {
            ab.w("MicroMsg.MsgHandler", "handleMsg, MsgHandler is busy, old msg will be overrided");
        }
        if (this.uGh != null) {
            this.uGh.setClassLoader(getClass().getClassLoader());
        }
        this.uGd = iVar;
        this.eBB = true;
        l.a(this.umI);
        if (iVar.type.equals("call")) {
            this.uGn = iVar.uIJ;
            int afq = com.tencent.mm.plugin.webview.ui.tools.b.afq(iVar.uIJ);
            if (-1 != afq) {
                h.pYm.a(157, (long) afq, 1, z);
            }
            com.tencent.mm.protocal.c.g akD = com.tencent.mm.protocal.c.akD(bo.nullAsNil(this.uGn));
            if (akD == null) {
                Bundle dj;
                try {
                    dj = this.umI.dj(this.uGn, iVar.uIH.toString());
                } catch (RemoteException e) {
                    ab.printErrStackTrace("MicroMsg.MsgHandler", e, "proxy handleMsg:%s", new Object[]{this.uGn});
                    dj = null;
                }
                if (dj == null || !dj.getBoolean("handle")) {
                    ab.e("MicroMsg.MsgHandler", "unknown function = %s", new Object[]{this.uGn});
                    a(iVar, "system:function_not_exist", null, true);
                    AppMethodBeat.o(9226);
                    return true;
                }
                a(iVar, dj.getString("handle_result", ""), null, true);
                ab.i("MicroMsg.MsgHandler", "proxy function = %s", new Object[]{this.uGn});
                AppMethodBeat.o(9226);
                return true;
            } else if (akD.getName() == "recordHistory") {
                ab.e("MicroMsg.MsgHandler", "handleMsg access denied func: %s", new Object[]{akD.getName()});
                a(iVar, "system:access_denied", null, true);
                AppMethodBeat.o(9226);
                return true;
            } else {
                if (this.uGg.contains(akD.getName()) || jsapiPermissionWrapper.Lx(akD.dmb()) != 0) {
                    try {
                        1 1 = new 1(this, iVar, jsapiPermissionWrapper, akD);
                        this.uGr.a(jsapiPermissionWrapper, getCurrentUrl(), akD.dmb(), iVar, 1);
                        z = 1.dcf();
                        AppMethodBeat.o(9226);
                        return z;
                    } catch (Exception e2) {
                        ab.e("MicroMsg.MsgHandler", "handleMsg excpetion %s", new Object[]{e2.getMessage()});
                        ab.printErrStackTrace("MicroMsg.MsgHandler", e2, "", new Object[z]);
                    }
                } else {
                    ab.e("MicroMsg.MsgHandler", "handleMsg access denied func: %s", new Object[]{akD.getName()});
                    a(iVar, "system:access_denied", null, true);
                    AppMethodBeat.o(9226);
                    return true;
                }
            }
        }
        ab.e("MicroMsg.MsgHandler", "unknown type = " + iVar.type);
        this.eBB = z;
        AppMethodBeat.o(9226);
        return z;
    }

    private boolean b(i iVar) {
        AppMethodBeat.i(9227);
        ab.d("MicroMsg.MsgHandler", "doShowDatePicker");
        String str = null;
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd");
        try {
            String format;
            String str2;
            String str3 = (String) iVar.puc.get("current");
            if (bo.isNullOrNil(str3)) {
                format = simpleDateFormat.format(Long.valueOf(System.currentTimeMillis()));
            } else {
                format = str3;
            }
            str3 = (String) iVar.puc.get("range");
            if (bo.isNullOrNil(str3)) {
                str2 = null;
            } else {
                JSONObject jSONObject = new JSONObject(str3);
                String optString = jSONObject.optString("start", "2013-01-01");
                str2 = jSONObject.optString("end", format);
                str = optString;
            }
            str3 = (String) iVar.puc.get(GraphRequest.FIELDS_PARAM);
            if (bo.isNullOrNil(str3)) {
                str3 = "month";
            }
            Calendar instance = Calendar.getInstance();
            instance.setTime(simpleDateFormat.parse(format));
            if (this.context == null || !(this.context instanceof Activity)) {
                ab.e("MicroMsg.MsgHandler", "context error!");
                AppMethodBeat.o(9227);
                return false;
            }
            boolean z;
            boolean z2;
            com.tencent.mm.ui.widget.picker.a aVar = new com.tencent.mm.ui.widget.picker.a(this.context);
            aVar.aB(instance.get(1), instance.get(2) + 1, instance.get(5));
            if (str3.equals("year")) {
                z = false;
                z2 = false;
            } else if (str3.equals("month")) {
                z = false;
                z2 = true;
            } else {
                z = true;
                z2 = true;
            }
            aVar.al(z2, z);
            String[] split = str.split("-");
            if (split.length >= 3) {
                aVar.aC(bo.ank(split[0]), bo.ank(split[1]), bo.ank(split[2]));
            }
            split = str2.split("-");
            if (split.length >= 3) {
                aVar.aD(bo.ank(split[0]), bo.ank(split[1]), bo.ank(split[2]));
            }
            aVar.zSj = new 59(this, iVar);
            aVar.show();
            AppMethodBeat.o(9227);
            return true;
        } catch (JSONException e) {
            ab.e("MicroMsg.MsgHandler", "doShowDatePicker ex: %s", new Object[]{e.getMessage()});
        } catch (ParseException e2) {
            ab.e("MicroMsg.MsgHandler", "doShowDatePicker ex: %s", new Object[]{e2.getMessage()});
        }
    }

    private boolean c(i iVar) {
        AppMethodBeat.i(9228);
        try {
            String str = (String) this.uGd.puc.get("link");
            l.a(this.uGd.uII, agw("shareTimeline"), str, null);
            if (str == null || str.length() == 0) {
                ab.e("MicroMsg.MsgHandler", "naerCheckIn fail, link is null");
                a(this.uGd, "timeline_check_in:fail", null);
                AppMethodBeat.o(9228);
                return true;
            }
            int intValue;
            agz((String) this.uGd.puc.get("desc"));
            ab.i("MicroMsg.MsgHandler", "naerCheckIn, img_url = " + ((String) this.uGd.puc.get("img_url")) + ", title = " + ((String) this.uGd.puc.get("title")) + ", desc = " + ((String) this.uGd.puc.get("desc")));
            str = (String) this.uGd.puc.get("img_width");
            String str2 = (String) this.uGd.puc.get("img_height");
            ab.i("MicroMsg.MsgHandler", "naerCheckIn, rawUrl:[%s], shareUrl:[%s]", new Object[]{(String) this.uGd.puc.get("link"), ar.aek((String) this.uGd.puc.get("link"))});
            String str3 = (String) this.uGd.puc.get(VideoMaterialUtil.CRAZYFACE_LAYER_TYPE);
            this.uGd.puc.get("desc");
            String str4 = (String) this.uGd.puc.get("title");
            String str5 = (String) this.uGd.puc.get("img_url");
            try {
                intValue = Integer.valueOf(str).intValue();
                try {
                    Integer.valueOf(str2);
                } catch (Exception e) {
                }
            } catch (Exception e2) {
                intValue = -1;
            }
            Intent intent = new Intent();
            intent.putExtra("Ksnsupload_width", intValue);
            intent.putExtra("Ksnsupload_height", intValue);
            intent.putExtra("Ksnsupload_link", r8);
            intent.putExtra("Ksnsupload_title", str4);
            intent.putExtra("Ksnsupload_imgurl", str5);
            intent.putExtra("Ksnsupload_type", 1);
            if (!bo.isNullOrNil(str3) && str3.equals("music")) {
                intent.putExtra("ksnsis_music", true);
            }
            if (!bo.isNullOrNil(str3) && str3.equals("video")) {
                intent.putExtra("ksnsis_video", true);
            }
            str = (String) this.uGd.puc.get("poiId");
            str2 = (String) this.uGd.puc.get("poiName");
            str3 = (String) this.uGd.puc.get("poiAddress");
            float f = bo.getFloat((String) iVar.puc.get("latitude"), 0.0f);
            float f2 = bo.getFloat((String) iVar.puc.get("longitude"), 0.0f);
            intent.putExtra("kpoi_id", str);
            intent.putExtra("kpoi_name", str2);
            intent.putExtra("Kpoi_address", str3);
            intent.putExtra("k_lat", f);
            intent.putExtra("k_lng", f2);
            com.tencent.mm.bp.d.b(this.context, "sns", ".ui.SnsUploadUI", intent);
            this.eBB = false;
            AppMethodBeat.o(9228);
            return false;
        } catch (Exception e3) {
            AppMethodBeat.o(9228);
            return true;
        }
    }

    private boolean d(i iVar) {
        int i = 0;
        AppMethodBeat.i(9229);
        try {
            float f = bo.getFloat((String) iVar.puc.get("latitude"), 0.0f);
            float f2 = bo.getFloat((String) iVar.puc.get("longitude"), 0.0f);
            String Eh = Eh((String) iVar.puc.get("name"));
            String Eh2 = Eh((String) iVar.puc.get("address"));
            String Eh3 = Eh((String) iVar.puc.get("infoUrl"));
            try {
                i = bo.getInt((String) iVar.puc.get("scale"), 0);
            } catch (Exception e) {
            }
            Intent intent = new Intent();
            if (bo.getInt((String) this.uGd.puc.get("webview_scene"), 0) == 25) {
                intent.putExtra("map_view_type", 9);
                intent.putExtra("kPoi_url", Eh3);
            } else {
                intent.putExtra("map_view_type", 7);
            }
            intent.putExtra("kwebmap_slat", (double) f);
            intent.putExtra("kwebmap_lng", (double) f2);
            if (i > 0) {
                intent.putExtra("kwebmap_scale", i);
            }
            intent.putExtra("kPoiName", Eh);
            intent.putExtra("Kwebmap_locaion", Eh2);
            com.tencent.mm.bp.d.b(this.context, "location", ".ui.RedirectUI", intent);
            a(this.uGd, "open_location:ok", null);
        } catch (Exception e2) {
            a(this.uGd, "open_location:invalid_coordinate", null);
        }
        AppMethodBeat.o(9229);
        return true;
    }

    static {
        AppMethodBeat.i(9805);
        HashSet hashSet = new HashSet();
        uGK = hashSet;
        hashSet.add("gcj02");
        uGK.add("wgs84");
        AppMethodBeat.o(9805);
    }

    private static String Eh(String str) {
        AppMethodBeat.i(9230);
        StringBuffer stringBuffer = new StringBuffer();
        int length = str.length();
        int i = 0;
        while (i < length) {
            int i2 = 0;
            while (i2 < iRk.length) {
                String str2 = iRl[i2];
                int i3 = 0;
                while (i3 < str2.length() && i + i3 < length && str2.charAt(i3) == str.charAt(i + i3)) {
                    i3++;
                }
                if (i3 == str2.length()) {
                    break;
                }
                i2++;
            }
            if (i2 != iRk.length) {
                stringBuffer.append(iRk[i2]);
                i = iRl[i2].length() + i;
            } else {
                stringBuffer.append(str.charAt(i));
                i++;
            }
        }
        String stringBuffer2 = stringBuffer.toString();
        AppMethodBeat.o(9230);
        return stringBuffer2;
    }

    private boolean e(i iVar) {
        AppMethodBeat.i(9231);
        try {
            String str = (String) iVar.puc.get("bid");
            Intent intent = new Intent();
            intent.putExtra("sns_bid", str);
            com.tencent.mm.bp.d.b(this.context, "sns", ".ui.ClassifyTimeLineUI", intent);
            a(this.uGd, "open_timeline_checkin_list:ok", null);
        } catch (Exception e) {
        }
        AppMethodBeat.o(9231);
        return true;
    }

    private boolean b(i iVar, JsapiPermissionWrapper jsapiPermissionWrapper) {
        AppMethodBeat.i(9232);
        this.cEl = g(iVar);
        if (this.cEl == null) {
            ab.e("MicroMsg.MsgHandler", "doSendAppMsg fail, appmsg is null");
            a(iVar, "send_app_msg:fail", null);
            AppMethodBeat.o(9232);
            return true;
        }
        String string = dcv().getString("scene");
        dcv().remove("scene");
        if (!"friend".equals(string)) {
            l.a(iVar.uII, agw("sendAppMessage"), null, (String) iVar.puc.get("appid"));
        }
        ab.i("MicroMsg.MsgHandler", "send appmsg scene is '%s'", new Object[]{string});
        String string2;
        Intent intent;
        if ("connector".equals(string)) {
            ab.i("MicroMsg.MsgHandler", "directly send to %s", new Object[]{dcw()});
            c(1, -1, new Intent().putExtra("Select_Conv_User", string2));
        } else if ("favorite".equals(string)) {
            ab.i("MicroMsg.MsgHandler", "favorite url");
            cl clVar = new cl();
            com.tencent.mm.plugin.webview.model.c.a aVar = new com.tencent.mm.plugin.webview.model.c.a();
            ab.i("MicroMsg.MsgHandler", "rawurl:[%s], shareurl:[%s]", new Object[]{(String) this.uGd.puc.get("link"), ar.aek((String) this.uGd.puc.get("link"))});
            aVar.url = r4;
            aVar.thumbUrl = (String) this.uGd.puc.get("img_url");
            aVar.title = (String) this.uGd.puc.get("title");
            aVar.desc = (String) this.uGd.puc.get("desc");
            aVar.csB = (String) this.uGd.puc.get("appid");
            if (this.uGh != null) {
                string2 = this.uGh.getString("key_snsad_statextstr");
                aVar.cMn = string2;
            } else {
                string2 = null;
            }
            try {
                Bundle g = this.umI.g(18, null);
                if (g != null) {
                    String nW = v.nW(bo.nullAsNil(g.getString("KPublisherId")));
                    v.b y = v.Zp().y(nW, true);
                    y.j("sendAppMsgScene", Integer.valueOf(2));
                    y.j("preChatName", g.getString("preChatName"));
                    y.j("preMsgIndex", Integer.valueOf(g.getInt("preMsgIndex")));
                    y.j("prePublishId", g.getString("prePublishId"));
                    y.j("preUsername", g.getString("preUsername"));
                    y.j("getA8KeyScene", Integer.valueOf(g.getInt("getA8KeyScene")));
                    y.j("referUrl", g.getString("referUrl"));
                    if (!bo.isNullOrNil(string2)) {
                        y.j("adExtStr", string2);
                    }
                    clVar.cvA.cvF = nW;
                }
            } catch (RemoteException e) {
                ab.e("MicroMsg.MsgHandler", "try to report error, %s", new Object[]{e});
            }
            if (this.context instanceof Activity) {
                clVar.cvA.activity = (Activity) this.context;
                clVar.cvA.cvH = 36;
                try {
                    Object obj = this.uGd.puc.get("KPublisherId");
                    if (obj != null) {
                        if (obj.toString().startsWith("wrd")) {
                            clVar.cvA.scene = 2;
                        } else if (obj.toString().startsWith("gs")) {
                            clVar.cvA.scene = 3;
                        }
                    }
                } catch (Exception e2) {
                }
            }
            com.tencent.mm.plugin.webview.model.c.a(clVar, aVar);
            clVar.cvA.cvJ = new 70(this);
            com.tencent.mm.sdk.b.a.xxA.m(clVar);
            this.uGv.bE(3, (String) this.uGd.puc.get("use_update_jsapi_data"));
            if (clVar.cvB.ret == 0) {
                gB(3, 1);
                try {
                    a(aVar.csB, aVar.thumbUrl, 4, this.umI.g(85, null));
                } catch (RemoteException e3) {
                    ab.e("MicroMsg.MsgHandler", "invokeAsResult error : %s", new Object[]{e3});
                }
            } else {
                gB(3, 2);
                a(this.uGd, "send_fav_msg:fail", null);
            }
        } else if ("enterprise".equals(string)) {
            String dcw = dcw();
            HashMap hashMap = new HashMap();
            hashMap.put("img_url", (String) iVar.puc.get("img_url"));
            hashMap.put("desc", (String) iVar.puc.get("desc"));
            hashMap.put("title", (String) iVar.puc.get("title"));
            hashMap.put("src_username", (String) iVar.puc.get("src_username"));
            hashMap.put("src_displayname", (String) iVar.puc.get("src_displayname"));
            ab.i("MicroMsg.MsgHandler", "doSendAppMessage, img_url=%s, desc=%s, title=%s", new Object[]{(String) iVar.puc.get("img_url"), (String) iVar.puc.get("desc"), (String) iVar.puc.get("title")});
            Intent intent2;
            if (f.kq(dcw)) {
                intent2 = new Intent();
                intent2.setClassName(this.context, "com.tencent.mm.ui.bizchat.BizChatSelectConversationUI");
                intent2.putExtra("enterprise_biz_name", dcw);
                intent2.putExtra("biz_chat_scene", 1);
                intent2.putExtra("enterprise_extra_params", hashMap);
                if (this.context instanceof MMActivity) {
                    ((MMActivity) this.context).ifE = this;
                    ((MMActivity) this.context).b(this, intent2, 37);
                }
            } else if (f.rc(dcw)) {
                intent2 = new Intent();
                intent2.putExtra("enterprise_biz_name", dcw);
                intent2.putExtra("enterprise_scene", 3);
                intent2.putExtra("enterprise_extra_params", hashMap);
                if (this.context instanceof MMActivity) {
                    ((MMActivity) this.context).ifE = this;
                    com.tencent.mm.bp.d.b(this.context, "brandservice", ".ui.EnterpriseBizContactPlainListUI", intent2, 37);
                }
            }
        } else if ("wework".equals(string)) {
            ao(iVar);
        } else if ("facebook".equals(string)) {
            intent = new Intent();
            intent.putExtra("title", (String) iVar.puc.get("title"));
            intent.putExtra("digest", (String) iVar.puc.get("desc"));
            intent.putExtra("img", (String) iVar.puc.get("img_url"));
            intent.putExtra("link", (String) iVar.puc.get("link"));
            intent.setClassName(this.context, "com.tencent.mm.plugin.account.ui.ShareToFacebookRedirectUI");
            this.context.startActivity(intent);
            a(iVar, "shareQZone:ok", null);
        } else if ("qq".equals(string)) {
            ap(iVar);
        } else {
            this.uGv.bE(1, (String) iVar.puc.get("use_update_jsapi_data"));
            ab.i("MicroMsg.MsgHandler", "select user to send");
            HashMap hashMap2 = new HashMap();
            if (a(iVar, jsapiPermissionWrapper.jB(89))) {
                this.cEl = g(iVar);
            }
            if (jsapiPermissionWrapper.jB(290)) {
                this.uGd.puc.put("share_callback_with_scene", Boolean.TRUE);
            } else {
                this.uGd.puc.put("share_callback_with_scene", Boolean.FALSE);
            }
            string2 = (String) iVar.puc.get("img_url");
            hashMap2.put("img_url", string2);
            hashMap2.put("desc", (String) iVar.puc.get("desc"));
            hashMap2.put("title", (String) iVar.puc.get("title"));
            hashMap2.put("url", (String) iVar.puc.get("url"));
            ab.i("MicroMsg.MsgHandler", "doSendAppMessage, img_url=%s, desc=%s, title=%s, url=%s", new Object[]{(String) iVar.puc.get("img_url"), (String) iVar.puc.get("desc"), (String) iVar.puc.get("title"), (String) iVar.puc.get("url")});
            h.pYm.a(157, 5, 1, false);
            intent = new Intent();
            intent.putExtra("Select_Conv_Type", 3);
            intent.putExtra("scene_from", 2);
            intent.putExtra("mutil_select_is_ret", true);
            intent.putExtra("webview_params", hashMap2);
            intent.putExtra("Retr_Msg_Type", 2);
            if (this.context instanceof MMActivity) {
                iVar.uII.put("Internal@AsyncReport", Boolean.TRUE);
                if (bo.getInt((String) iVar.puc.get("open_from_scene"), 0) == 4) {
                    com.tencent.mm.plugin.fav.a.h.j(this.uGh.getLong("favlocalid", 0), 1, 0);
                }
                com.tencent.mm.bp.d.a((MMActivity) this.context, ".ui.transmit.SelectConversationUI", intent, 1, this);
                k.agC(string2);
            } else {
                ab.e("MicroMsg.MsgHandler", "doSendAppMessage context is not activity");
                AppMethodBeat.o(9232);
                return false;
            }
        }
        AppMethodBeat.o(9232);
        return true;
    }

    private boolean hn(String str, String str2) {
        boolean z;
        AppMethodBeat.i(9233);
        c cVar = this.uGr;
        c$d c_d;
        if (TextUtils.isEmpty(str2)) {
            c_d = null;
        } else {
            c_d = (c$d) cVar.ujx.get(str2);
            if (c_d == null) {
                c_d = (c$d) cVar.ujx.get(c.aef(str2));
            }
        }
        if (TextUtils.isEmpty(str) || c_d == null || c_d.uFm == null || c_d.uFm.size() <= 0) {
            z = false;
        } else {
            String substring;
            boolean z2;
            LinkedList<String> linkedList = new LinkedList();
            int indexOf = str.indexOf("://");
            String substring2 = str.substring((indexOf == -1 ? 1 : 3) + indexOf);
            for (String substring3 : c_d.uFm) {
                ab.i("MicroMsg.MsgHandler", "now domain : %s", new Object[]{substring3});
                if (!TextUtils.isEmpty(substring3)) {
                    int i;
                    int indexOf2 = substring3.indexOf("://");
                    if (indexOf2 == -1) {
                        i = 1;
                    } else {
                        i = 3;
                    }
                    substring3 = substring3.substring(i + indexOf2);
                    if (!substring3.contains("/")) {
                        linkedList.add(substring3);
                    } else if (substring2.equals(substring3)) {
                        z2 = false;
                        break;
                    } else {
                        if (!substring3.endsWith("/")) {
                            substring3 = substring3 + "/";
                        }
                        if (substring2.startsWith(substring3)) {
                            z2 = false;
                            break;
                        }
                    }
                }
            }
            z2 = true;
            if (z2 && !linkedList.isEmpty()) {
                URI create = URI.create(str);
                String host = create.getHost();
                indexOf = create.getPort();
                String str3 = host + VideoMaterialUtil.FRAMES_ID_SEPARATOR_3D + indexOf;
                ab.i("MicroMsg.MsgHandler", "share domain : %s", new Object[]{host});
                if (!bo.isNullOrNil(host)) {
                    for (String substring32 : linkedList) {
                        if (host.equals(substring32) || host.endsWith(".".concat(String.valueOf(substring32))) || (indexOf != -1 && (str3.equals(substring32) || str3.endsWith(".".concat(String.valueOf(substring32)))))) {
                            z = false;
                            break;
                        }
                    }
                }
            }
            z = z2;
        }
        AppMethodBeat.o(9233);
        return z;
    }

    private boolean f(i iVar) {
        String string;
        AppMethodBeat.i(9234);
        Object obj = iVar.puc.get("__jsapi_fw_ext_info");
        String str = (String) iVar.puc.get("link");
        if (obj instanceof Bundle) {
            string = ((Bundle) obj).getString("__jsapi_fw_ext_info_key_current_url");
        } else {
            string = null;
        }
        boolean hn = hn(str, string);
        AppMethodBeat.o(9234);
        return hn;
    }

    private boolean a(i iVar, boolean z) {
        AppMethodBeat.i(9235);
        Object obj = iVar.puc.get("__jsapi_fw_ext_info");
        String str = (String) iVar.puc.get("link");
        if (obj instanceof Bundle) {
            obj = ((Bundle) obj).getString("__jsapi_fw_ext_info_key_current_url");
        } else {
            obj = null;
        }
        if (hn(str, obj) || !z) {
            try {
                Bundle g = this.umI.g(84, null);
                if (g != null) {
                    if (TextUtils.isEmpty(obj)) {
                        obj = ar.aek(g.getString("webview_current_url"));
                    }
                    iVar.puc.put("img_url", "");
                    iVar.puc.put("link", obj);
                    iVar.puc.put("desc", g.getString("webview_current_desc"));
                    iVar.puc.put("title", g.getString("webview_current_title"));
                    AppMethodBeat.o(9235);
                    return true;
                }
            } catch (RemoteException e) {
                ab.e("MicroMsg.MsgHandler", "invokeAsResult error : %s", new Object[]{e});
            }
        }
        AppMethodBeat.o(9235);
        return false;
    }

    private String dcw() {
        AppMethodBeat.i(9236);
        String string = dcv().getString("connector_local_send");
        dcv().remove("connector_local_send");
        dcv().putString("connector_local_report", string);
        AppMethodBeat.o(9236);
        return string;
    }

    private String dcx() {
        AppMethodBeat.i(9237);
        String string = dcv().getString("connector_local_report");
        dcv().remove("connector_local_report");
        AppMethodBeat.o(9237);
        return string;
    }

    private static WXMediaMessage g(i iVar) {
        AppMethodBeat.i(9238);
        String str = (String) iVar.puc.get("link");
        if (str == null || str.length() == 0) {
            ab.e("MicroMsg.MsgHandler", "convert fail, link is null");
            AppMethodBeat.o(9238);
            return null;
        }
        ab.i("MicroMsg.MsgHandler", "rawurl:[%s], shareurl:[%s]", new Object[]{str, ar.aek(str)});
        WXWebpageObject wXWebpageObject = new WXWebpageObject();
        wXWebpageObject.webpageUrl = r1;
        wXWebpageObject.extInfo = (String) iVar.puc.get("review_data");
        WXMediaMessage wXMediaMessage = new WXMediaMessage();
        wXMediaMessage.mediaObject = wXWebpageObject;
        wXMediaMessage.title = (String) iVar.puc.get("title");
        wXMediaMessage.description = (String) iVar.puc.get("desc");
        AppMethodBeat.o(9238);
        return wXMediaMessage;
    }

    private boolean h(i iVar) {
        int i = 0;
        AppMethodBeat.i(9239);
        this.eBB = false;
        String obj = iVar.puc.get("list").toString();
        LinkedList linkedList = new LinkedList();
        try {
            JSONArray jSONArray = new JSONArray(obj);
            while (i < jSONArray.length()) {
                JSONObject optJSONObject = jSONArray.optJSONObject(i);
                if (optJSONObject != null) {
                    bfk bfk = new bfk();
                    bfk.wJl = optJSONObject.optInt("cmdId");
                    obj = optJSONObject.optString("cmdBuffer");
                    if (TextUtils.isEmpty(obj)) {
                        ab.e("MicroMsg.MsgHandler", "doUxSearchOpLog cmdId " + bfk.wJl + " , cmdBuffer is empty");
                    } else {
                        bfk.wJm = new com.tencent.mm.bt.b(obj.getBytes());
                        linkedList.add(bfk);
                    }
                }
                i++;
            }
        } catch (JSONException e) {
            ab.e("MicroMsg.MsgHandler", bo.l(e));
        }
        Map hashMap = new HashMap();
        long anU = bo.anU();
        hashMap.put("reqId", Long.valueOf(anU));
        if (!linkedList.isEmpty()) {
            com.tencent.mm.ai.b.a aVar = new com.tencent.mm.ai.b.a();
            aVar.fsJ = new cso();
            aVar.fsK = new csp();
            aVar.uri = "/cgi-bin/mmux-bin/wxaapp/wxaapp_opsearch";
            aVar.fsI = 1865;
            com.tencent.mm.ai.b acD = aVar.acD();
            ((cso) acD.fsG.fsP).xpQ = linkedList;
            w.a(acD, new 81(this, anU));
        }
        a(iVar, "uxSearchOpLog:succ", hashMap);
        AppMethodBeat.o(9239);
        return true;
    }

    private boolean i(i iVar) {
        AppMethodBeat.i(9240);
        this.eBB = false;
        if (iVar.puc.containsKey("actionSheetId")) {
            int ank = bo.ank((String) iVar.puc.get("actionSheetId"));
            Bundle bundle = new Bundle();
            bundle.putInt("actionSheetId", ank);
            try {
                this.umI.c(com.tencent.mm.plugin.appbrand.jsapi.g.d.CTRL_INDEX, bundle);
            } catch (RemoteException e) {
                ab.printErrStackTrace("MicroMsg.MsgHandler", e, "", new Object[0]);
            }
        }
        a(iVar, "", null);
        AppMethodBeat.o(9240);
        return true;
    }

    private boolean j(i iVar) {
        AppMethodBeat.i(9241);
        this.eBB = false;
        Bundle bundle = new Bundle();
        if (iVar.puc.containsKey("title")) {
            bundle.putString("title", (String) iVar.puc.get("title"));
        }
        if (iVar.puc.containsKey("desc")) {
            bundle.putString("desc", (String) iVar.puc.get("desc"));
        }
        if (iVar.puc.containsKey("items")) {
            bundle.putString("items", (String) iVar.puc.get("items"));
        }
        try {
            this.umI.c(com.tencent.mm.plugin.appbrand.jsapi.g.e.CTRL_INDEX, bundle);
        } catch (RemoteException e) {
            ab.printErrStackTrace("MicroMsg.MsgHandler", e, "", new Object[0]);
        }
        Map hashMap = new HashMap();
        hashMap.put("actionSheetId", Integer.valueOf(bundle.getInt("actionSheetId")));
        a(iVar, hashMap);
        AppMethodBeat.o(9241);
        return true;
    }

    private boolean k(i iVar) {
        AppMethodBeat.i(9242);
        this.eBB = false;
        try {
            Bundle bundle = new Bundle();
            bundle.putString("title", aa.t(iVar.puc, "title"));
            bundle.putString("icon", aa.t(iVar.puc, "icon"));
            bundle.putInt("duration", aa.d(iVar.puc, "duration", 500));
            bundle.putInt("mask", aa.d(iVar.puc, "mask", 0));
            this.umI.c(148, bundle);
        } catch (RemoteException e) {
            ab.printErrStackTrace("MicroMsg.MsgHandler", e, "", new Object[0]);
        }
        a(iVar, "showSearchToast:succ", null);
        AppMethodBeat.o(9242);
        return true;
    }

    private boolean l(i iVar) {
        AppMethodBeat.i(9243);
        this.eBB = false;
        try {
            Bundle bundle = new Bundle();
            bundle.putString("title", aa.t(iVar.puc, "title"));
            bundle.putInt("mask", aa.d(iVar.puc, "mask", 0));
            this.umI.c(149, bundle);
        } catch (RemoteException e) {
            ab.printErrStackTrace("MicroMsg.MsgHandler", e, "", new Object[0]);
        }
        a(iVar, "showSearchLoading:succ", null);
        AppMethodBeat.o(9243);
        return true;
    }

    private boolean m(i iVar) {
        AppMethodBeat.i(9244);
        this.eBB = false;
        try {
            this.umI.c(150, new Bundle());
        } catch (RemoteException e) {
            ab.printErrStackTrace("MicroMsg.MsgHandler", e, "", new Object[0]);
        }
        a(iVar, "hideSearchLoading:succ", null);
        AppMethodBeat.o(9244);
        return true;
    }

    public final boolean agy(String str) {
        AppMethodBeat.i(9245);
        if (str == null || str.length() == 0) {
            ab.e("MicroMsg.MsgHandler", "doProfile fail, username is null");
            this.eBB = false;
            AppMethodBeat.o(9245);
            return false;
        } else if (bo.isNullOrNil(str)) {
            Toast.makeText(ah.getContext(), this.context.getString(2131299997, new Object[]{Integer.valueOf(3), Integer.valueOf(-1)}), 0).show();
            this.eBB = false;
            AppMethodBeat.o(9245);
            return false;
        } else {
            if (this.uGd != null) {
                l.a(this.uGd.uII, agw("profile"), str, null);
            }
            com.tencent.mm.kernel.g.RN();
            if (com.tencent.mm.kernel.a.QX()) {
                com.tencent.mm.n.a aoK;
                ad aoO = ((j) com.tencent.mm.kernel.g.K(j.class)).XM().aoO(str);
                if (aoO == null || ((int) aoO.ewQ) <= 0) {
                    aoK = ((j) com.tencent.mm.kernel.g.K(j.class)).XM().aoK(str);
                } else {
                    aoK = aoO;
                }
                Intent intent = new Intent();
                String str2 = "";
                if (!(this.uGd == null || this.uGd.puc == null || this.uGd.puc.get("profileReportInfo") == null)) {
                    str2 = (String) this.uGd.puc.get("profileReportInfo");
                }
                if (!bo.isNullOrNil(str2)) {
                    intent.putExtra("key_add_contact_report_info", str2);
                }
                if (this.uGh != null && this.uGh.getBoolean("KFromBizSearch")) {
                    intent.putExtra("Contact_Ext_Args", this.uGh.getBundle("KBizSearchExtArgs"));
                }
                if (aoK == null || ((int) aoK.ewQ) <= 0) {
                    if (this.uGl != null) {
                        ao.a.flu.or(this.uGl);
                    }
                    this.uGl = str;
                    ao.a.flu.a(str, "", new 92(this, intent));
                    Context context = this.context;
                    this.context.getString(2131297061);
                    this.ehJ = com.tencent.mm.ui.base.h.b(context, this.context.getString(2131297086), true, new 103(this, str));
                    AppMethodBeat.o(9245);
                    return true;
                }
                intent.addFlags(268435456);
                intent.putExtra("Contact_User", aoK.field_username);
                if (aoK.dsf()) {
                    int i;
                    if (this.uGh == null) {
                        i = 42;
                    } else {
                        i = this.uGh.getInt("Contact_Scene", 42);
                    }
                    h.pYm.X(10298, aoK.field_username + "," + i);
                    intent.putExtra("Contact_Scene", i);
                }
                if (com.tencent.mm.n.a.jh(aoK.field_type)) {
                    qh qhVar = new qh();
                    qhVar.cMw.intent = intent;
                    qhVar.cMw.username = aoK.field_username;
                    com.tencent.mm.sdk.b.a.xxA.m(qhVar);
                }
                aD(intent);
                a(this.uGd, "profile:ok", null);
                AppMethodBeat.o(9245);
                return false;
            }
            ab.e("MicroMsg.MsgHandler", "doProfile, hasLogin is false");
            this.eBB = false;
            AppMethodBeat.o(9245);
            return false;
        }
    }

    private void aD(Intent intent) {
        AppMethodBeat.i(9246);
        try {
            Bundle g = this.umI.g(18, null);
            if (g != null) {
                String string = g.getString("preChatName");
                String string2 = g.getString("preUsername");
                int i = g.getInt("preChatTYPE", 0);
                intent.putExtra("preChatName", string);
                intent.putExtra("preUsername", string2);
                intent.putExtra("preChatTYPE", i);
                intent.putExtra("preChatTYPE", i);
                intent.putExtra("url", g.getString("url"));
                intent.putExtra("rawUrl", g.getString("rawUrl"));
            }
        } catch (RemoteException e) {
            ab.printErrStackTrace("MicroMsg.MsgHandler", e, "", new Object[0]);
        } catch (Exception e2) {
            ab.printErrStackTrace("MicroMsg.MsgHandler", e2, "", new Object[0]);
        }
        com.tencent.mm.plugin.webview.ui.tools.g.a(intent.getExtras(), "profile", ".ui.ContactInfoUI", this.umI, new 114(this, intent));
        AppMethodBeat.o(9246);
    }

    private boolean n(i iVar) {
        AppMethodBeat.i(9247);
        com.tencent.mm.ui.widget.a.c a;
        if (r.Ze()) {
            bq RA = ((j) com.tencent.mm.kernel.g.K(j.class)).XU().RA("@t.qq.com");
            if (RA == null || bo.nullAsNil(RA.name).length() == 0) {
                a = com.tencent.mm.ui.base.h.a(this.context, 2131305691, 2131297061, new 13(this));
                a.setCancelable(false);
                a.setOnDismissListener(new 24(this, iVar));
                AppMethodBeat.o(9247);
            } else {
                int i;
                int i2;
                String bc = bo.bc((String) iVar.puc.get(VideoMaterialUtil.CRAZYFACE_LAYER_TYPE), "40");
                if (bc == null || bc.length() <= 0) {
                    i = 40;
                } else {
                    try {
                        i = bo.getInt(bc, 40);
                    } catch (Exception e) {
                        i = 40;
                    }
                }
                if (i == 11 || i == 20) {
                    i2 = i;
                } else {
                    i2 = 40;
                }
                bc = (String) iVar.puc.get("content");
                String str = (String) iVar.puc.get("url");
                if (bc == null || bc.trim().length() == 0) {
                    bc = "";
                }
                if (str == null || str.length() == 0) {
                    ab.e("MicroMsg.MsgHandler", "doWeibo fail, invalid argument, content = " + bc + ", url = " + str);
                    a(iVar, "share_weibo:fail_-2", null);
                    AppMethodBeat.o(9247);
                } else {
                    l.a(iVar.uII, agw("shareWeibo"), null, null);
                    str = ar.aek(str);
                    Intent intent = new Intent(this.context, ShareToQQWeiboUI.class);
                    intent.putExtra(VideoMaterialUtil.CRAZYFACE_LAYER_TYPE, i2);
                    intent.putExtra("shortUrl", str);
                    intent.putExtra("content", bc);
                    if (this.context instanceof MMActivity) {
                        ((MMActivity) this.context).b(this, intent, 2);
                    }
                    AppMethodBeat.o(9247);
                }
            }
        } else {
            ab.e("MicroMsg.MsgHandler", "doWeibo fail, qq not binded");
            a = com.tencent.mm.ui.base.h.a(this.context, 2131305693, 2131297061, new 125(this), null);
            a.setCancelable(false);
            a.setOnDismissListener(new 2(this, iVar));
            AppMethodBeat.o(9247);
        }
        return true;
    }

    private boolean c(i iVar, JsapiPermissionWrapper jsapiPermissionWrapper) {
        AppMethodBeat.i(9248);
        this.uGv.bE(2, (String) iVar.puc.get("use_update_jsapi_data"));
        a(iVar, jsapiPermissionWrapper.jB(88));
        this.cEl = g(iVar);
        if (this.cEl == null) {
            ab.e("MicroMsg.MsgHandler", "doTimeline fail, appmsg is null");
        }
        String str = (String) iVar.puc.get("link");
        if (str == null || str.length() == 0) {
            ab.e("MicroMsg.MsgHandler", "doTimeline fail, link is null");
            gB(2, 2);
            a(iVar, "share_timeline:fail", null);
            AppMethodBeat.o(9248);
            return true;
        }
        String str2;
        Bundle g;
        String str3 = (String) iVar.puc.get("desc");
        if (str3 != null) {
            agz(str3);
        }
        ab.i("MicroMsg.MsgHandler", "doTimeline, img_url = " + ((String) iVar.puc.get("img_url")) + ", title = " + ((String) iVar.puc.get("title")) + ", desc = " + ((String) iVar.puc.get("desc")));
        int i = 1;
        String str4 = "";
        int i2 = 0;
        if (this.uGh != null) {
            this.uGh.setClassLoader(getClass().getClassLoader());
            i = this.uGh.getInt("snsWebSource", 1);
            str4 = this.uGh.getString("jsapi_args_appid");
            i2 = bo.getInt(this.uGh.getString("urlAttribute"), 0);
            this.uGh.remove("urlAttribute");
        }
        int i3 = i2;
        int i4 = i;
        if (bo.isNullOrNil(str4)) {
            str2 = (String) iVar.puc.get("appid");
        } else {
            str2 = str4;
        }
        l.a(iVar.uII, agw("shareTimeline"), str, str2);
        str3 = (String) iVar.puc.get("img_width");
        str4 = (String) iVar.puc.get("img_height");
        String aek = ar.aek((String) iVar.puc.get("link"));
        ab.i("MicroMsg.MsgHandler", "doTimeline, rawUrl:[%s], shareUrl:[%s]", new Object[]{r3, aek});
        iVar.puc.get("desc");
        String str5 = (String) iVar.puc.get("title");
        String str6 = (String) iVar.puc.get("img_url");
        String str7 = (String) iVar.puc.get("src_username");
        String str8 = (String) iVar.puc.get("src_displayname");
        try {
            i2 = Integer.valueOf(str3).intValue();
            try {
                Integer.valueOf(str4);
            } catch (Exception e) {
            }
        } catch (Exception e2) {
            i2 = -1;
        }
        ab.i("MicroMsg.MsgHandler", "doTimeline, init intent");
        Intent intent = new Intent();
        intent.putExtra("Ksnsupload_width", i2);
        intent.putExtra("Ksnsupload_height", i2);
        intent.putExtra("Ksnsupload_link", aek);
        intent.putExtra("Ksnsupload_title", str5);
        intent.putExtra("Ksnsupload_imgurl", str6);
        intent.putExtra("Ksnsupload_contentattribute", i3);
        if (t.mZ(str7)) {
            intent.putExtra("src_username", str7);
            intent.putExtra("src_displayname", str8);
        }
        intent.putExtra("Ksnsupload_source", i4);
        intent.putExtra("Ksnsupload_type", 1);
        if (str2 != null && str2.length() > 0) {
            intent.putExtra("Ksnsupload_appid", str2);
        }
        str4 = "MicroMsg.MsgHandler";
        str5 = "doTimeline, init intent, jsapiArgs == null ? %b";
        Object[] objArr = new Object[1];
        objArr[0] = Boolean.valueOf(this.uGh == null);
        ab.i(str4, str5, objArr);
        str3 = null;
        if (this.uGh != null) {
            str4 = this.uGh.getString("K_sns_thumb_url");
            str5 = this.uGh.getString("K_sns_raw_url");
            str6 = bo.bc(this.uGh.getString("KSnsStrId"), "");
            str7 = bo.bc(this.uGh.getString("KSnsLocalId"), "");
            str3 = this.uGh.getString("key_snsad_statextstr");
            intent.putExtra("key_snsad_statextstr", str3);
            ab.i("MicroMsg.MsgHandler", "currentUrl %s contentUrl %s thumbUrl %s", new Object[]{str, str5, str4});
            if (!(str5 == null || str == null || !str5.equals(str))) {
                intent.putExtra("KlinkThumb_url", str4);
            }
            intent.putExtra("KSnsStrId", str6);
            intent.putExtra("KSnsLocalId", str7);
            Parcelable parcelable = this.uGh.getParcelable("KSnsAdTag");
            ab.i("MicroMsg.MsgHandler", "doTimeline, snsAdTag : %s", new Object[]{parcelable});
            if (parcelable != null && (parcelable instanceof SnsAdClick)) {
                intent.putExtra("KsnsAdTag", (SnsAdClick) parcelable);
            }
            if (str6 != null && this.uGh.getBoolean("KFromTimeline", false)) {
                rh rhVar = new rh();
                rhVar.cNm.cFc = str6;
                rhVar.cNm.cwT = str7;
                com.tencent.mm.sdk.b.a.xxA.m(rhVar);
            }
        }
        try {
            intent.putExtra("ShareUrlOriginal", this.umI.cYY());
            g = this.umI.g(18, null);
            intent.putExtra("KPublisherId", g == null ? "" : bo.nullAsNil(g.getString("KPublisherId")));
            str = this.umI.getCurrentUrl();
            intent.putExtra("ShareUrlOpen", str);
            intent.putExtra("JsAppId", this.uGr.agj(str));
        } catch (RemoteException e3) {
            ab.printErrStackTrace("MicroMsg.MsgHandler", e3, "", new Object[0]);
        }
        ab.i("MicroMsg.MsgHandler", "doTimeline, start activity");
        if (this.context instanceof MMActivity) {
            intent.putExtra("need_result", true);
            try {
                g = this.umI.g(18, null);
                if (g != null) {
                    str4 = v.nW(bo.nullAsNil(g.getString("KPublisherId")));
                    v.b y = v.Zp().y(str4, true);
                    y.j("sendAppMsgScene", Integer.valueOf(2));
                    y.j("preChatName", g.getString("preChatName"));
                    y.j("preMsgIndex", Integer.valueOf(g.getInt("preMsgIndex")));
                    y.j("prePublishId", g.getString("prePublishId"));
                    y.j("preUsername", g.getString("preUsername"));
                    y.j("url", aek);
                    y.j("getA8KeyScene", Integer.valueOf(g.getInt("getA8KeyScene")));
                    y.j("referUrl", g.getString("referUrl"));
                    int i5 = g.getInt("_DATA_CENTER_ITEM_SHOW_TYPE", -1);
                    if (i5 != -1) {
                        y.j("_DATA_CENTER_ITEM_SHOW_TYPE", Integer.valueOf(i5));
                        y.j("_tmpl_webview_transfer_scene", Integer.valueOf(10));
                    }
                    if (!bo.isNullOrNil(str3)) {
                        y.j("adExtStr", str3);
                    }
                    intent.putExtra("reportSessionId", str4);
                }
            } catch (RemoteException e32) {
                ab.e("MicroMsg.MsgHandler", "try to attach report args error, %s", new Object[]{e32});
            }
            ((MMActivity) this.context).ifE = this;
            com.tencent.mm.bp.d.a(this.context, "sns", ".ui.SnsUploadUI", intent, 24, false);
        }
        AppMethodBeat.o(9248);
        return true;
    }

    /* JADX WARNING: Removed duplicated region for block: B:17:0x0181  */
    private boolean o(com.tencent.mm.plugin.webview.ui.tools.jsapi.i r15) {
        /*
        r14 = this;
        r13 = 0;
        r12 = 9249; // 0x2421 float:1.296E-41 double:4.5696E-320;
        r11 = 1;
        r10 = 0;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r12);
        r0 = r15.puc;
        r1 = "ad_info";
        r0 = r0.get(r1);
        r0 = (java.lang.String) r0;
        r1 = "";
        r4 = com.tencent.mm.model.r.Yz();
        r2 = r14.umI;	 Catch:{ RemoteException -> 0x01e4 }
        r3 = 18;
        r5 = 0;
        r2 = r2.g(r3, r5);	 Catch:{ RemoteException -> 0x01e4 }
        if (r2 == 0) goto L_0x0125;
    L_0x0025:
        r3 = "prePublishId";
        r5 = r2.getString(r3);	 Catch:{ RemoteException -> 0x01e4 }
        r3 = "preChatName";
        r6 = r2.getString(r3);	 Catch:{ RemoteException -> 0x01e4 }
        r3 = "preUsername";
        r7 = r2.getString(r3);	 Catch:{ RemoteException -> 0x01e4 }
        r3 = "getA8KeyScene";
        r3 = r2.getInt(r3);	 Catch:{ RemoteException -> 0x01e4 }
        r8 = "preChatTYPE";
        r9 = 0;
        r2 = r2.getInt(r8, r9);	 Catch:{ RemoteException -> 0x01e4 }
        r8 = new java.lang.StringBuilder;	 Catch:{ RemoteException -> 0x01e4 }
        r8.<init>();	 Catch:{ RemoteException -> 0x01e4 }
        r1 = r8.append(r1);	 Catch:{ RemoteException -> 0x01e4 }
        r1 = r1.append(r5);	 Catch:{ RemoteException -> 0x01e4 }
        r8 = ",";
        r1 = r1.append(r8);	 Catch:{ RemoteException -> 0x01e4 }
        r1 = r1.append(r6);	 Catch:{ RemoteException -> 0x01e4 }
        r8 = ",";
        r1 = r1.append(r8);	 Catch:{ RemoteException -> 0x01e4 }
        r1 = r1.append(r7);	 Catch:{ RemoteException -> 0x01e4 }
        r8 = ",";
        r1 = r1.append(r8);	 Catch:{ RemoteException -> 0x01e4 }
        r1 = r1.append(r3);	 Catch:{ RemoteException -> 0x01e4 }
        r3 = ",";
        r1 = r1.append(r3);	 Catch:{ RemoteException -> 0x01e4 }
        r3 = r1.toString();	 Catch:{ RemoteException -> 0x01e4 }
        if (r2 != 0) goto L_0x0089;
    L_0x0084:
        r1 = com.tencent.mm.model.u.ad(r7, r6);	 Catch:{ RemoteException -> 0x01e4 }
        r2 = r1;
    L_0x0089:
        if (r5 == 0) goto L_0x01a4;
    L_0x008b:
        r1 = "msg_";
        r1 = r5.startsWith(r1);	 Catch:{ Exception -> 0x01d4 }
        if (r1 == 0) goto L_0x01a4;
    L_0x0094:
        r1 = 4;
        r1 = r5.substring(r1);	 Catch:{ Exception -> 0x01d4 }
        r8 = com.tencent.mm.sdk.platformtools.bo.anl(r1);	 Catch:{ Exception -> 0x01d4 }
        r1 = com.tencent.mm.plugin.messenger.foundation.a.j.class;
        r1 = com.tencent.mm.kernel.g.K(r1);	 Catch:{ Exception -> 0x01d4 }
        r1 = (com.tencent.mm.plugin.messenger.foundation.a.j) r1;	 Catch:{ Exception -> 0x01d4 }
        r1 = r1.bOr();	 Catch:{ Exception -> 0x01d4 }
        r1 = r1.Q(r6, r8);	 Catch:{ Exception -> 0x01d4 }
        r5 = r1.field_talker;	 Catch:{ Exception -> 0x01d4 }
        r5 = com.tencent.mm.model.n.mA(r5);	 Catch:{ Exception -> 0x01d4 }
        r6 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x01d4 }
        r6.<init>();	 Catch:{ Exception -> 0x01d4 }
        r6 = r6.append(r3);	 Catch:{ Exception -> 0x01d4 }
        r1 = r1.getType();	 Catch:{ Exception -> 0x01d4 }
        r1 = r6.append(r1);	 Catch:{ Exception -> 0x01d4 }
        r6 = ",";
        r1 = r1.append(r6);	 Catch:{ Exception -> 0x01d4 }
        r1 = r1.append(r5);	 Catch:{ Exception -> 0x01d4 }
        r5 = ",";
        r1 = r1.append(r5);	 Catch:{ Exception -> 0x01d4 }
        r1 = r1.append(r2);	 Catch:{ Exception -> 0x01d4 }
        r2 = ",";
        r1 = r1.append(r2);	 Catch:{ Exception -> 0x01d4 }
        r2 = com.tencent.mm.plugin.webview.model.aq.aEn();	 Catch:{ Exception -> 0x01d4 }
        r1 = r1.append(r2);	 Catch:{ Exception -> 0x01d4 }
        r2 = ",";
        r1 = r1.append(r2);	 Catch:{ Exception -> 0x01d4 }
        r1 = r1.toString();	 Catch:{ Exception -> 0x01d4 }
    L_0x00f4:
        r2 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x020d }
        r2.<init>();	 Catch:{ Exception -> 0x020d }
        r2 = r2.append(r1);	 Catch:{ Exception -> 0x020d }
        r2 = r2.append(r4);	 Catch:{ Exception -> 0x020d }
        r1 = r2.toString();	 Catch:{ Exception -> 0x020d }
        r2 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x020d }
        r2.<init>();	 Catch:{ Exception -> 0x020d }
        r2 = r2.append(r1);	 Catch:{ Exception -> 0x020d }
        r3 = ",";
        r2 = r2.append(r3);	 Catch:{ Exception -> 0x020d }
        r3 = com.tencent.mm.sdk.platformtools.ah.getContext();	 Catch:{ Exception -> 0x020d }
        r3 = com.tencent.mm.sdk.platformtools.bo.gN(r3);	 Catch:{ Exception -> 0x020d }
        r2 = r2.append(r3);	 Catch:{ Exception -> 0x020d }
        r1 = r2.toString();	 Catch:{ Exception -> 0x020d }
    L_0x0125:
        r2 = "MicroMsg.MsgHandler";
        r3 = "adDataReport adinfo:%s";
        r5 = new java.lang.Object[r11];
        r5[r10] = r0;
        com.tencent.mm.sdk.platformtools.ab.v(r2, r3, r5);
        r2 = "MicroMsg.MsgHandler";
        r3 = "adDataReport str:%s";
        r5 = new java.lang.Object[r11];
        r5[r10] = r1;
        com.tencent.mm.sdk.platformtools.ab.v(r2, r3, r5);
        r2 = new java.lang.StringBuilder;
        r2.<init>();
        r2 = r2.append(r0);
        r3 = ",";
        r2 = r2.append(r3);
        r1 = r2.append(r1);
        r2 = r1.toString();
        r1 = com.tencent.mm.plugin.sns.b.a.class;
        r1 = com.tencent.mm.kernel.g.K(r1);
        r1 = (com.tencent.mm.plugin.sns.b.a) r1;
        r3 = 13297; // 0x33f1 float:1.8633E-41 double:6.5696E-320;
        r6 = com.tencent.mm.sdk.platformtools.bo.anT();
        r5 = (int) r6;
        r1.i(r3, r2, r5);
        r1 = r15.puc;
        r2 = "need_record_page_operation";
        r1 = r1.get(r2);
        r1 = (java.lang.String) r1;
        r2 = "0";
        r1 = com.tencent.mm.sdk.platformtools.bo.bc(r1, r2);
        r1 = com.tencent.mm.sdk.platformtools.bo.ank(r1);
        if (r1 == 0) goto L_0x019a;
    L_0x0181:
        r1 = new android.os.Bundle;
        r1.<init>();
        r2 = "traceid";
        r1.putString(r2, r0);
        r0 = "username";
        r1.putString(r0, r4);
        r0 = r14.umI;	 Catch:{ RemoteException -> 0x01fa }
        r2 = 90002; // 0x15f92 float:1.2612E-40 double:4.4467E-319;
        r0.g(r2, r1);	 Catch:{ RemoteException -> 0x01fa }
    L_0x019a:
        r0 = "adDataReport：ok";
        r14.a(r15, r0, r13);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r12);
    L_0x01a3:
        return r11;
    L_0x01a4:
        r1 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x01d4 }
        r1.<init>();	 Catch:{ Exception -> 0x01d4 }
        r1 = r1.append(r3);	 Catch:{ Exception -> 0x01d4 }
        r5 = ",,";
        r1 = r1.append(r5);	 Catch:{ Exception -> 0x01d4 }
        r1 = r1.append(r2);	 Catch:{ Exception -> 0x01d4 }
        r2 = ",";
        r1 = r1.append(r2);	 Catch:{ Exception -> 0x01d4 }
        r2 = com.tencent.mm.plugin.webview.model.aq.aEn();	 Catch:{ Exception -> 0x01d4 }
        r1 = r1.append(r2);	 Catch:{ Exception -> 0x01d4 }
        r2 = ",";
        r1 = r1.append(r2);	 Catch:{ Exception -> 0x01d4 }
        r1 = r1.toString();	 Catch:{ Exception -> 0x01d4 }
        goto L_0x00f4;
    L_0x01d4:
        r2 = move-exception;
        r1 = r3;
    L_0x01d6:
        r3 = "MicroMsg.MsgHandler";
        r5 = "";
        r6 = 0;
        r6 = new java.lang.Object[r6];	 Catch:{ RemoteException -> 0x01e4 }
        com.tencent.mm.sdk.platformtools.ab.printErrStackTrace(r3, r2, r5, r6);	 Catch:{ RemoteException -> 0x01e4 }
        goto L_0x0125;
    L_0x01e4:
        r0 = move-exception;
        r1 = "MicroMsg.MsgHandler";
        r2 = "";
        r3 = new java.lang.Object[r10];
        com.tencent.mm.sdk.platformtools.ab.printErrStackTrace(r1, r0, r2, r3);
        r0 = "adDataReport：fail";
        r14.a(r15, r0, r13);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r12);
        goto L_0x01a3;
    L_0x01fa:
        r0 = move-exception;
        r1 = "MicroMsg.MsgHandler";
        r2 = "invokeAsResult ex: %s";
        r3 = new java.lang.Object[r11];
        r0 = r0.getMessage();
        r3[r10] = r0;
        com.tencent.mm.sdk.platformtools.ab.e(r1, r2, r3);
        goto L_0x019a;
    L_0x020d:
        r2 = move-exception;
        goto L_0x01d6;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.webview.ui.tools.jsapi.g.o(com.tencent.mm.plugin.webview.ui.tools.jsapi.i):boolean");
    }

    private boolean p(i iVar) {
        AppMethodBeat.i(9250);
        try {
            if (this.umI != null) {
                Bundle g = this.umI.g(87, null);
                if (g != null) {
                    if (bo.nullAsNil(g.getString("result")).equals("not_return")) {
                        a(iVar, "getWePkgAuthResult:fail_auth_result_not_return", null);
                    } else {
                        String string = g.getString("full_url");
                        int i = g.getInt("set_cookie");
                        if (bo.isNullOrNil(string)) {
                            a(iVar, "getWePkgAuthResult:fail_full_url_empty", null);
                        } else {
                            Map hashMap = new HashMap();
                            hashMap.put("full_url", string);
                            hashMap.put("set_cookie", Integer.valueOf(i));
                            a(iVar, "getWePkgAuthResult:ok", hashMap);
                        }
                    }
                }
            }
        } catch (Exception e) {
            ab.e("MicroMsg.MsgHandler", "doGetWePkgAuthResult exception, " + e.getMessage());
            a(iVar, "getWePkgAuthResult:fail", null);
        }
        AppMethodBeat.o(9250);
        return true;
    }

    private boolean q(i iVar) {
        AppMethodBeat.i(9251);
        String str = (String) iVar.puc.get("reportId");
        boolean equals = bo.nullAsNil((String) iVar.puc.get("reportInstantly")).equals("1");
        boolean equals2 = bo.nullAsNil((String) iVar.puc.get("reportTimeBegin")).equals("1");
        String str2 = (String) iVar.puc.get("reportFormatData");
        String str3 = (String) iVar.puc.get("reportTabsFormatData");
        if (bo.isNullOrNil(str)) {
            ab.e("MicroMsg.MsgHandler", "reportId is null or nil");
            a(iVar, "reportGamePageTime:fail_invalid_reportId", null);
            AppMethodBeat.o(9251);
        } else if (bo.isNullOrNil(str2) && bo.isNullOrNil(str3)) {
            ab.e("MicroMsg.MsgHandler", "reportFormatData && reportTabsFormatData is null or nil");
            a(iVar, "reportGamePageTime:fail_invalid_reportFormatData_reportTabsFormatData", null);
            AppMethodBeat.o(9251);
        } else {
            ab.i("MicroMsg.MsgHandler", "reportGamePageTime, reportId:%s, reportInstantly:%b, reportTimeBegin:%b, reportFormatData:(%s), reportTabsFormatData(%s)", new Object[]{str, Boolean.valueOf(equals), Boolean.valueOf(equals2), str2, str3});
            Bundle bundle = new Bundle();
            bundle.putString("game_page_report_id", str);
            bundle.putBoolean("game_page_report_instantly", equals);
            bundle.putBoolean("game_page_report_time_begin", equals2);
            bundle.putString("game_page_report_format_data", str2);
            bundle.putString("game_page_report_tabs_format_data", str3);
            try {
                this.umI.g(95, bundle);
                a(iVar, "reportGamePageTime:ok", null);
            } catch (Exception e) {
                ab.e("MicroMsg.MsgHandler", "reportGamePageTime, exception = %s", new Object[]{e});
                a(iVar, "reportGamePageTime:fail", null);
            }
            AppMethodBeat.o(9251);
        }
        return true;
    }

    private static String agz(String str) {
        AppMethodBeat.i(9252);
        if (str.startsWith("http://")) {
            str = str.substring(7);
            AppMethodBeat.o(9252);
            return str;
        } else if (str.startsWith("https://")) {
            str = str.substring(8);
            AppMethodBeat.o(9252);
            return str;
        } else {
            AppMethodBeat.o(9252);
            return str;
        }
    }

    private boolean r(i iVar) {
        AppMethodBeat.i(9253);
        String str = (String) iVar.puc.get("webtype");
        String str2 = (String) iVar.puc.get("username");
        String str3 = (String) iVar.puc.get("scene");
        String str4 = (String) iVar.puc.get("profileReportInfo");
        if (str == null || str.length() == 0 || str2 == null || str2.length() == 0) {
            ab.e("MicroMsg.MsgHandler", "doAddContact fail, invalid arguments, webType = " + str + ", username = " + str2);
            a(iVar, "add_contact:fail", null);
            AppMethodBeat.o(9253);
            return true;
        }
        agv(str3);
        int i = bo.getInt(str, -1);
        if (i == -1) {
            ab.e("MicroMsg.MsgHandler", "doAddContact fail, parseInt fail, str = ".concat(String.valueOf(str)));
            a(iVar, "add_contact:fail", null);
            AppMethodBeat.o(9253);
            return true;
        } else if (this.context instanceof Activity) {
            l.a(iVar.uII, false, str2, null);
            switch (i) {
                case 1:
                    int i2;
                    if (this.uGh == null) {
                        i2 = 33;
                    } else {
                        i2 = this.uGh.getInt("Contact_Scene", 33);
                    }
                    ((com.tencent.mm.pluginsdk.g) com.tencent.mm.kernel.g.K(com.tencent.mm.pluginsdk.g.class)).a(this.context, str2, i2, new 44(this, iVar), str4).show();
                    AppMethodBeat.o(9253);
                    return true;
                default:
                    ab.e("MicroMsg.MsgHandler", "unknown addScene = ".concat(String.valueOf(i)));
                    a(iVar, "add_contact:fail", null);
                    AppMethodBeat.o(9253);
                    return true;
            }
        } else {
            ab.e("MicroMsg.MsgHandler", "doAddContact invalid context");
            a(iVar, "add_contact:fail", null);
            AppMethodBeat.o(9253);
            return false;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:72:0x02db  */
    /* JADX WARNING: Removed duplicated region for block: B:75:0x02f8  */
    /* JADX WARNING: Removed duplicated region for block: B:72:0x02db  */
    /* JADX WARNING: Removed duplicated region for block: B:75:0x02f8  */
    /* JADX WARNING: Removed duplicated region for block: B:72:0x02db  */
    /* JADX WARNING: Removed duplicated region for block: B:75:0x02f8  */
    private boolean s(com.tencent.mm.plugin.webview.ui.tools.jsapi.i r23) {
        /*
        r22 = this;
        r2 = 9254; // 0x2426 float:1.2968E-41 double:4.572E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r2);
        r0 = r23;
        r2 = r0.puc;
        r3 = "current";
        r2 = r2.get(r3);
        r2 = (java.lang.String) r2;
        r0 = r23;
        r3 = r0.puc;
        r4 = "urls";
        r3 = r3.get(r4);
        r3 = (java.lang.String[]) r3;
        r3 = (java.lang.String[]) r3;
        r5 = new java.util.ArrayList;
        r5.<init>();
        if (r3 == 0) goto L_0x002b;
    L_0x0028:
        r4 = r3.length;
        if (r4 != 0) goto L_0x0040;
    L_0x002b:
        r2 = "MicroMsg.MsgHandler";
        r3 = "doImgPreview fail, urls is null";
        com.tencent.mm.sdk.platformtools.ab.e(r2, r3);
        r2 = 0;
        r0 = r22;
        r0.eBB = r2;
        r2 = 0;
        r3 = 9254; // 0x2426 float:1.2968E-41 double:4.572E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r3);
    L_0x003f:
        return r2;
    L_0x0040:
        r4 = "MicroMsg.MsgHandler";
        r6 = "doImgPreview ok";
        com.tencent.mm.sdk.platformtools.ab.d(r4, r6);
        r4 = 0;
    L_0x004a:
        r6 = r3.length;
        if (r4 >= r6) goto L_0x0099;
    L_0x004d:
        r6 = r3[r4];
        r6 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r6);
        if (r6 != 0) goto L_0x0060;
    L_0x0055:
        r6 = r3[r4];
        r7 = "null";
        r6 = r6.equalsIgnoreCase(r7);
        if (r6 == 0) goto L_0x0076;
    L_0x0060:
        r6 = "MicroMsg.MsgHandler";
        r7 = "null url, i = %d";
        r8 = 1;
        r8 = new java.lang.Object[r8];
        r9 = 0;
        r10 = java.lang.Integer.valueOf(r4);
        r8[r9] = r10;
        com.tencent.mm.sdk.platformtools.ab.e(r6, r7, r8);
    L_0x0073:
        r4 = r4 + 1;
        goto L_0x004a;
    L_0x0076:
        r6 = r3[r4];
        r6 = com.tencent.mm.sdk.platformtools.bo.nullAsNil(r6);
        r7 = "weixin://resourceid/";
        r6 = r6.startsWith(r7);
        if (r6 == 0) goto L_0x0093;
    L_0x0085:
        r6 = com.tencent.mm.plugin.webview.modeltools.g.cYF();
        r7 = r3[r4];
        r6 = r6.aex(r7);
        r6 = r6.heo;
        r3[r4] = r6;
    L_0x0093:
        r6 = r3[r4];
        r5.add(r6);
        goto L_0x0073;
    L_0x0099:
        r3 = r5.toArray(r3);
        r3 = (java.lang.String[]) r3;
        r4 = r5.size();
        r4 = new java.lang.String[r4];
        r4 = r5.toArray(r4);
        r4 = (java.lang.String[]) r4;
        r5 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r2);
        if (r5 == 0) goto L_0x0329;
    L_0x00b1:
        r2 = 0;
        r2 = r3[r2];
        r3 = r2;
    L_0x00b5:
        r11 = new android.content.Intent;
        r11.<init>();
        r2 = 0;
        r0 = r23;
        r5 = r0.puc;
        r6 = "key_wxapp_id";
        r5 = r5.containsKey(r6);
        if (r5 == 0) goto L_0x036f;
    L_0x00c8:
        r0 = r23;
        r2 = r0.puc;
        r5 = "key_wxapp_id";
        r2 = r2.get(r5);
        r2 = (java.lang.String) r2;
        r5 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r2);
        if (r5 != 0) goto L_0x00f6;
    L_0x00db:
        r5 = 1;
        r5 = new int[r5];
        r6 = 0;
        r7 = 3;
        r5[r6] = r7;
        r6 = "scanCodeTypes";
        r11.putExtra(r6, r5);
        r5 = 1;
        r5 = new int[r5];
        r6 = 0;
        r7 = 22;
        r5[r6] = r7;
        r6 = "scanResultCodeTypes";
        r11.putExtra(r6, r5);
    L_0x00f6:
        r5 = r2;
    L_0x00f7:
        r7 = 1;
        r2 = "";
        r0 = r22;
        r6 = r0.umI;	 Catch:{ Exception -> 0x0347 }
        r8 = 90001; // 0x15f91 float:1.26118E-40 double:4.44664E-319;
        r9 = new android.os.Bundle;	 Catch:{ Exception -> 0x0347 }
        r9.<init>();	 Catch:{ Exception -> 0x0347 }
        r6 = r6.g(r8, r9);	 Catch:{ Exception -> 0x0347 }
        r9 = -1082130432; // 0xffffffffbf800000 float:-1.0 double:NaN;
        if (r6 == 0) goto L_0x012c;
    L_0x010f:
        r8 = "cookie";
        r9 = 0;
        r8 = r6.getString(r8, r9);	 Catch:{ Exception -> 0x0347 }
        r9 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r8);	 Catch:{ Exception -> 0x0347 }
        if (r9 != 0) goto L_0x0123;
    L_0x011d:
        r9 = "cookie";
        r11.putExtra(r9, r8);	 Catch:{ Exception -> 0x0347 }
    L_0x0123:
        r8 = "density";
        r9 = -1082130432; // 0xffffffffbf800000 float:-1.0 double:NaN;
        r9 = r6.getFloat(r8, r9);	 Catch:{ Exception -> 0x0347 }
    L_0x012c:
        r0 = r22;
        r6 = r0.umI;	 Catch:{ Exception -> 0x0347 }
        r8 = 18;
        r10 = 0;
        r6 = r6.g(r8, r10);	 Catch:{ Exception -> 0x0347 }
        if (r6 == 0) goto L_0x019c;
    L_0x0139:
        r8 = "preChatName";
        r8 = r6.getString(r8);	 Catch:{ Exception -> 0x0347 }
        r10 = "preUsername";
        r10 = r6.getString(r10);	 Catch:{ Exception -> 0x0347 }
        r12 = "rawUrl";
        r12 = r6.getString(r12);	 Catch:{ Exception -> 0x0347 }
        r13 = "url";
        r2 = r6.getString(r13);	 Catch:{ Exception -> 0x0347 }
        r13 = "getA8KeyScene";
        r6 = r6.getInt(r13);	 Catch:{ Exception -> 0x0347 }
        r13 = "ImgPreview";
        r13 = com.tencent.mm.model.v.nW(r13);	 Catch:{ Exception -> 0x0347 }
        r14 = com.tencent.mm.model.v.Zp();	 Catch:{ Exception -> 0x0347 }
        r15 = 1;
        r14 = r14.y(r13, r15);	 Catch:{ Exception -> 0x0347 }
        r15 = "preUsername";
        r14.j(r15, r8);	 Catch:{ Exception -> 0x0347 }
        r8 = "preChatName";
        r14.j(r8, r10);	 Catch:{ Exception -> 0x0347 }
        r8 = "url";
        r14.j(r8, r2);	 Catch:{ Exception -> 0x0347 }
        r8 = "rawUrl";
        r14.j(r8, r12);	 Catch:{ Exception -> 0x0347 }
        r8 = 53;
        if (r6 == r8) goto L_0x018c;
    L_0x0188:
        r8 = 52;
        if (r6 != r8) goto L_0x0196;
    L_0x018c:
        r6 = "MicroMsg.MsgHandler";
        r8 = "not allow to ScanQRCode";
        com.tencent.mm.sdk.platformtools.ab.i(r6, r8);	 Catch:{ Exception -> 0x0347 }
        r7 = 0;
    L_0x0196:
        r6 = "img_gallery_session_id";
        r11.putExtra(r6, r13);	 Catch:{ Exception -> 0x0347 }
    L_0x019c:
        r6 = r2;
        r0 = r23;
        r2 = r0.puc;	 Catch:{ Exception -> 0x0360 }
        r8 = "currentInfo";
        r2 = r2.get(r8);	 Catch:{ Exception -> 0x0360 }
        r2 = (java.lang.String) r2;	 Catch:{ Exception -> 0x0360 }
        r10 = 0;
        r8 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r2);	 Catch:{ Exception -> 0x0360 }
        if (r8 != 0) goto L_0x036b;
    L_0x01b1:
        r10 = new org.json.JSONObject;	 Catch:{ Exception -> 0x0360 }
        r10.<init>(r2);	 Catch:{ Exception -> 0x0360 }
        r8 = com.tencent.mm.plugin.webview.modeltools.j.a(r3, r4, r10);	 Catch:{ Exception -> 0x0360 }
        r2 = r10;
    L_0x01bb:
        r3 = com.tencent.mm.plugin.webview.modeltools.j.cYM();	 Catch:{ Exception -> 0x0364 }
        if (r3 == 0) goto L_0x02b0;
    L_0x01c1:
        if (r2 == 0) goto L_0x02b0;
    L_0x01c3:
        r3 = "pos";
        r12 = r2.optJSONObject(r3);	 Catch:{ Exception -> 0x0364 }
        if (r12 == 0) goto L_0x02b0;
    L_0x01cc:
        r0 = r22;
        r2 = r0.umI;	 Catch:{ Exception -> 0x0364 }
        r3 = 107; // 0x6b float:1.5E-43 double:5.3E-322;
        r10 = new android.os.Bundle;	 Catch:{ Exception -> 0x0364 }
        r10.<init>();	 Catch:{ Exception -> 0x0364 }
        r2 = r2.g(r3, r10);	 Catch:{ Exception -> 0x0364 }
        if (r2 == 0) goto L_0x033f;
    L_0x01dd:
        r3 = "isFullScreen";
        r10 = 0;
        r2 = r2.getBoolean(r3, r10);	 Catch:{ Exception -> 0x0364 }
        r10 = r2;
    L_0x01e6:
        r0 = r22;
        r2 = r0.context;	 Catch:{ Exception -> 0x0364 }
        r13 = com.tencent.mm.ui.ak.de(r2);	 Catch:{ Exception -> 0x0364 }
        r0 = r22;
        r2 = r0.context;	 Catch:{ Exception -> 0x0364 }
        r14 = com.tencent.mm.ui.ak.getStatusBarHeight(r2);	 Catch:{ Exception -> 0x0364 }
        r2 = 0;
        r2 = (r9 > r2 ? 1 : (r9 == r2 ? 0 : -1));
        if (r2 > 0) goto L_0x0368;
    L_0x01fb:
        r0 = r22;
        r2 = r0.context;	 Catch:{ Exception -> 0x0364 }
        r2 = com.tencent.mm.bz.a.getDensity(r2);	 Catch:{ Exception -> 0x0364 }
        r3 = r2;
    L_0x0204:
        r2 = "width";
        r16 = r12.optDouble(r2);	 Catch:{ Exception -> 0x0364 }
        r0 = (double) r3;	 Catch:{ Exception -> 0x0364 }
        r18 = r0;
        r16 = r16 * r18;
        r0 = r16;
        r9 = (int) r0;	 Catch:{ Exception -> 0x0364 }
        r2 = "height";
        r16 = r12.optDouble(r2);	 Catch:{ Exception -> 0x0364 }
        r0 = (double) r3;	 Catch:{ Exception -> 0x0364 }
        r18 = r0;
        r16 = r16 * r18;
        r0 = r16;
        r15 = (int) r0;	 Catch:{ Exception -> 0x0364 }
        r2 = "x";
        r16 = r12.optDouble(r2);	 Catch:{ Exception -> 0x0364 }
        r0 = (double) r3;	 Catch:{ Exception -> 0x0364 }
        r18 = r0;
        r16 = r16 * r18;
        r0 = r16;
        r0 = (int) r0;	 Catch:{ Exception -> 0x0364 }
        r16 = r0;
        r2 = "y";
        r18 = r12.optDouble(r2);	 Catch:{ Exception -> 0x0364 }
        r0 = (double) r3;	 Catch:{ Exception -> 0x0364 }
        r20 = r0;
        r18 = r18 * r20;
        if (r10 == 0) goto L_0x0343;
    L_0x0241:
        r2 = 0;
    L_0x0242:
        r12 = (double) r2;	 Catch:{ Exception -> 0x0364 }
        r12 = r12 + r18;
        r2 = (int) r12;	 Catch:{ Exception -> 0x0364 }
        r10 = "img_gallery_width";
        r10 = r11.putExtra(r10, r9);	 Catch:{ Exception -> 0x0364 }
        r12 = "img_gallery_height";
        r10 = r10.putExtra(r12, r15);	 Catch:{ Exception -> 0x0364 }
        r12 = "img_gallery_left";
        r0 = r16;
        r10 = r10.putExtra(r12, r0);	 Catch:{ Exception -> 0x0364 }
        r12 = "img_gallery_top";
        r10.putExtra(r12, r2);	 Catch:{ Exception -> 0x0364 }
        r0 = r22;
        r10 = r0.context;	 Catch:{ Exception -> 0x0364 }
        r10 = com.tencent.mm.bz.a.ge(r10);	 Catch:{ Exception -> 0x0364 }
        r12 = "MicroMsg.MsgHandler";
        r13 = "doPreviewImg left %d, top %d, w %d, h %d, density %f,screenHeight %d";
        r14 = 6;
        r14 = new java.lang.Object[r14];	 Catch:{ Exception -> 0x0364 }
        r17 = 0;
        r16 = java.lang.Integer.valueOf(r16);	 Catch:{ Exception -> 0x0364 }
        r14[r17] = r16;	 Catch:{ Exception -> 0x0364 }
        r16 = 1;
        r2 = java.lang.Integer.valueOf(r2);	 Catch:{ Exception -> 0x0364 }
        r14[r16] = r2;	 Catch:{ Exception -> 0x0364 }
        r2 = 2;
        r16 = java.lang.Integer.valueOf(r9);	 Catch:{ Exception -> 0x0364 }
        r14[r2] = r16;	 Catch:{ Exception -> 0x0364 }
        r2 = 3;
        r16 = java.lang.Integer.valueOf(r15);	 Catch:{ Exception -> 0x0364 }
        r14[r2] = r16;	 Catch:{ Exception -> 0x0364 }
        r2 = 4;
        r3 = java.lang.Float.valueOf(r3);	 Catch:{ Exception -> 0x0364 }
        r14[r2] = r3;	 Catch:{ Exception -> 0x0364 }
        r2 = 5;
        r3 = java.lang.Integer.valueOf(r10);	 Catch:{ Exception -> 0x0364 }
        r14[r2] = r3;	 Catch:{ Exception -> 0x0364 }
        com.tencent.mm.sdk.platformtools.ab.d(r12, r13, r14);	 Catch:{ Exception -> 0x0364 }
        if (r9 <= 0) goto L_0x02b0;
    L_0x02a5:
        if (r15 <= 0) goto L_0x02b0;
    L_0x02a7:
        if (r15 >= r10) goto L_0x02b0;
    L_0x02a9:
        r2 = "shouldRunDragAnimation";
        r3 = 1;
        r11.putExtra(r2, r3);	 Catch:{ Exception -> 0x0364 }
    L_0x02b0:
        r2 = r6;
        r3 = r7;
    L_0x02b2:
        r6 = "nowUrl";
        r11.putExtra(r6, r8);
        r6 = "urlList";
        r11.putExtra(r6, r4);
        r4 = "type";
        r6 = -255; // 0xffffffffffffff01 float:NaN double:NaN;
        r11.putExtra(r4, r6);
        r4 = "isFromWebView";
        r6 = 1;
        r11.putExtra(r4, r6);
        r4 = "shouldShowScanQrCodeMenu";
        r11.putExtra(r4, r3);
        r0 = r22;
        r3 = r0.context;
        r3 = r3 instanceof android.app.Service;
        if (r3 == 0) goto L_0x02e0;
    L_0x02db:
        r3 = 268435456; // 0x10000000 float:2.5243549E-29 double:1.32624737E-315;
        r11.addFlags(r3);
    L_0x02e0:
        r3 = new android.os.Bundle;
        r3.<init>();
        r4 = "stat_scene";
        r6 = 4;
        r3.putInt(r4, r6);
        r4 = "stat_url";
        r3.putString(r4, r2);
        r2 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r5);
        if (r2 != 0) goto L_0x030d;
    L_0x02f8:
        r2 = "MicroMsg.MsgHandler";
        r4 = "[banjump] doImgPreview, wxappId:%s";
        r6 = 1;
        r6 = new java.lang.Object[r6];
        r7 = 0;
        r6[r7] = r5;
        com.tencent.mm.sdk.platformtools.ab.i(r2, r4, r6);
        r2 = "stat_app_id";
        r3.putString(r2, r5);
    L_0x030d:
        r2 = "_stat_obj";
        r11.putExtra(r2, r3);
        r2 = com.tencent.mm.plugin.webview.a.a.gkE;
        r0 = r22;
        r3 = r0.context;
        r2.q(r11, r3);
        r2 = 0;
        r0 = r22;
        r0.eBB = r2;
        r2 = 0;
        r3 = 9254; // 0x2426 float:1.2968E-41 double:4.572E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r3);
        goto L_0x003f;
    L_0x0329:
        r3 = "weixin://resourceid/";
        r3 = r2.startsWith(r3);
        if (r3 == 0) goto L_0x0372;
    L_0x0332:
        r3 = com.tencent.mm.plugin.webview.modeltools.g.cYF();
        r2 = r3.aex(r2);
        r2 = r2.heo;
        r3 = r2;
        goto L_0x00b5;
    L_0x033f:
        r2 = 0;
        r10 = r2;
        goto L_0x01e6;
    L_0x0343:
        r2 = r13 + r14;
        goto L_0x0242;
    L_0x0347:
        r6 = move-exception;
        r9 = r6;
        r8 = r3;
    L_0x034a:
        r3 = "MicroMsg.MsgHandler";
        r6 = "doImgPreview fail : %s";
        r10 = 1;
        r10 = new java.lang.Object[r10];
        r12 = 0;
        r9 = r9.getMessage();
        r10[r12] = r9;
        com.tencent.mm.sdk.platformtools.ab.e(r3, r6, r10);
        r3 = r7;
        goto L_0x02b2;
    L_0x0360:
        r9 = move-exception;
        r2 = r6;
        r8 = r3;
        goto L_0x034a;
    L_0x0364:
        r3 = move-exception;
        r9 = r3;
        r2 = r6;
        goto L_0x034a;
    L_0x0368:
        r3 = r9;
        goto L_0x0204;
    L_0x036b:
        r2 = r10;
        r8 = r3;
        goto L_0x01bb;
    L_0x036f:
        r5 = r2;
        goto L_0x00f7;
    L_0x0372:
        r3 = r2;
        goto L_0x00b5;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.webview.ui.tools.jsapi.g.s(com.tencent.mm.plugin.webview.ui.tools.jsapi.i):boolean");
    }

    private boolean t(i iVar) {
        AppMethodBeat.i(9255);
        try {
            Bundle aP = i.aP(iVar.puc);
            this.umI.cZb();
            this.umI.W(aP);
            String str = "";
            if (this.uGh != null) {
                this.uGh.setClassLoader(getClass().getClassLoader());
                str = this.uGh.getString("KoriginUrl");
                this.uGh.getBoolean("KIsHKAgreeUrl");
            }
            vo voVar = new vo();
            voVar.cSB.clP = str;
            com.tencent.mm.sdk.b.a.xxA.m(voVar);
        } catch (Exception e) {
            ab.w("MicroMsg.MsgHandler", "doCloseWindow, ex = " + e.getMessage());
        }
        a(iVar, "close_window:ok", null);
        AppMethodBeat.o(9255);
        return true;
    }

    private void a(i iVar, int i, int i2) {
        AppMethodBeat.i(9256);
        String str = iVar.uIJ;
        if (str.equals("requireSoterBiometricAuthentication") || str.equals("getSupportSoter")) {
            String bK = bK(getCurrentUrl());
            com.tencent.mm.plugin.soter.d.l lVar = com.tencent.mm.plugin.soter.d.l.rOl;
            com.tencent.mm.plugin.soter.d.l.l(str, bK, i, i2);
        }
        AppMethodBeat.o(9256);
    }

    private boolean u(i iVar) {
        AppMethodBeat.i(9257);
        this.eBB = false;
        int ank = bo.ank(iVar.puc.get("voteResultIndex").toString());
        try {
            Bundle bundle = new Bundle();
            bundle.putInt("sns_landing_pages_ad_vote_index", ank);
            this.umI.c(150, bundle);
        } catch (Exception e) {
        }
        AppMethodBeat.o(9257);
        return false;
    }

    private boolean v(i iVar) {
        AppMethodBeat.i(9258);
        String str = (String) iVar.puc.get("packageName");
        if (bo.isNullOrNil(str)) {
            ab.i("MicroMsg.MsgHandler", "packageName is null or nil");
            a(iVar, "get_install_state:no", null);
            AppMethodBeat.o(9258);
            return true;
        }
        l.a(iVar.uII, false, str, null);
        try {
            JSONArray jSONArray = new JSONArray(str);
            if (jSONArray.length() > 0) {
                JSONObject jSONObject = new JSONObject();
                JSONObject jSONObject2 = new JSONObject();
                Object obj = null;
                for (int i = 0; i < jSONArray.length(); i++) {
                    String string = jSONArray.getString(i);
                    PackageInfo packageInfo = com.tencent.mm.plugin.appbrand.r.b.getPackageInfo(this.context, string);
                    int i2 = packageInfo == null ? 0 : packageInfo.versionCode;
                    String str2 = packageInfo == null ? "null" : packageInfo.versionName;
                    ab.i("MicroMsg.MsgHandler", "doGetInstallState, packageName = " + string + ", packageInfo = " + packageInfo + ", version = " + i2 + ", versionName = " + str2);
                    if (obj == null && i2 > 0) {
                        obj = 1;
                    }
                    jSONObject.put(string, i2);
                    jSONObject2.put(string, str2);
                }
                Map hashMap = new HashMap();
                hashMap.put("result", jSONObject);
                hashMap.put("versionName", jSONObject2);
                if (obj != null) {
                    a(iVar, "get_install_state:yes", hashMap);
                } else {
                    a(iVar, "get_install_state:no", null);
                }
                AppMethodBeat.o(9258);
                return true;
            }
        } catch (Exception e) {
            ab.i("MicroMsg.MsgHandler", "it is not batch get install state");
        }
        PackageInfo packageInfo2 = com.tencent.mm.plugin.appbrand.r.b.getPackageInfo(this.context, str);
        int i3 = packageInfo2 == null ? 0 : packageInfo2.versionCode;
        String str3 = packageInfo2 == null ? "null" : packageInfo2.versionName;
        ab.i("MicroMsg.MsgHandler", "doGetInstallState, packageName = " + str + ", packageInfo = " + packageInfo2 + ", version = " + i3 + ", versionName = " + str3);
        if (packageInfo2 == null) {
            a(iVar, "get_install_state:no", null);
        } else {
            Map hashMap2 = new HashMap();
            hashMap2.put("versionName", str3);
            a(iVar, "get_install_state:yes_".concat(String.valueOf(i3)), hashMap2);
        }
        AppMethodBeat.o(9258);
        return true;
    }

    /* JADX WARNING: Removed duplicated region for block: B:35:0x00ca  */
    /* JADX WARNING: Removed duplicated region for block: B:24:0x008d  */
    /* JADX WARNING: Removed duplicated region for block: B:21:0x0087 A:{SKIP} */
    /* JADX WARNING: Removed duplicated region for block: B:33:0x00c6 A:{SKIP} */
    /* JADX WARNING: Removed duplicated region for block: B:24:0x008d  */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x00ca  */
    private boolean w(com.tencent.mm.plugin.webview.ui.tools.jsapi.i r12) {
        /*
        r11 = this;
        r10 = 0;
        r9 = 9259; // 0x242b float:1.2975E-41 double:4.5746E-320;
        r8 = 3;
        r4 = 0;
        r2 = 1;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r9);
        r0 = r12.puc;
        r1 = "desc";
        r0 = r0.get(r1);
        r0 = (java.lang.String) r0;
        r1 = r12.puc;
        r3 = "needResult";
        r1 = r1.get(r3);
        r1 = (java.lang.String) r1;
        r5 = com.tencent.mm.sdk.platformtools.bo.getInt(r1, r2);
        r1 = r12.puc;
        r3 = "scanType";
        r1 = r1.get(r3);
        r1 = (java.lang.String) r1;
        r3 = "MicroMsg.MsgHandler";
        r6 = "desc : %s, scene : %d, scanType : %s";
        r7 = new java.lang.Object[r8];
        r7[r4] = r0;
        r0 = java.lang.Integer.valueOf(r5);
        r7[r2] = r0;
        r0 = 2;
        r7[r0] = r1;
        com.tencent.mm.sdk.platformtools.ab.i(r3, r6, r7);
        r0 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r1);
        if (r0 == 0) goto L_0x0121;
    L_0x004a:
        r0 = r2;
        r3 = r2;
    L_0x004c:
        if (r1 == 0) goto L_0x011e;
    L_0x004e:
        r6 = new org.json.JSONArray;	 Catch:{ Exception -> 0x007a }
        r6.<init>(r1);	 Catch:{ Exception -> 0x007a }
        r1 = r0;
    L_0x0054:
        r0 = r6.length();	 Catch:{ Exception -> 0x0115 }
        if (r4 >= r0) goto L_0x0085;
    L_0x005a:
        r0 = r6.get(r4);	 Catch:{ Exception -> 0x0115 }
        r0 = (java.lang.String) r0;	 Catch:{ Exception -> 0x0115 }
        r7 = "qrCode";
        r7 = r0.equalsIgnoreCase(r7);	 Catch:{ Exception -> 0x0115 }
        if (r7 == 0) goto L_0x006f;
    L_0x0069:
        r0 = r1;
        r3 = r2;
    L_0x006b:
        r4 = r4 + 1;
        r1 = r0;
        goto L_0x0054;
    L_0x006f:
        r7 = "barCode";
        r0 = r0.equalsIgnoreCase(r7);	 Catch:{ Exception -> 0x0115 }
        if (r0 == 0) goto L_0x011b;
    L_0x0078:
        r0 = r2;
        goto L_0x006b;
    L_0x007a:
        r1 = move-exception;
        r1 = r0;
    L_0x007c:
        r0 = "MicroMsg.MsgHandler";
        r4 = "doScanQRCode, ex in scanType";
        com.tencent.mm.sdk.platformtools.ab.e(r0, r4);
    L_0x0085:
        if (r3 == 0) goto L_0x00c4;
    L_0x0087:
        if (r1 != 0) goto L_0x00c4;
    L_0x0089:
        r0 = 8;
    L_0x008b:
        if (r5 != 0) goto L_0x00ca;
    L_0x008d:
        r1 = "MicroMsg.MsgHandler";
        r3 = "doScanQRCode, startActivity to GetFriendQRCodeUI";
        com.tencent.mm.sdk.platformtools.ab.d(r1, r3);
        r1 = new android.content.Intent;
        r1.<init>();
        r3 = "BaseScanUI_select_scan_mode";
        r1.putExtra(r3, r0);
        r0 = r11.context;
        r0 = com.tencent.mm.r.a.bI(r0);
        if (r0 != 0) goto L_0x00ba;
    L_0x00a9:
        r0 = com.tencent.mm.bg.e.akI();
        if (r0 != 0) goto L_0x00ba;
    L_0x00af:
        r0 = r11.context;
        r3 = "scanner";
        r4 = ".ui.SingleTopScanUI";
        com.tencent.mm.bp.d.c(r0, r3, r4, r1);
    L_0x00ba:
        r0 = "scanQRCode:ok";
        r11.a(r12, r0, r10);
    L_0x00c0:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r9);
        return r2;
    L_0x00c4:
        if (r3 != 0) goto L_0x0118;
    L_0x00c6:
        if (r1 == 0) goto L_0x0118;
    L_0x00c8:
        r0 = 4;
        goto L_0x008b;
    L_0x00ca:
        if (r5 != r2) goto L_0x0105;
    L_0x00cc:
        r1 = new android.content.Intent;
        r1.<init>();
        r3 = "BaseScanUI_select_scan_mode";
        r1.putExtra(r3, r0);
        r0 = "BaseScanUI_only_scan_qrcode_with_zbar";
        r1.putExtra(r0, r2);
        r0 = "key_is_finish_on_scanned";
        r1.putExtra(r0, r2);
        r0 = "GetFriendQRCodeUI.INTENT_FROM_ACTIVITY";
        r1.putExtra(r0, r8);
        r0 = r11.context;
        r0 = com.tencent.mm.r.a.bI(r0);
        if (r0 != 0) goto L_0x00c0;
    L_0x00f1:
        r0 = com.tencent.mm.bg.e.akI();
        if (r0 != 0) goto L_0x00c0;
    L_0x00f7:
        r0 = r11.context;
        r3 = "scanner";
        r4 = ".ui.SingleTopScanUI";
        r5 = r11.cIv;
        com.tencent.mm.plugin.webview.stub.WebViewStubTempUI.a(r0, r3, r4, r1, r5);
        goto L_0x00c0;
    L_0x0105:
        r0 = "MicroMsg.MsgHandler";
        r1 = "unkown scene";
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1);
        r0 = "scanQRCode:fail_invalid_scene";
        r11.a(r12, r0, r10);
        goto L_0x00c0;
    L_0x0115:
        r0 = move-exception;
        goto L_0x007c;
    L_0x0118:
        r0 = r2;
        goto L_0x008b;
    L_0x011b:
        r0 = r1;
        goto L_0x006b;
    L_0x011e:
        r1 = r0;
        goto L_0x0085;
    L_0x0121:
        r0 = r4;
        r3 = r4;
        goto L_0x004c;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.webview.ui.tools.jsapi.g.w(com.tencent.mm.plugin.webview.ui.tools.jsapi.i):boolean");
    }

    private boolean x(i iVar) {
        AppMethodBeat.i(9260);
        String str = (String) iVar.puc.get("fontSize");
        if (str == null || str.length() == 0) {
            ab.e("MicroMsg.MsgHandler", "doSetFontSizeCb, fontSize is null");
            this.eBB = false;
            AppMethodBeat.o(9260);
        } else {
            ab.i("MicroMsg.MsgHandler", "doSetFontSizeCb, fontSize = ".concat(String.valueOf(str)));
            try {
                this.umI.afd(str);
            } catch (Exception e) {
                ab.w("MicroMsg.MsgHandler", "setFontSizeCb, ex = " + e.getMessage());
            }
            this.eBB = false;
            AppMethodBeat.o(9260);
        }
        return false;
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:0x0071  */
    /* JADX WARNING: Removed duplicated region for block: B:7:0x004c  */
    private boolean y(com.tencent.mm.plugin.webview.ui.tools.jsapi.i r12) {
        /*
        r11 = this;
        r10 = 0;
        r9 = 9261; // 0x242d float:1.2977E-41 double:4.5755E-320;
        r8 = 1;
        r6 = 0;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r9);
        r0 = "MicroMsg.MsgHandler";
        r1 = "start secureTunnel";
        com.tencent.mm.sdk.platformtools.ab.i(r0, r1);
        r2 = r11.getCurrentUrl();
        r3 = r11.bK(r2);
        r0 = r11.umI;	 Catch:{ Exception -> 0x0061 }
        r4 = r0.cZa();	 Catch:{ Exception -> 0x0061 }
        r0 = "MicroMsg.MsgHandler";
        r1 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x013f }
        r5 = "securetunnel getA8keyscene: ";
        r1.<init>(r5);	 Catch:{ Exception -> 0x013f }
        r5 = r11.umI;	 Catch:{ Exception -> 0x013f }
        r5 = r5.cZa();	 Catch:{ Exception -> 0x013f }
        r1 = r1.append(r5);	 Catch:{ Exception -> 0x013f }
        r1 = r1.toString();	 Catch:{ Exception -> 0x013f }
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1);	 Catch:{ Exception -> 0x013f }
    L_0x003b:
        r0 = r12.puc;
        r1 = "type";
        r0 = r0.get(r1);
        r0 = (java.lang.String) r0;
        r0 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r0 == 0) goto L_0x0071;
    L_0x004c:
        r0 = "MicroMsg.MsgHandler";
        r1 = "securetunnel type nil";
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1);
        r0 = "secureTunnel:fail";
        r11.a(r12, r0, r10);
        r11.eBB = r6;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r9);
    L_0x0060:
        return r8;
    L_0x0061:
        r0 = move-exception;
        r4 = r6;
    L_0x0063:
        r1 = "MicroMsg.MsgHandler";
        r5 = "getCurrentUrl, exception = %s";
        r7 = new java.lang.Object[r8];
        r7[r6] = r0;
        com.tencent.mm.sdk.platformtools.ab.e(r1, r5, r7);
        goto L_0x003b;
    L_0x0071:
        r0 = r12.puc;
        r1 = "reqbuf";
        r0 = r0.get(r1);
        r0 = (java.lang.String) r0;
        r0 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r0 == 0) goto L_0x0097;
    L_0x0082:
        r0 = "MicroMsg.MsgHandler";
        r1 = "securetunnel reqbuf nil";
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1);
        r0 = "secureTunnel:fail";
        r11.a(r12, r0, r10);
        r11.eBB = r6;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r9);
        goto L_0x0060;
    L_0x0097:
        r0 = r12.puc;
        r1 = "cmd";
        r0 = r0.get(r1);
        r0 = (java.lang.String) r0;
        r0 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r0 == 0) goto L_0x00bd;
    L_0x00a8:
        r0 = "MicroMsg.MsgHandler";
        r1 = "securetunnel cmd nil";
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1);
        r0 = "secureTunnel:fail";
        r11.a(r12, r0, r10);
        r11.eBB = r6;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r9);
        goto L_0x0060;
    L_0x00bd:
        r0 = r12.puc;
        r1 = "timeout";
        r0 = r0.containsKey(r1);
        if (r0 == 0) goto L_0x00e5;
    L_0x00c8:
        r0 = r12.puc;
        r1 = "timeout";
        r0 = r0.get(r1);
        r0 = (java.lang.String) r0;
        r0 = com.tencent.mm.sdk.platformtools.bo.ank(r0);
        if (r0 == 0) goto L_0x00e5;
    L_0x00d9:
        r1 = r12.puc;
        r5 = "timeout";
        r0 = java.lang.Integer.valueOf(r0);
        r1.put(r5, r0);
    L_0x00e5:
        r5 = new com.tencent.mm.plugin.webview.ui.tools.jsapi.g$46;
        r5.<init>(r11, r12);
        r0 = r12.puc;
        r1 = "type";
        r0 = r0.get(r1);
        r0 = (java.lang.String) r0;
        r1 = "wxpay";
        r0 = r0.equals(r1);
        if (r0 == 0) goto L_0x011b;
    L_0x00fe:
        r0 = "MicroMsg.MsgHandler";
        r1 = "secureTunnel doscene";
        com.tencent.mm.sdk.platformtools.ab.i(r0, r1);
        r0 = com.tencent.mm.pluginsdk.wallet.b.class;
        r0 = com.tencent.mm.kernel.g.K(r0);
        r0 = (com.tencent.mm.pluginsdk.wallet.b) r0;
        r1 = r12.puc;
        r0.a(r1, r2, r3, r4, r5);
        r11.eBB = r6;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r9);
        goto L_0x0060;
    L_0x011b:
        r0 = "MicroMsg.MsgHandler";
        r1 = "secureTunnel callback fail: invalid type";
        com.tencent.mm.sdk.platformtools.ab.i(r0, r1);
        r0 = new java.util.HashMap;
        r0.<init>();
        r1 = "err_desc";
        r2 = "invalid type";
        r0.put(r1, r2);
        r1 = "secureTunnel:fail";
        r11.a(r12, r1, r0);
        r11.eBB = r6;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r9);
        goto L_0x0060;
    L_0x013f:
        r0 = move-exception;
        goto L_0x0063;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.webview.ui.tools.jsapi.g.y(com.tencent.mm.plugin.webview.ui.tools.jsapi.i):boolean");
    }

    private boolean z(i iVar) {
        AppMethodBeat.i(9262);
        ab.d("MicroMsg.MsgHandler", "hy: doGetPayResultReq");
        if (this.context instanceof MMActivity) {
            com.tencent.mm.pluginsdk.wallet.g gVar = new com.tencent.mm.pluginsdk.wallet.g(iVar.puc);
            mg mgVar = new mg();
            mgVar.cIc.appId = gVar.appId;
            mgVar.cIc.partnerId = gVar.partnerId;
            mgVar.cIc.signType = gVar.signType;
            mgVar.cIc.nonceStr = gVar.nonceStr;
            mgVar.cIc.timeStamp = gVar.timeStamp;
            mgVar.cIc.packageExt = gVar.packageExt;
            mgVar.cIc.cId = gVar.cId;
            mgVar.cIc.url = gVar.url;
            mgVar.cIc.cIe = gVar.cIe;
            mgVar.cIc.cIf = gVar.cIf;
            mgVar.cIc.cvS = gVar.cvS;
            mgVar.cIc.cIg = gVar.cIg;
            com.tencent.mm.sdk.b.a.xxA.m(mgVar);
            c(21, -1, null);
        }
        l.a(iVar.uII, false, null, (String) iVar.puc.get("appId"));
        AppMethodBeat.o(9262);
        return true;
    }

    private boolean A(i iVar) {
        AppMethodBeat.i(9263);
        ab.i("MicroMsg.MsgHandler", "doOpenProductView");
        String str = (String) iVar.puc.get("productInfo");
        String str2 = (String) iVar.puc.get("url");
        Integer valueOf = Integer.valueOf(0);
        try {
            valueOf = Integer.valueOf(new JSONObject(str).getInt("product_type"));
        } catch (Exception e) {
            ab.printErrStackTrace("MicroMsg.MsgHandler", e, "", new Object[0]);
        }
        Intent intent = new Intent();
        intent.putExtra("key_product_info", str);
        intent.putExtra("key_source_url", str2);
        boolean a = a(valueOf, 3, 0, null, intent);
        AppMethodBeat.o(9263);
        return a;
    }

    private boolean a(java.lang.Integer r8, int r9, int r10, java.lang.String r11, android.content.Intent r12) {
        /*
        r7 = this;
        r6 = 9264; // 0x2430 float:1.2982E-41 double:4.577E-320;
        r3 = 0;
        r5 = 1;
        r4 = 0;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r6);
        r0 = "key_product_scene";
        r12.putExtra(r0, r9);
        r0 = "MicroMsg.MsgHandler";
        r1 = "doOpenProductView, productType = %d";
        r2 = new java.lang.Object[r5];
        r2[r3] = r8;
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1, r2);
        r0 = r7.context;
        r0 = r0 instanceof com.tencent.mm.ui.MMActivity;
        if (r0 == 0) goto L_0x0062;
    L_0x0021:
        r0 = r7.context;
        r0 = (com.tencent.mm.ui.MMActivity) r0;
        r0.ifE = r7;
        r0 = r8.intValue();
        switch(r0) {
            case 0: goto L_0x004b;
            case 10000: goto L_0x009a;
            case 20000: goto L_0x009a;
            default: goto L_0x002e;
        };
    L_0x002e:
        r0 = "MicroMsg.MsgHandler";
        r1 = "doOpenProductView fail, productType = %d";
        r2 = new java.lang.Object[r5];
        r2[r3] = r8;
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1, r2);
        r0 = 8;
        if (r9 != r0) goto L_0x00ae;
    L_0x003f:
        r0 = r7.uGd;
        r1 = "open_product_view_with_id:fail";
        r7.a(r0, r1, r4);
    L_0x0047:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r6);
        return r5;
    L_0x004b:
        switch(r10) {
            case 0: goto L_0x006b;
            case 1: goto L_0x007f;
            default: goto L_0x004e;
        };
    L_0x004e:
        r0 = "MicroMsg.MsgHandler";
        r1 = "doOpenProductView fail, productType = %d, viewType = %d";
        r2 = 2;
        r2 = new java.lang.Object[r2];
        r2[r3] = r8;
        r3 = java.lang.Integer.valueOf(r10);
        r2[r5] = r3;
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1, r2);
    L_0x0062:
        r0 = r7.uGd;
        r1 = "open_product_view:fail";
        r7.a(r0, r1, r4);
        goto L_0x0047;
    L_0x006b:
        r0 = r7.context;
        r1 = "product";
        r2 = ".ui.MallProductUI";
        com.tencent.mm.bp.d.b(r0, r1, r2, r12);
        r0 = r7.uGd;
        r1 = "open_product_view:ok";
        r7.a(r0, r1, r4);
        goto L_0x0047;
    L_0x007f:
        r0 = "key_Qrcode_Url";
        r12.putExtra(r0, r11);
        r0 = "key_ProductUI_getProductInfoScene";
        r1 = 4;
        r12.putExtra(r0, r1);
        r0 = r7.context;
        r1 = "scanner";
        r2 = ".ui.ProductUI";
        r3 = 10;
        com.tencent.mm.bp.d.b(r0, r1, r2, r12, r3);
        goto L_0x0047;
    L_0x009a:
        r0 = r7.context;
        r1 = "card";
        r2 = ".ui.CardProductUI";
        com.tencent.mm.bp.d.b(r0, r1, r2, r12);
        r0 = r7.uGd;
        r1 = "open_product_view:ok";
        r7.a(r0, r1, r4);
        goto L_0x0047;
    L_0x00ae:
        r0 = r7.uGd;
        r1 = "open_product_view:fail";
        r7.a(r0, r1, r4);
        goto L_0x0047;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.webview.ui.tools.jsapi.g.a(java.lang.Integer, int, int, java.lang.String, android.content.Intent):boolean");
    }

    private boolean a(i iVar, int... iArr) {
        AppMethodBeat.i(9265);
        BluetoothAdapter defaultAdapter = BluetoothAdapter.getDefaultAdapter();
        if (VERSION.SDK_INT < 18) {
            a(iVar, "startMonitoringBeacons:system unsupported", null);
            AppMethodBeat.o(9265);
        } else {
            if (!(defaultAdapter == null || defaultAdapter.getState() == 12)) {
                if (defaultAdapter.getState() == 10) {
                    a(iVar, "startMonitoringBeacons:bluetooth power off", null);
                } else {
                    a(iVar, "startMonitoringBeacons:bluetooth state unknown", null);
                }
            }
            if (iArr == null || iArr.length == 0) {
                boolean isProviderEnabled = ((LocationManager) ah.getContext().getSystemService("location")).isProviderEnabled(TencentLocation.GPS_PROVIDER);
                boolean o = com.tencent.mm.pluginsdk.permission.b.o(ah.getContext(), "android.permission.ACCESS_COARSE_LOCATION");
                ab.i("MicroMsg.MsgHandler", "startMonitoringBeacons isGPSEnable:%b, hasGPSPerm:%b", new Object[]{Boolean.valueOf(isProviderEnabled), Boolean.valueOf(o)});
                if (!isProviderEnabled) {
                    a(iVar, "startMonitoringBeacons:location service disable", null);
                    ab.e("MicroMsg.MsgHandler", "startMonitoringBeacons:location service disable");
                }
                SensorManager sensorManager = (SensorManager) ah.getContext().getSystemService("sensor");
                sensorManager.registerListener(this.uGJ, sensorManager.getDefaultSensor(3), 0);
            }
            if (this.uGI) {
                a(iVar, "startMonitoringBeacons:already started", null);
            } else {
                this.uGI = true;
                a(iVar, "startMonitoringBeacons:ok", null);
            }
            if (!(iVar == null || iVar.puc == null)) {
                Object obj = iVar.puc.get("uuid");
                Object obj2 = iVar.puc.get("url");
                Object obj3 = iVar.puc.get("ticket");
                String obj4 = obj2 != null ? obj2.toString() : "";
                String obj5 = obj != null ? obj.toString() : "";
                h.pYm.e(12101, new Object[]{String.valueOf(bo.nullAsNil(this.uGr.agj(obj4))), String.valueOf(obj4), this.uGG, this.uGH, String.valueOf(obj3 != null ? obj3.toString() : "")});
                new StringBuilder("{\"UUID\":\"").append(obj5).append("\",\"Major\":0,\"Minor\":0}");
                ae aeVar = new ae(obj4, r4, obj);
                com.tencent.mm.kernel.g.Rg().a(1702, new 53(this, aeVar, iVar));
                com.tencent.mm.kernel.g.Rg().a(aeVar, 0);
            }
            AppMethodBeat.o(9265);
        }
        return true;
    }

    private boolean agA(String str) {
        AppMethodBeat.i(9266);
        BluetoothAdapter defaultAdapter = BluetoothAdapter.getDefaultAdapter();
        if (VERSION.SDK_INT >= 18 && defaultAdapter != null) {
            com.tencent.mm.sdk.b.a.xxA.c(this.qwg);
            String nullAsNil = bo.nullAsNil(str);
            this.uGA.put(nullAsNil, nullAsNil);
            ab.i("MicroMsg.MsgHandler", "[MsgHandler][doStartIBeaconRange]op=true,iBeacon = %s", new Object[]{nullAsNil});
            Editor edit = ah.getContext().getSharedPreferences("com.tencent.mm_exdevice_ibeacon_isNewScanning", 4).edit();
            edit.putBoolean("isNewScanning", true);
            edit.commit();
            if (com.tencent.mm.kernel.g.RK()) {
                com.tencent.mm.kernel.g.RP().Ry().set(ac.a.xMm, Boolean.TRUE);
            }
            ds dsVar = new ds();
            dsVar.cxg.cxi = nullAsNil;
            dsVar.cxg.cxf = true;
            com.tencent.mm.sdk.b.a.xxA.m(dsVar);
        }
        AppMethodBeat.o(9266);
        return true;
    }

    public final boolean b(i iVar, int... iArr) {
        AppMethodBeat.i(9267);
        if (VERSION.SDK_INT >= 18) {
            boolean a;
            com.tencent.mm.sdk.b.a.xxA.d(this.qwg);
            if (com.tencent.mm.kernel.g.RK()) {
                a = bo.a((Boolean) com.tencent.mm.kernel.g.RP().Ry().get(ac.a.xMr, null), false);
            } else {
                a = false;
            }
            for (String str : this.uGA.keySet()) {
                ds dsVar = new ds();
                ab.i("MicroMsg.MsgHandler", "[MsgHandler][doStopIBeaconRange]op=false,iBeacon = %s", new Object[]{str});
                dsVar.cxg.cxi = str;
                dsVar.cxg.cxf = false;
                if (!a) {
                    com.tencent.mm.sdk.b.a.xxA.m(dsVar);
                }
            }
            if (com.tencent.mm.kernel.g.RK()) {
                com.tencent.mm.kernel.g.RP().Ry().set(ac.a.xMm, Boolean.FALSE);
            }
            Editor edit = ah.getContext().getSharedPreferences("com.tencent.mm_exdevice_ibeacon_isNewScanning", 4).edit();
            edit.putBoolean("isNewScanning", false);
            edit.commit();
            this.uGA.clear();
            this.ecv.clear();
            this.uGB.clear();
            this.uGC.clear();
            this.uGI = false;
            if (iArr == null || iArr.length == 0) {
                a(iVar, "stopMonitoringBeacons:ok", null);
                this.uGI = false;
            }
        }
        if (this.uGJ != null) {
            ((SensorManager) ah.getContext().getSystemService("sensor")).unregisterListener(this.uGJ);
        }
        AppMethodBeat.o(9267);
        return true;
    }

    private boolean dcy() {
        String currentUrl;
        AppMethodBeat.i(9268);
        ab.i("MicroMsg.MsgHandler", "doGetLatestAddress JSOAUTH");
        String str = "";
        try {
            currentUrl = this.umI.getCurrentUrl();
        } catch (Exception e) {
            ab.w("MicroMsg.MsgHandler", "exception in get currentUrl %s", new Object[]{e.getMessage()});
            currentUrl = str;
        }
        String str2 = "get_recently_used_address:";
        if (currentUrl == null) {
            a(this.uGd, str2 + "fail", null);
        } else {
            nd ndVar = new nd();
            ndVar.cJl.appId = (String) this.uGd.puc.get("appId");
            ndVar.cJl.url = currentUrl;
            ndVar.cJm.errCode = -119;
            ndVar.callback = new 25(this, ndVar, str2);
            com.tencent.mm.sdk.b.a.xxA.a(ndVar, Looper.getMainLooper());
        }
        AppMethodBeat.o(9268);
        return true;
    }

    private boolean C(i iVar) {
        int i;
        AppMethodBeat.i(9270);
        h.pYm.a(157, 27, 1, false);
        String str = (String) iVar.puc.get("task_name");
        String str2 = (String) iVar.puc.get("task_url");
        String str3 = (String) iVar.puc.get("alternative_url");
        long j = bo.getLong((String) iVar.puc.get("task_size"), 0);
        String str4 = (String) iVar.puc.get("file_md5");
        String str5 = (String) iVar.puc.get("extInfo");
        String str6 = (String) iVar.puc.get("fileType");
        String str7 = (String) iVar.puc.get("appid");
        String str8 = (String) iVar.puc.get("package_name");
        int i2 = bo.getInt((String) iVar.puc.get("scene"), CredentialsApi.ACTIVITY_RESULT_ADD_ACCOUNT);
        ab.i("MicroMsg.MsgHandler", "doAddDownloadTaskStraight, md5 = " + str4 + ", url = " + str2 + ", extinfo = " + str5 + ", fileType = " + str6 + ", reportScene = " + i2);
        if (this.uGh != null) {
            i = this.uGh.getInt("key_download_restrict", 0);
            if (!bo.isNullOrNil(this.uGh.getString("key_function_id", ""))) {
                h.pYm.e(14596, new Object[]{r14, Integer.valueOf(i), Integer.valueOf(0)});
            }
            if (i == 1) {
                ab.e("MicroMsg.MsgHandler", "not allow to download file");
                a(iVar, "add_download_task_straight:fail", null);
                AppMethodBeat.o(9270);
                return true;
            }
        }
        if (bo.isNullOrNil(str2)) {
            ab.e("MicroMsg.MsgHandler", "doAddDownloadTaskStraight fail, url is null");
            a(iVar, "add_download_task_straight:fail_invalid_url", null);
            u(str7, com.tencent.mm.plugin.downloader.a.a.DOWNLOAD_ERR_URL_INVALID, str5);
            AppMethodBeat.o(9270);
            return true;
        }
        long b;
        if (bo.nullAsNil(str7).startsWith("wx")) {
            i = bo.getInt((String) iVar.puc.get("downloader_type"), 1);
        } else {
            i = bo.getInt((String) iVar.puc.get("downloader_type"), 0);
        }
        gw gwVar = new gw();
        gwVar.cBC.url = str2;
        gwVar.cBC.cvZ = str4;
        gwVar.cBC.extInfo = str5;
        gwVar.cBC.appId = str7;
        gwVar.cBC.scene = i2;
        com.tencent.mm.sdk.b.a.xxA.m(gwVar);
        com.tencent.mm.plugin.downloader.model.e.a aVar = new com.tencent.mm.plugin.downloader.model.e.a();
        aVar.It(str2);
        aVar.Iu(str3);
        aVar.hA(j);
        aVar.Iv(str);
        aVar.Iw(str4);
        aVar.setAppId(str7);
        aVar.cY(str8);
        aVar.ga(true);
        aVar.tN(bo.getInt(str6, 1));
        aVar.setScene(i2);
        aVar.Ix(str5);
        com.tencent.mm.plugin.downloader.model.e eVar = aVar.kNl;
        if (i == 1) {
            b = com.tencent.mm.plugin.downloader.model.d.bij().b(eVar);
        } else {
            b = com.tencent.mm.plugin.downloader.model.d.bij().a(eVar);
        }
        ab.i("MicroMsg.MsgHandler", "doAddDownloadTaskStraight, downloadId = ".concat(String.valueOf(b)));
        com.tencent.mm.modelstat.d.b(10, "MsgHandler_doAddDownloadTaskStraight", hashCode());
        if (b <= 0) {
            ab.e("MicroMsg.MsgHandler", "doAddDownloadTaskStraight fail, downloadId = ".concat(String.valueOf(b)));
            a(iVar, "add_download_task_straight:fail", null);
        } else {
            Map hashMap = new HashMap();
            hashMap.put("download_id", Long.valueOf(b));
            a(iVar, "add_download_task_straight:ok", hashMap);
        }
        AppMethodBeat.o(9270);
        return true;
    }

    private static void u(String str, int i, String str2) {
        AppMethodBeat.i(9271);
        hc hcVar = new hc();
        hcVar.cBN.appId = str;
        hcVar.cBN.opType = 2;
        hcVar.cBN.cBO = i;
        hcVar.cBN.cvq = str2;
        com.tencent.mm.sdk.b.a.xxA.m(hcVar);
        AppMethodBeat.o(9271);
    }

    private boolean D(i iVar) {
        AppMethodBeat.i(9272);
        long j = bo.getLong((String) iVar.puc.get("download_id"), -1);
        ab.i("MicroMsg.MsgHandler", "doResumeDownloadTask, downloadId = ".concat(String.valueOf(j)));
        if (j <= 0) {
            ab.e("MicroMsg.MsgHandler", "doResumeDownloadTask fail, invalid downloadId = ".concat(String.valueOf(j)));
            a(iVar, "resume_download_task:fail", null);
            AppMethodBeat.o(9272);
        } else {
            com.tencent.mm.plugin.downloader.f.a hv = com.tencent.mm.plugin.downloader.model.c.hv(j);
            if (hv != null && hv.field_fromDownloadApp) {
                hv.field_fromDownloadApp = false;
                hv.field_showNotification = true;
                com.tencent.mm.plugin.downloader.model.c.e(hv);
                ((com.tencent.mm.plugin.downloader_app.a.d) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.downloader_app.a.d.class)).kP(hv.field_appId);
            }
            boolean ho = com.tencent.mm.plugin.downloader.model.d.bij().ho(j);
            ab.i("MicroMsg.MsgHandler", "doResumeDownloadTask, ret = ".concat(String.valueOf(ho)));
            com.tencent.mm.modelstat.d.b(10, "MsgHandler_doResumeDownloadTask", hashCode());
            if (ho) {
                a(iVar, "resume_download_task:ok", null);
            } else {
                a(iVar, "resume_download_task:fail", null);
            }
            AppMethodBeat.o(9272);
        }
        return true;
    }

    private boolean a(String str, i iVar) {
        AppMethodBeat.i(9273);
        try {
            JSONArray jSONArray = new JSONArray(str);
            if (jSONArray.length() > 0) {
                JSONObject jSONObject = new JSONObject();
                for (int i = 0; i < jSONArray.length(); i++) {
                    Object obj;
                    String string = jSONArray.getString(i);
                    FileDownloadTaskInfo Ir = com.tencent.mm.plugin.downloader.model.d.bij().Ir(string);
                    JSONObject jSONObject2 = new JSONObject();
                    switch (Ir.status) {
                        case -1:
                            obj = "api_not_support";
                            break;
                        case 1:
                            obj = "downloading";
                            break;
                        case 2:
                            obj = "download_pause";
                            break;
                        case 3:
                            if (!com.tencent.mm.vfs.e.ct(Ir.path)) {
                                obj = "default";
                                break;
                            }
                            obj = "download_succ";
                            break;
                        case 4:
                            obj = "download_fail";
                            break;
                        default:
                            obj = "default";
                            break;
                    }
                    jSONObject2.put("download_id", Ir.id);
                    jSONObject2.put(ServerProtocol.DIALOG_PARAM_STATE, obj);
                    if (Ir.kNu) {
                        jSONObject2.put("reserve_for_wifi", 1);
                    }
                    if (Ir.jrb != 0) {
                        float f = (((float) Ir.kNr) * 100.0f) / ((float) Ir.jrb);
                        jSONObject2.put("progress", (Ir.kNr * 100) / Ir.jrb);
                        jSONObject2.put("progress_float", (double) f);
                    }
                    jSONObject.put(string, jSONObject2);
                }
                Map hashMap = new HashMap();
                hashMap.put("result", jSONObject);
                a(iVar, "query_download_task:ok", hashMap);
            } else {
                a(iVar, "query_download_task:fail", null);
            }
        } catch (JSONException e) {
            ab.e("MicroMsg.MsgHandler", e.getMessage());
            a(iVar, "query_download_task:fail", null);
        }
        AppMethodBeat.o(9273);
        return true;
    }

    /* JADX WARNING: Removed duplicated region for block: B:35:0x019a  */
    /* JADX WARNING: Removed duplicated region for block: B:22:0x00e6  */
    /* JADX WARNING: Removed duplicated region for block: B:17:0x00d2  */
    /* JADX WARNING: Removed duplicated region for block: B:22:0x00e6  */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x019a  */
    private boolean E(com.tencent.mm.plugin.webview.ui.tools.jsapi.i r15) {
        /*
        r14 = this;
        r13 = 2;
        r12 = 0;
        r11 = 9274; // 0x243a float:1.2996E-41 double:4.582E-320;
        r5 = 0;
        r10 = 1;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r11);
        r0 = r14.uGh;
        if (r0 == 0) goto L_0x0055;
    L_0x000d:
        r0 = r14.uGh;
        r1 = "key_download_restrict";
        r0 = r0.getInt(r1, r5);
        r1 = r14.uGh;
        r2 = "key_function_id";
        r3 = "";
        r1 = r1.getString(r2, r3);
        r2 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r1);
        if (r2 != 0) goto L_0x0040;
    L_0x0028:
        r2 = com.tencent.mm.plugin.report.service.h.pYm;
        r3 = 14596; // 0x3904 float:2.0453E-41 double:7.2114E-320;
        r4 = 3;
        r4 = new java.lang.Object[r4];
        r4[r5] = r1;
        r1 = java.lang.Integer.valueOf(r0);
        r4[r10] = r1;
        r1 = java.lang.Integer.valueOf(r10);
        r4[r13] = r1;
        r2.e(r3, r4);
    L_0x0040:
        if (r0 != r10) goto L_0x0055;
    L_0x0042:
        r0 = "MicroMsg.MsgHandler";
        r1 = "not allow tolaunch 3rd app";
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1);
        r0 = "launch_3rdApp:fail";
        r14.a(r15, r0, r12);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r11);
    L_0x0054:
        return r10;
    L_0x0055:
        r0 = r15.puc;
        r1 = "type";
        r0 = r0.get(r1);
        r0 = (java.lang.String) r0;
        r1 = r15.puc;
        r2 = "appID";
        r1 = r1.get(r2);
        r1 = (java.lang.String) r1;
        r2 = com.tencent.mm.sdk.platformtools.bo.anT();
        r6 = r14.uGx;
        r6 = r2 - r6;
        r2 = "MicroMsg.MsgHandler";
        r3 = "lauchTimeInterval = %d";
        r4 = new java.lang.Object[r10];
        r8 = java.lang.Long.valueOf(r6);
        r4[r5] = r8;
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3, r4);
        r4 = "";
        r2 = "";
        r8 = 2;
        r3 = (r6 > r8 ? 1 : (r6 == r8 ? 0 : -1));
        if (r3 >= 0) goto L_0x0127;
    L_0x0090:
        r6 = r14.uGx;
        r8 = 0;
        r3 = (r6 > r8 ? 1 : (r6 == r8 ? 0 : -1));
        if (r3 <= 0) goto L_0x0127;
    L_0x0098:
        r3 = r14.umI;	 Catch:{ Exception -> 0x011a }
        r3 = r3.getCurrentUrl();	 Catch:{ Exception -> 0x011a }
        r4 = r14.uGr;	 Catch:{ Exception -> 0x011a }
        r2 = r4.agj(r3);	 Catch:{ Exception -> 0x011a }
        r4 = "UTF-8";
        r4 = java.net.URLEncoder.encode(r3, r4);	 Catch:{ Exception -> 0x011a }
        r3 = com.tencent.mm.plugin.report.service.h.pYm;	 Catch:{ Exception -> 0x011a }
        r6 = 13983; // 0x369f float:1.9594E-41 double:6.9085E-320;
        r7 = 3;
        r7 = new java.lang.Object[r7];	 Catch:{ Exception -> 0x011a }
        r8 = 0;
        r9 = 5;
        r9 = java.lang.Integer.valueOf(r9);	 Catch:{ Exception -> 0x011a }
        r7[r8] = r9;	 Catch:{ Exception -> 0x011a }
        r8 = 1;
        r7[r8] = r4;	 Catch:{ Exception -> 0x011a }
        r8 = 2;
        r9 = "";
        r7[r8] = r9;	 Catch:{ Exception -> 0x011a }
        r3.e(r6, r7);	 Catch:{ Exception -> 0x011a }
        r3 = r2;
    L_0x00c7:
        r2 = r15.uII;
        com.tencent.mm.plugin.webview.ui.tools.jsapi.l.a(r2, r5, r12, r1);
        r2 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r2 != 0) goto L_0x013b;
    L_0x00d2:
        r2 = 0;
        r2 = com.tencent.mm.sdk.platformtools.bo.getInt(r0, r2);	 Catch:{ Exception -> 0x0129 }
    L_0x00d7:
        r6 = "MicroMsg.MsgHandler";
        r7 = "doLaunch3RdApp launchType = %s";
        r8 = new java.lang.Object[r10];
        r8[r5] = r0;
        com.tencent.mm.sdk.platformtools.ab.i(r6, r7, r8);
        if (r2 != 0) goto L_0x019a;
    L_0x00e6:
        r0 = r15.puc;
        r2 = "extInfo";
        r0 = r0.get(r2);
        r0 = (java.lang.String) r0;
        r2 = "MicroMsg.MsgHandler";
        r3 = "doLaunch3RdApp, appid:[%s], extinfo:[%s]";
        r4 = new java.lang.Object[r13];
        r4[r5] = r1;
        r4[r10] = r0;
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3, r4);
        r2 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r1);
        if (r2 == 0) goto L_0x013d;
    L_0x0106:
        r0 = "MicroMsg.MsgHandler";
        r1 = "appid is null or nil";
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1);
        r0 = "launch_3rdApp:fail";
        r14.a(r15, r0, r12);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r11);
        goto L_0x0054;
    L_0x011a:
        r3 = move-exception;
        r4 = "";
        r3 = "MicroMsg.MsgHandler";
        r6 = "report lauch3rd failed";
        com.tencent.mm.sdk.platformtools.ab.e(r3, r6);
    L_0x0127:
        r3 = r2;
        goto L_0x00c7;
    L_0x0129:
        r2 = move-exception;
        r6 = "MicroMsg.MsgHandler";
        r7 = "invalid type";
        r8 = new java.lang.Object[r10];
        r2 = r2.getMessage();
        r8[r5] = r2;
        com.tencent.mm.sdk.platformtools.ab.e(r6, r7, r8);
    L_0x013b:
        r2 = r5;
        goto L_0x00d7;
    L_0x013d:
        r2 = com.tencent.mm.plugin.webview.a.a.gkF;
        r3 = com.tencent.mm.sdk.platformtools.ah.getContext();
        r2 = r2.u(r3, r1);
        if (r2 != 0) goto L_0x0161;
    L_0x0149:
        r0 = "MicroMsg.MsgHandler";
        r2 = "app is not installed, appid:[%s]";
        r3 = new java.lang.Object[r10];
        r3[r5] = r1;
        com.tencent.mm.sdk.platformtools.ab.e(r0, r2, r3);
        r0 = "launch_3rdApp:fail";
        r14.a(r15, r0, r12);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r11);
        goto L_0x0054;
    L_0x0161:
        r2 = new com.tencent.mm.opensdk.modelmsg.WXAppExtendObject;
        r2.<init>();
        r2.extInfo = r0;
        r3 = new com.tencent.mm.opensdk.modelmsg.WXMediaMessage;
        r3.<init>(r2);
        r2 = 620954368; // 0x25030300 float:1.1363455E-16 double:3.06792221E-315;
        r3.sdkVer = r2;
        r3.messageExt = r0;
        r0 = new com.tencent.mm.g.a.jc;
        r0.<init>();
        r2 = r0.cEj;
        r2.cEl = r3;
        r2 = r0.cEj;
        r2.appId = r1;
        r1 = r0.cEj;
        r2 = r14.context;
        r1.context = r2;
        r1 = r0.cEj;
        r2 = new com.tencent.mm.plugin.webview.ui.tools.jsapi.g$67;
        r2.<init>(r14, r15);
        r1.cEm = r2;
        r1 = com.tencent.mm.sdk.b.a.xxA;
        r1.m(r0);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r11);
        goto L_0x0054;
    L_0x019a:
        if (r2 != r10) goto L_0x0299;
    L_0x019c:
        r0 = r15.puc;
        r1 = "signature";
        r0 = r0.get(r1);
        r0 = (java.lang.String) r0;
        r1 = r15.puc;
        r2 = "packageName";
        r1 = r1.get(r2);
        r1 = (java.lang.String) r1;
        r2 = r15.puc;
        r6 = "param";
        r2 = r2.get(r6);
        r2 = (java.lang.String) r2;
        r6 = "MicroMsg.MsgHandler";
        r7 = "doLaunch3RdApp, signature:[%s], packageName:[%s], param:[%s]";
        r8 = 3;
        r8 = new java.lang.Object[r8];
        r8[r5] = r0;
        r8[r10] = r1;
        r8[r13] = r2;
        com.tencent.mm.sdk.platformtools.ab.i(r6, r7, r8);
        r6 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r6 != 0) goto L_0x01db;
    L_0x01d5:
        r6 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r1);
        if (r6 == 0) goto L_0x01ef;
    L_0x01db:
        r0 = "MicroMsg.MsgHandler";
        r1 = "doLaunch3RdApp invalid_args";
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1);
        r0 = "launch_3rdApp:fail_invalid_args";
        r14.a(r15, r0, r12);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r11);
        goto L_0x0054;
    L_0x01ef:
        r6 = r14.context;
        r6 = com.tencent.mm.pluginsdk.model.app.p.u(r6, r1);
        if (r6 != 0) goto L_0x020b;
    L_0x01f7:
        r0 = "MicroMsg.MsgHandler";
        r1 = "doLaunch3RdApp not_install";
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1);
        r0 = "launch_3rdApp:fail_not_install";
        r14.a(r15, r0, r12);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r11);
        goto L_0x0054;
    L_0x020b:
        r6 = r14.context;
        r6 = com.tencent.mm.pluginsdk.model.app.p.bx(r6, r1);
        if (r6 == 0) goto L_0x0285;
    L_0x0213:
        r7 = r6[r5];
        if (r7 == 0) goto L_0x0285;
    L_0x0217:
        r6 = r6[r5];
        r6 = r6.toByteArray();
        r6 = com.tencent.mm.a.g.x(r6);
        if (r6 == 0) goto L_0x0285;
    L_0x0223:
        r0 = r6.equalsIgnoreCase(r0);
        if (r0 == 0) goto L_0x0285;
    L_0x0229:
        r0 = com.tencent.mm.sdk.platformtools.ah.getContext();	 Catch:{ Exception -> 0x0268 }
        r0 = r0.getPackageManager();	 Catch:{ Exception -> 0x0268 }
        r0 = r0.getLaunchIntentForPackage(r1);	 Catch:{ Exception -> 0x0268 }
        if (r0 == 0) goto L_0x027a;
    L_0x0237:
        r1 = new android.os.Bundle;	 Catch:{ Exception -> 0x0268 }
        r1.<init>();	 Catch:{ Exception -> 0x0268 }
        com.tencent.mm.pluginsdk.model.app.p.j(r1, r2);	 Catch:{ Exception -> 0x0268 }
        r0.putExtras(r1);	 Catch:{ Exception -> 0x0268 }
        r1 = 268435456; // 0x10000000 float:2.5243549E-29 double:1.32624737E-315;
        r0.addFlags(r1);	 Catch:{ Exception -> 0x0268 }
        r1 = new android.os.Bundle;	 Catch:{ Exception -> 0x0268 }
        r1.<init>();	 Catch:{ Exception -> 0x0268 }
        r2 = "current_page_url";
        r1.putString(r2, r4);	 Catch:{ Exception -> 0x0268 }
        r2 = "current_page_appid";
        r1.putString(r2, r3);	 Catch:{ Exception -> 0x0268 }
        r2 = r14.context;	 Catch:{ Exception -> 0x0268 }
        r3 = 0;
        r4 = new com.tencent.mm.plugin.webview.ui.tools.jsapi.g$68;	 Catch:{ Exception -> 0x0268 }
        r4.<init>(r14, r15);	 Catch:{ Exception -> 0x0268 }
        com.tencent.mm.pluginsdk.model.app.g.a(r2, r0, r3, r4, r1);	 Catch:{ Exception -> 0x0268 }
        com.tencent.matrix.trace.core.AppMethodBeat.o(r11);
        goto L_0x0054;
    L_0x0268:
        r0 = move-exception;
        r1 = "MicroMsg.MsgHandler";
        r2 = "doLaunch3RdApp getLaunchIntentForPackage, %s";
        r3 = new java.lang.Object[r10];
        r0 = r0.getMessage();
        r3[r5] = r0;
        com.tencent.mm.sdk.platformtools.ab.e(r1, r2, r3);
    L_0x027a:
        r0 = "launch_3rdApp:fail";
        r14.a(r15, r0, r12);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r11);
        goto L_0x0054;
    L_0x0285:
        r0 = "MicroMsg.MsgHandler";
        r1 = "doLaunch3RdApp signature_mismatch";
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1);
        r0 = "launch_3rdApp:fail_signature_mismatch";
        r14.a(r15, r0, r12);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r11);
        goto L_0x0054;
    L_0x0299:
        r0 = "launch_3rdApp:fail_invalid_type";
        r14.a(r15, r0, r12);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r11);
        goto L_0x0054;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.webview.ui.tools.jsapi.g.E(com.tencent.mm.plugin.webview.ui.tools.jsapi.i):boolean");
    }

    private boolean F(i iVar) {
        AppMethodBeat.i(9275);
        String str = (String) iVar.puc.get("url");
        if (bo.isNullOrNil(str)) {
            ab.e("MicroMsg.MsgHandler", "doOpenUrlByExtBrowser fail, url is null");
            a(iVar, "open_url_by_ext_browser:fail", null);
            AppMethodBeat.o(9275);
        } else {
            Intent intent = new Intent("android.intent.action.VIEW", Uri.parse(str));
            intent.addFlags(268435456);
            try {
                this.context.startActivity(intent);
                a(iVar, "open_url_by_ext_browser:ok", null);
            } catch (Exception e) {
                ab.e("MicroMsg.MsgHandler", "doOpenUrlByExtBrowser fail, e = " + e.getMessage());
                a(iVar, "open_url_by_ext_browser:fail", null);
            }
            AppMethodBeat.o(9275);
        }
        return true;
    }

    private void dcz() {
        AppMethodBeat.i(9276);
        String str = (String) this.uGd.puc.get(VideoMaterialUtil.CRAZYFACE_LAYER_TYPE);
        ab.v("MicroMsg.MsgHandler", "doGeoLocation, geoType = %s", new Object[]{str});
        if (!(bo.isNullOrNil(str) || uGK.contains(str))) {
            ab.e("MicroMsg.MsgHandler", "doGeoLocation fail, unsupported type = %s", new Object[]{str});
            a(this.uGd, "geo_location:fail_unsupported_type", null);
        }
        this.ecr = d.agz();
        if (this.ecr == null) {
            ab.e("MicroMsg.MsgHandler", "doGeoLocation fail, iGetLocation is null");
            a(this.uGd, "geo_location:fail", null);
        }
        str = (String) this.uGd.puc.get(VideoMaterialUtil.CRAZYFACE_LAYER_TYPE);
        if (this.uGL == null) {
            this.uGL = new 69(this, str);
        }
        if (this.mzp == null) {
            this.mzp = new ak(Looper.getMainLooper());
        }
        this.mzp.postDelayed(new 71(this), 20000);
        if (bo.isNullOrNil(str) || str.equalsIgnoreCase("gcj02")) {
            this.ecr.b(this.uGL, false);
            AppMethodBeat.o(9276);
        } else if (str.equalsIgnoreCase("wgs84")) {
            this.ecr.a(this.uGL, false);
            AppMethodBeat.o(9276);
        } else {
            ab.e("MicroMsg.MsgHandler", "startGeoLocation, should not reach here !!!!!");
            this.uGL = null;
            a(this.uGd, "geo_location:fail_unsupported_type_startgeo", null);
            AppMethodBeat.o(9276);
        }
    }

    private boolean G(i iVar) {
        AppMethodBeat.i(9278);
        String str = "";
        try {
            str = this.umI.getCurrentUrl();
        } catch (Exception e) {
            ab.w("MicroMsg.MsgHandler", "JSOAUTH exception in get currentUrl" + e.getMessage());
        }
        ab.i("MicroMsg.MsgHandler", "currentUrl %s", new Object[]{str});
        if (str.startsWith("https://support.weixin.qq.com/security/") || str.startsWith("https://support.wechat.com/security/") || str.startsWith("https://szsupport.weixin.qq.com/security/") || str.startsWith("https://hksupport.weixin.qq.com/security/") || str.startsWith("https://mlsupport.weixin.qq.com/security/") || str.startsWith("https://weixin110.qq.com/security/")) {
            Object obj = "";
            Map hashMap = new HashMap();
            try {
                ab.i("MicroMsg.MsgHandler", "getDeviceInfo");
                obj = Base64.encodeToString(dcA(), 0);
            } catch (Exception e2) {
                ab.e("MicroMsg.MsgHandler", "device info get error %s", new Object[]{e2.getMessage()});
                ab.printErrStackTrace("MicroMsg.MsgHandler", e2, "", new Object[0]);
            }
            hashMap.put("securityInfo", obj);
            a(iVar, "mmsf0001:ok", hashMap);
            AppMethodBeat.o(9278);
        } else {
            a(iVar, "system:access_denied", null);
            AppMethodBeat.o(9278);
        }
        return true;
    }

    private boolean H(i iVar) {
        Map map = null;
        AppMethodBeat.i(9279);
        if (this.context instanceof MMActivity) {
            String map2;
            ab.d("MicroMsg.MsgHandler", "doJumpToBizProfile %s, %s", new Object[]{(String) iVar.puc.get("tousername"), (String) iVar.puc.get("extmsg")});
            try {
                map2 = this.umI.getCurrentUrl();
            } catch (RemoteException e) {
                ab.w("MicroMsg.MsgHandler", "JSOAUTH exception in get currentUrl" + e.getMessage());
            }
            Intent intent = new Intent();
            intent.putExtra("toUserName", r0);
            intent.putExtra("extInfo", r1);
            intent.putExtra("fromURL", map2);
            intent.putExtra("source", 2);
            com.tencent.mm.plugin.webview.a.a.gkE.a(intent, 8, (a) this, (MMActivity) this.context);
        } else {
            a(iVar, "jump_to_biz_profile:fail", map2);
        }
        AppMethodBeat.o(9279);
        return true;
    }

    private boolean I(i iVar) {
        AppMethodBeat.i(9280);
        ab.i("MicroMsg.MsgHandler", "doSetCloseWindowConfirmDialogInfo, switch value : %s, title_cn : %s, title_eng : %s, ok_cn : %s,  ok_eng : %s,  cancel_cn : %s,  cancel_eng : %s", new Object[]{(String) iVar.puc.get("switch"), (String) iVar.puc.get("title_cn"), (String) iVar.puc.get("title_eng"), (String) iVar.puc.get("ok_cn"), (String) iVar.puc.get("ok_eng"), (String) iVar.puc.get("cancel_cn"), (String) iVar.puc.get("cancel_eng")});
        Bundle bundle = new Bundle();
        bundle.putString("close_window_confirm_dialog_switch", r0);
        bundle.putString("close_window_confirm_dialog_title_cn", r1);
        bundle.putString("close_window_confirm_dialog_title_eng", r2);
        bundle.putString("close_window_confirm_dialog_ok_cn", r3);
        bundle.putString("close_window_confirm_dialog_ok_eng", r4);
        bundle.putString("close_window_confirm_dialog_cancel_cn", r5);
        bundle.putString("close_window_confirm_dialog_cancel_eng", r6);
        try {
            this.umI.c(13, bundle);
        } catch (RemoteException e) {
            ab.e("MicroMsg.MsgHandler", "doSetCloseWindowConfirmDialogInfo invoke callback failed : %s", new Object[]{e.getMessage()});
        }
        a(iVar, "setCloseWindowConfirmDialogInfo:ok", null);
        AppMethodBeat.o(9280);
        return true;
    }

    private boolean J(i iVar) {
        AppMethodBeat.i(9281);
        String str = (String) iVar.puc.get("verifyAppId");
        String str2 = (String) iVar.puc.get("verifyJsApiList");
        ab.i("MicroMsg.MsgHandler", "doPreVerifyJSAPI, appid : %s, %s, %s, %s, %s", new Object[]{str, (String) iVar.puc.get("verifySignature"), (String) iVar.puc.get("verifyNonceStr"), (String) iVar.puc.get("verifyTimestamp"), (String) iVar.puc.get("verifySignType")});
        l.a(iVar.uII, false, null, str);
        LinkedList linkedList = new LinkedList();
        try {
            JSONArray jSONArray = new JSONArray(str2);
            ab.i("MicroMsg.MsgHandler", "doPreVerifyJSAPI jsItem length %s", new Object[]{Integer.valueOf(jSONArray.length())});
            if (jSONArray.length() == 0) {
                a(iVar, "checkJsApi:param is empty", null);
                AppMethodBeat.o(9281);
                return true;
            }
            String str3;
            int i;
            for (int i2 = 0; i2 < jSONArray.length(); i2++) {
                String string = jSONArray.getString(i2);
                if (!bo.isNullOrNil(string)) {
                    linkedList.add(string);
                }
            }
            String currentUrl = this.umI.getCurrentUrl();
            int i3 = 0;
            String str4 = "";
            try {
                Bundle g = this.umI.g(com.tencent.mm.plugin.appbrand.jsapi.g.c.CTRL_INDEX, null);
                i3 = g.getInt("key_webview_preverify_info_scene", 0);
                str4 = g.getString("key_webview_preverify_info_source_appid", "");
                g.getString("raw_url", "");
                str3 = str4;
                i = i3;
            } catch (Exception e) {
                ab.e("TAG", "doPreVerifyJSAPI: %s", new Object[]{e});
                str3 = str4;
                i = i3;
            }
            try {
                this.umI.g(252, null);
            } catch (Exception e2) {
            }
            e eVar = this.umI;
            c cVar = this.uGr;
            72 72 = new 72(this, currentUrl, eVar, iVar);
            if (bo.isNullOrNil(str) || linkedList.size() <= 0) {
                ab.e("MicroMsg.webview.JSVerifyHelper", "handlePreVerify wrong args, %s", new Object[]{str});
                72.a(c.a.a.uFh, null, null, 0, 0);
            } else {
                com.tencent.mm.kernel.g.Rg().a(1093, cVar);
                com.tencent.mm.kernel.g.Rg().a(new com.tencent.mm.plugin.webview.model.r(72, currentUrl, str, linkedList, r6, r7, r8, r9, i, str3, cVar.ulX), 0);
            }
            AppMethodBeat.o(9281);
            return true;
        } catch (Exception e3) {
            ab.w("MicroMsg.MsgHandler", "exception occur " + e3.getMessage());
            a(iVar, "pre_verify_jsapi:fail", null);
            AppMethodBeat.o(9281);
            return true;
        }
    }

    private boolean K(i iVar) {
        AppMethodBeat.i(9282);
        Map hashMap = new HashMap();
        try {
            dl dlVar = new dl();
            dlVar.cwJ.cwA = true;
            com.tencent.mm.sdk.b.a.xxA.m(dlVar);
            if (dlVar.cwK.cwB) {
                hashMap.put("currentSSID", dlVar.cwK.cwL);
                a(iVar, "getCurrentSSID:ok", hashMap);
            } else {
                hashMap.put("err_desc", "not on wifi");
                a(iVar, "getCurrentSSID:fail", hashMap);
            }
            AppMethodBeat.o(9282);
        } catch (Exception e) {
            ab.e("MicroMsg.MsgHandler", "getCurrentSSID:fail");
            hashMap.put("err_desc", "not on wifi");
            a(iVar, "getCurrentSSID:fail", hashMap);
            AppMethodBeat.o(9282);
        }
        return true;
    }

    private boolean L(i iVar) {
        AppMethodBeat.i(9283);
        int cZr = cZr();
        int bFf = bFf();
        String dcB = dcB();
        ab.i("MicroMsg.MsgHandler", "Key Scene(%d)", new Object[]{Integer.valueOf(bFf)});
        if (bFf == 27) {
            this.uGi = (String) iVar.puc.get("brandUserName");
            ab.i("MicroMsg.MsgHandler", "BrandUserName from shake(%s)", new Object[]{this.uGi});
        } else if (!(cZr == 8 || cZr == -1)) {
            this.jMp = (String) iVar.puc.get("brandUserName");
            ab.i("MicroMsg.MsgHandler", "BrandUserName from H5(%s)", new Object[]{this.jMp});
            if (!(bo.isNullOrNil(dcB) || bo.isNullOrNil(this.jMp))) {
                ab.i("MicroMsg.MsgHandler", "Chat name(%s)", new Object[]{dcB});
                com.tencent.mm.aj.d qX = f.qX(dcB);
                if (qX != null) {
                    com.tencent.mm.aj.d.b cJ = qX.cJ(false);
                    if (!(cJ == null || cJ.aej() == null || !cJ.aej().aes() || dcB.equals(this.jMp))) {
                        a(iVar, "openWXDeviceLib:fail_UsernameError", null);
                        AppMethodBeat.o(9283);
                        return true;
                    }
                }
            }
        }
        dcB = V(iVar);
        ab.i("MicroMsg.MsgHandler", "srcUsername(%s)", new Object[]{dcB});
        if (bo.isNullOrNil(dcB)) {
            a(iVar, "openWXDeviceLib:fail_UsernameError", null);
            AppMethodBeat.o(9283);
        } else {
            h.pYm.e(11533, new Object[]{String.valueOf(dcB), "openWXDeviceLib"});
            String str = "";
            if (iVar.puc.containsKey("connType")) {
                str = (String) iVar.puc.get("connType");
            }
            Object obj;
            if (str.equalsIgnoreCase("lan")) {
                if (this.uGk == null) {
                    this.uGk = new HashMap();
                }
                try {
                    com.tencent.mm.plugin.webview.ui.tools.a.a dbo = com.tencent.mm.plugin.webview.ui.tools.a.a.dbo();
                    e eVar = this.umI;
                    ab.i("MicroMsg.webview.WebViewExDeviceLanMgr", "tryInit");
                    if (dbo.uzY == null) {
                        dbo.uzY = new com.tencent.mm.plugin.webview.ui.tools.a.a.a(eVar, dcB);
                        com.tencent.mm.sdk.b.a.xxA.c(dbo.uzY.uAd);
                        com.tencent.mm.sdk.b.a.xxA.c(dbo.uzY.uAe);
                        com.tencent.mm.sdk.b.a.xxA.c(dbo.uzY.uAg);
                        com.tencent.mm.sdk.b.a.xxA.c(dbo.uzY.uAf);
                        com.tencent.mm.sdk.b.a.xxA.c(dbo.uzY.uAh);
                    }
                    ee eeVar = new ee();
                    eeVar.cxF.cwA = true;
                    com.tencent.mm.sdk.b.a.xxA.m(eeVar);
                    dbo.hasInit = true;
                    dbo.cwz = dcB;
                    dbo.uAa = null;
                    com.tencent.mm.pluginsdk.ui.tools.t.a(com.tencent.mm.plugin.webview.ui.tools.a.a.dbo());
                    if (at.isWifi(this.context)) {
                        obj = "on";
                    } else {
                        obj = "off";
                    }
                    Map hashMap = new HashMap();
                    hashMap.put("minVersion", Integer.valueOf(1));
                    hashMap.put("maxVersion", Integer.valueOf(1));
                    hashMap.put("lanState", obj);
                    a(iVar, "openWXDeviceLib:ok", hashMap);
                } catch (Exception e) {
                    ab.e("MicroMsg.MsgHandler", "openWXDeviceLib failed : %s", new Object[]{e.getMessage()});
                    a(iVar, "openWXDeviceLib:fail_exception", null);
                    AppMethodBeat.o(9283);
                }
            } else {
                if (this.uGj == null) {
                    this.uGj = new HashMap();
                }
                try {
                    com.tencent.mm.plugin.webview.ui.tools.a.b dbr = com.tencent.mm.plugin.webview.ui.tools.a.b.dbr();
                    e eVar2 = this.umI;
                    ab.i("MicroMsg.webview.WebViewExDeviceMgr", "tryInit");
                    if (dbr.uAj == null) {
                        dbr.uAj = new com.tencent.mm.plugin.webview.ui.tools.a.b.a(eVar2, dcB);
                        com.tencent.mm.sdk.b.a.xxA.c(dbr.uAj.uAn);
                        com.tencent.mm.sdk.b.a.xxA.c(dbr.uAj.uAo);
                        com.tencent.mm.sdk.b.a.xxA.c(dbr.uAj.uAp);
                        com.tencent.mm.sdk.b.a.xxA.c(dbr.uAj.uAd);
                        com.tencent.mm.sdk.b.a.xxA.c(dbr.uAj.qwh);
                    }
                    dy dyVar = new dy();
                    dyVar.cxy.op = 1;
                    com.tencent.mm.sdk.b.a.xxA.m(dyVar);
                    dbr.hasInit = true;
                    dbr.cwz = dcB;
                    dbr.uAa = null;
                    com.tencent.mm.pluginsdk.ui.tools.t.a(com.tencent.mm.plugin.webview.ui.tools.a.b.dbr());
                    BluetoothAdapter defaultAdapter = BluetoothAdapter.getDefaultAdapter();
                    if (defaultAdapter != null) {
                        obj = "unknow";
                        switch (defaultAdapter.getState()) {
                            case 10:
                                obj = "off";
                                break;
                            case 11:
                                obj = "resetting";
                                break;
                            case 12:
                                obj = "on";
                                break;
                        }
                    }
                    obj = "unknow";
                    ah.getContext();
                    ab.i("MicroMsg.webview.ExDeviceBluetoothUtil", "isBLESupported, ret = %b", new Object[]{Boolean.valueOf(ah.getContext().getPackageManager().hasSystemFeature("android.hardware.bluetooth_le"))});
                    Map hashMap2 = new HashMap();
                    hashMap2.put("minVersion", Integer.valueOf(1));
                    hashMap2.put("maxVersion", Integer.valueOf(1));
                    hashMap2.put("bluetoothState", obj);
                    hashMap2.put("isSupportBLE", ah.getContext().getPackageManager().hasSystemFeature("android.hardware.bluetooth_le") ? "yes" : "no");
                    if (cZr == 1) {
                        hashMap2.put("OS", "android");
                    }
                    a(iVar, "openWXDeviceLib:ok", hashMap2);
                } catch (Exception e2) {
                    ab.e("MicroMsg.MsgHandler", "openWXDeviceLib failed : %s", new Object[]{e2.getMessage()});
                    a(iVar, "openWXDeviceLib:fail_exception", null);
                    AppMethodBeat.o(9283);
                }
            }
            AppMethodBeat.o(9283);
        }
        return true;
    }

    private boolean M(i iVar) {
        AppMethodBeat.i(9284);
        String str = "";
        if (iVar.puc.containsKey("connType")) {
            str = (String) iVar.puc.get("connType");
        }
        if (str.equalsIgnoreCase("lan")) {
            try {
                str = V(iVar);
                h.pYm.e(11533, new Object[]{String.valueOf(str), "closeWXDeviceLib"});
                com.tencent.mm.plugin.webview.ui.tools.a.a.dbo().dbp();
            } catch (Exception e) {
                ab.e("MicroMsg.MsgHandler", "closeWXDeviceLib failed : %s", new Object[]{e.getMessage()});
                a(iVar, "closeWXDeviceLib:fail_exception", null);
                AppMethodBeat.o(9284);
            }
        } else {
            try {
                str = V(iVar);
                h.pYm.e(11533, new Object[]{String.valueOf(str), "closeWXDeviceLib"});
                com.tencent.mm.plugin.webview.ui.tools.a.b.dbr().dbp();
            } catch (Exception e2) {
                ab.e("MicroMsg.MsgHandler", "closeWXDeviceLib failed : %s", new Object[]{e2.getMessage()});
                a(iVar, "closeWXDeviceLib:fail_exception", null);
                AppMethodBeat.o(9284);
            }
        }
        a(iVar, "closeWXDeviceLib:ok", null);
        AppMethodBeat.o(9284);
        return true;
    }

    private boolean N(i iVar) {
        AppMethodBeat.i(9285);
        String str = "";
        if (iVar.puc.containsKey("connType")) {
            str = (String) iVar.puc.get("connType");
        }
        if (str.equalsIgnoreCase("lan")) {
            if (com.tencent.mm.plugin.webview.ui.tools.a.a.dbo().hasInit) {
                try {
                    ab.i("MicroMsg.MsgHandler", "srcUsername(%s)", new Object[]{V(iVar)});
                    h.pYm.e(11533, new Object[]{String.valueOf(str), "startScanWXDevice"});
                    if (bo.isNullOrNil(V(iVar))) {
                        a(iVar, "startScanWXDevice:fail_UsernameError", null);
                        AppMethodBeat.o(9285);
                    } else {
                        ev evVar = new ev();
                        evVar.cyp.cwA = true;
                        com.tencent.mm.sdk.b.a.xxA.m(evVar);
                        com.tencent.mm.plugin.webview.ui.tools.a.a.dbo().uAc = true;
                        a(iVar, "startScanWXDevice:ok", null);
                        AppMethodBeat.o(9285);
                    }
                } catch (Exception e) {
                    ab.e("MicroMsg.MsgHandler", "startScanWXDevice failed : %s", new Object[]{e.getMessage()});
                    a(iVar, "startScanWXDevice:fail_exception", null);
                    AppMethodBeat.o(9285);
                }
            } else {
                ab.e("MicroMsg.MsgHandler", "startScanWXDevice not init");
                a(iVar, "startScanWXDevice:fail_notInit", null);
                AppMethodBeat.o(9285);
            }
        } else if (com.tencent.mm.compatible.util.d.iW(23) && !((LocationManager) this.context.getSystemService("location")).isProviderEnabled(TencentLocation.GPS_PROVIDER) && !VERSION.RELEASE.equalsIgnoreCase("6.0") && !VERSION.RELEASE.equalsIgnoreCase("6.0.0")) {
            ab.d("MicroMsg.MsgHandler", "Android version realse code: %s", new Object[]{VERSION.RELEASE});
            ab.e("MicroMsg.MsgHandler", "ScannerInThisAndroidVersionRequireGPSServiceOn");
            a(iVar, "startScanWXDevice:fail_ThisAndroidVersionRequireGPSServiceOn", null);
            AppMethodBeat.o(9285);
        } else if (com.tencent.mm.plugin.webview.ui.tools.a.b.dbr().hasInit) {
            try {
                String V = V(iVar);
                str = (String) iVar.puc.get("btVersion");
                ab.i("MicroMsg.MsgHandler", "BtVersion(%s), srcUsername(%s)", new Object[]{str, V});
                h.pYm.e(11533, new Object[]{String.valueOf(V), "startScanWXDevice"});
                if (bo.isNullOrNil(V)) {
                    a(iVar, "startScanWXDevice:fail_UsernameError", null);
                    AppMethodBeat.o(9285);
                } else {
                    ef efVar = new ef();
                    efVar.cxG.cwA = true;
                    efVar.cxG.cwz = V;
                    if (bo.nullAsNil(str).equals("ble")) {
                        efVar.cxG.cxI = 0;
                    } else if (bo.nullAsNil(str).equals("bc")) {
                        efVar.cxG.cxI = 1;
                    }
                    com.tencent.mm.plugin.webview.ui.tools.a.b.dbr().uAl = efVar.cxG.cxI;
                    com.tencent.mm.sdk.b.a.xxA.m(efVar);
                    if (efVar.cxH.cwB) {
                        com.tencent.mm.plugin.webview.ui.tools.a.b.dbr().uAc = true;
                        a(iVar, "startScanWXDevice:ok", null);
                    } else {
                        a(iVar, "startScanWXDevice:fail", null);
                    }
                    AppMethodBeat.o(9285);
                }
            } catch (Exception e2) {
                ab.e("MicroMsg.MsgHandler", "startScanWXDevice failed : %s", new Object[]{e2.getMessage()});
                a(iVar, "startScanWXDevice:fail_exception", null);
                AppMethodBeat.o(9285);
            }
        } else {
            ab.e("MicroMsg.MsgHandler", "startScanWXDevice not init");
            a(iVar, "startScanWXDevice:fail_notInit", null);
            AppMethodBeat.o(9285);
        }
        return true;
    }

    private boolean O(i iVar) {
        AppMethodBeat.i(9286);
        String str = "";
        if (iVar.puc.containsKey("connType")) {
            str = (String) iVar.puc.get("connType");
        }
        if (str.equalsIgnoreCase("lan")) {
            if (com.tencent.mm.plugin.webview.ui.tools.a.a.dbo().hasInit) {
                try {
                    str = V(iVar);
                    h.pYm.e(11533, new Object[]{String.valueOf(str), "stopScanWXDevice"});
                    if (bo.isNullOrNil(str)) {
                        a(iVar, "stopScanWXDevice:fail_UsernameError", null);
                        AppMethodBeat.o(9286);
                    } else {
                        ev evVar = new ev();
                        evVar.cyp.cwA = false;
                        com.tencent.mm.sdk.b.a.xxA.m(evVar);
                        com.tencent.mm.plugin.webview.ui.tools.a.a.dbo().uAc = false;
                        a(iVar, "stopScanWXDevice:ok", null);
                        AppMethodBeat.o(9286);
                    }
                } catch (Exception e) {
                    ab.printErrStackTrace("MicroMsg.MsgHandler", e, "", new Object[0]);
                    ab.e("MicroMsg.MsgHandler", "stopScanWXDevice failed : %s", new Object[]{e.getMessage()});
                    a(iVar, "stopScanWXDevice:fail_exception", null);
                    AppMethodBeat.o(9286);
                }
            } else {
                ab.e("MicroMsg.MsgHandler", "stopScanWXDevice not init");
                a(iVar, "stopScanWXDevice:fail_notInit", null);
                AppMethodBeat.o(9286);
            }
        } else if (com.tencent.mm.plugin.webview.ui.tools.a.b.dbr().hasInit) {
            try {
                str = V(iVar);
                h.pYm.e(11533, new Object[]{String.valueOf(str), "stopScanWXDevice"});
                if (bo.isNullOrNil(str)) {
                    a(iVar, "stopScanWXDevice:fail_UsernameError", null);
                    AppMethodBeat.o(9286);
                } else {
                    ef efVar = new ef();
                    efVar.cxG.cwA = false;
                    efVar.cxG.cwz = str;
                    efVar.cxG.cxI = com.tencent.mm.plugin.webview.ui.tools.a.b.dbr().uAl;
                    com.tencent.mm.sdk.b.a.xxA.m(efVar);
                    if (efVar.cxH.cwB) {
                        com.tencent.mm.plugin.webview.ui.tools.a.b.dbr().uAc = false;
                        a(iVar, "stopScanWXDevice:ok", null);
                    } else {
                        ab.e("MicroMsg.MsgHandler", "stopScanWXDevice fail");
                        a(iVar, "stopScanWXDevice:fail", null);
                    }
                    AppMethodBeat.o(9286);
                }
            } catch (Exception e2) {
                ab.printErrStackTrace("MicroMsg.MsgHandler", e2, "", new Object[0]);
                ab.e("MicroMsg.MsgHandler", "stopScanWXDevice failed : %s", new Object[]{e2.getMessage()});
                a(iVar, "stopScanWXDevice:fail_exception", null);
                AppMethodBeat.o(9286);
            }
        } else {
            ab.e("MicroMsg.MsgHandler", "stopScanWXDevice not init");
            a(iVar, "stopScanWXDevice:fail_notInit", null);
            AppMethodBeat.o(9286);
        }
        return true;
    }

    private boolean P(i iVar) {
        AppMethodBeat.i(9287);
        String str = "";
        if (iVar.puc.containsKey("connType")) {
            str = (String) iVar.puc.get("connType");
        }
        String V;
        if (str.equalsIgnoreCase("lan")) {
            if (com.tencent.mm.plugin.webview.ui.tools.a.a.dbo().hasInit) {
                str = (String) iVar.puc.get("deviceId");
                ab.i("MicroMsg.MsgHandler", "doConnectWXDevice, deviceId : %s", new Object[]{str});
                if (bo.isNullOrNil(str)) {
                    ab.e("MicroMsg.MsgHandler", "deviceId is null");
                    a(iVar, "connectWXDevice:fail_noDeviceId", null);
                    AppMethodBeat.o(9287);
                } else {
                    V = V(iVar);
                    h.pYm.e(11533, new Object[]{String.valueOf(V), "connectWXDevice"});
                    if (bo.isNullOrNil(V)) {
                        a(iVar, "connectWXDevice:fail_UsernameError", null);
                        AppMethodBeat.o(9287);
                    } else {
                        if (!(this.uGk == null || this.uGk.containsKey(V))) {
                            this.uGk.put(V, str);
                        }
                        try {
                            di diVar = new di();
                            diVar.cwC.cwA = true;
                            diVar.cwC.cwz = V;
                            diVar.cwC.ceI = str;
                            com.tencent.mm.sdk.b.a.xxA.m(diVar);
                            if (diVar.cwD.cwB) {
                                a(iVar, "connectWXDevice:ok", null);
                            } else {
                                a(iVar, "connectWXDevice:fail", null);
                            }
                            AppMethodBeat.o(9287);
                        } catch (Exception e) {
                            ab.e("MicroMsg.MsgHandler", "connectWXDevice failed : %s", new Object[]{e.getMessage()});
                            a(iVar, "connectWXDevice:fail_exception", null);
                            AppMethodBeat.o(9287);
                        }
                    }
                }
            } else {
                ab.e("MicroMsg.MsgHandler", "connectWXDevice not init");
                a(iVar, "connectWXDevice:fail_notInit", null);
                AppMethodBeat.o(9287);
            }
        } else if (com.tencent.mm.plugin.webview.ui.tools.a.b.dbr().hasInit) {
            str = (String) iVar.puc.get("deviceId");
            ab.i("MicroMsg.MsgHandler", "doConnectWXDevice, deviceId : %s", new Object[]{str});
            if (bo.isNullOrNil(str)) {
                ab.e("MicroMsg.MsgHandler", "deviceId is null");
                a(iVar, "connectWXDevice:fail_noDeviceId", null);
                AppMethodBeat.o(9287);
            } else {
                V = V(iVar);
                h.pYm.e(11533, new Object[]{String.valueOf(V), "connectWXDevice"});
                if (bo.isNullOrNil(V)) {
                    a(iVar, "connectWXDevice:fail_UsernameError", null);
                    AppMethodBeat.o(9287);
                } else {
                    if (!(this.uGj == null || this.uGj.containsValue(str))) {
                        this.uGj.put(V, str);
                    }
                    try {
                        dh dhVar = new dh();
                        dhVar.cwx.cwA = true;
                        dhVar.cwx.cwz = V;
                        dhVar.cwx.ceI = str;
                        com.tencent.mm.sdk.b.a.xxA.m(dhVar);
                        if (dhVar.cwy.cwB) {
                            a(iVar, "connectWXDevice:ok", null);
                        } else {
                            a(iVar, "connectWXDevice:fail", null);
                        }
                        AppMethodBeat.o(9287);
                    } catch (Exception e2) {
                        ab.e("MicroMsg.MsgHandler", "connectWXDevice failed : %s", new Object[]{e2.getMessage()});
                        a(iVar, "connectWXDevice:fail_exception", null);
                        AppMethodBeat.o(9287);
                    }
                }
            }
        } else {
            ab.e("MicroMsg.MsgHandler", "connectWXDevice not init");
            a(iVar, "connectWXDevice:fail_notInit", null);
            AppMethodBeat.o(9287);
        }
        return true;
    }

    private boolean Q(i iVar) {
        AppMethodBeat.i(9288);
        String str = "";
        if (iVar.puc.containsKey("connType")) {
            str = (String) iVar.puc.get("connType");
        }
        String V;
        if (str.equalsIgnoreCase("lan")) {
            if (com.tencent.mm.plugin.webview.ui.tools.a.a.dbo().hasInit) {
                str = (String) iVar.puc.get("deviceId");
                ab.i("MicroMsg.MsgHandler", "doDisconnectWXDevice, deviceId : %s", new Object[]{str});
                if (bo.isNullOrNil(str)) {
                    ab.e("MicroMsg.MsgHandler", "deviceId is null");
                    a(iVar, "disconnectWXDevice:fail_noDeviceId", null);
                    AppMethodBeat.o(9288);
                } else {
                    V = V(iVar);
                    h.pYm.e(11533, new Object[]{String.valueOf(V), "disconnectWXDevice"});
                    if (bo.isNullOrNil(V)) {
                        a(iVar, "disconnectWXDevice:fail_UsernameError", null);
                        AppMethodBeat.o(9288);
                    } else {
                        try {
                            di diVar = new di();
                            diVar.cwC.cwA = false;
                            diVar.cwC.cwz = V;
                            diVar.cwC.ceI = str;
                            com.tencent.mm.sdk.b.a.xxA.m(diVar);
                            if (diVar.cwD.cwB) {
                                a(iVar, "disconnectWXDevice:ok", null);
                                if (this.uGk != null && this.uGk.containsKey(V)) {
                                    this.uGk.remove(V);
                                }
                            } else {
                                a(iVar, "disconnectWXDevice:fail", null);
                            }
                            AppMethodBeat.o(9288);
                        } catch (Exception e) {
                            ab.e("MicroMsg.MsgHandler", "disconnectWXDevice failed : %s", new Object[]{e.getMessage()});
                            a(iVar, "disconnectWXDevice:fail_exception", null);
                            AppMethodBeat.o(9288);
                        }
                    }
                }
            } else {
                ab.e("MicroMsg.MsgHandler", "disconnectWXDevice  not init");
                a(iVar, "disconnectWXDevice:fail_notInit", null);
                AppMethodBeat.o(9288);
            }
        } else if (com.tencent.mm.plugin.webview.ui.tools.a.b.dbr().hasInit) {
            str = (String) iVar.puc.get("deviceId");
            ab.i("MicroMsg.MsgHandler", "doDisconnectWXDevice, deviceId : %s", new Object[]{str});
            if (bo.isNullOrNil(str)) {
                ab.e("MicroMsg.MsgHandler", "deviceId is null");
                a(iVar, "disconnectWXDevice:fail_noDeviceId", null);
                AppMethodBeat.o(9288);
            } else {
                V = V(iVar);
                h.pYm.e(11533, new Object[]{String.valueOf(V), "disconnectWXDevice"});
                if (bo.isNullOrNil(V)) {
                    a(iVar, "disconnectWXDevice:fail_UsernameError", null);
                    AppMethodBeat.o(9288);
                } else {
                    try {
                        dh dhVar = new dh();
                        dhVar.cwx.cwA = false;
                        dhVar.cwx.cwz = V;
                        dhVar.cwx.ceI = str;
                        com.tencent.mm.sdk.b.a.xxA.m(dhVar);
                        if (dhVar.cwy.cwB) {
                            a(iVar, "disconnectWXDevice:ok", null);
                            if (this.uGj != null && this.uGj.containsKey(V)) {
                                this.uGj.remove(V);
                            }
                        } else {
                            a(iVar, "disconnectWXDevice:fail", null);
                        }
                        AppMethodBeat.o(9288);
                    } catch (Exception e2) {
                        ab.e("MicroMsg.MsgHandler", "disconnectWXDevice failed : %s", new Object[]{e2.getMessage()});
                        a(iVar, "disconnectWXDevice:fail_exception", null);
                        AppMethodBeat.o(9288);
                    }
                }
            }
        } else {
            ab.e("MicroMsg.MsgHandler", "disconnectWXDevice  not init");
            a(iVar, "disconnectWXDevice:fail_notInit", null);
            AppMethodBeat.o(9288);
        }
        return true;
    }

    private boolean R(i iVar) {
        AppMethodBeat.i(9289);
        if (com.tencent.mm.plugin.webview.ui.tools.a.b.dbr().hasInit || com.tencent.mm.plugin.webview.ui.tools.a.a.dbo().hasInit) {
            String str = (String) iVar.puc.get("deviceId");
            String str2 = (String) iVar.puc.get(VideoMaterialUtil.CRAZYFACE_LAYER_TYPE);
            ab.i("MicroMsg.MsgHandler", "doGetWXDeviceTicket, deviceId : %s, type : %s", new Object[]{str, str2});
            if (bo.isNullOrNil(str) || bo.isNullOrNil(str2)) {
                ab.e("MicroMsg.MsgHandler", "deviceId or type is null");
                a(iVar, "getWXDeviceTicket:fail_wrongParams", null);
                AppMethodBeat.o(9289);
            } else {
                try {
                    String V = V(iVar);
                    h.pYm.e(11533, new Object[]{String.valueOf(V), "getWXDeviceTicket"});
                    if (bo.isNullOrNil(V)) {
                        a(iVar, "getWXDeviceTicket:fail_UsernameError", null);
                        AppMethodBeat.o(9289);
                    } else {
                        dp dpVar = new dp();
                        dpVar.cwX.type = bo.getInt(str2, 0);
                        dpVar.cwX.cwz = V;
                        dpVar.cwX.ceI = str;
                        dpVar.cwX.cwZ = iVar.uIG;
                        dpVar.callback = new 74(this, dpVar, iVar);
                        com.tencent.mm.sdk.b.a.xxA.a(dpVar, Looper.getMainLooper());
                        AppMethodBeat.o(9289);
                    }
                } catch (Exception e) {
                    ab.e("MicroMsg.MsgHandler", "getWXDeviceTicket failed : %s", new Object[]{e.getMessage()});
                    a(iVar, "getWXDeviceTicket:fail_exception", null);
                    AppMethodBeat.o(9289);
                }
            }
        } else {
            ab.e("MicroMsg.MsgHandler", "getWXDeviceTicket not init");
            a(iVar, "getWXDeviceTicket:fail_notInit", null);
            AppMethodBeat.o(9289);
        }
        return true;
    }

    private boolean S(i iVar) {
        AppMethodBeat.i(9290);
        String str = "";
        if (iVar.puc.containsKey("connType")) {
            str = (String) iVar.puc.get("connType");
        }
        Map hashMap;
        if (str.equalsIgnoreCase("lan")) {
            if (com.tencent.mm.plugin.webview.ui.tools.a.a.dbo().hasInit) {
                try {
                    str = V(iVar);
                    h.pYm.e(11533, new Object[]{String.valueOf(str), "getWXDeviceInfos"});
                    ab.i("MicroMsg.MsgHandler", "doGetWXDeviceInfos, %s", new Object[]{str});
                    if (bo.isNullOrNil(str)) {
                        a(iVar, "getWXDeviceInfos:fail_UsernameError", null);
                        AppMethodBeat.o(9290);
                    } else {
                        dn dnVar = new dn();
                        dnVar.cwP.cwz = str;
                        dnVar.cwP.context = this.context;
                        com.tencent.mm.sdk.b.a.xxA.m(dnVar);
                        if (!dnVar.cwQ.cwB || dnVar.cwQ.cwO == null) {
                            a(iVar, "getWXDeviceInfos:fail", null);
                            AppMethodBeat.o(9290);
                        } else {
                            hashMap = new HashMap();
                            hashMap.put("jsapi_callback_json_special_key", "deviceInfos");
                            hashMap.put("deviceInfos", dnVar.cwQ.cwO.toString());
                            a(iVar, "getWXDeviceInfos:ok", hashMap);
                            AppMethodBeat.o(9290);
                        }
                    }
                } catch (Exception e) {
                    ab.e("MicroMsg.MsgHandler", "getWXDeviceInfos failed : %s", new Object[]{e.getMessage()});
                    a(iVar, "getWXDeviceInfos:fail_exception", null);
                    AppMethodBeat.o(9290);
                }
            } else {
                ab.e("MicroMsg.MsgHandler", "getWXDeviceInfos not init");
                a(iVar, "getWXDeviceInfos:fail_notInit", null);
                AppMethodBeat.o(9290);
            }
        } else if (com.tencent.mm.plugin.webview.ui.tools.a.b.dbr().hasInit) {
            try {
                str = V(iVar);
                h.pYm.e(11533, new Object[]{String.valueOf(str), "getWXDeviceInfos"});
                ab.i("MicroMsg.MsgHandler", "doGetWXDeviceInfos, %s", new Object[]{str});
                if (bo.isNullOrNil(str)) {
                    a(iVar, "getWXDeviceInfos:fail_UsernameError", null);
                    AppMethodBeat.o(9290);
                } else {
                    dm dmVar = new dm();
                    dmVar.cwM.cwz = str;
                    dmVar.cwM.context = this.context;
                    com.tencent.mm.sdk.b.a.xxA.m(dmVar);
                    if (!dmVar.cwN.cwB || dmVar.cwN.cwO == null) {
                        a(iVar, "getWXDeviceInfos:fail", null);
                        AppMethodBeat.o(9290);
                    } else {
                        hashMap = new HashMap();
                        hashMap.put("jsapi_callback_json_special_key", "deviceInfos");
                        hashMap.put("deviceInfos", dmVar.cwN.cwO.toString());
                        a(iVar, "getWXDeviceInfos:ok", hashMap);
                        AppMethodBeat.o(9290);
                    }
                }
            } catch (Exception e2) {
                ab.e("MicroMsg.MsgHandler", "getWXDeviceInfos failed : %s", new Object[]{e2.getMessage()});
                a(iVar, "getWXDeviceInfos:fail_exception", null);
                AppMethodBeat.o(9290);
            }
        } else {
            ab.e("MicroMsg.MsgHandler", "getWXDeviceInfos not init");
            a(iVar, "getWXDeviceInfos:fail_notInit", null);
            AppMethodBeat.o(9290);
        }
        return true;
    }

    private boolean T(i iVar) {
        AppMethodBeat.i(9291);
        String str = "";
        if (iVar.puc.containsKey("connType")) {
            str = (String) iVar.puc.get("connType");
        }
        String str2;
        String str3;
        String str4;
        Object[] objArr;
        String V;
        if (str.equalsIgnoreCase("lan")) {
            if (com.tencent.mm.plugin.webview.ui.tools.a.a.dbo().hasInit) {
                str = (String) iVar.puc.get("deviceId");
                str2 = (String) iVar.puc.get("base64Data");
                str3 = "MicroMsg.MsgHandler";
                str4 = "doSendDataToWXDevice, deviceId : %s, has data : %s";
                objArr = new Object[2];
                objArr[0] = str;
                objArr[1] = Boolean.valueOf(!bo.isNullOrNil(str2));
                ab.i(str3, str4, objArr);
                if (bo.isNullOrNil(str) || str2 == null) {
                    ab.e("MicroMsg.MsgHandler", "deviceId or data is null");
                    a(iVar, "sendDataToWXDevice:fail_wrongParams", null);
                    AppMethodBeat.o(9291);
                } else {
                    try {
                        V = V(iVar);
                        h.pYm.e(11533, new Object[]{String.valueOf(V), "sendDataToWXDevice"});
                        if (bo.isNullOrNil(V)) {
                            a(iVar, "sendDataToWXDevice:fail_UsernameError", null);
                            AppMethodBeat.o(9291);
                        } else {
                            ei eiVar = new ei();
                            eiVar.cxN.cwz = V;
                            eiVar.cxN.data = str2;
                            eiVar.cxN.ceI = str;
                            com.tencent.mm.sdk.b.a.xxA.m(eiVar);
                            if (eiVar.cxO.cwB) {
                                a(iVar, "sendDataToWXDevice:ok", null);
                            } else {
                                a(iVar, "sendDataToWXDevice:fail", null);
                            }
                            AppMethodBeat.o(9291);
                        }
                    } catch (Exception e) {
                        ab.e("MicroMsg.MsgHandler", "sendDataToWXDevice failed : %s", new Object[]{e.getMessage()});
                        a(iVar, "sendDataToWXDevice:fail_exception", null);
                        AppMethodBeat.o(9291);
                    }
                }
            } else {
                ab.e("MicroMsg.MsgHandler", "sendDataToWXDevice not init");
                a(iVar, "sendDataToWXDevice:fail_notInit", null);
                AppMethodBeat.o(9291);
            }
        } else if (com.tencent.mm.plugin.webview.ui.tools.a.b.dbr().hasInit) {
            str = (String) iVar.puc.get("deviceId");
            str2 = (String) iVar.puc.get("base64Data");
            str3 = "MicroMsg.MsgHandler";
            str4 = "doSendDataToWXDevice, deviceId : %s, has data : %s";
            objArr = new Object[2];
            objArr[0] = str;
            objArr[1] = Boolean.valueOf(!bo.isNullOrNil(str2));
            ab.i(str3, str4, objArr);
            if (bo.isNullOrNil(str) || str2 == null) {
                ab.e("MicroMsg.MsgHandler", "deviceId or data is null");
                a(iVar, "sendDataToWXDevice:fail_wrongParams", null);
                AppMethodBeat.o(9291);
            } else {
                try {
                    V = V(iVar);
                    h.pYm.e(11533, new Object[]{String.valueOf(V), "sendDataToWXDevice"});
                    if (bo.isNullOrNil(V)) {
                        a(iVar, "sendDataToWXDevice:fail_UsernameError", null);
                        AppMethodBeat.o(9291);
                    } else {
                        eh ehVar = new eh();
                        ehVar.cxL.cwz = V;
                        ehVar.cxL.data = Base64.decode(str2, 0);
                        ehVar.cxL.ceI = str;
                        com.tencent.mm.sdk.b.a.xxA.m(ehVar);
                        if (ehVar.cxM.cwB) {
                            a(iVar, "sendDataToWXDevice:ok", null);
                        } else {
                            a(iVar, "sendDataToWXDevice:fail", null);
                        }
                        AppMethodBeat.o(9291);
                    }
                } catch (Exception e2) {
                    ab.e("MicroMsg.MsgHandler", "sendDataToWXDevice failed : %s", new Object[]{e2.getMessage()});
                    a(iVar, "sendDataToWXDevice:fail_exception", null);
                    AppMethodBeat.o(9291);
                }
            }
        } else {
            ab.e("MicroMsg.MsgHandler", "sendDataToWXDevice not init");
            a(iVar, "sendDataToWXDevice:fail_notInit", null);
            AppMethodBeat.o(9291);
        }
        return true;
    }

    private boolean U(i iVar) {
        AppMethodBeat.i(9292);
        if (com.tencent.mm.plugin.webview.ui.tools.a.b.dbr().hasInit) {
            try {
                String str = (String) iVar.puc.get("deviceId");
                String str2 = (String) iVar.puc.get(TencentLocation.EXTRA_DIRECTION);
                ab.i("MicroMsg.MsgHandler", "setSendDataDirection, deviceId = %s, direction = %s", new Object[]{str, str2});
                if (bo.isNullOrNil(str) || bo.isNullOrNil(str2)) {
                    ab.e("MicroMsg.MsgHandler", "wrong args");
                    a(iVar, "setSendDataDirection:fail_wrongParams", null);
                    AppMethodBeat.o(9292);
                } else {
                    int i = bo.getInt(str2, 0);
                    String V = V(iVar);
                    h.pYm.e(11533, new Object[]{String.valueOf(V), "setSendDataDirection"});
                    if (bo.isNullOrNil(V)) {
                        a(iVar, "setSendDataDirection:fail_UsernameError", null);
                        AppMethodBeat.o(9292);
                    } else {
                        el elVar = new el();
                        elVar.cxX.ceI = str;
                        elVar.cxX.direction = i;
                        elVar.cxX.clear = false;
                        com.tencent.mm.sdk.b.a.xxA.m(elVar);
                        if (elVar.cxY.cwB) {
                            a(iVar, "setSendDataDirection:ok", null);
                        } else {
                            a(iVar, "setSendDataDirection:fail", null);
                        }
                        AppMethodBeat.o(9292);
                    }
                }
            } catch (Exception e) {
                ab.e("MicroMsg.MsgHandler", "setSendDataDirection failed : %s", new Object[]{e.getMessage()});
                a(iVar, "setSendDataDirection:fail_exception", null);
                AppMethodBeat.o(9292);
            }
        } else {
            ab.e("MicroMsg.MsgHandler", "setSendDataDirection not init");
            a(iVar, "setSendDataDirection:fail_notInit", null);
            AppMethodBeat.o(9292);
        }
        return true;
    }

    public final String dcB() {
        String str = null;
        AppMethodBeat.i(9293);
        try {
            if (this.umI != null) {
                Bundle g = this.umI.g(18, null);
                if (g != null) {
                    str = g.getString("preChatName");
                }
            }
        } catch (RemoteException e) {
            ab.e("MicroMsg.MsgHandler", "invokeAsResult error.%s", new Object[]{e});
        }
        AppMethodBeat.o(9293);
        return str;
    }

    public final int cZr() {
        AppMethodBeat.i(9294);
        int i = -1;
        try {
            if (this.umI != null) {
                Bundle g = this.umI.g(22, null);
                if (g != null) {
                    i = g.getInt("pay_channel");
                }
            }
        } catch (RemoteException e) {
            ab.e("MicroMsg.MsgHandler", "invokeAsResult error.%s", new Object[]{e});
        }
        AppMethodBeat.o(9294);
        return i;
    }

    public final int bFf() {
        int i = 0;
        AppMethodBeat.i(9295);
        try {
            if (this.umI != null) {
                Bundle g = this.umI.g(25, null);
                if (g != null) {
                    i = g.getInt("scene");
                }
            }
        } catch (RemoteException e) {
            ab.e("MicroMsg.MsgHandler", "invokeAsResult error.%s", new Object[]{e});
        }
        AppMethodBeat.o(9295);
        return i;
    }

    private int aGu() {
        int i = 0;
        AppMethodBeat.i(9296);
        try {
            if (this.umI != null) {
                Bundle g = this.umI.g(99, null);
                if (g != null) {
                    i = g.getInt("geta8key_scene");
                }
            }
        } catch (RemoteException e) {
            ab.e("MicroMsg.MsgHandler", "invokeAsResult error.%s", new Object[]{e});
        }
        AppMethodBeat.o(9296);
        return i;
    }

    private String V(i iVar) {
        AppMethodBeat.i(9297);
        String str = null;
        String dcB = dcB();
        if (bFf() == 27) {
            str = this.uGi;
        } else if (cZr() == 8 || cZr() == -1) {
            if (iVar != null) {
                str = (String) iVar.puc.get("src_username");
                ab.i("MicroMsg.MsgHandler", "key_src_username(%s)", new Object[]{(String) iVar.puc.get("src_username")});
            }
        } else if (this.jMp != null) {
            str = this.jMp;
        } else if (!bo.isNullOrNil(dcB)) {
            ab.i("MicroMsg.MsgHandler", "BrandUsername in H5 is null, check if it is in hardBiz chat");
            com.tencent.mm.aj.d qX = f.qX(dcB);
            if (qX != null) {
                com.tencent.mm.aj.d.b cJ = qX.cJ(false);
                if (!(cJ == null || cJ.aej() == null || !cJ.aej().aes())) {
                    str = (String) iVar.puc.get("src_username");
                    ab.i("MicroMsg.MsgHandler", "HardBiz chat, key_src_username(%s)", new Object[]{(String) iVar.puc.get("src_username")});
                }
            }
        }
        AppMethodBeat.o(9297);
        return str;
    }

    /* JADX WARNING: Removed duplicated region for block: B:63:0x0193  */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x0063  */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x009f  */
    /* JADX WARNING: Removed duplicated region for block: B:62:0x0190  */
    /* JADX WARNING: Removed duplicated region for block: B:29:0x00c7 A:{SYNTHETIC, Splitter:B:29:0x00c7} */
    /* JADX WARNING: Removed duplicated region for block: B:52:0x015b  */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x0108  */
    /* JADX WARNING: Removed duplicated region for block: B:56:0x0179  */
    /* JADX WARNING: Removed duplicated region for block: B:52:0x015b  */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x0108  */
    /* JADX WARNING: Removed duplicated region for block: B:56:0x0179  */
    /* JADX WARNING: Removed duplicated region for block: B:52:0x015b  */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x0063  */
    /* JADX WARNING: Removed duplicated region for block: B:63:0x0193  */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x009f  */
    /* JADX WARNING: Removed duplicated region for block: B:29:0x00c7 A:{SYNTHETIC, Splitter:B:29:0x00c7} */
    /* JADX WARNING: Removed duplicated region for block: B:62:0x0190  */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x0108  */
    /* JADX WARNING: Removed duplicated region for block: B:56:0x0179  */
    /* JADX WARNING: Removed duplicated region for block: B:52:0x015b  */
    private boolean W(com.tencent.mm.plugin.webview.ui.tools.jsapi.i r14) {
        /*
        r13 = this;
        r12 = 2;
        r11 = 9298; // 0x2452 float:1.3029E-41 double:4.594E-320;
        r2 = 3;
        r10 = 1;
        r5 = 0;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r11);
        r0 = r14.puc;
        r1 = "sourceType";
        r0 = r0.get(r1);
        r0 = (java.lang.String) r0;
        r1 = "MicroMsg.MsgHandler";
        r3 = "source Type = %s";
        r4 = new java.lang.Object[r10];
        r4[r5] = r0;
        com.tencent.mm.sdk.platformtools.ab.i(r1, r3, r4);
        r1 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r1 != 0) goto L_0x0196;
    L_0x0027:
        r3 = new org.json.JSONArray;	 Catch:{ Exception -> 0x0056 }
        r3.<init>(r0);	 Catch:{ Exception -> 0x0056 }
        r1 = r5;
        r0 = r5;
    L_0x002e:
        r4 = r3.length();	 Catch:{ Exception -> 0x018d }
        if (r1 >= r4) goto L_0x0061;
    L_0x0034:
        r4 = r3.getString(r1);	 Catch:{ Exception -> 0x018d }
        r6 = "album";
        r4 = r4.equals(r6);	 Catch:{ Exception -> 0x018d }
        if (r4 == 0) goto L_0x0046;
    L_0x0041:
        r0 = r0 | 1;
    L_0x0043:
        r1 = r1 + 1;
        goto L_0x002e;
    L_0x0046:
        r4 = r3.getString(r1);	 Catch:{ Exception -> 0x018d }
        r6 = "camera";
        r4 = r4.equals(r6);	 Catch:{ Exception -> 0x018d }
        if (r4 == 0) goto L_0x0043;
    L_0x0053:
        r0 = r0 | 2;
        goto L_0x0043;
    L_0x0056:
        r0 = move-exception;
        r0 = r5;
    L_0x0058:
        r1 = "MicroMsg.MsgHandler";
        r3 = "doChooseImage: sizeType parsing error";
        com.tencent.mm.sdk.platformtools.ab.e(r1, r3);
    L_0x0061:
        if (r0 != 0) goto L_0x0193;
    L_0x0063:
        r1 = r2;
    L_0x0064:
        r0 = "MicroMsg.MsgHandler";
        r3 = "real scene = %d";
        r4 = new java.lang.Object[r10];
        r6 = java.lang.Integer.valueOf(r1);
        r4[r5] = r6;
        com.tencent.mm.sdk.platformtools.ab.i(r0, r3, r4);
        if (r1 == r12) goto L_0x0079;
    L_0x0077:
        if (r1 != r2) goto L_0x00a3;
    L_0x0079:
        r0 = r13.context;
        r0 = (android.app.Activity) r0;
        r3 = "android.permission.CAMERA";
        r4 = 113; // 0x71 float:1.58E-43 double:5.6E-322;
        r6 = "";
        r7 = "";
        r0 = com.tencent.mm.pluginsdk.permission.b.a(r0, r3, r4, r6, r7);
        r3 = "MicroMsg.MsgHandler";
        r4 = " checkPermission checkcamera[%b]";
        r6 = new java.lang.Object[r10];
        r7 = java.lang.Boolean.valueOf(r0);
        r6[r5] = r7;
        com.tencent.mm.sdk.platformtools.ab.d(r3, r4, r6);
        if (r0 != 0) goto L_0x00a3;
    L_0x009f:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r11);
    L_0x00a2:
        return r10;
    L_0x00a3:
        r0 = r14.puc;
        r3 = "count";
        r0 = r0.get(r3);
        r0 = (java.lang.String) r0;
        r7 = com.tencent.mm.sdk.platformtools.bo.getInt(r0, r5);
        r0 = r14.puc;
        r3 = "sizeType";
        r0 = r0.get(r3);
        r0 = (java.lang.String) r0;
        r3 = java.lang.Boolean.FALSE;
        r4 = java.lang.Boolean.FALSE;
        r6 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r6 != 0) goto L_0x0190;
    L_0x00c7:
        r8 = new org.json.JSONArray;	 Catch:{ Exception -> 0x00f7 }
        r8.<init>(r0);	 Catch:{ Exception -> 0x00f7 }
        r6 = r5;
        r0 = r4;
    L_0x00ce:
        r4 = r8.length();	 Catch:{ Exception -> 0x018a }
        if (r6 >= r4) goto L_0x0102;
    L_0x00d4:
        r4 = r8.getString(r6);	 Catch:{ Exception -> 0x018a }
        r9 = "original";
        r4 = r4.equals(r9);	 Catch:{ Exception -> 0x018a }
        if (r4 == 0) goto L_0x00e7;
    L_0x00e1:
        r3 = java.lang.Boolean.TRUE;	 Catch:{ Exception -> 0x018a }
    L_0x00e3:
        r4 = r6 + 1;
        r6 = r4;
        goto L_0x00ce;
    L_0x00e7:
        r4 = r8.getString(r6);	 Catch:{ Exception -> 0x018a }
        r9 = "compressed";
        r4 = r4.equals(r9);	 Catch:{ Exception -> 0x018a }
        if (r4 == 0) goto L_0x00e3;
    L_0x00f4:
        r0 = java.lang.Boolean.TRUE;	 Catch:{ Exception -> 0x018a }
        goto L_0x00e3;
    L_0x00f7:
        r0 = move-exception;
        r0 = r4;
    L_0x00f9:
        r4 = "MicroMsg.MsgHandler";
        r6 = "doChooseImage: sizeType parsing error";
        com.tencent.mm.sdk.platformtools.ab.e(r4, r6);
    L_0x0102:
        r4 = r3.booleanValue();
        if (r4 == 0) goto L_0x0173;
    L_0x0108:
        r4 = r0.booleanValue();
        if (r4 != 0) goto L_0x0173;
    L_0x010e:
        r3 = 7;
        r0 = java.lang.Boolean.TRUE;
        r4 = r3;
    L_0x0112:
        r3 = new android.content.Intent;
        r3.<init>();
        r6 = "key_pick_local_pic_capture";
        r3.putExtra(r6, r1);
        r6 = "key_pick_local_pic_count";
        r3.putExtra(r6, r7);
        r6 = "key_pick_local_pic_query_source_type";
        r3.putExtra(r6, r4);
        r6 = "key_pick_local_pic_send_raw";
        r3.putExtra(r6, r0);
        r6 = "query_media_type";
        r3.putExtra(r6, r10);
        r6 = "MicroMsg.MsgHandler";
        r8 = "doChooseImage: realScene: %d, count: %d, querySourceType: %d, sendRaw: %b";
        r9 = 4;
        r9 = new java.lang.Object[r9];
        r1 = java.lang.Integer.valueOf(r1);
        r9[r5] = r1;
        r1 = java.lang.Integer.valueOf(r7);
        r9[r10] = r1;
        r1 = java.lang.Integer.valueOf(r4);
        r9[r12] = r1;
        r9[r2] = r0;
        com.tencent.mm.sdk.platformtools.ab.i(r6, r8, r9);
        r0 = r13.context;
        r0 = r0 instanceof com.tencent.mm.ui.MMActivity;
        if (r0 == 0) goto L_0x016e;
    L_0x015b:
        r0 = r13.context;
        r0 = (com.tencent.mm.ui.MMActivity) r0;
        r0.ifE = r13;
        r0 = r13.context;
        r1 = "webview";
        r2 = ".ui.tools.OpenFileChooserUI";
        r4 = 14;
        com.tencent.mm.bp.d.a(r0, r1, r2, r3, r4, r5);
    L_0x016e:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r11);
        goto L_0x00a2;
    L_0x0173:
        r3 = r3.booleanValue();
        if (r3 != 0) goto L_0x0184;
    L_0x0179:
        r0 = r0.booleanValue();
        if (r0 == 0) goto L_0x0184;
    L_0x017f:
        r3 = 7;
        r0 = java.lang.Boolean.FALSE;
        r4 = r3;
        goto L_0x0112;
    L_0x0184:
        r3 = 8;
        r0 = java.lang.Boolean.FALSE;
        r4 = r3;
        goto L_0x0112;
    L_0x018a:
        r4 = move-exception;
        goto L_0x00f9;
    L_0x018d:
        r1 = move-exception;
        goto L_0x0058;
    L_0x0190:
        r0 = r4;
        goto L_0x0102;
    L_0x0193:
        r1 = r0;
        goto L_0x0064;
    L_0x0196:
        r0 = r5;
        goto L_0x0061;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.webview.ui.tools.jsapi.g.W(com.tencent.mm.plugin.webview.ui.tools.jsapi.i):boolean");
    }

    private boolean X(i iVar) {
        boolean z;
        AppMethodBeat.i(9299);
        String str = (String) iVar.puc.get("appId");
        String str2 = (String) iVar.puc.get("localId");
        Object obj = iVar.puc.get("isShowProgressTips");
        if (obj != null) {
            try {
                boolean z2;
                if (bo.getInt(obj.toString(), 0) == 1) {
                    z2 = true;
                } else {
                    z2 = false;
                }
                z = z2;
            } catch (Exception e) {
                ab.w("MicroMsg.MsgHandler", "Exception has occured : %s", new Object[]{e.getMessage()});
            }
            l.a(iVar.uII, false, null, str);
            ab.i("MicroMsg.MsgHandler", "upload local image, appid = %s, localid = %s, isShowProgressTips(%s)", new Object[]{str, str2, Boolean.valueOf(z)});
            if (!bo.isNullOrNil(str) || bo.isNullOrNil(str2)) {
                ab.e("MicroMsg.MsgHandler", "appId or localid is null or nil.");
                a(iVar, "uploadImage:fail_missing arguments", null);
                AppMethodBeat.o(9299);
            } else {
                a(iVar, str, str2, com.tencent.mm.i.a.MediaType_FILE, 0, 0, "uploadImage", z);
                AppMethodBeat.o(9299);
            }
            return true;
        }
        z = true;
        l.a(iVar.uII, false, null, str);
        ab.i("MicroMsg.MsgHandler", "upload local image, appid = %s, localid = %s, isShowProgressTips(%s)", new Object[]{str, str2, Boolean.valueOf(z)});
        if (bo.isNullOrNil(str)) {
        }
        ab.e("MicroMsg.MsgHandler", "appId or localid is null or nil.");
        a(iVar, "uploadImage:fail_missing arguments", null);
        AppMethodBeat.o(9299);
        return true;
    }

    private boolean Y(i iVar) {
        int i;
        AppMethodBeat.i(9300);
        String str = (String) iVar.puc.get("appId");
        String str2 = (String) iVar.puc.get("serverId");
        Object obj = iVar.puc.get("isShowProgressTips");
        if (obj != null) {
            try {
                if (bo.getInt(obj.toString(), 0) == 1) {
                    i = 1;
                } else {
                    i = 0;
                }
            } catch (Exception e) {
                ab.w("MicroMsg.MsgHandler", "Exception has occured : %s", new Object[]{e.getMessage()});
            }
            l.a(iVar.uII, false, null, str);
            ab.i("MicroMsg.MsgHandler", "doDownLoadImage, appid is : %s, media id is : %s", new Object[]{str, str2});
            if (!bo.isNullOrNil(str) || bo.isNullOrNil(str2)) {
                a(iVar, "downloadImage:fail_missing arguments", null);
                AppMethodBeat.o(9300);
            } else {
                75 75 = new 75(this, str2, iVar);
                com.tencent.mm.plugin.webview.modeltools.g.cYE().a(str, str2, 75);
                ab.i("MicroMsg.MsgHandler", "doDownLoadImage, add cdn download task result : %b", new Object[]{Boolean.TRUE});
                if (i != 0) {
                    Context context = this.context;
                    this.context.getString(2131297061);
                    this.ehJ = com.tencent.mm.ui.base.h.b(context, this.context.getString(2131305702), true, new 76(this, 75, str2, iVar));
                }
                AppMethodBeat.o(9300);
            }
            return true;
        }
        i = 1;
        l.a(iVar.uII, false, null, str);
        ab.i("MicroMsg.MsgHandler", "doDownLoadImage, appid is : %s, media id is : %s", new Object[]{str, str2});
        if (bo.isNullOrNil(str)) {
        }
        a(iVar, "downloadImage:fail_missing arguments", null);
        AppMethodBeat.o(9300);
        return true;
    }

    private boolean Z(i iVar) {
        boolean z;
        AppMethodBeat.i(9301);
        ab.i("MicroMsg.MsgHandler", "doUploadEncryptMediaFile()");
        String str = (String) iVar.puc.get("appId");
        String str2 = (String) iVar.puc.get("localId");
        Object obj = iVar.puc.get("isShowProgressTips");
        if (obj != null) {
            try {
                z = bo.getInt(obj.toString(), 0) == 1;
            } catch (Exception e) {
                ab.w("MicroMsg.MsgHandler", "Exception has occured : %s", new Object[]{e.getMessage()});
            }
            ab.i("MicroMsg.MsgHandler", "doUploadEncryptMediaFile, appid = %s, localid = %s, isShowProgressTips(%s)", new Object[]{str, str2, Boolean.valueOf(z)});
            if (!bo.isNullOrNil(str) || bo.isNullOrNil(str2)) {
                ab.e("MicroMsg.MsgHandler", "appId or localid is null");
                a(iVar, "uploadEncryptMediaFile:fail_missing arguments", null);
                AppMethodBeat.o(9301);
            } else {
                l.a(iVar.uII, false, null, str);
                WebViewJSSDKFileItem aex = com.tencent.mm.plugin.webview.modeltools.g.cYF().aex(str2);
                if (aex == null) {
                    ab.e("MicroMsg.MsgHandler", "jssdk file item is null for localId:%s", new Object[]{str2});
                    a(iVar, "uploadEncryptMediaFile:file_not_exist", null);
                    AppMethodBeat.o(9301);
                } else {
                    switch (aex.cyQ) {
                        case 1:
                            a(iVar, str, str2, com.tencent.mm.i.a.efH, 0, 0, "uploadEncryptMediaFile", z);
                            break;
                        case 4:
                            b(iVar, str, str2, com.tencent.mm.i.a.efH, 0, 0, "uploadEncryptMediaFile", z);
                            break;
                        default:
                            b(iVar, str, str2, com.tencent.mm.i.a.efH, 0, 0, "uploadEncryptMediaFile", z);
                            break;
                    }
                    AppMethodBeat.o(9301);
                }
            }
            return true;
        }
        z = true;
        ab.i("MicroMsg.MsgHandler", "doUploadEncryptMediaFile, appid = %s, localid = %s, isShowProgressTips(%s)", new Object[]{str, str2, Boolean.valueOf(z)});
        if (bo.isNullOrNil(str)) {
        }
        ab.e("MicroMsg.MsgHandler", "appId or localid is null");
        a(iVar, "uploadEncryptMediaFile:fail_missing arguments", null);
        AppMethodBeat.o(9301);
        return true;
    }

    private boolean aa(i iVar) {
        AppMethodBeat.i(9302);
        ab.i("MicroMsg.MsgHandler", "doChooseMedia()");
        ab.i("MicroMsg.MsgHandler", " checkPermission checkcamera[%b]", new Object[]{Boolean.valueOf(com.tencent.mm.pluginsdk.permission.b.a((Activity) this.context, "android.permission.CAMERA", 119, "", ""))});
        if (com.tencent.mm.pluginsdk.permission.b.a((Activity) this.context, "android.permission.CAMERA", 119, "", "")) {
            ab.i("MicroMsg.MsgHandler", " checkPermission checkMicroPhone[%b]", new Object[]{Boolean.valueOf(com.tencent.mm.pluginsdk.permission.b.a((Activity) this.context, "android.permission.RECORD_AUDIO", 120, "", ""))});
            if (com.tencent.mm.pluginsdk.permission.b.a((Activity) this.context, "android.permission.RECORD_AUDIO", 120, "", "")) {
                int i;
                String str;
                String nullAsNil = bo.nullAsNil((String) iVar.puc.get("sourceType"));
                String nullAsNil2 = bo.nullAsNil((String) iVar.puc.get("mediaType"));
                int min = Math.min(bo.getInt((String) iVar.puc.get("maxDuration"), 10), 10);
                String nullAsNil3 = bo.nullAsNil((String) iVar.puc.get("camera"));
                int i2 = bo.getInt((String) iVar.puc.get("count"), 1);
                String nullAsNil4 = bo.nullAsNil((String) iVar.puc.get("sizeType"));
                ab.i("MicroMsg.MsgHandler", "doChooseMedia sourceType:%s, mediaType:%s, maxDuration:%d, camera:%s, count:%d, sizeType:%s", new Object[]{nullAsNil, nullAsNil2, Integer.valueOf(min), nullAsNil3, Integer.valueOf(i2), nullAsNil4});
                Intent intent = new Intent();
                intent.putExtra("key_pick_local_pic_count", i2);
                if (min <= 0) {
                    i = 10;
                } else {
                    i = min;
                }
                intent.putExtra("key_pick_local_media_duration", i);
                intent.putExtra("query_media_type", 3);
                intent.putExtra("key_pick_local_media_video_type", 2);
                intent.putExtra("key_pick_local_media_sight_type", nullAsNil2);
                intent.putExtra("key_pick_local_pic_query_source_type", (nullAsNil4.contains("original") ^ nullAsNil4.contains("compressed")) != 0 ? 7 : 8);
                intent.putExtra("key_pick_local_pic_send_raw", Boolean.valueOf(nullAsNil4.contains("compressed")));
                if (bo.isNullOrNil(nullAsNil)) {
                    str = "album|camera";
                } else {
                    str = nullAsNil;
                }
                if (str.contains("album") && str.contains("camera")) {
                    com.tencent.mm.ui.tools.j jVar = new com.tencent.mm.ui.tools.j(this.context);
                    jVar.b(null, new 78(this), new 79(this, nullAsNil3, intent));
                    jVar.e(new 80(this, iVar));
                    jVar.cuu();
                    AppMethodBeat.o(9302);
                    return true;
                } else if (str.contains("album")) {
                    aA(intent);
                    AppMethodBeat.o(9302);
                    return true;
                } else if (str.contains("camera")) {
                    b(nullAsNil3, intent);
                    AppMethodBeat.o(9302);
                    return true;
                } else {
                    a(iVar, "chooseMedia:fail_sourceType_error", null);
                    AppMethodBeat.o(9302);
                    return true;
                }
            }
            AppMethodBeat.o(9302);
            return true;
        }
        AppMethodBeat.o(9302);
        return true;
    }

    private void b(String str, Intent intent) {
        int i;
        AppMethodBeat.i(9303);
        ab.i("MicroMsg.MsgHandler", "chooseMediaFromCamera");
        if (str.equals("front")) {
            i = 16;
        } else {
            i = GLIcon.TOP;
        }
        intent.putExtra("key_pick_local_pic_capture", i);
        ((MMActivity) this.context).ifE = this;
        com.tencent.mm.bp.d.a(this.context, "webview", ".ui.tools.OpenFileChooserUI", intent, 47, false);
        AppMethodBeat.o(9303);
    }

    private void aA(Intent intent) {
        AppMethodBeat.i(9304);
        ab.i("MicroMsg.MsgHandler", "chooseMediaFromAlbum");
        intent.putExtra("key_pick_local_pic_capture", 4096);
        ((MMActivity) this.context).ifE = this;
        com.tencent.mm.bp.d.a(this.context, "webview", ".ui.tools.OpenFileChooserUI", intent, 47, false);
        AppMethodBeat.o(9304);
    }

    private boolean a(i iVar, int i) {
        int i2;
        int i3;
        int i4;
        AppMethodBeat.i(9305);
        String nullAsNil = bo.nullAsNil((String) iVar.puc.get("sourceType"));
        ab.i("MicroMsg.MsgHandler", "doChooseVideo sourceType = %s, camera = %s, isVideoType:%d", new Object[]{nullAsNil, bo.nullAsNil((String) iVar.puc.get("camera")), Integer.valueOf(i)});
        int i5 = bo.getInt((String) iVar.puc.get("maxDuration"), 60);
        if (nullAsNil.contains("album")) {
            i2 = 4096;
        } else {
            i2 = 0;
        }
        if (nullAsNil.contains("camera")) {
            if (i5 <= 0) {
                a(iVar, "chooseVideo:fail", null);
                AppMethodBeat.o(9305);
                return true;
            } else if (r3.equals("front")) {
                i2 |= 16;
            } else {
                i2 |= GLIcon.TOP;
            }
        }
        if (i2 == 0) {
            i3 = 4352;
        } else {
            i3 = i2;
        }
        if (i3 == 16 || i3 == GLIcon.TOP || i3 == 4352) {
            if (i == 1) {
                ab.d("MicroMsg.MsgHandler", " checkPermission checkcamera[%b]", new Object[]{Boolean.valueOf(com.tencent.mm.pluginsdk.permission.b.a((Activity) this.context, "android.permission.CAMERA", 117, "", ""))});
                if (com.tencent.mm.pluginsdk.permission.b.a((Activity) this.context, "android.permission.CAMERA", 117, "", "")) {
                    ab.d("MicroMsg.MsgHandler", " checkPermission checkMicroPhone[%b]", new Object[]{Boolean.valueOf(com.tencent.mm.pluginsdk.permission.b.a((Activity) this.context, "android.permission.RECORD_AUDIO", 118, "", ""))});
                    if (!com.tencent.mm.pluginsdk.permission.b.a((Activity) this.context, "android.permission.RECORD_AUDIO", 118, "", "")) {
                        AppMethodBeat.o(9305);
                    }
                } else {
                    AppMethodBeat.o(9305);
                }
                return true;
            }
            ab.d("MicroMsg.MsgHandler", " checkPermission checkcamera[%b]", new Object[]{Boolean.valueOf(com.tencent.mm.pluginsdk.permission.b.a((Activity) this.context, "android.permission.CAMERA", 115, "", ""))});
            if (!com.tencent.mm.pluginsdk.permission.b.a((Activity) this.context, "android.permission.CAMERA", 115, "", "")) {
                AppMethodBeat.o(9305);
                return true;
            }
        }
        i2 = bo.getInt((String) iVar.puc.get("quality"), 1);
        if (i2 == 0 || i2 == 1) {
            i4 = i2;
        } else {
            i4 = 1;
        }
        if (i5 > 60) {
            i2 = 60;
        } else {
            i2 = i5;
        }
        ab.i("MicroMsg.MsgHandler", "doChooseVideo real scene = %d, select count = %d, video quality = %d, duration = %d", new Object[]{Integer.valueOf(i3), Integer.valueOf(1), Integer.valueOf(i4), Integer.valueOf(i2)});
        Intent intent = new Intent();
        intent.putExtra("key_pick_local_pic_capture", i3);
        intent.putExtra("key_pick_local_pic_count", 1);
        intent.putExtra("key_pick_local_pic_query_source_type", 7);
        intent.putExtra("key_pick_local_media_quality", i4);
        intent.putExtra("key_pick_local_media_duration", i2);
        intent.putExtra("query_media_type", 2);
        intent.putExtra("key_pick_local_media_video_type", i);
        ab.i("MicroMsg.MsgHandler", "doChooseVideo: realScene: %d, count: %d, querySourceType: %d", new Object[]{Integer.valueOf(i3), Integer.valueOf(1), Integer.valueOf(7)});
        if (this.context instanceof MMActivity) {
            ((MMActivity) this.context).ifE = this;
            if (i == 1) {
                com.tencent.mm.bp.d.a(this.context, "webview", ".ui.tools.OpenFileChooserUI", intent, 45, false);
            } else {
                com.tencent.mm.bp.d.a(this.context, "webview", ".ui.tools.OpenFileChooserUI", intent, 32, false);
            }
        }
        AppMethodBeat.o(9305);
        return true;
    }

    private boolean ab(i iVar) {
        boolean z;
        AppMethodBeat.i(9306);
        String str = (String) iVar.puc.get("appId");
        String str2 = (String) iVar.puc.get("localId");
        Object obj = iVar.puc.get("isShowProgressTips");
        if (obj != null) {
            try {
                z = bo.getInt(obj.toString(), 0) == 1;
            } catch (Exception e) {
                ab.w("MicroMsg.MsgHandler", "Exception has occured : %s", new Object[]{e.getMessage()});
            }
            ab.i("MicroMsg.MsgHandler", "uploadMediaFile, appid = %s, localid = %s, isShowProgressTips(%s)", new Object[]{str, str2, Boolean.valueOf(z)});
            if (!bo.isNullOrNil(str) || bo.isNullOrNil(str2)) {
                ab.e("MicroMsg.MsgHandler", "appId or localid is null or nil.");
                a(iVar, "uploadMediaFile:fail_missing arguments", null);
                AppMethodBeat.o(9306);
            } else {
                l.a(iVar.uII, false, null, str);
                WebViewJSSDKFileItem aex = com.tencent.mm.plugin.webview.modeltools.g.cYF().aex(str2);
                if (aex == null) {
                    a(iVar, "uploadMediaFile:fail", null);
                    AppMethodBeat.o(9306);
                } else {
                    switch (aex.cyQ) {
                        case 1:
                            a(iVar, str, str2, com.tencent.mm.i.a.efJ, 202, 2, "uploadMediaFile", z);
                            break;
                        case 4:
                            b(iVar, str, str2, com.tencent.mm.i.a.efK, 202, 2, "uploadMediaFile", z);
                            break;
                        default:
                            b(iVar, str, str2, com.tencent.mm.i.a.efM, 202, 2, "uploadMediaFile", z);
                            break;
                    }
                    AppMethodBeat.o(9306);
                }
            }
            return true;
        }
        z = true;
        ab.i("MicroMsg.MsgHandler", "uploadMediaFile, appid = %s, localid = %s, isShowProgressTips(%s)", new Object[]{str, str2, Boolean.valueOf(z)});
        if (bo.isNullOrNil(str)) {
        }
        ab.e("MicroMsg.MsgHandler", "appId or localid is null or nil.");
        a(iVar, "uploadMediaFile:fail_missing arguments", null);
        AppMethodBeat.o(9306);
        return true;
    }

    private void a(i iVar, String str, String str2, int i, int i2, int i3, String str3, boolean z) {
        AppMethodBeat.i(9307);
        82 82 = new 82(this, str3, str2, iVar);
        WebViewJSSDKFileItem aex = com.tencent.mm.plugin.webview.modeltools.g.cYF().aex(str2);
        if (aex == null) {
            a(iVar, str3 + ":fail", null);
            AppMethodBeat.o(9307);
            return;
        }
        com.tencent.mm.at.e b = o.ahl().b(Long.valueOf(o.ahl().a(aex.heo, aex.hes ? 0 : 1, 0, new PString(), new PInt(), new PInt())));
        String str4 = aex.heo;
        aex.heo = o.ahl().q(b.fDz, "", "");
        ab.i("MicroMsg.MsgHandler", "Image Inserted: %s", new Object[]{r2});
        ab.i("MicroMsg.MsgHandler", str3 + ", add cdn upload task result : %b", new Object[]{Boolean.valueOf(com.tencent.mm.plugin.webview.modeltools.g.cYE().a(str, str2, i, i2, i3, 82))});
        if (!com.tencent.mm.plugin.webview.modeltools.g.cYE().a(str, str2, i, i2, i3, 82)) {
            a(iVar, str3 + ":fail", null);
        } else if (z) {
            Context context = this.context;
            this.context.getString(2131297061);
            this.ehJ = com.tencent.mm.ui.base.h.b(context, this.context.getString(2131305732), true, new 83(this, 82, str2, iVar, str3));
        } else if (this.context instanceof Activity) {
            ((Activity) this.context).finish();
            this.umI = this.uGq;
        }
        aex.heo = str4;
        AppMethodBeat.o(9307);
    }

    private void b(i iVar, String str, String str2, int i, int i2, int i3, String str3, boolean z) {
        AppMethodBeat.i(9308);
        WebViewJSSDKFileItem aex = com.tencent.mm.plugin.webview.modeltools.g.cYF().aex(str2);
        if (aex == null || bo.isNullOrNil(aex.heo) || !com.tencent.mm.vfs.e.ct(aex.heo)) {
            a(iVar, str3 + ":fail_file not exist", null);
            AppMethodBeat.o(9308);
        } else if (com.tencent.mm.network.ab.ch(this.context)) {
            c(iVar, str, str2, i, i2, i3, str3, z);
            AppMethodBeat.o(9308);
        } else {
            String my = bo.my(com.tencent.mm.vfs.e.asZ(aex.heo));
            Context context = this.context;
            String string = this.context.getString(2131305569, new Object[]{my});
            String string2 = this.context.getString(2131297061);
            final i iVar2 = iVar;
            final String str4 = str;
            final String str5 = str2;
            final int i4 = i;
            final int i5 = i2;
            final int i6 = i3;
            final String str6 = str3;
            final boolean z2 = z;
            AnonymousClass84 anonymousClass84 = new OnClickListener() {
                public final void onClick(DialogInterface dialogInterface, int i) {
                    AppMethodBeat.i(9148);
                    g.a(g.this, iVar2, str4, str5, i4, i5, i6, str6, z2);
                    AppMethodBeat.o(9148);
                }
            };
            final i iVar3 = iVar;
            final String str7 = str3;
            com.tencent.mm.ui.base.h.a(context, string, string2, false, anonymousClass84, new OnClickListener() {
                public final void onClick(DialogInterface dialogInterface, int i) {
                    AppMethodBeat.i(9149);
                    g.a(g.this, iVar3, str7 + ":cancel", null);
                    AppMethodBeat.o(9149);
                }
            });
            AppMethodBeat.o(9308);
        }
    }

    private void c(i iVar, String str, String str2, int i, int i2, int i3, String str3, boolean z) {
        AppMethodBeat.i(9309);
        86 86 = new 86(this, str3, str2, iVar);
        boolean a = com.tencent.mm.plugin.webview.modeltools.g.cYE().a(str, str2, i, i2, i3, 86);
        ab.i("MicroMsg.MsgHandler", str3 + ", add cdn upload task result : %b", new Object[]{Boolean.valueOf(a)});
        if (a) {
            b bVar = new b((byte) 0);
            bVar.uGd = iVar;
            bVar.uIC = 86;
            this.uGO.put(str2, bVar);
            Bundle bundle = new Bundle();
            bundle.putString("close_window_confirm_dialog_switch", ServerProtocol.DIALOG_RETURN_SCOPES_TRUE);
            bundle.putString("close_window_confirm_dialog_title_cn", this.context.getString(2131305571));
            bundle.putString("close_window_confirm_dialog_title_eng", this.context.getString(2131305571));
            bundle.putString("close_window_confirm_dialog_ok_cn", this.context.getString(2131305567));
            bundle.putString("close_window_confirm_dialog_ok_eng", this.context.getString(2131305567));
            bundle.putString("close_window_confirm_dialog_cancel_cn", this.context.getString(2131305568));
            bundle.putString("close_window_confirm_dialog_cancel_eng", this.context.getString(2131305568));
            try {
                this.umI.c(13, bundle);
            } catch (Exception e) {
                ab.e("MicroMsg.MsgHandler", "doSetCloseWindowConfirmDialogInfo invoke callback failed : %s", new Object[]{e.getMessage()});
            }
            if (z) {
                Context context = this.context;
                this.context.getString(2131297061);
                this.ehJ = com.tencent.mm.ui.base.h.b(context, this.context.getString(2131305732), true, new 87(this, 86, str2, iVar, str3));
                this.ehJ.setOnKeyListener(new 88(this));
                AppMethodBeat.o(9309);
                return;
            }
            if (this.context instanceof Activity) {
                ((Activity) this.context).finish();
                this.umI = this.uGq;
            }
            AppMethodBeat.o(9309);
            return;
        }
        a(iVar, str3 + ":fail", null);
        AppMethodBeat.o(9309);
    }

    private boolean ac(i iVar) {
        boolean z;
        AppMethodBeat.i(9310);
        String str = (String) iVar.puc.get("appId");
        String str2 = (String) iVar.puc.get("localId");
        Object obj = iVar.puc.get("isShowProgressTips");
        if (obj != null) {
            try {
                z = bo.getInt(obj.toString(), 0) == 1;
            } catch (Exception e) {
                ab.w("MicroMsg.MsgHandler", "Exception has occurred : %s", new Object[]{e.getMessage()});
            }
            ab.i("MicroMsg.MsgHandler", "upload local video, appId = %s, localId = %s, isShowProgressTips(%s)", new Object[]{str, str2, Boolean.valueOf(z)});
            if (!bo.isNullOrNil(str) || bo.isNullOrNil(str2)) {
                ab.e("MicroMsg.MsgHandler", "appId or localId is null or nil.");
                a(iVar, "uploadVideo:fail_missing arguments", null);
                AppMethodBeat.o(9310);
            } else {
                b(iVar, str, str2, com.tencent.mm.i.a.MediaType_FILE, 0, 0, "uploadVideo", z);
                AppMethodBeat.o(9310);
            }
            return true;
        }
        z = true;
        ab.i("MicroMsg.MsgHandler", "upload local video, appId = %s, localId = %s, isShowProgressTips(%s)", new Object[]{str, str2, Boolean.valueOf(z)});
        if (bo.isNullOrNil(str)) {
        }
        ab.e("MicroMsg.MsgHandler", "appId or localId is null or nil.");
        a(iVar, "uploadVideo:fail_missing arguments", null);
        AppMethodBeat.o(9310);
        return true;
    }

    public final boolean dcC() {
        AppMethodBeat.i(9311);
        boolean z = !bo.isNullOrNil(this.uGP);
        if (z) {
            ab.e("MicroMsg.MsgHandler", "in recording state.");
        }
        AppMethodBeat.o(9311);
        return z;
    }

    private boolean ad(i iVar) {
        AppMethodBeat.i(9312);
        if (dcC()) {
            try {
                this.umI.c(2007, null);
            } catch (Exception e) {
                ab.e("MicroMsg.MsgHandler", "callback start record failed");
            }
            a(iVar, "startRecord:fail_recording", null);
            AppMethodBeat.o(9312);
        } else {
            String str = (String) iVar.puc.get("appId");
            if (bo.isNullOrNil(str)) {
                ab.e("MicroMsg.MsgHandler", "appId is null or nil.");
                a(iVar, "startRecord:fail_missing arguments", null);
                AppMethodBeat.o(9312);
            } else {
                l.a(iVar.uII, false, null, str);
                if (com.tencent.mm.pluginsdk.permission.b.o(this.context, "android.permission.RECORD_AUDIO")) {
                    WebViewJSSDKFileItem aev = WebViewJSSDKFileItem.aev(ap.aeF(str));
                    aev.appId = str;
                    com.tencent.mm.plugin.webview.modeltools.g.cYF().b(aev);
                    ab.i("MicroMsg.MsgHandler", "start record appId : %s, voice file name : %s, voice file path : %s", new Object[]{str, r1, aev.heo});
                    this.uGP = aev.czD;
                    al.d(new 89(this, aev, iVar));
                    try {
                        this.umI.c(2007, null);
                    } catch (Exception e2) {
                        ab.e("MicroMsg.MsgHandler", "callback start record failed");
                    }
                    a(iVar, "startRecord:ok", null);
                    AppMethodBeat.o(9312);
                } else {
                    WebViewStubTempUI.a(this.context, this.umI, new String[]{"android.permission.RECORD_AUDIO"}, 116, this.cIv);
                    AppMethodBeat.o(9312);
                }
            }
        }
        return true;
    }

    private boolean ae(i iVar) {
        AppMethodBeat.i(9313);
        if (dcC()) {
            String str = (String) iVar.puc.get("appId");
            ab.i("MicroMsg.MsgHandler", "stop record appId : %s", new Object[]{str});
            l.a(iVar.uII, false, null, str);
            WebViewJSSDKFileItem aex = com.tencent.mm.plugin.webview.modeltools.g.cYF().aex(this.uGP);
            if (aex == null || !str.equals(aex.appId)) {
                ab.e("MicroMsg.MsgHandler", "get jssdk file item by id failed or the appid is not corrected, appid is : %s", new Object[]{str});
                a(iVar, "stopRecord:fail", null);
                AppMethodBeat.o(9313);
            } else {
                al.d(new 91(this, aex));
                ab.i("MicroMsg.MsgHandler", "stop record, file name  : %s, file path : %s, localid : %s", new Object[]{aex.fileName, aex.heo, aex.czD});
                Map hashMap = new HashMap();
                hashMap.put("localId", aex.czD);
                try {
                    this.umI.c(2009, null);
                } catch (RemoteException e) {
                    ab.e("MicroMsg.MsgHandler", "callback on stop record failed.");
                }
                a(iVar, "stopRecord:ok", hashMap);
                AppMethodBeat.o(9313);
            }
        } else {
            ab.w("MicroMsg.MsgHandler", "Do not in recording state.");
            a(iVar, "stopRecord:fail", null);
            AppMethodBeat.o(9313);
        }
        return true;
    }

    private boolean af(i iVar) {
        boolean z;
        AppMethodBeat.i(9314);
        String str = (String) iVar.puc.get("appId");
        String str2 = (String) iVar.puc.get("localId");
        Object obj = iVar.puc.get("isShowProgressTips");
        if (obj != null) {
            try {
                if (bo.getInt(obj.toString(), 0) == 1) {
                    z = true;
                } else {
                    z = false;
                }
            } catch (Exception e) {
                ab.w("MicroMsg.MsgHandler", "Exception has occured : %s", new Object[]{e.getMessage()});
            }
            l.a(iVar.uII, false, null, str);
            ab.i("MicroMsg.MsgHandler", "doUploadVoice, appId : %s, localId : %s, isShowProgressTips(%s)", new Object[]{str, str2, Boolean.valueOf(z)});
            if (!bo.isNullOrNil(str) || bo.isNullOrNil(str2)) {
                ab.e("MicroMsg.MsgHandler", "appId or localId is null or nil.");
                a(iVar, "uploadVoice:fail_missing arguments", null);
                AppMethodBeat.o(9314);
            } else {
                96 96 = new 96(this, str2, iVar);
                ab.i("MicroMsg.MsgHandler", "doUploadVoice, add cdn upload task result : %b", new Object[]{Boolean.valueOf(com.tencent.mm.plugin.webview.modeltools.g.cYE().b(str, str2, 96))});
                if (!com.tencent.mm.plugin.webview.modeltools.g.cYE().b(str, str2, 96)) {
                    a(iVar, "uploadVoice:fail", null);
                } else if (z) {
                    Context context = this.context;
                    this.context.getString(2131297061);
                    this.ehJ = com.tencent.mm.ui.base.h.b(context, this.context.getString(2131305732), true, new 97(this, 96, str2, iVar));
                }
                AppMethodBeat.o(9314);
            }
            return true;
        }
        z = true;
        l.a(iVar.uII, false, null, str);
        ab.i("MicroMsg.MsgHandler", "doUploadVoice, appId : %s, localId : %s, isShowProgressTips(%s)", new Object[]{str, str2, Boolean.valueOf(z)});
        if (bo.isNullOrNil(str)) {
        }
        ab.e("MicroMsg.MsgHandler", "appId or localId is null or nil.");
        a(iVar, "uploadVoice:fail_missing arguments", null);
        AppMethodBeat.o(9314);
        return true;
    }

    /* JADX WARNING: Removed duplicated region for block: B:14:0x0077  */
    /* JADX WARNING: Removed duplicated region for block: B:8:0x0057  */
    private boolean ag(final com.tencent.mm.plugin.webview.ui.tools.jsapi.i r13) {
        /*
        r12 = this;
        r11 = 0;
        r10 = 9315; // 0x2463 float:1.3053E-41 double:4.602E-320;
        r4 = 0;
        r3 = 1;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r10);
        r0 = r13.puc;
        r1 = "appId";
        r0 = r0.get(r1);
        r0 = (java.lang.String) r0;
        r1 = r13.puc;
        r2 = "serverId";
        r1 = r1.get(r2);
        r1 = (java.lang.String) r1;
        r2 = r13.puc;
        r5 = "isShowProgressTips";
        r2 = r2.get(r5);
        if (r2 == 0) goto L_0x0075;
    L_0x0029:
        r2 = r2.toString();	 Catch:{ Exception -> 0x0063 }
        r5 = 0;
        r2 = com.tencent.mm.sdk.platformtools.bo.getInt(r2, r5);	 Catch:{ Exception -> 0x0063 }
        if (r2 != r3) goto L_0x0061;
    L_0x0034:
        r2 = r3;
    L_0x0035:
        r5 = r13.uII;
        com.tencent.mm.plugin.webview.ui.tools.jsapi.l.a(r5, r4, r11, r0);
        r5 = "MicroMsg.MsgHandler";
        r6 = "doDownloadVoice, appid is : %s, media id is : %s, isShowProgDialog(%s)";
        r7 = 3;
        r7 = new java.lang.Object[r7];
        r7[r4] = r0;
        r7[r3] = r1;
        r8 = 2;
        r9 = java.lang.Boolean.valueOf(r2);
        r7[r8] = r9;
        com.tencent.mm.sdk.platformtools.ab.i(r5, r6, r7);
        r5 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r1);
        if (r5 == 0) goto L_0x0077;
    L_0x0057:
        r0 = "downloadVoice:fail_invaild_serverId";
        r12.a(r13, r0, r11);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
    L_0x0060:
        return r3;
    L_0x0061:
        r2 = r4;
        goto L_0x0035;
    L_0x0063:
        r2 = move-exception;
        r5 = "MicroMsg.MsgHandler";
        r6 = "Exception has occured : %s";
        r7 = new java.lang.Object[r3];
        r2 = r2.getMessage();
        r7[r4] = r2;
        com.tencent.mm.sdk.platformtools.ab.w(r5, r6, r7);
    L_0x0075:
        r2 = r3;
        goto L_0x0035;
    L_0x0077:
        r5 = new com.tencent.mm.plugin.webview.ui.tools.jsapi.g$98;
        r5.<init>(r12, r1, r13);
        r6 = com.tencent.mm.plugin.webview.modeltools.g.cYE();
        r6.a(r0, r1, r5);
        r0 = "MicroMsg.MsgHandler";
        r6 = "doDownloadVoice, add cdn download task result : %b";
        r7 = new java.lang.Object[r3];
        r8 = java.lang.Boolean.TRUE;
        r7[r4] = r8;
        com.tencent.mm.sdk.platformtools.ab.i(r0, r6, r7);
        if (r2 == 0) goto L_0x00b2;
    L_0x0094:
        r0 = r12.context;
        r2 = r12.context;
        r4 = 2131297061; // 0x7f090325 float:1.8212056E38 double:1.053000659E-314;
        r2.getString(r4);
        r2 = r12.context;
        r4 = 2131305702; // 0x7f0924e6 float:1.8229582E38 double:1.053004928E-314;
        r2 = r2.getString(r4);
        r4 = new com.tencent.mm.plugin.webview.ui.tools.jsapi.g$99;
        r4.<init>(r5, r1, r13);
        r0 = com.tencent.mm.ui.base.h.b(r0, r2, r3, r4);
        r12.ehJ = r0;
    L_0x00b2:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        goto L_0x0060;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.webview.ui.tools.jsapi.g.ag(com.tencent.mm.plugin.webview.ui.tools.jsapi.i):boolean");
    }

    private boolean ah(i iVar) {
        AppMethodBeat.i(9316);
        String str = (String) iVar.puc.get("menuList");
        if (bo.isNullOrNil(str)) {
            a(iVar, "hideMenuItems:param is empty", null);
            AppMethodBeat.o(9316);
        } else {
            try {
                JSONArray jSONArray = new JSONArray(str);
                ArrayList arrayList = new ArrayList();
                for (int i = 0; i < jSONArray.length(); i++) {
                    arrayList.add(jSONArray.getString(i));
                }
                Bundle bundle = new Bundle();
                bundle.putStringArrayList("menu_item_list", arrayList);
                this.umI.q(3001, bundle);
                a(iVar, "hideMenuItems:ok", null);
                AppMethodBeat.o(9316);
            } catch (JSONException e) {
                ab.w("MicroMsg.MsgHandler", "JSONException : %s", new Object[]{e.getMessage()});
                a(iVar, "hideMenuItems:param is empty", null);
                AppMethodBeat.o(9316);
            } catch (RemoteException e2) {
                a(iVar, "hideMenuItems:param is empty", null);
                AppMethodBeat.o(9316);
            }
        }
        return true;
    }

    private boolean ai(i iVar) {
        AppMethodBeat.i(9317);
        String str = (String) iVar.puc.get("menuList");
        if (bo.isNullOrNil(str)) {
            a(iVar, "showMenuItems:param is empty", null);
            AppMethodBeat.o(9317);
        } else {
            try {
                JSONArray jSONArray = new JSONArray(str);
                ArrayList arrayList = new ArrayList();
                for (int i = 0; i < jSONArray.length(); i++) {
                    arrayList.add(jSONArray.getString(i));
                }
                Bundle bundle = new Bundle();
                bundle.putStringArrayList("menu_item_list", arrayList);
                this.umI.q(3002, bundle);
            } catch (JSONException e) {
                ab.w("MicroMsg.MsgHandler", "JSONException : %s", new Object[]{e.getMessage()});
                a(iVar, "showMenuItems:param is empty", null);
                AppMethodBeat.o(9317);
            } catch (RemoteException e2) {
                ab.w("MicroMsg.MsgHandler", "RemoteException : %s", new Object[]{e2.getMessage()});
                a(iVar, "showMenuItems:param is empty", null);
            }
            a(iVar, "showMenuItems:ok", null);
            AppMethodBeat.o(9317);
        }
        return true;
    }

    private boolean dcD() {
        AppMethodBeat.i(9318);
        try {
            this.umI.q(3003, null);
        } catch (RemoteException e) {
            ab.w("MicroMsg.MsgHandler", "doShowOptionMenu, RemoteException : %s", new Object[]{e.getMessage()});
        }
        this.eBB = false;
        AppMethodBeat.o(9318);
        return false;
    }

    private boolean dcE() {
        AppMethodBeat.i(9319);
        try {
            this.umI.q(3004, null);
        } catch (RemoteException e) {
            ab.w("MicroMsg.MsgHandler", "RemoteException : %s", new Object[]{e.getMessage()});
        }
        this.eBB = false;
        AppMethodBeat.o(9319);
        return false;
    }

    private boolean aj(i iVar) {
        AppMethodBeat.i(9320);
        try {
            this.umI.q(3003, null);
        } catch (RemoteException e) {
            ab.w("MicroMsg.MsgHandler", "RemoteException : %s", new Object[]{e.getMessage()});
            a(iVar, "hideAllNonBaseMenuItem:param is empty", null);
        }
        a(iVar, "hideAllNonBaseMenuItem:ok", null);
        AppMethodBeat.o(9320);
        return true;
    }

    private boolean ak(i iVar) {
        AppMethodBeat.i(9321);
        try {
            this.umI.q(3004, null);
        } catch (RemoteException e) {
            ab.w("MicroMsg.MsgHandler", "RemoteException : %s", new Object[]{e.getMessage()});
            a(iVar, "showAllNonBaseMenuItem:param is empty", null);
        }
        a(iVar, "showAllNonBaseMenuItem:ok", null);
        AppMethodBeat.o(9321);
        return true;
    }

    private boolean al(i iVar) {
        AppMethodBeat.i(9322);
        String str = (String) iVar.puc.get("jsApiList");
        if (bo.isNullOrNil(str)) {
            a(iVar, "checkJsApi:param is empty", null);
            AppMethodBeat.o(9322);
        } else {
            try {
                JSONObject jSONObject = new JSONObject();
                JSONArray jSONArray = new JSONArray(str);
                if (jSONArray.length() == 0) {
                    a(iVar, "checkJsApi:param is empty", null);
                    AppMethodBeat.o(9322);
                } else {
                    for (int i = 0; i < jSONArray.length(); i++) {
                        boolean z;
                        String string = jSONArray.getString(i);
                        if (com.tencent.mm.protocal.c.akD(string) == null) {
                            if (me.vxh == null) {
                                HashSet hashSet = new HashSet();
                                me.vxh = hashSet;
                                hashSet.add("menu:share:QZone");
                                me.vxh.add("onImageDownloadProgress");
                                me.vxh.add("onVoiceUploadProgress");
                                me.vxh.add("onVoiceDownloadProgress");
                                me.vxh.add("onVoiceRecordEnd");
                                me.vxh.add("onVoicePlayBegin");
                                me.vxh.add("onVoicePlayEnd");
                                me.vxh.add("onLocalImageUploadProgress");
                                me.vxh.add("wxdownload:state_change");
                                me.vxh.add("wxdownload:progress_change");
                                me.vxh.add("hdOnDeviceStateChanged");
                                me.vxh.add("activity:state_change");
                                me.vxh.add("onWXDeviceBluetoothStateChange");
                                me.vxh.add("onWXDeviceLanStateChange");
                                me.vxh.add("onWXDeviceBindStateChange");
                                me.vxh.add("onReceiveDataFromWXDevice");
                                me.vxh.add("onScanWXDeviceResult");
                                me.vxh.add("onWXDeviceStateChange");
                                me.vxh.add("onGetKeyboardHeight");
                                me.vxh.add("onGetSmiley");
                                me.vxh.add("onAddShortcutStatus");
                                me.vxh.add("onMediaFileUploadProgess");
                                me.vxh.add("onGetA8KeyUrl");
                                me.vxh.add("onPageStateChange");
                                me.vxh.add("onGetMsgProofItems");
                                me.vxh.add("onNavigationBarRightButtonClick");
                                me.vxh.add("onBackgroundAudioStateChange");
                                me.vxh.add("onNetWorkChange");
                                me.vxh.add("onCustomGameMenuClicked");
                                me.vxh.add("onArticleReadingBtnClicked");
                                me.vxh.add("onRecordHistory");
                                me.vxh.add("onBeaconsInRange");
                                me.vxh.add("onMiniProgramData");
                            }
                            if (!me.vxh.contains(string)) {
                                z = false;
                                jSONObject.put(string, z);
                            }
                        }
                        z = true;
                        jSONObject.put(string, z);
                    }
                    Map hashMap = new HashMap();
                    hashMap.put("checkResult", jSONObject.toString());
                    a(iVar, "checkJsApi:ok", hashMap);
                    AppMethodBeat.o(9322);
                }
            } catch (JSONException e) {
                ab.w("MicroMsg.MsgHandler", "JSONException : %s", new Object[]{e.getMessage()});
                a(iVar, "checkJsApi:param is empty", null);
                AppMethodBeat.o(9322);
            }
        }
        return true;
    }

    private boolean am(i iVar) {
        AppMethodBeat.i(9323);
        try {
            int intValue;
            String str = (String) iVar.puc.get("userName");
            try {
                intValue = ((Integer) iVar.puc.get(VideoMaterialUtil.CRAZYFACE_LAYER_TYPE)).intValue();
            } catch (Exception e) {
                intValue = 0;
            }
            a(iVar, "setFreeWifiOwner:ok", null);
            Intent intent = new Intent();
            intent.putExtra("wifi_owner_name", str);
            intent.putExtra("wifi_owner_type", intValue);
            com.tencent.mm.bp.d.c(this.context, "freewifi", ".ui.FreeWifiOwnerUI", intent);
        } catch (Exception e2) {
            ab.w("MicroMsg.MsgHandler", "setFreeWifiOwner, Exception: %s", new Object[]{e2.getMessage()});
        }
        AppMethodBeat.o(9323);
        return false;
    }

    private boolean an(i iVar) {
        boolean z;
        AppMethodBeat.i(9324);
        String str = (String) iVar.puc.get("appId");
        String str2 = (String) iVar.puc.get("localId");
        Object obj = iVar.puc.get("isShowProgressTips");
        if (obj != null) {
            try {
                z = bo.getInt(obj.toString(), 0) == 1;
            } catch (Exception e) {
                ab.w("MicroMsg.MsgHandler", "Exception has occured : %s", new Object[]{e.getMessage()});
            }
            ab.i("MicroMsg.MsgHandler", "isShowProgressTips(%s)", new Object[]{Boolean.valueOf(z)});
            l.a(iVar.uII, false, null, str);
            if (!bo.isNullOrNil(str) || bo.isNullOrNil(str2)) {
                ab.i("MicroMsg.MsgHandler", "The localId(%s) is null or appId(%s) is null.", new Object[]{str2, str});
                a(iVar, "translateVoice:fail_missing arguments", null);
                AppMethodBeat.o(9324);
            } else {
                WebViewJSSDKFileItem aex = com.tencent.mm.plugin.webview.modeltools.g.cYF().aex(str2);
                if (aex != null) {
                    al.d(new 101(this, z, iVar, str2, aex));
                } else {
                    a(iVar, "translateVoice:fail_arguments error", null);
                }
                AppMethodBeat.o(9324);
            }
            return true;
        }
        z = true;
        ab.i("MicroMsg.MsgHandler", "isShowProgressTips(%s)", new Object[]{Boolean.valueOf(z)});
        l.a(iVar.uII, false, null, str);
        if (bo.isNullOrNil(str)) {
        }
        ab.i("MicroMsg.MsgHandler", "The localId(%s) is null or appId(%s) is null.", new Object[]{str2, str});
        a(iVar, "translateVoice:fail_missing arguments", null);
        AppMethodBeat.o(9324);
        return true;
    }

    private boolean ao(i iVar) {
        AppMethodBeat.i(9325);
        WWMediaLink wWMediaLink = new WWMediaLink();
        wWMediaLink.thumbUrl = (String) iVar.puc.get("img_url");
        try {
            wWMediaLink.webpageUrl = ar.aek(this.umI.getCurrentUrl());
        } catch (RemoteException e) {
            ab.printErrStackTrace("MicroMsg.MsgHandler", e, "", new Object[0]);
            wWMediaLink.webpageUrl = (String) iVar.puc.get("link");
        }
        wWMediaLink.title = (String) iVar.puc.get("title");
        wWMediaLink.description = (String) iVar.puc.get("desc");
        WWAPIFactory.jv(this.context).a(wWMediaLink);
        a(iVar, "shareWeWork:ok", null);
        AppMethodBeat.o(9325);
        return true;
    }

    private boolean ap(i iVar) {
        AppMethodBeat.i(9326);
        if (com.tencent.mm.plugin.webview.stub.a.fq(this.context)) {
            if (this.cEl == null) {
                this.cEl = g(iVar);
            }
            String str = (String) iVar.puc.get("img_url");
            String str2 = (String) iVar.puc.get("title");
            String str3 = (String) iVar.puc.get("desc");
            String string = this.context.getResources().getString(2131296982);
            String str4 = (String) iVar.puc.get("link");
            try {
                if (bo.isNullOrNil(str4)) {
                    str4 = this.umI.getCurrentUrl();
                }
            } catch (RemoteException e) {
                ab.w("MicroMsg.MsgHandler", "Get current url fail. exception : %s", new Object[]{e.getMessage()});
            }
            str4 = ar.aek(str4);
            if (bo.isNullOrNil(str2)) {
                str2 = this.context.getString(2131305561);
            }
            if (bo.isNullOrNil(str4) || bo.isNullOrNil(str2)) {
                ab.w("MicroMsg.MsgHandler", "url(%s) or title(%s) or description(%s) is null or nil.", new Object[]{str4, str2, str3});
                a(iVar, "shareQQ:fail", null);
                AppMethodBeat.o(9326);
            } else {
                HashMap hashMap = new HashMap();
                hashMap.put("image_url", u.akl(str));
                hashMap.put("title", u.akl(str2));
                hashMap.put("description", u.akl(str3));
                hashMap.put("url", u.akl(str4));
                hashMap.put("app_name", u.akl(string));
                hashMap.put("req_type", u.akl("1"));
                if (iVar.uIJ.equalsIgnoreCase("shareQZone")) {
                    hashMap.put("cflag", u.akl("1"));
                }
                StringBuilder stringBuilder = new StringBuilder();
                stringBuilder.append("mqqapi://share/to_fri?file_type=news&share_id=1103188687");
                stringBuilder.append("&");
                stringBuilder.append(u.aR(hashMap));
                ab.d("MicroMsg.MsgHandler", "Uri : %s", new Object[]{stringBuilder.toString()});
                Intent intent = new Intent("android.intent.action.VIEW", Uri.parse(stringBuilder.toString()));
                intent.putExtra("pkg_name", MMessageActV2.MM_ENTRY_PACKAGE_NAME);
                intent.getStringExtra("pkg_name");
                intent.setFlags(268435456);
                int i = "shareQQ".equals(iVar.uIJ) ? 5 : 6;
                this.uGv.bE(i, (String) iVar.puc.get("use_update_jsapi_data"));
                if (bo.k(this.context, intent) && (this.context instanceof Activity)) {
                    gB(i, 1);
                    ((Activity) this.context).startActivityForResult(intent, 44);
                    a(iVar, iVar.uIJ + ":ok", null);
                } else {
                    gB(i, 2);
                    a(iVar, iVar.uIJ + ":fail", null);
                }
                AppMethodBeat.o(9326);
            }
        } else {
            ab.w("MicroMsg.MsgHandler", "Tencent QQ hasn't installed at all.");
            a(iVar, "shareQQ:fail", null);
            AppMethodBeat.o(9326);
        }
        return true;
    }

    private boolean aq(i iVar) {
        AppMethodBeat.i(9327);
        String str = (String) iVar.puc.get("desc");
        String str2 = (String) iVar.puc.get("img_url");
        String str3 = (String) iVar.puc.get("link");
        try {
            if (bo.isNullOrNil(str3)) {
                str3 = this.umI.getCurrentUrl();
            }
        } catch (RemoteException e) {
            ab.w("MicroMsg.MsgHandler", "Get current url fail. exception : %s", new Object[]{e.getMessage()});
        }
        str3 = ar.aek(str3);
        if (bo.isNullOrNil(str3)) {
            ab.e("MicroMsg.MsgHandler", "link is null or nil.");
            a(iVar, "shareWeiboApp:fail", null);
            AppMethodBeat.o(9327);
        } else {
            if (bo.isNullOrNil(str)) {
                str = ((String) iVar.puc.get("title")) + " " + str3;
            }
            HashMap hashMap = new HashMap();
            hashMap.put(VideoMaterialUtil.CRAZYFACE_LAYER_TYPE, Integer.valueOf(0));
            hashMap.put("openLBS", Integer.valueOf(0));
            hashMap.put("content", u.akk(str));
            hashMap.put("url", u.akk(str2));
            hashMap.put("thumbnailurl", u.akk(str2));
            Intent intent = new Intent("android.intent.action.VIEW", Uri.parse("weibo://t.qq.com/proxy/write"));
            StringBuilder stringBuilder = new StringBuilder();
            stringBuilder.append("TencentWeibo://Edit?from=weixin&");
            stringBuilder.append(u.aR(hashMap));
            ab.i("MicroMsg.MsgHandler", "Uri : %s", new Object[]{stringBuilder.toString()});
            intent.putExtra("microblog.intent.extra.ACTION", stringBuilder.toString());
            intent.setFlags(268435456);
            if (bo.k(this.context, intent)) {
                this.context.startActivity(intent);
                a(iVar, "shareWeiboApp:ok", null);
            } else {
                a(iVar, "shareWeiboApp:fail", null);
            }
            AppMethodBeat.o(9327);
        }
        return true;
    }

    /* JADX WARNING: Removed duplicated region for block: B:29:0x00d6 A:{SYNTHETIC, Splitter:B:29:0x00d6} */
    /* JADX WARNING: Removed duplicated region for block: B:17:0x00a9 A:{Catch:{ Exception -> 0x00de }} */
    private boolean ar(com.tencent.mm.plugin.webview.ui.tools.jsapi.i r13) {
        /*
        r12 = this;
        r11 = 9328; // 0x2470 float:1.3071E-41 double:4.6086E-320;
        r10 = 1;
        r2 = 0;
        r5 = 0;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r11);
        r0 = r13.puc;
        r1 = "sessionId";
        r0 = r0.get(r1);
        r0 = (java.lang.String) r0;
        r1 = r13.puc;
        r3 = "sessionFrom";
        r1 = r1.get(r3);
        r1 = (java.lang.String) r1;
        r3 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r3 == 0) goto L_0x002e;
    L_0x0024:
        r0 = "startTempSession:fail_missing arguments";
        r12.a(r13, r0, r2);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r11);
    L_0x002d:
        return r10;
    L_0x002e:
        if (r1 == 0) goto L_0x00f4;
    L_0x0030:
        r3 = "UTF-8";
        r1 = java.net.URLEncoder.encode(r1, r3);	 Catch:{ UnsupportedEncodingException -> 0x00c0 }
    L_0x0037:
        r3 = r1;
    L_0x0038:
        r1 = r13.puc;
        r4 = "showType";
        r1 = r1.get(r4);
        if (r1 == 0) goto L_0x00f1;
    L_0x0043:
        r4 = r1 instanceof java.lang.Integer;
        if (r4 == 0) goto L_0x00c4;
    L_0x0047:
        r1 = (java.lang.Integer) r1;
        r1 = r1.intValue();
        r4 = r1;
    L_0x004e:
        r1 = r13.puc;
        r6 = "scene";
        r1 = r1.get(r6);
        r1 = (java.lang.String) r1;
        r1 = com.tencent.mm.sdk.platformtools.bo.nullAsNil(r1);
        r1 = com.tencent.mm.sdk.platformtools.bo.getInt(r1, r5);
        r6 = "weixin://dl/business/tempsession/?username=%s&appid=%s&sessionFrom=%s&showtype=%s&scene=%s";
        r7 = 5;
        r7 = new java.lang.Object[r7];	 Catch:{ Exception -> 0x00de }
        r8 = 0;
        r7[r8] = r0;	 Catch:{ Exception -> 0x00de }
        r0 = 1;
        r8 = r12.uGr;	 Catch:{ Exception -> 0x00de }
        r9 = r12.umI;	 Catch:{ Exception -> 0x00de }
        r9 = r9.getCurrentUrl();	 Catch:{ Exception -> 0x00de }
        r8 = r8.agj(r9);	 Catch:{ Exception -> 0x00de }
        r7[r0] = r8;	 Catch:{ Exception -> 0x00de }
        r0 = 2;
        r3 = com.tencent.mm.sdk.platformtools.bo.nullAsNil(r3);	 Catch:{ Exception -> 0x00de }
        r7[r0] = r3;	 Catch:{ Exception -> 0x00de }
        r0 = 3;
        r3 = java.lang.Integer.valueOf(r4);	 Catch:{ Exception -> 0x00de }
        r7[r0] = r3;	 Catch:{ Exception -> 0x00de }
        r0 = 4;
        r3 = java.lang.Integer.valueOf(r1);	 Catch:{ Exception -> 0x00de }
        r7[r0] = r3;	 Catch:{ Exception -> 0x00de }
        r0 = java.lang.String.format(r6, r7);	 Catch:{ Exception -> 0x00de }
        r3 = new android.content.Intent;	 Catch:{ Exception -> 0x00de }
        r4 = "android.intent.action.VIEW";
        r3.<init>(r4);	 Catch:{ Exception -> 0x00de }
        r4 = "android.intent.category.BROWSABLE";
        r3.addCategory(r4);	 Catch:{ Exception -> 0x00de }
        r0 = android.net.Uri.parse(r0);	 Catch:{ Exception -> 0x00de }
        r3.setData(r0);	 Catch:{ Exception -> 0x00de }
        if (r1 == 0) goto L_0x00d6;
    L_0x00a9:
        r0 = "translate_link_scene";
        r3.putExtra(r0, r1);	 Catch:{ Exception -> 0x00de }
    L_0x00af:
        r0 = r12.context;	 Catch:{ Exception -> 0x00de }
        r0.startActivity(r3);	 Catch:{ Exception -> 0x00de }
        r0 = "startTempSession:ok";
        r1 = 0;
        r12.a(r13, r0, r1);	 Catch:{ Exception -> 0x00de }
    L_0x00bb:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r11);
        goto L_0x002d;
    L_0x00c0:
        r3 = move-exception;
        r3 = r1;
        goto L_0x0038;
    L_0x00c4:
        r4 = r1 instanceof java.lang.String;
        if (r4 == 0) goto L_0x00f1;
    L_0x00c8:
        r1 = (java.lang.String) r1;	 Catch:{ NumberFormatException -> 0x00d2 }
        r4 = 0;
        r1 = com.tencent.mm.sdk.platformtools.bo.getInt(r1, r4);	 Catch:{ NumberFormatException -> 0x00d2 }
        r4 = r1;
        goto L_0x004e;
    L_0x00d2:
        r1 = move-exception;
        r4 = r5;
        goto L_0x004e;
    L_0x00d6:
        r0 = "translate_link_scene";
        r1 = 4;
        r3.putExtra(r0, r1);	 Catch:{ Exception -> 0x00de }
        goto L_0x00af;
    L_0x00de:
        r0 = move-exception;
        r1 = "MicroMsg.MsgHandler";
        r3 = "";
        r4 = new java.lang.Object[r5];
        com.tencent.mm.sdk.platformtools.ab.printErrStackTrace(r1, r0, r3, r4);
        r0 = "startTempSession:fail_exception";
        r12.a(r13, r0, r2);
        goto L_0x00bb;
    L_0x00f1:
        r4 = r5;
        goto L_0x004e;
    L_0x00f4:
        r1 = r2;
        goto L_0x0037;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.webview.ui.tools.jsapi.g.ar(com.tencent.mm.plugin.webview.ui.tools.jsapi.i):boolean");
    }

    private boolean as(i iVar) {
        AppMethodBeat.i(9329);
        try {
            String str = (String) iVar.puc.get("userName");
            String str2 = (String) iVar.puc.get("nickName");
            if (bo.isNullOrNil(str)) {
                a(iVar, "setPageOwner:missing_arguments", null);
                AppMethodBeat.o(9329);
                return false;
            }
            this.umI.hd(str, str2);
            a(iVar, "setPageOwner:ok", null);
            AppMethodBeat.o(9329);
            return false;
        } catch (Exception e) {
            ab.w("MicroMsg.MsgHandler", "setPageOwner, Exception: %s", new Object[]{e.getMessage()});
        }
    }

    private boolean at(i iVar) {
        AppMethodBeat.i(9330);
        try {
            String str = (String) iVar.puc.get("appId");
            String str2 = (String) iVar.puc.get("signature");
            l.a(iVar.uII, false, null, str);
            if (bo.isNullOrNil(str)) {
                a(iVar, "get_wechat_verify_ticket:fail ticket", null);
                AppMethodBeat.o(9330);
                return false;
            }
            com.tencent.mm.kernel.g.Rg().a(1097, new 102(this, iVar));
            com.tencent.mm.kernel.g.Rg().a(new k(str, str2), 0);
            AppMethodBeat.o(9330);
            return false;
        } catch (Exception e) {
            ab.w("MicroMsg.MsgHandler", "getWechatVerifyTicket, Exception: %s", new Object[]{e.getMessage()});
        }
    }

    public final boolean au(i iVar) {
        AppMethodBeat.i(9331);
        ab.d("MicroMsg.MsgHandler", "doSelectPedometerSource");
        if (this.context == null || !(this.context instanceof MMActivity)) {
            ab.e("MicroMsg.MsgHandler", "context is null");
            a(iVar, "selectPedometerSource:fail", null);
        } else {
            ((MMActivity) this.context).ifE = this;
            com.tencent.mm.bp.d.b(this.context, "exdevice", ".ui.ExdeviceAddDataSourceUI", new Intent(), 26);
        }
        AppMethodBeat.o(9331);
        return true;
    }

    private Bundle e(String str, int i, Bundle bundle) {
        AppMethodBeat.i(9332);
        try {
            Bundle g = this.umI.g(i, bundle);
            AppMethodBeat.o(9332);
            return g;
        } catch (RemoteException e) {
            ab.w("MicroMsg.MsgHandler", "[NFC] " + str + " callback RemoteException!" + e.toString());
            AppMethodBeat.o(9332);
            return null;
        }
    }

    /* JADX WARNING: Missing block: B:6:0x0051, code skipped:
            com.tencent.matrix.trace.core.AppMethodBeat.o(9333);
     */
    /* JADX WARNING: Missing block: B:11:0x00c1, code skipped:
            com.tencent.matrix.trace.core.AppMethodBeat.o(9333);
     */
    /* JADX WARNING: Missing block: B:13:?, code skipped:
            return false;
     */
    /* JADX WARNING: Missing block: B:14:?, code skipped:
            return true;
     */
    private boolean f(java.lang.String r7, int r8, android.os.Bundle r9) {
        /*
        r6 = this;
        r0 = -1;
        r5 = 9333; // 0x2475 float:1.3078E-41 double:4.611E-320;
        r4 = 0;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r5);
        r1 = r6.e(r7, r8, r9);
        if (r1 == 0) goto L_0x0056;
    L_0x000d:
        r2 = "status";
        r0 = r1.getInt(r2, r0);
    L_0x0014:
        r1 = "MicroMsg.MsgHandler";
        r2 = new java.lang.StringBuilder;
        r3 = "[NFC] ";
        r2.<init>(r3);
        r2 = r2.append(r7);
        r3 = " result status : ";
        r2 = r2.append(r3);
        r2 = r2.append(r0);
        r2 = r2.toString();
        com.tencent.mm.sdk.platformtools.ab.i(r1, r2);
        switch(r0) {
            case 0: goto L_0x0074;
            case 1: goto L_0x008e;
            case 2: goto L_0x00a8;
            case 3: goto L_0x00c1;
            case 4: goto L_0x00c6;
            default: goto L_0x0038;
        };
    L_0x0038:
        r0 = r6.uGd;
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r1 = r1.append(r7);
        r2 = ":fail";
        r1 = r1.append(r2);
        r1 = r1.toString();
        r6.a(r0, r1, r4);
    L_0x0051:
        r0 = 0;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
    L_0x0055:
        return r0;
    L_0x0056:
        r1 = "MicroMsg.MsgHandler";
        r2 = new java.lang.StringBuilder;
        r3 = "[NFC] ";
        r2.<init>(r3);
        r2 = r2.append(r7);
        r3 = " callback fail!";
        r2 = r2.append(r3);
        r2 = r2.toString();
        com.tencent.mm.sdk.platformtools.ab.w(r1, r2);
        goto L_0x0014;
    L_0x0074:
        r0 = r6.uGd;
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r1 = r1.append(r7);
        r2 = ":nfc_not_support";
        r1 = r1.append(r2);
        r1 = r1.toString();
        r6.a(r0, r1, r4);
        goto L_0x0051;
    L_0x008e:
        r0 = r6.uGd;
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r1 = r1.append(r7);
        r2 = ":nfc_off";
        r1 = r1.append(r2);
        r1 = r1.toString();
        r6.a(r0, r1, r4);
        goto L_0x0051;
    L_0x00a8:
        r0 = r6.uGd;
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r1 = r1.append(r7);
        r2 = ":disconnect";
        r1 = r1.append(r2);
        r1 = r1.toString();
        r6.a(r0, r1, r4);
    L_0x00c1:
        r0 = 1;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r5);
        goto L_0x0055;
    L_0x00c6:
        r0 = r6.uGd;
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r1 = r1.append(r7);
        r2 = ":card_not_support";
        r1 = r1.append(r2);
        r1 = r1.toString();
        r6.a(r0, r1, r4);
        goto L_0x0051;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.webview.ui.tools.jsapi.g.f(java.lang.String, int, android.os.Bundle):boolean");
    }

    private boolean av(i iVar) {
        AppMethodBeat.i(9334);
        try {
            Bundle g = this.umI.g(5001, null);
            if (g != null) {
                int i = g.getInt("webview_video_proxy_init");
                ab.i("MicroMsg.MsgHandler", "int webview video proxy : %d", new Object[]{Integer.valueOf(i)});
                Map hashMap = new HashMap();
                hashMap.put("videoProxyInitResult", Integer.valueOf(i));
                if (i == 0) {
                    com.tencent.mm.plugin.webview.model.ao cXP = com.tencent.mm.plugin.webview.model.ao.cXP();
                    cXP.umI = this.umI;
                    cXP.hasInit = true;
                    ArrayList arrayList = new ArrayList();
                    IDKey iDKey = new IDKey();
                    iDKey.SetID(142);
                    iDKey.SetKey(0);
                    iDKey.SetValue(1);
                    arrayList.add(iDKey);
                    iDKey = new IDKey();
                    iDKey.SetID(142);
                    iDKey.SetKey(1);
                    iDKey.SetValue(1);
                    arrayList.add(iDKey);
                    h.pYm.b(arrayList, false);
                    a(iVar, "videoProxyInit:ok", hashMap);
                } else {
                    ArrayList arrayList2 = new ArrayList();
                    IDKey iDKey2 = new IDKey();
                    iDKey2.SetID(142);
                    iDKey2.SetKey(0);
                    iDKey2.SetValue(1);
                    arrayList2.add(iDKey2);
                    iDKey2 = new IDKey();
                    iDKey2.SetID(142);
                    iDKey2.SetKey(2);
                    iDKey2.SetValue(1);
                    arrayList2.add(iDKey2);
                    iDKey2 = new IDKey();
                    iDKey2.SetID(142);
                    iDKey2.SetKey(com.tencent.mm.plugin.webview.ui.tools.b.Jg(i));
                    iDKey2.SetValue(1);
                    arrayList2.add(iDKey2);
                    h.pYm.b(arrayList2, false);
                    a(iVar, "videoProxyInit:fail", hashMap);
                }
                AppMethodBeat.o(9334);
                return false;
            }
        } catch (Exception e) {
            ab.i("MicroMsg.MsgHandler", "doinit webview proxy failed : %s", new Object[]{e.getMessage()});
        }
        a(iVar, "videoProxyInit:fail", null);
        AppMethodBeat.o(9334);
        return false;
    }

    private boolean aw(i iVar) {
        AppMethodBeat.i(9335);
        if (com.tencent.mm.plugin.webview.model.ao.cXP().hasInit) {
            String str = (String) iVar.puc.get("webviewVideoProxyCdnUrls");
            ab.i("MicroMsg.MsgHandler", "cdnurls = %s, filedId = %s, fileSize = %d, fileDuration = %d, fileType = %d", new Object[]{str, (String) iVar.puc.get("webviewVideoProxyFileId"), Integer.valueOf(bo.getInt((String) iVar.puc.get("webviewVideoProxyFileSize"), 0)), Integer.valueOf(bo.getInt((String) iVar.puc.get("webviewVideoProxyFileDuration"), 0)), Integer.valueOf(bo.getInt((String) iVar.puc.get("webviewVideoProxyFileType"), 1))});
            if (bo.isNullOrNil(str)) {
                a(iVar, "videoProxyStartPlay:fail_cdnurl_is_null", null);
                AppMethodBeat.o(9335);
            } else {
                ArrayList arrayList = new ArrayList();
                try {
                    Bundle bundle = new Bundle();
                    bundle.putString("webview_video_proxy_cdn_urls", str);
                    bundle.putString("webview_video_proxy_fileId", r1);
                    bundle.putInt("webview_video_proxy_file_size", r3);
                    bundle.putInt("webview_video_proxy_file_duration", r4);
                    bundle.putInt("webview_video_proxy_file_type", r2);
                    Bundle g = this.umI.g(5002, bundle);
                    IDKey iDKey = new IDKey();
                    iDKey.SetID(142);
                    iDKey.SetKey(15);
                    iDKey.SetValue(1);
                    arrayList.add(iDKey);
                    if (g != null) {
                        int i = g.getInt("webview_video_proxy_play_data_id");
                        str = g.getString("webview_video_proxy_local_url");
                        ab.i("MicroMsg.MsgHandler", "invoke result palyDataId = %d, localUrl = %s", new Object[]{Integer.valueOf(i), str});
                        if (i > 0 && !bo.isNullOrNil(str)) {
                            h.pYm.b(arrayList, false);
                            Map hashMap = new HashMap();
                            hashMap.put("videoProxyPlayDataId", Integer.valueOf(i));
                            hashMap.put("videoProxyPlayLocalUrl", str);
                            a(iVar, "videoProxyStartPlay:ok", hashMap);
                            h.pYm.b(arrayList, false);
                            AppMethodBeat.o(9335);
                        }
                    }
                } catch (Exception e) {
                    ab.e("MicroMsg.MsgHandler", "proxy start play failed : %s", new Object[]{e.getMessage()});
                }
                IDKey iDKey2 = new IDKey();
                iDKey2.SetID(142);
                iDKey2.SetKey(16);
                iDKey2.SetValue(1);
                arrayList.add(iDKey2);
                h.pYm.b(arrayList, false);
                a(iVar, "videoProxyStartPlay:fail", null);
                AppMethodBeat.o(9335);
            }
        } else {
            a(iVar, "videoProxyStartPlay:fail_has_not_init", null);
            AppMethodBeat.o(9335);
        }
        return false;
    }

    private boolean ax(i iVar) {
        AppMethodBeat.i(9336);
        if (com.tencent.mm.plugin.webview.model.ao.cXP().hasInit) {
            int i = bo.getInt((String) iVar.puc.get("webviewVideoProxyPlaydataId"), 0);
            if (i > 0) {
                Bundle bundle = new Bundle();
                bundle.putInt("webview_video_proxy_play_data_id", i);
                try {
                    this.umI.g(5003, bundle);
                    a(iVar, "videoProxyStopPlay:ok", null);
                    AppMethodBeat.o(9336);
                    return false;
                } catch (Exception e) {
                    ab.e("MicroMsg.MsgHandler", "webview proxy stop play failed : %s", new Object[]{e.getMessage()});
                }
            }
            a(iVar, "videoProxyStopPlay:fail", null);
            AppMethodBeat.o(9336);
            return false;
        }
        a(iVar, "videoProxyStartPlay:fail_has_not_init", null);
        AppMethodBeat.o(9336);
        return true;
    }

    private boolean ay(i iVar) {
        AppMethodBeat.i(9337);
        if (com.tencent.mm.plugin.webview.model.ao.cXP().hasInit) {
            String str = (String) iVar.puc.get("webviewVideoProxyPlayState");
            ab.i("MicroMsg.MsgHandler", "set player state : %s", new Object[]{str});
            if (bo.isNullOrNil(str)) {
                a(iVar, "videoProxySetPlayerState:fail", null);
                AppMethodBeat.o(9337);
                return true;
            }
            int i = bo.getInt(str, 0);
            try {
                Bundle bundle = new Bundle();
                bundle.putInt("webview_video_proxy_play_state", i);
                this.umI.g(5004, bundle);
                a(iVar, "videoProxySetPlayerState:ok", null);
                AppMethodBeat.o(9337);
                return false;
            } catch (Exception e) {
                ab.e("MicroMsg.MsgHandler", "set player state failed : %s", new Object[]{e.getMessage()});
                a(iVar, "videoProxySetPlayerState:fail", null);
                AppMethodBeat.o(9337);
                return false;
            }
        }
        a(iVar, "videoProxyStartPlay:fail_has_not_init", null);
        AppMethodBeat.o(9337);
        return true;
    }

    private boolean az(i iVar) {
        AppMethodBeat.i(9338);
        if (com.tencent.mm.plugin.webview.model.ao.cXP().hasInit) {
            int i = bo.getInt((String) iVar.puc.get("webviewVideoProxyPlaydataId"), 0);
            int i2 = bo.getInt((String) iVar.puc.get("webviewVideoProxyRemainTime"), 0);
            ab.i("MicroMsg.MsgHandler", "doWebviewProxySetRemainTime, id = %s, time = %s", new Object[]{r0, r1});
            try {
                Bundle bundle = new Bundle();
                bundle.putInt("webview_video_proxy_play_data_id", i);
                bundle.putInt("webview_video_proxy_play_remain_time", i2);
                this.umI.g(5006, bundle);
                a(iVar, "videoProxySetRemainTime:ok", null);
                AppMethodBeat.o(9338);
            } catch (Exception e) {
                ab.e("MicroMsg.MsgHandler", "set remain time faild : %s", new Object[]{e.getMessage()});
                a(iVar, "videoProxySetRemainTime:fail", null);
                AppMethodBeat.o(9338);
            }
        } else {
            a(iVar, "videoProxySetRemainTime:fail_has_not_init", null);
            AppMethodBeat.o(9338);
        }
        return false;
    }

    private boolean aA(i iVar) {
        AppMethodBeat.i(9339);
        if (com.tencent.mm.plugin.webview.model.ao.cXP().hasInit) {
            String str = (String) iVar.puc.get("webviewVideoProxyPlaydataId");
            ab.i("MicroMsg.MsgHandler", "doWebviewProxyPreload, playDataId = %s, duration = %d", new Object[]{str, Integer.valueOf(bo.getInt((String) iVar.puc.get("webviewVideoProxyPreloadTime"), 0))});
            if (bo.isNullOrNil(str)) {
                ab.e("MicroMsg.MsgHandler", "playDataId is null or nil");
                a(iVar, "videoProxyPreload:fail_invaild_play_data_id", null);
                AppMethodBeat.o(9339);
            } else {
                try {
                    int i = bo.getInt(str, 0);
                    Bundle bundle = new Bundle();
                    bundle.putInt("webview_video_proxy_play_data_id", i);
                    bundle.putInt("webview_video_proxy_preload_duration", r1);
                    ab.i("MicroMsg.MsgHandler", "preload video result = %d", new Object[]{Integer.valueOf(this.umI.g(5007, bundle).getInt("webview_video_proxy_pre_load_result"))});
                    if (this.umI.g(5007, bundle).getInt("webview_video_proxy_pre_load_result") == 0) {
                        a(iVar, "videoProxyPreload:ok", null);
                    } else {
                        a(iVar, "videoProxyPreload:fail", null);
                    }
                    AppMethodBeat.o(9339);
                } catch (Exception e) {
                    a(iVar, "videoProxyPreload:fail", null);
                    AppMethodBeat.o(9339);
                }
            }
        } else {
            a(iVar, "videoProxyPreload:fail_has_not_init", null);
            AppMethodBeat.o(9339);
        }
        return false;
    }

    public final void K(int i, String str, String str2) {
        AppMethodBeat.i(9340);
        c JN = JN(i);
        if (JN == null) {
            ab.i("MicroMsg.MsgHandler", "onWebViewCacheCallback, get null MsgWrapperBin, may be the webview called cache api has been closed.");
            AppMethodBeat.o(9340);
            return;
        }
        i iVar = JN.uGd;
        JO(i);
        if (!bo.nullAsNil(str2).equalsIgnoreCase("ok")) {
            int a = q.a(iVar);
            if (-1 != a) {
                n.IO(a);
            }
        }
        if (this.umI != null) {
            a(this.umI, iVar, String.format("%s:%s", new Object[]{str, str2}), null, false, true);
        }
        AppMethodBeat.o(9340);
    }

    private boolean aB(i iVar) {
        Throwable e;
        Object obj;
        AppMethodBeat.i(9341);
        String str = (String) iVar.puc.get("actionKey");
        String str2 = (String) iVar.puc.get("actionValue");
        ab.i("MicroMsg.MsgHandler", "doReportActionInfo, actionKey =  %s, actionValue =  %s", new Object[]{str, str2});
        if (bo.isNullOrNil(str) || bo.isNullOrNil(str2)) {
            ab.e("MicroMsg.MsgHandler", "doReportActionInfo, actionKey or actionValue is null");
            a(iVar, "reportActionInfo:fail", null);
            AppMethodBeat.o(9341);
            return true;
        } else if (str.length() <= 0 || str.length() > 32 || str2.length() <= 0 || str2.length() > 1024) {
            ab.e("MicroMsg.MsgHandler", "doReportActionInfo, actionKey or actionValue size is bad");
            a(iVar, "reportActionInfo:fail", null);
            AppMethodBeat.o(9341);
            return true;
        } else {
            String str3 = " ";
            String str4 = " ";
            String str5 = " ";
            try {
                Bundle g = this.umI.g(77, null);
                if (g != null) {
                    str3 = bo.nullAsNil(g.getString("KSessionId"));
                    str4 = bo.nullAsNil(g.getString("KUserAgent"));
                    str5 = bo.nullAsNil(g.getString("KUrl"));
                    if (TextUtils.isEmpty(str5)) {
                        ab.e("MicroMsg.MsgHandler", "doReportActionInfo, url is empty");
                        a(iVar, "reportActionInfo:fail", null);
                        AppMethodBeat.o(9341);
                        return true;
                    }
                    ab.i("MicroMsg.MsgHandler", "doReportActionInfo, sessionId %s, userAgent %s, url %s", new Object[]{str3, str4, str5});
                }
            } catch (Exception e2) {
                ab.e("MicroMsg.MsgHandler", "get sessionId error, %s", new Object[]{e2});
            }
            if (TextUtils.isEmpty(bK(str5))) {
                ab.e("MicroMsg.MsgHandler", "doReportActionInfo, appId is empty");
                a(iVar, "reportActionInfo:fail", null);
                AppMethodBeat.o(9341);
                return true;
            }
            ab.i("MicroMsg.MsgHandler", "doReportActionInfo, appId %s", new Object[]{bK(str5)});
            int i = 0;
            if (at.isConnected(this.context)) {
                if (at.isWifi(this.context)) {
                    i = 1;
                } else if (at.is4G(this.context)) {
                    i = 4;
                } else if (at.is3G(this.context)) {
                    i = 3;
                } else if (at.is2G(this.context)) {
                    i = 2;
                }
                ab.i("MicroMsg.MsgHandler", "doReportActionInfo, get networkType %d", new Object[]{Integer.valueOf(i)});
            }
            long anT = bo.anT();
            ab.d("MicroMsg.MsgHandler", "report(%s), clickTimestamp : %d, appID %s, networkType %d, userAgent %s, url : %s, sessionID : %s, actionKey : %s, actionValue : %s", new Object[]{Integer.valueOf(13379), Long.valueOf(anT), r10, Integer.valueOf(i), str4, str5, str3, str, str2});
            String str6 = "";
            String str7 = "";
            String str8 = "";
            String str9 = "";
            try {
                str6 = URLEncoder.encode(bo.nullAsNil(str4), "UTF-8");
                str4 = URLEncoder.encode(str5, "UTF-8");
                try {
                    str5 = URLEncoder.encode(str, "UTF-8");
                } catch (UnsupportedEncodingException e3) {
                    e = e3;
                    str2 = str8;
                }
                try {
                    str = URLEncoder.encode(str2, "UTF-8");
                    obj = str5;
                } catch (UnsupportedEncodingException e4) {
                    e = e4;
                    str2 = str5;
                    ab.printErrStackTrace("MicroMsg.MsgHandler", e, "", new Object[0]);
                    str = str9;
                    h.pYm.e(13379, new Object[]{Long.valueOf(anT), r10, Integer.valueOf(i), str6, str4, str3, obj, str});
                    a(iVar, "reportActionInfo:ok", null);
                    AppMethodBeat.o(9341);
                    return true;
                }
            } catch (UnsupportedEncodingException e5) {
                e = e5;
                obj = str8;
                str4 = str7;
            }
            h.pYm.e(13379, new Object[]{Long.valueOf(anT), r10, Integer.valueOf(i), str6, str4, str3, obj, str});
            a(iVar, "reportActionInfo:ok", null);
            AppMethodBeat.o(9341);
            return true;
        }
    }

    private boolean aC(i iVar) {
        AppMethodBeat.i(9342);
        int a = q.a(iVar);
        if (-1 == a) {
            a(this.umI, iVar, "cache:fail", null, true, false);
            AppMethodBeat.o(9342);
            return true;
        }
        int i = -1;
        if (2 == a) {
            i = 2;
        } else if (1 == a) {
            i = 1;
        }
        if (-1 != i) {
            h.pYm.a(238, (long) i, 1, false);
        }
        com.tencent.mm.plugin.webview.modelcache.c.cYl();
        ab.i("MicroMsg.MsgHandler", "user not in white list");
        n.IO(a);
        a(this.umI, iVar, "cache:not in white list", null, true, false);
        AppMethodBeat.o(9342);
        return true;
    }

    private boolean aD(i iVar) {
        AppMethodBeat.i(9343);
        ab.i("MicroMsg.MsgHandler", "doAddCustomMenuItems start");
        int i;
        if (iVar.puc.containsKey("hideMenu")) {
            i = bo.getInt((String) iVar.puc.get("hideMenu"), 0);
            ab.e("MicroMsg.MsgHandler", "doAddCustomMenuItems hideMenu=".concat(String.valueOf(i)));
            if (od(i == 1)) {
                a(iVar, "doAddCustomMenuItems:ok", null);
            } else {
                a(iVar, "doAddCustomMenuItems:fail", null);
            }
            AppMethodBeat.o(9343);
        } else {
            od(false);
            String str = (String) iVar.puc.get("itemList");
            if (bo.isNullOrNil(str)) {
                ab.e("MicroMsg.MsgHandler", "doAddCustomMenuItems fail: key or title must not be null");
                a(iVar, "doAddCustomMenuItems:params error", null);
            } else {
                try {
                    JSONArray jSONArray = new JSONArray(str);
                    ArrayList arrayList = new ArrayList();
                    ArrayList arrayList2 = new ArrayList();
                    int length = jSONArray.length();
                    for (i = 0; i < length; i++) {
                        JSONObject optJSONObject = jSONArray.optJSONObject(i);
                        if (optJSONObject != null) {
                            String optString = optJSONObject.optString("key");
                            String optString2 = optJSONObject.optString("title");
                            if (bo.isNullOrNil(optString) || bo.isNullOrNil("title")) {
                                ab.e("MicroMsg.MsgHandler", "key or title is null,ignore item: ".concat(String.valueOf(i)));
                            } else {
                                arrayList.add(optString);
                                arrayList2.add(optString2);
                            }
                        }
                    }
                    if (arrayList.size() > 0) {
                        Bundle bundle = new Bundle();
                        bundle.putStringArrayList("keys", arrayList);
                        bundle.putStringArrayList("titles", arrayList2);
                        try {
                            this.umI.X(bundle);
                            a(iVar, "doAddCustomMenuItems:ok", null);
                        } catch (RemoteException e) {
                            ab.printErrStackTrace("MicroMsg.MsgHandler", e, "", new Object[0]);
                            ab.e("MicroMsg.MsgHandler", "doAddCustomMenuItems:fail");
                            a(iVar, "doAddCustomMenuItems:fail", null);
                        }
                    }
                } catch (JSONException e2) {
                    ab.e("MicroMsg.MsgHandler", "doAddCustomMenuItems eroor, parse itemList to jsonarray error");
                    a(iVar, "doAddCustomMenuItems:params parse error", null);
                    AppMethodBeat.o(9343);
                }
            }
            AppMethodBeat.o(9343);
        }
        return true;
    }

    private boolean aE(i iVar) {
        AppMethodBeat.i(9344);
        String str = (String) iVar.puc.get("key");
        if (bo.isNullOrNil(str)) {
            a(iVar, "getLocalData:fail_key_is_null", null);
            AppMethodBeat.o(9344);
        } else {
            try {
                String currentUrl = this.umI.getCurrentUrl();
                String str2 = new String(Base64.encode(str.getBytes(), 0));
                str = this.uGr.agj(currentUrl);
                am cYI = com.tencent.mm.plugin.webview.modeltools.g.cYI();
                String anB = bo.anB(currentUrl);
                ab.i("MicroMsg.WebViewLocalDataStorage", "get value by key = %s, appid = %s, domin = %s", new Object[]{str2, str, anB});
                if (bo.isNullOrNil(str2) || bo.isNullOrNil(str) || bo.isNullOrNil(currentUrl) || bo.isNullOrNil(anB)) {
                    str = null;
                } else {
                    str = "select value from WebviewLocalData where recordId = ".concat(String.valueOf(am.au(str, anB, str2)));
                    ab.i("MicroMsg.WebViewLocalDataStorage", str);
                    Cursor rawQuery = cYI.rawQuery(str, new String[0]);
                    if (rawQuery == null) {
                        ab.e("MicroMsg.WebViewLocalDataStorage", "get cursor is null");
                        str = null;
                    } else {
                        if (rawQuery.moveToFirst()) {
                            str = rawQuery.getString(0);
                        } else {
                            str = null;
                        }
                        rawQuery.close();
                        ab.i("MicroMsg.WebViewLocalDataStorage", "get value : %s for key : %s", new Object[]{str, str2});
                    }
                }
                if (bo.isNullOrNil(str)) {
                    a(iVar, "getLocalData:fail", null);
                    AppMethodBeat.o(9344);
                } else {
                    String str3 = new String(Base64.decode(str.getBytes(), 0));
                    Map hashMap = new HashMap();
                    hashMap.put("data", str3);
                    ab.i("MicroMsg.MsgHandler", "get local data, key = %s, value = %s", new Object[]{str2, str3});
                    a(iVar, "getLocalData:ok", hashMap);
                    AppMethodBeat.o(9344);
                }
            } catch (Exception e) {
                ab.e("MicroMsg.MsgHandler", "get url failed : %s", new Object[]{e.getMessage()});
                a(iVar, "getLocalData:fail", null);
                AppMethodBeat.o(9344);
            }
        }
        return true;
    }

    private boolean aF(i iVar) {
        AppMethodBeat.i(9345);
        String str = (String) iVar.puc.get("key");
        String str2 = (String) iVar.puc.get("data");
        ab.i("MicroMsg.MsgHandler", "set local data, key = %s, data = %s", new Object[]{str, str2});
        if (bo.isNullOrNil(str) || bo.isNullOrNil(str2)) {
            a(iVar, "setLocalData:fail_param_should_not_null", null);
            AppMethodBeat.o(9345);
            return true;
        } else if (str.length() > 1024 || str2.length() > 1024) {
            a(iVar, "setLocalData:fail_param_lenght_too_long", null);
            AppMethodBeat.o(9345);
            return true;
        } else {
            try {
                Object obj;
                String currentUrl = this.umI.getCurrentUrl();
                byte[] encode = Base64.encode(str.getBytes(), 0);
                byte[] encode2 = Base64.encode(str2.getBytes(), 0);
                String str3 = new String(encode);
                String str4 = new String(encode2);
                str2 = this.uGr.agj(currentUrl);
                am cYI = com.tencent.mm.plugin.webview.modeltools.g.cYI();
                String anB = bo.anB(currentUrl);
                ab.i("MicroMsg.WebViewLocalDataStorage", "set data, key = %s, value = %s, url = %s, appId = %s, domin = %s", new Object[]{str3, str4, currentUrl, str2, anB});
                if (bo.isNullOrNil(str3) || bo.isNullOrNil(currentUrl) || bo.isNullOrNil(str2) || bo.isNullOrNil(anB)) {
                    obj = "fail_params_invalid";
                } else {
                    int au = am.au(str2, anB, str3);
                    str = "select count(*) from WebviewLocalData where appId = '" + str2 + "' and domin = '" + anB + "'";
                    ab.i("MicroMsg.WebViewLocalDataStorage", str);
                    Cursor rawQuery = cYI.rawQuery(str, new String[0]);
                    if (rawQuery != null) {
                        if (rawQuery.moveToFirst()) {
                            ab.i("MicroMsg.WebViewLocalDataStorage", "now count = %d", new Object[]{Integer.valueOf(rawQuery.getInt(0))});
                            rawQuery.close();
                            if (rawQuery.getInt(0) >= 5) {
                                obj = "fail_exceed_max_count";
                            } else {
                                rawQuery = cYI.rawQuery("select count(*) from WebviewLocalData where recordId =".concat(String.valueOf(au)), new String[0]);
                                if (rawQuery != null) {
                                    if (rawQuery.moveToFirst()) {
                                        ab.i("MicroMsg.WebViewLocalDataStorage", "sql = %s, count = %d", new Object[]{r7, Integer.valueOf(rawQuery.getInt(0))});
                                        rawQuery.close();
                                        if (rawQuery.getInt(0) > 0) {
                                            ab.i("MicroMsg.WebViewLocalDataStorage", "sql = %s, ret = %b", new Object[]{"update WebviewLocalData set value = '" + str4 + "' where recordId =" + au, Boolean.valueOf(cYI.hY("WebviewLocalData", "update WebviewLocalData set value = '" + str4 + "' where recordId =" + au))});
                                            if (cYI.hY("WebviewLocalData", "update WebviewLocalData set value = '" + str4 + "' where recordId =" + au)) {
                                                obj = "ok";
                                            } else {
                                                obj = "fail";
                                            }
                                        }
                                    }
                                    rawQuery.close();
                                }
                            }
                        }
                        rawQuery.close();
                    }
                    com.tencent.mm.plugin.webview.model.al alVar = new com.tencent.mm.plugin.webview.model.al();
                    alVar.field_appId = str2;
                    alVar.field_domin = anB;
                    alVar.field_key = str3;
                    alVar.field_value = str4;
                    alVar.field_recordId = au;
                    ab.i("MicroMsg.WebViewLocalDataStorage", "insert data, ret = %b", new Object[]{Boolean.valueOf(cYI.b(alVar))});
                    obj = "ok";
                }
                ab.i("MicroMsg.MsgHandler", "doSetLocalData retValue = %s", new Object[]{obj});
                a(iVar, "setLocalData:".concat(String.valueOf(obj)), null);
                AppMethodBeat.o(9345);
                return true;
            } catch (Exception e) {
                ab.e("MicroMsg.MsgHandler", "get url failed : %s", new Object[]{e.getMessage()});
                a(iVar, "setLocalData:fail", null);
                AppMethodBeat.o(9345);
                return true;
            }
        }
    }

    private boolean aG(i iVar) {
        AppMethodBeat.i(9346);
        try {
            Object obj;
            String currentUrl = this.umI.getCurrentUrl();
            am cYI = com.tencent.mm.plugin.webview.modeltools.g.cYI();
            String agj = this.uGr.agj(currentUrl);
            String anB = bo.anB(currentUrl);
            ab.i("MicroMsg.WebViewLocalDataStorage", "appid = %s, url = %s, domin = %s", new Object[]{agj, currentUrl, anB});
            if (bo.isNullOrNil(agj) || bo.isNullOrNil(currentUrl) || bo.isNullOrNil(anB)) {
                obj = "fail";
            } else {
                if (cYI.hY("WebviewLocalData", "delete from WebviewLocalData where appId = '" + agj + "' and domin = '" + anB + "'")) {
                    obj = "ok";
                } else {
                    obj = "fail";
                }
            }
            ab.i("MicroMsg.MsgHandler", "doClearLocalData retValue = %s", new Object[]{obj});
            a(iVar, "clearLocalData:".concat(String.valueOf(obj)), null);
            AppMethodBeat.o(9346);
        } catch (Exception e) {
            ab.e("MicroMsg.MsgHandler", "get url failed : %s", new Object[]{e.getMessage()});
            a(iVar, "clearLocalData:fail", null);
            AppMethodBeat.o(9346);
        }
        return true;
    }

    private boolean aH(i iVar) {
        String currentUrl;
        AppMethodBeat.i(9347);
        String str = (String) iVar.puc.get("useridlist");
        String str2 = (String) iVar.puc.get("chatname");
        String str3 = (String) iVar.puc.get("chatscene");
        try {
            currentUrl = this.umI.getCurrentUrl();
        } catch (RemoteException e) {
            ab.w("MicroMsg.MsgHandler", "exception in get currentUrl %s", new Object[]{e.getMessage()});
            currentUrl = null;
        }
        currentUrl = bo.nullAsNil(this.uGr.agj(currentUrl));
        LinkedList linkedList = new LinkedList();
        String[] split = str.split(";");
        if (split == null || split.length <= 0) {
            a(iVar, "openEnterpriseChat:fail", null);
            AppMethodBeat.o(9347);
            return false;
        }
        for (Object add : split) {
            linkedList.add(add);
        }
        z.aeZ();
        com.tencent.mm.kernel.g.RO().eJo.a(new com.tencent.mm.aj.a.t(currentUrl, str2, linkedList, new 107(this, iVar, str3)), 0);
        AppMethodBeat.o(9347);
        return true;
    }

    private boolean aI(i iVar) {
        String currentUrl;
        AppMethodBeat.i(9348);
        String str = (String) iVar.puc.get("chatId");
        String str2 = (String) iVar.puc.get("chatType");
        try {
            currentUrl = this.umI.getCurrentUrl();
        } catch (RemoteException e) {
            ab.w("MicroMsg.MsgHandler", "exception in get currentUrl %s", new Object[]{e.getMessage()});
            currentUrl = null;
        }
        currentUrl = bo.nullAsNil(this.uGr.agj(currentUrl));
        if (bo.isNullOrNil(str) || bo.isNullOrNil(str2) || bo.isNullOrNil(currentUrl)) {
            a(iVar, "enterEnterpriseChat:fail_params error", null);
            AppMethodBeat.o(9348);
        } else {
            z.aeZ();
            com.tencent.mm.kernel.g.RO().eJo.a(new m(currentUrl, str, str2, new 108(this, iVar)), 0);
            AppMethodBeat.o(9348);
        }
        return true;
    }

    private boolean aJ(i iVar) {
        AppMethodBeat.i(9349);
        try {
            String nullAsNil = bo.nullAsNil(this.uGr.agj(this.umI.getCurrentUrl()));
            if (bo.isNullOrNil(nullAsNil)) {
                a(iVar, "getEnterpriseChat:fail", null);
                AppMethodBeat.o(9349);
            } else {
                Bundle bundle = new Bundle();
                bundle.putString("enterprise_action", "enterprise_get_context_bizchat");
                bundle = this.umI.g(71, bundle);
                String string = bundle.getString("enterprise_context_biz");
                String fD = com.tencent.mm.aj.a.e.fD(bundle.getLong("enterprise_context_bizchatid", -1));
                if (bo.isNullOrNil(string) || bo.isNullOrNil(fD)) {
                    a(iVar, "getEnterpriseChat:fail_not in enterprise chat", null);
                    AppMethodBeat.o(9349);
                } else {
                    109 109 = new 109(this, iVar);
                    com.tencent.mm.aj.t.a(109);
                    if (!com.tencent.mm.aj.t.o(nullAsNil, string, fD)) {
                        com.tencent.mm.aj.t.b(109);
                        a(iVar, "getEnterpriseChat:fail", null);
                    }
                    AppMethodBeat.o(9349);
                }
            }
        } catch (Exception e) {
            a(iVar, "getEnterpriseChat:fail", null);
        }
        return true;
    }

    private boolean aK(i iVar) {
        String currentUrl;
        AppMethodBeat.i(9350);
        try {
            currentUrl = this.umI.getCurrentUrl();
        } catch (RemoteException e) {
            ab.w("MicroMsg.MsgHandler", "exception in get currentUrl %s", new Object[]{e.getMessage()});
            currentUrl = null;
        }
        String nullAsNil = bo.nullAsNil(this.uGr.agj(currentUrl));
        if (bo.isNullOrNil(nullAsNil)) {
            a(iVar, "openEnterpriseContact:fail", null);
        }
        com.tencent.mm.plugin.webview.model.m mVar = new com.tencent.mm.plugin.webview.model.m(nullAsNil, currentUrl, iVar.puc);
        com.tencent.mm.kernel.g.Rg().a(1393, new 110(this, iVar, this));
        com.tencent.mm.kernel.g.Rg().a(mVar, 0);
        Context context = this.context;
        this.context.getString(2131297061);
        this.ehJ = com.tencent.mm.ui.base.h.b(context, this.context.getString(2131297086), true, new 111(this, mVar));
        AppMethodBeat.o(9350);
        return true;
    }

    private boolean aL(i iVar) {
        String currentUrl;
        AppMethodBeat.i(9351);
        try {
            currentUrl = this.umI.getCurrentUrl();
        } catch (RemoteException e) {
            ab.w("MicroMsg.MsgHandler", "exception in get currentUrl %s", new Object[]{e.getMessage()});
            currentUrl = null;
        }
        String nullAsNil = bo.nullAsNil(this.uGr.agj(currentUrl));
        if (bo.isNullOrNil(nullAsNil)) {
            a(iVar, "selectEnterpriseContact:fail", null);
        }
        iVar.puc.put("groupId", "");
        iVar.puc.put("timestamp", "");
        iVar.puc.put("nonceStr", "");
        iVar.puc.put("signature", "");
        JSONObject jSONObject = new JSONObject();
        try {
            JSONArray jSONArray = new JSONArray((String) iVar.puc.get(VideoMaterialUtil.CRAZYFACE_LAYER_TYPE));
            jSONObject.put("fromDepartmentId", bo.ank((String) iVar.puc.get("fromDepartmentId")));
            jSONObject.put("mode", (String) iVar.puc.get("mode"));
            jSONObject.put(VideoMaterialUtil.CRAZYFACE_LAYER_TYPE, jSONArray);
            String str = (String) iVar.puc.get("selectedDepartmentIds");
            if (str != null) {
                jSONObject.put("selectedDepartmentIds", new JSONArray(str));
            }
            str = (String) iVar.puc.get("selectedUserIds");
            if (str != null) {
                jSONObject.put("selectedUserIds", new JSONArray(str));
            }
            iVar.puc.put(VideoMaterialUtil.PARAMS_FILE_NAME, jSONObject);
        } catch (JSONException e2) {
            ab.e("MicroMsg.MsgHandler", "doSelectEnterpriseContact ex: %s", new Object[]{e2.getMessage()});
        } catch (NumberFormatException e3) {
            ab.e("MicroMsg.MsgHandler", "doSelectEnterpriseContact ex: %s", new Object[]{e3.getMessage()});
        }
        com.tencent.mm.plugin.webview.model.m mVar = new com.tencent.mm.plugin.webview.model.m(nullAsNil, currentUrl, iVar.puc);
        112 112 = new 112(this, iVar, this);
        com.tencent.mm.kernel.g.Rg().a(1393, 112);
        com.tencent.mm.kernel.g.Rg().a(mVar, 0);
        Context context = this.context;
        this.context.getString(2131297061);
        this.ehJ = com.tencent.mm.ui.base.h.b(context, this.context.getString(2131297086), true, new 113(this, mVar, 112));
        AppMethodBeat.o(9351);
        return true;
    }

    private boolean aM(i iVar) {
        AppMethodBeat.i(9352);
        if (this.umI == null) {
            a(iVar, "sendEnterpriseChat:fail", null);
            AppMethodBeat.o(9352);
            return true;
        }
        try {
            Bundle bundle = new Bundle();
            bundle.putString("enterprise_action", "enterprise_get_context_bizchat");
            bundle = this.umI.g(71, bundle);
            String string = bundle.getString("enterprise_context_biz");
            long j = bundle.getLong("enterprise_context_bizchatid", -1);
            if (bo.isNullOrNil(string) || j < 0) {
                a(iVar, "sendEnterpriseChat:fail_not in enterprise chat", null);
                AppMethodBeat.o(9352);
                return true;
            }
            String str = (String) iVar.puc.get(VideoMaterialUtil.CRAZYFACE_LAYER_TYPE);
            if ("text".equals(str)) {
                boolean a = a(iVar, string, j);
                AppMethodBeat.o(9352);
                return a;
            } else if ("link".equals(str)) {
                JSONObject jSONObject = new JSONObject((String) iVar.puc.get("data"));
                str = jSONObject.optString("link");
                String optString = jSONObject.optString("title");
                String optString2 = jSONObject.optString("desc");
                String optString3 = jSONObject.optString("imgUrl");
                if (bo.isNullOrNil(optString) && bo.isNullOrNil(optString2)) {
                    a(iVar, "sendEnterpriseChat:fail_params error", null);
                    AppMethodBeat.o(9352);
                    return true;
                } else if (bo.isNullOrNil(str)) {
                    a(iVar, "sendEnterpriseChat:fail_params error", null);
                    AppMethodBeat.o(9352);
                    return true;
                } else {
                    String str2;
                    WXWebpageObject wXWebpageObject = new WXWebpageObject();
                    wXWebpageObject.webpageUrl = str;
                    this.cEl = new WXMediaMessage();
                    this.cEl.mediaObject = wXWebpageObject;
                    this.cEl.title = optString;
                    this.cEl.description = optString2;
                    str = (String) iVar.puc.get("appid");
                    if (this.uGh == null || !TextUtils.isEmpty(str)) {
                        str2 = str;
                    } else {
                        str2 = this.uGh.getString("jsapi_args_appid");
                    }
                    com.tencent.mm.pluginsdk.model.app.f bT = com.tencent.mm.pluginsdk.model.app.g.bT(str2, true);
                    if (this.context == null || this.context.getResources() == null) {
                        ab.e("MicroMsg.MsgHandler", "showSendAppMsgDialog fail, context or context.getResources() is null");
                        a(iVar, "sendEnterpriseChat:fail", null);
                        AppMethodBeat.o(9352);
                        return true;
                    } else if (this.context instanceof Activity) {
                        com.tencent.mm.pluginsdk.ui.applet.t.a.vlq.a(((MMActivity) this.context).mController, optString, optString3, optString2, true, this.context.getResources().getString(2131297041), new 115(this, optString3, j, bT, str2, string, iVar));
                        AppMethodBeat.o(9352);
                        return true;
                    } else {
                        ab.e("MicroMsg.MsgHandler", "showsSendAppMsgDialog fail, context is not activity");
                        a(iVar, "sendEnterpriseChat:fail", null);
                        AppMethodBeat.o(9352);
                        return true;
                    }
                }
            } else {
                a(iVar, "sendEnterpriseChat:fail_params error", null);
                AppMethodBeat.o(9352);
                return true;
            }
        } catch (Exception e) {
            ab.e("MicroMsg.MsgHandler", "clear webview cache fail : %s", new Object[]{e.getMessage()});
            a(iVar, "sendEnterpriseChat:fail", null);
            AppMethodBeat.o(9352);
            return true;
        }
    }

    private boolean a(i iVar, String str, long j) {
        AppMethodBeat.i(9353);
        String optString = new JSONObject((String) iVar.puc.get("data")).optString("content");
        if (bo.isNullOrNil(optString)) {
            a(iVar, "sendEnterpriseChat:fail_params error", null);
            AppMethodBeat.o(9353);
        } else {
            boolean m;
            com.tencent.mm.aj.a.c aK = z.aeT().aK(j);
            synchronized (com.tencent.mm.aj.a.e.fxC) {
                try {
                    String aae = com.tencent.mm.aj.a.e.aae();
                    com.tencent.mm.aj.a.e.d(aK);
                    qb qbVar = new qb();
                    qbVar.cMq.cMr = str;
                    qbVar.cMq.content = optString;
                    qbVar.cMq.type = t.nK(str);
                    qbVar.cMq.flags = 0;
                    m = com.tencent.mm.sdk.b.a.xxA.m(qbVar);
                    com.tencent.mm.aj.a.e.rx(aae);
                } finally {
                    while (true) {
                    }
                    AppMethodBeat.o(9353);
                }
            }
            if (m) {
                a(iVar, "sendEnterpriseChat:ok", null);
                if (this.context != null) {
                    com.tencent.mm.ui.base.h.bQ(this.context, this.context.getResources().getString(2131297050));
                }
                AppMethodBeat.o(9353);
            } else {
                a(iVar, "sendEnterpriseChat:fail", null);
            }
        }
        return true;
    }

    private boolean aN(i iVar) {
        AppMethodBeat.i(9354);
        ab.i("MicroMsg.MsgHandler", "start doChangePayActivityView");
        aq aqVar = new aq();
        String str = (String) iVar.puc.get("showInfo");
        if (bo.isNullOrNil(str)) {
            ab.e("MicroMsg.MsgHandler", "changePayActivityView eroor, parse showinfo to jsonarray error");
            a(iVar, "changePayActivityView:fail", null);
            AppMethodBeat.o(9354);
            return false;
        }
        try {
            boolean z;
            JSONObject jSONObject = new JSONObject(str);
            aqVar.ctH.ctJ = jSONObject.getString("buttonTitle");
            str = jSONObject.getString("isButtonEnable");
            String string = jSONObject.getString("isButtonHidden");
            String string2 = jSONObject.getString("isActivityViewHidden");
            ab.i("MicroMsg.MsgHandler", "isButtonEnable:" + str + " isButtonHidden:" + string + " isActivityViewHidden:" + string2);
            aqVar.ctH.ctK = bo.getInt(str, 0) > 0;
            aq.a aVar = aqVar.ctH;
            if (bo.getInt(string, 0) > 0) {
                z = true;
            } else {
                z = false;
            }
            aVar.ctL = z;
            aq.a aVar2 = aqVar.ctH;
            if (bo.getInt(string2, 0) > 0) {
                z = true;
            } else {
                z = false;
            }
            aVar2.ctM = z;
            com.tencent.mm.sdk.b.a.xxA.m(aqVar);
            if (aqVar.ctI.csN) {
                ab.i("MicroMsg.MsgHandler", "changePayActivityView:ok");
                a(iVar, "changePayActivityView:ok", null);
            } else {
                ab.i("MicroMsg.MsgHandler", "changePayActivityView:fail");
                a(iVar, "changePayActivityView:fail", null);
            }
            AppMethodBeat.o(9354);
            return true;
        } catch (Exception e) {
            ab.e("MicroMsg.MsgHandler", "changePayActivityView eroor, parse showinfo to jsonarray error");
            a(iVar, "changePayActivityView:fail", null);
            AppMethodBeat.o(9354);
            return false;
        }
    }

    private boolean aO(i iVar) {
        AppMethodBeat.i(9355);
        String str = (String) iVar.puc.get("idKeyDataInfo");
        if (bo.isNullOrNil(str)) {
            ab.e("MicroMsg.MsgHandler", "idkey data is null");
            a(iVar, "reportIDKey:fail_invaild_parms", null);
            AppMethodBeat.o(9355);
        } else {
            try {
                JSONArray jSONArray = new JSONArray(str);
                ArrayList arrayList = new ArrayList();
                for (int i = 0; i < jSONArray.length(); i++) {
                    JSONObject optJSONObject = jSONArray.optJSONObject(i);
                    IDKey iDKey = new IDKey();
                    iDKey.SetID(bo.getInt(optJSONObject.optString("id"), 0));
                    iDKey.SetKey(bo.getInt(optJSONObject.optString("key"), 0));
                    iDKey.SetValue((long) bo.getInt(optJSONObject.optString("value"), 0));
                    arrayList.add(iDKey);
                }
                if (arrayList.size() > 0) {
                    h.pYm.b(arrayList, true);
                    a(iVar, "reportIDKey:ok", null);
                    AppMethodBeat.o(9355);
                }
            } catch (Exception e) {
                ab.e("MicroMsg.MsgHandler", "parse json array faild : %s", new Object[]{e.getMessage()});
            }
            a(iVar, "reportIDKey:fail", null);
            AppMethodBeat.o(9355);
        }
        return false;
    }

    private boolean aP(i iVar) {
        AppMethodBeat.i(9356);
        String str = (String) iVar.puc.get("url");
        String str2 = (String) iVar.puc.get("open_game_webview");
        ab.i("MicroMsg.MsgHandler", "open url with extra webview, url = %s, cityServiceId = %s, injectJs = %b", new Object[]{str, (String) iVar.puc.get("city_service_ext"), Boolean.valueOf(bo.getBoolean((String) iVar.puc.get("inject_city_service_js"), false))});
        if (bo.isNullOrNil(str)) {
            ab.e("MicroMsg.MsgHandler", "url is null or nil");
            a(iVar, "openUrlWithExtraWebview:fail_invalid_url", null);
            AppMethodBeat.o(9356);
        } else {
            String string;
            final Intent intent = new Intent();
            intent.putExtra("rawUrl", str);
            intent.putExtra("convertActivityFromTranslucent", false);
            intent.putExtra("city_service_ext_info", string);
            intent.putExtra("inject_city_service_js", r3);
            intent.putExtra("start_activity_time", System.currentTimeMillis());
            try {
                Bundle g = this.umI.g(18, null);
                if (g != null) {
                    string = g.getString("prePublishId");
                    String string2 = g.getString("preChatName");
                    String string3 = g.getString("preUsername");
                    int i = g.getInt("preChatTYPE", 0);
                    intent.putExtra("prePublishId", string);
                    intent.putExtra("preUsername", string3);
                    intent.putExtra("preChatName", string2);
                    intent.putExtra("preChatTYPE", i);
                }
                int i2 = bo.getInt((String) iVar.puc.get("scene"), -1);
                str = (String) iVar.puc.get("bizUsername");
                if (!(bo.isNullOrNil(str) || i2 == -1)) {
                    intent.putExtra("geta8key_scene", i2);
                    intent.putExtra("geta8key_username", str);
                }
            } catch (Exception e) {
                ab.printErrStackTrace("MicroMsg.MsgHandler", e, "", new Object[0]);
            }
            if (bo.nullAsNil(str2).equals("1")) {
                com.tencent.mm.plugin.webview.ui.tools.g.a(intent.getExtras(), "webview", ".ui.tools.game.GameWebViewUI", this.umI, new 118(this, intent));
            } else {
                com.tencent.mm.plugin.webview.ui.tools.g.a(intent.getExtras(), "webview", ".ui.tools.WebViewUI", this.umI, new Runnable() {
                    public final void run() {
                        AppMethodBeat.i(9196);
                        com.tencent.mm.bp.d.b(g.this.context, "webview", ".ui.tools.WebViewUI", intent);
                        AppMethodBeat.o(9196);
                    }
                });
            }
            a(iVar, "openUrlWithExtraWebview:ok", null);
            AppMethodBeat.o(9356);
        }
        return true;
    }

    /* JADX WARNING: Removed duplicated region for block: B:10:0x0067  */
    /* JADX WARNING: Removed duplicated region for block: B:15:0x007e A:{Catch:{ Exception -> 0x01a7 }} */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x00ad  */
    /* JADX WARNING: Removed duplicated region for block: B:22:0x00c8  */
    /* JADX WARNING: Removed duplicated region for block: B:27:0x00ed A:{Catch:{ Exception -> 0x01be }} */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x01d5  */
    /* JADX WARNING: Removed duplicated region for block: B:31:0x0152  */
    private boolean aQ(com.tencent.mm.plugin.webview.ui.tools.jsapi.i r15) {
        /*
        r14 = this;
        r0 = 9357; // 0x248d float:1.3112E-41 double:4.623E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r0);
        r0 = r15.puc;
        r1 = "url";
        r0 = r0.get(r1);
        r0 = (java.lang.String) r0;
        r1 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r1 == 0) goto L_0x002d;
    L_0x0016:
        r0 = "MicroMsg.MsgHandler";
        r1 = "url is null or nil";
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1);
        r0 = "openCunstonWebview:fail_invalid_url";
        r1 = 0;
        r14.a(r15, r0, r1);
        r0 = 1;
        r1 = 9357; // 0x248d float:1.3112E-41 double:4.623E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
    L_0x002c:
        return r0;
    L_0x002d:
        r1 = r15.puc;
        r2 = "orientation";
        r1 = r1.get(r2);
        r1 = (java.lang.String) r1;
        r2 = com.tencent.mm.sdk.platformtools.bo.nullAsNil(r1);
        r1 = -1;
        r3 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r2);
        if (r3 != 0) goto L_0x0205;
    L_0x0043:
        r3 = "horizontal";
        r3 = r2.equals(r3);
        if (r3 == 0) goto L_0x018d;
    L_0x004c:
        r1 = 0;
        r2 = r1;
    L_0x004e:
        r3 = 0;
        r1 = r15.puc;
        r4 = "fullscreen";
        r1 = r1.get(r4);
        r1 = (java.lang.String) r1;
        r1 = com.tencent.mm.sdk.platformtools.bo.nullAsNil(r1);
        r4 = "true";
        r1 = r1.equals(r4);
        if (r1 == 0) goto L_0x0069;
    L_0x0067:
        r1 = 1;
        r3 = r1;
    L_0x0069:
        r1 = r15.puc;
        r4 = "top_url";
        r1.get(r4);
        r1 = r15.puc;
        r4 = "top_title";
        r1.get(r4);
        r1 = 0;
        r4 = r14.umI;	 Catch:{ Exception -> 0x01a7 }
        if (r4 == 0) goto L_0x0093;
    L_0x007e:
        r4 = r14.umI;	 Catch:{ Exception -> 0x01a7 }
        r5 = 81;
        r6 = new android.os.Bundle;	 Catch:{ Exception -> 0x01a7 }
        r6.<init>();	 Catch:{ Exception -> 0x01a7 }
        r4 = r4.g(r5, r6);	 Catch:{ Exception -> 0x01a7 }
        r5 = "from_shortcut";
        r6 = 0;
        r1 = r4.getBoolean(r5, r6);	 Catch:{ Exception -> 0x01a7 }
    L_0x0093:
        r4 = r1;
    L_0x0094:
        r5 = 0;
        r1 = r15.puc;
        r6 = "finish_recent_webview";
        r1 = r1.get(r6);
        r1 = (java.lang.String) r1;
        r1 = com.tencent.mm.sdk.platformtools.bo.nullAsNil(r1);
        r6 = "1";
        r1 = r1.equals(r6);
        if (r1 == 0) goto L_0x00af;
    L_0x00ad:
        r1 = 1;
        r5 = r1;
    L_0x00af:
        r6 = 0;
        r1 = r15.puc;
        r7 = "disable_swipe_back";
        r1 = r1.get(r7);
        r1 = (java.lang.String) r1;
        r1 = com.tencent.mm.sdk.platformtools.bo.nullAsNil(r1);
        r7 = "1";
        r1 = r1.equals(r7);
        if (r1 == 0) goto L_0x00ca;
    L_0x00c8:
        r1 = 1;
        r6 = r1;
    L_0x00ca:
        r1 = r15.puc;
        r7 = "username";
        r1 = r1.get(r7);
        r1 = (java.lang.String) r1;
        r8 = com.tencent.mm.sdk.platformtools.bo.nullAsNil(r1);
        r1 = r15.puc;
        r7 = "open_game_webview";
        r1 = r1.get(r7);
        r1 = (java.lang.String) r1;
        r9 = com.tencent.mm.sdk.platformtools.bo.nullAsNil(r1);
        r1 = 0;
        r7 = r14.umI;	 Catch:{ Exception -> 0x01be }
        if (r7 == 0) goto L_0x0101;
    L_0x00ed:
        r7 = r14.umI;	 Catch:{ Exception -> 0x01be }
        r10 = 86;
        r11 = new android.os.Bundle;	 Catch:{ Exception -> 0x01be }
        r11.<init>();	 Catch:{ Exception -> 0x01be }
        r7 = r7.g(r10, r11);	 Catch:{ Exception -> 0x01be }
        r10 = "is_from_keep_top";
        r1 = r7.getBoolean(r10);	 Catch:{ Exception -> 0x01be }
    L_0x0101:
        r7 = r1;
    L_0x0102:
        r1 = r15.puc;
        r10 = "gameAppid";
        r1 = r1.get(r10);
        r1 = (java.lang.String) r1;
        r1 = com.tencent.mm.sdk.platformtools.bo.nullAsNil(r1);
        r10 = new android.content.Intent;
        r10.<init>();
        r11 = "rawUrl";
        r10.putExtra(r11, r0);
        r0 = "screen_orientation";
        r10.putExtra(r0, r2);
        r0 = "show_full_screen";
        r10.putExtra(r0, r3);
        r0 = "disable_swipe_back";
        r10.putExtra(r0, r6);
        r0 = "from_shortcut";
        r10.putExtra(r0, r4);
        r0 = "shortcut_user_name";
        r10.putExtra(r0, r8);
        r0 = "is_from_keep_top";
        r10.putExtra(r0, r7);
        r0 = "game_hv_menu_appid";
        r10.putExtra(r0, r1);
        r0 = "start_activity_time";
        r2 = java.lang.System.currentTimeMillis();
        r10.putExtra(r0, r2);
        if (r4 == 0) goto L_0x01d5;
    L_0x0152:
        r0 = r14.context;
        r2 = "webview";
        r3 = ".ui.tools.game.H5GameWebViewUI";
        com.tencent.mm.bp.d.b(r0, r2, r3, r10);
    L_0x015d:
        if (r5 == 0) goto L_0x016b;
    L_0x015f:
        if (r4 != 0) goto L_0x016b;
    L_0x0161:
        r0 = new com.tencent.mm.plugin.webview.ui.tools.jsapi.g$121;
        r0.<init>(r14);
        r2 = 200; // 0xc8 float:2.8E-43 double:9.9E-322;
        com.tencent.mm.sdk.platformtools.al.n(r0, r2);
    L_0x016b:
        r0 = new com.tencent.mm.g.a.gu;
        r0.<init>();
        r2 = r0.cBw;
        r3 = 2;
        r2.Cn = r3;
        r2 = r0.cBw;
        r2.cBy = r1;
        r1 = com.tencent.mm.sdk.b.a.xxA;
        r1.m(r0);
        r0 = "openCunstonWebview:ok";
        r1 = 0;
        r14.a(r15, r0, r1);
        r0 = 1;
        r1 = 9357; // 0x248d float:1.3112E-41 double:4.623E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
        goto L_0x002c;
    L_0x018d:
        r3 = "vertical";
        r3 = r2.equals(r3);
        if (r3 == 0) goto L_0x019a;
    L_0x0196:
        r1 = 1;
        r2 = r1;
        goto L_0x004e;
    L_0x019a:
        r3 = "sensor";
        r2 = r2.equals(r3);
        if (r2 == 0) goto L_0x0205;
    L_0x01a3:
        r1 = 4;
        r2 = r1;
        goto L_0x004e;
    L_0x01a7:
        r4 = move-exception;
        r5 = "MicroMsg.MsgHandler";
        r6 = "doOpenCustomWebview, get from shortcut exception : %s";
        r7 = 1;
        r7 = new java.lang.Object[r7];
        r8 = 0;
        r4 = r4.getMessage();
        r7[r8] = r4;
        com.tencent.mm.sdk.platformtools.ab.e(r5, r6, r7);
        r4 = r1;
        goto L_0x0094;
    L_0x01be:
        r7 = move-exception;
        r10 = "MicroMsg.MsgHandler";
        r11 = "doOpenCustomWebview, get from keep top exception : %s";
        r12 = 1;
        r12 = new java.lang.Object[r12];
        r13 = 0;
        r7 = r7.getMessage();
        r12[r13] = r7;
        com.tencent.mm.sdk.platformtools.ab.e(r10, r11, r12);
        r7 = r1;
        goto L_0x0102;
    L_0x01d5:
        r0 = com.tencent.mm.sdk.platformtools.bo.nullAsNil(r9);
        r2 = "1";
        r0 = r0.equals(r2);
        if (r0 == 0) goto L_0x01f8;
    L_0x01e2:
        r0 = r10.getExtras();
        r2 = "webview";
        r3 = ".ui.tools.game.GameWebViewUI";
        r6 = r14.umI;
        r7 = new com.tencent.mm.plugin.webview.ui.tools.jsapi.g$120;
        r7.<init>(r14, r10);
        com.tencent.mm.plugin.webview.ui.tools.g.a(r0, r2, r3, r6, r7);
        goto L_0x015d;
    L_0x01f8:
        r0 = r14.context;
        r2 = "webview";
        r3 = ".ui.tools.WebViewUI";
        com.tencent.mm.bp.d.b(r0, r2, r3, r10);
        goto L_0x015d;
    L_0x0205:
        r2 = r1;
        goto L_0x004e;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.webview.ui.tools.jsapi.g.aQ(com.tencent.mm.plugin.webview.ui.tools.jsapi.i):boolean");
    }

    private boolean aR(i iVar) {
        AppMethodBeat.i(9358);
        String nullAsNil = bo.nullAsNil((String) iVar.puc.get("orientation"));
        int i = -1;
        if (!bo.isNullOrNil(nullAsNil)) {
            if (nullAsNil.equals("horizontal")) {
                i = 0;
            } else if (nullAsNil.equals("vertical")) {
                i = 1;
            } else if (nullAsNil.equals("sensor")) {
                i = 4;
            } else if (nullAsNil.equals("horizontal_unforced")) {
                i = CredentialsApi.ACTIVITY_RESULT_OTHER_ACCOUNT;
            } else if (nullAsNil.equals("vertical_unforced")) {
                i = CredentialsApi.ACTIVITY_RESULT_NO_HINTS_AVAILABLE;
            }
        }
        try {
            if (this.umI != null) {
                Bundle bundle = new Bundle();
                bundle.putInt("screen_orientation", i);
                this.umI.g(1009, bundle);
                a(iVar, "setScreenOrientation:ok", null);
            } else {
                a(iVar, "setScreenOrientation:fail", null);
            }
        } catch (Exception e) {
            ab.e("MicroMsg.MsgHandler", "doSetScreenOrientation exception, " + e.getMessage());
            a(iVar, "setScreenOrientation:fail", null);
        }
        AppMethodBeat.o(9358);
        return true;
    }

    private boolean aS(i iVar) {
        AppMethodBeat.i(9359);
        ab.i("MicroMsg.MsgHandler", "setNavigationBarColor");
        boolean equals = "1".equals((String) iVar.puc.get("actionCode"));
        Bundle bundle = new Bundle();
        if (equals) {
            bundle.putBoolean("set_navigation_bar_color_reset", true);
        } else {
            int parseColor;
            int i;
            try {
                parseColor = Color.parseColor((String) iVar.puc.get("color")) | -16777216;
            } catch (Exception e) {
                ab.e("MicroMsg.MsgHandler", e.getMessage());
                bundle.putBoolean("set_navigation_bar_color_reset", true);
                parseColor = -1;
            }
            try {
                i = (int) (bo.getFloat((String) iVar.puc.get("alpha"), 1.0f) * 255.0f);
                if (i < 0 || i > 255) {
                    i = 255;
                }
            } catch (Exception e2) {
                ab.e("MicroMsg.MsgHandler", e2.getMessage());
                i = -1;
            }
            bundle.putInt("set_navigation_bar_color_color", parseColor);
            bundle.putInt("set_navigation_bar_color_alpha", i);
        }
        try {
            this.umI.g(53, bundle);
            a(iVar, "setNavigationBarColor:ok", null);
        } catch (Exception e22) {
            ab.e("MicroMsg.MsgHandler", e22.getMessage());
            a(iVar, "setNavigationBarColor:fail", null);
        }
        AppMethodBeat.o(9359);
        return true;
    }

    public final void a(String str, boolean z, String str2, long j) {
        AppMethodBeat.i(9360);
        Bundle bundle = new Bundle();
        bundle.putString("emoji_store_json_data", str);
        bundle.putBoolean("emoji_store_new_query", z);
        bundle.putString("emoji_store_page_buf", str2);
        bundle.putLong("emoji_store_search_id", j);
        ab.d("MicroMsg.MsgHandler", "cpan emoji getSearchEmotionDataCallBack:%d", new Object[]{Long.valueOf(j)});
        try {
            if (this.umI != null) {
                this.umI.c(80001, bundle);
            }
            AppMethodBeat.o(9360);
        } catch (RemoteException e) {
            ab.w("MicroMsg.MsgHandler", "getSearchEmotionDataCallBack exception" + e.getMessage());
            AppMethodBeat.o(9360);
        }
    }

    private boolean od(boolean z) {
        AppMethodBeat.i(9361);
        ab.e("MicroMsg.MsgHandler", "hideMenuEntry:".concat(String.valueOf(z)));
        try {
            this.umI.nL(z);
            ab.e("MicroMsg.MsgHandler", "hideMenuEntry succ");
            AppMethodBeat.o(9361);
            return true;
        } catch (RemoteException e) {
            ab.printErrStackTrace("MicroMsg.MsgHandler", e, "", new Object[0]);
            ab.e("MicroMsg.MsgHandler", "hideMenuEntry error");
            ab.e("MicroMsg.MsgHandler", "hideMenuEntry succ");
            AppMethodBeat.o(9361);
            return false;
        } catch (Throwable th) {
            ab.e("MicroMsg.MsgHandler", "hideMenuEntry succ");
            AppMethodBeat.o(9361);
            return true;
        }
    }

    private boolean aT(i iVar) {
        AppMethodBeat.i(9362);
        ab.i("MicroMsg.MsgHandler", "doSendAppMsgToSpecifiedContact");
        String str = (String) iVar.puc.get("openid");
        if (bo.isNullOrNil(str)) {
            ab.e("MicroMsg.MsgHandler", "doSendAppMsgToSpecifiedContact openid is null");
            a(iVar, "sendAppMessageToSpecifiedContact:fail", null);
            AppMethodBeat.o(9362);
        } else {
            String str2 = (String) iVar.puc.get("appId");
            if (this.uGh != null && TextUtils.isEmpty(str2)) {
                str2 = this.uGh.getString("jsapi_args_appid");
            }
            if (bo.isNullOrNil(str2)) {
                ab.e("MicroMsg.MsgHandler", "doSendAppMsgToSpecifiedContact appid is null");
                a(iVar, "sendAppMessageToSpecifiedContact:fail", null);
                AppMethodBeat.o(9362);
            } else {
                this.cEl = g(iVar);
                com.tencent.mm.plugin.webview.model.ac acVar = new com.tencent.mm.plugin.webview.model.ac(str2, str);
                com.tencent.mm.kernel.g.Rg().a(1142, new 130(this, iVar, str2));
                com.tencent.mm.kernel.g.Rg().a(acVar, 0);
                Context context = this.context;
                this.context.getString(2131297061);
                this.ehJ = com.tencent.mm.ui.base.h.b(context, this.context.getString(2131297086), true, new 131(this, acVar));
                AppMethodBeat.o(9362);
            }
        }
        return true;
    }

    private boolean dcF() {
        AppMethodBeat.i(9363);
        try {
            Bundle bundle = new Bundle(1);
            bundle.putString("place_holder", "place_holder");
            this.umI.cZb();
            this.umI.W(bundle);
        } catch (Exception e) {
        }
        AppMethodBeat.o(9363);
        return true;
    }

    public final boolean aU(i iVar) {
        AppMethodBeat.i(9364);
        ab.i("MicroMsg.MsgHandler", "doWCPayRealnameVerify call");
        com.tencent.mm.pluginsdk.wallet.g gVar = new com.tencent.mm.pluginsdk.wallet.g(iVar.puc);
        Intent intent = new Intent();
        String str = null;
        try {
            str = this.umI.getCurrentUrl();
        } catch (RemoteException e) {
            ab.printErrStackTrace("MicroMsg.MsgHandler", e, "", new Object[0]);
        }
        if (!bo.isNullOrNil(str)) {
            intent.putExtra("appId", this.uGr.agj(str));
            intent.putExtra("timeStamp", gVar.timeStamp);
            intent.putExtra("nonceStr", gVar.nonceStr);
            intent.putExtra("packageExt", gVar.packageExt);
            intent.putExtra("signtype", gVar.signType);
            intent.putExtra("paySignature", gVar.cId);
            try {
                intent.putExtra("url", this.umI.getCurrentUrl());
            } catch (RemoteException e2) {
                ab.printErrStackTrace("MicroMsg.MsgHandler", e2, "", new Object[0]);
            }
            intent.setFlags(536870912);
            intent.putExtra("pay_channel", gVar.cvS);
            intent.putExtra("realname_scene", 1);
            ((MMActivity) this.context).ifE = this;
            com.tencent.mm.bp.d.b(this.context, "wallet_core", ".id_verify.WalletRealNameProcessProxyUI", intent, 34);
        }
        AppMethodBeat.o(9364);
        return true;
    }

    public final boolean dcG() {
        AppMethodBeat.i(9365);
        ab.i("MicroMsg.MsgHandler", "doSwitchWalletCurrency call");
        ((MMActivity) this.context).ifE = this;
        com.tencent.mm.bp.d.b(this.context, "wallet_core", ".ui.WalletSwitchWalletCurrencyUI", null, 35);
        AppMethodBeat.o(9365);
        return true;
    }

    private boolean aV(i iVar) {
        boolean z;
        AppMethodBeat.i(9366);
        String str = (String) iVar.puc.get("clearCookie");
        ab.i("MicroMsg.MsgHandler", "clearflag = %s", new Object[]{str});
        if (bo.isNullOrNil(str) || !str.equalsIgnoreCase(ServerProtocol.DIALOG_RETURN_SCOPES_TRUE)) {
            z = false;
        } else {
            z = true;
        }
        str = (String) iVar.puc.get("url");
        if (!bo.isNullOrNil(str)) {
            str = q.aeJ(str);
            if (bo.isNullOrNil(str)) {
                str = null;
            } else {
                Uri parse = Uri.parse(str);
                str = parse.getHost() + VideoMaterialUtil.FRAMES_ID_SEPARATOR_3D + parse.getPort();
            }
            if (!bo.isNullOrNil(str)) {
                com.tencent.mm.plugin.webview.modelcache.r.a.cYq().aNS().aa(new 133(this, str));
            }
        }
        if (this.umI != null) {
            Bundle bundle = new Bundle();
            bundle.putBoolean("clear_webview_cache_clear_cookie", z);
            try {
                this.umI.g(6001, bundle);
                a(iVar, "clearWebviewCache:ok", null);
                AppMethodBeat.o(9366);
            } catch (Exception e) {
                ab.e("MicroMsg.MsgHandler", "clear webview cache fail : %s", new Object[]{e.getMessage()});
                a(iVar, "clearWebviewCache:fail", null);
                AppMethodBeat.o(9366);
            }
        } else {
            a(iVar, "clearWebviewCache:fail", null);
            AppMethodBeat.o(9366);
        }
        return true;
    }

    public final boolean aW(i iVar) {
        AppMethodBeat.i(9367);
        ab.i("MicroMsg.MsgHandler", "doIdCardRealnameVerify call");
        com.tencent.mm.pluginsdk.wallet.g gVar = new com.tencent.mm.pluginsdk.wallet.g(iVar.puc);
        Intent intent = new Intent();
        String str = null;
        try {
            str = this.umI.getCurrentUrl();
        } catch (RemoteException e) {
            ab.printErrStackTrace("MicroMsg.MsgHandler", e, "", new Object[0]);
        }
        if (!bo.isNullOrNil(str)) {
            intent.putExtra("appId", this.uGr.agj(str));
            intent.putExtra("timeStamp", gVar.timeStamp);
            intent.putExtra("nonceStr", gVar.nonceStr);
            intent.putExtra("packageExt", gVar.packageExt);
            intent.putExtra("signtype", gVar.signType);
            intent.putExtra("paySignature", gVar.cId);
            try {
                intent.putExtra("url", this.umI.getCurrentUrl());
            } catch (RemoteException e2) {
                ab.printErrStackTrace("MicroMsg.MsgHandler", e2, "", new Object[0]);
            }
            intent.putExtra("pay_channel", gVar.cvS);
            intent.putExtra("real_name_verify_mode", 2);
            intent.setFlags(536870912);
            intent.putExtra("realname_scene", 1);
            ((MMActivity) this.context).ifE = this;
            com.tencent.mm.bp.d.b(this.context, "wallet_core", ".id_verify.WalletRealNameProcessProxyUI", intent, 41);
        }
        AppMethodBeat.o(9367);
        return true;
    }

    public final boolean aX(i iVar) {
        AppMethodBeat.i(9368);
        a(iVar, "uploadIdCardSuccess:ok", null);
        ab.i("MicroMsg.MsgHandler", "uploadIdCardSuccess");
        vd vdVar = new vd();
        vdVar.cSa.result = -1;
        com.tencent.mm.sdk.b.a.xxA.m(vdVar);
        AppMethodBeat.o(9368);
        return true;
    }

    public final boolean aY(i iVar) {
        AppMethodBeat.i(9369);
        ab.i("MicroMsg.MsgHandler", "getGameCommInfo call");
        int i = bo.getInt((String) iVar.puc.get("cmd"), 0);
        String str = (String) iVar.puc.get("param");
        Map hashMap;
        if (i != 10002) {
            gu guVar = new gu();
            guVar.cBw.Cn = i;
            guVar.cBw.cBy = str;
            guVar.cBw.context = this.context;
            com.tencent.mm.sdk.b.a.xxA.m(guVar);
            ab.i("MicroMsg.MsgHandler", "gameCommInfo:%s", new Object[]{guVar.cBx.result});
            if (bo.isNullOrNil(guVar.cBx.result)) {
                a(iVar, "getGameCommInfo:fail", null);
            } else {
                try {
                    hashMap = new HashMap();
                    JSONObject jSONObject = new JSONObject(guVar.cBx.result);
                    Iterator keys = jSONObject.keys();
                    while (keys.hasNext()) {
                        str = (String) keys.next();
                        hashMap.put(str, jSONObject.getString(str));
                    }
                    a(iVar, "getGameCommInfo:ok", hashMap);
                } catch (JSONException e) {
                    a(iVar, "getGameCommInfo:fail", null);
                }
            }
        } else if (this.umI != null) {
            try {
                Bundle g = this.umI.g(97, null);
                if (g != null) {
                    int i2 = g.getInt("web_page_count");
                    hashMap = new HashMap();
                    hashMap.put("webpageCount", Integer.valueOf(i2));
                    a(iVar, "getGameCommInfo:ok", hashMap);
                }
            } catch (RemoteException e2) {
                ab.e("MicroMsg.MsgHandler", "doGetGameCommInfo exception, " + e2.getMessage());
                a(iVar, "getGameCommInfo:fail", null);
            }
        }
        AppMethodBeat.o(9369);
        return true;
    }

    public final boolean dcH() {
        AppMethodBeat.i(9370);
        ab.i("MicroMsg.MsgHandler", "openGameRegion call");
        if (this.context instanceof MMActivity) {
            ((MMActivity) this.context).ifE = this;
            com.tencent.mm.bp.d.a(this.context, "game", ".ui.GameRegionSelectUI", null, 42, false);
        }
        AppMethodBeat.o(9370);
        return true;
    }

    public final boolean aZ(i iVar) {
        AppMethodBeat.i(9371);
        com.tencent.mm.ui.tools.j jVar = new com.tencent.mm.ui.tools.j(this.context);
        jVar.b(null, new OnCreateContextMenuListener() {
            public final void onCreateContextMenu(ContextMenu contextMenu, View view, ContextMenuInfo contextMenuInfo) {
                AppMethodBeat.i(9211);
                contextMenu.add(0, 1, 0, g.this.context.getString(2131302732));
                contextMenu.add(0, 2, 1, g.this.context.getString(2131302727));
                AppMethodBeat.o(9211);
            }
        }, new 135(this, iVar));
        jVar.e(new 3(this, iVar));
        jVar.cuu();
        AppMethodBeat.o(9371);
        return true;
    }

    private boolean ba(i iVar) {
        String str;
        AppMethodBeat.i(9372);
        if (this.uGh != null) {
            int i = this.uGh.getInt("key_download_restrict", 0);
            if (!bo.isNullOrNil(this.uGh.getString("key_function_id", ""))) {
                h.pYm.e(14596, new Object[]{str, Integer.valueOf(i), Integer.valueOf(1)});
            }
            if (i == 1) {
                ab.e("MicroMsg.MsgHandler", "not allow to launch application");
                a(iVar, "launchApplication:fail", null);
                AppMethodBeat.o(9372);
                return true;
            }
        }
        ab.i("MicroMsg.MsgHandler", "launchTimeInterval = %d", new Object[]{Long.valueOf(bo.anT() - this.uGx)});
        if (bo.anT() - this.uGx < 2 && this.uGx > 0) {
            try {
                String encode = URLEncoder.encode(this.umI.getCurrentUrl(), "UTF-8");
                h.pYm.e(13983, new Object[]{Integer.valueOf(5), encode, ""});
            } catch (Exception e) {
                ab.e("MicroMsg.MsgHandler", "report launchApplication failed");
            }
        }
        String str2 = (String) iVar.puc.get("appID");
        String str3 = (String) iVar.puc.get("schemeUrl");
        String str4 = (String) iVar.puc.get("parameter");
        int i2 = bo.getInt((String) iVar.puc.get("alertType"), 0);
        l.a(iVar.uII, false, null, str2);
        ab.i("MicroMsg.MsgHandler", "doLaunchApplication, appid : %s, scheme : %s, extinfo:[%s], parameter : %s", new Object[]{str2, str3, (String) iVar.puc.get("extInfo"), str4});
        if (bo.isNullOrNil(str2) && bo.isNullOrNil(str3)) {
            ab.e("MicroMsg.MsgHandler", "appid and scheme is null or nil");
            a(iVar, "launchApplication:fail", null);
            AppMethodBeat.o(9372);
            return true;
        }
        Object obj = iVar.puc.get("__jsapi_fw_ext_info");
        str = null;
        if (obj instanceof Bundle) {
            str = ((Bundle) obj).getString("__jsapi_fw_ext_info_key_current_url");
        }
        String agj = this.uGr.agj(str);
        Bundle bundle = new Bundle();
        if (!bo.isNullOrNil(str)) {
            try {
                bundle.putString("current_page_url", URLEncoder.encode(str, "UTF-8"));
            } catch (UnsupportedEncodingException e2) {
            }
        }
        bundle.putString("current_page_appid", agj);
        com.tencent.mm.ai.b.a aVar = new com.tencent.mm.ai.b.a();
        aVar.fsJ = new avj();
        aVar.fsK = new avk();
        aVar.uri = "/cgi-bin/mmbiz-bin/checklaunchapp";
        aVar.fsI = 1125;
        com.tencent.mm.ai.b acD = aVar.acD();
        avj avj = (avj) acD.fsG.fsP;
        avj.csB = agj;
        avj.wzn = str2;
        avj.scene = aGu();
        avj.url = str;
        avj.wzo = str3;
        avj.kCo = i2;
        avj.wzp = 0;
        ab.i("MicroMsg.MsgHandler", "run cgi to check(appId : %s, toAppId : %s, scene : %s, url : %s, schemeUrl : %s, alertType : %s)", new Object[]{agj, str2, Integer.valueOf(avj.scene), avj.url, avj.wzo, Integer.valueOf(avj.kCo)});
        w.a(acD, new 5(this, iVar, str3, bundle, r5, str2, str4));
        AppMethodBeat.o(9372);
        return true;
    }

    private boolean a(i iVar, a aVar) {
        String currentUrl;
        AppMethodBeat.i(9373);
        ab.i("MicroMsg.MsgHandler", "doLogin!");
        LinkedList linkedList = new LinkedList();
        String str = "";
        String str2 = "";
        try {
            currentUrl = this.umI.getCurrentUrl();
        } catch (Exception e) {
            ab.e("MicroMsg.MsgHandler", "exception in get currentUrl %s", new Object[]{e.getMessage()});
            currentUrl = null;
        }
        String nullAsNil = bo.nullAsNil(this.uGr.agj(currentUrl));
        if (bo.isNullOrNil(nullAsNil)) {
            ab.e("MicroMsg.MsgHandler", "appId is null!");
            a(iVar, "doLogin:fail", null);
            aVar.aCB();
            AppMethodBeat.o(9373);
            return false;
        }
        com.tencent.mm.kernel.g.Rg().a(new com.tencent.mm.z.a.c(nullAsNil, linkedList, str2, str, new 9(this, iVar, aVar, nullAsNil)), 0);
        AppMethodBeat.o(9373);
        return true;
    }

    private boolean b(i iVar, a aVar) {
        AppMethodBeat.i(9374);
        ab.i("MicroMsg.MsgHandler", "doOauthAuthorize!");
        String str = (String) iVar.puc.get(ServerProtocol.DIALOG_PARAM_SCOPE);
        if (bo.isNullOrNil(str)) {
            ab.e("MicroMsg.MsgHandler", "scope is null!");
            a(iVar, "authorize:fail", null);
            aVar.aCB();
            AppMethodBeat.o(9374);
            return true;
        }
        String currentUrl;
        try {
            currentUrl = this.umI.getCurrentUrl();
        } catch (Exception e) {
            ab.e("MicroMsg.MsgHandler", "exception in get currentUrl %s", new Object[]{e.getMessage()});
            currentUrl = null;
        }
        currentUrl = bo.nullAsNil(this.uGr.agj(currentUrl));
        if (bo.isNullOrNil(currentUrl)) {
            ab.e("MicroMsg.MsgHandler", "appId is null!");
            a(iVar, "authorize:fail", null);
            aVar.aCB();
            AppMethodBeat.o(9374);
            return false;
        }
        LinkedList linkedList = new LinkedList();
        try {
            JSONArray jSONArray = new JSONArray(str);
            for (int i = 0; i < jSONArray.length(); i++) {
                linkedList.add(jSONArray.optString(i));
            }
            com.tencent.mm.kernel.g.Rg().a(new com.tencent.mm.z.a.a(currentUrl, linkedList, new 11(this, iVar, aVar, currentUrl)), 0);
            AppMethodBeat.o(9374);
            return true;
        } catch (Exception e2) {
            ab.e("MicroMsg.MsgHandler", "Exception %s", new Object[]{e2.getMessage()});
            a(iVar, "authorize:fail", null);
            AppMethodBeat.o(9374);
            return true;
        }
    }

    public final void gB(int i, int i2) {
        AppMethodBeat.i(9375);
        String str = "";
        String str2 = " ";
        String str3 = "";
        Bundle bundle = null;
        try {
            if (this.umI != null) {
                bundle = this.umI.g(77, null);
            }
            if (bundle != null) {
                str = bundle.getString("KUrl");
                if (TextUtils.isEmpty(str)) {
                    ab.e("MicroMsg.MsgHandler", "url is empty");
                    AppMethodBeat.o(9375);
                    return;
                }
                str2 = bo.nullAsNil(bundle.getString("KSessionId"));
                ab.i("MicroMsg.MsgHandler", "sessionId %s", new Object[]{str2});
                str3 = bundle.getString("geta8key_username");
            }
        } catch (Exception e) {
            ab.e("MicroMsg.MsgHandler", "get sessionId error, %s", new Object[]{e});
        }
        String nullAsNil = bo.nullAsNil(bK(str));
        int type = this.cEl.mediaObject.type();
        int i3 = this.uGv.IS(i) ? 2 : 1;
        ab.i("MicroMsg.MsgHandler", "appId %s, type %d,publisher %s, opType %d", new Object[]{nullAsNil, Integer.valueOf(type), str3, Integer.valueOf(i3)});
        if (type == 5) {
            long anT = bo.anT();
            ab.d("MicroMsg.MsgHandler", "report(%s), clickTimestamp : %d, appID : %s, url : %s, sessionId : %s, actionType : %d, flag : %d", new Object[]{Integer.valueOf(13377), Long.valueOf(anT), nullAsNil, str, str2, Integer.valueOf(i), Integer.valueOf(i2)});
            String str4 = "";
            try {
                str = URLEncoder.encode(bo.nullAsNil(str), "UTF-8");
            } catch (UnsupportedEncodingException e2) {
                ab.printErrStackTrace("MicroMsg.MsgHandler", e2, "", new Object[0]);
                str = str4;
            }
            h.pYm.e(13377, new Object[]{Long.valueOf(anT), nullAsNil, str, str2, Integer.valueOf(i), Integer.valueOf(i2), Integer.valueOf(i3), str3});
        }
        AppMethodBeat.o(9375);
    }

    private void bb(i iVar) {
        AppMethodBeat.i(9376);
        Bundle aP = i.aP(iVar.puc);
        try {
            this.umI.cZb();
            this.umI.W(aP);
            AppMethodBeat.o(9376);
        } catch (RemoteException e) {
            ab.w("MicroMsg.MsgHandler", "SendServiceAppMsg doCloseWindow, ex = " + e.getMessage());
            AppMethodBeat.o(9376);
        }
    }

    private static ArrayList<bi> f(long[] jArr) {
        AppMethodBeat.i(9377);
        ArrayList arrayList = new ArrayList();
        if (jArr != null) {
            int i = 0;
            while (true) {
                int i2 = i;
                if (i2 >= jArr.length) {
                    break;
                }
                arrayList.add(((j) com.tencent.mm.kernel.g.K(j.class)).bOr().jf(jArr[i2]));
                i = i2 + 1;
            }
        }
        AppMethodBeat.o(9377);
        return arrayList;
    }

    private static void a(SnsAdClick snsAdClick) {
        AppMethodBeat.i(9378);
        of ofVar = new of();
        ofVar.cKy.cKz = snsAdClick;
        com.tencent.mm.sdk.b.a.xxA.m(ofVar);
        AppMethodBeat.o(9378);
    }

    /* JADX WARNING: Removed duplicated region for block: B:23:0x0102  */
    /* JADX WARNING: Removed duplicated region for block: B:13:0x00b1  */
    /* JADX WARNING: Removed duplicated region for block: B:607:0x1b14  */
    /* JADX WARNING: Removed duplicated region for block: B:597:0x1aca  */
    /* JADX WARNING: Removed duplicated region for block: B:816:0x2249  */
    /* JADX WARNING: Removed duplicated region for block: B:822:0x226c  */
    public final void c(int r25, int r26, android.content.Intent r27) {
        /*
        r24 = this;
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r2);
        r2 = "MicroMsg.MsgHandler";
        r3 = new java.lang.StringBuilder;
        r4 = "mmOnActivityResult, requestCode = ";
        r3.<init>(r4);
        r0 = r25;
        r3 = r3.append(r0);
        r4 = ", resultCode = ";
        r3 = r3.append(r4);
        r0 = r26;
        r3 = r3.append(r0);
        r3 = r3.toString();
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3);
        r2 = 1;
        r0 = r25;
        if (r0 != r2) goto L_0x02d8;
    L_0x002f:
        r0 = r24;
        r2 = r0.cEl;
        if (r2 != 0) goto L_0x0058;
    L_0x0035:
        r2 = "MicroMsg.MsgHandler";
        r3 = "mmOnActivityResult fail, appmsg is null";
        com.tencent.mm.sdk.platformtools.ab.e(r2, r3);
        r2 = 1;
        r3 = 2;
        r0 = r24;
        r0.gB(r2, r3);
        r0 = r24;
        r2 = r0.uGd;
        r3 = "send_app_msg:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
    L_0x0057:
        return;
    L_0x0058:
        r0 = r24;
        r2 = r0.uGd;
        r2 = r2.puc;
        r3 = "appid";
        r2 = r2.get(r3);
        r2 = (java.lang.String) r2;
        r3 = 0;
        r0 = r24;
        r4 = r0.uGh;
        if (r4 == 0) goto L_0x2d64;
    L_0x006e:
        r0 = r24;
        r3 = r0.uGh;
        r4 = "KSnsAdTag";
        r3 = r3.getParcelable(r4);
        r3 = (com.tencent.mm.modelsns.SnsAdClick) r3;
        r4 = android.text.TextUtils.isEmpty(r2);
        if (r4 == 0) goto L_0x2d64;
    L_0x0081:
        r0 = r24;
        r2 = r0.uGh;
        r4 = "jsapi_args_appid";
        r2 = r2.getString(r4);
        r15 = r2;
    L_0x008d:
        r0 = r24;
        r2 = r0.uGd;
        r2 = r2.dcO();
        r4 = "Internal@AsyncReport";
        r2 = r2.get(r4);
        r0 = r24;
        r4 = r0.uGd;
        r4 = r4.puc;
        r5 = "link";
        r4.get(r5);
        switch(r26) {
            case -1: goto L_0x0102;
            case 0: goto L_0x00b1;
            default: goto L_0x00ab;
        };
    L_0x00ab:
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x00b1:
        if (r3 == 0) goto L_0x00ba;
    L_0x00b3:
        r4 = 8;
        r3.fPZ = r4;
        a(r3);
    L_0x00ba:
        r0 = r24;
        r3 = r0.uGd;
        r3 = r3.dcO();
        r4 = "sendAppMessage";
        r0 = r24;
        r4 = r0.agw(r4);
        r5 = 0;
        com.tencent.mm.plugin.webview.ui.tools.jsapi.l.a(r3, r4, r5, r15);
        if (r2 == 0) goto L_0x00e7;
    L_0x00d1:
        r3 = r2 instanceof java.lang.Boolean;
        if (r3 == 0) goto L_0x00e7;
    L_0x00d5:
        r2 = (java.lang.Boolean) r2;
        r2 = r2.booleanValue();
        if (r2 == 0) goto L_0x00e7;
    L_0x00dd:
        r0 = r24;
        r2 = r0.uGd;
        r3 = 1;
        r0 = r24;
        r0.b(r2, r3);
    L_0x00e7:
        r2 = 1;
        r3 = 3;
        r0 = r24;
        r0.gB(r2, r3);
        r0 = r24;
        r2 = r0.uGd;
        r3 = "send_app_msg:ok";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0102:
        if (r3 == 0) goto L_0x010a;
    L_0x0104:
        r4 = 7;
        r3.fPZ = r4;
        a(r3);
    L_0x010a:
        r14 = com.tencent.mm.pluginsdk.model.app.g.Uq(r15);
        if (r27 != 0) goto L_0x013d;
    L_0x0110:
        r5 = 0;
    L_0x0111:
        if (r5 == 0) goto L_0x0119;
    L_0x0113:
        r3 = r5.length();
        if (r3 != 0) goto L_0x0147;
    L_0x0119:
        r2 = "MicroMsg.MsgHandler";
        r3 = "mmOnActivityResult fail, toUser is null";
        com.tencent.mm.sdk.platformtools.ab.e(r2, r3);
        r2 = 1;
        r3 = 2;
        r0 = r24;
        r0.gB(r2, r3);
        r0 = r24;
        r2 = r0.uGd;
        r3 = "send_app_msg:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x013d:
        r3 = "Select_Conv_User";
        r0 = r27;
        r5 = r0.getStringExtra(r3);
        goto L_0x0111;
    L_0x0147:
        r0 = r24;
        r3 = r0.uGd;
        r3 = r3.puc;
        r4 = "img_url";
        r6 = r3.get(r4);
        r6 = (java.lang.String) r6;
        r0 = r24;
        r3 = r0.uGd;
        r3 = r3.puc;
        r4 = "desc";
        r3.get(r4);
        r0 = r24;
        r3 = r0.uGd;
        r3 = r3.puc;
        r4 = "src_username";
        r7 = r3.get(r4);
        r7 = (java.lang.String) r7;
        r0 = r24;
        r3 = r0.uGd;
        r3 = r3.puc;
        r4 = "src_displayname";
        r8 = r3.get(r4);
        r8 = (java.lang.String) r8;
        r10 = r24.dcx();
        r0 = r24;
        r3 = r0.uGd;
        r3 = r3.dcO();
        r4 = "sendAppMessage";
        r0 = r24;
        r4 = r0.agw(r4);
        com.tencent.mm.plugin.webview.ui.tools.jsapi.l.a(r3, r4, r5, r15);
        if (r2 == 0) goto L_0x01b0;
    L_0x019a:
        r3 = r2 instanceof java.lang.Boolean;
        if (r3 == 0) goto L_0x01b0;
    L_0x019e:
        r2 = (java.lang.Boolean) r2;
        r2 = r2.booleanValue();
        if (r2 == 0) goto L_0x01b0;
    L_0x01a6:
        r0 = r24;
        r2 = r0.uGd;
        r3 = 1;
        r0 = r24;
        r0.b(r2, r3);
    L_0x01b0:
        r2 = ",";
        r11 = r5.split(r2);
        r3 = 0;
        r4 = 0;
        r12 = r11.length;
        r2 = 0;
        r9 = r2;
    L_0x01bc:
        if (r9 >= r12) goto L_0x01d3;
    L_0x01be:
        r2 = r11[r9];
        r13 = "@chatroom";
        r2 = r2.endsWith(r13);
        if (r2 == 0) goto L_0x01cf;
    L_0x01c9:
        r2 = r3 + 1;
    L_0x01cb:
        r9 = r9 + 1;
        r3 = r2;
        goto L_0x01bc;
    L_0x01cf:
        r4 = r4 + 1;
        r2 = r3;
        goto L_0x01cb;
    L_0x01d3:
        r21 = new java.util.HashMap;
        r21.<init>();
        r0 = r24;
        r2 = r0.uGd;
        r2 = r2.puc;
        r9 = "share_callback_with_scene";
        r2 = r2.get(r9);
        if (r2 == 0) goto L_0x0214;
    L_0x01e7:
        r0 = r24;
        r2 = r0.uGd;
        r2 = r2.puc;
        r9 = "share_callback_with_scene";
        r2 = r2.get(r9);
        r2 = (java.lang.Boolean) r2;
        r2 = r2.booleanValue();
        if (r2 == 0) goto L_0x0214;
    L_0x01fc:
        r2 = "groupCount";
        r3 = java.lang.Integer.valueOf(r3);
        r0 = r21;
        r0.put(r2, r3);
        r2 = "singleCount";
        r3 = java.lang.Integer.valueOf(r4);
        r0 = r21;
        r0.put(r2, r3);
    L_0x0214:
        r2 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r10);
        if (r2 == 0) goto L_0x0268;
    L_0x021a:
        if (r27 != 0) goto L_0x025e;
    L_0x021c:
        r9 = 0;
    L_0x021d:
        r3 = 0;
        r4 = "";
        r2 = r24;
        r2.a(r3, r4, r5, r6, r7, r8, r9, r10);
        r0 = r24;
        r2 = r0.context;
        if (r2 == 0) goto L_0x0242;
    L_0x022c:
        r0 = r24;
        r2 = r0.context;
        r0 = r24;
        r3 = r0.context;
        r3 = r3.getResources();
        r4 = 2131297050; // 0x7f09031a float:1.8212034E38 double:1.0530006535E-314;
        r3 = r3.getString(r4);
        com.tencent.mm.ui.base.h.bN(r2, r3);
    L_0x0242:
        r2 = 1;
        r3 = 1;
        r0 = r24;
        r0.gB(r2, r3);
        r0 = r24;
        r2 = r0.uGd;
        r3 = "send_app_msg:ok";
        r0 = r24;
        r1 = r21;
        r0.a(r2, r3, r1);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x025e:
        r2 = "custom_send_text";
        r0 = r27;
        r9 = r0.getStringExtra(r2);
        goto L_0x021d;
    L_0x0268:
        r2 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r6);
        if (r2 == 0) goto L_0x029f;
    L_0x026e:
        r3 = 0;
        r4 = "";
        r9 = 0;
        r2 = r24;
        r2.a(r3, r4, r5, r6, r7, r8, r9, r10);
        r0 = r24;
        r2 = r0.context;
        r0 = r24;
        r3 = r0.context;
        r4 = 2131297039; // 0x7f09030f float:1.8212012E38 double:1.053000648E-314;
        r3 = r3.getString(r4);
        com.tencent.mm.ui.base.h.bN(r2, r3);
        r0 = r24;
        r2 = r0.uGd;
        r3 = "send_app_msg:ok";
        r0 = r24;
        r1 = r21;
        r0.a(r2, r3, r1);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x029f:
        r0 = r24;
        r2 = r0.context;
        r0 = r24;
        r3 = r0.context;
        r3 = r3.getResources();
        r4 = 2131297043; // 0x7f090313 float:1.821202E38 double:1.05300065E-314;
        r3 = r3.getString(r4);
        r4 = 1;
        r9 = new com.tencent.mm.plugin.webview.ui.tools.jsapi.g$15;
        r0 = r24;
        r9.<init>(r0, r6);
        r13 = com.tencent.mm.ui.base.h.b(r2, r3, r4, r9);
        r2 = com.tencent.mm.at.o.ahk();
        r11 = new com.tencent.mm.plugin.webview.ui.tools.jsapi.g$16;
        r12 = r24;
        r16 = r5;
        r17 = r6;
        r18 = r7;
        r19 = r8;
        r20 = r10;
        r11.<init>(r12, r13, r14, r15, r16, r17, r18, r19, r20, r21);
        r2.a(r6, r11);
        goto L_0x00ab;
    L_0x02d8:
        r2 = 2;
        r0 = r25;
        if (r0 != r2) goto L_0x037d;
    L_0x02dd:
        switch(r26) {
            case -1: goto L_0x0314;
            case 0: goto L_0x033e;
            case 1: goto L_0x0352;
            default: goto L_0x02e0;
        };
    L_0x02e0:
        r0 = r24;
        r2 = r0.uGd;
        r3 = new java.lang.StringBuilder;
        r4 = "share_weibo:fail_";
        r3.<init>(r4);
        r4 = "err_code";
        r5 = 0;
        r0 = r27;
        r4 = r0.getIntExtra(r4, r5);
        r3 = r3.append(r4);
        r3 = r3.toString();
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = "MicroMsg.MsgHandler";
        r3 = "unknown resultCode";
        com.tencent.mm.sdk.platformtools.ab.e(r2, r3);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0314:
        r0 = r24;
        r2 = r0.context;
        r0 = r24;
        r3 = r0.context;
        r3 = r3.getResources();
        r4 = 2131297050; // 0x7f09031a float:1.8212034E38 double:1.0530006535E-314;
        r3 = r3.getString(r4);
        com.tencent.mm.ui.base.h.bN(r2, r3);
        r0 = r24;
        r2 = r0.uGd;
        r3 = "share_weibo:ok";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x033e:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "share_weibo:cancel";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0352:
        r0 = r24;
        r2 = r0.uGd;
        r3 = new java.lang.StringBuilder;
        r4 = "share_weibo:fail_";
        r3.<init>(r4);
        r4 = "err_code";
        r5 = 0;
        r0 = r27;
        r4 = r0.getIntExtra(r4, r5);
        r3 = r3.append(r4);
        r3 = r3.toString();
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x037d:
        r2 = 3;
        r0 = r25;
        if (r0 != r2) goto L_0x04d6;
    L_0x0382:
        r2 = "MicroMsg.MsgHandler";
        r3 = "get callback address, result code = %d";
        r4 = 1;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = java.lang.Integer.valueOf(r26);
        r4[r5] = r6;
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3, r4);
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x04ac;
    L_0x039a:
        if (r27 == 0) goto L_0x04ac;
    L_0x039c:
        r2 = "nationalCode";
        r0 = r27;
        r2 = r0.getStringExtra(r2);
        r3 = "";
        r2 = com.tencent.mm.sdk.platformtools.bo.bc(r2, r3);
        r3 = "userName";
        r0 = r27;
        r3 = r0.getStringExtra(r3);
        r4 = "";
        r3 = com.tencent.mm.sdk.platformtools.bo.bc(r3, r4);
        r4 = "telNumber";
        r0 = r27;
        r4 = r0.getStringExtra(r4);
        r5 = "";
        r4 = com.tencent.mm.sdk.platformtools.bo.bc(r4, r5);
        r5 = "addressPostalCode";
        r0 = r27;
        r5 = r0.getStringExtra(r5);
        r6 = "";
        r5 = com.tencent.mm.sdk.platformtools.bo.bc(r5, r6);
        r6 = "proviceFirstStageName";
        r0 = r27;
        r6 = r0.getStringExtra(r6);
        r7 = "";
        r6 = com.tencent.mm.sdk.platformtools.bo.bc(r6, r7);
        r7 = "addressCitySecondStageName";
        r0 = r27;
        r7 = r0.getStringExtra(r7);
        r8 = "";
        r7 = com.tencent.mm.sdk.platformtools.bo.bc(r7, r8);
        r8 = "addressCountiesThirdStageName";
        r0 = r27;
        r8 = r0.getStringExtra(r8);
        r9 = "";
        r8 = com.tencent.mm.sdk.platformtools.bo.bc(r8, r9);
        r9 = "addressDetailInfo";
        r0 = r27;
        r9 = r0.getStringExtra(r9);
        r10 = "";
        r9 = com.tencent.mm.sdk.platformtools.bo.bc(r9, r10);
        r10 = "MicroMsg.MsgHandler";
        r11 = new java.lang.StringBuilder;
        r12 = "first =  ";
        r11.<init>(r12);
        r11 = r11.append(r6);
        r12 = " ; detail =";
        r11 = r11.append(r12);
        r11 = r11.append(r9);
        r12 = "; second = ";
        r11 = r11.append(r12);
        r11 = r11.append(r7);
        r12 = " ; tel = ";
        r11 = r11.append(r12);
        r11 = r11.append(r4);
        r12 = "; third = ";
        r11 = r11.append(r12);
        r11 = r11.append(r8);
        r11 = r11.toString();
        com.tencent.mm.sdk.platformtools.ab.i(r10, r11);
        r10 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r3);
        if (r10 != 0) goto L_0x04ac;
    L_0x0464:
        r10 = new java.util.HashMap;
        r10.<init>();
        r11 = "nationalCode";
        r10.put(r11, r2);
        r2 = "userName";
        r10.put(r2, r3);
        r2 = "telNumber";
        r10.put(r2, r4);
        r2 = "addressPostalCode";
        r10.put(r2, r5);
        r2 = "proviceFirstStageName";
        r10.put(r2, r6);
        r2 = "addressCitySecondStageName";
        r10.put(r2, r7);
        r2 = "addressCountiesThirdStageName";
        r10.put(r2, r8);
        r2 = "addressDetailInfo";
        r10.put(r2, r9);
        r0 = r24;
        r2 = r0.uGd;
        r3 = "edit_address:ok";
        r0 = r24;
        r0.a(r2, r3, r10);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x04ac:
        if (r26 != 0) goto L_0x04c2;
    L_0x04ae:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "edit_address:cancel";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x04c2:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "edit_address:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x04d6:
        r2 = 4;
        r0 = r25;
        if (r0 != r2) goto L_0x0660;
    L_0x04db:
        r2 = "MicroMsg.MsgHandler";
        r3 = "request pay, resultCode = ";
        r4 = java.lang.String.valueOf(r26);
        r3 = r3.concat(r4);
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3);
        r0 = r24;
        r2 = r0.uGz;
        r3 = -1;
        if (r2 == r3) goto L_0x0528;
    L_0x04f3:
        r0 = r24;
        r2 = r0.uGz;
        r0 = r24;
        r2 = r0.JN(r2);
        if (r2 == 0) goto L_0x0528;
    L_0x04ff:
        r2 = "MicroMsg.MsgHandler";
        r3 = "hy: has blocked ";
        com.tencent.mm.sdk.platformtools.ab.d(r2, r3);
        r0 = r24;
        r2 = r0.uGz;
        r0 = r24;
        r2 = r0.JN(r2);
        r2 = r2.uGd;
        r0 = r24;
        r0.uGd = r2;
        r0 = r24;
        r2 = r0.uGz;
        r0 = r24;
        r2 = r0.JN(r2);
        r2 = r2.umI;
        r0 = r24;
        r0.umI = r2;
    L_0x0528:
        r2 = -1;
        r0 = r24;
        r0.uGz = r2;
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x05c8;
    L_0x0532:
        r3 = new java.util.HashMap;
        r3.<init>();
        if (r27 == 0) goto L_0x059a;
    L_0x0539:
        r2 = "key_jsapi_close_page_after_pay";
        r4 = 0;
        r0 = r27;
        r2 = r0.getIntExtra(r2, r4);
        r4 = "MicroMsg.MsgHandler";
        r5 = "closePage: %s";
        r6 = 1;
        r6 = new java.lang.Object[r6];
        r7 = 0;
        r8 = java.lang.Integer.valueOf(r2);
        r6[r7] = r8;
        com.tencent.mm.sdk.platformtools.ab.i(r4, r5, r6);
        r4 = 1;
        if (r2 != r4) goto L_0x0585;
    L_0x0559:
        r0 = r24;
        r2 = r0.context;	 Catch:{ Exception -> 0x05ad }
        if (r2 == 0) goto L_0x0570;
    L_0x055f:
        r0 = r24;
        r2 = r0.context;	 Catch:{ Exception -> 0x05ad }
        r2 = r2 instanceof android.app.Activity;	 Catch:{ Exception -> 0x05ad }
        if (r2 == 0) goto L_0x0570;
    L_0x0567:
        r0 = r24;
        r2 = r0.context;	 Catch:{ Exception -> 0x05ad }
        r2 = (android.app.Activity) r2;	 Catch:{ Exception -> 0x05ad }
        r2.finish();	 Catch:{ Exception -> 0x05ad }
    L_0x0570:
        r0 = r24;
        r2 = r0.umI;	 Catch:{ Exception -> 0x05ad }
        if (r2 == 0) goto L_0x0585;
    L_0x0576:
        r0 = r24;
        r2 = r0.umI;	 Catch:{ Exception -> 0x05ad }
        r2.cZb();	 Catch:{ Exception -> 0x05ad }
        r0 = r24;
        r2 = r0.umI;	 Catch:{ Exception -> 0x05ad }
        r4 = 0;
        r2.W(r4);	 Catch:{ Exception -> 0x05ad }
    L_0x0585:
        r2 = "key_is_clear_failure";
        r4 = -1;
        r0 = r27;
        r2 = r0.getIntExtra(r2, r4);
        if (r2 != 0) goto L_0x05bb;
    L_0x0591:
        r2 = "pay_status";
        r4 = "pending";
        r3.put(r2, r4);
    L_0x059a:
        r0 = r24;
        r2 = r0.uGd;
        r4 = "get_brand_wcpay_request:ok";
        r0 = r24;
        r0.a(r2, r4, r3);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x05ad:
        r2 = move-exception;
        r4 = "MicroMsg.MsgHandler";
        r5 = "";
        r6 = 0;
        r6 = new java.lang.Object[r6];
        com.tencent.mm.sdk.platformtools.ab.printErrStackTrace(r4, r2, r5, r6);
        goto L_0x0585;
    L_0x05bb:
        r4 = 1;
        if (r2 != r4) goto L_0x059a;
    L_0x05be:
        r2 = "pay_status";
        r4 = "fail";
        r3.put(r2, r4);
        goto L_0x059a;
    L_0x05c8:
        r2 = 5;
        r0 = r26;
        if (r0 != r2) goto L_0x0624;
    L_0x05cd:
        r2 = new java.util.HashMap;
        r2.<init>();
        if (r27 == 0) goto L_0x0611;
    L_0x05d4:
        r3 = "key_jsapi_pay_err_code";
        r4 = 0;
        r0 = r27;
        r3 = r0.getIntExtra(r3, r4);
        r4 = "key_jsapi_pay_err_msg";
        r0 = r27;
        r4 = r0.getStringExtra(r4);
        r4 = com.tencent.mm.sdk.platformtools.bo.nullAsNil(r4);
        r5 = "err_code";
        r6 = java.lang.Integer.valueOf(r3);
        r2.put(r5, r6);
        r5 = "err_desc";
        r2.put(r5, r4);
        r5 = "MicroMsg.MsgHandler";
        r6 = "hy: pay jsapi failed. errCode: %d, errMsg: %s";
        r7 = 2;
        r7 = new java.lang.Object[r7];
        r8 = 0;
        r3 = java.lang.Integer.valueOf(r3);
        r7[r8] = r3;
        r3 = 1;
        r7[r3] = r4;
        com.tencent.mm.sdk.platformtools.ab.e(r5, r6, r7);
    L_0x0611:
        r0 = r24;
        r3 = r0.uGd;
        r4 = "get_brand_wcpay_request:fail";
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0624:
        r2 = new java.util.HashMap;
        r2.<init>();
        if (r27 == 0) goto L_0x0640;
    L_0x062b:
        r3 = "key_is_clear_failure";
        r4 = -1;
        r0 = r27;
        r3 = r0.getIntExtra(r3, r4);
        if (r3 != 0) goto L_0x0653;
    L_0x0637:
        r3 = "pay_status";
        r4 = "pending";
        r2.put(r3, r4);
    L_0x0640:
        r0 = r24;
        r3 = r0.uGd;
        r4 = "get_brand_wcpay_request:cancel";
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0653:
        r4 = 1;
        if (r3 != r4) goto L_0x0640;
    L_0x0656:
        r3 = "pay_status";
        r4 = "fail";
        r2.put(r3, r4);
        goto L_0x0640;
    L_0x0660:
        r2 = 27;
        r0 = r25;
        if (r0 != r2) goto L_0x0720;
    L_0x0666:
        r2 = "MicroMsg.MsgHandler";
        r3 = "request ibg prepay request, resultCode = ";
        r4 = java.lang.String.valueOf(r26);
        r3 = r3.concat(r4);
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3);
        r0 = r24;
        r2 = r0.uGz;
        r3 = -1;
        if (r2 == r3) goto L_0x06ac;
    L_0x067e:
        r2 = "MicroMsg.MsgHandler";
        r3 = "hy: has blocked ";
        com.tencent.mm.sdk.platformtools.ab.d(r2, r3);
        r0 = r24;
        r2 = r0.uGz;
        r0 = r24;
        r2 = r0.JN(r2);
        r2 = r2.uGd;
        r0 = r24;
        r0.uGd = r2;
        r0 = r24;
        r2 = r0.uGz;
        r0 = r24;
        r2 = r0.JN(r2);
        r2 = r2.umI;
        r0 = r24;
        r0.umI = r2;
        r2 = -1;
        r0 = r24;
        r0.uGz = r2;
    L_0x06ac:
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x070c;
    L_0x06b1:
        if (r27 == 0) goto L_0x06e3;
    L_0x06b3:
        r2 = "url";
        r0 = r27;
        r2 = r0.hasExtra(r2);
        if (r2 == 0) goto L_0x06e3;
    L_0x06be:
        r2 = 0;
        r3 = "view_port_code";
        r0 = r27;
        r3 = r0.hasExtra(r3);
        if (r3 == 0) goto L_0x06d3;
    L_0x06ca:
        r2 = "view_port_code";
        r0 = r27;
        r2 = r0.getStringExtra(r2);
    L_0x06d3:
        r0 = r24;
        r3 = r0.umI;	 Catch:{ RemoteException -> 0x06f7 }
        r4 = "url";
        r0 = r27;
        r4 = r0.getStringExtra(r4);	 Catch:{ RemoteException -> 0x06f7 }
        r3.he(r4, r2);	 Catch:{ RemoteException -> 0x06f7 }
    L_0x06e3:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "get_h5_prepay_request:ok";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x06f7:
        r2 = move-exception;
        r3 = "MicroMsg.MsgHandler";
        r4 = "loadUrl ex: %s";
        r5 = 1;
        r5 = new java.lang.Object[r5];
        r6 = 0;
        r2 = r2.getMessage();
        r5[r6] = r2;
        com.tencent.mm.sdk.platformtools.ab.e(r3, r4, r5);
        goto L_0x06e3;
    L_0x070c:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "get_h5_prepay_request:cancel";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0720:
        r2 = 5;
        r0 = r25;
        if (r0 != r2) goto L_0x0763;
    L_0x0725:
        r2 = "MicroMsg.MsgHandler";
        r3 = "request jump to mall, resultCode = ";
        r4 = java.lang.String.valueOf(r26);
        r3 = r3.concat(r4);
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3);
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x074f;
    L_0x073b:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "jump_wcmall:ok";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x074f:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "jump_wcmall:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0763:
        r2 = 6;
        r0 = r25;
        if (r0 != r2) goto L_0x07a6;
    L_0x0768:
        r2 = "MicroMsg.MsgHandler";
        r3 = "request jump to product view, resultCode = ";
        r4 = java.lang.String.valueOf(r26);
        r3 = r3.concat(r4);
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3);
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x0792;
    L_0x077e:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "open_product_view:ok";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0792:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "open_product_view:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x07a6:
        r2 = 7;
        r0 = r25;
        if (r0 != r2) goto L_0x0820;
    L_0x07ab:
        r2 = "MicroMsg.MsgHandler";
        r3 = "request bind card, resultCode = ";
        r4 = java.lang.String.valueOf(r26);
        r3 = r3.concat(r4);
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3);
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x07f5;
    L_0x07c1:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "get_brand_wcpay_bind_card_request:ok";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = com.tencent.mm.plugin.report.service.h.pYm;
        r3 = 14954; // 0x3a6a float:2.0955E-41 double:7.3883E-320;
        r4 = 2;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = com.tencent.mm.pluginsdk.wallet.f.dlI();
        r4[r5] = r6;
        r5 = 1;
        r6 = "get_brand_wcpay_bind_card_request:ok";
        r4[r5] = r6;
        r2.e(r3, r4);
    L_0x07e5:
        r2 = com.tencent.mm.pluginsdk.wallet.f.dlH();
        if (r2 != 0) goto L_0x2d4e;
    L_0x07eb:
        com.tencent.mm.pluginsdk.wallet.f.dlJ();
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x07f5:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "get_brand_wcpay_bind_card_request:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = com.tencent.mm.pluginsdk.wallet.f.dlH();
        if (r2 != 0) goto L_0x07e5;
    L_0x0808:
        r2 = com.tencent.mm.plugin.report.service.h.pYm;
        r3 = 14954; // 0x3a6a float:2.0955E-41 double:7.3883E-320;
        r4 = 2;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = com.tencent.mm.pluginsdk.wallet.f.dlI();
        r4[r5] = r6;
        r5 = 1;
        r6 = "get_brand_wcpay_bind_card_request:fail";
        r4[r5] = r6;
        r2.e(r3, r4);
        goto L_0x07e5;
    L_0x0820:
        r2 = 9;
        r0 = r25;
        if (r0 != r2) goto L_0x0864;
    L_0x0826:
        r2 = "MicroMsg.MsgHandler";
        r3 = "request open wxcredit, resultCode = ";
        r4 = java.lang.String.valueOf(r26);
        r3 = r3.concat(r4);
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3);
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x0850;
    L_0x083c:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "get_wcpay_create_credit_card_request:ok";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0850:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "get_wcpay_create_credit_card_request:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0864:
        r2 = 8;
        r0 = r25;
        if (r0 != r2) goto L_0x08d7;
    L_0x086a:
        r2 = "MicroMsg.MsgHandler";
        r3 = "request jumpToBizProfile, resultCode = ";
        r4 = java.lang.String.valueOf(r26);
        r3 = r3.concat(r4);
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3);
        switch(r26) {
            case -1: goto L_0x089b;
            case 0: goto L_0x08af;
            case 1: goto L_0x087e;
            case 2: goto L_0x08c3;
            case 3: goto L_0x08c3;
            default: goto L_0x087e;
        };
    L_0x087e:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "jump_to_biz_profile:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = "MicroMsg.MsgHandler";
        r3 = "unknown resultCode";
        com.tencent.mm.sdk.platformtools.ab.e(r2, r3);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x089b:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "jump_to_biz_profile:ok";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x08af:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "jump_to_biz_profile:cancel";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x08c3:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "jump_to_biz_profile:check_fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x08d7:
        r2 = 10;
        r0 = r25;
        if (r0 != r2) goto L_0x08fc;
    L_0x08dd:
        if (r26 != 0) goto L_0x2d4e;
    L_0x08df:
        r2 = "MicroMsg.MsgHandler";
        r3 = "open scan product ui back";
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3);
        r0 = r24;
        r2 = r0.uGd;
        r3 = "open_scan_product_view:ok";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x08fc:
        r2 = 11;
        r0 = r25;
        if (r0 != r2) goto L_0x0977;
    L_0x0902:
        r2 = "MicroMsg.MsgHandler";
        r3 = "request transfer_money, resultCode = ";
        r4 = java.lang.String.valueOf(r26);
        r3 = r3.concat(r4);
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3);
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x094c;
    L_0x0918:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "get_transfer_money_request:ok";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = com.tencent.mm.plugin.report.service.h.pYm;
        r3 = 14954; // 0x3a6a float:2.0955E-41 double:7.3883E-320;
        r4 = 2;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = com.tencent.mm.pluginsdk.wallet.f.dlI();
        r4[r5] = r6;
        r5 = 1;
        r6 = "get_transfer_money_request:ok";
        r4[r5] = r6;
        r2.e(r3, r4);
    L_0x093c:
        r2 = com.tencent.mm.pluginsdk.wallet.f.dlH();
        if (r2 != 0) goto L_0x2d4e;
    L_0x0942:
        com.tencent.mm.pluginsdk.wallet.f.dlJ();
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x094c:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "get_transfer_money_request:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = com.tencent.mm.pluginsdk.wallet.f.dlH();
        if (r2 != 0) goto L_0x093c;
    L_0x095f:
        r2 = com.tencent.mm.plugin.report.service.h.pYm;
        r3 = 14954; // 0x3a6a float:2.0955E-41 double:7.3883E-320;
        r4 = 2;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = com.tencent.mm.pluginsdk.wallet.f.dlI();
        r4[r5] = r6;
        r5 = 1;
        r6 = "get_transfer_money_request:fail";
        r4[r5] = r6;
        r2.e(r3, r4);
        goto L_0x093c;
    L_0x0977:
        r2 = 17;
        r0 = r25;
        if (r0 != r2) goto L_0x0a33;
    L_0x097d:
        r2 = "MicroMsg.MsgHandler";
        r3 = "request open_wcpay_specific_view, resultCode = ";
        r4 = java.lang.String.valueOf(r26);
        r3 = r3.concat(r4);
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3);
        if (r27 == 0) goto L_0x09ba;
    L_0x0990:
        r2 = "closeWebView";
        r0 = r27;
        r2 = r0.getStringExtra(r2);
        r3 = "1";
        r2 = r3.equals(r2);
        if (r2 == 0) goto L_0x09ba;
    L_0x09a2:
        r2 = "MicroMsg.MsgHandler";
        r3 = "close web view";
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3);
        r0 = r24;
        r2 = r0.umI;	 Catch:{ RemoteException -> 0x09f3 }
        r2.cZb();	 Catch:{ RemoteException -> 0x09f3 }
        r0 = r24;
        r2 = r0.umI;	 Catch:{ RemoteException -> 0x09f3 }
        r3 = 0;
        r2.W(r3);	 Catch:{ RemoteException -> 0x09f3 }
    L_0x09ba:
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x0a08;
    L_0x09bf:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "open_wcpay_specific_view:ok";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = com.tencent.mm.plugin.report.service.h.pYm;
        r3 = 14954; // 0x3a6a float:2.0955E-41 double:7.3883E-320;
        r4 = 2;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = com.tencent.mm.pluginsdk.wallet.f.dlI();
        r4[r5] = r6;
        r5 = 1;
        r6 = "open_wcpay_specific_view:ok";
        r4[r5] = r6;
        r2.e(r3, r4);
    L_0x09e3:
        r2 = com.tencent.mm.pluginsdk.wallet.f.dlH();
        if (r2 != 0) goto L_0x2d4e;
    L_0x09e9:
        com.tencent.mm.pluginsdk.wallet.f.dlJ();
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x09f3:
        r2 = move-exception;
        r3 = "MicroMsg.MsgHandler";
        r4 = "REQUEST_OPEN_WCPAY_SPECIFIC_VIEW ex: %s";
        r5 = 1;
        r5 = new java.lang.Object[r5];
        r6 = 0;
        r2 = r2.getMessage();
        r5[r6] = r2;
        com.tencent.mm.sdk.platformtools.ab.e(r3, r4, r5);
        goto L_0x09ba;
    L_0x0a08:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "open_wcpay_specific_view:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = com.tencent.mm.pluginsdk.wallet.f.dlH();
        if (r2 != 0) goto L_0x09e3;
    L_0x0a1b:
        r2 = com.tencent.mm.plugin.report.service.h.pYm;
        r3 = 14954; // 0x3a6a float:2.0955E-41 double:7.3883E-320;
        r4 = 2;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = com.tencent.mm.pluginsdk.wallet.f.dlI();
        r4[r5] = r6;
        r5 = 1;
        r6 = "open_wcpay_specific_view:fail";
        r4[r5] = r6;
        r2.e(r3, r4);
        goto L_0x09e3;
    L_0x0a33:
        r2 = 18;
        r0 = r25;
        if (r0 != r2) goto L_0x0ad5;
    L_0x0a39:
        r2 = "MicroMsg.MsgHandler";
        r3 = "request request_wcpay_send_c2c_msg, resultCode = ";
        r4 = java.lang.String.valueOf(r26);
        r3 = r3.concat(r4);
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3);
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x0a83;
    L_0x0a4f:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "get_send_c2c_message_request:ok";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = com.tencent.mm.plugin.report.service.h.pYm;
        r3 = 14954; // 0x3a6a float:2.0955E-41 double:7.3883E-320;
        r4 = 2;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = com.tencent.mm.pluginsdk.wallet.f.dlI();
        r4[r5] = r6;
        r5 = 1;
        r6 = "get_send_c2c_message_request:ok";
        r4[r5] = r6;
        r2.e(r3, r4);
    L_0x0a73:
        r2 = com.tencent.mm.pluginsdk.wallet.f.dlH();
        if (r2 != 0) goto L_0x2d4e;
    L_0x0a79:
        com.tencent.mm.pluginsdk.wallet.f.dlJ();
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0a83:
        if (r26 != 0) goto L_0x0aaa;
    L_0x0a85:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "get_send_c2c_message_request:cancel";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = com.tencent.mm.plugin.report.service.h.pYm;
        r3 = 14954; // 0x3a6a float:2.0955E-41 double:7.3883E-320;
        r4 = 2;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = com.tencent.mm.pluginsdk.wallet.f.dlI();
        r4[r5] = r6;
        r5 = 1;
        r6 = "get_send_c2c_message_request:cancel";
        r4[r5] = r6;
        r2.e(r3, r4);
        goto L_0x0a73;
    L_0x0aaa:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "get_send_c2c_message_request:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = com.tencent.mm.pluginsdk.wallet.f.dlH();
        if (r2 != 0) goto L_0x0a73;
    L_0x0abd:
        r2 = com.tencent.mm.plugin.report.service.h.pYm;
        r3 = 14954; // 0x3a6a float:2.0955E-41 double:7.3883E-320;
        r4 = 2;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = com.tencent.mm.pluginsdk.wallet.f.dlI();
        r4[r5] = r6;
        r5 = 1;
        r6 = "get_send_c2c_message_request:fail";
        r4[r5] = r6;
        r2.e(r3, r4);
        goto L_0x0a73;
    L_0x0ad5:
        r2 = 13;
        r0 = r25;
        if (r0 != r2) goto L_0x0b49;
    L_0x0adb:
        r2 = "MicroMsg.MsgHandler";
        r3 = "request choose card, resultCode = ";
        r4 = java.lang.String.valueOf(r26);
        r3 = r3.concat(r4);
        com.tencent.mm.sdk.platformtools.ab.d(r2, r3);
        r2 = new java.util.HashMap;
        r2.<init>();
        r3 = -1;
        r0 = r26;
        if (r0 != r3) goto L_0x0b21;
    L_0x0af6:
        if (r27 == 0) goto L_0x0b0e;
    L_0x0af8:
        r3 = "choose_card_info";
        r0 = r27;
        r3 = r0.getStringExtra(r3);
        r4 = "";
        r3 = com.tencent.mm.sdk.platformtools.bo.bc(r3, r4);
        r4 = "choose_card_info";
        r2.put(r4, r3);
    L_0x0b0e:
        r0 = r24;
        r3 = r0.uGd;
        r4 = "choose_card:ok";
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0b21:
        if (r26 != 0) goto L_0x0b36;
    L_0x0b23:
        r0 = r24;
        r3 = r0.uGd;
        r4 = "choose_card:cancel";
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0b36:
        r0 = r24;
        r3 = r0.uGd;
        r4 = "choose_card:fail";
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0b49:
        r2 = 36;
        r0 = r25;
        if (r0 != r2) goto L_0x0bbd;
    L_0x0b4f:
        r2 = "MicroMsg.MsgHandler";
        r3 = "request choose invoice, resultCode = ";
        r4 = java.lang.String.valueOf(r26);
        r3 = r3.concat(r4);
        com.tencent.mm.sdk.platformtools.ab.d(r2, r3);
        r2 = new java.util.HashMap;
        r2.<init>();
        r3 = -1;
        r0 = r26;
        if (r0 != r3) goto L_0x0b95;
    L_0x0b6a:
        if (r27 == 0) goto L_0x0b82;
    L_0x0b6c:
        r3 = "choose_invoice_info";
        r0 = r27;
        r3 = r0.getStringExtra(r3);
        r4 = "";
        r3 = com.tencent.mm.sdk.platformtools.bo.bc(r3, r4);
        r4 = "choose_invoice_info";
        r2.put(r4, r3);
    L_0x0b82:
        r0 = r24;
        r3 = r0.uGd;
        r4 = "choose_invoice:ok";
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0b95:
        if (r26 != 0) goto L_0x0baa;
    L_0x0b97:
        r0 = r24;
        r3 = r0.uGd;
        r4 = "choose_invoice:cancel";
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0baa:
        r0 = r24;
        r3 = r0.uGd;
        r4 = "choose_invoice:fail";
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0bbd:
        r2 = 16;
        r0 = r25;
        if (r0 != r2) goto L_0x0c3f;
    L_0x0bc3:
        r2 = "MicroMsg.MsgHandler";
        r3 = "request batch add card, resultCode = ";
        r4 = java.lang.String.valueOf(r26);
        r3 = r3.concat(r4);
        com.tencent.mm.sdk.platformtools.ab.d(r2, r3);
        r3 = new java.util.HashMap;
        r3.<init>();
        if (r27 == 0) goto L_0x0bf1;
    L_0x0bdb:
        r2 = "card_list";
        r0 = r27;
        r2 = r0.getStringExtra(r2);
        r4 = "";
        r2 = com.tencent.mm.sdk.platformtools.bo.bc(r2, r4);
        r4 = "card_list";
        r3.put(r4, r2);
    L_0x0bf1:
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x0c09;
    L_0x0bf6:
        r0 = r24;
        r2 = r0.uGd;
        r4 = "batch_add_card:ok";
        r0 = r24;
        r0.a(r2, r4, r3);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0c09:
        r2 = 2;
        if (r27 == 0) goto L_0x0c16;
    L_0x0c0c:
        r2 = "result_code";
        r4 = 2;
        r0 = r27;
        r2 = r0.getIntExtra(r2, r4);
    L_0x0c16:
        r4 = 2;
        if (r2 != r4) goto L_0x0c2c;
    L_0x0c19:
        r0 = r24;
        r2 = r0.uGd;
        r4 = "batch_add_card:fail";
        r0 = r24;
        r0.a(r2, r4, r3);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0c2c:
        r0 = r24;
        r2 = r0.uGd;
        r4 = "batch_add_card:cancel";
        r0 = r24;
        r0.a(r2, r4, r3);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0c3f:
        r2 = 23;
        r0 = r25;
        if (r0 != r2) goto L_0x0c72;
    L_0x0c45:
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x0c5e;
    L_0x0c4a:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "batch_view_card:ok";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0c5e:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "batch_view_card:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0c72:
        r2 = 15;
        r0 = r25;
        if (r0 != r2) goto L_0x0d19;
    L_0x0c78:
        r0 = r24;
        r2 = r0.uGd;
        if (r2 == 0) goto L_0x0c8a;
    L_0x0c7e:
        r0 = r24;
        r2 = r0.uGd;
        r2 = r2.uIJ;
        r2 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r2);
        if (r2 == 0) goto L_0x0c9a;
    L_0x0c8a:
        r2 = "MicroMsg.MsgHandler";
        r3 = "msg is null";
        com.tencent.mm.sdk.platformtools.ab.e(r2, r3);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0c9a:
        r2 = "MicroMsg.MsgHandler";
        r3 = "request to scan qr code, result code = %d, function is %s";
        r4 = 2;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = java.lang.Integer.valueOf(r26);
        r4[r5] = r6;
        r5 = 1;
        r0 = r24;
        r6 = r0.uGd;
        r6 = r6.uIJ;
        r4[r5] = r6;
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3, r4);
        r0 = r24;
        r2 = r0.uGd;
        r2 = r2.uIJ;
        r3 = "scanQRCode";
        r2 = r2.equals(r3);
        if (r2 == 0) goto L_0x2d4e;
    L_0x0cc5:
        switch(r26) {
            case -1: goto L_0x0cdc;
            case 0: goto L_0x0d05;
            default: goto L_0x0cc8;
        };
    L_0x0cc8:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "scanQRCode:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0cdc:
        r2 = new java.util.HashMap;
        r2.<init>();
        if (r27 == 0) goto L_0x0cf2;
    L_0x0ce3:
        r3 = "resultStr";
        r4 = "key_scan_result";
        r0 = r27;
        r4 = r0.getStringExtra(r4);
        r2.put(r3, r4);
    L_0x0cf2:
        r0 = r24;
        r3 = r0.uGd;
        r4 = "scanQRCode:ok";
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0d05:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "scanQRCode:cancel";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0d19:
        r2 = 14;
        r0 = r25;
        if (r0 != r2) goto L_0x0dc7;
    L_0x0d1f:
        if (r27 != 0) goto L_0x0d61;
    L_0x0d21:
        r2 = 0;
    L_0x0d22:
        r3 = "MicroMsg.MsgHandler";
        r4 = "request to open file chooser, result code = %d, hasShowMemoryWarning = %b";
        r5 = 2;
        r5 = new java.lang.Object[r5];
        r6 = 0;
        r7 = java.lang.Integer.valueOf(r26);
        r5[r6] = r7;
        r6 = 1;
        r7 = java.lang.Boolean.valueOf(r2);
        r5[r6] = r7;
        com.tencent.mm.sdk.platformtools.ab.i(r3, r4, r5);
        r3 = new java.util.HashMap;
        r3.<init>();
        if (r2 == 0) goto L_0x0d4b;
    L_0x0d43:
        r2 = "memoryWarning";
        r4 = java.lang.Boolean.TRUE;
        r3.put(r2, r4);
    L_0x0d4b:
        switch(r26) {
            case -1: goto L_0x0d6c;
            case 0: goto L_0x0db4;
            default: goto L_0x0d4e;
        };
    L_0x0d4e:
        r0 = r24;
        r2 = r0.uGd;
        r4 = "chooseImage:fail";
        r0 = r24;
        r0.a(r2, r4, r3);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0d61:
        r2 = "key_pick_local_media_show_memory_warning";
        r3 = 0;
        r0 = r27;
        r2 = r0.getBooleanExtra(r2, r3);
        goto L_0x0d22;
    L_0x0d6c:
        r2 = "key_pick_local_pic_callback_local_ids";
        r0 = r27;
        r2 = r0.getStringExtra(r2);
        r4 = "MicroMsg.MsgHandler";
        r5 = "localIds = %s";
        r6 = 1;
        r6 = new java.lang.Object[r6];
        r7 = 0;
        r6[r7] = r2;
        com.tencent.mm.sdk.platformtools.ab.i(r4, r5, r6);
        r4 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r2);
        if (r4 != 0) goto L_0x0d4e;
    L_0x0d8a:
        r4 = "localIds";
        r3.put(r4, r2);
        r2 = "key_pick_local_pic_source_type";
        r0 = r27;
        r2 = r0.getStringExtra(r2);
        if (r2 == 0) goto L_0x0da1;
    L_0x0d9b:
        r4 = "sourceType";
        r3.put(r4, r2);
    L_0x0da1:
        r0 = r24;
        r2 = r0.uGd;
        r4 = "chooseImage:ok";
        r0 = r24;
        r0.a(r2, r4, r3);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0db4:
        r0 = r24;
        r2 = r0.uGd;
        r4 = "chooseImage:cancel";
        r0 = r24;
        r0.a(r2, r4, r3);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0dc7:
        r2 = 32;
        r0 = r25;
        if (r0 != r2) goto L_0x0e79;
    L_0x0dcd:
        switch(r26) {
            case -1: goto L_0x0df8;
            case 0: goto L_0x0de4;
            default: goto L_0x0dd0;
        };
    L_0x0dd0:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "chooseVideo:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0de4:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "chooseVideo:cancel";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0df8:
        r2 = "key_pick_local_media_local_id";
        r0 = r27;
        r3 = r0.getStringExtra(r2);
        r2 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r3);
        if (r2 != 0) goto L_0x0e65;
    L_0x0e07:
        r2 = com.tencent.mm.plugin.webview.modeltools.g.cYF();
        r2 = r2.aex(r3);
        if (r2 == 0) goto L_0x0e65;
    L_0x0e11:
        r4 = r2 instanceof com.tencent.mm.plugin.webview.model.WebViewJSSDKVideoItem;
        if (r4 == 0) goto L_0x0e65;
    L_0x0e15:
        r2 = (com.tencent.mm.plugin.webview.model.WebViewJSSDKVideoItem) r2;
        r4 = new java.util.HashMap;
        r4.<init>();
        r5 = "localId";
        r4.put(r5, r3);
        r3 = "duration";
        r5 = r2.duration;
        r5 = java.lang.Integer.valueOf(r5);
        r4.put(r3, r5);
        r3 = "height";
        r5 = r2.height;
        r5 = java.lang.Integer.valueOf(r5);
        r4.put(r3, r5);
        r3 = "size";
        r5 = r2.size;
        r5 = java.lang.Integer.valueOf(r5);
        r4.put(r3, r5);
        r3 = "width";
        r2 = r2.width;
        r2 = java.lang.Integer.valueOf(r2);
        r4.put(r3, r2);
        r0 = r24;
        r2 = r0.uGd;
        r3 = "chooseVideo:ok";
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0e65:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "chooseVideo:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0e79:
        r2 = 45;
        r0 = r25;
        if (r0 != r2) goto L_0x0f58;
    L_0x0e7f:
        switch(r26) {
            case -1: goto L_0x0eaa;
            case 0: goto L_0x0e96;
            default: goto L_0x0e82;
        };
    L_0x0e82:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "recordVideo:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0e96:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "recordVideo:cancel";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0eaa:
        r2 = "key_pick_local_media_local_id";
        r0 = r27;
        r3 = r0.getStringExtra(r2);
        r2 = "key_pick_local_media_thumb_local_id";
        r0 = r27;
        r4 = r0.getStringExtra(r2);
        r2 = "MicroMsg.MsgHandler";
        r5 = "localId:%s";
        r6 = 1;
        r6 = new java.lang.Object[r6];
        r7 = 0;
        r6[r7] = r3;
        com.tencent.mm.sdk.platformtools.ab.i(r2, r5, r6);
        r2 = "MicroMsg.MsgHandler";
        r5 = "thumbLocalId:%s";
        r6 = 1;
        r6 = new java.lang.Object[r6];
        r7 = 0;
        r6[r7] = r4;
        com.tencent.mm.sdk.platformtools.ab.i(r2, r5, r6);
        r2 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r3);
        if (r2 != 0) goto L_0x0f44;
    L_0x0ee0:
        r2 = com.tencent.mm.plugin.webview.modeltools.g.cYF();
        r2 = r2.aex(r3);
        if (r2 == 0) goto L_0x0f44;
    L_0x0eea:
        r5 = r2 instanceof com.tencent.mm.plugin.webview.model.WebViewJSSDKVideoItem;
        if (r5 == 0) goto L_0x0f44;
    L_0x0eee:
        r2 = (com.tencent.mm.plugin.webview.model.WebViewJSSDKVideoItem) r2;
        r5 = new java.util.HashMap;
        r5.<init>();
        r6 = "localId";
        r5.put(r6, r3);
        r3 = "duration";
        r6 = r2.duration;
        r6 = java.lang.Integer.valueOf(r6);
        r5.put(r3, r6);
        r3 = "height";
        r6 = r2.height;
        r6 = java.lang.Integer.valueOf(r6);
        r5.put(r3, r6);
        r3 = "size";
        r6 = r2.size;
        r6 = java.lang.Integer.valueOf(r6);
        r5.put(r3, r6);
        r3 = "width";
        r2 = r2.width;
        r2 = java.lang.Integer.valueOf(r2);
        r5.put(r3, r2);
        r2 = "thumbLocalId";
        r5.put(r2, r4);
        r0 = r24;
        r2 = r0.uGd;
        r3 = "recordVideo:ok";
        r0 = r24;
        r0.a(r2, r3, r5);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0f44:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "recordVideo:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0f58:
        r2 = 47;
        r0 = r25;
        if (r0 != r2) goto L_0x1108;
    L_0x0f5e:
        switch(r26) {
            case -1: goto L_0x0f89;
            case 0: goto L_0x0f75;
            default: goto L_0x0f61;
        };
    L_0x0f61:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "chooseMedia:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0f75:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "chooseMedia:cancel";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0f89:
        if (r27 != 0) goto L_0x0fa8;
    L_0x0f8b:
        r2 = "MicroMsg.MsgHandler";
        r3 = "mmOnActivityResult REQUEST_CHOOSE_MEDIA data is null,";
        com.tencent.mm.sdk.platformtools.ab.e(r2, r3);
        r0 = r24;
        r2 = r0.uGd;
        r3 = "chooseMedia:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x0fa8:
        r2 = "key_pick_local_media_callback_type";
        r3 = 0;
        r0 = r27;
        r2 = r0.getIntExtra(r2, r3);
        r3 = 1;
        if (r2 != r3) goto L_0x107a;
    L_0x0fb5:
        r2 = "key_pick_local_media_local_id";
        r0 = r27;
        r2 = r0.getStringExtra(r2);
        r3 = "key_pick_local_media_thumb_local_id";
        r0 = r27;
        r3 = r0.getStringExtra(r3);
        r4 = "MicroMsg.MsgHandler";
        r5 = "video localId:%s";
        r6 = 1;
        r6 = new java.lang.Object[r6];
        r7 = 0;
        r6[r7] = r2;
        com.tencent.mm.sdk.platformtools.ab.i(r4, r5, r6);
        r4 = "MicroMsg.MsgHandler";
        r5 = "video thumbLocalId:%s";
        r6 = 1;
        r6 = new java.lang.Object[r6];
        r7 = 0;
        r6[r7] = r3;
        com.tencent.mm.sdk.platformtools.ab.i(r4, r5, r6);
        r4 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r2);
        if (r4 == 0) goto L_0x1008;
    L_0x0feb:
        r2 = "MicroMsg.MsgHandler";
        r3 = "mmOnActivityResult REQUEST_CHOOSE_MEDIA video localId is null";
        com.tencent.mm.sdk.platformtools.ab.e(r2, r3);
        r0 = r24;
        r2 = r0.uGd;
        r3 = "chooseMedia:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x1008:
        r4 = com.tencent.mm.plugin.webview.modeltools.g.cYF();
        r4 = r4.aex(r2);
        if (r4 == 0) goto L_0x105d;
    L_0x1012:
        r5 = r4 instanceof com.tencent.mm.plugin.webview.model.WebViewJSSDKVideoItem;
        if (r5 == 0) goto L_0x105d;
    L_0x1016:
        r7 = r4;
        r7 = (com.tencent.mm.plugin.webview.model.WebViewJSSDKVideoItem) r7;
        r4 = r7.duration;
        r5 = r7.height;
        r6 = r7.width;
        r7 = r7.size;
        r2 = com.tencent.mm.plugin.webview.model.ap.c(r2, r3, r4, r5, r6, r7);
        r3 = "MicroMsg.MsgHandler";
        r4 = "after parse to json data : %s";
        r5 = 1;
        r5 = new java.lang.Object[r5];
        r6 = 0;
        r5[r6] = r2;
        com.tencent.mm.sdk.platformtools.ab.i(r3, r4, r5);
        r3 = new java.util.HashMap;
        r3.<init>();
        r4 = "type";
        r5 = 1;
        r5 = java.lang.Integer.valueOf(r5);
        r3.put(r4, r5);
        r4 = "localIds";
        r3.put(r4, r2);
        r0 = r24;
        r2 = r0.uGd;
        r4 = "chooseMedia:ok";
        r0 = r24;
        r0.a(r2, r4, r3);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x105d:
        r2 = "MicroMsg.MsgHandler";
        r3 = "mmOnActivityResult REQUEST_CHOOSE_MEDIA nor the videoitem";
        com.tencent.mm.sdk.platformtools.ab.e(r2, r3);
        r0 = r24;
        r2 = r0.uGd;
        r3 = "chooseMedia:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x107a:
        r3 = 2;
        if (r2 != r3) goto L_0x10e1;
    L_0x107d:
        r2 = "key_pick_local_media_local_ids";
        r0 = r27;
        r2 = r0.getStringExtra(r2);
        r3 = "MicroMsg.MsgHandler";
        r4 = "chooseMedia localIds:%s";
        r5 = 1;
        r5 = new java.lang.Object[r5];
        r6 = 0;
        r5[r6] = r2;
        com.tencent.mm.sdk.platformtools.ab.i(r3, r4, r5);
        r3 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r2);
        if (r3 == 0) goto L_0x10b8;
    L_0x109b:
        r2 = "MicroMsg.MsgHandler";
        r3 = "mmOnActivityResult REQUEST_CHOOSE_MEDIA image localIds is null";
        com.tencent.mm.sdk.platformtools.ab.e(r2, r3);
        r0 = r24;
        r2 = r0.uGd;
        r3 = "chooseMedia:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x10b8:
        r3 = new java.util.HashMap;
        r3.<init>();
        r4 = "type";
        r5 = 2;
        r5 = java.lang.Integer.valueOf(r5);
        r3.put(r4, r5);
        r4 = "localIds";
        r3.put(r4, r2);
        r0 = r24;
        r2 = r0.uGd;
        r4 = "chooseMedia:ok";
        r0 = r24;
        r0.a(r2, r4, r3);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x10e1:
        r3 = "MicroMsg.MsgHandler";
        r4 = "type:%d is error";
        r5 = 1;
        r5 = new java.lang.Object[r5];
        r6 = 0;
        r2 = java.lang.Integer.valueOf(r2);
        r5[r6] = r2;
        com.tencent.mm.sdk.platformtools.ab.e(r3, r4, r5);
        r0 = r24;
        r2 = r0.uGd;
        r3 = "chooseMedia:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x1108:
        r2 = 46;
        r0 = r25;
        if (r0 != r2) goto L_0x114d;
    L_0x110e:
        switch(r26) {
            case -1: goto L_0x1139;
            case 0: goto L_0x1125;
            default: goto L_0x1111;
        };
    L_0x1111:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "previewVideo:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x1125:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "previewVideo:cancel";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x1139:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "previewVideo:ok";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x114d:
        r2 = 19;
        r0 = r25;
        if (r0 != r2) goto L_0x11c0;
    L_0x1153:
        r2 = "MicroMsg.MsgHandler";
        r3 = "request to config exdevice wifi connection, result code = ";
        r4 = java.lang.String.valueOf(r26);
        r3 = r3.concat(r4);
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3);
        switch(r26) {
            case -1: goto L_0x116e;
            case 0: goto L_0x1182;
            case 1: goto L_0x11b2;
            default: goto L_0x1167;
        };
    L_0x1167:
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x116e:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "configWXDeviceWiFi:ok";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x1182:
        r2 = 0;
        if (r27 == 0) goto L_0x119f;
    L_0x1185:
        r3 = "is_wifi_connected";
        r4 = 1;
        r0 = r27;
        r3 = r0.getBooleanExtra(r3, r4);
        if (r3 != 0) goto L_0x119f;
    L_0x1191:
        r2 = new java.util.HashMap;
        r2.<init>();
        r3 = "desc";
        r4 = "wifi_not_connected";
        r2.put(r3, r4);
    L_0x119f:
        r0 = r24;
        r3 = r0.uGd;
        r4 = "configWXDeviceWiFi:cancel";
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x11b2:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "configWXDeviceWiFi:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        goto L_0x1167;
    L_0x11c0:
        r2 = 20;
        r0 = r25;
        if (r0 != r2) goto L_0x12a6;
    L_0x11c6:
        r2 = "MicroMsg.MsgHandler";
        r3 = "request request_verify_wcpay_password, resultCode = ";
        r4 = java.lang.String.valueOf(r26);
        r3 = r3.concat(r4);
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3);
        r3 = new java.util.HashMap;
        r3.<init>();
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x1272;
    L_0x11e1:
        r2 = "";
        if (r27 == 0) goto L_0x11f6;
    L_0x11e6:
        r2 = "token";
        r0 = r27;
        r2 = r0.getStringExtra(r2);
        r4 = "";
        r2 = com.tencent.mm.sdk.platformtools.bo.bc(r2, r4);
    L_0x11f6:
        r4 = android.text.TextUtils.isEmpty(r2);
        if (r4 != 0) goto L_0x123e;
    L_0x11fc:
        r4 = "token";
        r3.put(r4, r2);
        r0 = r24;
        r2 = r0.uGd;
        r4 = "verifyWCPayPassword:ok";
        r0 = r24;
        r0.a(r2, r4, r3);
        r2 = com.tencent.mm.plugin.report.service.h.pYm;
        r3 = 14954; // 0x3a6a float:2.0955E-41 double:7.3883E-320;
        r4 = 2;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = com.tencent.mm.pluginsdk.wallet.f.dlI();
        r4[r5] = r6;
        r5 = 1;
        r6 = "verifyWCPayPassword:ok";
        r4[r5] = r6;
        r2.e(r3, r4);
        r2 = "MicroMsg.MsgHandler";
        r3 = "checkPwdToken is valid, verifyWCPayPassword:ok";
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3);
    L_0x122e:
        r2 = com.tencent.mm.pluginsdk.wallet.f.dlH();
        if (r2 != 0) goto L_0x1237;
    L_0x1234:
        com.tencent.mm.pluginsdk.wallet.f.dlJ();
    L_0x1237:
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x123e:
        r2 = "MicroMsg.MsgHandler";
        r3 = "checkPwdToken is empty, verifyWCPayPassword:fail";
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3);
        r0 = r24;
        r2 = r0.uGd;
        r3 = "verifyWCPayPassword:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = com.tencent.mm.pluginsdk.wallet.f.dlH();
        if (r2 != 0) goto L_0x122e;
    L_0x125a:
        r2 = com.tencent.mm.plugin.report.service.h.pYm;
        r3 = 14954; // 0x3a6a float:2.0955E-41 double:7.3883E-320;
        r4 = 2;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = com.tencent.mm.pluginsdk.wallet.f.dlI();
        r4[r5] = r6;
        r5 = 1;
        r6 = "verifyWCPayPassword:fail";
        r4[r5] = r6;
        r2.e(r3, r4);
        goto L_0x122e;
    L_0x1272:
        r2 = "MicroMsg.MsgHandler";
        r3 = "resultCode is canlcel, verifyWCPayPassword:fail";
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3);
        r0 = r24;
        r2 = r0.uGd;
        r3 = "verifyWCPayPassword:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = com.tencent.mm.pluginsdk.wallet.f.dlH();
        if (r2 != 0) goto L_0x122e;
    L_0x128e:
        r2 = com.tencent.mm.plugin.report.service.h.pYm;
        r3 = 14954; // 0x3a6a float:2.0955E-41 double:7.3883E-320;
        r4 = 2;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = com.tencent.mm.pluginsdk.wallet.f.dlI();
        r4[r5] = r6;
        r5 = 1;
        r6 = "verifyWCPayPassword:fail";
        r4[r5] = r6;
        r2.e(r3, r4);
        goto L_0x122e;
    L_0x12a6:
        r2 = 21;
        r0 = r25;
        if (r2 != r0) goto L_0x12c9;
    L_0x12ac:
        r2 = "MicroMsg.MsgHandler";
        r3 = "hy: callback to see order. directly finish";
        com.tencent.mm.sdk.platformtools.ab.d(r2, r3);
        r0 = r24;
        r2 = r0.uGd;
        r3 = "see_order_ok";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x12c9:
        r2 = 22;
        r0 = r25;
        if (r0 != r2) goto L_0x1323;
    L_0x12cf:
        r2 = "MicroMsg.MsgHandler";
        r3 = "request get_recevie_biz_hongbao_request, resultCode = ";
        r4 = java.lang.String.valueOf(r26);
        r3 = r3.concat(r4);
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3);
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x12f9;
    L_0x12e5:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "get_recevie_biz_hongbao_request:ok";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x12f9:
        if (r25 != 0) goto L_0x130f;
    L_0x12fb:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "get_recevie_biz_hongbao_request:cancel";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x130f:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "get_recevie_biz_hongbao_request:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x1323:
        r2 = 24;
        r0 = r25;
        if (r0 != r2) goto L_0x140f;
    L_0x1329:
        r2 = 0;
        r0 = r24;
        r3 = r0.uGh;
        if (r3 == 0) goto L_0x133d;
    L_0x1330:
        r0 = r24;
        r2 = r0.uGh;
        r3 = "KSnsAdTag";
        r2 = r2.getParcelable(r3);
        r2 = (com.tencent.mm.modelsns.SnsAdClick) r2;
    L_0x133d:
        r3 = -1;
        r0 = r26;
        if (r0 != r3) goto L_0x13eb;
    L_0x1342:
        if (r2 == 0) goto L_0x134b;
    L_0x1344:
        r3 = 9;
        r2.fPZ = r3;
        a(r2);
    L_0x134b:
        r2 = 2;
        r3 = 1;
        r0 = r24;
        r0.gB(r2, r3);
        r0 = r24;
        r2 = r0.uGd;
        r2 = r2.puc;
        r3 = "open_from_scene";
        r2 = r2.get(r3);
        r2 = (java.lang.String) r2;
        r3 = 0;
        r2 = com.tencent.mm.sdk.platformtools.bo.getInt(r2, r3);
        r3 = 4;
        if (r2 != r3) goto L_0x137b;
    L_0x1369:
        r0 = r24;
        r2 = r0.uGh;
        r3 = "favlocalid";
        r4 = 0;
        r2 = r2.getLong(r3, r4);
        r4 = 0;
        r5 = 0;
        com.tencent.mm.plugin.fav.a.h.j(r2, r4, r5);
    L_0x137b:
        r0 = r24;
        r2 = r0.umI;	 Catch:{ RemoteException -> 0x13da }
        if (r2 == 0) goto L_0x13c6;
    L_0x1381:
        r0 = r24;
        r2 = r0.uGd;	 Catch:{ RemoteException -> 0x13da }
        r2 = r2.puc;	 Catch:{ RemoteException -> 0x13da }
        r3 = "appId";
        r2 = r2.get(r3);	 Catch:{ RemoteException -> 0x13da }
        r2 = (java.lang.String) r2;	 Catch:{ RemoteException -> 0x13da }
        r3 = android.text.TextUtils.isEmpty(r2);	 Catch:{ RemoteException -> 0x13da }
        if (r3 == 0) goto L_0x2d61;
    L_0x1396:
        r0 = r24;
        r2 = r0.uGd;	 Catch:{ RemoteException -> 0x13da }
        r2 = r2.puc;	 Catch:{ RemoteException -> 0x13da }
        r3 = "appid";
        r2 = r2.get(r3);	 Catch:{ RemoteException -> 0x13da }
        r2 = (java.lang.String) r2;	 Catch:{ RemoteException -> 0x13da }
        r3 = r2;
    L_0x13a6:
        r0 = r24;
        r2 = r0.uGd;	 Catch:{ RemoteException -> 0x13da }
        r2 = r2.puc;	 Catch:{ RemoteException -> 0x13da }
        r4 = "img_url";
        r2 = r2.get(r4);	 Catch:{ RemoteException -> 0x13da }
        r2 = (java.lang.String) r2;	 Catch:{ RemoteException -> 0x13da }
        r0 = r24;
        r4 = r0.umI;	 Catch:{ RemoteException -> 0x13da }
        r5 = 85;
        r6 = 0;
        r4 = r4.g(r5, r6);	 Catch:{ RemoteException -> 0x13da }
        r5 = 1;
        r0 = r24;
        r0.a(r3, r2, r5, r4);	 Catch:{ RemoteException -> 0x13da }
    L_0x13c6:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "share_timeline:ok";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x13da:
        r2 = move-exception;
        r3 = "MicroMsg.MsgHandler";
        r4 = "invokeAsResult : %s";
        r5 = 1;
        r5 = new java.lang.Object[r5];
        r6 = 0;
        r5[r6] = r2;
        com.tencent.mm.sdk.platformtools.ab.e(r3, r4, r5);
        goto L_0x13c6;
    L_0x13eb:
        if (r2 == 0) goto L_0x13f4;
    L_0x13ed:
        r3 = 10;
        r2.fPZ = r3;
        a(r2);
    L_0x13f4:
        r2 = 2;
        r3 = 3;
        r0 = r24;
        r0.gB(r2, r3);
        r0 = r24;
        r2 = r0.uGd;
        r3 = "share_timeline:ok";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x140f:
        r2 = 26;
        r0 = r25;
        if (r0 != r2) goto L_0x147b;
    L_0x1415:
        r2 = "MicroMsg.MsgHandler";
        r3 = "select pedometer source resultCode = ";
        r4 = java.lang.String.valueOf(r26);
        r3 = r3.concat(r4);
        com.tencent.mm.sdk.platformtools.ab.d(r2, r3);
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x143f;
    L_0x142b:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "selectPedometerSource:ok";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x143f:
        if (r26 != 0) goto L_0x145e;
    L_0x1441:
        r2 = "MicroMsg.MsgHandler";
        r3 = "selectPedometerSource result cancel";
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3);
        r0 = r24;
        r2 = r0.uGd;
        r3 = "selectPedometerSource:cancel";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x145e:
        r2 = "MicroMsg.MsgHandler";
        r3 = "selectPedometerSource result fail";
        com.tencent.mm.sdk.platformtools.ab.e(r2, r3);
        r0 = r24;
        r2 = r0.uGd;
        r3 = "selectPedometerSource:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x147b:
        r2 = 25;
        r0 = r25;
        if (r0 != r2) goto L_0x14eb;
    L_0x1481:
        r2 = "MicroMsg.MsgHandler";
        r3 = "hy: get ibg order finish. result code: %d";
        r4 = 1;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = java.lang.Integer.valueOf(r26);
        r4[r5] = r6;
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3, r4);
        r0 = r24;
        r2 = r0.uGy;
        r3 = 1;
        if (r2 != r3) goto L_0x14b0;
    L_0x149b:
        r0 = r24;
        r2 = r0.umI;
        if (r2 == 0) goto L_0x14b0;
    L_0x14a1:
        r0 = r24;
        r2 = r0.umI;	 Catch:{ RemoteException -> 0x14c9 }
        r2.cZb();	 Catch:{ RemoteException -> 0x14c9 }
        r0 = r24;
        r2 = r0.umI;	 Catch:{ RemoteException -> 0x14c9 }
        r3 = 0;
        r2.W(r3);	 Catch:{ RemoteException -> 0x14c9 }
    L_0x14b0:
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x14d7;
    L_0x14b5:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "get_h5_transaction_request:ok";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x14c9:
        r2 = move-exception;
        r3 = "MicroMsg.MsgHandler";
        r4 = "";
        r5 = 0;
        r5 = new java.lang.Object[r5];
        com.tencent.mm.sdk.platformtools.ab.printErrStackTrace(r3, r2, r4, r5);
        goto L_0x14b0;
    L_0x14d7:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "get_h5_transaction_request:cancel";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x14eb:
        r2 = 28;
        r0 = r25;
        if (r0 != r2) goto L_0x1598;
    L_0x14f1:
        r2 = "MicroMsg.MsgHandler";
        r3 = "get web pay checkout counter request finish. result code: %d";
        r4 = 1;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = java.lang.Integer.valueOf(r26);
        r4[r5] = r6;
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3, r4);
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x156d;
    L_0x1509:
        r2 = new java.util.HashMap;
        r2.<init>();
        r3 = "token";
        r0 = r27;
        r3 = r0.getStringExtra(r3);
        r4 = "";
        r3 = com.tencent.mm.sdk.platformtools.bo.bc(r3, r4);
        r4 = "bind_serial";
        r0 = r27;
        r4 = r0.getStringExtra(r4);
        r5 = "";
        r4 = com.tencent.mm.sdk.platformtools.bo.bc(r4, r5);
        r5 = "token";
        r2.put(r5, r3);
        r3 = "bind_serial";
        r2.put(r3, r4);
        r0 = r24;
        r3 = r0.uGd;
        r4 = "getWebPayCheckoutCounterRequst:ok";
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = com.tencent.mm.plugin.report.service.h.pYm;
        r3 = 14954; // 0x3a6a float:2.0955E-41 double:7.3883E-320;
        r4 = 2;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = com.tencent.mm.pluginsdk.wallet.f.dlI();
        r4[r5] = r6;
        r5 = 1;
        r6 = "getWebPayCheckoutCounterRequst:ok";
        r4[r5] = r6;
        r2.e(r3, r4);
    L_0x155d:
        r2 = com.tencent.mm.pluginsdk.wallet.f.dlH();
        if (r2 != 0) goto L_0x2d4e;
    L_0x1563:
        com.tencent.mm.pluginsdk.wallet.f.dlJ();
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x156d:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "getWebPayCheckoutCounterRequst:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = com.tencent.mm.pluginsdk.wallet.f.dlH();
        if (r2 != 0) goto L_0x155d;
    L_0x1580:
        r2 = com.tencent.mm.plugin.report.service.h.pYm;
        r3 = 14954; // 0x3a6a float:2.0955E-41 double:7.3883E-320;
        r4 = 2;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = com.tencent.mm.pluginsdk.wallet.f.dlI();
        r4[r5] = r6;
        r5 = 1;
        r6 = "getWebPayCheckoutCounterRequst:fail";
        r4[r5] = r6;
        r2.e(r3, r4);
        goto L_0x155d;
    L_0x1598:
        r2 = 31;
        r0 = r25;
        if (r0 != r2) goto L_0x15fb;
    L_0x159e:
        r2 = -1;
        r0 = r26;
        if (r0 == r2) goto L_0x15b7;
    L_0x15a3:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "openEnterpriseContact:ok";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x15b7:
        r2 = "result_data";
        r0 = r27;
        r2 = r0.getBundleExtra(r2);
        if (r2 == 0) goto L_0x15e7;
    L_0x15c2:
        r3 = "result";
        r2 = r2.getString(r3);
        r3 = new java.util.HashMap;
        r3.<init>();
        r4 = "result";
        r3.put(r4, r2);
        r0 = r24;
        r2 = r0.uGd;
        r4 = "openEnterpriseContact:ok";
        r0 = r24;
        r0.a(r2, r4, r3);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x15e7:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "openEnterpriseContact:ok";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x15fb:
        r2 = 53;
        r0 = r25;
        if (r0 != r2) goto L_0x165e;
    L_0x1601:
        r2 = -1;
        r0 = r26;
        if (r0 == r2) goto L_0x161a;
    L_0x1606:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "selectEnterpriseContact:ok";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x161a:
        r2 = "result_data";
        r0 = r27;
        r2 = r0.getBundleExtra(r2);
        if (r2 == 0) goto L_0x164a;
    L_0x1625:
        r3 = "result";
        r2 = r2.getString(r3);
        r3 = new java.util.HashMap;
        r3.<init>();
        r4 = "result";
        r3.put(r4, r2);
        r0 = r24;
        r2 = r0.uGd;
        r4 = "selectEnterpriseContact:ok";
        r0 = r24;
        r0.a(r2, r4, r3);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x164a:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "selectEnterpriseContact:ok";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x165e:
        r2 = 29;
        r0 = r25;
        if (r0 != r2) goto L_0x16ac;
    L_0x1664:
        r3 = "MicroMsg.MsgHandler";
        r4 = "consumedShareCard:ok(r : %b)";
        r2 = 1;
        r5 = new java.lang.Object[r2];
        r6 = 0;
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x1696;
    L_0x1673:
        r2 = 1;
    L_0x1674:
        r2 = java.lang.Boolean.valueOf(r2);
        r5[r6] = r2;
        com.tencent.mm.sdk.platformtools.ab.d(r3, r4, r5);
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x1698;
    L_0x1682:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "consumedShareCard:ok";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x1696:
        r2 = 0;
        goto L_0x1674;
    L_0x1698:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "consumedShareCard:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x16ac:
        r2 = 113; // 0x71 float:1.58E-43 double:5.6E-322;
        r0 = r25;
        if (r0 != r2) goto L_0x16db;
    L_0x16b2:
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x16c7;
    L_0x16b7:
        r0 = r24;
        r2 = r0.uGd;
        r0 = r24;
        r0.W(r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x16c7:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "chooseImage:fail_android_permission_denied";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x16db:
        r2 = 116; // 0x74 float:1.63E-43 double:5.73E-322;
        r0 = r25;
        if (r0 != r2) goto L_0x170a;
    L_0x16e1:
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x16f6;
    L_0x16e6:
        r0 = r24;
        r2 = r0.uGd;
        r0 = r24;
        r0.ad(r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x16f6:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "startRecord:fail_android_permission_denied";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x170a:
        r2 = 115; // 0x73 float:1.61E-43 double:5.7E-322;
        r0 = r25;
        if (r0 != r2) goto L_0x173a;
    L_0x1710:
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x1726;
    L_0x1715:
        r0 = r24;
        r2 = r0.uGd;
        r3 = 0;
        r0 = r24;
        r0.a(r2, r3);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x1726:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "chooseVideo:fail_android_permission_denied";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x173a:
        r2 = 117; // 0x75 float:1.64E-43 double:5.8E-322;
        r0 = r25;
        if (r0 != r2) goto L_0x176a;
    L_0x1740:
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x1756;
    L_0x1745:
        r0 = r24;
        r2 = r0.uGd;
        r3 = 1;
        r0 = r24;
        r0.a(r2, r3);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x1756:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "recordVideo:fail_android_permission_denied";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x176a:
        r2 = 118; // 0x76 float:1.65E-43 double:5.83E-322;
        r0 = r25;
        if (r0 != r2) goto L_0x179a;
    L_0x1770:
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x1786;
    L_0x1775:
        r0 = r24;
        r2 = r0.uGd;
        r3 = 1;
        r0 = r24;
        r0.a(r2, r3);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x1786:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "recordVideo:fail_android_permission_denied";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x179a:
        r2 = 119; // 0x77 float:1.67E-43 double:5.9E-322;
        r0 = r25;
        if (r0 != r2) goto L_0x17d2;
    L_0x17a0:
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x17b5;
    L_0x17a5:
        r0 = r24;
        r2 = r0.uGd;
        r0 = r24;
        r0.aa(r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x17b5:
        r2 = "MicroMsg.MsgHandler";
        r3 = "chooseMedia:fail_android_permission_denied:CAMERA";
        com.tencent.mm.sdk.platformtools.ab.e(r2, r3);
        r0 = r24;
        r2 = r0.uGd;
        r3 = "chooseMedia:fail_android_permission_denied";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x17d2:
        r2 = 120; // 0x78 float:1.68E-43 double:5.93E-322;
        r0 = r25;
        if (r0 != r2) goto L_0x180a;
    L_0x17d8:
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x17ed;
    L_0x17dd:
        r0 = r24;
        r2 = r0.uGd;
        r0 = r24;
        r0.aa(r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x17ed:
        r2 = "MicroMsg.MsgHandler";
        r3 = "chooseMedia:fail_android_permission_denied:MICROPHONE";
        com.tencent.mm.sdk.platformtools.ab.e(r2, r3);
        r0 = r24;
        r2 = r0.uGd;
        r3 = "chooseMedia:fail_android_permission_denied";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x180a:
        r2 = 30;
        r0 = r25;
        if (r0 != r2) goto L_0x1964;
    L_0x1810:
        r2 = "MicroMsg.MsgHandler";
        r3 = "doSelectSingleContact activtiy callback";
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3);
        r0 = r24;
        r2 = r0.uGd;
        r2 = r2.puc;
        r3 = "appId";
        r2 = r2.get(r3);
        r2 = (java.lang.String) r2;
        r0 = r24;
        r3 = r0.uGh;
        if (r3 == 0) goto L_0x2d5e;
    L_0x182e:
        r3 = android.text.TextUtils.isEmpty(r2);
        if (r3 == 0) goto L_0x2d5e;
    L_0x1834:
        r0 = r24;
        r2 = r0.uGh;
        r3 = "jsapi_args_appid";
        r2 = r2.getString(r3);
        r3 = r2;
    L_0x1840:
        r0 = r24;
        r2 = r0.uGd;
        r2 = r2.puc;
        r4 = "selectMode";
        r2 = r2.get(r4);
        r2 = (java.lang.String) r2;
        r4 = 0;
        r5 = com.tencent.mm.sdk.platformtools.bo.getInt(r2, r4);
        r0 = r24;
        r2 = r0.uGd;
        r2 = r2.puc;
        r4 = "busiId";
        r2 = r2.get(r4);
        r2 = (java.lang.String) r2;
        r4 = "MicroMsg.MsgHandler";
        r6 = "select single contact : appId:%s, busiId:%s, selectedMode:%d";
        r7 = 3;
        r7 = new java.lang.Object[r7];
        r8 = 0;
        r7[r8] = r3;
        r8 = 1;
        r7[r8] = r2;
        r8 = 2;
        r9 = java.lang.Integer.valueOf(r5);
        r7[r8] = r9;
        com.tencent.mm.sdk.platformtools.ab.i(r4, r6, r7);
        switch(r26) {
            case -1: goto L_0x189a;
            case 0: goto L_0x1886;
            default: goto L_0x187f;
        };
    L_0x187f:
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x1886:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "selectSingleContact:cancel";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x189a:
        if (r27 != 0) goto L_0x18c2;
    L_0x189c:
        r4 = 0;
    L_0x189d:
        if (r4 == 0) goto L_0x18a5;
    L_0x189f:
        r6 = r4.length();
        if (r6 != 0) goto L_0x18cc;
    L_0x18a5:
        r2 = "MicroMsg.MsgHandler";
        r3 = "mmOnActivityResult,selectSingleContact fail, user is null";
        com.tencent.mm.sdk.platformtools.ab.e(r2, r3);
        r0 = r24;
        r2 = r0.uGd;
        r3 = "selectSingleContact:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x18c2:
        r4 = "Select_Conv_User";
        r0 = r27;
        r4 = r0.getStringExtra(r4);
        goto L_0x189d;
    L_0x18cc:
        if (r5 != 0) goto L_0x191a;
    L_0x18ce:
        r2 = new com.tencent.mm.plugin.webview.model.p;
        r2.<init>(r3, r4);
        r3 = com.tencent.mm.kernel.g.Rg();
        r4 = 1566; // 0x61e float:2.194E-42 double:7.737E-321;
        r5 = new com.tencent.mm.plugin.webview.ui.tools.jsapi.g$17;
        r0 = r24;
        r5.<init>(r0);
        r3.a(r4, r5);
        r3 = com.tencent.mm.kernel.g.Rg();
        r3.d(r2);
        r0 = r24;
        r3 = r0.context;
        r0 = r24;
        r4 = r0.context;
        r5 = 2131297061; // 0x7f090325 float:1.8212056E38 double:1.053000659E-314;
        r4.getString(r5);
        r0 = r24;
        r4 = r0.context;
        r5 = 2131297086; // 0x7f09033e float:1.8212107E38 double:1.0530006713E-314;
        r4 = r4.getString(r5);
        r5 = 1;
        r6 = new com.tencent.mm.plugin.webview.ui.tools.jsapi.g$18;
        r0 = r24;
        r6.<init>(r0, r2);
        r2 = com.tencent.mm.ui.base.h.b(r3, r4, r5, r6);
        r0 = r24;
        r0.ehJ = r2;
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x191a:
        r6 = 1;
        if (r5 != r6) goto L_0x187f;
    L_0x191d:
        r5 = new com.tencent.mm.plugin.webview.model.v;
        r5.<init>(r3, r2, r4);
        r2 = com.tencent.mm.kernel.g.Rg();
        r3 = 1177; // 0x499 float:1.65E-42 double:5.815E-321;
        r4 = new com.tencent.mm.plugin.webview.ui.tools.jsapi.g$19;
        r0 = r24;
        r4.<init>(r0);
        r2.a(r3, r4);
        r2 = com.tencent.mm.kernel.g.Rg();
        r2.d(r5);
        r0 = r24;
        r2 = r0.context;
        r0 = r24;
        r3 = r0.context;
        r4 = 2131297061; // 0x7f090325 float:1.8212056E38 double:1.053000659E-314;
        r3.getString(r4);
        r0 = r24;
        r3 = r0.context;
        r4 = 2131297086; // 0x7f09033e float:1.8212107E38 double:1.0530006713E-314;
        r3 = r3.getString(r4);
        r4 = 1;
        r6 = new com.tencent.mm.plugin.webview.ui.tools.jsapi.g$20;
        r0 = r24;
        r6.<init>(r5);
        r2 = com.tencent.mm.ui.base.h.b(r2, r3, r4, r6);
        r0 = r24;
        r0.ehJ = r2;
        goto L_0x187f;
    L_0x1964:
        r2 = 34;
        r0 = r25;
        if (r0 != r2) goto L_0x19f8;
    L_0x196a:
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x19a3;
    L_0x196f:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "get_wcpay_realname_verify:ok";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = com.tencent.mm.plugin.report.service.h.pYm;
        r3 = 14954; // 0x3a6a float:2.0955E-41 double:7.3883E-320;
        r4 = 2;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = com.tencent.mm.pluginsdk.wallet.f.dlI();
        r4[r5] = r6;
        r5 = 1;
        r6 = "get_wcpay_realname_verify:ok";
        r4[r5] = r6;
        r2.e(r3, r4);
    L_0x1993:
        r2 = com.tencent.mm.pluginsdk.wallet.f.dlH();
        if (r2 != 0) goto L_0x2d4e;
    L_0x1999:
        com.tencent.mm.pluginsdk.wallet.f.dlJ();
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x19a3:
        r2 = 1;
        r0 = r26;
        if (r0 != r2) goto L_0x19d3;
    L_0x19a8:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "get_wcpay_realname_verify:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = com.tencent.mm.pluginsdk.wallet.f.dlH();
        if (r2 != 0) goto L_0x1993;
    L_0x19bb:
        r2 = com.tencent.mm.plugin.report.service.h.pYm;
        r3 = 14954; // 0x3a6a float:2.0955E-41 double:7.3883E-320;
        r4 = 2;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = com.tencent.mm.pluginsdk.wallet.f.dlI();
        r4[r5] = r6;
        r5 = 1;
        r6 = "get_wcpay_realname_verify:fail";
        r4[r5] = r6;
        r2.e(r3, r4);
        goto L_0x1993;
    L_0x19d3:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "get_wcpay_realname_verify:cancel";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = com.tencent.mm.plugin.report.service.h.pYm;
        r3 = 14954; // 0x3a6a float:2.0955E-41 double:7.3883E-320;
        r4 = 2;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = com.tencent.mm.pluginsdk.wallet.f.dlI();
        r4[r5] = r6;
        r5 = 1;
        r6 = "get_wcpay_realname_verify:cancel";
        r4[r5] = r6;
        r2.e(r3, r4);
        goto L_0x1993;
    L_0x19f8:
        r2 = 35;
        r0 = r25;
        if (r0 != r2) goto L_0x1a53;
    L_0x19fe:
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x1a3f;
    L_0x1a03:
        r2 = new com.tencent.mm.g.a.on;
        r2.<init>();
        r3 = r2.cKQ;
        r0 = r24;
        r4 = r0.context;
        r3.context = r4;
        r3 = com.tencent.mm.sdk.b.a.xxA;
        r3.m(r2);
        r0 = r24;
        r2 = r0.umI;	 Catch:{ RemoteException -> 0x1a2b }
        r2.cZb();	 Catch:{ RemoteException -> 0x1a2b }
        r0 = r24;
        r2 = r0.umI;	 Catch:{ RemoteException -> 0x1a2b }
        r3 = 0;
        r2.W(r3);	 Catch:{ RemoteException -> 0x1a2b }
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x1a2b:
        r2 = move-exception;
        r3 = "MicroMsg.MsgHandler";
        r4 = "";
        r5 = 0;
        r5 = new java.lang.Object[r5];
        com.tencent.mm.sdk.platformtools.ab.printErrStackTrace(r3, r2, r4, r5);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x1a3f:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "selectWalletCurrency:cancel";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x1a53:
        r2 = 37;
        r0 = r25;
        if (r0 != r2) goto L_0x1c4f;
    L_0x1a59:
        r0 = r24;
        r2 = r0.cEl;
        if (r2 != 0) goto L_0x1a7c;
    L_0x1a5f:
        r2 = "MicroMsg.MsgHandler";
        r3 = "mmOnActivityResult fail, appmsg is null";
        com.tencent.mm.sdk.platformtools.ab.e(r2, r3);
        r0 = r24;
        r2 = r0.uGd;
        r3 = "send_app_msg:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x1a7c:
        r0 = r24;
        r2 = r0.uGd;
        r2 = r2.puc;
        r3 = "appid";
        r2 = r2.get(r3);
        r2 = (java.lang.String) r2;
        r3 = 0;
        r0 = r24;
        r4 = r0.uGh;
        if (r4 == 0) goto L_0x2d5b;
    L_0x1a92:
        r0 = r24;
        r3 = r0.uGh;
        r4 = "KSnsAdTag";
        r3 = r3.getParcelable(r4);
        r3 = (com.tencent.mm.modelsns.SnsAdClick) r3;
        r4 = android.text.TextUtils.isEmpty(r2);
        if (r4 == 0) goto L_0x2d5b;
    L_0x1aa5:
        r0 = r24;
        r2 = r0.uGh;
        r4 = "jsapi_args_appid";
        r2 = r2.getString(r4);
        r4 = r2;
    L_0x1ab1:
        r0 = r24;
        r2 = r0.uGd;
        r2 = r2.dcO();
        r5 = "Internal@AsyncReport";
        r2 = r2.get(r5);
        switch(r26) {
            case -1: goto L_0x1b14;
            case 0: goto L_0x1aca;
            default: goto L_0x1ac3;
        };
    L_0x1ac3:
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x1aca:
        if (r3 == 0) goto L_0x1ad3;
    L_0x1acc:
        r5 = 8;
        r3.fPZ = r5;
        a(r3);
    L_0x1ad3:
        r0 = r24;
        r3 = r0.uGd;
        r3 = r3.dcO();
        r5 = "sendAppMessage";
        r0 = r24;
        r5 = r0.agw(r5);
        r6 = 0;
        com.tencent.mm.plugin.webview.ui.tools.jsapi.l.a(r3, r5, r6, r4);
        if (r2 == 0) goto L_0x1b00;
    L_0x1aea:
        r3 = r2 instanceof java.lang.Boolean;
        if (r3 == 0) goto L_0x1b00;
    L_0x1aee:
        r2 = (java.lang.Boolean) r2;
        r2 = r2.booleanValue();
        if (r2 == 0) goto L_0x1b00;
    L_0x1af6:
        r0 = r24;
        r2 = r0.uGd;
        r3 = 1;
        r0 = r24;
        r0.b(r2, r3);
    L_0x1b00:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "send_app_msg:cancel";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x1b14:
        if (r3 == 0) goto L_0x1b1c;
    L_0x1b16:
        r5 = 7;
        r3.fPZ = r5;
        a(r3);
    L_0x1b1c:
        r3 = com.tencent.mm.pluginsdk.model.app.g.Uq(r4);
        if (r27 != 0) goto L_0x1b29;
    L_0x1b22:
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x1b29:
        r5 = "enterprise_biz_name";
        r0 = r27;
        r5 = r0.getStringExtra(r5);
        r6 = "key_biz_chat_id";
        r8 = -1;
        r0 = r27;
        r14 = r0.getLongExtra(r6, r8);
        r6 = "enterprise_share_append_text";
        r0 = r27;
        r9 = r0.getStringExtra(r6);
        if (r5 == 0) goto L_0x1b4e;
    L_0x1b48:
        r6 = r5.length();
        if (r6 != 0) goto L_0x1b6b;
    L_0x1b4e:
        r2 = "MicroMsg.MsgHandler";
        r3 = "mmOnActivityResult fail, toUser is null";
        com.tencent.mm.sdk.platformtools.ab.e(r2, r3);
        r0 = r24;
        r2 = r0.uGd;
        r3 = "send_app_msg:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x1b6b:
        r0 = r24;
        r6 = r0.uGd;
        r6 = r6.puc;
        r7 = "img_url";
        r6 = r6.get(r7);
        r6 = (java.lang.String) r6;
        r0 = r24;
        r7 = r0.uGd;
        r7 = r7.puc;
        r8 = "desc";
        r7.get(r8);
        r0 = r24;
        r7 = r0.uGd;
        r7 = r7.puc;
        r8 = "src_username";
        r7 = r7.get(r8);
        r7 = (java.lang.String) r7;
        r0 = r24;
        r8 = r0.uGd;
        r8 = r8.puc;
        r10 = "src_displayname";
        r8 = r8.get(r10);
        r8 = (java.lang.String) r8;
        r10 = r24.dcx();
        r0 = r24;
        r11 = r0.uGd;
        r11 = r11.dcO();
        r12 = "sendAppMessage";
        r0 = r24;
        r12 = r0.agw(r12);
        com.tencent.mm.plugin.webview.ui.tools.jsapi.l.a(r11, r12, r5, r4);
        if (r2 == 0) goto L_0x1bd4;
    L_0x1bbe:
        r11 = r2 instanceof java.lang.Boolean;
        if (r11 == 0) goto L_0x1bd4;
    L_0x1bc2:
        r2 = (java.lang.Boolean) r2;
        r2 = r2.booleanValue();
        if (r2 == 0) goto L_0x1bd4;
    L_0x1bca:
        r0 = r24;
        r2 = r0.uGd;
        r11 = 1;
        r0 = r24;
        r0.b(r2, r11);
    L_0x1bd4:
        r2 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r6);
        if (r2 == 0) goto L_0x1c2f;
    L_0x1bda:
        r12 = 0;
        r2 = (r14 > r12 ? 1 : (r14 == r12 ? 0 : -1));
        if (r2 < 0) goto L_0x1c29;
    L_0x1be0:
        r2 = com.tencent.mm.aj.z.aeT();
        r2 = r2.aK(r14);
        r11 = com.tencent.mm.aj.a.e.fxC;
        monitor-enter(r11);
        r12 = com.tencent.mm.aj.a.e.aae();	 Catch:{ all -> 0x1c21 }
        com.tencent.mm.aj.a.e.d(r2);	 Catch:{ all -> 0x1c21 }
        r2 = r24;
        r2.a(r3, r4, r5, r6, r7, r8, r9, r10);	 Catch:{ all -> 0x1c21 }
        com.tencent.mm.aj.a.e.rx(r12);	 Catch:{ all -> 0x1c21 }
        monitor-exit(r11);	 Catch:{ all -> 0x1c21 }
    L_0x1bfb:
        r0 = r24;
        r2 = r0.context;
        r0 = r24;
        r3 = r0.context;
        r4 = 2131298422; // 0x7f090876 float:1.8214817E38 double:1.0530013313E-314;
        r3 = r3.getString(r4);
        com.tencent.mm.ui.base.h.bN(r2, r3);
        r0 = r24;
        r2 = r0.uGd;
        r3 = "send_app_msg:ok";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x1c21:
        r2 = move-exception;
        monitor-exit(r11);	 Catch:{ all -> 0x1c21 }
        r3 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r3);
        throw r2;
    L_0x1c29:
        r2 = r24;
        r2.a(r3, r4, r5, r6, r7, r8, r9, r10);
        goto L_0x1bfb;
    L_0x1c2f:
        r2 = com.tencent.mm.at.o.ahk();
        r12 = new com.tencent.mm.plugin.webview.ui.tools.jsapi.g$21;
        r13 = r24;
        r16 = r3;
        r17 = r4;
        r18 = r5;
        r19 = r6;
        r20 = r7;
        r21 = r8;
        r22 = r9;
        r23 = r10;
        r12.<init>(r13, r14, r16, r17, r18, r19, r20, r21, r22, r23);
        r2.a(r6, r12);
        goto L_0x1ac3;
    L_0x1c4f:
        r2 = 38;
        r0 = r25;
        if (r0 != r2) goto L_0x1ccb;
    L_0x1c55:
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x1c7e;
    L_0x1c5a:
        r2 = "MicroMsg.MsgHandler";
        r3 = "hy: soter auth ok";
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3);
        r2 = r27.getExtras();
        r2 = com.tencent.mm.plugin.webview.ui.tools.jsapi.i.aq(r2);
        r0 = r24;
        r3 = r0.uGd;
        r4 = "soter_biometric_authentication:ok";
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x1c7e:
        r2 = 1;
        r0 = r26;
        if (r0 != r2) goto L_0x1ca7;
    L_0x1c83:
        r2 = "MicroMsg.MsgHandler";
        r3 = "hy: soter auth failed";
        com.tencent.mm.sdk.platformtools.ab.w(r2, r3);
        r0 = r24;
        r2 = r0.uGd;
        r3 = "soter_biometric_authentication:fail";
        r4 = r27.getExtras();
        r4 = com.tencent.mm.plugin.webview.ui.tools.jsapi.i.aq(r4);
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x1ca7:
        r2 = "MicroMsg.MsgHandler";
        r3 = "hy: soter user cancelled";
        com.tencent.mm.sdk.platformtools.ab.e(r2, r3);
        r0 = r24;
        r2 = r0.uGd;
        r3 = "soter_biometric_authentication:cancel";
        r4 = r27.getExtras();
        r4 = com.tencent.mm.plugin.webview.ui.tools.jsapi.i.aq(r4);
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x1ccb:
        r2 = 39;
        r0 = r25;
        if (r0 != r2) goto L_0x1d11;
    L_0x1cd1:
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x1cf0;
    L_0x1cd6:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "unbind_bank_card:ok";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
    L_0x1ce3:
        r2 = com.tencent.mm.pluginsdk.wallet.f.dlH();
        if (r2 != 0) goto L_0x2d4e;
    L_0x1ce9:
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x1cf0:
        r2 = 1;
        r0 = r26;
        if (r0 != r2) goto L_0x1d03;
    L_0x1cf5:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "unbind_bank_card:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        goto L_0x1ce3;
    L_0x1d03:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "unbind_bank_card:cancel";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        goto L_0x1ce3;
    L_0x1d11:
        r2 = 40;
        r0 = r25;
        if (r0 != r2) goto L_0x1e73;
    L_0x1d17:
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x1e5f;
    L_0x1d1c:
        r4 = new android.os.Bundle;
        r4.<init>();
        if (r27 == 0) goto L_0x1e4b;
    L_0x1d23:
        r2 = "k_outside_expose_proof_item_list";
        r0 = r27;
        r2 = r0.getLongArrayExtra(r2);
        r5 = f(r2);
        r6 = r5.size();
        r7 = new java.lang.String[r6];
        r8 = new java.lang.String[r6];
        r9 = new java.lang.String[r6];
        r10 = new int[r6];
        r11 = new int[r6];
        r2 = 0;
        r3 = r2;
    L_0x1d40:
        if (r3 >= r6) goto L_0x1ddb;
    L_0x1d42:
        r2 = r5.get(r3);
        r2 = (com.tencent.mm.storage.bi) r2;
        r12 = r2.HB();
        r12 = java.lang.String.valueOf(r12);
        r7[r3] = r12;
        r12 = "k_is_group_chat";
        r13 = 0;
        r0 = r27;
        r12 = r0.getBooleanExtra(r12, r13);
        if (r12 == 0) goto L_0x1dba;
    L_0x1d5e:
        r12 = r2.bws();
        if (r12 == 0) goto L_0x1daf;
    L_0x1d64:
        r12 = r2.HG();
        r12 = com.tencent.mm.model.bf.oz(r12);
        r8[r3] = r12;
    L_0x1d6e:
        r12 = r2.getContent();
        r12 = com.tencent.mm.model.bf.oy(r12);
        r9[r3] = r12;
    L_0x1d78:
        r12 = r2.HC();
        r13 = 1;
        if (r12 != r13) goto L_0x1d85;
    L_0x1d7f:
        r12 = com.tencent.mm.model.r.Yz();
        r9[r3] = r12;
    L_0x1d85:
        r12 = r8[r3];
        if (r12 != 0) goto L_0x1d8e;
    L_0x1d89:
        r12 = "";
        r8[r3] = r12;
    L_0x1d8e:
        r12 = r9[r3];
        if (r12 != 0) goto L_0x1d97;
    L_0x1d92:
        r12 = "";
        r9[r3] = r12;
    L_0x1d97:
        r12 = r2.bAA();
        if (r12 == 0) goto L_0x1dd4;
    L_0x1d9d:
        r12 = 49;
        r10[r3] = r12;
    L_0x1da1:
        r12 = r2.HD();
        r14 = 1000; // 0x3e8 float:1.401E-42 double:4.94E-321;
        r12 = r12 / r14;
        r2 = (int) r12;
        r11[r3] = r2;
        r2 = r3 + 1;
        r3 = r2;
        goto L_0x1d40;
    L_0x1daf:
        r12 = r2.getContent();
        r12 = com.tencent.mm.model.bf.oz(r12);
        r8[r3] = r12;
        goto L_0x1d6e;
    L_0x1dba:
        r12 = r2.bws();
        if (r12 == 0) goto L_0x1dcd;
    L_0x1dc0:
        r12 = r2.HG();
        r8[r3] = r12;
    L_0x1dc6:
        r12 = r2.HE();
        r9[r3] = r12;
        goto L_0x1d78;
    L_0x1dcd:
        r12 = r2.getContent();
        r8[r3] = r12;
        goto L_0x1dc6;
    L_0x1dd4:
        r12 = r2.getType();
        r10[r3] = r12;
        goto L_0x1da1;
    L_0x1ddb:
        r2 = "msgIds";
        r4.putStringArray(r2, r7);
        r2 = "contents";
        r4.putStringArray(r2, r8);
        r2 = "senders";
        r4.putStringArray(r2, r9);
        r2 = "msgTypes";
        r4.putIntArray(r2, r10);
        r2 = "msgTimes";
        r4.putIntArray(r2, r11);
        r0 = r24;
        r2 = r0.umI;	 Catch:{ RemoteException -> 0x1e1c }
        if (r2 == 0) goto L_0x1e08;
    L_0x1dff:
        r0 = r24;
        r2 = r0.umI;	 Catch:{ RemoteException -> 0x1e1c }
        r3 = 48;
        r2.c(r3, r4);	 Catch:{ RemoteException -> 0x1e1c }
    L_0x1e08:
        r0 = r24;
        r2 = r0.uGd;	 Catch:{ RemoteException -> 0x1e1c }
        r3 = "select chat record:ok";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);	 Catch:{ RemoteException -> 0x1e1c }
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x1e1c:
        r2 = move-exception;
        r3 = "MicroMsg.MsgHandler";
        r4 = new java.lang.StringBuilder;
        r5 = "onGetMsgProofItems exception";
        r4.<init>(r5);
        r2 = r2.getMessage();
        r2 = r4.append(r2);
        r2 = r2.toString();
        com.tencent.mm.sdk.platformtools.ab.w(r3, r2);
        r0 = r24;
        r2 = r0.uGd;
        r3 = "select chat record:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x1e4b:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "select chat record:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x1e5f:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "select chat record:cancel";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x1e73:
        r2 = 41;
        r0 = r25;
        if (r0 != r2) goto L_0x1f07;
    L_0x1e79:
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x1eb2;
    L_0x1e7e:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "id_card_realname_verify:ok";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = com.tencent.mm.plugin.report.service.h.pYm;
        r3 = 14954; // 0x3a6a float:2.0955E-41 double:7.3883E-320;
        r4 = 2;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = com.tencent.mm.pluginsdk.wallet.f.dlI();
        r4[r5] = r6;
        r5 = 1;
        r6 = "id_card_realname_verify:ok";
        r4[r5] = r6;
        r2.e(r3, r4);
    L_0x1ea2:
        r2 = com.tencent.mm.pluginsdk.wallet.f.dlH();
        if (r2 != 0) goto L_0x2d4e;
    L_0x1ea8:
        com.tencent.mm.pluginsdk.wallet.f.dlJ();
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x1eb2:
        r2 = 1;
        r0 = r26;
        if (r0 != r2) goto L_0x1ee2;
    L_0x1eb7:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "id_card_realname_verify:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = com.tencent.mm.pluginsdk.wallet.f.dlH();
        if (r2 != 0) goto L_0x1ea2;
    L_0x1eca:
        r2 = com.tencent.mm.plugin.report.service.h.pYm;
        r3 = 14954; // 0x3a6a float:2.0955E-41 double:7.3883E-320;
        r4 = 2;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = com.tencent.mm.pluginsdk.wallet.f.dlI();
        r4[r5] = r6;
        r5 = 1;
        r6 = "id_card_realname_verify:fail";
        r4[r5] = r6;
        r2.e(r3, r4);
        goto L_0x1ea2;
    L_0x1ee2:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "id_card_realname_verify:cancel";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = com.tencent.mm.plugin.report.service.h.pYm;
        r3 = 14954; // 0x3a6a float:2.0955E-41 double:7.3883E-320;
        r4 = 2;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = com.tencent.mm.pluginsdk.wallet.f.dlI();
        r4[r5] = r6;
        r5 = 1;
        r6 = "id_card_realname_verify:cancel";
        r4[r5] = r6;
        r2.e(r3, r4);
        goto L_0x1ea2;
    L_0x1f07:
        r2 = 42;
        r0 = r25;
        if (r0 != r2) goto L_0x1f83;
    L_0x1f0d:
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x1f56;
    L_0x1f12:
        if (r27 == 0) goto L_0x1f42;
    L_0x1f14:
        r2 = "gameRegionName";
        r0 = r27;
        r2 = r0.getStringExtra(r2);
        r3 = "";
        r2 = com.tencent.mm.sdk.platformtools.bo.bc(r2, r3);
        r3 = new java.util.HashMap;
        r3.<init>();
        r4 = "gameRegionName";
        r3.put(r4, r2);
        r0 = r24;
        r2 = r0.uGd;
        r4 = "get game region:ok";
        r0 = r24;
        r0.a(r2, r4, r3);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x1f42:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "get game region:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x1f56:
        r2 = 1;
        r0 = r26;
        if (r0 != r2) goto L_0x1f6f;
    L_0x1f5b:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "get game region:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x1f6f:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "get game region:cancel";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x1f83:
        r2 = 43;
        r0 = r25;
        if (r0 != r2) goto L_0x2072;
    L_0x1f89:
        r2 = "MicroMsg.MsgHandler";
        r3 = "request to open file chooser for id card image, result code = ";
        r4 = java.lang.String.valueOf(r26);
        r3 = r3.concat(r4);
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3);
        switch(r26) {
            case -1: goto L_0x1fb1;
            case 0: goto L_0x205e;
            default: goto L_0x1f9d;
        };
    L_0x1f9d:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "chooseImage:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x1fb1:
        r2 = new java.util.HashMap;
        r2.<init>();
        r3 = "key_pick_local_pic_callback_local_ids";
        r0 = r27;
        r3 = r0.getStringExtra(r3);
        r4 = "MicroMsg.MsgHandler";
        r5 = "localIds = %s";
        r6 = 1;
        r6 = new java.lang.Object[r6];
        r7 = 0;
        r6[r7] = r3;
        com.tencent.mm.sdk.platformtools.ab.i(r4, r5, r6);
        r4 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r3);
        if (r4 == 0) goto L_0x1fe8;
    L_0x1fd4:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "chooseIdCard:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x1fe8:
        r4 = new org.json.JSONArray;	 Catch:{ Exception -> 0x2029 }
        r4.<init>(r3);	 Catch:{ Exception -> 0x2029 }
        r3 = r4.length();	 Catch:{ Exception -> 0x2029 }
        if (r3 <= 0) goto L_0x204a;
    L_0x1ff3:
        r3 = "localId";
        r5 = 0;
        r4 = r4.get(r5);	 Catch:{ Exception -> 0x2029 }
        r4 = r4.toString();	 Catch:{ Exception -> 0x2029 }
        r2.put(r3, r4);	 Catch:{ Exception -> 0x2029 }
        r3 = "key_pick_local_pic_source_type";
        r0 = r27;
        r3 = r0.getStringExtra(r3);	 Catch:{ Exception -> 0x2029 }
        if (r3 == 0) goto L_0x2016;
    L_0x200d:
        r3 = "sourceType";
        r4 = "album";
        r2.put(r3, r4);	 Catch:{ Exception -> 0x2029 }
    L_0x2016:
        r0 = r24;
        r3 = r0.uGd;	 Catch:{ Exception -> 0x2029 }
        r4 = "chooseIdCard:ok";
        r0 = r24;
        r0.a(r3, r4, r2);	 Catch:{ Exception -> 0x2029 }
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);	 Catch:{ Exception -> 0x2029 }
        goto L_0x0057;
    L_0x2029:
        r2 = move-exception;
        r3 = "MicroMsg.MsgHandler";
        r4 = "";
        r5 = 0;
        r5 = new java.lang.Object[r5];
        com.tencent.mm.sdk.platformtools.ab.printErrStackTrace(r3, r2, r4, r5);
        r0 = r24;
        r2 = r0.uGd;
        r3 = "chooseImage:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x204a:
        r0 = r24;
        r2 = r0.uGd;	 Catch:{ Exception -> 0x2029 }
        r3 = "chooseImage:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);	 Catch:{ Exception -> 0x2029 }
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x205e:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "chooseIdCard:cancel";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x2072:
        r2 = 48;
        r0 = r25;
        if (r0 != r2) goto L_0x20f4;
    L_0x2078:
        r2 = "MicroMsg.MsgHandler";
        r3 = "alvinluo: requestWxFacePictureVerify resultCode: %d";
        r4 = 1;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = java.lang.Integer.valueOf(r26);
        r4[r5] = r6;
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3, r4);
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x20af;
    L_0x2090:
        r0 = r24;
        r3 = r0.uGd;
        r4 = "requestWxFacePictureVerify:ok";
        if (r27 == 0) goto L_0x20ad;
    L_0x2099:
        r2 = r27.getExtras();
    L_0x209d:
        r2 = com.tencent.mm.plugin.webview.ui.tools.jsapi.i.aq(r2);
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x20ad:
        r2 = 0;
        goto L_0x209d;
    L_0x20af:
        r2 = 1;
        r0 = r26;
        if (r0 != r2) goto L_0x20d3;
    L_0x20b4:
        r0 = r24;
        r3 = r0.uGd;
        r4 = "requestWxFacePictureVerify:fail";
        if (r27 == 0) goto L_0x20d1;
    L_0x20bd:
        r2 = r27.getExtras();
    L_0x20c1:
        r2 = com.tencent.mm.plugin.webview.ui.tools.jsapi.i.aq(r2);
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x20d1:
        r2 = 0;
        goto L_0x20c1;
    L_0x20d3:
        if (r26 != 0) goto L_0x2d4e;
    L_0x20d5:
        r0 = r24;
        r3 = r0.uGd;
        r4 = "requestWxFacePictureVerify:cancel";
        if (r27 == 0) goto L_0x20f2;
    L_0x20de:
        r2 = r27.getExtras();
    L_0x20e2:
        r2 = com.tencent.mm.plugin.webview.ui.tools.jsapi.i.aq(r2);
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x20f2:
        r2 = 0;
        goto L_0x20e2;
    L_0x20f4:
        r2 = 49;
        r0 = r25;
        if (r0 != r2) goto L_0x2176;
    L_0x20fa:
        r2 = "MicroMsg.MsgHandler";
        r3 = "hy: REQUEST_FACE_DETECT_WITH_VIDEO resultCode: %d";
        r4 = 1;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = java.lang.Integer.valueOf(r26);
        r4[r5] = r6;
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3, r4);
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x2131;
    L_0x2112:
        r0 = r24;
        r3 = r0.uGd;
        r4 = "requestWxFacePictureVerifyUnionVideo:ok";
        if (r27 == 0) goto L_0x212f;
    L_0x211b:
        r2 = r27.getExtras();
    L_0x211f:
        r2 = com.tencent.mm.plugin.webview.ui.tools.jsapi.i.aq(r2);
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x212f:
        r2 = 0;
        goto L_0x211f;
    L_0x2131:
        r2 = 1;
        r0 = r26;
        if (r0 != r2) goto L_0x2155;
    L_0x2136:
        r0 = r24;
        r3 = r0.uGd;
        r4 = "requestWxFacePictureVerifyUnionVideo:fail";
        if (r27 == 0) goto L_0x2153;
    L_0x213f:
        r2 = r27.getExtras();
    L_0x2143:
        r2 = com.tencent.mm.plugin.webview.ui.tools.jsapi.i.aq(r2);
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x2153:
        r2 = 0;
        goto L_0x2143;
    L_0x2155:
        if (r26 != 0) goto L_0x2d4e;
    L_0x2157:
        r0 = r24;
        r3 = r0.uGd;
        r4 = "requestWxFacePictureVerifyUnionVideo:cancel";
        if (r27 == 0) goto L_0x2174;
    L_0x2160:
        r2 = r27.getExtras();
    L_0x2164:
        r2 = com.tencent.mm.plugin.webview.ui.tools.jsapi.i.aq(r2);
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x2174:
        r2 = 0;
        goto L_0x2164;
    L_0x2176:
        r2 = 52;
        r0 = r25;
        if (r0 != r2) goto L_0x22c9;
    L_0x217c:
        r2 = "MicroMsg.MsgHandler";
        r3 = "share emmotion resultCode: %d";
        r4 = 1;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = java.lang.Integer.valueOf(r26);
        r4[r5] = r6;
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3, r4);
        switch(r26) {
            case -1: goto L_0x21a6;
            case 0: goto L_0x22b5;
            default: goto L_0x2192;
        };
    L_0x2192:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "shareEmoticon:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x21a6:
        r2 = "Select_Conv_User";
        r0 = r27;
        r2 = r0.getStringExtra(r2);
        r3 = "";
        r4 = com.tencent.mm.sdk.platformtools.bo.bc(r2, r3);
        r2 = "emoji_thumb_path";
        r0 = r27;
        r2 = r0.getStringExtra(r2);
        r3 = "";
        r3 = com.tencent.mm.sdk.platformtools.bo.bc(r2, r3);
        r2 = "emoji_activity_id";
        r0 = r27;
        r2 = r0.getStringExtra(r2);
        r5 = "";
        r5 = com.tencent.mm.sdk.platformtools.bo.bc(r2, r5);
        r2 = com.tencent.mm.plugin.emoji.model.j.getEmojiStorageMgr();
        r2 = r2.aUp();
        r2 = r2.aqi(r3);
        if (r2 != 0) goto L_0x2d58;
    L_0x21e4:
        r6 = com.tencent.mm.plugin.emoji.h.b.Yb();
        r7 = "";
        r6 = com.tencent.mm.plugin.emoji.model.EmojiLogic.L(r6, r7, r3);
        r7 = com.tencent.mm.vfs.e.ct(r6);
        if (r7 == 0) goto L_0x2d58;
    L_0x21f5:
        r2 = com.tencent.mm.sdk.platformtools.r.amo(r6);
        if (r2 == 0) goto L_0x225a;
    L_0x21fb:
        r2 = com.tencent.mm.storage.emotion.EmojiInfo.yan;
    L_0x21fd:
        r7 = new com.tencent.mm.storage.emotion.EmojiInfo;
        r7.<init>();
        r7.vS(r3);
        r3 = com.tencent.mm.storage.emotion.EmojiInfo.yaf;
        r7.Mw(r3);
        r7.setType(r2);
        r2 = com.tencent.mm.vfs.e.asZ(r6);
        r2 = (int) r2;
        r7.setSize(r2);
        r7.duY();
        r2 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r5);
        if (r2 != 0) goto L_0x2220;
    L_0x221e:
        r7.field_activityid = r5;
    L_0x2220:
        r2 = com.tencent.mm.plugin.emoji.model.j.getEmojiStorageMgr();
        r2 = r2.aUp();
        r2 = r2.E(r7);
        r3 = r2;
    L_0x222d:
        r2 = "";
        r2 = com.tencent.mm.sdk.platformtools.bo.bc(r4, r2);
        r5 = ",";
        r2 = r2.split(r5);
        r2 = com.tencent.mm.sdk.platformtools.bo.P(r2);
        r5 = r2.iterator();
    L_0x2243:
        r2 = r5.hasNext();
        if (r2 == 0) goto L_0x225d;
    L_0x2249:
        r2 = r5.next();
        r2 = (java.lang.String) r2;
        if (r3 == 0) goto L_0x2243;
    L_0x2251:
        r6 = com.tencent.mm.plugin.emoji.model.j.bki();
        r7 = 0;
        r6.a(r2, r3, r7);
        goto L_0x2243;
    L_0x225a:
        r2 = com.tencent.mm.storage.emotion.EmojiInfo.yam;
        goto L_0x21fd;
    L_0x225d:
        r2 = "custom_send_text";
        r0 = r27;
        r2 = r0.getStringExtra(r2);
        r3 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r2);
        if (r3 != 0) goto L_0x228b;
    L_0x226c:
        r3 = new com.tencent.mm.g.a.qb;
        r3.<init>();
        r5 = r3.cMq;
        r5.cMr = r4;
        r5 = r3.cMq;
        r5.content = r2;
        r2 = r3.cMq;
        r4 = com.tencent.mm.model.t.nK(r4);
        r2.type = r4;
        r2 = r3.cMq;
        r4 = 0;
        r2.flags = r4;
        r2 = com.tencent.mm.sdk.b.a.xxA;
        r2.m(r3);
    L_0x228b:
        r0 = r24;
        r2 = r0.context;
        r0 = r24;
        r3 = r0.context;
        r3 = r3.getResources();
        r4 = 2131297050; // 0x7f09031a float:1.8212034E38 double:1.0530006535E-314;
        r3 = r3.getString(r4);
        com.tencent.mm.ui.base.h.bN(r2, r3);
        r0 = r24;
        r2 = r0.uGd;
        r3 = "shareEmoticon:ok";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x22b5:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "shareEmoticon:cancel";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x22c9:
        r2 = 50;
        r0 = r25;
        if (r0 != r2) goto L_0x234b;
    L_0x22cf:
        r2 = "MicroMsg.MsgHandler";
        r3 = "hy: requestWxFaceRegisterInternal resultCode: %d";
        r4 = 1;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = java.lang.Integer.valueOf(r26);
        r4[r5] = r6;
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3, r4);
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x2306;
    L_0x22e7:
        r0 = r24;
        r3 = r0.uGd;
        r4 = "requestWxFaceRegisterInternal:ok";
        if (r27 == 0) goto L_0x2304;
    L_0x22f0:
        r2 = r27.getExtras();
    L_0x22f4:
        r2 = com.tencent.mm.plugin.webview.ui.tools.jsapi.i.aq(r2);
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x2304:
        r2 = 0;
        goto L_0x22f4;
    L_0x2306:
        r2 = 1;
        r0 = r26;
        if (r0 != r2) goto L_0x232a;
    L_0x230b:
        r0 = r24;
        r3 = r0.uGd;
        r4 = "requestWxFaceRegisterInternal:fail";
        if (r27 == 0) goto L_0x2328;
    L_0x2314:
        r2 = r27.getExtras();
    L_0x2318:
        r2 = com.tencent.mm.plugin.webview.ui.tools.jsapi.i.aq(r2);
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x2328:
        r2 = 0;
        goto L_0x2318;
    L_0x232a:
        if (r26 != 0) goto L_0x2d4e;
    L_0x232c:
        r0 = r24;
        r3 = r0.uGd;
        r4 = "requestWxFaceRegisterInternal:cancel";
        if (r27 == 0) goto L_0x2349;
    L_0x2335:
        r2 = r27.getExtras();
    L_0x2339:
        r2 = com.tencent.mm.plugin.webview.ui.tools.jsapi.i.aq(r2);
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x2349:
        r2 = 0;
        goto L_0x2339;
    L_0x234b:
        r2 = 51;
        r0 = r25;
        if (r0 != r2) goto L_0x23cd;
    L_0x2351:
        r2 = "MicroMsg.MsgHandler";
        r3 = "hy: requestWxFaceVerifyInternal resultCode: %d";
        r4 = 1;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = java.lang.Integer.valueOf(r26);
        r4[r5] = r6;
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3, r4);
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x2388;
    L_0x2369:
        r0 = r24;
        r3 = r0.uGd;
        r4 = "requestWxFaceVerifyInternal:ok";
        if (r27 == 0) goto L_0x2386;
    L_0x2372:
        r2 = r27.getExtras();
    L_0x2376:
        r2 = com.tencent.mm.plugin.webview.ui.tools.jsapi.i.aq(r2);
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x2386:
        r2 = 0;
        goto L_0x2376;
    L_0x2388:
        r2 = 1;
        r0 = r26;
        if (r0 != r2) goto L_0x23ac;
    L_0x238d:
        r0 = r24;
        r3 = r0.uGd;
        r4 = "requestWxFaceVerifyInternal:fail";
        if (r27 == 0) goto L_0x23aa;
    L_0x2396:
        r2 = r27.getExtras();
    L_0x239a:
        r2 = com.tencent.mm.plugin.webview.ui.tools.jsapi.i.aq(r2);
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x23aa:
        r2 = 0;
        goto L_0x239a;
    L_0x23ac:
        if (r26 != 0) goto L_0x2d4e;
    L_0x23ae:
        r0 = r24;
        r3 = r0.uGd;
        r4 = "requestWxFaceVerifyInternal:cancel";
        if (r27 == 0) goto L_0x23cb;
    L_0x23b7:
        r2 = r27.getExtras();
    L_0x23bb:
        r2 = com.tencent.mm.plugin.webview.ui.tools.jsapi.i.aq(r2);
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x23cb:
        r2 = 0;
        goto L_0x23bb;
    L_0x23cd:
        r2 = 54;
        r0 = r25;
        if (r0 != r2) goto L_0x2452;
    L_0x23d3:
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x243e;
    L_0x23d8:
        if (r27 == 0) goto L_0x243e;
    L_0x23da:
        r2 = "Select_Contact";
        r0 = r27;
        r2 = r0.getStringExtra(r2);
        r3 = com.tencent.mm.model.s.mJ(r2);
        r4 = new android.os.Bundle;
        r4.<init>();
        r5 = "username";
        r4.putString(r5, r2);
        r2 = "nickname";
        r4.putString(r2, r3);
        r2 = "ret";
        r3 = 0;
        r4.putInt(r2, r3);
        r0 = r24;
        r2 = r0.umI;	 Catch:{ RemoteException -> 0x2422 }
        if (r2 == 0) goto L_0x240e;
    L_0x2405:
        r0 = r24;
        r2 = r0.umI;	 Catch:{ RemoteException -> 0x2422 }
        r3 = 128; // 0x80 float:1.794E-43 double:6.32E-322;
        r2.c(r3, r4);	 Catch:{ RemoteException -> 0x2422 }
    L_0x240e:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "selectContact:succ";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x2422:
        r2 = move-exception;
        r3 = "MicroMsg.MsgHandler";
        r4 = new java.lang.StringBuilder;
        r5 = "onSearchDataReady exception";
        r4.<init>(r5);
        r2 = r2.getMessage();
        r2 = r4.append(r2);
        r2 = r2.toString();
        com.tencent.mm.sdk.platformtools.ab.w(r3, r2);
        goto L_0x240e;
    L_0x243e:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "selectContact:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x2452:
        r2 = 65;
        r0 = r25;
        if (r0 != r2) goto L_0x24de;
    L_0x2458:
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x24ca;
    L_0x245d:
        if (r27 == 0) goto L_0x24ca;
    L_0x245f:
        r2 = "Select_Contact";
        r0 = r27;
        r3 = r0.getStringExtra(r2);
        r2 = com.tencent.mm.model.s.mJ(r3);
        r4 = new java.util.HashMap;
        r4.<init>();
        r5 = "username";
        r4.put(r5, r3);
        r5 = "nickname";
        r4.put(r5, r2);
        r2 = com.tencent.mm.ah.o.act();
        r2 = r2.qo(r3);
        if (r2 == 0) goto L_0x2491;
    L_0x2487:
        r2 = r2.acl();
        r5 = "headurl";
        r4.put(r5, r2);
    L_0x2491:
        r2 = com.tencent.mm.plugin.messenger.foundation.a.j.class;
        r2 = com.tencent.mm.kernel.g.K(r2);
        r2 = (com.tencent.mm.plugin.messenger.foundation.a.j) r2;
        r2 = r2.XM();
        r2 = r2.aoO(r3);
        if (r2 == 0) goto L_0x24b7;
    L_0x24a3:
        r3 = r2.Hq();
        r3 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r3);
        if (r3 != 0) goto L_0x24b7;
    L_0x24ad:
        r3 = "alias";
        r2 = r2.Hq();
        r4.put(r3, r2);
    L_0x24b7:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "selectContact:ok";
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x24ca:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "selectContact:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x24de:
        r2 = 55;
        r0 = r25;
        if (r0 != r2) goto L_0x25be;
    L_0x24e4:
        r2 = "MicroMsg.MsgHandler";
        r3 = "hy: REQUEST_SET_RESET_WALLET_PWD_REQUEST resultCode: %d";
        r4 = 1;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = java.lang.Integer.valueOf(r26);
        r4[r5] = r6;
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3, r4);
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x2555;
    L_0x24fc:
        r0 = r24;
        r3 = r0.uGd;
        r4 = "setWCPayPassword:ok";
        if (r27 == 0) goto L_0x2553;
    L_0x2505:
        r2 = r27.getExtras();
    L_0x2509:
        r2 = com.tencent.mm.plugin.webview.ui.tools.jsapi.i.aq(r2);
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = com.tencent.mm.plugin.report.service.h.pYm;
        r3 = 14954; // 0x3a6a float:2.0955E-41 double:7.3883E-320;
        r4 = 2;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = com.tencent.mm.pluginsdk.wallet.f.dlI();
        r4[r5] = r6;
        r5 = 1;
        r6 = "setWCPayPassword:ok";
        r4[r5] = r6;
        r2.e(r3, r4);
    L_0x2529:
        r2 = com.tencent.mm.pluginsdk.wallet.f.dlH();
        if (r2 != 0) goto L_0x2532;
    L_0x252f:
        com.tencent.mm.pluginsdk.wallet.f.dlJ();
    L_0x2532:
        r2 = "MicroMsg.MsgHandler";
        r3 = new java.lang.StringBuilder;
        r4 = "WalletJsApiReqKey: ";
        r3.<init>(r4);
        r4 = com.tencent.mm.pluginsdk.wallet.f.dlI();
        r3 = r3.append(r4);
        r3 = r3.toString();
        com.tencent.mm.sdk.platformtools.ab.d(r2, r3);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x2553:
        r2 = 0;
        goto L_0x2509;
    L_0x2555:
        if (r26 != 0) goto L_0x2587;
    L_0x2557:
        r0 = r24;
        r3 = r0.uGd;
        r4 = "setWCPayPassword:cancel";
        if (r27 == 0) goto L_0x2585;
    L_0x2560:
        r2 = r27.getExtras();
    L_0x2564:
        r2 = com.tencent.mm.plugin.webview.ui.tools.jsapi.i.aq(r2);
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = com.tencent.mm.plugin.report.service.h.pYm;
        r3 = 14954; // 0x3a6a float:2.0955E-41 double:7.3883E-320;
        r4 = 2;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = com.tencent.mm.pluginsdk.wallet.f.dlI();
        r4[r5] = r6;
        r5 = 1;
        r6 = "setWCPayPassword:cancel";
        r4[r5] = r6;
        r2.e(r3, r4);
        goto L_0x2529;
    L_0x2585:
        r2 = 0;
        goto L_0x2564;
    L_0x2587:
        r0 = r24;
        r3 = r0.uGd;
        r4 = "setWCPayPassword:fail";
        if (r27 == 0) goto L_0x25bc;
    L_0x2590:
        r2 = r27.getExtras();
    L_0x2594:
        r2 = com.tencent.mm.plugin.webview.ui.tools.jsapi.i.aq(r2);
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = com.tencent.mm.pluginsdk.wallet.f.dlH();
        if (r2 != 0) goto L_0x2529;
    L_0x25a3:
        r2 = com.tencent.mm.plugin.report.service.h.pYm;
        r3 = 14954; // 0x3a6a float:2.0955E-41 double:7.3883E-320;
        r4 = 2;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = com.tencent.mm.pluginsdk.wallet.f.dlI();
        r4[r5] = r6;
        r5 = 1;
        r6 = "setWCPayPassword:fail";
        r4[r5] = r6;
        r2.e(r3, r4);
        goto L_0x2529;
    L_0x25bc:
        r2 = 0;
        goto L_0x2594;
    L_0x25be:
        r2 = 56;
        r0 = r25;
        if (r0 != r2) goto L_0x2632;
    L_0x25c4:
        r2 = "MicroMsg.MsgHandler";
        r3 = "request choose invoice title, resultCode = ";
        r4 = java.lang.String.valueOf(r26);
        r3 = r3.concat(r4);
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3);
        r2 = new java.util.HashMap;
        r2.<init>();
        r3 = -1;
        r0 = r26;
        if (r0 != r3) goto L_0x260a;
    L_0x25df:
        if (r27 == 0) goto L_0x25f7;
    L_0x25e1:
        r3 = "choose_invoice_title_info";
        r0 = r27;
        r3 = r0.getStringExtra(r3);
        r4 = "";
        r3 = com.tencent.mm.sdk.platformtools.bo.bc(r3, r4);
        r4 = "choose_invoice_title_info";
        r2.put(r4, r3);
    L_0x25f7:
        r0 = r24;
        r3 = r0.uGd;
        r4 = "chooseInvoiceTitle:ok";
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x260a:
        if (r26 != 0) goto L_0x261f;
    L_0x260c:
        r0 = r24;
        r3 = r0.uGd;
        r4 = "chooseInvoiceTitle:cancel";
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x261f:
        r0 = r24;
        r3 = r0.uGd;
        r4 = "chooseInvoiceTitle:fail";
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x2632:
        r2 = 57;
        r0 = r25;
        if (r0 != r2) goto L_0x26cc;
    L_0x2638:
        r2 = "MicroMsg.MsgHandler";
        r3 = "request voice login verify, resultCode: %d";
        r4 = 1;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = java.lang.Integer.valueOf(r26);
        r4[r5] = r6;
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3, r4);
        r2 = new java.util.HashMap;
        r2.<init>();
        r3 = -1;
        r0 = r26;
        if (r0 != r3) goto L_0x267c;
    L_0x2655:
        r3 = "err_code";
        r4 = 0;
        r4 = java.lang.Integer.valueOf(r4);
        r2.put(r3, r4);
        r3 = "err_msg";
        r4 = "verify ok";
        r2.put(r3, r4);
        r0 = r24;
        r3 = r0.uGd;
        r4 = "request voice login verify:ok";
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x267c:
        if (r26 != 0) goto L_0x26a5;
    L_0x267e:
        r3 = "err_code";
        r4 = 1;
        r4 = java.lang.Integer.valueOf(r4);
        r2.put(r3, r4);
        r3 = "err_msg";
        r4 = "verify cancel";
        r2.put(r3, r4);
        r0 = r24;
        r3 = r0.uGd;
        r4 = "request voice login verify:cancel";
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x26a5:
        r3 = "err_code";
        r4 = 2;
        r4 = java.lang.Integer.valueOf(r4);
        r2.put(r3, r4);
        r3 = "err_msg";
        r4 = "verify error";
        r2.put(r3, r4);
        r0 = r24;
        r3 = r0.uGd;
        r4 = "request voice login verify:error";
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x26cc:
        r2 = 59;
        r0 = r25;
        if (r0 != r2) goto L_0x2797;
    L_0x26d2:
        r2 = "MicroMsg.MsgHandler";
        r3 = "hy: REQUEST_OPEN_CARD_LIST resultCode: %d";
        r4 = 1;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = java.lang.Integer.valueOf(r26);
        r4[r5] = r6;
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3, r4);
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x2729;
    L_0x26ea:
        r0 = r24;
        r3 = r0.uGd;
        r4 = "openWCPayCardList:ok";
        if (r27 == 0) goto L_0x2727;
    L_0x26f3:
        r2 = r27.getExtras();
    L_0x26f7:
        r2 = com.tencent.mm.plugin.webview.ui.tools.jsapi.i.aq(r2);
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = com.tencent.mm.plugin.report.service.h.pYm;
        r3 = 14954; // 0x3a6a float:2.0955E-41 double:7.3883E-320;
        r4 = 2;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = com.tencent.mm.pluginsdk.wallet.f.dlI();
        r4[r5] = r6;
        r5 = 1;
        r6 = "openWCPayCardList:ok";
        r4[r5] = r6;
        r2.e(r3, r4);
    L_0x2717:
        r2 = com.tencent.mm.pluginsdk.wallet.f.dlH();
        if (r2 != 0) goto L_0x2d4e;
    L_0x271d:
        com.tencent.mm.pluginsdk.wallet.f.dlJ();
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x2727:
        r2 = 0;
        goto L_0x26f7;
    L_0x2729:
        if (r26 != 0) goto L_0x2761;
    L_0x272b:
        r0 = r24;
        r3 = r0.uGd;
        r4 = "openWCPayCardList:fail";
        if (r27 == 0) goto L_0x275f;
    L_0x2734:
        r2 = r27.getExtras();
    L_0x2738:
        r2 = com.tencent.mm.plugin.webview.ui.tools.jsapi.i.aq(r2);
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = com.tencent.mm.pluginsdk.wallet.f.dlH();
        if (r2 != 0) goto L_0x2717;
    L_0x2747:
        r2 = com.tencent.mm.plugin.report.service.h.pYm;
        r3 = 14954; // 0x3a6a float:2.0955E-41 double:7.3883E-320;
        r4 = 2;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = com.tencent.mm.pluginsdk.wallet.f.dlI();
        r4[r5] = r6;
        r5 = 1;
        r6 = "openWCPayCardList:fail";
        r4[r5] = r6;
        r2.e(r3, r4);
        goto L_0x2717;
    L_0x275f:
        r2 = 0;
        goto L_0x2738;
    L_0x2761:
        r0 = r24;
        r3 = r0.uGd;
        r4 = "openWCPayCardList:fail";
        if (r27 == 0) goto L_0x2795;
    L_0x276a:
        r2 = r27.getExtras();
    L_0x276e:
        r2 = com.tencent.mm.plugin.webview.ui.tools.jsapi.i.aq(r2);
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = com.tencent.mm.pluginsdk.wallet.f.dlH();
        if (r2 != 0) goto L_0x2717;
    L_0x277d:
        r2 = com.tencent.mm.plugin.report.service.h.pYm;
        r3 = 14954; // 0x3a6a float:2.0955E-41 double:7.3883E-320;
        r4 = 2;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = com.tencent.mm.pluginsdk.wallet.f.dlI();
        r4[r5] = r6;
        r5 = 1;
        r6 = "openWCPayCardList:fail";
        r4[r5] = r6;
        r2.e(r3, r4);
        goto L_0x2717;
    L_0x2795:
        r2 = 0;
        goto L_0x276e;
    L_0x2797:
        r2 = 60;
        r0 = r25;
        if (r0 != r2) goto L_0x2820;
    L_0x279d:
        if (r27 == 0) goto L_0x27f5;
    L_0x279f:
        r2 = "key_callback";
        r0 = r27;
        r2 = r0.getStringExtra(r2);
        r3 = "MicroMsg.MsgHandler";
        r4 = "open offline pay view callback: %s";
        r5 = 1;
        r5 = new java.lang.Object[r5];
        r6 = 0;
        r5[r6] = r2;
        com.tencent.mm.sdk.platformtools.ab.i(r3, r4, r5);
        r0 = r24;
        r3 = r0.uGd;
        r4 = "openOfflinePayView:%s";
        r5 = 1;
        r5 = new java.lang.Object[r5];
        r6 = 0;
        r5[r6] = r2;
        r2 = java.lang.String.format(r4, r5);
        r4 = 0;
        r0 = r24;
        r0.a(r3, r2, r4);
        r2 = com.tencent.mm.plugin.report.service.h.pYm;
        r3 = 14954; // 0x3a6a float:2.0955E-41 double:7.3883E-320;
        r4 = 2;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = com.tencent.mm.pluginsdk.wallet.f.dlI();
        r4[r5] = r6;
        r5 = 1;
        r6 = "openOfflinePayView:ok";
        r4[r5] = r6;
        r2.e(r3, r4);
    L_0x27e5:
        r2 = com.tencent.mm.pluginsdk.wallet.f.dlH();
        if (r2 != 0) goto L_0x2d4e;
    L_0x27eb:
        com.tencent.mm.pluginsdk.wallet.f.dlJ();
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x27f5:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "openOfflinePayView:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = com.tencent.mm.pluginsdk.wallet.f.dlH();
        if (r2 != 0) goto L_0x27e5;
    L_0x2808:
        r2 = com.tencent.mm.plugin.report.service.h.pYm;
        r3 = 14954; // 0x3a6a float:2.0955E-41 double:7.3883E-320;
        r4 = 2;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = com.tencent.mm.pluginsdk.wallet.f.dlI();
        r4[r5] = r6;
        r5 = 1;
        r6 = "openOfflinePayView:fail";
        r4[r5] = r6;
        r2.e(r3, r4);
        goto L_0x27e5;
    L_0x2820:
        r2 = 58;
        r0 = r25;
        if (r0 != r2) goto L_0x2866;
    L_0x2826:
        r2 = "MicroMsg.MsgHandler";
        r3 = "request bind email, resultCode %d";
        r4 = 1;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = java.lang.Integer.valueOf(r26);
        r4[r5] = r6;
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3, r4);
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x2852;
    L_0x283e:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "bindEmail:ok";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x2852:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "bindEmail:cancel";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x2866:
        r2 = 62;
        r0 = r25;
        if (r0 != r2) goto L_0x2974;
    L_0x286c:
        r2 = "MicroMsg.MsgHandler";
        r3 = "[openRealnameAuth]resultCode:%d";
        r4 = 1;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = java.lang.Integer.valueOf(r26);
        r4[r5] = r6;
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3, r4);
        r2 = new java.util.HashMap;
        r2.<init>();
        r3 = -1;
        r0 = r26;
        if (r0 != r3) goto L_0x28e7;
    L_0x2889:
        r3 = "MicroMsg.MsgHandler";
        r4 = "openRealnameAuth ok";
        com.tencent.mm.sdk.platformtools.ab.i(r3, r4);
        r3 = "intent_auth_token";
        r0 = r27;
        r3 = r0.getStringExtra(r3);
        r4 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r3);
        if (r4 != 0) goto L_0x28d4;
    L_0x28a1:
        r4 = "err_code";
        r5 = 0;
        r5 = java.lang.Integer.valueOf(r5);
        r2.put(r4, r5);
        r4 = "auth_token";
        r2.put(r4, r3);
        r4 = "MicroMsg.MsgHandler";
        r5 = "authToken:%s";
        r6 = 1;
        r6 = new java.lang.Object[r6];
        r7 = 0;
        r6[r7] = r3;
        com.tencent.mm.sdk.platformtools.ab.d(r4, r5, r6);
        r0 = r24;
        r3 = r0.uGd;
        r4 = "openRealnameAuth:ok";
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x28d4:
        r0 = r24;
        r3 = r0.uGd;
        r4 = "openRealnameAuth:fail";
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x28e7:
        if (r26 != 0) goto L_0x2905;
    L_0x28e9:
        r3 = "MicroMsg.MsgHandler";
        r4 = "openRealnameAuth cancel";
        com.tencent.mm.sdk.platformtools.ab.i(r3, r4);
        r0 = r24;
        r3 = r0.uGd;
        r4 = "openRealnameAuth:cancel";
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x2905:
        r3 = 1;
        r0 = r26;
        if (r0 != r3) goto L_0x296d;
    L_0x290a:
        r3 = "MicroMsg.MsgHandler";
        r4 = "openRealnameAuth fail";
        com.tencent.mm.sdk.platformtools.ab.i(r3, r4);
        if (r27 == 0) goto L_0x2961;
    L_0x2915:
        r3 = "intent_err_code";
        r4 = -1;
        r0 = r27;
        r3 = r0.getIntExtra(r3, r4);
        r4 = "intent_err_msg";
        r0 = r27;
        r4 = r0.getStringExtra(r4);
        r5 = "err_code";
        r6 = java.lang.Integer.valueOf(r3);
        r2.put(r5, r6);
        r5 = "err_msg";
        r2.put(r5, r4);
        r0 = r24;
        r5 = r0.uGd;
        r6 = "openRealnameAuth:fail";
        r0 = r24;
        r0.a(r5, r6, r2);
        r2 = "MicroMsg.MsgHandler";
        r5 = "openRealnameAuth errCode:%d, errMsg:%s";
        r6 = 2;
        r6 = new java.lang.Object[r6];
        r7 = 0;
        r3 = java.lang.Integer.valueOf(r3);
        r6[r7] = r3;
        r3 = 1;
        r6[r3] = r4;
        com.tencent.mm.sdk.platformtools.ab.i(r2, r5, r6);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x2961:
        r0 = r24;
        r3 = r0.uGd;
        r4 = "openRealnameAuth:fail";
        r0 = r24;
        r0.a(r3, r4, r2);
    L_0x296d:
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x2974:
        r2 = 61;
        r0 = r25;
        if (r0 != r2) goto L_0x2a85;
    L_0x297a:
        r0 = r24;
        r2 = r0.cEl;
        if (r2 != 0) goto L_0x299d;
    L_0x2980:
        r2 = "MicroMsg.MsgHandler";
        r3 = "mmOnActivityResult fail, appmsg is null";
        com.tencent.mm.sdk.platformtools.ab.e(r2, r3);
        r0 = r24;
        r2 = r0.uGd;
        r3 = "sendSingleAppMessage:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x299d:
        switch(r26) {
            case -1: goto L_0x29c8;
            case 0: goto L_0x29b4;
            default: goto L_0x29a0;
        };
    L_0x29a0:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "sendSingleAppMessage:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x29b4:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "sendSingleAppMessage:cancel";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x29c8:
        if (r27 != 0) goto L_0x29f1;
    L_0x29ca:
        r2 = 0;
        r4 = r2;
    L_0x29cc:
        if (r4 == 0) goto L_0x29d4;
    L_0x29ce:
        r2 = r4.length();
        if (r2 != 0) goto L_0x29fc;
    L_0x29d4:
        r2 = "MicroMsg.MsgHandler";
        r3 = "mmOnActivityResult fail, toUser is null";
        com.tencent.mm.sdk.platformtools.ab.e(r2, r3);
        r0 = r24;
        r2 = r0.uGd;
        r3 = "sendSingleAppMessage:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x29f1:
        r2 = "Select_Conv_User";
        r0 = r27;
        r2 = r0.getStringExtra(r2);
        r4 = r2;
        goto L_0x29cc;
    L_0x29fc:
        r0 = r24;
        r2 = r0.uGd;
        r2 = r2.puc;
        r3 = "__jsapi_fw_ext_info";
        r2 = r2.get(r3);
        r3 = 0;
        r5 = r2 instanceof android.os.Bundle;
        if (r5 == 0) goto L_0x2d55;
    L_0x2a0e:
        r2 = (android.os.Bundle) r2;
        r3 = "__jsapi_fw_ext_info_key_current_url";
        r2 = r2.getString(r3);
    L_0x2a17:
        r0 = r24;
        r3 = r0.uGr;
        r2 = r3.agj(r2);
        r3 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r2);
        if (r3 == 0) goto L_0x2a34;
    L_0x2a25:
        r0 = r24;
        r2 = r0.uGd;
        r2 = r2.puc;
        r3 = "appId";
        r2 = r2.get(r3);
        r2 = (java.lang.String) r2;
    L_0x2a34:
        r3 = new com.tencent.mm.plugin.webview.model.v;
        r5 = "";
        r3.<init>(r2, r5, r4);
        r2 = com.tencent.mm.kernel.g.Rg();
        r5 = 1177; // 0x499 float:1.65E-42 double:5.815E-321;
        r6 = new com.tencent.mm.plugin.webview.ui.tools.jsapi.g$22;
        r0 = r24;
        r1 = r27;
        r6.<init>(r0, r1, r4);
        r2.a(r5, r6);
        r2 = com.tencent.mm.kernel.g.Rg();
        r2.d(r3);
        r0 = r24;
        r2 = r0.context;
        r0 = r24;
        r4 = r0.context;
        r5 = 2131297061; // 0x7f090325 float:1.8212056E38 double:1.053000659E-314;
        r4.getString(r5);
        r0 = r24;
        r4 = r0.context;
        r5 = 2131297086; // 0x7f09033e float:1.8212107E38 double:1.0530006713E-314;
        r4 = r4.getString(r5);
        r5 = 1;
        r6 = new com.tencent.mm.plugin.webview.ui.tools.jsapi.g$23;
        r0 = r24;
        r6.<init>(r0, r3);
        r2 = com.tencent.mm.ui.base.h.b(r2, r4, r5, r6);
        r0 = r24;
        r0.ehJ = r2;
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x2a85:
        r2 = 75;
        r0 = r25;
        if (r0 != r2) goto L_0x2aae;
    L_0x2a8b:
        r2 = -1;
        r0 = r26;
        if (r0 != r2) goto L_0x2a9a;
    L_0x2a90:
        r24.dcz();
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x2a9a:
        r0 = r24;
        r2 = r0.uGd;
        r3 = "geo_location:fail";
        r4 = 0;
        r0 = r24;
        r0.a(r2, r3, r4);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x2aae:
        r2 = 63;
        r0 = r25;
        if (r0 != r2) goto L_0x2c79;
    L_0x2ab4:
        r2 = "MicroMsg.MsgHandler";
        r3 = "REQUEST_FACE_VERIFY_FOR_PAY resultCode: %d";
        r4 = 1;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = java.lang.Integer.valueOf(r26);
        r4[r5] = r6;
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3, r4);
        r2 = "err_code";
        r3 = 0;
        r0 = r27;
        r2 = r0.getIntExtra(r2, r3);
        r3 = "err_msg";
        r0 = r27;
        r0.getStringExtra(r3);
        r3 = "scene";
        r4 = 0;
        r0 = r27;
        r3 = r0.getIntExtra(r3, r4);
        r4 = "countFace";
        r5 = 0;
        r0 = r27;
        r4 = r0.getIntExtra(r4, r5);
        r5 = "totalTime";
        r6 = 0;
        r0 = r27;
        r6 = r0.getLongExtra(r5, r6);
        r5 = "err_type";
        r8 = 6;
        r0 = r27;
        r5 = r0.getIntExtra(r5, r8);
        r8 = "MicroMsg.MsgHandler";
        r9 = "errCode： ";
        r10 = java.lang.String.valueOf(r2);
        r9 = r9.concat(r10);
        com.tencent.mm.sdk.platformtools.ab.i(r8, r9);
        r8 = "MicroMsg.MsgHandler";
        r9 = "scene： ";
        r10 = java.lang.String.valueOf(r3);
        r9 = r9.concat(r10);
        com.tencent.mm.sdk.platformtools.ab.i(r8, r9);
        r8 = "MicroMsg.MsgHandler";
        r9 = "countFace： ";
        r10 = java.lang.String.valueOf(r4);
        r9 = r9.concat(r10);
        com.tencent.mm.sdk.platformtools.ab.i(r8, r9);
        r8 = "MicroMsg.MsgHandler";
        r9 = "totalTime： ";
        r10 = java.lang.String.valueOf(r6);
        r9 = r9.concat(r10);
        com.tencent.mm.sdk.platformtools.ab.i(r8, r9);
        r8 = "MicroMsg.MsgHandler";
        r9 = "errorType： ";
        r10 = java.lang.String.valueOf(r5);
        r9 = r9.concat(r10);
        com.tencent.mm.sdk.platformtools.ab.i(r8, r9);
        r8 = -1;
        r0 = r26;
        if (r0 != r8) goto L_0x2bb9;
    L_0x2b5c:
        r5 = com.tencent.mm.plugin.report.service.h.pYm;
        r8 = 15711; // 0x3d5f float:2.2016E-41 double:7.7623E-320;
        r9 = 7;
        r9 = new java.lang.Object[r9];
        r10 = 0;
        r3 = java.lang.Integer.valueOf(r3);
        r9[r10] = r3;
        r3 = 1;
        r10 = 0;
        r10 = java.lang.Integer.valueOf(r10);
        r9[r3] = r10;
        r3 = 2;
        r4 = java.lang.Integer.valueOf(r4);
        r9[r3] = r4;
        r3 = 3;
        r4 = java.lang.Long.valueOf(r6);
        r9[r3] = r4;
        r3 = 4;
        r4 = 2;
        r4 = java.lang.Integer.valueOf(r4);
        r9[r3] = r4;
        r3 = 5;
        r4 = 0;
        r4 = java.lang.Integer.valueOf(r4);
        r9[r3] = r4;
        r3 = 6;
        r2 = java.lang.Integer.valueOf(r2);
        r9[r3] = r2;
        r5.e(r8, r9);
        r0 = r24;
        r3 = r0.uGd;
        r4 = "faceVerifyForPay:ok";
        if (r27 == 0) goto L_0x2bb7;
    L_0x2ba3:
        r2 = r27.getExtras();
    L_0x2ba7:
        r2 = com.tencent.mm.plugin.webview.ui.tools.jsapi.i.aq(r2);
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x2bb7:
        r2 = 0;
        goto L_0x2ba7;
    L_0x2bb9:
        r8 = 1;
        r0 = r26;
        if (r0 != r8) goto L_0x2c1a;
    L_0x2bbe:
        r8 = com.tencent.mm.plugin.report.service.h.pYm;
        r9 = 15711; // 0x3d5f float:2.2016E-41 double:7.7623E-320;
        r10 = 7;
        r10 = new java.lang.Object[r10];
        r11 = 0;
        r3 = java.lang.Integer.valueOf(r3);
        r10[r11] = r3;
        r3 = 1;
        r11 = 3;
        r11 = java.lang.Integer.valueOf(r11);
        r10[r3] = r11;
        r3 = 2;
        r4 = java.lang.Integer.valueOf(r4);
        r10[r3] = r4;
        r3 = 3;
        r4 = java.lang.Long.valueOf(r6);
        r10[r3] = r4;
        r3 = 4;
        r4 = 2;
        r4 = java.lang.Integer.valueOf(r4);
        r10[r3] = r4;
        r3 = 5;
        r4 = java.lang.Integer.valueOf(r5);
        r10[r3] = r4;
        r3 = 6;
        r2 = java.lang.Integer.valueOf(r2);
        r10[r3] = r2;
        r8.e(r9, r10);
        r0 = r24;
        r3 = r0.uGd;
        r4 = "faceVerifyForPay:fail";
        if (r27 == 0) goto L_0x2c18;
    L_0x2c04:
        r2 = r27.getExtras();
    L_0x2c08:
        r2 = com.tencent.mm.plugin.webview.ui.tools.jsapi.i.aq(r2);
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x2c18:
        r2 = 0;
        goto L_0x2c08;
    L_0x2c1a:
        if (r26 != 0) goto L_0x2c70;
    L_0x2c1c:
        r5 = com.tencent.mm.plugin.report.service.h.pYm;
        r8 = 15711; // 0x3d5f float:2.2016E-41 double:7.7623E-320;
        r9 = 7;
        r9 = new java.lang.Object[r9];
        r10 = 0;
        r3 = java.lang.Integer.valueOf(r3);
        r9[r10] = r3;
        r3 = 1;
        r10 = 2;
        r10 = java.lang.Integer.valueOf(r10);
        r9[r3] = r10;
        r3 = 2;
        r4 = java.lang.Integer.valueOf(r4);
        r9[r3] = r4;
        r3 = 3;
        r4 = java.lang.Long.valueOf(r6);
        r9[r3] = r4;
        r3 = 4;
        r4 = 2;
        r4 = java.lang.Integer.valueOf(r4);
        r9[r3] = r4;
        r3 = 5;
        r4 = 1;
        r4 = java.lang.Integer.valueOf(r4);
        r9[r3] = r4;
        r3 = 6;
        r2 = java.lang.Integer.valueOf(r2);
        r9[r3] = r2;
        r5.e(r8, r9);
        r0 = r24;
        r3 = r0.uGd;
        r4 = "faceVerifyForPay:cancel";
        if (r27 == 0) goto L_0x2c77;
    L_0x2c63:
        r2 = r27.getExtras();
    L_0x2c67:
        r2 = com.tencent.mm.plugin.webview.ui.tools.jsapi.i.aq(r2);
        r0 = r24;
        r0.a(r3, r4, r2);
    L_0x2c70:
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x2c77:
        r2 = 0;
        goto L_0x2c67;
    L_0x2c79:
        r2 = 64;
        r0 = r25;
        if (r0 != r2) goto L_0x2d4e;
    L_0x2c7f:
        r2 = "MicroMsg.MsgHandler";
        r3 = "REQUEST_FACE_VERIFY resultCode: %d";
        r4 = 1;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r6 = java.lang.Integer.valueOf(r26);
        r4[r5] = r6;
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3, r4);
        r2 = new android.os.Bundle;
        r2.<init>();
        if (r27 == 0) goto L_0x2d04;
    L_0x2c99:
        r3 = "err_msg";
        r0 = r27;
        r3 = r0.getStringExtra(r3);
        r4 = "k_bio_id";
        r0 = r27;
        r4 = r0.getStringExtra(r4);
        r5 = "key_pic_cdn_id";
        r0 = r27;
        r5 = r0.getStringExtra(r5);
        r6 = "key_cdn_aes_key";
        r0 = r27;
        r6 = r0.getStringExtra(r6);
        r7 = "check_alive_type";
        r8 = 0;
        r0 = r27;
        r7 = r0.getIntExtra(r7, r8);
        r8 = "err_msg";
        r2.putString(r8, r3);
        r8 = "check_alive_type";
        r2.putInt(r8, r7);
        r8 = "bioid";
        r2.putString(r8, r4);
        r8 = "fileid";
        r2.putString(r8, r5);
        r8 = "aeskey";
        r2.putString(r8, r6);
        r8 = "MicroMsg.MsgHandler";
        r9 = "errMsg： %s ,bioID：%s ,fileID： %s ,aesKey： %s ,check_alive_type： %d";
        r10 = 5;
        r10 = new java.lang.Object[r10];
        r11 = 0;
        r10[r11] = r3;
        r3 = 1;
        r10[r3] = r4;
        r3 = 2;
        r10[r3] = r5;
        r3 = 3;
        r10[r3] = r6;
        r3 = 4;
        r4 = java.lang.Integer.valueOf(r7);
        r10[r3] = r4;
        com.tencent.mm.sdk.platformtools.ab.i(r8, r9, r10);
    L_0x2d04:
        r3 = -1;
        r0 = r26;
        if (r0 != r3) goto L_0x2d20;
    L_0x2d09:
        r0 = r24;
        r3 = r0.uGd;
        r4 = "internelWxFaceVerify:ok";
        r2 = com.tencent.mm.plugin.webview.ui.tools.jsapi.i.aq(r2);
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x2d20:
        r3 = 1;
        r0 = r26;
        if (r0 != r3) goto L_0x2d3c;
    L_0x2d25:
        r0 = r24;
        r3 = r0.uGd;
        r4 = "internelWxFaceVerify:fail";
        r2 = com.tencent.mm.plugin.webview.ui.tools.jsapi.i.aq(r2);
        r0 = r24;
        r0.a(r3, r4, r2);
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x2d3c:
        if (r26 != 0) goto L_0x2d4e;
    L_0x2d3e:
        r0 = r24;
        r3 = r0.uGd;
        r4 = "internelWxFaceVerify:cancel";
        r2 = com.tencent.mm.plugin.webview.ui.tools.jsapi.i.aq(r2);
        r0 = r24;
        r0.a(r3, r4, r2);
    L_0x2d4e:
        r2 = 9379; // 0x24a3 float:1.3143E-41 double:4.634E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0057;
    L_0x2d55:
        r2 = r3;
        goto L_0x2a17;
    L_0x2d58:
        r3 = r2;
        goto L_0x222d;
    L_0x2d5b:
        r4 = r2;
        goto L_0x1ab1;
    L_0x2d5e:
        r3 = r2;
        goto L_0x1840;
    L_0x2d61:
        r3 = r2;
        goto L_0x13a6;
    L_0x2d64:
        r15 = r2;
        goto L_0x008d;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.webview.ui.tools.jsapi.g.c(int, int, android.content.Intent):void");
    }

    private boolean a(com.tencent.mm.pluginsdk.model.app.f fVar, String str, String str2, String str3, String str4, String str5, String str6, String str7) {
        AppMethodBeat.i(9380);
        if (this.cEl == null) {
            ab.w("MicroMsg.MsgHandler", "doSendAppMsg: but appmsg is null");
            AppMethodBeat.o(9380);
            return false;
        }
        o.ahk();
        Bitmap kR = com.tencent.mm.at.c.kR(str3);
        if (!(kR == null || kR.isRecycled())) {
            ab.i("MicroMsg.MsgHandler", "thumb image is not null");
            ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
            kR.compress(CompressFormat.PNG, 100, byteArrayOutputStream);
            this.cEl.thumbData = byteArrayOutputStream.toByteArray();
        }
        py pyVar = new py();
        pyVar.cMe.cEl = this.cEl;
        pyVar.cMe.appId = str;
        pyVar.cMe.appName = fVar == null ? "" : fVar.field_appName;
        pyVar.cMe.toUser = str2;
        pyVar.cMe.cMf = 2;
        if (bo.isNullOrNil(str4)) {
            pyVar.cMe.cMi = null;
        } else {
            pyVar.cMe.cMg = str4;
            pyVar.cMe.cMh = str5;
        }
        try {
            String string = this.uGh.getString("key_snsad_statextstr");
            pyVar.cMe.cMn = string;
            pyVar.cMe.cMj = this.umI.cYY();
            Bundle g = this.umI.g(18, null);
            if (g != null) {
                py$a py_a = pyVar.cMe;
                String nullAsNil = bo.nullAsNil(g.getString("KPublisherId"));
                py_a.cMm = nullAsNil;
                String nW = v.nW(nullAsNil);
                v.b y = v.Zp().y(nW, true);
                y.j("sendAppMsgScene", Integer.valueOf(2));
                y.j("preChatName", g.getString("preChatName"));
                y.j("preMsgIndex", Integer.valueOf(g.getInt("preMsgIndex")));
                y.j("prePublishId", g.getString("prePublishId"));
                y.j("preUsername", g.getString("preUsername"));
                y.j("getA8KeyScene", Integer.valueOf(g.getInt("getA8KeyScene")));
                y.j("referUrl", g.getString("referUrl"));
                int i = g.getInt("_DATA_CENTER_ITEM_SHOW_TYPE", -1);
                if (i != -1) {
                    y.j("_DATA_CENTER_ITEM_SHOW_TYPE", Integer.valueOf(i));
                    y.j("_tmpl_webview_transfer_scene", Integer.valueOf(11));
                }
                if (!bo.isNullOrNil(string)) {
                    y.j("adExtStr", string);
                }
                pyVar.cMe.cvF = nW;
            }
            string = this.umI.getCurrentUrl();
            pyVar.cMe.cMk = string;
            pyVar.cMe.cMl = this.uGr.agj(string);
        } catch (Exception e) {
            ab.e("MicroMsg.MsgHandler", "init bunddata failed : %s", new Object[]{e.getMessage()});
        }
        boolean m = com.tencent.mm.sdk.b.a.xxA.m(pyVar);
        if (!bo.isNullOrNil(str6)) {
            qb qbVar = new qb();
            qbVar.cMq.cMr = str2;
            qbVar.cMq.content = str6;
            qbVar.cMq.type = t.nK(str2);
            qbVar.cMq.flags = 0;
            com.tencent.mm.sdk.b.a.xxA.m(qbVar);
        }
        if (m) {
            try {
                if (this.umI != null) {
                    a(str, str3, t.kH(str2) ? 2 : 3, this.umI.g(85, null));
                }
            } catch (RemoteException e2) {
                ab.e("MicroMsg.MsgHandler", "invokeAsResult : %s", new Object[]{e2});
            }
        }
        if (!bo.isNullOrNil(str7)) {
            h.pYm.e(10424, new Object[]{Integer.valueOf(49), Integer.valueOf(128), str7});
        }
        AppMethodBeat.o(9380);
        return m;
    }

    private void a(String str, String str2, int i, Bundle bundle) {
        AppMethodBeat.i(9381);
        if (bundle == null) {
            AppMethodBeat.o(9381);
            return;
        }
        String string = bundle.getString("share_report_pre_msg_url");
        String string2 = bundle.getString("share_report_pre_msg_title");
        String string3 = bundle.getString("share_report_pre_msg_desc");
        String string4 = bundle.getString("share_report_pre_msg_icon_url");
        String string5 = bundle.getString("share_report_pre_msg_appid");
        int i2 = bundle.getInt("share_report_from_scene", 0);
        String string6 = bundle.getString("share_report_biz_username");
        String string7 = bundle.getString("share_report_current_url");
        String string8 = bundle.getString("share_report_current_title");
        String str3 = this.cEl.mediaObject instanceof WXWebpageObject ? ((WXWebpageObject) this.cEl.mediaObject).webpageUrl : "";
        String str4 = this.cEl.title;
        String str5 = this.cEl.description;
        h.pYm.e(14062, new Object[]{string, string2, string3, string4, string5, Integer.valueOf(i2), string6, string7, string8, str, str3, str4, str5, str2, Integer.valueOf(i)});
        AppMethodBeat.o(9381);
    }

    private void a(i iVar, Map<String, Object> map) {
        AppMethodBeat.i(9382);
        a(iVar, iVar.uIJ + ":ok", (Map) map);
        AppMethodBeat.o(9382);
    }

    private void a(i iVar, String str, Map<String, Object> map) {
        AppMethodBeat.i(9383);
        a(iVar, str, (Map) map, true);
        AppMethodBeat.o(9383);
    }

    public final void a(i iVar, String str, Map<String, Object> map, boolean z) {
        AppMethodBeat.i(9384);
        this.eBB = false;
        try {
            if (this.umI != null) {
                this.umI.a(iVar == null ? null : iVar.uIG, str, i.aP(map), z);
            }
            AppMethodBeat.o(9384);
        } catch (Exception e) {
            ab.w("MicroMsg.MsgHandler", "onHandleEnd, ex = " + e.getMessage());
            AppMethodBeat.o(9384);
        }
    }

    public final void a(e eVar, i iVar, String str, Map<String, Object> map, boolean z, boolean z2) {
        AppMethodBeat.i(9385);
        if (!z2) {
            this.eBB = false;
        }
        try {
            eVar.a(iVar == null ? null : iVar.uIG, str, i.aP(map), z);
            AppMethodBeat.o(9385);
        } catch (Exception e) {
            ab.w("MicroMsg.MsgHandler", "onHandleEnd, ex = " + e.getMessage());
            AppMethodBeat.o(9385);
        }
    }

    private void b(i iVar, boolean z) {
        AppMethodBeat.i(9386);
        if (iVar == null) {
            ab.e("MicroMsg.MsgHandler", "msg is null when report.");
            AppMethodBeat.o(9386);
            return;
        }
        String str = iVar.uIJ;
        Map map = iVar.uII;
        map.put("isSuccess", Boolean.valueOf(z));
        l.C(str, map);
        Object obj = "";
        if (this.uGh != null) {
            obj = this.uGh.getString("key_webview_container_env");
        }
        if ("miniProgram".equals(obj)) {
            n.a(this.umI, str, iVar);
        }
        AppMethodBeat.o(9386);
    }

    private int bc(i iVar) {
        AppMethodBeat.i(9387);
        int hashCode = iVar.hashCode();
        this.uGV.put(Integer.valueOf(hashCode), new c(this, iVar, this.umI));
        this.eBB = false;
        try {
            this.umI.cZc();
        } catch (RemoteException e) {
            ab.w("MicroMsg.MsgHandler", "blockMsg, dealNext ex = %s", new Object[]{e.getMessage()});
        }
        AppMethodBeat.o(9387);
        return hashCode;
    }

    private c JN(int i) {
        AppMethodBeat.i(9388);
        c cVar = (c) this.uGV.get(Integer.valueOf(i));
        AppMethodBeat.o(9388);
        return cVar;
    }

    private void JO(int i) {
        AppMethodBeat.i(9389);
        c cVar = (c) this.uGV.remove(Integer.valueOf(i));
        if (cVar != null) {
            cVar.uGd = null;
            cVar.umI = null;
        }
        AppMethodBeat.o(9389);
    }

    private boolean bd(i iVar) {
        AppMethodBeat.i(9390);
        this.eBB = false;
        boolean aD;
        if (aa.d(iVar.puc, "scene", 0) == 21) {
            aD = com.tencent.mm.plugin.webview.fts.f.cWo().aD(iVar.puc);
            AppMethodBeat.o(9390);
            return aD;
        }
        aD = com.tencent.mm.plugin.webview.modeltools.g.cYD().aD(iVar.puc);
        AppMethodBeat.o(9390);
        return aD;
    }

    private boolean be(i iVar) {
        AppMethodBeat.i(9391);
        iVar.puc.put(VideoMaterialUtil.CRAZYFACE_LAYER_TYPE, Integer.valueOf(262144));
        iVar.puc.put("subType", Integer.valueOf(8));
        com.tencent.mm.plugin.webview.modeltools.g.cYD().ugd = new cvf();
        com.tencent.mm.plugin.webview.modeltools.g.cYD().ugd.xrk = new li();
        com.tencent.mm.plugin.webview.modeltools.g.cYD().ugd.xrk.vOS = 1;
        a(iVar, iVar.uIJ + ":ok", new HashMap());
        boolean bd = bd(iVar);
        AppMethodBeat.o(9391);
        return bd;
    }

    private boolean bf(i iVar) {
        AppMethodBeat.i(9392);
        Map hashMap = new HashMap();
        com.tencent.mm.plugin.webview.modeltools.g.cYC();
        com.tencent.mm.plugin.webview.fts.b.c(iVar.puc, hashMap);
        a(iVar, "getSearchDisplayName:ok", hashMap);
        AppMethodBeat.o(9392);
        return true;
    }

    private boolean bg(i iVar) {
        AppMethodBeat.i(9393);
        this.eBB = false;
        aa.a(this.context, com.tencent.mm.plugin.topstory.a.g.ag(iVar.puc));
        Map hashMap = new HashMap();
        hashMap.put("ret", Integer.valueOf(0));
        a(iVar, "0", hashMap);
        AppMethodBeat.o(9393);
        return false;
    }

    private boolean bh(i iVar) {
        AppMethodBeat.i(9394);
        this.eBB = false;
        Map hashMap = new HashMap();
        if (aa.d(iVar.puc, "actionType", 0) == 1) {
            String t = aa.t(iVar.puc, "jumpUrl");
            String t2 = aa.t(iVar.puc, "publishId");
            Intent intent = new Intent();
            intent.putExtra("rawUrl", t);
            intent.putExtra("KPublisherId", t2);
            com.tencent.mm.bp.d.b(this.context, "webview", ".ui.tools.WebViewUI", intent);
            ab.i("MicroMsg.MsgHandler", "doOpenWebSearchOutLinkItemClick actionType %d publishId %s url %s", new Object[]{Integer.valueOf(r1), t2, t});
            hashMap.put("ret", Integer.valueOf(0));
        } else {
            hashMap.put("ret", Integer.valueOf(-1));
        }
        a(iVar, "0", hashMap);
        AppMethodBeat.o(9394);
        return true;
    }

    private boolean bi(i iVar) {
        AppMethodBeat.i(9395);
        this.eBB = false;
        try {
            if (!(this.umI == null || iVar.puc == null || !iVar.puc.containsKey("view"))) {
                Bundle bundle = new Bundle();
                bundle.putString("fts_key_data", (String) iVar.puc.get("view"));
                this.umI.c(138, bundle);
            }
        } catch (Exception e) {
        }
        AppMethodBeat.o(9395);
        return false;
    }

    private boolean bj(i iVar) {
        AppMethodBeat.i(9396);
        this.eBB = false;
        int ank = bo.ank((String) iVar.puc.get(VideoMaterialUtil.CRAZYFACE_X));
        int ank2 = bo.ank((String) iVar.puc.get(VideoMaterialUtil.CRAZYFACE_Y));
        String str = (String) iVar.puc.get("eventId");
        Bundle bundle = new Bundle();
        bundle.putString("widgetId", (String) iVar.puc.get("widgetId"));
        bundle.putInt(VideoMaterialUtil.CRAZYFACE_X, ank);
        bundle.putInt(VideoMaterialUtil.CRAZYFACE_Y, ank2);
        bundle.putString("eventId", str);
        try {
            if (this.umI != null) {
                this.umI.c(100002, bundle);
            }
        } catch (RemoteException e) {
            ab.w("MicroMsg.MsgHandler", "doTapSearchWAWidgetView exception" + e.getMessage());
        }
        a(iVar, "tapSearchWAWidgetView:ok", null);
        AppMethodBeat.o(9396);
        return true;
    }

    private boolean bk(i iVar) {
        AppMethodBeat.i(9397);
        this.eBB = false;
        Bundle bundle = new Bundle();
        bundle.putString("widgetId", (String) iVar.puc.get("widgetId"));
        try {
            if (this.umI != null) {
                this.umI.c(100001, bundle);
            }
        } catch (RemoteException e) {
            ab.w("MicroMsg.MsgHandler", "doOpenSearchWAWidgetLogView exception" + e.getMessage());
        }
        a(iVar, "openSearchWAWidgetLogView:ok", null);
        AppMethodBeat.o(9397);
        return true;
    }

    private boolean bl(i iVar) {
        Object obj;
        AppMethodBeat.i(9398);
        this.eBB = false;
        this.uGW++;
        String jSONObject = new JSONObject(iVar.puc).toString();
        com.tencent.mm.plugin.websearch.widget.d.cVP();
        if (com.tencent.mm.plugin.websearch.widget.d.a(WidgetData.adQ(jSONObject))) {
            String str = ((String) iVar.puc.get("appid")) + "_" + this.uGW + "_" + System.currentTimeMillis();
            Bundle bundle = new Bundle();
            bundle.putString("fts_key_json_data", jSONObject);
            bundle.putString("fts_key_widget_view_cache_key", str);
            bundle.putInt("websearch_is_test_draw_json", ((com.tencent.mm.plugin.websearch.api.n) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.websearch.api.n.class)).cUM());
            String obj2;
            try {
                if (this.umI != null) {
                    this.umI.c(60, bundle);
                }
                obj2 = str;
            } catch (RemoteException e) {
                ab.w("MicroMsg.MsgHandler", "onSearchDataReady exception" + e.getMessage());
                obj2 = str;
            }
        } else {
            obj2 = "";
        }
        Map hashMap = new HashMap();
        hashMap.put("widgetId", obj2);
        a(iVar, "insertSearchWAWidgetView:ok", hashMap);
        AppMethodBeat.o(9398);
        return true;
    }

    private boolean bm(i iVar) {
        AppMethodBeat.i(9399);
        this.eBB = false;
        int i = this.uGX;
        this.uGX = i + 1;
        Bundle aP = i.aP(iVar.puc);
        if (aP.containsKey("playerId")) {
            i = bo.ank(aP.getString("playerId"));
        } else {
            aP.putString("playerId", String.valueOf(i));
        }
        ab.i("MicroMsg.MsgHandler", "inserting video player id %d, params %s", new Object[]{Integer.valueOf(i), iVar.puc});
        try {
            if (this.umI != null) {
                this.umI.c(200000, aP);
            }
        } catch (RemoteException e) {
            ab.w("MicroMsg.MsgHandler", "doInsertVideoPlayer exception" + e.getMessage());
        }
        Map hashMap = new HashMap();
        hashMap.put("playerId", Integer.valueOf(i));
        a(iVar, "insertVideoPlayer:ok", hashMap);
        AppMethodBeat.o(9399);
        return true;
    }

    private boolean bn(i iVar) {
        AppMethodBeat.i(9400);
        this.eBB = false;
        Bundle aP = i.aP(iVar.puc);
        ab.i("MicroMsg.MsgHandler", "update video player  params %s", new Object[]{iVar.puc});
        try {
            if (this.umI != null) {
                this.umI.c(200001, aP);
            }
        } catch (RemoteException e) {
            ab.w("MicroMsg.MsgHandler", "doInsertVideoPlayer exception" + e.getMessage());
        }
        a(iVar, "updateVideoPlayer:ok", null);
        AppMethodBeat.o(9400);
        return true;
    }

    private boolean bo(i iVar) {
        AppMethodBeat.i(9401);
        this.eBB = false;
        Bundle aP = i.aP(iVar.puc);
        ab.i("MicroMsg.MsgHandler", "remove video player   params %s", new Object[]{iVar.puc});
        try {
            if (this.umI != null) {
                this.umI.c(200002, aP);
            }
        } catch (RemoteException e) {
            ab.w("MicroMsg.MsgHandler", "doRemoveVideoPlayer exception" + e.getMessage());
        }
        a(iVar, "removeVideoPlayer:ok", null);
        AppMethodBeat.o(9401);
        return true;
    }

    private boolean bp(i iVar) {
        AppMethodBeat.i(9402);
        this.eBB = false;
        Bundle aP = i.aP(iVar.puc);
        ab.i("MicroMsg.MsgHandler", "operate video player  params %s", new Object[]{iVar.puc});
        try {
            if (this.umI != null) {
                this.umI.c(200003, aP);
            }
        } catch (RemoteException e) {
            ab.w("MicroMsg.MsgHandler", "doOperateVideoPlayer exception" + e.getMessage());
        }
        a(iVar, "operateVideoPlayer:ok", null);
        AppMethodBeat.o(9402);
        return true;
    }

    private boolean bq(i iVar) {
        AppMethodBeat.i(9403);
        this.eBB = false;
        JSONObject jSONObject = new JSONObject(iVar.puc);
        String str = (String) iVar.puc.get("widgetId");
        Bundle bundle = new Bundle();
        bundle.putString("fts_key_json_data", jSONObject.toString());
        bundle.putString("fts_key_widget_view_cache_key", str);
        try {
            if (this.umI != null) {
                this.umI.c(61, bundle);
            }
        } catch (RemoteException e) {
            ab.w("MicroMsg.MsgHandler", "onSearchDataReady exception" + e.getMessage());
        }
        Map hashMap = new HashMap();
        hashMap.put("widgetId", str);
        a(iVar, "removeSearchWAWidgetView:ok", hashMap);
        AppMethodBeat.o(9403);
        return true;
    }

    private boolean br(i iVar) {
        AppMethodBeat.i(9404);
        this.eBB = false;
        JSONObject jSONObject = new JSONObject(iVar.puc);
        String str = (String) iVar.puc.get("widgetId");
        Bundle bundle = new Bundle();
        bundle.putString("fts_key_json_data", jSONObject.toString());
        bundle.putString("fts_key_widget_view_cache_key", str);
        try {
            if (this.umI != null) {
                this.umI.c(62, bundle);
            }
        } catch (RemoteException e) {
            ab.w("MicroMsg.MsgHandler", "onSearchDataReady exception" + e.getMessage());
        }
        Map hashMap = new HashMap();
        hashMap.put("widgetId", str);
        a(iVar, "updateSearchWAWidgetView:ok", hashMap);
        AppMethodBeat.o(9404);
        return true;
    }

    private boolean bs(i iVar) {
        AppMethodBeat.i(9405);
        String str = (String) iVar.puc.get("miniprogramAppID");
        String str2 = (String) iVar.puc.get("data");
        if (bo.isNullOrNil(str)) {
            a(iVar, "sendDataToMiniProgram:fail invalid miniprogramAppID", null);
        } else {
            ((com.tencent.mm.plugin.appbrand.service.a) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.appbrand.service.a.class)).i(str, str2, this.cIv);
            a(iVar, "sendDataToMiniProgram:ok", null);
        }
        AppMethodBeat.o(9405);
        return false;
    }

    private boolean bt(i iVar) {
        AppMethodBeat.i(9406);
        this.eBB = false;
        ((com.tencent.mm.plugin.appbrand.service.a) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.appbrand.service.a.class)).xl(String.valueOf(iVar.puc.get("appId")));
        a(iVar, "preloadMiniProgramEnv:ok", null);
        AppMethodBeat.o(9406);
        return true;
    }

    private boolean bu(i iVar) {
        List J;
        String str;
        AppMethodBeat.i(9407);
        this.eBB = false;
        Object obj = iVar.puc.get("userNames");
        Object str2 = ":ok";
        if (obj instanceof String) {
            try {
                J = J(new JSONArray((String) obj));
            } catch (Exception e) {
                J = null;
                str2 = ":fail:param type mismatch";
            }
        } else if (obj instanceof JSONArray) {
            J = J((JSONArray) obj);
        } else if (obj instanceof String[]) {
            Object J2 = bo.P((String[]) obj);
        } else {
            J2 = null;
            str2 = ":fail:empty param";
        }
        if (!bo.ek(J2)) {
            ((com.tencent.mm.plugin.appbrand.service.a) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.appbrand.service.a.class)).ax(J2);
        }
        a(iVar, "preloadMiniProgramContacts".concat(String.valueOf(str2)), null);
        AppMethodBeat.o(9407);
        return true;
    }

    private static List<String> J(JSONArray jSONArray) {
        AppMethodBeat.i(9408);
        if (jSONArray == null || jSONArray.length() <= 0) {
            LinkedList linkedList = new LinkedList();
            AppMethodBeat.o(9408);
            return linkedList;
        }
        LinkedList linkedList2 = new LinkedList();
        for (int i = 0; i < jSONArray.length(); i++) {
            linkedList2.add(jSONArray.optString(i));
        }
        AppMethodBeat.o(9408);
        return linkedList2;
    }

    private boolean bv(i iVar) {
        AppMethodBeat.i(9409);
        this.eBB = false;
        se seVar = new se();
        seVar.cOf.context = this.context;
        seVar.cOf.userName = aa.t(iVar.puc, "userName");
        seVar.cOf.appId = aa.t(iVar.puc, "appId");
        seVar.cOf.cOh = aa.t(iVar.puc, "relativeURL");
        seVar.cOf.axy = aa.d(iVar.puc, "appVersion", 0);
        seVar.cOf.scene = aa.d(iVar.puc, "scene", 1018);
        seVar.cOf.cst = aa.t(iVar.puc, "sceneNote");
        if (bo.isNullOrNil(seVar.cOf.cst)) {
            seVar.cOf.cst = com.tencent.mm.compatible.util.q.encode(bo.nullAsNil(getCurrentUrl()));
        }
        seVar.cOf.cOj = aa.t(iVar.puc, "downloadURL");
        seVar.cOf.cOi = aa.d(iVar.puc, "openType", 0);
        seVar.cOf.cOk = aa.t(iVar.puc, "checkSumMd5");
        seVar.cOf.cOm = false;
        seVar.cOf.cOn.fpI = aa.t(iVar.puc, "extJsonInfo");
        seVar.cOf.cOs = bK(getCurrentUrl());
        if (bo.isNullOrNil(seVar.cOf.cOs)) {
            seVar.cOf.cOs = aa.t(iVar.puc, "sourceAppId");
        }
        seVar.cOf.cOt = getCurrentUrl();
        seVar.cOf.cOu = aa.t(iVar.puc, "privateExtraData");
        com.tencent.mm.sdk.b.a.xxA.m(seVar);
        if (seVar.cOg.cOw) {
            a(iVar, "openWeApp:ok", null);
        } else {
            a(iVar, "openWeApp:fail:" + bo.nullAsNil(seVar.cOg.cOx), null);
        }
        AppMethodBeat.o(9409);
        return true;
    }

    private boolean bw(i iVar) {
        int i;
        AppMethodBeat.i(9410);
        this.eBB = false;
        ab.i("MicroMsg.MsgHandler", "doOpenWeAppPage %s", new Object[]{iVar.puc});
        String t = aa.t(iVar.puc, "userName");
        String t2 = aa.t(iVar.puc, "relativeURL");
        if (t2.contains("render_data")) {
            try {
                StringBuilder stringBuilder = new StringBuilder();
                JSONObject jSONObject = new JSONObject(Uri.parse(t2).getQueryParameter("widgetData"));
                jSONObject.remove("render_data");
                t2 = t2.replaceAll("(widgetData=.*&)|(widgetData=.*$)", "&") + "&widgetData=" + jSONObject.toString();
            } catch (JSONException e) {
                ab.printErrStackTrace("MicroMsg.MsgHandler", e, "", new Object[0]);
            }
        }
        int d = aa.d(iVar.puc, "appVersion", 0);
        String t3 = aa.t(iVar.puc, "searchId");
        String t4 = aa.t(iVar.puc, "docId");
        int d2 = aa.d(iVar.puc, "position", 1);
        int d3 = aa.d(iVar.puc, "scene", CredentialsApi.ACTIVITY_RESULT_ADD_ACCOUNT);
        int d4 = aa.d(iVar.puc, "debugMode", 0);
        if (d4 < 0) {
            d4 = 0;
        }
        if (com.tencent.mm.plugin.webview.modeltools.g.cYD().tZK != null) {
            i = 1;
        } else {
            i = d4;
        }
        AppBrandStatObject appBrandStatObject = new AppBrandStatObject();
        if (d3 == 201 || d3 == 14 || d3 == 22) {
            appBrandStatObject.scene = 1006;
        } else if (d3 == 3) {
            appBrandStatObject.scene = 1005;
        } else if (d3 == 16) {
            appBrandStatObject.scene = 1042;
        } else if (d3 == 20) {
            appBrandStatObject.scene = 1053;
        } else {
            appBrandStatObject.scene = CredentialsApi.ACTIVITY_RESULT_ADD_ACCOUNT;
        }
        String t5 = aa.t(iVar.puc, "statSessionId");
        String t6 = aa.t(iVar.puc, "statKeywordId");
        appBrandStatObject.cst = t5 + VideoMaterialUtil.FRAMES_ID_SEPARATOR_3D + t6 + VideoMaterialUtil.FRAMES_ID_SEPARATOR_3D + t3 + VideoMaterialUtil.FRAMES_ID_SEPARATOR_3D + t4 + VideoMaterialUtil.FRAMES_ID_SEPARATOR_3D + d2 + VideoMaterialUtil.FRAMES_ID_SEPARATOR_3D + aa.t(iVar.puc, "subScene");
        ((com.tencent.mm.plugin.appbrand.service.e) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.appbrand.service.e.class)).a(this.context, t, null, i, d, t2, appBrandStatObject);
        com.tencent.mm.ai.b.a aVar = new com.tencent.mm.ai.b.a();
        aVar.fsJ = new csq();
        aVar.fsK = new csr();
        aVar.uri = "/cgi-bin/mmux-bin/weappsearchadclick";
        aVar.fsI = 1873;
        com.tencent.mm.ai.b acD = aVar.acD();
        csq csq = (csq) acD.fsG.fsP;
        csq.xpS = aa.t(iVar.puc, "statSessionId");
        csq.xpT = aa.t(iVar.puc, "statKeywordId");
        csq.wDM = aa.t(iVar.puc, "searchId");
        csq.wUo = aa.t(iVar.puc, "docId");
        csq.gtF = aa.d(iVar.puc, "position", 1);
        csq.pdu = aa.t(iVar.puc, "userName");
        csq.xpU = aa.d(iVar.puc, "appVersion", 0);
        csq.xpV = aa.t(iVar.puc, "adBuffer");
        csq.Scene = d3;
        csq.xpW = aa.t(iVar.puc, "clickExtInfo");
        com.tencent.mm.modelsns.d dVar = new com.tencent.mm.modelsns.d();
        dVar.l("20StatSessionId", csq.xpS + ",");
        dVar.l("21KeywordId", csq.xpT + ",");
        dVar.l("22SearchId", csq.wDM + ",");
        dVar.l("23DocId", csq.wUo + ",");
        dVar.l("24Pos", csq.gtF + ",");
        dVar.l("25AppUserName", csq.pdu + ",");
        dVar.l("26AppVersion", csq.xpU + ",");
        dVar.l("27AdBuffer", csq.xpV + ",");
        dVar.l("28AdClickBuffer", csq.xpW + ",");
        dVar.l("29scene", d3 + ",");
        ab.i("MicroMsg.MsgHandler", "doClickReportScene oreh" + dVar.Fk());
        w.a(acD, new 26(this, dVar));
        a(iVar, "openWeAppPage:ok", null);
        AppMethodBeat.o(9410);
        return true;
    }

    private boolean bx(i iVar) {
        AppMethodBeat.i(9411);
        int d = aa.d(iVar.puc, "logId", 0);
        ab.i("MicroMsg.MsgHandler", "doSearchRailtime oreh id:%d, value:%s, params:%s", new Object[]{Integer.valueOf(d), aa.t(iVar.puc, "logString"), iVar.puc});
        ((com.tencent.mm.plugin.websearch.api.n) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.websearch.api.n.class)).bw(d, r2);
        a(iVar, "reportWeAppSearchRealtime:ok", null);
        AppMethodBeat.o(9411);
        return true;
    }

    private boolean by(i iVar) {
        AppMethodBeat.i(9412);
        String optString = iVar.uIH.optString("name");
        Object opt = iVar.uIH.opt("arg");
        try {
            JSONObject jSONObject = new JSONObject();
            jSONObject.put("name", optString);
            jSONObject.put("arg", opt);
            Bundle bundle = new Bundle();
            bundle.putString("info", jSONObject.toString());
            this.umI.g(139, bundle);
            a(iVar, "invokeMiniProgramAPI:ok", null);
        } catch (Exception e) {
            ab.e("MicroMsg.MsgHandler", "doInvokeMiniProgramApi: %s", new Object[]{e});
            a(iVar, "invokeMiniProgramAPI:fail", null);
        }
        AppMethodBeat.o(9412);
        return true;
    }

    public final void a(String str, boolean z, String str2, Bundle bundle) {
        AppMethodBeat.i(9413);
        Bundle bundle2 = new Bundle();
        bundle2.putString("fts_key_json_data", str);
        bundle2.putString("fts_key_req_id", str2);
        bundle2.putBoolean("fts_key_new_query", z);
        if (bundle != null) {
            bundle2.putBundle("fts_key_data", bundle);
        }
        try {
            if (this.umI != null) {
                this.umI.c(119, bundle2);
            }
            AppMethodBeat.o(9413);
        } catch (RemoteException e) {
            ab.w("MicroMsg.MsgHandler", "onSearchDataReady exception" + e.getMessage());
            AppMethodBeat.o(9413);
        }
    }

    public final void c(int i, String str, Map<String, Object> map) {
        AppMethodBeat.i(9414);
        Bundle bundle = new Bundle();
        bundle.putInt("FTS_KEY_onStartWebSearch_type", i);
        bundle.putString("FTS_KEY_onStartWebSearch_query", str);
        bundle.putSerializable("FTS_KEY_onStartWebSearch_params", new HashMap(map));
        try {
            if (this.umI != null) {
                this.umI.c(135, bundle);
            }
            AppMethodBeat.o(9414);
        } catch (RemoteException e) {
            ab.w("MicroMsg.MsgHandler", "onSearchDataReady exception" + e.getMessage());
            AppMethodBeat.o(9414);
        }
    }

    public final void agq(String str) {
        AppMethodBeat.i(9415);
        Bundle bundle = new Bundle();
        bundle.putString("fts_key_json_data", str);
        try {
            if (this.umI != null) {
                this.umI.c(124, bundle);
            }
            AppMethodBeat.o(9415);
        } catch (RemoteException e) {
            ab.w("MicroMsg.MsgHandler", "onSearchSuggestionDataReady exception" + e.getMessage());
            AppMethodBeat.o(9415);
        }
    }

    public final void aP(JSONObject jSONObject) {
        AppMethodBeat.i(9416);
        Bundle bundle = new Bundle();
        bundle.putString("fts_key_json_data", jSONObject.toString());
        try {
            if (this.umI != null) {
                this.umI.c(137, bundle);
            }
            AppMethodBeat.o(9416);
        } catch (RemoteException e) {
            ab.w("MicroMsg.MsgHandler", "onSearchSuggestionDataReady exception" + e.getMessage());
            AppMethodBeat.o(9416);
        }
    }

    public final void dN(String str, int i) {
        AppMethodBeat.i(9417);
        Bundle bundle = new Bundle();
        bundle.putString("fts_key_sns_id", str);
        bundle.putInt("fts_key_status", i);
        try {
            if (this.umI != null) {
                this.umI.c(125, bundle);
            }
            AppMethodBeat.o(9417);
        } catch (RemoteException e) {
            ab.w("MicroMsg.MsgHandler", "onMusicStatusChanged exception" + e.getMessage());
            AppMethodBeat.o(9417);
        }
    }

    public final void bH(int i, String str) {
        AppMethodBeat.i(9418);
        ab.i("MicroMsg.MsgHandler", "onSearchImageListReady ret %d data %s", new Object[]{Integer.valueOf(i), str});
        Bundle bundle = new Bundle();
        bundle.putInt("fts_key_ret", i);
        bundle.putString("fts_key_data", str);
        try {
            if (this.umI != null) {
                this.umI.c(120, bundle);
            }
            AppMethodBeat.o(9418);
        } catch (RemoteException e) {
            ab.w("MicroMsg.MsgHandler", "onSearchImageListReady exception" + e.getMessage());
            AppMethodBeat.o(9418);
        }
    }

    public final void d(int i, String str, int i2, String str2) {
        AppMethodBeat.i(9419);
        Bundle bundle = new Bundle();
        bundle.putInt("fts_key_teach_request_type", i);
        bundle.putString("fts_key_json_data", str);
        bundle.putInt("fts_key_is_cache_data", i2);
        bundle.putString("requestId", str2);
        try {
            if (this.umI != null) {
                this.umI.c(121, bundle);
            }
            AppMethodBeat.o(9419);
        } catch (RemoteException e) {
            ab.w("MicroMsg.MsgHandler", "onTeachSearchDataReady exception" + e.getMessage());
            AppMethodBeat.o(9419);
        }
    }

    public final void m(String str, int i, int i2, int i3) {
        AppMethodBeat.i(9420);
        Bundle bundle = new Bundle();
        bundle.putString("fts_key_json_data", str);
        bundle.putInt("fts_key_is_cache_data", i);
        bundle.putInt("fts_key_is_expired", i2);
        bundle.putInt("fts_key_is_preload", i3);
        try {
            if (this.umI != null) {
                this.umI.c(142, bundle);
            }
            AppMethodBeat.o(9420);
        } catch (Exception e) {
            AppMethodBeat.o(9420);
        }
    }

    public final boolean bz(i iVar) {
        boolean z = false;
        AppMethodBeat.i(9421);
        int i = bo.getInt(bo.cD(iVar.puc.get("id")), 0);
        if (i <= 0) {
            a(iVar, "kvReport:fail", null);
            AppMethodBeat.o(9421);
        } else {
            boolean z2;
            String cD = bo.cD(iVar.puc.get("value"));
            if (bo.getInt(bo.cD(iVar.puc.get("is_important")), 0) > 0) {
                z2 = true;
            } else {
                z2 = false;
            }
            if (bo.getInt(bo.cD(iVar.puc.get("is_report_now")), 0) > 0) {
                z = true;
            }
            h.pYm.a(i, cD, z, z2);
            a(iVar, "kvReport:ok", null);
            AppMethodBeat.o(9421);
        }
        return true;
    }

    public final String getCurrentUrl() {
        String str = null;
        AppMethodBeat.i(9422);
        if (this.umI == null) {
            ab.i("MicroMsg.MsgHandler", "getCurrentUrl, callbacker is null");
            AppMethodBeat.o(9422);
        } else {
            try {
                str = this.umI.getCurrentUrl();
                AppMethodBeat.o(9422);
            } catch (Exception e) {
                ab.e("MicroMsg.MsgHandler", "getCurrentUrl, exception = %s", new Object[]{e});
                AppMethodBeat.o(9422);
            }
        }
        return str;
    }

    private boolean bA(i iVar) {
        int i = 0;
        AppMethodBeat.i(9423);
        String t = aa.t(iVar.puc, "targetAppId");
        String currentUrl = getCurrentUrl();
        String bK = bK(currentUrl);
        if (bo.isNullOrNil(bK)) {
            bK = aa.t(iVar.puc, "referrerAppId");
        }
        if (bo.isNullOrNil(t)) {
            a(iVar, "launchMiniProgram:fail_invalid_targetAppId", null);
        } else if (bo.isNullOrNil(bK)) {
            a(iVar, "launchMiniProgram:fail_invalid_referrerAppId", null);
        } else {
            String nullAsNil = bo.nullAsNil(aa.t(iVar.puc, "envVersion"));
            int i2 = -1;
            switch (nullAsNil.hashCode()) {
                case 110628630:
                    if (nullAsNil.equals("trial")) {
                        boolean i22 = true;
                        break;
                    }
                    break;
                case 1559690845:
                    if (nullAsNil.equals("develop")) {
                        i22 = 0;
                        break;
                    }
                    break;
            }
            switch (i22) {
                case 0:
                    i = 1;
                    break;
                case 1:
                    i = 2;
                    break;
            }
            ((com.tencent.mm.plugin.appbrand.service.e) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.appbrand.service.e.class)).b(this.context, currentUrl, bK, t, i, aa.t(iVar.puc, "path"), aGu());
            a(iVar, "launchMiniProgram:ok", null);
        }
        AppMethodBeat.o(9423);
        return true;
    }

    private boolean bB(i iVar) {
        int i = 0;
        int i2 = -1;
        AppMethodBeat.i(9424);
        String t = aa.t(iVar.puc, "businessType");
        String currentUrl = getCurrentUrl();
        String bK = bK(currentUrl);
        if (bo.isNullOrNil(bK)) {
            bK = aa.t(iVar.puc, "referrerAppId");
        }
        Map hashMap = new HashMap();
        if (bo.isNullOrNil(t)) {
            hashMap.put("err_code", Integer.valueOf(-4));
            a(iVar, "openBusinessView:fail invalid businessType", hashMap);
        } else if (bo.isNullOrNil(bK)) {
            hashMap.put("err_code", Integer.valueOf(-1));
            a(iVar, "openBusinessView:fail invalid referrerAppId", hashMap);
        } else {
            String nullAsNil = bo.nullAsNil(aa.t(iVar.puc, "envVersion"));
            switch (nullAsNil.hashCode()) {
                case 110628630:
                    if (nullAsNil.equals("trial")) {
                        i2 = 1;
                        break;
                    }
                    break;
                case 1559690845:
                    if (nullAsNil.equals("develop")) {
                        i2 = 0;
                        break;
                    }
                    break;
            }
            switch (i2) {
                case 0:
                    i = 1;
                    break;
                case 1:
                    i = 2;
                    break;
            }
            ((com.tencent.mm.plugin.appbrand.service.e) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.appbrand.service.e.class)).a(this.context, currentUrl, bK, t, aa.t(iVar.puc, "queryString"), i, aGu());
            this.uGY = new 29(this, hashMap, iVar);
            this.uGY.dnU();
        }
        AppMethodBeat.o(9424);
        return true;
    }

    private boolean bC(i iVar) {
        AppMethodBeat.i(9425);
        String str = (String) iVar.puc.get("username");
        if (!bo.isNullOrNil(str)) {
            ((com.tencent.mm.plugin.appbrand.service.d) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.appbrand.service.d.class)).b(str, null);
        }
        a(iVar, "forceUpdateWxaAttr:ok", null);
        AppMethodBeat.o(9425);
        return true;
    }

    private boolean bD(i iVar) {
        AppMethodBeat.i(9426);
        Bundle bundle = new Bundle(2);
        bundle.putString("set_page_title_text", (String) iVar.puc.get("title"));
        bundle.putString("set_page_title_color", (String) iVar.puc.get("color"));
        try {
            this.umI.g(43, bundle);
            a(iVar, "setPageTitle:ok", null);
        } catch (Exception e) {
            ab.e("MicroMsg.MsgHandler", "doSetPageTitle, exception = %s", new Object[]{e});
            a(iVar, "setPageTitle:fail", null);
        }
        AppMethodBeat.o(9426);
        return true;
    }

    @Deprecated
    private boolean bE(i iVar) {
        AppMethodBeat.i(9427);
        String str = (String) iVar.puc.get("color");
        if (bo.isNullOrNil(str)) {
            ab.i("MicroMsg.MsgHandler", "doSetStatusBarStyle, color is null or nill");
            a(iVar, "setStatusBarStyle:fail", null);
            AppMethodBeat.o(9427);
        } else {
            int i;
            if (str.equalsIgnoreCase("black")) {
                i = 48;
            } else if (str.equalsIgnoreCase("white")) {
                i = 49;
            } else {
                i = -1;
            }
            if (-1 != i) {
                try {
                    this.umI.g(i, Bundle.EMPTY);
                    a(iVar, "setStatusBarStyle:ok", null);
                } catch (Exception e) {
                    ab.e("MicroMsg.MsgHandler", "doSetStatusBarStyle, exception = %s", new Object[]{e});
                    a(iVar, "setStatusBarStyle:fail", null);
                }
            } else {
                ab.i("MicroMsg.MsgHandler", "doSetStatusBarStyle, color is neither black or white");
                a(iVar, "setStatusBarStyle:fail", null);
            }
            AppMethodBeat.o(9427);
        }
        return true;
    }

    private boolean bF(i iVar) {
        AppMethodBeat.i(9428);
        if (iVar.puc.containsKey("enable")) {
            try {
                boolean parseBoolean = Boolean.parseBoolean((String) iVar.puc.get("enable"));
                Bundle bundle = new Bundle(1);
                bundle.putBoolean("enable_fullscreen_params_enable", parseBoolean);
                this.umI.g(45, bundle);
                a(iVar, "enableFullScreen:ok", null);
            } catch (Exception e) {
                ab.e("MicroMsg.MsgHandler", "doEnableFullScreen, exception = %s", new Object[]{e});
                a(iVar, "enableFullScreen:fail", null);
            }
            AppMethodBeat.o(9428);
        } else {
            a(iVar, "enableFullScreen:fail_invalid_arguments", null);
            AppMethodBeat.o(9428);
        }
        return true;
    }

    private boolean bG(i iVar) {
        AppMethodBeat.i(9429);
        String str = (String) iVar.puc.get("left");
        String str2 = (String) iVar.puc.get("right");
        if (bo.isNullOrNil(str) && bo.isNullOrNil(str2)) {
            a(iVar, "setNavigationBarButtons:fail", null);
            AppMethodBeat.o(9429);
        } else {
            Bundle bundle = new Bundle();
            try {
                str = new JSONObject(str).optString("color", "");
                if (!bo.isNullOrNil(str)) {
                    bundle.putString("set_navigation_bar_buttons_left_text_color", str);
                }
            } catch (Exception e) {
                ab.printErrStackTrace("MicroMsg.MsgHandler", e, "setNavigationBarButtons opt left ", new Object[0]);
            }
            try {
                JSONObject jSONObject = new JSONObject(str2);
                boolean optBoolean = jSONObject.optBoolean("hidden", false);
                String optString = jSONObject.optString("text", "");
                String nullAsNil = bo.nullAsNil(u.akm(jSONObject.optString("iconData", "")));
                String optString2 = jSONObject.optString("color", "");
                boolean optBoolean2 = jSONObject.optBoolean("needClickEvent", false);
                if (optBoolean) {
                    bundle.putBoolean("set_navigation_bar_buttons_hide_right_button", true);
                } else {
                    bundle.putString("set_navigation_bar_buttons_text", optString);
                    bundle.putString("set_navigation_bar_buttons_icon_data", nullAsNil);
                    bundle.putString("set_navigation_bar_buttons_text_color", optString2);
                    bundle.putBoolean("set_navigation_bar_buttons_need_click_event", optBoolean2);
                }
            } catch (Exception e2) {
                ab.printErrStackTrace("MicroMsg.MsgHandler", e2, "setNavigationBarButtons opt right ", new Object[0]);
            }
            if (bundle.size() < 0) {
                a(iVar, "setNavigationBarButtons:fail_invalid_params", null);
                AppMethodBeat.o(9429);
            } else {
                try {
                    this.umI.g(44, bundle);
                    a(iVar, "setNavigationBarButtons:ok", null);
                } catch (Exception e22) {
                    ab.printErrStackTrace("MicroMsg.MsgHandler", e22, " setNavigationBarButtons invoke ", new Object[0]);
                    a(iVar, "setNavigationBarButtons:fail_invoke", null);
                }
                AppMethodBeat.o(9429);
            }
        }
        return true;
    }

    public final boolean bH(i iVar) {
        AppMethodBeat.i(9430);
        try {
            this.umI.g(34, Bundle.EMPTY);
            a(iVar, "enablePullDownRefresh:ok", null);
        } catch (Exception e) {
            ab.i("MicroMsg.MsgHandler", "doEnablePullDownRefresh, exception = %s", new Object[]{e});
            a(iVar, "enablePullDownRefresh:fail", null);
        }
        AppMethodBeat.o(9430);
        return true;
    }

    public final boolean bI(i iVar) {
        AppMethodBeat.i(9431);
        try {
            this.umI.g(35, Bundle.EMPTY);
            a(iVar, "startPullDownRefresh:ok", null);
        } catch (Exception e) {
            ab.i("MicroMsg.MsgHandler", "doStartPullDownRefresh, exception = %s", new Object[]{e});
            a(iVar, "startPullDownRefresh:fail", null);
        }
        AppMethodBeat.o(9431);
        return true;
    }

    public final boolean bJ(i iVar) {
        AppMethodBeat.i(9432);
        try {
            this.umI.g(36, Bundle.EMPTY);
            a(iVar, "stopPullDownRefresh:ok", null);
        } catch (Exception e) {
            ab.i("MicroMsg.MsgHandler", "doStopPullDownRefresh, exception = %s", new Object[]{e});
            a(iVar, "stopPullDownRefresh:fail", null);
        }
        AppMethodBeat.o(9432);
        return true;
    }

    public final boolean dcI() {
        AppMethodBeat.i(9433);
        try {
            this.umI.g(47, Bundle.EMPTY);
            a(this.uGd, "disablePullDownRefresh:ok", null);
        } catch (Exception e) {
            ab.printErrStackTrace("MicroMsg.MsgHandler", e, "", new Object[0]);
            a(this.uGd, "disablePullDownRefresh:fail", null);
        }
        AppMethodBeat.o(9433);
        return true;
    }

    public final boolean bK(i iVar) {
        AppMethodBeat.i(9434);
        this.eBB = false;
        String nullAsNil = bo.nullAsNil((String) iVar.puc.get("placeholder"));
        int i = bo.getInt((String) iVar.puc.get("maxLength"), 0);
        try {
            Bundle bundle = new Bundle(2);
            bundle.putString("show_kb_placeholder", nullAsNil);
            bundle.putInt("show_kb_max_length", i);
            this.umI.g(37, bundle);
            this.uGZ = iVar;
        } catch (Exception e) {
            ab.i("MicroMsg.MsgHandler", "doShowKeyBoard, exception = %s", new Object[]{e});
            a(this.umI, iVar, "showKeyboard:fail", null, true, true);
        }
        AppMethodBeat.o(9434);
        return true;
    }

    public final boolean bL(i iVar) {
        AppMethodBeat.i(9435);
        this.eBB = false;
        try {
            Bundle g = this.umI.g(79, new Bundle());
            HashMap hashMap = new HashMap();
            int i = g.getInt(VideoMaterialUtil.CRAZYFACE_HEIGHT, 0);
            if (i > 0) {
                hashMap.put(VideoMaterialUtil.CRAZYFACE_HEIGHT, Integer.valueOf(com.tencent.mm.bz.a.ao(ah.getContext(), i)));
                a(this.umI, iVar, "showSmileyPanel:ok", hashMap, true, true);
            } else {
                a(this.umI, iVar, "showSmileyPanel:fail", null, true, true);
            }
        } catch (Exception e) {
            ab.i("MicroMsg.MsgHandler", "doShowSmileyPanel, exception = %s", new Object[]{e});
            a(this.umI, iVar, "showSmileyPanel:fail", null, true, true);
        }
        AppMethodBeat.o(9435);
        return true;
    }

    public final boolean bM(i iVar) {
        AppMethodBeat.i(9436);
        String str = (String) iVar.puc.get("place");
        if (bo.isNullOrNil(str)) {
            a(iVar, "disableBounceScroll:fail", null);
            AppMethodBeat.o(9436);
        } else {
            try {
                JSONArray jSONArray = new JSONArray(str);
                int i = 0;
                for (int i2 = 0; i2 < jSONArray.length(); i2++) {
                    if ("top".equalsIgnoreCase(jSONArray.getString(i2))) {
                        i = true;
                    }
                }
                if (i == 0) {
                    a(iVar, "disableBounceScroll:ok", null);
                    AppMethodBeat.o(9436);
                } else {
                    try {
                        Bundle bundle = new Bundle(1);
                        bundle.putInt("webview_disable_bounce_scroll_top", 1);
                        this.umI.g(38, bundle);
                        a(iVar, "disableBounceScroll:ok", null);
                    } catch (Exception e) {
                        ab.i("MicroMsg.MsgHandler", "doDisableBounceScroll, exception = %s", new Object[]{e});
                        a(iVar, "disableBounceScroll:fail", null);
                    }
                    AppMethodBeat.o(9436);
                }
            } catch (JSONException e2) {
                ab.i("MicroMsg.MsgHandler", "doDisableBounceScroll, invalid json array, string = %s", new Object[]{str});
                a(iVar, "disableBounceScroll:fail", null);
                AppMethodBeat.o(9436);
            }
        }
        return true;
    }

    public final boolean bN(i iVar) {
        AppMethodBeat.i(9437);
        try {
            this.umI.g(39, new Bundle(0));
            a(iVar, "clearBounceBackground:ok", null);
        } catch (Exception e) {
            ab.e("MicroMsg.MsgHandler", "doClearBounceBackground, exception = %s", new Object[]{e});
            a(iVar, "clearBounceBackground:fail", null);
        }
        AppMethodBeat.o(9437);
        return true;
    }

    public final boolean bO(i iVar) {
        AppMethodBeat.i(9438);
        Bundle bundle = new Bundle();
        bundle.putString("key_set_bounce_background_color", (String) iVar.puc.get("backgroundColor"));
        try {
            this.umI.g(72, bundle);
            a(iVar, "setBounceBackground:ok", null);
        } catch (Exception e) {
            ab.e("MicroMsg.MsgHandler", "setBounceBackground, exception = %s", new Object[]{e});
            a(iVar, "setBounceBackground:fail", null);
        }
        AppMethodBeat.o(9438);
        return true;
    }

    /* JADX WARNING: Removed duplicated region for block: B:37:0x011c  */
    /* JADX WARNING: Removed duplicated region for block: B:8:0x005c  */
    public final boolean bP(com.tencent.mm.plugin.webview.ui.tools.jsapi.i r11) {
        /*
        r10 = this;
        r0 = 9439; // 0x24df float:1.3227E-41 double:4.6635E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r0);
        r0 = r11.puc;
        r1 = "id";
        r0 = r0.get(r1);
        r0 = com.tencent.mm.sdk.platformtools.bo.cD(r0);
        r1 = 0;
        r2 = com.tencent.mm.sdk.platformtools.bo.getInt(r0, r1);
        if (r2 > 0) goto L_0x0027;
    L_0x0019:
        r0 = "realtimeReport:fail";
        r1 = 0;
        r10.a(r11, r0, r1);
        r0 = 1;
        r1 = 9439; // 0x24df float:1.3227E-41 double:4.6635E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
    L_0x0026:
        return r0;
    L_0x0027:
        r0 = r11.puc;
        r1 = "value";
        r0 = r0.get(r1);
        r3 = com.tencent.mm.sdk.platformtools.bo.cD(r0);
        r0 = r11.puc;
        r1 = "type";
        r0 = r0.get(r1);
        r0 = com.tencent.mm.sdk.platformtools.bo.cD(r0);
        r1 = 0;
        r4 = com.tencent.mm.sdk.platformtools.bo.getInt(r0, r1);
        r5 = com.tencent.mm.plugin.webview.model.f.a.cXv();
        r0 = com.tencent.mm.kernel.g.RK();
        if (r0 != 0) goto L_0x006a;
    L_0x0050:
        r0 = "MicroMsg.WebView.JsLogHelper";
        r1 = "kvStat(), acc not ready, skip";
        com.tencent.mm.sdk.platformtools.ab.i(r0, r1);
    L_0x0059:
        r0 = 0;
    L_0x005a:
        if (r0 == 0) goto L_0x011c;
    L_0x005c:
        r0 = "realtimeReport:ok";
        r1 = 0;
        r10.a(r11, r0, r1);
    L_0x0063:
        r0 = 1;
        r1 = 9439; // 0x24df float:1.3227E-41 double:4.6635E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
        goto L_0x0026;
    L_0x006a:
        r6 = com.tencent.mm.plugin.webview.modeltools.g.cYH();
        r0 = r6.ulM;
        r1 = java.lang.Integer.valueOf(r2);
        r0 = r0.get(r1);
        r0 = (java.lang.Long) r0;
        if (r0 == 0) goto L_0x00a4;
    L_0x007c:
        r0 = r0.longValue();
    L_0x0080:
        r8 = 0;
        r7 = (r0 > r8 ? 1 : (r0 == r8 ? 0 : -1));
        if (r7 == 0) goto L_0x00f7;
    L_0x0086:
        r8 = com.tencent.mm.sdk.platformtools.bo.anT();
        r7 = (r0 > r8 ? 1 : (r0 == r8 ? 0 : -1));
        if (r7 >= 0) goto L_0x00f7;
    L_0x008e:
        r0 = r6.ulM;
        r1 = java.lang.Integer.valueOf(r2);
        if (r1 != 0) goto L_0x00eb;
    L_0x0096:
        r0 = new java.lang.NullPointerException;
        r1 = "key == null";
        r0.<init>(r1);
        r1 = 9439; // 0x24df float:1.3227E-41 double:4.6635E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r1);
        throw r0;
    L_0x00a4:
        r0 = r6.fni;
        r1 = "select %s from %s where %s=?";
        r7 = 3;
        r7 = new java.lang.Object[r7];
        r8 = 0;
        r9 = "liftTime";
        r7[r8] = r9;
        r8 = 1;
        r9 = "JsLogBlockList";
        r7[r8] = r9;
        r8 = 2;
        r9 = "logId";
        r7[r8] = r9;
        r1 = java.lang.String.format(r1, r7);
        r7 = 1;
        r7 = new java.lang.String[r7];
        r8 = 0;
        r9 = java.lang.String.valueOf(r2);
        r7[r8] = r9;
        r8 = 2;
        r7 = r0.a(r1, r7, r8);
        if (r7 != 0) goto L_0x00d6;
    L_0x00d3:
        r0 = 0;
        goto L_0x0080;
    L_0x00d6:
        r0 = r7.moveToFirst();
        if (r0 == 0) goto L_0x00e5;
    L_0x00dc:
        r0 = 0;
        r0 = r7.getLong(r0);
        r7.close();
        goto L_0x0080;
    L_0x00e5:
        r7.close();
        r0 = 0;
        goto L_0x0080;
    L_0x00eb:
        r6 = r0.get(r1);
        if (r6 == 0) goto L_0x00f5;
    L_0x00f1:
        r6 = 0;
        r0.A(r1, r6);
    L_0x00f5:
        r0 = 0;
    L_0x00f7:
        r6 = 0;
        r6 = (r0 > r6 ? 1 : (r0 == r6 ? 0 : -1));
        if (r6 == 0) goto L_0x0105;
    L_0x00fd:
        r6 = com.tencent.mm.sdk.platformtools.bo.anT();
        r0 = (r0 > r6 ? 1 : (r0 == r6 ? 0 : -1));
        if (r0 >= 0) goto L_0x0059;
    L_0x0105:
        r0 = new com.tencent.mm.protocal.protobuf.axc;
        r0.<init>();
        r0.wBd = r2;
        r1 = com.tencent.mm.bt.b.akB(r3);
        r0.wBe = r1;
        r0.wBm = r4;
        r1 = r5.ulR;
        r1.add(r0);
        r0 = 1;
        goto L_0x005a;
    L_0x011c:
        r0 = "realtimeReport:fail";
        r1 = 0;
        r10.a(r11, r0, r1);
        goto L_0x0063;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.webview.ui.tools.jsapi.g.bP(com.tencent.mm.plugin.webview.ui.tools.jsapi.i):boolean");
    }

    public final boolean bQ(i iVar) {
        AppMethodBeat.i(9440);
        String str = (String) iVar.puc.get("latitude");
        String str2 = (String) iVar.puc.get("longitude");
        String str3 = (String) iVar.puc.get("destinationName");
        if (bo.isNullOrNil(str) || bo.isNullOrNil(str2)) {
            a(iVar, "openMapNavigateMenu:fail", null);
            AppMethodBeat.o(9440);
        } else {
            try {
                double parseDouble = Double.parseDouble(str);
                double parseDouble2 = Double.parseDouble(str2);
                int i = bo.getInt((String) iVar.puc.get("preferMap"), com.tencent.mm.pluginsdk.model.a.a.vaU.code);
                if (this.context == null || !(this.context instanceof Activity) || ((Activity) this.context).isFinishing()) {
                    a(iVar, "openMapNavigateMenu:fail", null);
                } else {
                    al.d(new 30(this, i, parseDouble, parseDouble2, str3, bc(iVar)));
                }
                AppMethodBeat.o(9440);
            } catch (Exception e) {
                ab.e("MicroMsg.MsgHandler", "doOpenMapNavigateMenu, parse double, exception = %s");
                a(iVar, "openMapNavigateMenu:fail", null);
                AppMethodBeat.o(9440);
            }
        }
        return true;
    }

    public final Bundle dcJ() {
        Bundle bundle = null;
        AppMethodBeat.i(9441);
        try {
            bundle = this.umI.g(33, null);
        } catch (RemoteException e) {
            ab.printErrStackTrace("MicroMsg.MsgHandler", e, "", new Object[0]);
        }
        ab.i("MicroMsg.MsgHandler", "getWebViewIntentExtras(%s)", new Object[]{bundle});
        AppMethodBeat.o(9441);
        return bundle;
    }

    private boolean bR(i iVar) {
        AppMethodBeat.i(9442);
        String str = (String) iVar.puc.get("operationType");
        String str2 = (String) iVar.puc.get("dataUrl");
        l.a(iVar.uII, false, null, "");
        if (bo.isNullOrNil(str) || bo.isNullOrNil(str2)) {
            a(iVar, "operateMusicPlayer:fail", null);
            AppMethodBeat.o(9442);
            return true;
        }
        Object obj;
        if (str.equalsIgnoreCase("play")) {
            String str3 = (String) iVar.puc.get("title");
            String str4 = (String) iVar.puc.get("singer");
            String str5 = (String) iVar.puc.get("epname");
            String str6 = (String) iVar.puc.get("coverImgUrl");
            String str7 = (String) iVar.puc.get("lowbandUrl");
            String str8 = (String) iVar.puc.get("webUrl");
            iVar.puc.get("lyric");
            ab.i("MicroMsg.MsgHandler", "title : %s, singer : %s, epName : %s, coverImgUrl : %s, dataUrl : %s, lowbandUrl : %s, webUrl : %s, appid : %s", new Object[]{str3, str4, str5, str6, str2, str7, str8, ""});
            if (bo.isNullOrNil(str3) || bo.isNullOrNil(str4) || bo.isNullOrNil(str5) || bo.isNullOrNil(str6) || bo.isNullOrNil(str7) || bo.isNullOrNil(str2) || bo.isNullOrNil(str8)) {
                a(iVar, "operateMusicPlayer:fail", null);
            } else {
                com.tencent.mm.aw.a.aic();
                com.tencent.mm.aw.a.b(com.tencent.mm.aw.f.a(7, str6, str3, str4, str8, str7, str2, str2.hashCode(), com.tencent.mm.compatible.util.e.eSn, com.tencent.mm.plugin.i.c.XW() + str6.hashCode(), str5, ""));
                a(iVar, "operateMusicPlayer:ok", null);
            }
        } else if (str.equalsIgnoreCase("resume")) {
            if (com.tencent.mm.aw.b.sT(str2) && com.tencent.mm.aw.a.aig() && !com.tencent.mm.aw.a.aie()) {
                com.tencent.mm.aw.a.KY();
                obj = 1;
            } else {
                obj = null;
            }
            if (obj != null) {
                a(iVar, "operateMusicPlayer:ok", null);
            } else {
                a(iVar, "operateMusicPlayer:fail", null);
            }
        } else if (str.equalsIgnoreCase("pause")) {
            if (com.tencent.mm.aw.b.sT(str2) && com.tencent.mm.aw.a.aie()) {
                com.tencent.mm.aw.a.KX();
                obj = 1;
            } else {
                obj = null;
            }
            if (obj != null) {
                com.tencent.mm.aw.a.aid();
                a(iVar, "operateMusicPlayer:ok", null);
            } else {
                a(iVar, "operateMusicPlayer:fail", null);
            }
        } else if (str.equalsIgnoreCase("seek")) {
            boolean lP;
            int i = bo.getInt(bo.cD(iVar.puc.get("position")), -1) * CredentialsApi.ACTIVITY_RESULT_ADD_ACCOUNT;
            if (com.tencent.mm.aw.b.sT(str2)) {
                lP = com.tencent.mm.aw.a.lP(i);
            } else {
                lP = false;
            }
            if (lP) {
                a(iVar, "operateMusicPlayer:ok", null);
            } else {
                a(iVar, "operateMusicPlayer:fail", null);
            }
        } else if (str.equalsIgnoreCase("stop")) {
            if (com.tencent.mm.aw.b.sT(str2) && com.tencent.mm.aw.a.aig()) {
                com.tencent.mm.aw.a.aic();
                obj = 1;
            } else {
                obj = null;
            }
            if (obj != null) {
                a(iVar, "operateMusicPlayer:ok", null);
            } else {
                a(iVar, "operateMusicPlayer:fail", null);
            }
        } else {
            a(iVar, "operateMusicPlayer:fail", null);
        }
        AppMethodBeat.o(9442);
        return true;
    }

    private boolean bS(i iVar) {
        AppMethodBeat.i(9443);
        String str = (String) iVar.puc.get("dataUrl");
        l.a(iVar.uII, false, null, (String) iVar.puc.get("appId"));
        if (bo.isNullOrNil(str)) {
            a(iVar, "getMusicPlayerState:fail_dataUrl_null", null);
            AppMethodBeat.o(9443);
        } else {
            ab.i("MicroMsg.MsgHandler", "dataUrl : %s, appid : %s", new Object[]{str, r1});
            com.tencent.mm.aw.e aih = com.tencent.mm.aw.a.aih();
            if (aih == null || !aih.fKa.equals(str)) {
                a(iVar, "getMusicPlayerState:failed_dataUrl_diff", null);
            } else {
                int i;
                com.tencent.mm.aw.c aii = com.tencent.mm.aw.a.aii();
                int i2 = -1;
                if (aii != null) {
                    i2 = aii.mDuration;
                    i = aii.mPosition;
                } else {
                    i = 0;
                }
                if (aii == null || i2 < 0 || i < 0) {
                    a(iVar, "getMusicPlayerState:fail", null);
                    AppMethodBeat.o(9443);
                } else {
                    i2 /= CredentialsApi.ACTIVITY_RESULT_ADD_ACCOUNT;
                    i /= CredentialsApi.ACTIVITY_RESULT_ADD_ACCOUNT;
                    int i3 = aii.mStatus;
                    int i4 = aii.fJQ;
                    Map hashMap = new HashMap();
                    hashMap.put("duration", Integer.valueOf(i2));
                    hashMap.put("currentPosition", Integer.valueOf(i));
                    hashMap.put("status", Integer.valueOf(i3));
                    hashMap.put("downloadPercent", Integer.valueOf(i4));
                    a(iVar, "getMusicPlayerState:ok", hashMap);
                }
            }
            AppMethodBeat.o(9443);
        }
        return true;
    }

    private boolean bT(i iVar) {
        AppMethodBeat.i(9444);
        String str = (String) iVar.puc.get("localId");
        if (bo.isNullOrNil(str)) {
            a(iVar, "getLocalImgData:fail_invaild_localid", null);
            AppMethodBeat.o(9444);
        } else {
            WebViewJSSDKFileItem aex = com.tencent.mm.plugin.webview.modeltools.g.cYF().aex(str);
            if (!(aex == null || aex.hGG == null)) {
                int i;
                Bitmap decodeFile = MMBitmapFactory.decodeFile(aex.hGG);
                int i2 = decodeFile != null ? 1 : 0;
                if (decodeFile.isRecycled()) {
                    i = 0;
                } else {
                    i = 1;
                }
                if ((i2 & i) != 0) {
                    ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
                    decodeFile.compress(CompressFormat.JPEG, 100, byteArrayOutputStream);
                    ab.i("MicroMsg.MsgHandler", "rawData lenght = %d, base64 lenght = %d", new Object[]{Integer.valueOf(byteArrayOutputStream.toByteArray().length), Integer.valueOf(Base64.encodeToString(byteArrayOutputStream.toByteArray(), 0).length())});
                    Map hashMap = new HashMap();
                    hashMap.put("localData", r3);
                    a(iVar, "getLocalImgData:ok", hashMap);
                    ab.i("MicroMsg.MsgHandler", "bitmap recycle %s", new Object[]{decodeFile.toString()});
                    decodeFile.recycle();
                    AppMethodBeat.o(9444);
                }
            }
            a(iVar, "getLocalImgData:fail", null);
            AppMethodBeat.o(9444);
        }
        return true;
    }

    private boolean bU(i iVar) {
        int i = 0;
        AppMethodBeat.i(9445);
        this.eBB = false;
        Bundle bundle = new Bundle();
        try {
            int i2 = bo.getInt(iVar.puc.get("scene").toString().trim(), 0);
            bundle.putInt("scene", i2);
            ab.i("MicroMsg.MsgHandler", "doExposePreparation scene:%d", new Object[]{Integer.valueOf(i2)});
            if (-1 == bundle.getInt("scene")) {
                a(iVar, "doExposePreparation fail:unknown scene", null);
            } else {
                bundle = this.umI.g(73, bundle);
                Map hashMap = new HashMap();
                if (bundle.isEmpty()) {
                    a(iVar, "doExposePreparation fail", null);
                } else {
                    switch (i2) {
                        case 1:
                        case 2:
                        case 3:
                        case 4:
                        case 5:
                        case 6:
                        case 7:
                        case JsApiStopPlayVoice.CTRL_INDEX /*35*/:
                        case JsApiChooseVideo.CTRL_INDEX /*36*/:
                        case 37:
                        case 38:
                        case 39:
                        case 45:
                            break;
                        case 33:
                            hashMap.put("newMsgId", bundle.getString("newMsgId"));
                            break;
                        case 34:
                            hashMap.put("webviewImg", bundle.getString("webviewImg"));
                            hashMap.put("webviewHtml", bundle.getString("webviewHtml"));
                            hashMap.put("content", bundle.getString("url"));
                            ab.i("MicroMsg.MsgHandler", "content = " + bundle.getString("url"));
                            break;
                        case 51:
                            hashMap.put("newMsgId", bundle.getString("newMsgId"));
                            hashMap.put("msgType", Integer.valueOf(bundle.getInt("msgType")));
                            break;
                        default:
                            ab.w("MicroMsg.MsgHandler", "unknown scene %d", new Object[]{Integer.valueOf(i2)});
                            break;
                    }
                    hashMap.put("username", bundle.getString("username"));
                    JSONArray jSONArray = new JSONArray();
                    ArrayList stringArrayList = bundle.getStringArrayList("proof");
                    if (stringArrayList != null) {
                        int size = stringArrayList.size();
                        while (i < size) {
                            jSONArray.put(stringArrayList.get(i));
                            i++;
                        }
                    }
                    if (!hashMap.containsKey("content")) {
                        hashMap.put("content", jSONArray.toString());
                    }
                    a(iVar, "doExposePreparation ok", hashMap);
                }
            }
        } catch (Exception e) {
            ab.w("MicroMsg.MsgHandler", "doExposePreparation exception " + e.getMessage());
            a(iVar, "doExposePreparation fail", null);
        }
        AppMethodBeat.o(9445);
        return true;
    }

    private boolean bV(i iVar) {
        AppMethodBeat.i(9446);
        try {
            String obj = iVar.puc.get(VideoMaterialUtil.CRAZYFACE_LAYER_TYPE).toString();
            if (bo.isNullOrNil(obj)) {
                a(iVar, "openLuckyMoneyHistory:fail", null);
                AppMethodBeat.o(9446);
                return true;
            }
            Intent intent;
            if (obj.equals("send")) {
                intent = new Intent();
                intent.putExtra("key_type", 1);
                com.tencent.mm.bp.d.b(this.context, "luckymoney", ".ui.LuckyMoneyMyRecordUI", intent);
                a(iVar, "openLuckyMoneyHistory:ok", null);
            } else if (obj.equals("receive")) {
                intent = new Intent();
                intent.putExtra("key_type", 2);
                com.tencent.mm.bp.d.b(this.context, "luckymoney", ".ui.LuckyMoneyMyRecordUI", intent);
                a(iVar, "openLuckyMoneyHistory:ok", null);
            }
            AppMethodBeat.o(9446);
            return true;
        } catch (Exception e) {
            ab.e("MicroMsg.MsgHandler", "doOpenLuckyMoneyHistory error %s", new Object[]{e});
            a(iVar, "openLuckyMoneyHistory:fail", null);
        }
    }

    private boolean bW(i iVar) {
        AppMethodBeat.i(9447);
        String obj = iVar.puc.get("chat_username").toString();
        Intent intent = new Intent();
        intent.putExtra("Chat_User", obj);
        intent.putExtra("finish_direct", true);
        intent.putExtra("expose_edit_mode", true);
        intent.setFlags(536870912);
        if (this.context instanceof MMActivity) {
            com.tencent.mm.bp.d.a((MMActivity) this.context, ".ui.chatting.ChattingUI", intent, 40, this);
        } else {
            ab.e("MicroMsg.MsgHandler", "getMsgProofItems invalid context");
            a(iVar, "select chat record:fail", null);
        }
        AppMethodBeat.o(9447);
        return true;
    }

    private boolean bX(i iVar) {
        AppMethodBeat.i(9448);
        this.eBB = false;
        String trim = iVar.puc.get("scene").toString().trim();
        if (!trim.equals("expose")) {
            a(iVar, "openSecurityView fail, scene error : ".concat(String.valueOf(trim)), null);
        } else if (iVar.puc.get("userData") != null) {
            try {
                JSONObject jSONObject = (JSONObject) new JSONTokener(iVar.puc.get("userData").toString()).nextValue();
                Intent intent = new Intent();
                intent.putExtra("sns_permission_userName", jSONObject.get("userName").toString());
                intent.putExtra("sns_permission_anim", true);
                intent.putExtra("sns_permission_block_scene", 1);
                intent.setFlags(536870912);
                com.tencent.mm.bp.d.b(this.context, "sns", ".ui.SnsPermissionUI", intent);
                a(iVar, "openSecurityView ok", null);
            } catch (JSONException e) {
                ab.w("MicroMsg.MsgHandler", "openSecurityView error, userData not in json");
                a(iVar, "openSecurityView error,userData not in json", null);
            }
        } else {
            a(iVar, "openSecurityView fail, no userData", null);
        }
        AppMethodBeat.o(9448);
        return true;
    }

    private boolean bY(i iVar) {
        AppMethodBeat.i(9449);
        String bK = bK(getCurrentUrl());
        String LK = com.tencent.mm.compatible.e.q.LK();
        String LM = com.tencent.mm.compatible.e.q.LM();
        if (bo.isNullOrNil(LK) || bo.isNullOrNil(bK) || bo.isNullOrNil(LM)) {
            a(iVar, "getOpenDeviceId:fail", null);
        } else {
            LK = ag.ck(ag.ck(bK + LK));
            bK = ag.ck(ag.ck(bK + LM));
            Map hashMap = new HashMap();
            hashMap.put("deviceid", LK);
            hashMap.put("newDeviceId", bK);
            a(iVar, "getOpenDeviceId:ok", hashMap);
        }
        AppMethodBeat.o(9449);
        return true;
    }

    /* JADX WARNING: Removed duplicated region for block: B:23:0x007a A:{Catch:{ Exception -> 0x00a6 }} */
    /* JADX WARNING: Removed duplicated region for block: B:15:0x004b A:{Catch:{ Exception -> 0x00a6 }} */
    /* JADX WARNING: Removed duplicated region for block: B:22:0x0072 A:{LOOP_END, Catch:{ Exception -> 0x00a6 }, LOOP:0: B:21:0x0070->B:22:0x0072} */
    /* JADX WARNING: Removed duplicated region for block: B:26:0x0096 A:{Catch:{ Exception -> 0x00a6 }} */
    private boolean bZ(com.tencent.mm.plugin.webview.ui.tools.jsapi.i r13) {
        /*
        r12 = this;
        r3 = 0;
        r11 = 9450; // 0x24ea float:1.3242E-41 double:4.669E-320;
        r1 = 0;
        r10 = 1;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r11);
        r0 = r12.umI;	 Catch:{ Exception -> 0x00a6 }
        r2 = 90000; // 0x15f90 float:1.26117E-40 double:4.4466E-319;
        r4 = 0;
        r0 = r0.g(r2, r4);	 Catch:{ Exception -> 0x00a6 }
        if (r0 == 0) goto L_0x00b8;
    L_0x0014:
        r2 = "webview_get_route_url_list";
        r4 = r0.getStringArray(r2);	 Catch:{ Exception -> 0x00a6 }
        r2 = "webview_get_route_url_geta8key_scene";
        r5 = r0.getInt(r2);	 Catch:{ Exception -> 0x00a6 }
        r2 = 7;
        if (r5 == r2) goto L_0x0029;
    L_0x0025:
        r2 = 56;
        if (r5 != r2) goto L_0x00c2;
    L_0x0029:
        r2 = "geta8key_username";
        r0 = r0.getString(r2);	 Catch:{ Exception -> 0x00a6 }
        r2 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);	 Catch:{ Exception -> 0x00a6 }
        if (r2 != 0) goto L_0x00c2;
    L_0x0036:
        r0 = com.tencent.mm.aj.f.qX(r0);	 Catch:{ Exception -> 0x00a6 }
        if (r0 == 0) goto L_0x00c2;
    L_0x003c:
        r0 = r0.field_appId;	 Catch:{ Exception -> 0x00a6 }
        r2 = r0;
    L_0x003f:
        r6 = "MicroMsg.MsgHandler";
        r7 = "routeUrl length = %d, scene = %d, appid = %s";
        r0 = 3;
        r8 = new java.lang.Object[r0];	 Catch:{ Exception -> 0x00a6 }
        r9 = 0;
        if (r4 == 0) goto L_0x007a;
    L_0x004b:
        r0 = r4.length;	 Catch:{ Exception -> 0x00a6 }
    L_0x004c:
        r0 = java.lang.Integer.valueOf(r0);	 Catch:{ Exception -> 0x00a6 }
        r8[r9] = r0;	 Catch:{ Exception -> 0x00a6 }
        r0 = 1;
        r9 = java.lang.Integer.valueOf(r5);	 Catch:{ Exception -> 0x00a6 }
        r8[r0] = r9;	 Catch:{ Exception -> 0x00a6 }
        r0 = 2;
        r8[r0] = r2;	 Catch:{ Exception -> 0x00a6 }
        com.tencent.mm.sdk.platformtools.ab.i(r6, r7, r8);	 Catch:{ Exception -> 0x00a6 }
        if (r4 == 0) goto L_0x00b8;
    L_0x0061:
        r0 = r4.length;	 Catch:{ Exception -> 0x00a6 }
        if (r0 <= 0) goto L_0x00b8;
    L_0x0064:
        r6 = new java.util.HashMap;	 Catch:{ Exception -> 0x00a6 }
        r6.<init>();	 Catch:{ Exception -> 0x00a6 }
        r7 = new org.json.JSONArray;	 Catch:{ Exception -> 0x00a6 }
        r7.<init>();	 Catch:{ Exception -> 0x00a6 }
        r8 = r4.length;	 Catch:{ Exception -> 0x00a6 }
        r0 = r1;
    L_0x0070:
        if (r0 >= r8) goto L_0x007c;
    L_0x0072:
        r9 = r4[r0];	 Catch:{ Exception -> 0x00a6 }
        r7.put(r9);	 Catch:{ Exception -> 0x00a6 }
        r0 = r0 + 1;
        goto L_0x0070;
    L_0x007a:
        r0 = -1;
        goto L_0x004c;
    L_0x007c:
        r0 = "urls";
        r4 = r7.toString();	 Catch:{ Exception -> 0x00a6 }
        r6.put(r0, r4);	 Catch:{ Exception -> 0x00a6 }
        r0 = "scene";
        r4 = java.lang.Integer.valueOf(r5);	 Catch:{ Exception -> 0x00a6 }
        r6.put(r0, r4);	 Catch:{ Exception -> 0x00a6 }
        r0 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r2);	 Catch:{ Exception -> 0x00a6 }
        if (r0 != 0) goto L_0x009c;
    L_0x0096:
        r0 = "appid";
        r6.put(r0, r2);	 Catch:{ Exception -> 0x00a6 }
    L_0x009c:
        r0 = "getRouteUrl:ok";
        r12.a(r13, r0, r6);	 Catch:{ Exception -> 0x00a6 }
        com.tencent.matrix.trace.core.AppMethodBeat.o(r11);
    L_0x00a5:
        return r10;
    L_0x00a6:
        r0 = move-exception;
        r2 = "MicroMsg.MsgHandler";
        r4 = "get routeurl failed ; %s";
        r5 = new java.lang.Object[r10];
        r0 = r0.getMessage();
        r5[r1] = r0;
        com.tencent.mm.sdk.platformtools.ab.e(r2, r4, r5);
    L_0x00b8:
        r0 = "getRouteUrl:fail";
        r12.a(r13, r0, r3);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r11);
        goto L_0x00a5;
    L_0x00c2:
        r2 = r3;
        goto L_0x003f;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.webview.ui.tools.jsapi.g.bZ(com.tencent.mm.plugin.webview.ui.tools.jsapi.i):boolean");
    }

    private boolean ca(i iVar) {
        AppMethodBeat.i(9451);
        ab.i("MicroMsg.MsgHandler", "doGetBackgroundAudioState()");
        if (cc(iVar)) {
            com.tencent.mm.aw.e aih = com.tencent.mm.aw.a.aih();
            if (aih != null) {
                int i;
                com.tencent.mm.aw.c aii = com.tencent.mm.aw.a.aii();
                int i2 = -1;
                if (aii != null) {
                    i2 = aii.mDuration;
                    i = aii.mPosition;
                } else {
                    i = 0;
                }
                if (aii == null || i2 < 0 || i < 0) {
                    ab.e("MicroMsg.MsgHandler", "return parameter is invalid");
                    a(iVar, "getBackgroundAudioState:fail", null);
                    AppMethodBeat.o(9451);
                } else {
                    com.tencent.mm.sdk.b.a.xxA.c(this.uHa);
                    i2 /= CredentialsApi.ACTIVITY_RESULT_ADD_ACCOUNT;
                    int i3 = i / CredentialsApi.ACTIVITY_RESULT_ADD_ACCOUNT;
                    int i4 = aii.mStatus;
                    i = aii.fJQ;
                    if (i2 > 0) {
                        i = (i * i2) / 100;
                    } else {
                        i = 0;
                    }
                    Map hashMap = new HashMap();
                    hashMap.put("duration", Integer.valueOf(i2));
                    hashMap.put("currentTime", Integer.valueOf(i3));
                    hashMap.put("paused", Integer.valueOf(i4 == 1 ? 0 : 1));
                    hashMap.put("src", aih.fKa);
                    hashMap.put("buffered", Integer.valueOf(i));
                    hashMap.put("title", aih.fJW);
                    hashMap.put("epname", aih.fJY);
                    hashMap.put("singer", aih.fJX);
                    hashMap.put("coverImgUrl", aih.fJZ);
                    hashMap.put("isLive", Integer.valueOf(0));
                    hashMap.put("startTime", Integer.valueOf(aih.startTime / CredentialsApi.ACTIVITY_RESULT_ADD_ACCOUNT));
                    hashMap.put("srcId", aih.fKs);
                    hashMap.put("protocol", aih.protocol == null ? "" : aih.protocol);
                    hashMap.put("webUrl", aih.fKc);
                    hashMap.put("playState", aii.fJR);
                    ab.i("MicroMsg.MsgHandler", "getBackgroundAudioState ok");
                    a(iVar, "getBackgroundAudioState:ok", hashMap);
                }
            } else {
                ab.e("MicroMsg.MsgHandler", "currentWrapper is null");
                a(iVar, "getBackgroundAudioState:fail", null);
            }
            AppMethodBeat.o(9451);
        } else {
            ab.e("MicroMsg.MsgHandler", "no permission to do get state");
            a(iVar, "getBackgroundAudioState:fail", null);
            AppMethodBeat.o(9451);
        }
        return true;
    }

    /* JADX WARNING: Removed duplicated region for block: B:23:0x01e4  */
    /* JADX WARNING: Removed duplicated region for block: B:10:0x007a  */
    /* JADX WARNING: Removed duplicated region for block: B:22:0x01e1  */
    /* JADX WARNING: Removed duplicated region for block: B:13:0x0122  */
    private boolean d(com.tencent.mm.plugin.webview.ui.tools.jsapi.i r22, com.tencent.mm.protocal.JsapiPermissionWrapper r23) {
        /*
        r21 = this;
        r2 = 9452; // 0x24ec float:1.3245E-41 double:4.67E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r2);
        r2 = "MicroMsg.MsgHandler";
        r3 = "doSetBackgroundAudioState()";
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3);
        r2 = com.tencent.mm.sdk.b.a.xxA;
        r0 = r21;
        r3 = r0.uHa;
        r2.c(r3);
        r0 = r22;
        r2 = r0.puc;
        r3 = "appId";
        r2 = r2.get(r3);
        r2 = (java.lang.String) r2;
        r0 = r21;
        r3 = r0.uGh;
        if (r3 == 0) goto L_0x01e8;
    L_0x002a:
        r3 = android.text.TextUtils.isEmpty(r2);
        if (r3 == 0) goto L_0x003b;
    L_0x0030:
        r0 = r21;
        r2 = r0.uGh;
        r3 = "jsapi_args_appid";
        r2 = r2.getString(r3);
    L_0x003b:
        r3 = android.text.TextUtils.isEmpty(r2);
        if (r3 == 0) goto L_0x01e8;
    L_0x0041:
        r0 = r21;
        r2 = r0.uGr;
        r3 = r21.getCurrentUrl();
        r2 = r2.agj(r3);
        r13 = r2;
    L_0x004e:
        r2 = "MicroMsg.MsgHandler";
        r3 = "appId:%s";
        r4 = 1;
        r4 = new java.lang.Object[r4];
        r5 = 0;
        r4[r5] = r13;
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3, r4);
        r0 = r22;
        r2 = r0.uII;
        r3 = 0;
        r4 = 0;
        com.tencent.mm.plugin.webview.ui.tools.jsapi.l.a(r2, r3, r4, r13);
        r0 = r22;
        r2 = r0.puc;
        r3 = "url";
        r2 = r2.get(r3);
        r2 = (java.lang.String) r2;
        r3 = 0;
        r4 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r2);
        if (r4 != 0) goto L_0x01e4;
    L_0x007a:
        r2 = com.tencent.mm.plugin.webview.modelcache.q.aeL(r2);
        r17 = r2;
    L_0x0080:
        r0 = r22;
        r2 = r0.puc;
        r3 = "src";
        r8 = r2.get(r3);
        r8 = (java.lang.String) r8;
        r0 = r22;
        r2 = r0.puc;
        r3 = "lowbandSrc";
        r7 = r2.get(r3);
        r7 = (java.lang.String) r7;
        r0 = r22;
        r2 = r0.puc;
        r3 = "title";
        r4 = r2.get(r3);
        r4 = (java.lang.String) r4;
        r0 = r22;
        r2 = r0.puc;
        r3 = "epname";
        r12 = r2.get(r3);
        r12 = (java.lang.String) r12;
        r0 = r22;
        r2 = r0.puc;
        r3 = "singer";
        r5 = r2.get(r3);
        r5 = (java.lang.String) r5;
        r0 = r22;
        r2 = r0.puc;
        r3 = "coverImgUrl";
        r2 = r2.get(r3);
        r2 = (java.lang.String) r2;
        r0 = r22;
        r3 = r0.puc;
        r6 = "webUrl";
        r6 = r3.get(r6);
        r6 = (java.lang.String) r6;
        r0 = r22;
        r3 = r0.puc;
        r9 = "startTime";
        r3 = r3.get(r9);
        r3 = (java.lang.String) r3;
        r9 = 0;
        r18 = com.tencent.mm.sdk.platformtools.bo.getInt(r3, r9);
        r0 = r22;
        r3 = r0.puc;
        r9 = "srcId";
        r3 = r3.get(r9);
        r14 = r3;
        r14 = (java.lang.String) r14;
        r0 = r22;
        r3 = r0.puc;
        r9 = "protocol";
        r3 = r3.get(r9);
        r15 = r3;
        r15 = (java.lang.String) r15;
        r0 = r22;
        r3 = r0.puc;
        r9 = "musicbar_url";
        r3 = r3.get(r9);
        r16 = r3;
        r16 = (java.lang.String) r16;
        r3 = 308; // 0x134 float:4.32E-43 double:1.52E-321;
        r0 = r23;
        r19 = r0.jB(r3);
        if (r2 != 0) goto L_0x01e1;
    L_0x0122:
        r3 = "";
    L_0x0125:
        r2 = "MicroMsg.MsgHandler";
        r9 = "src : %s, title : %s, singer : %s, coverImgUrl : %s, webUrl : %s, startTime:%d, protocol:%s, barBackToWebView:%b, musicbar_url:%s";
        r10 = 9;
        r10 = new java.lang.Object[r10];
        r11 = 0;
        r10[r11] = r8;
        r11 = 1;
        r10[r11] = r4;
        r11 = 2;
        r10[r11] = r5;
        r11 = 3;
        r10[r11] = r3;
        r11 = 4;
        r10[r11] = r6;
        r11 = 5;
        r20 = java.lang.Integer.valueOf(r18);
        r10[r11] = r20;
        r11 = 6;
        r10[r11] = r15;
        r11 = 7;
        r20 = java.lang.Boolean.valueOf(r19);
        r10[r11] = r20;
        r11 = 8;
        r10[r11] = r16;
        com.tencent.mm.sdk.platformtools.ab.i(r2, r9, r10);
        r2 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r8);
        if (r2 != 0) goto L_0x0162;
    L_0x015c:
        r2 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r4);
        if (r2 == 0) goto L_0x017d;
    L_0x0162:
        r2 = "MicroMsg.MsgHandler";
        r3 = "setBackgroundAudioState fail, src or title is null";
        com.tencent.mm.sdk.platformtools.ab.e(r2, r3);
        r2 = "setBackgroundAudioState:fail";
        r3 = 0;
        r0 = r21;
        r1 = r22;
        r0.a(r1, r2, r3);
    L_0x0176:
        r2 = 1;
        r3 = 9452; // 0x24ec float:1.3245E-41 double:4.67E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r3);
        return r2;
    L_0x017d:
        r2 = 10;
        r9 = new java.lang.StringBuilder;
        r9.<init>();
        r10 = r8.hashCode();
        r9 = r9.append(r10);
        r9 = r9.toString();
        r10 = com.tencent.mm.compatible.util.e.eSn;
        r11 = new java.lang.StringBuilder;
        r11.<init>();
        r20 = com.tencent.mm.plugin.i.c.XW();
        r0 = r20;
        r11 = r11.append(r0);
        r20 = r3.hashCode();
        r0 = r20;
        r11 = r11.append(r0);
        r11 = r11.toString();
        r2 = com.tencent.mm.aw.f.a(r2, r3, r4, r5, r6, r7, r8, r9, r10, r11, r12, r13);
        r0 = r17;
        r2.fKr = r0;
        r0 = r18;
        r3 = r0 * 1000;
        r2.startTime = r3;
        r2.fKs = r14;
        r2.protocol = r15;
        r0 = r19;
        r2.fKt = r0;
        r0 = r16;
        r2.fKu = r0;
        com.tencent.mm.aw.a.b(r2);
        r2 = "MicroMsg.MsgHandler";
        r3 = "setBackgroundAudioState ok";
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3);
        r2 = "setBackgroundAudioState:ok";
        r3 = 0;
        r0 = r21;
        r1 = r22;
        r0.a(r1, r2, r3);
        goto L_0x0176;
    L_0x01e1:
        r3 = r2;
        goto L_0x0125;
    L_0x01e4:
        r17 = r3;
        goto L_0x0080;
    L_0x01e8:
        r13 = r2;
        goto L_0x004e;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.webview.ui.tools.jsapi.g.d(com.tencent.mm.plugin.webview.ui.tools.jsapi.i, com.tencent.mm.protocal.JsapiPermissionWrapper):boolean");
    }

    private boolean cb(i iVar) {
        AppMethodBeat.i(9453);
        String str = (String) iVar.puc.get("operationType");
        ab.i("MicroMsg.MsgHandler", "doOperateBackgroundAudio(), optype:%s", new Object[]{str});
        String str2 = (String) iVar.puc.get("appId");
        if (this.uGh != null) {
            if (TextUtils.isEmpty(str2)) {
                str2 = this.uGh.getString("jsapi_args_appid");
            }
            if (TextUtils.isEmpty(str2)) {
                str2 = this.uGr.agj(getCurrentUrl());
            }
        }
        l.a(iVar.uII, false, null, str2);
        if (!cc(iVar)) {
            ab.e("MicroMsg.MsgHandler", "doOperateBackgroundAudio getMusicPermission is false");
            a(iVar, "operateBackgroundAudio:fail", null);
            AppMethodBeat.o(9453);
        } else if (bo.isNullOrNil(str)) {
            ab.e("MicroMsg.MsgHandler", "doOperateBackgroundAudio optype is empty");
            a(iVar, "operateBackgroundAudio:fail", null);
            AppMethodBeat.o(9453);
        } else {
            com.tencent.mm.sdk.b.a.xxA.c(this.uHa);
            if (str.equalsIgnoreCase("play")) {
                if (com.tencent.mm.aw.b.aij()) {
                    a(iVar, "operateBackgroundAudio:ok", null);
                } else {
                    ab.e("MicroMsg.MsgHandler", "operateBackgroundAudio play fail");
                    a(iVar, "operateBackgroundAudio:fail", null);
                }
            } else if (str.equalsIgnoreCase("resume")) {
                if (com.tencent.mm.aw.b.aij()) {
                    a(iVar, "operateBackgroundAudio:ok", null);
                } else {
                    ab.e("MicroMsg.MsgHandler", "operateBackgroundAudio resume fail");
                    a(iVar, "operateBackgroundAudio:fail", null);
                }
            } else if (str.equalsIgnoreCase("pause")) {
                if (com.tencent.mm.aw.b.aik()) {
                    com.tencent.mm.aw.a.aid();
                    a(iVar, "operateBackgroundAudio:ok", null);
                } else {
                    ab.e("MicroMsg.MsgHandler", "operateBackgroundAudio pause fail");
                    a(iVar, "operateBackgroundAudio:fail", null);
                }
            } else if (str.equalsIgnoreCase("seek")) {
                int i = bo.getInt((String) iVar.puc.get("currentTime"), -1);
                ab.i("MicroMsg.MsgHandler", "currentTime:%d", new Object[]{Integer.valueOf(i)});
                if (i < 0) {
                    ab.e("MicroMsg.MsgHandler", "currentTime is invalid!");
                    a(iVar, "operateBackgroundAudio:fail", null);
                } else if (com.tencent.mm.aw.a.lP(i * CredentialsApi.ACTIVITY_RESULT_ADD_ACCOUNT)) {
                    a(iVar, "operateBackgroundAudio:ok", null);
                } else {
                    ab.e("MicroMsg.MsgHandler", "operateBackgroundAudio seek fail");
                    a(iVar, "operateBackgroundAudio:fail", null);
                }
            } else if (!str.equalsIgnoreCase("stop")) {
                ab.e("MicroMsg.MsgHandler", "operateBackgroundAudio fail, invalid opeType");
                a(iVar, "operateBackgroundAudio:fail", null);
            } else if (com.tencent.mm.aw.b.ail()) {
                a(iVar, "operateBackgroundAudio:ok", null);
            } else {
                ab.e("MicroMsg.MsgHandler", "operateBackgroundAudio stop fail");
                a(iVar, "operateBackgroundAudio:fail", null);
            }
            AppMethodBeat.o(9453);
        }
        return true;
    }

    /* JADX WARNING: Removed duplicated region for block: B:10:0x004d  */
    /* JADX WARNING: Removed duplicated region for block: B:31:0x00bd  */
    /* JADX WARNING: Removed duplicated region for block: B:12:0x0054  */
    /* JADX WARNING: Removed duplicated region for block: B:32:0x00c8  */
    private boolean cc(com.tencent.mm.plugin.webview.ui.tools.jsapi.i r13) {
        /*
        r12 = this;
        r11 = 9454; // 0x24ee float:1.3248E-41 double:4.671E-320;
        r10 = 2;
        r3 = 0;
        r2 = 1;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r11);
        r5 = com.tencent.mm.aw.a.aih();
        r0 = r13.puc;
        r1 = "appId";
        r0 = r0.get(r1);
        r0 = (java.lang.String) r0;
        r1 = r12.uGh;
        if (r1 == 0) goto L_0x00cc;
    L_0x001b:
        r1 = android.text.TextUtils.isEmpty(r0);
        if (r1 == 0) goto L_0x002a;
    L_0x0021:
        r0 = r12.uGh;
        r1 = "jsapi_args_appid";
        r0 = r0.getString(r1);
    L_0x002a:
        r1 = android.text.TextUtils.isEmpty(r0);
        if (r1 == 0) goto L_0x00cc;
    L_0x0030:
        r0 = r12.uGr;
        r1 = r12.getCurrentUrl();
        r0 = r0.agj(r1);
        r1 = r0;
    L_0x003b:
        r0 = r13.puc;
        r4 = "url";
        r0 = r0.get(r4);
        r0 = (java.lang.String) r0;
        r4 = 0;
        r6 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r6 != 0) goto L_0x0052;
    L_0x004d:
        r0 = com.tencent.mm.plugin.webview.modelcache.q.aeL(r0);
        r4 = r0;
    L_0x0052:
        if (r5 == 0) goto L_0x00bd;
    L_0x0054:
        r0 = r5.fKh;
        r6 = r5.fKc;
        r6 = com.tencent.mm.plugin.webview.modelcache.q.aeL(r6);
        r5 = r5.fKr;
        r7 = "MicroMsg.MsgHandler";
        r8 = "app_id:%s, musicAppId:%s";
        r9 = new java.lang.Object[r10];
        r9[r3] = r1;
        r9[r2] = r0;
        com.tencent.mm.sdk.platformtools.ab.i(r7, r8, r9);
        r7 = "MicroMsg.MsgHandler";
        r8 = "domain: %s, songWebDomain: %s, jsWebDomain: %s， with no port";
        r9 = 3;
        r9 = new java.lang.Object[r9];
        r9[r3] = r4;
        r9[r2] = r6;
        r9[r10] = r5;
        com.tencent.mm.sdk.platformtools.ab.i(r7, r8, r9);
        r7 = android.text.TextUtils.isEmpty(r1);
        if (r7 != 0) goto L_0x00ca;
    L_0x0085:
        r0 = r1.equalsIgnoreCase(r0);
        if (r0 == 0) goto L_0x00ca;
    L_0x008b:
        r0 = r2;
    L_0x008c:
        r1 = android.text.TextUtils.isEmpty(r4);
        if (r1 != 0) goto L_0x0099;
    L_0x0092:
        r1 = r4.equalsIgnoreCase(r6);
        if (r1 == 0) goto L_0x0099;
    L_0x0098:
        r0 = r2;
    L_0x0099:
        r1 = android.text.TextUtils.isEmpty(r4);
        if (r1 != 0) goto L_0x00a6;
    L_0x009f:
        r1 = r4.equalsIgnoreCase(r5);
        if (r1 == 0) goto L_0x00a6;
    L_0x00a5:
        r0 = r2;
    L_0x00a6:
        r1 = "MicroMsg.MsgHandler";
        r4 = "getMusicPermission hasPermmision:%d";
        r5 = new java.lang.Object[r2];
        if (r0 == 0) goto L_0x00c8;
    L_0x00b0:
        r2 = java.lang.Integer.valueOf(r2);
        r5[r3] = r2;
        com.tencent.mm.sdk.platformtools.ab.i(r1, r4, r5);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r11);
        return r0;
    L_0x00bd:
        r0 = "MicroMsg.MsgHandler";
        r1 = "currentWrapper is null";
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1);
        r0 = r3;
        goto L_0x00a6;
    L_0x00c8:
        r2 = r3;
        goto L_0x00b0;
    L_0x00ca:
        r0 = r3;
        goto L_0x008c;
    L_0x00cc:
        r1 = r0;
        goto L_0x003b;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.webview.ui.tools.jsapi.g.cc(com.tencent.mm.plugin.webview.ui.tools.jsapi.i):boolean");
    }

    private boolean cd(i iVar) {
        AppMethodBeat.i(9455);
        String T = av.fly.T("login_user_name", "");
        String str = (String) iVar.puc.get("request_ticket");
        if (bo.isNullOrNil(str)) {
            ab.e("MicroMsg.MsgHandler", "requestVoiceLoginVerify, ticket is null");
            a(iVar, "requestVoiceLoginVerify:ticket is null", null);
        } else {
            Intent intent = new Intent();
            intent.putExtra("Kusername", T);
            intent.putExtra("Kvertify_key", str);
            if (this.context instanceof MMActivity) {
                ((MMActivity) this.context).ifE = this;
                com.tencent.mm.bp.d.b(this.context, "voiceprint", ".ui.VoiceLoginUI", intent, 57);
            }
        }
        AppMethodBeat.o(9455);
        return true;
    }

    private boolean ce(i iVar) {
        AppMethodBeat.i(9456);
        Map hashMap = new HashMap();
        try {
            String str = (String) iVar.puc.get("next_step");
            ab.i("MicroMsg.MsgHandler", "next_step: %s", new Object[]{str});
            Bundle bundle = new Bundle();
            if (!bo.isNullOrNil(str)) {
                if ("auth_again".equals(str)) {
                    bundle.putString("go_next", "auth_again");
                } else if ("get_reg_verify_code".equals(str)) {
                    bundle.putString("go_next", "get_reg_verify_code");
                }
            }
            this.umI.cZb();
            this.umI.W(bundle);
            com.tencent.mm.sdk.b.a.xxA.m(new vo());
            hashMap.put("err_code", Integer.valueOf(0));
            hashMap.put("err_msg", "ok");
            a(iVar, "close window and next:ok", hashMap);
        } catch (Exception e) {
            ab.w("MicroMsg.MsgHandler", "doCloseWindow, ex = " + e.getMessage());
            hashMap.put("err_code", Integer.valueOf(1));
            hashMap.put("err_msg", "fail");
            a(iVar, "close window and next:fail", hashMap);
        }
        AppMethodBeat.o(9456);
        return true;
    }

    private boolean cf(i iVar) {
        AppMethodBeat.i(9457);
        String str = (String) iVar.puc.get("username");
        if (bo.isNullOrNil(str)) {
            a(iVar, "open_biz_chat:param_err", null);
            AppMethodBeat.o(9457);
        } else {
            ad aoO = ((j) com.tencent.mm.kernel.g.K(j.class)).XM().aoO(str);
            if (aoO == null || !aoO.dsf()) {
                a(iVar, "open_biz_chat:not biz username", null);
                AppMethodBeat.o(9457);
            } else if (com.tencent.mm.n.a.jh(aoO.field_type)) {
                Intent intent = new Intent();
                intent.putExtra("Chat_User", str);
                intent.putExtra("finish_direct", true);
                com.tencent.mm.bp.d.f(this.context, ".ui.chatting.ChattingUI", intent);
                a(iVar, "open_biz_chat:ok", null);
                AppMethodBeat.o(9457);
            } else {
                a(iVar, "open_biz_chat:unfollow", null);
                AppMethodBeat.o(9457);
            }
        }
        return true;
    }

    private boolean cg(i iVar) {
        AppMethodBeat.i(9458);
        String str = (String) iVar.puc.get("url");
        if (bo.isNullOrNil(str)) {
            ab.i("MicroMsg.MsgHandler", "doOpenGameUrlWithExtraWebView, url is null");
            a(iVar, "openGameUrlWithExtraWebView:fail", null);
            AppMethodBeat.o(9458);
        } else {
            String str2 = (String) iVar.puc.get("statusBarColor");
            int i = 0;
            if (!bo.isNullOrNil(str2)) {
                try {
                    i = Color.parseColor(str2);
                } catch (IllegalArgumentException e) {
                    ab.e("MicroMsg.MsgHandler", "doOpenGameUrlWithExtraWebView: " + e.getMessage());
                    a(iVar, "openGameUrlWithExtraWebView:fail_invalid_color", null);
                    AppMethodBeat.o(9458);
                }
            }
            str2 = (String) iVar.puc.get("statusBarStyle");
            Intent intent = new Intent();
            intent.putExtra("rawUrl", str);
            intent.putExtra("customize_status_bar_color", i);
            intent.putExtra("status_bar_style", str2);
            ab.i("MicroMsg.MsgHandler", "doOpenGameUrlWithExtraWebView, time: " + System.currentTimeMillis());
            intent.putExtra("start_time", System.currentTimeMillis());
            intent.putExtra("start_activity_time", System.currentTimeMillis());
            com.tencent.mm.plugin.webview.ui.tools.g.a(intent.getExtras(), "webview", ".ui.tools.game.GameWebViewUI", this.umI, new 31(this, intent));
            a(iVar, "openGameUrlWithExtraWebView:ok", null);
            AppMethodBeat.o(9458);
        }
        return true;
    }

    private boolean ch(i iVar) {
        AppMethodBeat.i(9459);
        String bK = bK(getCurrentUrl());
        if (bo.isNullOrNil(bK)) {
            ab.i("MicroMsg.MsgHandler", "appId is null");
            a(iVar, "setGameData:fail_appid_null", null);
            AppMethodBeat.o(9459);
        } else {
            String str = (String) iVar.puc.get("key");
            String str2 = (String) iVar.puc.get("value");
            String str3 = (String) iVar.puc.get("weight");
            String str4 = (String) iVar.puc.get("expireTime");
            boolean z = bo.getBoolean((String) iVar.puc.get("autoClean"), true);
            if (bo.isNullOrNil(str) || bo.isNullOrNil(str2)) {
                ab.i("MicroMsg.MsgHandler", "key or value is null");
                a(iVar, "setGameData:fail_null_key", null);
                AppMethodBeat.o(9459);
            } else {
                if (com.tencent.mm.plugin.webview.b.b.cWi().a(bK, str, str2, str3, str4, z)) {
                    a(iVar, "setGameData:ok", null);
                } else {
                    a(iVar, "setGameData:fail_exceed_size", null);
                }
                AppMethodBeat.o(9459);
            }
        }
        return true;
    }

    private boolean ci(i iVar) {
        AppMethodBeat.i(9460);
        String bK = bK(getCurrentUrl());
        if (bo.isNullOrNil(bK)) {
            ab.i("MicroMsg.MsgHandler", "appId is null");
            a(iVar, "getGameData:fail", null);
            AppMethodBeat.o(9460);
        } else {
            String str = (String) iVar.puc.get("key");
            if (bo.isNullOrNil(str)) {
                ab.i("MicroMsg.MsgHandler", "key is null");
                a(iVar, "getGameData:fail", null);
                AppMethodBeat.o(9460);
            } else {
                com.tencent.mm.plugin.webview.b.a gV = com.tencent.mm.plugin.webview.b.b.cWi().gV(bK, str);
                if (bo.isNullOrNil(gV.field_value)) {
                    a(iVar, "getGameData:ok", null);
                } else {
                    Map hashMap = new HashMap();
                    hashMap.put("value", gV.field_value);
                    hashMap.put("weight", gV.field_weight);
                    hashMap.put("expireTime", Long.valueOf(gV.field_expireTime - (System.currentTimeMillis() / 1000)));
                    a(iVar, "getGameData:ok", hashMap);
                }
                AppMethodBeat.o(9460);
            }
        }
        return true;
    }

    private boolean cj(i iVar) {
        AppMethodBeat.i(9461);
        String bK = bK(getCurrentUrl());
        if (bo.isNullOrNil(bK)) {
            ab.i("MicroMsg.MsgHandler", "appId is null");
            a(iVar, "clearData:fail", null);
            AppMethodBeat.o(9461);
        } else {
            String str = (String) iVar.puc.get("keys");
            boolean z = bo.getBoolean((String) iVar.puc.get("clearAllData"), false);
            if (!bo.isNullOrNil(str)) {
                try {
                    com.tencent.mm.plugin.webview.b.b.cWi().b(bK, new JSONArray(str));
                    a(iVar, "clearGameData:ok", null);
                } catch (Exception e) {
                    ab.e("MicroMsg.MsgHandler", "doClearData: " + e.getMessage());
                    a(iVar, "clearGameData:fail", null);
                }
            } else if (z) {
                com.tencent.mm.plugin.webview.b.b.cWi().adY(bK);
                a(iVar, "clearGameData:ok", null);
            } else {
                ab.i("MicroMsg.MsgHandler", "key is null");
                a(iVar, "clearGameData:fail", null);
            }
            AppMethodBeat.o(9461);
        }
        return true;
    }

    private boolean ck(i iVar) {
        boolean z;
        AppMethodBeat.i(9462);
        this.eBB = false;
        a(iVar, "recordHistory:ok", null);
        if ((com.tencent.mm.bd.b.aiC().fNf & 131072) == 131072) {
            z = true;
        } else {
            z = false;
        }
        if (z) {
            String aek = ar.aek((String) iVar.puc.get("url"));
            if (bo.isNullOrNil(aek)) {
                a(iVar, "recordHistory:fail", null);
                AppMethodBeat.o(9462);
            } else {
                String str;
                String nullAsNil;
                int i = bo.getInt((String) iVar.puc.get("webview_scene"), 0);
                if (i == 33 || i == 46) {
                    ab.i("MicroMsg.MsgHandler", "hasRecordPermission false, getA8keyScene = ".concat(String.valueOf(i)));
                    z = false;
                } else if (aek.startsWith("http")) {
                    Uri parse = Uri.parse(aek);
                    str = parse.getHost() + parse.getPath();
                    ab.i("MicroMsg.MsgHandler", "hasRecordPermission, hostPath: ".concat(String.valueOf(str)));
                    String string = af.a.cXG().getString("oauth_host_paths");
                    if (bo.isNullOrNil(string)) {
                        string = "open.weixin.qq.com/connect/oauth2/authorize";
                    }
                    String[] split = string.split(";");
                    if (str.contains("weixin110.qq.com")) {
                        z = false;
                    } else if ("weixin110.qq.com;res.wx.qq.com;weops.qq.com;wx-credit-repay.tencent.com;chong.qq.com;qian.tenpay.com;payapp.weixin.qq.com;pay.weixin.qq.com;wx.tenpay.com".contains(parse.getHost().toLowerCase())) {
                        ab.i("MicroMsg.MsgHandler", "forbidden host %s", new Object[]{parse.getHost()});
                        z = false;
                    } else {
                        for (String nullAsNil2 : split) {
                            if (str.equalsIgnoreCase(nullAsNil2)) {
                                z = false;
                                break;
                            }
                        }
                        z = true;
                    }
                } else {
                    z = false;
                }
                if (z) {
                    nullAsNil2 = bo.nullAsNil((String) iVar.puc.get("title"));
                    str = bo.nullAsNil((String) iVar.puc.get("source"));
                    String nullAsNil3 = bo.nullAsNil((String) iVar.puc.get("img_url"));
                    ab.i("MicroMsg.MsgHandler", "doRecordHistory link %s,title %s,source %s,imgUrl %s", new Object[]{aek, nullAsNil2, str, nullAsNil3});
                    com.tencent.mm.plugin.webview.b.e cYJ = com.tencent.mm.plugin.webview.modeltools.g.cYJ();
                    com.tencent.mm.plugin.webview.b.d dVar = new com.tencent.mm.plugin.webview.b.d();
                    dVar.field_link = aek;
                    if (!cYJ.b(dVar, new String[]{"link"})) {
                        dVar = null;
                    }
                    if (dVar != null) {
                        ab.i("MicroMsg.MsgHandler", "doRecordHistory update");
                        dVar.field_link = aek;
                        dVar.field_title = nullAsNil2;
                        dVar.field_source = str;
                        dVar.field_imgUrl = nullAsNil3;
                        dVar.field_timeStamp = System.currentTimeMillis() / 1000;
                        com.tencent.mm.plugin.webview.modeltools.g.cYJ().c(dVar, new String[0]);
                    } else {
                        ab.i("MicroMsg.MsgHandler", "doRecordHistory insert");
                        com.tencent.mm.plugin.webview.b.e cYJ2 = com.tencent.mm.plugin.webview.modeltools.g.cYJ();
                        com.tencent.mm.plugin.webview.b.d dVar2 = new com.tencent.mm.plugin.webview.b.d();
                        dVar2.field_link = aek;
                        dVar2.field_title = nullAsNil2;
                        dVar2.field_source = str;
                        dVar2.field_imgUrl = nullAsNil3;
                        dVar2.field_timeStamp = System.currentTimeMillis() / 1000;
                        dVar2.field_recordId = aek.hashCode() + "_" + System.currentTimeMillis();
                        ab.i("MicroMsg.WebViewHistoryStorage", "insert: ".concat(String.valueOf(cYJ2.b(dVar2))));
                        com.tencent.mm.ce.a.post(new e$1(cYJ2));
                    }
                    a(iVar, "recordHistory:ok", null);
                    AppMethodBeat.o(9462);
                } else {
                    a(iVar, "recordHistory:fail", null);
                    AppMethodBeat.o(9462);
                }
            }
        } else {
            ab.i("MicroMsg.MsgHandler", "doRecordHistory switch close");
            AppMethodBeat.o(9462);
        }
        return true;
    }

    private boolean cl(i iVar) {
        AppMethodBeat.i(9463);
        Map hashMap = new HashMap();
        hashMap.put("osVersion", Integer.valueOf(VERSION.SDK_INT));
        hashMap.put("cpuCores", Integer.valueOf(DeviceInfo.getNumberOfCPUCores()));
        hashMap.put("cpuFreqHz", Integer.valueOf(DeviceInfo.getCPUMaxFreqKHz()));
        hashMap.put("memory", Long.valueOf(DeviceInfo.getTotalMemory(ah.getContext())));
        hashMap.put("brand", Build.BRAND);
        hashMap.put("model", Build.MODEL);
        a(iVar, "getSystemInfo:ok", hashMap);
        AppMethodBeat.o(9463);
        return true;
    }

    private boolean cm(i iVar) {
        AppMethodBeat.i(9464);
        try {
            ab.i("MicroMsg.MsgHandler", "doServiceClick, tid = %s", new Object[]{(String) iVar.puc.get("tid")});
            Bundle bundle = new Bundle();
            bundle.putString("service_click_tid", r0);
            this.umI.c(70, bundle);
        } catch (Exception e) {
            ab.printErrStackTrace("MicroMsg.MsgHandler", e, "", new Object[0]);
        }
        this.eBB = false;
        AppMethodBeat.o(9464);
        return false;
    }

    private boolean cn(i iVar) {
        AppMethodBeat.i(9465);
        String bK = bK(getCurrentUrl());
        if (bo.isNullOrNil(bK)) {
            ab.e("MicroMsg.MsgHandler", "[doOpenRealnameAuth]appid is null, return");
            a(iVar, "openRealnameAuth:fail appid is null", null);
            AppMethodBeat.o(9465);
            return false;
        }
        String str = (String) iVar.puc.get("categoryId");
        if (bo.isNullOrNil(str)) {
            ab.e("MicroMsg.MsgHandler", "[doOpenRealnameAuth]categoryId is null, return");
            a(iVar, "openRealnameAuth:fail categoryId is null", null);
            AppMethodBeat.o(9465);
            return false;
        }
        Intent putExtra = new Intent().putExtra("intent_appid", bK).putExtra("intent_category_id", str);
        if (this.context instanceof MMActivity) {
            ((MMActivity) this.context).ifE = this;
            com.tencent.mm.bp.d.b(this.context, "appbrand", ".ui.autofill.AppBrandIDCardUI", putExtra, 62);
            AppMethodBeat.o(9465);
            return true;
        }
        ab.e("MicroMsg.MsgHandler", "[doOpenRealnameAuth]context is err, return");
        a(iVar, "openRealnameAuth:fail context is err", null);
        AppMethodBeat.o(9465);
        return false;
    }

    private boolean co(i iVar) {
        AppMethodBeat.i(9466);
        this.cEl = g(iVar);
        if (this.cEl == null) {
            ab.e("MicroMsg.MsgHandler", "doSendSingleAppMessage fail, appmsg is null");
            a(iVar, "sendSingleAppMessage:fail", null);
            AppMethodBeat.o(9466);
            return true;
        }
        HashMap hashMap = new HashMap();
        String str = (String) iVar.puc.get("img_url");
        hashMap.put("img_url", str);
        hashMap.put("desc", (String) iVar.puc.get("desc"));
        hashMap.put("title", (String) iVar.puc.get("title"));
        hashMap.put("url", (String) iVar.puc.get("link"));
        Intent intent = new Intent();
        intent.putExtra("Select_Conv_Type", 7);
        intent.putExtra("select_is_ret", true);
        intent.putExtra("Select_block_List", r.Yz());
        intent.putExtra("Select_block_List", "filehelper," + r.Yz());
        intent.putExtra("scene_from", 10);
        intent.putExtra("webview_params", hashMap);
        intent.putExtra("Retr_Msg_Type", 2);
        if (this.context instanceof MMActivity) {
            com.tencent.mm.bp.d.a((MMActivity) this.context, ".ui.transmit.SelectConversationUI", intent, 61, this);
            k.agC(str);
            AppMethodBeat.o(9466);
            return true;
        }
        ab.e("MicroMsg.MsgHandler", "doSendSingleAppMessage context is not activity");
        AppMethodBeat.o(9466);
        return false;
    }

    private boolean cp(i iVar) {
        AppMethodBeat.i(9467);
        String str = (String) iVar.puc.get("brandName");
        ab.i("MicroMsg.MsgHandler", "doCurrentMpInfo brandIcon:%s", new Object[]{(String) iVar.puc.get("brandIcon")});
        try {
            Bundle bundle = new Bundle();
            bundle.putString("key_bag_icon", r0);
            bundle.putString("key_brand_name", str);
            this.umI.c(71, bundle);
            a(iVar, "currentMpInfo:ok", null);
            AppMethodBeat.o(9467);
        } catch (Exception e) {
            a(iVar, "currentMpInfo:fail", null);
            AppMethodBeat.o(9467);
        }
        return true;
    }

    /* JADX WARNING: Missing block: B:73:0x02da, code skipped:
            if (r0.equals("openSearch") != false) goto L_0x02b8;
     */
    private boolean cq(com.tencent.mm.plugin.webview.ui.tools.jsapi.i r12) {
        /*
        r11 = this;
        r8 = 6;
        r7 = 2;
        r10 = 0;
        r6 = 0;
        r5 = 1;
        r0 = 9468; // 0x24fc float:1.3267E-41 double:4.678E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r0);
        r0 = r12.puc;
        r1 = "opcode";
        r0 = r0.get(r1);
        r0 = (java.lang.String) r0;
        r1 = r12.puc;
        r2 = "business";
        r1 = r1.get(r2);
        r1 = (java.lang.String) r1;
        r2 = "MicroMsg.MsgHandler";
        r3 = "business %s,opcode %s";
        r4 = new java.lang.Object[r7];
        r4[r6] = r1;
        r4[r5] = r0;
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3, r4);
        r2 = new java.lang.String[r7];
        r2[r6] = r0;
        r2[r5] = r1;
        r2 = com.tencent.mm.sdk.platformtools.bo.Q(r2);
        if (r2 != 0) goto L_0x0088;
    L_0x003b:
        r2 = "regLogin";
        r2 = r1.equals(r2);
        if (r2 == 0) goto L_0x025a;
    L_0x0044:
        r1 = "setIsAgree";
        r1 = r0.equals(r1);
        if (r1 == 0) goto L_0x00aa;
    L_0x004d:
        r1 = new android.os.Bundle;	 Catch:{ Exception -> 0x008e }
        r1.<init>();	 Catch:{ Exception -> 0x008e }
        r0 = r12.puc;	 Catch:{ Exception -> 0x008e }
        r2 = "isAgree";
        r0 = r0.get(r2);	 Catch:{ Exception -> 0x008e }
        r0 = (java.lang.String) r0;	 Catch:{ Exception -> 0x008e }
        r2 = 0;
        r0 = com.tencent.mm.sdk.platformtools.bo.getInt(r0, r2);	 Catch:{ Exception -> 0x008e }
        if (r0 != r5) goto L_0x006d;
    L_0x0064:
        r0 = "go_next";
        r2 = "agree_privacy";
        r1.putString(r0, r2);	 Catch:{ Exception -> 0x008e }
    L_0x006d:
        r0 = r11.umI;	 Catch:{ Exception -> 0x008e }
        r0.cZb();	 Catch:{ Exception -> 0x008e }
        r0 = r11.umI;	 Catch:{ Exception -> 0x008e }
        r0.W(r1);	 Catch:{ Exception -> 0x008e }
        r0 = com.tencent.mm.sdk.b.a.xxA;	 Catch:{ Exception -> 0x008e }
        r1 = new com.tencent.mm.g.a.vo;	 Catch:{ Exception -> 0x008e }
        r1.<init>();	 Catch:{ Exception -> 0x008e }
        r0.m(r1);	 Catch:{ Exception -> 0x008e }
        r0 = "set wc privacy policy result:ok";
        r1 = 0;
        r11.a(r12, r0, r1);	 Catch:{ Exception -> 0x008e }
    L_0x0088:
        r0 = 9468; // 0x24fc float:1.3267E-41 double:4.678E-320;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r0);
        return r5;
    L_0x008e:
        r0 = move-exception;
        r1 = "MicroMsg.MsgHandler";
        r2 = new java.lang.StringBuilder;
        r3 = "setWcPrivacyPolicyResult, ex = ";
        r2.<init>(r3);
        r0 = r0.getMessage();
        r0 = r2.append(r0);
        r0 = r0.toString();
        com.tencent.mm.sdk.platformtools.ab.w(r1, r0);
        goto L_0x0088;
    L_0x00aa:
        r1 = "setBirthday";
        r1 = r0.equals(r1);
        if (r1 == 0) goto L_0x012a;
    L_0x00b3:
        r0 = r12.puc;
        r1 = "birthday";
        r0 = r0.get(r1);
        r0 = (java.lang.String) r0;
        r1 = r12.puc;
        r2 = "mobile";
        r1 = r1.get(r2);
        r1 = (java.lang.String) r1;
        r2 = "MicroMsg.MsgHandler";
        r3 = "mobile %s,birthday %s";
        r4 = new java.lang.Object[r7];
        r4[r6] = r1;
        r4[r5] = r0;
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3, r4);
        r2 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r1);
        if (r2 == 0) goto L_0x00f5;
    L_0x00de:
        r2 = com.tencent.mm.kernel.g.RK();
        if (r2 == 0) goto L_0x00f5;
    L_0x00e4:
        com.tencent.mm.kernel.g.RQ();
        r1 = com.tencent.mm.kernel.g.RP();
        r1 = r1.Ry();
        r1 = r1.get(r8, r10);
        r1 = (java.lang.String) r1;
    L_0x00f5:
        r2 = new java.lang.String[r7];
        r2[r6] = r1;
        r2[r5] = r0;
        r2 = com.tencent.mm.sdk.platformtools.bo.Q(r2);
        if (r2 != 0) goto L_0x0122;
    L_0x0101:
        r2 = new java.util.HashMap;
        r2.<init>();
        r3 = "birthday";
        r2.put(r3, r0);
        r0 = "last_update_birthday_time";
        r6 = java.lang.System.currentTimeMillis();
        r8 = 1000; // 0x3e8 float:1.401E-42 double:4.94E-321;
        r6 = r6 / r8;
        r3 = java.lang.Long.valueOf(r6);
        r2.put(r0, r3);
        r0 = com.tencent.mm.model.bn.fnk;
        r0.g(r1, r2);
    L_0x0122:
        r0 = "setBirthday OK";
        r11.a(r12, r0, r10);
        goto L_0x0088;
    L_0x012a:
        r1 = "getBirthday";
        r1 = r0.equals(r1);
        if (r1 == 0) goto L_0x01b8;
    L_0x0133:
        r7 = new java.util.HashMap;
        r7.<init>();
        r0 = r12.puc;
        r1 = "mobile";
        r0 = r0.get(r1);
        r0 = (java.lang.String) r0;
        r1 = "MicroMsg.MsgHandler";
        r2 = "getBirthday of %s";
        r3 = new java.lang.Object[r5];
        r3[r6] = r0;
        com.tencent.mm.sdk.platformtools.ab.i(r1, r2, r3);
        r4 = "";
        r2 = 0;
        r1 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r1 == 0) goto L_0x0172;
    L_0x015b:
        r1 = com.tencent.mm.kernel.g.RK();
        if (r1 == 0) goto L_0x0172;
    L_0x0161:
        com.tencent.mm.kernel.g.RQ();
        r0 = com.tencent.mm.kernel.g.RP();
        r0 = r0.Ry();
        r0 = r0.get(r8, r10);
        r0 = (java.lang.String) r0;
    L_0x0172:
        r1 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r1 != 0) goto L_0x03ff;
    L_0x0178:
        r1 = com.tencent.mm.model.bn.fnk;
        r2 = "birthday";
        r2 = r1.getString(r0, r2);
        r1 = com.tencent.mm.model.bn.fnk;
        r3 = "last_update_birthday_time";
        r0 = r1.getString(r0, r3);
        r0 = com.tencent.mm.sdk.platformtools.bo.anl(r0);
        r4 = r2;
    L_0x018f:
        r2 = "MicroMsg.MsgHandler";
        r3 = "updateTime %s";
        r8 = new java.lang.Object[r5];
        r9 = java.lang.Long.valueOf(r0);
        r8[r6] = r9;
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3, r8);
        r2 = "birthday";
        r7.put(r2, r4);
        r2 = "updatetime";
        r0 = java.lang.Long.valueOf(r0);
        r7.put(r2, r0);
        r0 = "getBirthday OK";
        r11.a(r12, r0, r7);
        goto L_0x0088;
    L_0x01b8:
        r1 = "birthdayComfirmOK";
        r1 = r0.equals(r1);
        if (r1 == 0) goto L_0x0209;
    L_0x01c1:
        r0 = new android.os.Bundle;	 Catch:{ Exception -> 0x01ec }
        r0.<init>();	 Catch:{ Exception -> 0x01ec }
        r1 = "go_next";
        r2 = "birthdayComfirmOK";
        r0.putString(r1, r2);	 Catch:{ Exception -> 0x01ec }
        r1 = r11.umI;	 Catch:{ Exception -> 0x01ec }
        r1.cZb();	 Catch:{ Exception -> 0x01ec }
        r1 = r11.umI;	 Catch:{ Exception -> 0x01ec }
        r1.W(r0);	 Catch:{ Exception -> 0x01ec }
        r0 = com.tencent.mm.sdk.b.a.xxA;	 Catch:{ Exception -> 0x01ec }
        r1 = new com.tencent.mm.g.a.vo;	 Catch:{ Exception -> 0x01ec }
        r1.<init>();	 Catch:{ Exception -> 0x01ec }
        r0.m(r1);	 Catch:{ Exception -> 0x01ec }
        r0 = "birthdayConfirmOK";
        r1 = 0;
        r11.a(r12, r0, r1);	 Catch:{ Exception -> 0x01ec }
        goto L_0x0088;
    L_0x01ec:
        r0 = move-exception;
        r1 = "MicroMsg.MsgHandler";
        r2 = new java.lang.StringBuilder;
        r3 = "setWcPrivacyPolicyResult, ex = ";
        r2.<init>(r3);
        r0 = r0.getMessage();
        r0 = r2.append(r0);
        r0 = r0.toString();
        com.tencent.mm.sdk.platformtools.ab.w(r1, r0);
        goto L_0x0088;
    L_0x0209:
        r1 = "continue";
        r0 = r0.equals(r1);
        if (r0 == 0) goto L_0x0088;
    L_0x0212:
        r0 = new android.os.Bundle;	 Catch:{ Exception -> 0x023d }
        r0.<init>();	 Catch:{ Exception -> 0x023d }
        r1 = "go_next";
        r2 = "gdpr_confirm_continue";
        r0.putString(r1, r2);	 Catch:{ Exception -> 0x023d }
        r1 = r11.umI;	 Catch:{ Exception -> 0x023d }
        r1.cZb();	 Catch:{ Exception -> 0x023d }
        r1 = r11.umI;	 Catch:{ Exception -> 0x023d }
        r1.W(r0);	 Catch:{ Exception -> 0x023d }
        r0 = com.tencent.mm.sdk.b.a.xxA;	 Catch:{ Exception -> 0x023d }
        r1 = new com.tencent.mm.g.a.vo;	 Catch:{ Exception -> 0x023d }
        r1.<init>();	 Catch:{ Exception -> 0x023d }
        r0.m(r1);	 Catch:{ Exception -> 0x023d }
        r0 = "h5 confirm continue OK";
        r1 = 0;
        r11.a(r12, r0, r1);	 Catch:{ Exception -> 0x023d }
        goto L_0x0088;
    L_0x023d:
        r0 = move-exception;
        r1 = "MicroMsg.MsgHandler";
        r2 = new java.lang.StringBuilder;
        r3 = "setWcPrivacyPolicyResult, ex = ";
        r2.<init>(r3);
        r0 = r0.getMessage();
        r0 = r2.append(r0);
        r0 = r0.toString();
        com.tencent.mm.sdk.platformtools.ab.w(r1, r0);
        goto L_0x0088;
    L_0x025a:
        r2 = com.tencent.mm.model.gdpr.a.oX(r1);
        if (r2 == 0) goto L_0x02a6;
    L_0x0260:
        r1 = "setIsAgree";
        r0 = r1.equals(r0);
        if (r0 == 0) goto L_0x028d;
    L_0x0269:
        r0 = r12.puc;
        r1 = "isAgree";
        r0 = r0.get(r1);
        r0 = (java.lang.String) r0;
        r0 = com.tencent.mm.sdk.platformtools.bo.getInt(r0, r6);
        if (r0 != r5) goto L_0x0295;
    L_0x027a:
        r0 = r5;
    L_0x027b:
        r1 = new android.os.Bundle;
        r1.<init>(r5);
        r2 = "OnMPGdprPolicyAgreement_KIsAgree";
        r1.putBoolean(r2, r0);
        r0 = r11.umI;	 Catch:{ Exception -> 0x0297 }
        r2 = 200; // 0xc8 float:2.8E-43 double:9.9E-322;
        r0.c(r2, r1);	 Catch:{ Exception -> 0x0297 }
    L_0x028d:
        r0 = "wcPrivacyPolicyResult:ok";
        r11.a(r12, r0, r10);
        goto L_0x0088;
    L_0x0295:
        r0 = r6;
        goto L_0x027b;
    L_0x0297:
        r0 = move-exception;
        r1 = "MicroMsg.MsgHandler";
        r2 = "wcPrivacyPolicyResult, [mp_gdpr], callback ex = %s";
        r3 = new java.lang.Object[r5];
        r3[r6] = r0;
        com.tencent.mm.sdk.platformtools.ab.e(r1, r2, r3);
        goto L_0x028d;
    L_0x02a6:
        r2 = "search";
        r2 = r1.equals(r2);
        if (r2 == 0) goto L_0x0300;
    L_0x02af:
        r1 = -1;
        r2 = r0.hashCode();
        switch(r2) {
            case 158651840: goto L_0x02dd;
            case 334239890: goto L_0x02d3;
            default: goto L_0x02b7;
        };
    L_0x02b7:
        r6 = r1;
    L_0x02b8:
        switch(r6) {
            case 0: goto L_0x02e8;
            case 1: goto L_0x02f4;
            default: goto L_0x02bb;
        };
    L_0x02bb:
        r0 = r11.umI;	 Catch:{ Exception -> 0x03fc }
        r1 = 0;
        r0.W(r1);	 Catch:{ Exception -> 0x03fc }
    L_0x02c1:
        r0 = com.tencent.mm.sdk.b.a.xxA;
        r1 = new com.tencent.mm.g.a.vo;
        r1.<init>();
        r0.m(r1);
        r0 = "wcPrivacyPolicyResult:ok";
        r11.a(r12, r0, r10);
        goto L_0x0088;
    L_0x02d3:
        r2 = "openSearch";
        r0 = r0.equals(r2);
        if (r0 == 0) goto L_0x02b7;
    L_0x02dc:
        goto L_0x02b8;
    L_0x02dd:
        r2 = "closeSearch";
        r0 = r0.equals(r2);
        if (r0 == 0) goto L_0x02b7;
    L_0x02e6:
        r6 = r5;
        goto L_0x02b8;
    L_0x02e8:
        r0 = com.tencent.mm.plugin.websearch.api.m.class;
        r0 = com.tencent.mm.kernel.g.K(r0);
        r0 = (com.tencent.mm.plugin.websearch.api.m) r0;
        r0.cUK();
        goto L_0x02bb;
    L_0x02f4:
        r0 = com.tencent.mm.plugin.websearch.api.m.class;
        r0 = com.tencent.mm.kernel.g.K(r0);
        r0 = (com.tencent.mm.plugin.websearch.api.m) r0;
        r0.cUL();
        goto L_0x02bb;
    L_0x0300:
        r2 = "walletIndexGDPR";
        r2 = r1.equals(r2);
        if (r2 == 0) goto L_0x0390;
    L_0x0309:
        r1 = "setIsAgree";
        r0 = r0.equals(r1);
        if (r0 == 0) goto L_0x0088;
    L_0x0312:
        r1 = new android.os.Bundle;	 Catch:{ Exception -> 0x0373 }
        r1.<init>();	 Catch:{ Exception -> 0x0373 }
        r0 = r12.puc;	 Catch:{ Exception -> 0x0373 }
        r2 = "isAgree";
        r0 = r0.get(r2);	 Catch:{ Exception -> 0x0373 }
        r0 = (java.lang.String) r0;	 Catch:{ Exception -> 0x0373 }
        r2 = 0;
        r0 = com.tencent.mm.sdk.platformtools.bo.getInt(r0, r2);	 Catch:{ Exception -> 0x0373 }
        if (r0 != r5) goto L_0x0332;
    L_0x0329:
        r2 = "go_next";
        r3 = "agree_privacy";
        r1.putString(r2, r3);	 Catch:{ Exception -> 0x0373 }
    L_0x0332:
        r2 = new com.tencent.mm.g.a.vw;	 Catch:{ Exception -> 0x0373 }
        r2.<init>();	 Catch:{ Exception -> 0x0373 }
        r3 = r2.cTd;	 Catch:{ Exception -> 0x0373 }
        r4 = "agree_privacy";
        r3.cBp = r4;	 Catch:{ Exception -> 0x0373 }
        r3 = com.tencent.mm.sdk.b.a.xxA;	 Catch:{ Exception -> 0x0373 }
        r3.m(r2);	 Catch:{ Exception -> 0x0373 }
        r2 = "MicroMsg.MsgHandler";
        r3 = "walletIndexGDPR agreement %s";
        r4 = 1;
        r4 = new java.lang.Object[r4];	 Catch:{ Exception -> 0x0373 }
        r6 = 0;
        r0 = java.lang.Integer.valueOf(r0);	 Catch:{ Exception -> 0x0373 }
        r4[r6] = r0;	 Catch:{ Exception -> 0x0373 }
        com.tencent.mm.sdk.platformtools.ab.i(r2, r3, r4);	 Catch:{ Exception -> 0x0373 }
        r0 = r11.umI;	 Catch:{ Exception -> 0x0373 }
        r0.cZb();	 Catch:{ Exception -> 0x0373 }
        r0 = r11.umI;	 Catch:{ Exception -> 0x0373 }
        r0.W(r1);	 Catch:{ Exception -> 0x0373 }
        r0 = com.tencent.mm.sdk.b.a.xxA;	 Catch:{ Exception -> 0x0373 }
        r1 = new com.tencent.mm.g.a.vo;	 Catch:{ Exception -> 0x0373 }
        r1.<init>();	 Catch:{ Exception -> 0x0373 }
        r0.m(r1);	 Catch:{ Exception -> 0x0373 }
        r0 = "set walletIndexGDPR wc privacy policy result:ok";
        r1 = 0;
        r11.a(r12, r0, r1);	 Catch:{ Exception -> 0x0373 }
        goto L_0x0088;
    L_0x0373:
        r0 = move-exception;
        r1 = "MicroMsg.MsgHandler";
        r2 = new java.lang.StringBuilder;
        r3 = "setwalletIndexGDPR WcPrivacyPolicyResult, ex = ";
        r2.<init>(r3);
        r0 = r0.getMessage();
        r0 = r2.append(r0);
        r0 = r0.toString();
        com.tencent.mm.sdk.platformtools.ab.w(r1, r0);
        goto L_0x0088;
    L_0x0390:
        r2 = "location";
        r1 = r1.equals(r2);
        if (r1 == 0) goto L_0x0088;
    L_0x0399:
        r1 = "setIsAgree";
        r0 = r0.equals(r1);
        if (r0 == 0) goto L_0x0088;
    L_0x03a2:
        r1 = new android.os.Bundle;	 Catch:{ Exception -> 0x03df }
        r1.<init>();	 Catch:{ Exception -> 0x03df }
        r0 = r12.puc;	 Catch:{ Exception -> 0x03df }
        r2 = "isAgree";
        r0 = r0.get(r2);	 Catch:{ Exception -> 0x03df }
        r0 = (java.lang.String) r0;	 Catch:{ Exception -> 0x03df }
        r2 = 0;
        r0 = com.tencent.mm.sdk.platformtools.bo.getInt(r0, r2);	 Catch:{ Exception -> 0x03df }
        if (r0 != r5) goto L_0x03c2;
    L_0x03b9:
        r0 = "go_next";
        r2 = "gdpr_auth_location";
        r1.putString(r0, r2);	 Catch:{ Exception -> 0x03df }
    L_0x03c2:
        r0 = r11.umI;	 Catch:{ Exception -> 0x03df }
        r0.cZb();	 Catch:{ Exception -> 0x03df }
        r0 = r11.umI;	 Catch:{ Exception -> 0x03df }
        r0.W(r1);	 Catch:{ Exception -> 0x03df }
        r0 = com.tencent.mm.sdk.b.a.xxA;	 Catch:{ Exception -> 0x03df }
        r1 = new com.tencent.mm.g.a.vo;	 Catch:{ Exception -> 0x03df }
        r1.<init>();	 Catch:{ Exception -> 0x03df }
        r0.m(r1);	 Catch:{ Exception -> 0x03df }
        r0 = "hint location permission use scene result:ok";
        r1 = 0;
        r11.a(r12, r0, r1);	 Catch:{ Exception -> 0x03df }
        goto L_0x0088;
    L_0x03df:
        r0 = move-exception;
        r1 = "MicroMsg.MsgHandler";
        r2 = new java.lang.StringBuilder;
        r3 = "setLocationPermissionUseScene Result, ex = ";
        r2.<init>(r3);
        r0 = r0.getMessage();
        r0 = r2.append(r0);
        r0 = r0.toString();
        com.tencent.mm.sdk.platformtools.ab.w(r1, r0);
        goto L_0x0088;
    L_0x03fc:
        r0 = move-exception;
        goto L_0x02c1;
    L_0x03ff:
        r0 = r2;
        goto L_0x018f;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.webview.ui.tools.jsapi.g.cq(com.tencent.mm.plugin.webview.ui.tools.jsapi.i):boolean");
    }

    private boolean cr(i iVar) {
        AppMethodBeat.i(9469);
        byte[] bVS = com.tencent.mm.plugin.normsg.a.b.oTO.bVS();
        if (bVS != null) {
            Map hashMap = new HashMap(1);
            hashMap.put("data", Base64.encodeToString(bVS, 2));
            a(iVar, iVar.uIJ + ":ok", hashMap);
            AppMethodBeat.o(9469);
            return true;
        }
        a(iVar, iVar.uIJ + ":fail", null);
        AppMethodBeat.o(9469);
        return false;
    }

    private boolean cs(i iVar) {
        AppMethodBeat.i(9470);
        Object obj = iVar.puc.get("rqt");
        if (obj == null) {
            ab.e("MicroMsg.MsgHandler", "calrqt, dataIn is null.");
            a(iVar, iVar.uIJ + ":fail", null);
            AppMethodBeat.o(9470);
            return false;
        }
        byte[] bytes;
        if (obj instanceof String) {
            bytes = ((String) obj).getBytes(Charset.forName("UTF-8"));
        } else if (obj instanceof byte[]) {
            bytes = (byte[]) obj;
        } else {
            ab.e("MicroMsg.MsgHandler", "calrqt, cannot determine type of rqt data.");
            a(iVar, iVar.uIJ + ":fail", null);
            AppMethodBeat.o(9470);
            return false;
        }
        PInt pInt = new PInt();
        PInt pInt2 = new PInt();
        PByteArray pByteArray = new PByteArray();
        if (com.tencent.mm.plugin.normsg.a.b.oTO.a(1, bytes, 0, bytes.length, pInt, pInt2, pByteArray)) {
            Map hashMap = new HashMap(5);
            hashMap.put("k1", Integer.valueOf(pInt.value));
            hashMap.put("k2", Integer.valueOf(pInt2.value));
            hashMap.put("data", Base64.encodeToString(pByteArray.value, 2));
            a(iVar, iVar.uIJ + ":ok", hashMap);
            AppMethodBeat.o(9470);
            return true;
        }
        ab.e("MicroMsg.MsgHandler", "calrqt, cannot calculate hash of rqt data.");
        a(iVar, iVar.uIJ + ":fail", null);
        AppMethodBeat.o(9470);
        return false;
    }

    private boolean ct(i iVar) {
        AppMethodBeat.i(9471);
        String str = (String) iVar.puc.get("user_ticket");
        int i = bo.getInt((String) iVar.puc.get("scene"), 0);
        int i2 = bo.getInt((String) iVar.puc.get("check_alive_type"), 1);
        float f = bo.getFloat((String) iVar.puc.get("light_threshold"), 4.0f);
        ((MMActivity) this.context).ifE = this;
        Bundle bundle = new Bundle();
        bundle.putInt("k_server_scene", 6);
        bundle.putInt("k_from_scene", i);
        bundle.putString("key_function_name", iVar.uIJ);
        bundle.putInt("key_business_type", 1);
        bundle.putInt("check_alive_type_response", i2);
        bundle.putString("k_ticket", str);
        bundle.putFloat("mLight_threshold", f);
        op opVar = new op();
        opVar.cKW.context = this.context;
        opVar.cKW.cKY = 64;
        opVar.cKW.extras = bundle;
        com.tencent.mm.sdk.b.a.xxA.m(opVar);
        ab.i("MicroMsg.MsgHandler", "start face detect event result: %b", new Object[]{Boolean.valueOf(opVar.cKX.cKV)});
        if (!opVar.cKX.cKV) {
            ((MMActivity) this.context).ifE = null;
            a(iVar, iVar.uIJ + ":fail", i.aq(opVar.cKX.extras));
        }
        AppMethodBeat.o(9471);
        return true;
    }

    private boolean cu(i iVar) {
        AppMethodBeat.i(9472);
        String str = (String) iVar.puc.get("pkgIdList");
        if (!bo.isNullOrNil(str)) {
            try {
                JSONArray jSONArray = new JSONArray(str);
                if (jSONArray.length() > 0) {
                    ArrayList arrayList = new ArrayList();
                    for (int i = 0; i < jSONArray.length(); i++) {
                        arrayList.add(jSONArray.optString(i));
                    }
                    if (!bo.ek(arrayList)) {
                        vv vvVar = new vv();
                        vvVar.cSX.cuy = 8;
                        vvVar.cSX.scene = 0;
                        vvVar.cSX.cTc = arrayList;
                        com.tencent.mm.sdk.b.a.xxA.m(vvVar);
                        a(iVar, iVar.uIJ + ":ok", null);
                        AppMethodBeat.o(9472);
                        return true;
                    }
                }
            } catch (JSONException e) {
                ab.e("MicroMsg.MsgHandler", "data is not json");
            }
        }
        a(iVar, iVar.uIJ + ":fail", null);
        AppMethodBeat.o(9472);
        return false;
    }

    private boolean cv(i iVar) {
        AppMethodBeat.i(9473);
        ((com.tencent.mm.plugin.appbrand.service.a) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.appbrand.service.a.class)).bq((String) iVar.puc.get("uuid"), (String) iVar.puc.get("req_data"));
        try {
            this.umI.g(100000, Bundle.EMPTY);
        } catch (Exception e) {
            ab.e("MicroMsg.MsgHandler", "doPrivateOpenWeappFunctionalPage, AC_FINISH_ON_RESUME e = %s", new Object[]{e});
        }
        AppMethodBeat.o(9473);
        return false;
    }

    private boolean cw(i iVar) {
        Bundle g;
        AppMethodBeat.i(9474);
        TreeMap treeMap = new TreeMap(new 34(this));
        try {
            g = this.umI.g(150, null);
        } catch (Exception e) {
            ab.printErrStackTrace("MicroMsg.MsgHandler", e, "", new Object[0]);
            g = null;
        }
        if (g == null) {
            a(iVar, iVar.uIJ + ":fail", null);
            AppMethodBeat.o(9474);
        } else {
            JSONObject jSONObject;
            treeMap.put(Integer.valueOf(e$a.uDu), g.getString("page_key"));
            treeMap.put(Integer.valueOf(e$a.uDv), at.gB(ah.getContext()));
            treeMap.put(Integer.valueOf(e$a.uDw), String.valueOf(YearClass.get(ah.getContext())));
            String string = g.getString("raw_url");
            if (!bo.isNullOrNil(string)) {
                try {
                    treeMap.put(Integer.valueOf(e$a.uDx), com.tencent.mm.compatible.util.q.encode(string, "UTF-8"));
                } catch (UnsupportedEncodingException e2) {
                }
            }
            treeMap.put(Integer.valueOf(e$a.uDy), Integer.valueOf(g.getBoolean("is_used_wepkg", false) ? 1 : 0));
            treeMap.put(Integer.valueOf(e$a.uDz), Integer.valueOf(0));
            treeMap.put(Integer.valueOf(e$a.uDA), Integer.valueOf(0));
            treeMap.put(Integer.valueOf(e$a.uDB), g.getString("wepkg_version"));
            treeMap.put(Integer.valueOf(e$a.uDC), g.getString("comm_js_version"));
            String str = (String) iVar.puc.get(VideoMaterialUtil.CRAZYFACE_LAYER_TYPE);
            boolean equals = "1".equals((String) iVar.puc.get("isReportNow"));
            try {
                jSONObject = new JSONObject((String) iVar.puc.get("data"));
            } catch (JSONException e3) {
                jSONObject = null;
            }
            if (jSONObject == null) {
                ab.i("MicroMsg.MsgHandler", "data is null or not json");
                a(iVar, iVar.uIJ + ":fail_data_is_null", null);
                AppMethodBeat.o(9474);
            } else {
                Map aO;
                if ("1".equals(str)) {
                    treeMap.put(Integer.valueOf(e$b.uDE), Boolean.valueOf(equals));
                    aO = com.tencent.mm.plugin.webview.ui.tools.game.f.aO(jSONObject);
                    for (Integer num : aO.keySet()) {
                        if (!treeMap.containsKey(num)) {
                            treeMap.put(num, aO.get(num));
                        }
                    }
                    com.tencent.mm.plugin.webview.ui.tools.game.f.y(string, treeMap);
                    a(iVar, iVar.uIJ + ":ok", null);
                } else if ("2".equals(str)) {
                    aO = com.tencent.mm.plugin.webview.ui.tools.game.f.aO(jSONObject);
                    for (Integer num2 : aO.keySet()) {
                        if (!treeMap.containsKey(num2)) {
                            treeMap.put(num2, aO.get(num2));
                        }
                    }
                    ab.i("MicroMsg.MsgHandler", "report web runtime. isReportNow:%b, reportData: [%s]", new Object[]{Boolean.valueOf(equals), com.tencent.mm.plugin.webview.ui.tools.game.e.aI(treeMap)});
                    h.pYm.a(16145, str, equals, false);
                    a(iVar, iVar.uIJ + ":ok", null);
                } else {
                    ab.i("MicroMsg.MsgHandler", "type is error. type:%s", new Object[]{str});
                    a(iVar, iVar.uIJ + ":fail_type_not_right", null);
                }
                AppMethodBeat.o(9474);
            }
        }
        return true;
    }

    private boolean cx(i iVar) {
        AppMethodBeat.i(9475);
        String str = "";
        try {
            str = this.umI.getCurrentUrl();
        } catch (Exception e) {
            ab.w("MicroMsg.MsgHandler", "doPrivateCommonApi exception in get currentUrl" + e.getMessage());
        }
        ab.i("MicroMsg.MsgHandler", "doPrivateCommonApi currentUrl %s", new Object[]{str});
        if (str.startsWith("https://support.weixin.qq.com/security/") || str.startsWith("https://support.wechat.com/security/") || str.startsWith("https://szsupport.weixin.qq.com/security/") || str.startsWith("https://hksupport.weixin.qq.com/security/") || str.startsWith("https://mlsupport.weixin.qq.com/security/") || str.startsWith("https://weixin110.qq.com/security/")) {
            str = (String) iVar.puc.get("opcode");
            if (bo.isNullOrNil(str)) {
                a(iVar, "privateCommonApi:fail, opcode is empty", null);
                AppMethodBeat.o(9475);
                return false;
            } else if (str.equals("selectContact")) {
                ab.i("MicroMsg.MsgHandler", "doPrivateSelectContact");
                Intent intent = new Intent();
                intent.putExtra("list_type", 15);
                intent.putExtra("titile", this.context.getString(2131296486));
                intent.putExtra("list_attr", s.C(new int[]{2, 16384, 1, 4}));
                if (this.context instanceof MMActivity) {
                    com.tencent.mm.bp.d.a((MMActivity) this.context, ".ui.contact.SelectContactUI", intent, 65, this);
                } else {
                    ab.e("MicroMsg.MsgHandler", "doSelectContact invalid context");
                    a(iVar, "selectContact:fail", null);
                }
                AppMethodBeat.o(9475);
                return true;
            } else {
                a(iVar, "privateCommonApi:fail, opcode is invalid", null);
                AppMethodBeat.o(9475);
                return false;
            }
        }
        a(iVar, "privateCommonApi:fail access_denied", null);
        AppMethodBeat.o(9475);
        return false;
    }

    private boolean cy(i iVar) {
        AppMethodBeat.i(9476);
        String str = (String) iVar.puc.get("action");
        ab.i("MicroMsg.MsgHandler", "doHandleHaoKanAction action=%s", new Object[]{str});
        if (bo.isNullOrNil(str)) {
            a(iVar, "handleHaokanAction:fail action is empty", null);
            AppMethodBeat.o(9476);
            return false;
        }
        String str2 = (String) iVar.puc.get("server_data");
        String str3 = (String) iVar.puc.get("client_data");
        if ("submitMsgToTL".equals(str)) {
            im imVar = new im();
            imVar.cDD.cDE = str2;
            imVar.cDD.cDF = str3;
            com.tencent.mm.sdk.b.a.xxA.m(imVar);
            a(iVar, "handleHaokanAction:ok", null);
            AppMethodBeat.o(9476);
            return true;
        } else if ("update_recommend_status".equals(str)) {
            c$a c_a;
            str = (String) iVar.puc.get("url");
            c$a agE = this.uGw.agE(str);
            if (agE == null) {
                c_a = new c$a();
            } else {
                c_a = agE;
            }
            c_a.permission = bo.getInt((String) iVar.puc.get("permission"), 0);
            c_a.uKW = bo.getInt((String) iVar.puc.get("recommend"), -1);
            c_a.title = bo.bc((String) iVar.puc.get("title"), c_a.title);
            com.tencent.mm.plugin.webview.e.c cVar = this.uGw;
            cVar.uKV.put(u.aef(str), c_a);
            ab.i("MicroMsg.MsgHandler", "doHandleHaoKanAction Permission=%d,Recommend=%d", new Object[]{Integer.valueOf(c_a.permission), Integer.valueOf(c_a.uKW)});
            a(iVar, "handleHaokanAction:ok", null);
            try {
                this.umI.g(203, null);
            } catch (RemoteException e) {
                ab.e("MicroMsg.MsgHandler", "doHandleHaoKanAction e=%s", new Object[]{e.getMessage()});
            }
            AppMethodBeat.o(9476);
            return true;
        } else {
            a(iVar, "handleHaokanAction:fail, action not support", null);
            AppMethodBeat.o(9476);
            return false;
        }
    }

    private boolean cz(i iVar) {
        AppMethodBeat.i(9477);
        Map hashMap = new HashMap();
        if (!((com.tencent.mm.plugin.brandservice.a.b) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.brandservice.a.b.class)).rW(5)) {
            hashMap.put("err_desc", "abtest closed");
            a(iVar, iVar.uIJ + ":fail", hashMap);
            AppMethodBeat.o(9477);
            return false;
        } else if (!iVar.uIH.has("url")) {
            hashMap.put("err_desc", "invalid url");
            a(iVar, iVar.uIJ + ":fail", hashMap);
            AppMethodBeat.o(9477);
            return false;
        } else if (!iVar.uIH.has("item_show_type")) {
            hashMap.put("err_desc", "invalid item_show_type");
            a(iVar, iVar.uIJ + ":fail", hashMap);
            AppMethodBeat.o(9477);
            return false;
        } else if (!iVar.uIH.has("scene")) {
            hashMap.put("err_desc", "invalid scene");
            a(iVar, iVar.uIJ + ":fail", hashMap);
            AppMethodBeat.o(9477);
            return false;
        } else if (iVar.uIH.has("openType")) {
            try {
                Bundle bundle = new Bundle();
                bundle.putString("url", iVar.uIH.getString("url"));
                bundle.putInt("item_show_type", iVar.uIH.getInt("item_show_type"));
                bundle.putInt("scene", iVar.uIH.getInt("scene"));
                bundle.putInt("openType", iVar.uIH.getInt("openType"));
                bundle = this.umI.g(200, bundle);
                if (bundle.getBoolean("success")) {
                    a(iVar, hashMap);
                } else {
                    hashMap.put("err_desc", bo.bc(bundle.getString("desc"), ""));
                    a(iVar, iVar.uIJ + ":fail", hashMap);
                }
                AppMethodBeat.o(9477);
                return true;
            } catch (JSONException e) {
                ab.printErrStackTrace("MicroMsg.MsgHandler", e, "doOpenWebViewUseFastload", new Object[0]);
                hashMap.put("err_desc", e.toString());
                a(iVar, iVar.uIJ + ":fail", hashMap);
                AppMethodBeat.o(9477);
                return false;
            } catch (RemoteException e2) {
                ab.printErrStackTrace("MicroMsg.MsgHandler", e2, "doOpenWebViewUseFastload", new Object[0]);
                hashMap.put("err_desc", e2.toString());
                a(iVar, iVar.uIJ + ":fail", hashMap);
                AppMethodBeat.o(9477);
                return false;
            }
        } else {
            hashMap.put("err_desc", "invalid openType");
            a(iVar, iVar.uIJ + ":fail", hashMap);
            AppMethodBeat.o(9477);
            return false;
        }
    }

    private static int parseColor(String str) {
        AppMethodBeat.i(9478);
        int parseColor = Color.parseColor(str) | -16777216;
        AppMethodBeat.o(9478);
        return parseColor;
    }

    private boolean cA(i iVar) {
        AppMethodBeat.i(9479);
        Map hashMap = new HashMap();
        try {
            com.tencent.mm.ui.widget.a.c.a aVar = new com.tencent.mm.ui.widget.a.c.a(this.context);
            JSONObject jSONObject = iVar.uIH;
            if (jSONObject.has("title")) {
                aVar.asD(jSONObject.getString("title"));
            }
            if (jSONObject.has("titleDesc")) {
                aVar.aj(jSONObject.getString("titleDesc"));
            }
            if (jSONObject.has("titleColor")) {
                aVar.PW(parseColor(jSONObject.getString("titleColor")));
            }
            if (jSONObject.has("titleMaxLine")) {
                aVar.PX(jSONObject.getInt("titleMaxLine"));
            }
            if (jSONObject.has("titleGravity")) {
                aVar.PY(jSONObject.getInt("titleGravity"));
            }
            if (jSONObject.has("msg")) {
                aVar.asE(jSONObject.getString("msg"));
            }
            if (jSONObject.has("msgSubTitle")) {
                aVar.ak(jSONObject.getString("msgSubTitle"));
            }
            if (jSONObject.has("msgSubDesc")) {
                aVar.zQe.zPe = jSONObject.getString("msgSubDesc");
            }
            if (jSONObject.has("msgMaxLine")) {
                aVar.Qa(jSONObject.getInt("msgMaxLine"));
            }
            if (jSONObject.has("msgIconBase64")) {
                byte[] decode = Base64.decode(jSONObject.getString("msgIconBase64"), 0);
                aVar.ar(BitmapFactory.decodeByteArray(decode, 0, decode.length));
            } else if (jSONObject.has("msgIconUrl")) {
                aVar.ar(Bitmap.createBitmap(1, 1, Config.ARGB_8888));
            }
            if (jSONObject.has("contentDesc")) {
                aVar.asG(jSONObject.getString("contentDesc"));
            }
            if (jSONObject.has("contentDescGravity")) {
                aVar.Qb(jSONObject.getInt("contentDescGravity"));
            }
            if (jSONObject.has("confirmText")) {
                aVar.asJ(jSONObject.getString("confirmText"));
            }
            if (jSONObject.has("confirmTextColor")) {
                aVar.Qe(parseColor(jSONObject.getString("confirmTextColor")));
            }
            if (jSONObject.has("cancelText")) {
                aVar.asK(jSONObject.getString("cancelText"));
            }
            if (jSONObject.has("cancelTextColor")) {
                aVar.Qf(parseColor(jSONObject.getString("cancelTextColor")));
            }
            aVar.f(new 38(this, iVar, hashMap));
            aVar.a(new 39(this, iVar, hashMap));
            aVar.a(new 40(this, iVar, hashMap));
            aVar.b(new 41(this, iVar, hashMap));
            com.tencent.mm.ui.widget.a.c aMb = aVar.aMb();
            if (jSONObject.has("msgIconUrl")) {
                ImageView imageView = aMb.zPI;
                com.tencent.mm.at.a.a ahp = o.ahp();
                String string = jSONObject.getString("msgIconUrl");
                com.tencent.mm.at.a.a.c$a c_a = new com.tencent.mm.at.a.a.c$a();
                c_a.ePH = true;
                ahp.a(string, imageView, c_a.ahG());
            }
            aMb.show();
        } catch (JSONException e) {
            ab.printErrStackTrace("MicroMsg.MsgHandler", e, "doConfirmDialog", new Object[0]);
            a(iVar, iVar.uIJ + ":err", hashMap);
        }
        AppMethodBeat.o(9479);
        return true;
    }

    private boolean cB(i iVar) {
        AppMethodBeat.i(9480);
        LinkedList biz = ((com.tencent.mm.plugin.downloader_app.a.d) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.downloader_app.a.d.class)).biz();
        if (bo.ek(biz)) {
            a(iVar, iVar.uIJ + ":ok", null);
            AppMethodBeat.o(9480);
        } else {
            Map hashMap = new HashMap();
            JSONArray jSONArray = new JSONArray();
            Iterator it = biz.iterator();
            while (it.hasNext()) {
                com.tencent.mm.plugin.downloader_app.a.b bVar = (com.tencent.mm.plugin.downloader_app.a.b) it.next();
                JSONObject jSONObject = new JSONObject();
                try {
                    jSONObject.put("appid", bVar.appId);
                    jSONObject.put("status", bVar.kOe);
                    jSONObject.put("download_id", bVar.crZ);
                    jSONObject.put("progress", bVar.progress);
                    if (bVar.kNu) {
                        jSONObject.put("reserve_for_wifi", 1);
                    }
                } catch (JSONException e) {
                }
                jSONArray.put(jSONObject);
            }
            hashMap.put("result", jSONArray);
            a(iVar, iVar.uIJ + ":ok", hashMap);
            AppMethodBeat.o(9480);
        }
        return true;
    }

    private boolean B(i iVar) {
        AppMethodBeat.i(9269);
        l.a(iVar.uII, agw("sendEmail"), null, null);
        String str = (String) iVar.puc.get("title");
        String str2 = "";
        try {
            str2 = ar.aek(this.umI.getCurrentUrl());
        } catch (Exception e) {
            ab.printErrStackTrace("MicroMsg.MsgHandler", e, "", new Object[0]);
        }
        Intent intent = new Intent();
        intent.putExtra("composeType", 1);
        intent.putExtra("subject", str);
        intent.putExtra("mail_content", str2);
        com.tencent.mm.bp.d.c(this.context, "qqmail", ".ui.ComposeUI", intent);
        a(iVar, "send_email:ok", null);
        AppMethodBeat.o(9269);
        return true;
    }

    private static byte[] dcA() {
        AppMethodBeat.i(9277);
        try {
            i iVar = new i("softtype");
            ab.d("MicroMsg.AndroidDevicesReport", "cpu %s", new Object[]{bo.bc((String) com.tencent.mm.compatible.e.n.LA().get("Processor"), "")});
            iVar.cY("cpu", r0);
            iVar.cY("radio", com.tencent.mm.compatible.e.q.LV());
            iVar.cY("osversion", VERSION.RELEASE);
            String deviceID = com.tencent.mm.compatible.e.q.getDeviceID(ah.getContext());
            String LX = com.tencent.mm.compatible.e.q.LX();
            String LY = com.tencent.mm.compatible.e.q.LY();
            iVar.cY("deviceId", deviceID);
            iVar.cY("imsi", LX);
            iVar.cY("iccid", LY);
            iVar.cY("androidid", com.tencent.mm.compatible.e.q.getAndroidId());
            iVar.cY("serial", com.tencent.mm.compatible.e.q.LZ());
            iVar.cY("model", com.tencent.mm.compatible.e.q.LS());
            iVar.cY("core_count", com.tencent.mm.compatible.e.n.getNumCores());
            iVar.cY("cpuhardware", bo.bc((String) com.tencent.mm.compatible.e.n.LF().get("Hardware"), ""));
            iVar.cY("cpureversion", bo.bc((String) com.tencent.mm.compatible.e.n.LF().get("CPU revision"), ""));
            iVar.cY("cpuserial", bo.bc((String) com.tencent.mm.compatible.e.n.LF().get("Serial"), ""));
            iVar.cY("Features", bo.bc((String) com.tencent.mm.compatible.e.n.LF().get("Features"), ""));
            iVar.cY("wifi-mac", bo.bc(com.tencent.mm.compatible.e.q.LP(), ""));
            iVar.cY("bluetooth", bo.bc(com.tencent.mm.compatible.e.q.LQ(), ""));
            if (!bo.isNullOrNil(iVar.xyh)) {
                iVar.Fj(iVar.xyh);
                iVar.xyh = "";
            }
            ab.d("MicroMsg.AndroidDevicesReport", "xmlStr %s", new Object[]{iVar.jvt.toString()});
            ab.i("MicroMsg.MsgHandler", "xml %s", new Object[]{deviceID});
            ciw ciw = new ciw();
            ciw.xhL = com.tencent.mm.bt.b.bI(com.tencent.mm.compatible.e.q.LM().getBytes()).Lv(16);
            ab.i("MicroMsg.MsgHandler", bo.cd(ciw.xhL.wR));
            ciw.xhM = deviceID;
            SharedPreferences ZQ = ax.ZQ();
            ab.i("MicroMsg.MsgHandler", "cpan aak string:%s md5:%s uin:%d", new Object[]{bo.cd(r2), com.tencent.mm.a.g.x(bo.anf(ZQ.getString("_auth_key", ""))), Integer.valueOf(ZQ.getInt("_auth_uin", 0))});
            ab.i("MicroMsg.MsgHandler", "aat len:%d", new Object[]{Integer.valueOf(r2.length)});
            ciw.xhN = com.tencent.mm.bt.b.bI(r2);
            ciw.uin = r0;
            com.tencent.mm.protocal.z dmv = com.tencent.mm.protocal.z.dmv();
            byte[] toByteArray = ciw.toByteArray();
            PByteArray pByteArray = new PByteArray();
            if (MMProtocalJni.rsaPublicEncrypt(toByteArray, pByteArray, dmv.vyO.getBytes(), dmv.vyP.getBytes())) {
                toByteArray = pByteArray.value;
            }
            ab.d("MicroMsg.MsgHandler", "cpan buf string:%s ", new Object[]{bo.cd(toByteArray)});
            cix cix = new cix();
            cix.xhP = dmv.ver;
            cix.xhO = com.tencent.mm.protocal.d.vxo;
            cix.xhQ = com.tencent.mm.protocal.d.eSg;
            cix.xhR = com.tencent.mm.bt.b.bI(toByteArray);
            ab.i("MicroMsg.MsgHandler", "getdevice done");
            toByteArray = cix.toByteArray();
            AppMethodBeat.o(9277);
            return toByteArray;
        } catch (Exception e) {
            ab.e("MicroMsg.MsgHandler", "report error");
            ab.printErrStackTrace("MicroMsg.MsgHandler", e, "", new Object[0]);
            AppMethodBeat.o(9277);
            return null;
        }
    }

    static /* synthetic */ boolean f(g gVar, i iVar) {
        AppMethodBeat.i(9488);
        ab.i("MicroMsg.MsgHandler", "doGoVideoPlayerUI");
        String str = (String) iVar.puc.get("streamingUrl");
        int i = (int) bo.getDouble((String) iVar.puc.get("streamingVideoTime"), 0.0d);
        String str2 = (String) iVar.puc.get("btnTitle");
        String str3 = (String) iVar.puc.get("jumpUrl");
        String str4 = (String) iVar.puc.get("shareTitle");
        String str5 = (String) iVar.puc.get("shareThumbUrl");
        int i2 = bo.getInt((String) iVar.puc.get("shareBtnHidden"), 0);
        String str6 = (String) iVar.puc.get("reportArgs");
        int i3 = bo.getInt((String) iVar.puc.get("needReportData"), 0);
        Intent intent = new Intent();
        intent.putExtra("IsAd", true);
        intent.putExtra("KStremVideoUrl", str);
        intent.putExtra("StreamWording", str2);
        intent.putExtra("StremWebUrl", str3);
        intent.putExtra("KThumUrl", str5);
        intent.putExtra("KMediaId", "fakeid_" + str5.hashCode());
        intent.putExtra("KMediaVideoTime", i);
        intent.putExtra("KMediaTitle", str4);
        intent.putExtra("ShareBtnHidden", i2);
        intent.putExtra("ReportArgs", str6);
        intent.putExtra("NeedReportData", i3);
        com.tencent.mm.bp.d.b(gVar.context, "sns", ".ui.VideoAdPlayerUI", intent);
        gVar.a(iVar, "playStreamingVideo:ok", null);
        AppMethodBeat.o(9488);
        return true;
    }

    static /* synthetic */ boolean g(g gVar, i iVar) {
        AppMethodBeat.i(9490);
        String obj = iVar.puc.get("widgetId").toString();
        String adC = ((com.tencent.mm.plugin.websearch.api.n) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.websearch.api.n.class)).adC(obj);
        Map hashMap = new HashMap();
        hashMap.put("widgetId", obj);
        hashMap.put("imgUrl", adC);
        gVar.a(iVar, String.format("%s:ok", new Object[]{iVar.uIJ}), hashMap);
        AppMethodBeat.o(9490);
        return false;
    }

    static /* synthetic */ boolean i(g gVar, i iVar) {
        AppMethodBeat.i(9492);
        ab.i("MicroMsg.MsgHandler", "jslog : " + iVar.puc.get("msg"));
        gVar.eBB = false;
        AppMethodBeat.o(9492);
        return false;
    }

    static /* synthetic */ boolean j(g gVar, i iVar) {
        AppMethodBeat.i(9495);
        if (at.isConnected(gVar.context)) {
            ab.i("MicroMsg.MsgHandler", "getNetworkType, type = ".concat(String.valueOf(at.getNetType(gVar.context))));
            Map hashMap = new HashMap();
            if (at.is2G(gVar.context)) {
                ab.i("MicroMsg.MsgHandler", "getNetworkType, 2g");
                hashMap.put("subtype", "2g");
                gVar.a(iVar, "network_type:wwan", hashMap);
                AppMethodBeat.o(9495);
            } else if (at.is3G(gVar.context)) {
                ab.i("MicroMsg.MsgHandler", "getNetworkType, 3g");
                hashMap.put("subtype", "3g");
                gVar.a(iVar, "network_type:wwan", hashMap);
                AppMethodBeat.o(9495);
            } else if (at.is4G(gVar.context)) {
                ab.i("MicroMsg.MsgHandler", "getNetworkType, 4g");
                hashMap.put("subtype", "4g");
                gVar.a(iVar, "network_type:wwan", hashMap);
                AppMethodBeat.o(9495);
            } else if (at.isWifi(gVar.context)) {
                ab.i("MicroMsg.MsgHandler", "getNetworkType, wifi");
                gVar.a(iVar, "network_type:wifi", null);
                AppMethodBeat.o(9495);
            } else {
                ab.w("MicroMsg.MsgHandler", "getNetworkType, unknown");
                gVar.a(iVar, "network_type:fail", null);
                AppMethodBeat.o(9495);
            }
        } else {
            ab.i("MicroMsg.MsgHandler", "getNetworkType, not connected");
            gVar.a(iVar, "network_type:fail", null);
            AppMethodBeat.o(9495);
        }
        return true;
    }

    static /* synthetic */ boolean o(g gVar, i iVar) {
        AppMethodBeat.i(9500);
        ab.i("MicroMsg.MsgHandler", "doJumpToInstallUrl");
        String str = (String) iVar.puc.get("url");
        if (bo.isNullOrNil(str)) {
            ab.e("MicroMsg.MsgHandler", "jumpurl is null or nil");
        } else {
            Intent intent = new Intent("android.intent.action.VIEW", Uri.parse(str));
            intent.addFlags(268435456);
            if (bo.k(gVar.context, intent)) {
                gVar.context.startActivity(intent);
            }
        }
        gVar.eBB = false;
        AppMethodBeat.o(9500);
        return false;
    }

    static /* synthetic */ boolean p(g gVar, i iVar) {
        String str;
        AppMethodBeat.i(9501);
        if (iVar.puc.get("pay_packageName") == null) {
            str = "";
        } else {
            str = (String) iVar.puc.get("pay_packageName");
        }
        String bc = bo.bc(str, "");
        l.a(iVar.uII, false, null, (String) iVar.puc.get("appId"));
        ab.i("MicroMsg.MsgHandler", "doPay %s", new Object[]{bc});
        if (gVar.context instanceof MMActivity) {
            com.tencent.mm.pluginsdk.wallet.g gVar2 = new com.tencent.mm.pluginsdk.wallet.g(iVar.puc);
            gVar2.vwu = 1;
            ab.i("MicroMsg.MsgHandler", "doPay, pay channel: %s, scene: %s", new Object[]{Integer.valueOf(gVar2.cvS), Integer.valueOf(gVar2.cIf)});
            com.tencent.mm.pluginsdk.wallet.h.a((MMActivity) gVar.context, gVar2, 4, gVar);
            long j = bo.getLong((String) iVar.puc.get("message_id"), 0);
            int i = bo.getInt((String) iVar.puc.get("message_index"), 0);
            h.pYm.e(10593, new Object[]{gVar2.cIe, gVar2.appId, Long.valueOf(j), Integer.valueOf(i), Integer.valueOf(gVar2.cIf), gVar2.url});
            gVar.uGz = gVar.bc(iVar);
        }
        AppMethodBeat.o(9501);
        return true;
    }

    static /* synthetic */ boolean r(g gVar, i iVar) {
        AppMethodBeat.i(9503);
        l.a(iVar.uII, false, null, (String) iVar.puc.get("appId"));
        ab.i("MicroMsg.MsgHandler", "doEditAddress");
        Intent intent = new Intent();
        intent.putExtra("req_url", (String) iVar.puc.get("url"));
        intent.putExtra("req_app_id", (String) iVar.puc.get("appId"));
        intent.putExtra("launch_from_webview", true);
        if (gVar.context instanceof MMActivity) {
            ((MMActivity) gVar.context).ifE = gVar;
            com.tencent.mm.bp.d.a(gVar.context, "address", ".ui.WalletSelectAddrUI", intent, 3, false);
        }
        AppMethodBeat.o(9503);
        return true;
    }

    static /* synthetic */ boolean s(g gVar, i iVar) {
        AppMethodBeat.i(9505);
        Map hashMap = new HashMap();
        if (com.tencent.mm.pluginsdk.ui.tools.d.vup == null) {
            ab.w("MicroMsg.MsgHandler", "HeadingPitchSensorMgr.instance == null, init here");
            com.tencent.mm.pluginsdk.ui.tools.d dVar = new com.tencent.mm.pluginsdk.ui.tools.d();
            com.tencent.mm.pluginsdk.ui.tools.t.a(dVar);
            com.tencent.mm.pluginsdk.ui.tools.d.vup = dVar;
            dVar.fQ(gVar.context);
            com.tencent.mm.pluginsdk.ui.tools.d.vup = dVar;
        }
        hashMap.put("heading", Integer.valueOf(com.tencent.mm.pluginsdk.ui.tools.d.vup.dlp()));
        hashMap.put("pitch", Integer.valueOf(com.tencent.mm.pluginsdk.ui.tools.d.vup.getPitch()));
        ab.i("MicroMsg.MsgHandler", "doGetHeadingAndPitch, heading=[%s], pitch=[%s]", new Object[]{Integer.valueOf(com.tencent.mm.pluginsdk.ui.tools.d.vup.dlp()), Integer.valueOf(com.tencent.mm.pluginsdk.ui.tools.d.vup.getPitch())});
        gVar.a(iVar, "get_heading_and_pitch:ok", hashMap);
        AppMethodBeat.o(9505);
        return true;
    }

    static /* synthetic */ boolean u(g gVar, i iVar) {
        AppMethodBeat.i(9507);
        if (com.tencent.mm.sdk.platformtools.g.dnY()) {
            ab.e("MicroMsg.MsgHandler", "doAddDownloadTask fail, GP Version not allowed to download");
            gVar.a(iVar, "system:access_denied", null);
            AppMethodBeat.o(9507);
            return true;
        }
        String bK;
        String str = (String) iVar.puc.get("task_name");
        String str2 = (String) iVar.puc.get("task_url");
        String str3 = (String) iVar.puc.get("alternative_url");
        long j = bo.getLong((String) iVar.puc.get("task_size"), 0);
        String str4 = (String) iVar.puc.get("file_md5");
        String str5 = (String) iVar.puc.get("extInfo");
        String str6 = (String) iVar.puc.get("fileType");
        String str7 = (String) iVar.puc.get("appid");
        if (bo.isNullOrNil(str7)) {
            bK = gVar.bK((String) iVar.puc.get("url"));
        } else {
            bK = str7;
        }
        str7 = (String) iVar.puc.get("package_name");
        String str8 = (String) iVar.puc.get("thumb_url");
        String str9 = (String) iVar.puc.get("title");
        ab.i("MicroMsg.MsgHandler", "doAddDownloadTask, md5 = " + str4 + ", url = " + str2 + ", extinfo = " + str5 + ", fileType = " + str6);
        if (gVar.uGh != null) {
            int i = gVar.uGh.getInt("key_download_restrict", 0);
            if (!bo.isNullOrNil(gVar.uGh.getString("key_function_id", ""))) {
                h.pYm.e(14596, new Object[]{r15, Integer.valueOf(i), Integer.valueOf(0)});
            }
            if (i == 1) {
                ab.e("MicroMsg.MsgHandler", "not allow to download file");
                gVar.a(iVar, "add_download_task:fail", null);
                AppMethodBeat.o(9507);
                return true;
            }
        }
        if (!at.isNetworkConnected(gVar.context)) {
            gVar.a(iVar, "add_download_task:fail_network_not_connected", null);
            al.d(new 57(gVar));
            ab.i("MicroMsg.MsgHandler", "doAddDownloadTask fail, network not ready");
            u(bK, com.tencent.mm.plugin.downloader.a.a.kJX, str5);
            AppMethodBeat.o(9507);
            return true;
        } else if (!com.tencent.mm.kernel.g.RP().isSDCardAvailable()) {
            gVar.a(iVar, "add_download_task:fail_sdcard_not_ready", null);
            al.d(new 58(gVar));
            u(bK, com.tencent.mm.plugin.downloader.a.a.kJY, str5);
            ab.i("MicroMsg.MsgHandler", "doAddDownloadTask fail, sdcard not ready");
            AppMethodBeat.o(9507);
            return true;
        } else if (j > 0 && !com.tencent.mm.compatible.util.f.eW(j)) {
            gVar.a(iVar, "add_download_task:fail_sdcard_has_not_enough_space", null);
            al.d(new 60(gVar));
            u(bK, com.tencent.mm.plugin.downloader.a.a.kJY, str5);
            ab.i("MicroMsg.MsgHandler", "doAddDownloadTask fail, not enough space, require size = ".concat(String.valueOf(j)));
            AppMethodBeat.o(9507);
            return true;
        } else if (bo.isNullOrNil(str2)) {
            ab.e("MicroMsg.MsgHandler", "doAddDownloadTask fail, url is null");
            gVar.a(iVar, "add_download_task:fail_invalid_url", null);
            u(bK, com.tencent.mm.plugin.downloader.a.a.DOWNLOAD_ERR_URL_INVALID, str5);
            AppMethodBeat.o(9507);
            return true;
        } else {
            Intent intent = new Intent();
            intent.setClass(gVar.context, WebViewDownloadUI.class);
            intent.putExtra("task_name", str);
            intent.putExtra("task_url", str2);
            intent.putExtra("alternative_url", str3);
            intent.putExtra("task_size", j);
            intent.putExtra("file_md5", str4);
            intent.putExtra("extInfo", str5);
            intent.putExtra("fileType", str6);
            intent.putExtra("appid", bK);
            intent.putExtra("package_name", str7);
            intent.putExtra("thumb_url", str8);
            intent.putExtra("title", str9);
            intent.putExtra("page_url", (String) iVar.puc.get("url"));
            intent.putExtra("page_scene", 0);
            intent.addFlags(268435456);
            gVar.context.startActivity(intent);
            gVar.hwv = new 61(gVar, iVar);
            com.tencent.mm.sdk.b.a.xxA.b(gVar.hwv);
            AppMethodBeat.o(9507);
            return true;
        }
    }

    static /* synthetic */ boolean v(g gVar, i iVar) {
        AppMethodBeat.i(9508);
        long j = bo.getLong((String) iVar.puc.get("download_id"), -1);
        ab.i("MicroMsg.MsgHandler", "doCancelDownloadTask, downloadId = ".concat(String.valueOf(j)));
        if (j <= 0) {
            ab.e("MicroMsg.MsgHandler", "doCancelDownloadTask fail, invalid downloadId = ".concat(String.valueOf(j)));
            gVar.a(iVar, "cancel_download_task:fail", null);
        } else {
            int hl = com.tencent.mm.plugin.downloader.model.d.bij().hl(j);
            ab.i("MicroMsg.MsgHandler", "doCancelDownloadTask, ret = ".concat(String.valueOf(hl)));
            if (hl <= 0) {
                gVar.a(iVar, "cancel_download_task:fail", null);
            } else {
                gVar.a(iVar, "cancel_download_task:ok", null);
            }
        }
        AppMethodBeat.o(9508);
        return true;
    }

    static /* synthetic */ boolean w(g gVar, i iVar) {
        AppMethodBeat.i(9509);
        long j = bo.getLong((String) iVar.puc.get("download_id"), -1);
        ab.i("MicroMsg.MsgHandler", "doPauseDownloadTask, downloadId = ".concat(String.valueOf(j)));
        if (j <= 0) {
            ab.e("MicroMsg.MsgHandler", "doPauseDownloadTask fail, invalid downloadId = ".concat(String.valueOf(j)));
            gVar.a(iVar, "pause_download_task:fail", null);
        } else {
            com.tencent.mm.plugin.downloader.f.a hv = com.tencent.mm.plugin.downloader.model.c.hv(j);
            if (hv != null && hv.field_downloadInWifi) {
                hv.field_downloadInWifi = false;
                com.tencent.mm.plugin.downloader.model.c.e(hv);
            }
            boolean hn = com.tencent.mm.plugin.downloader.model.d.bij().hn(j);
            ab.i("MicroMsg.MsgHandler", "doPauseDownloadTask, ret = ".concat(String.valueOf(hn)));
            if (hn) {
                gVar.a(iVar, "pause_download_task:ok", null);
            } else {
                gVar.a(iVar, "pause_download_task:fail", null);
            }
        }
        AppMethodBeat.o(9509);
        return true;
    }

    static /* synthetic */ boolean x(g gVar, i iVar) {
        AppMethodBeat.i(9511);
        com.tencent.mm.ce.a.post(new 65(gVar, iVar));
        AppMethodBeat.o(9511);
        return true;
    }

    static /* synthetic */ boolean y(g gVar, i iVar) {
        AppMethodBeat.i(9512);
        long j = bo.getLong((String) iVar.puc.get("download_id"), -1);
        bo.getInt((String) iVar.puc.get("scene"), CredentialsApi.ACTIVITY_RESULT_ADD_ACCOUNT);
        ab.i("MicroMsg.MsgHandler", "doInstallDownloadTask, downloadId = ".concat(String.valueOf(j)));
        if (j <= 0) {
            ab.e("MicroMsg.MsgHandler", "doInstallDownloadTask fail, invalid downloadId = ".concat(String.valueOf(j)));
            gVar.a(iVar, "install_download_task:fail", null);
            AppMethodBeat.o(9512);
        } else {
            com.tencent.mm.plugin.downloader.f.a hv = com.tencent.mm.plugin.downloader.model.c.hv(j);
            if (hv == null) {
                ab.e("MicroMsg.MsgHandler", "doInstallDownloadTask fail, info is null");
                gVar.a(iVar, "install_download_task:fail", null);
                AppMethodBeat.o(9512);
            } else if (hv.field_status == -1) {
                ab.e("MicroMsg.MsgHandler", "doInstallDownloadTask fail, apilevel not supported");
                gVar.a(iVar, "install_download_task:fail_apilevel_too_low", null);
                AppMethodBeat.o(9512);
            } else if (hv.field_status != 3) {
                ab.e("MicroMsg.MsgHandler", "doInstallDownloadTask fail, invalid status = " + hv.field_status);
                gVar.a(iVar, "install_download_task:fail", null);
                AppMethodBeat.o(9512);
            } else {
                com.tencent.mm.plugin.downloader.h.a.a(hv.field_downloadId, false, new 66(gVar, iVar));
                AppMethodBeat.o(9512);
            }
        }
        return true;
    }

    static /* synthetic */ boolean z(g gVar, i iVar) {
        AppMethodBeat.i(9513);
        String str = (String) iVar.puc.get("specificview");
        if (bo.isNullOrNil(str)) {
            ab.e("MicroMsg.MsgHandler", "doOpenSpecificView fail, invalid specificview");
            gVar.a(iVar, "specific_view:fail", null);
        } else {
            new Intent().addFlags(268435456);
            Bundle bundle = new Bundle();
            String str2 = (String) iVar.puc.get("url");
            String str3 = (String) iVar.puc.get("extinfo");
            bundle.putInt("webview_scene", bo.getInt((String) iVar.puc.get("webview_scene"), 0));
            bundle.putString("url", str2);
            bundle.putString("extinfo", str3);
            ab.i("MicroMsg.MsgHandler", "doOpenSpecificView, targetView = %s, ret = %b", new Object[]{str, Boolean.valueOf(com.tencent.mm.plugin.webview.a.a.gkE.b(gVar.context, str, bundle))});
            if (com.tencent.mm.plugin.webview.a.a.gkE.b(gVar.context, str, bundle)) {
                gVar.a(iVar, "specific_view:ok", null);
            } else {
                ab.e("MicroMsg.MsgHandler", "doOpenSpecificView, targetView not supported in current wechat version");
                gVar.a(iVar, "specific_view:not_supported", null);
            }
        }
        AppMethodBeat.o(9513);
        return true;
    }

    static /* synthetic */ boolean B(g gVar, i iVar) {
        AppMethodBeat.i(9515);
        ab.i("MicroMsg.MsgHandler", "doJumpToMall");
        String str = (String) iVar.puc.get("appId");
        String str2 = (String) iVar.puc.get("funcId");
        String str3 = (String) iVar.puc.get("url");
        l.a(iVar.uII, false, null, str);
        Intent intent = new Intent();
        intent.putExtra("key_app_id", str);
        intent.putExtra("key_func_id", str2);
        intent.putExtra("key_url", str3);
        if (gVar.context instanceof MMActivity) {
            ((MMActivity) gVar.context).ifE = gVar;
            com.tencent.mm.bp.d.a(gVar.context, "mall", ".ui.MallIndexUI", intent, 5, false);
        }
        AppMethodBeat.o(9515);
        return true;
    }

    static /* synthetic */ boolean C(g gVar, i iVar) {
        AppMethodBeat.i(9516);
        String str = (String) iVar.puc.get("packageName");
        if (bo.isNullOrNil(str)) {
            ab.e("MicroMsg.MsgHandler", "doWriteCommData fail, packageName is null");
        } else {
            int i;
            String str2 = (String) iVar.puc.get("data");
            boolean commit = gVar.context.getSharedPreferences(ah.getPackageName() + "_comm_preferences", 0).edit().putString(str, str2).commit();
            String str3 = "MicroMsg.MsgHandler";
            String str4 = "doWriteCommData, ret = %b, packageName = %s, data length = %d";
            Object[] objArr = new Object[3];
            objArr[0] = Boolean.valueOf(commit);
            objArr[1] = str;
            if (str2 == null) {
                i = 0;
            } else {
                i = str2.length();
            }
            objArr[2] = Integer.valueOf(i);
            ab.i(str3, str4, objArr);
            if (commit) {
                gVar.a(iVar, "write_comm_data:ok", null);
                AppMethodBeat.o(9516);
                return true;
            }
        }
        gVar.a(iVar, "write_comm_data:fail", null);
        AppMethodBeat.o(9516);
        return true;
    }

    static /* synthetic */ boolean F(g gVar, i iVar) {
        AppMethodBeat.i(9519);
        ab.i("MicroMsg.MsgHandler", "doOpenProductViewWithPid");
        String str = (String) iVar.puc.get("pid");
        String str2 = (String) iVar.puc.get("url");
        Integer valueOf = Integer.valueOf(bo.getInt((String) iVar.puc.get(VideoMaterialUtil.CRAZYFACE_LAYER_TYPE), 0));
        int i = bo.getInt((String) iVar.puc.get("view_type"), 0);
        String str3 = (String) iVar.puc.get("ext_info");
        Intent intent = new Intent();
        intent.putExtra("key_product_id", str);
        intent.putExtra("key_source_url", str2);
        boolean a = gVar.a(valueOf, 8, i, str3, intent);
        AppMethodBeat.o(9519);
        return a;
    }

    static /* synthetic */ boolean G(g gVar, i iVar) {
        AppMethodBeat.i(9520);
        l.a(iVar.uII, false, null, (String) iVar.puc.get("appId"));
        ab.i("MicroMsg.MsgHandler", "dogetBrandWCPayBindCardRequest JSOAUTH");
        if (gVar.context instanceof MMActivity) {
            com.tencent.mm.pluginsdk.wallet.g gVar2 = new com.tencent.mm.pluginsdk.wallet.g(iVar.puc);
            gVar2.cIg = 4;
            com.tencent.mm.pluginsdk.wallet.h.b((MMActivity) gVar.context, gVar2, 7, gVar);
        }
        AppMethodBeat.o(9520);
        return true;
    }

    static /* synthetic */ boolean H(g gVar, i iVar) {
        AppMethodBeat.i(9521);
        if (!gVar.uGm || com.tencent.mm.plugin.webview.modeltools.g.cYz().isAppActive) {
            ab.i("MicroMsg.MsgHandler", "location perm: %s", new Object[]{Boolean.valueOf(com.tencent.mm.pluginsdk.permission.b.o(gVar.context, "android.permission.ACCESS_COARSE_LOCATION"))});
            if (com.tencent.mm.pluginsdk.permission.b.o(gVar.context, "android.permission.ACCESS_COARSE_LOCATION")) {
                gVar.dcz();
                AppMethodBeat.o(9521);
            } else {
                WebViewStubTempUI.a(gVar.context, gVar.umI, new String[]{"android.permission.ACCESS_COARSE_LOCATION"}, 75, gVar.cIv);
                gVar.a(iVar, "geo_location:fail_location_permission", null);
                AppMethodBeat.o(9521);
            }
        } else {
            gVar.a(iVar, "geo_location:fail_background", null);
            ab.i("MicroMsg.MsgHandler", "doGeoLocation fail inBackGround");
            AppMethodBeat.o(9521);
        }
        return true;
    }

    static /* synthetic */ boolean M(g gVar, i iVar) {
        AppMethodBeat.i(9526);
        l.a(iVar.uII, false, null, (String) iVar.puc.get("appId"));
        ab.i("MicroMsg.MsgHandler", "doOpenWXCredit JSOAUTH");
        if (gVar.context instanceof MMActivity) {
            com.tencent.mm.pluginsdk.wallet.g gVar2 = new com.tencent.mm.pluginsdk.wallet.g(iVar.puc);
            gVar2.cIg = 6;
            com.tencent.mm.pluginsdk.wallet.h.b((MMActivity) gVar.context, gVar2, 9, gVar);
        }
        AppMethodBeat.o(9526);
        return true;
    }

    static /* synthetic */ boolean N(g gVar, i iVar) {
        AppMethodBeat.i(9527);
        if (gVar.uGh == null) {
            ab.e("MicroMsg.MsgHandler", "doSendServiceAppMsg fail, jsapiArgs is null");
            gVar.a(iVar, "send_service_app_msg:fail", null);
        } else if (gVar.uGh.getBoolean("isFromService", false)) {
            String string = gVar.uGh.getString("jsapi_args_appid");
            String string2 = gVar.uGh.getString("sendAppMsgToUserName");
            l.a(iVar.uII, false, null, string);
            gVar.cEl = g(iVar);
            if (gVar.cEl == null) {
                ab.e("MicroMsg.MsgHandler", "doSendServiceAppMsg fail, appmsg is null");
                gVar.a(iVar, "send_service_app_msg:fail", null);
            } else {
                com.tencent.mm.pluginsdk.model.app.f bT = com.tencent.mm.pluginsdk.model.app.g.bT(string, true);
                if (bo.isNullOrNil(string2)) {
                    ab.e("MicroMsg.MsgHandler", "toUser is null");
                    gVar.a(iVar, "send_service_app_msg:fail", null);
                } else {
                    String str = (String) iVar.puc.get("img_url");
                    h.pYm.e(10923, new Object[]{Integer.valueOf(13), bT.field_appId, Integer.valueOf(1)});
                    if (bo.isNullOrNil(str)) {
                        gVar.a(bT, "", string2, str, null, null, null, null);
                        com.tencent.mm.ui.base.h.bQ(gVar.context, gVar.context.getString(2131297039));
                        gVar.a(iVar, "send_service_app_msg:ok", null);
                        gVar.bb(iVar);
                    } else {
                        o.ahk().a(str, new 14(gVar, com.tencent.mm.ui.base.h.b(gVar.context, gVar.context.getResources().getString(2131297043), true, new 12(gVar, str, iVar)), bT, string2, str, iVar));
                    }
                }
            }
        } else {
            ab.e("MicroMsg.MsgHandler", "doSendServiceAppMsg fail, not from service");
            gVar.a(iVar, "send_service_app_msg:fail", null);
        }
        AppMethodBeat.o(9527);
        return true;
    }

    static /* synthetic */ boolean P(g gVar, i iVar) {
        String str;
        AppMethodBeat.i(9529);
        String str2 = (String) iVar.puc.get("title");
        String str3 = (String) iVar.puc.get("singer");
        String str4 = (String) iVar.puc.get("epname");
        String str5 = (String) iVar.puc.get("coverImgUrl");
        String str6 = (String) iVar.puc.get("dataUrl");
        String str7 = (String) iVar.puc.get("lowbandUrl");
        String str8 = (String) iVar.puc.get("webUrl");
        String str9 = (String) iVar.puc.get("appId");
        if (str5 == null) {
            str = "";
        } else {
            str = str5;
        }
        l.a(iVar.uII, false, null, str9);
        ab.i("MicroMsg.MsgHandler", "title : %s, singer : %s, epName : %s, coverImgUrl : %s, dataUrl : %s, lowbandUrl : %s, webUrl : %s, appid : %s", new Object[]{str2, str3, str4, str, str6, str7, str8, str9});
        if (bo.isNullOrNil(str2) || bo.isNullOrNil(str3) || bo.isNullOrNil(str4) || bo.isNullOrNil(str) || bo.isNullOrNil(str7) || bo.isNullOrNil(str6) || bo.isNullOrNil(str8)) {
            gVar.a(iVar, "playMusic:fail", null);
        } else {
            com.tencent.mm.aw.a.aic();
            com.tencent.mm.aw.a.b(com.tencent.mm.aw.f.a(7, str, str2, str3, str8, str7, str6, str6.hashCode(), com.tencent.mm.compatible.util.e.eSn, com.tencent.mm.plugin.i.c.XW() + str.hashCode(), str4, str9));
            gVar.a(iVar, "playMusic:ok", null);
        }
        AppMethodBeat.o(9529);
        return true;
    }

    static /* synthetic */ boolean Q(g gVar, i iVar) {
        boolean z = false;
        AppMethodBeat.i(9530);
        String str = (String) iVar.puc.get("ssid");
        String str2 = (String) iVar.puc.get("password");
        ab.d("MicroMsg.MsgHandler", "doConnectToWifi, ssid : %s, password : %s, encryptType : %s, hidessid : %s", new Object[]{str, str2, (String) iVar.puc.get(VideoMaterialUtil.CRAZYFACE_LAYER_TYPE), (String) iVar.puc.get("isHidden")});
        if (bo.isNullOrNil(str)) {
            ab.e("MicroMsg.MsgHandler", "ssid is null");
            gVar.a(iVar, "connecttowifi:failed_ssid_invalid", null);
            AppMethodBeat.o(9530);
        } else {
            int i = bo.getInt(r0, 0);
            if (i == 0 || !bo.isNullOrNil(str2)) {
                if (bo.getInt(r1, 0) == 1) {
                    z = true;
                }
                al.d(new 73(gVar, str, str2, z, i));
                gVar.a(iVar, "connecttowifi:ok", null);
                AppMethodBeat.o(9530);
            } else {
                ab.e("MicroMsg.MsgHandler", "encrypt type, while the password is null");
                gVar.a(iVar, "connecttowifi:failed_password_invalid", null);
                AppMethodBeat.o(9530);
            }
        }
        return true;
    }

    static /* synthetic */ boolean R(g gVar, i iVar) {
        AppMethodBeat.i(9531);
        ab.i("MicroMsg.MsgHandler", "doGetTransferMoneyRequest JSOAUTH");
        l.a(iVar.uII, false, null, (String) iVar.puc.get("appId"));
        if (gVar.context instanceof MMActivity) {
            com.tencent.mm.pluginsdk.wallet.g gVar2 = new com.tencent.mm.pluginsdk.wallet.g(iVar.puc);
            Intent intent = new Intent();
            intent.putExtra("scene", 3);
            intent.putExtra("appId", gVar2.appId);
            intent.putExtra("timeStamp", gVar2.timeStamp);
            intent.putExtra("nonceStr", gVar2.nonceStr);
            intent.putExtra("packageExt", gVar2.packageExt);
            intent.putExtra("signtype", gVar2.signType);
            intent.putExtra("paySignature", gVar2.cId);
            intent.putExtra("url", gVar2.url);
            intent.putExtra("pay_channel", gVar2.cvS);
            ((MMActivity) gVar.context).ifE = gVar;
            com.tencent.mm.bp.d.b(gVar.context, "remittance", ".ui.RemittanceAdapterUI", intent, 11);
        }
        AppMethodBeat.o(9531);
        return true;
    }

    static /* synthetic */ boolean S(g gVar, i iVar) {
        AppMethodBeat.i(9532);
        ab.i("MicroMsg.MsgHandler", "doOpenWCPaySpecificView");
        l.a(iVar.uII, false, null, (String) iVar.puc.get("appId"));
        if (gVar.context instanceof MMActivity) {
            com.tencent.mm.pluginsdk.wallet.g gVar2 = new com.tencent.mm.pluginsdk.wallet.g(iVar.puc);
            Intent intent = new Intent();
            intent.putExtra("appId", gVar2.appId);
            intent.putExtra("timeStamp", gVar2.timeStamp);
            intent.putExtra("nonceStr", gVar2.nonceStr);
            intent.putExtra("packageExt", gVar2.packageExt);
            intent.putExtra("signtype", gVar2.signType);
            intent.putExtra("paySignature", gVar2.cId);
            intent.putExtra("url", gVar2.url);
            intent.putExtra("pay_channel", gVar2.cvS);
            ((MMActivity) gVar.context).ifE = gVar;
            com.tencent.mm.bp.d.a(gVar.context, "wallet_index", ".ui.WalletOpenViewProxyUI", intent, 17, false);
        }
        AppMethodBeat.o(9532);
        return true;
    }

    static /* synthetic */ boolean T(g gVar, i iVar) {
        AppMethodBeat.i(9533);
        ab.i("MicroMsg.MsgHandler", "doChooseCard JSOAUTH");
        String str = (String) iVar.puc.get("app_id");
        int i = bo.getInt((String) iVar.puc.get("location_id"), 0);
        String str2 = (String) iVar.puc.get("sign_type");
        String str3 = (String) iVar.puc.get("card_sign");
        int i2 = bo.getInt((String) iVar.puc.get("time_stamp"), 0);
        String str4 = (String) iVar.puc.get("nonce_str");
        String str5 = (String) iVar.puc.get("card_id");
        String str6 = (String) iVar.puc.get("card_type");
        if ("INVOICE".equalsIgnoreCase(str6)) {
            gVar.a(iVar, "choose_card:fail", new HashMap());
            AppMethodBeat.o(9533);
            return false;
        }
        int i3 = bo.getInt((String) iVar.puc.get("can_multi_select"), 0);
        l.a(iVar.uII, false, null, str);
        Intent intent = new Intent();
        intent.putExtra("app_id", str);
        intent.putExtra("shop_id", i);
        intent.putExtra("sign_type", str2);
        intent.putExtra("card_sign", str3);
        intent.putExtra("time_stamp", i2);
        intent.putExtra("nonce_str", str4);
        intent.putExtra("card_tp_id", str5);
        intent.putExtra("card_type", str6);
        intent.putExtra("can_multi_select", i3);
        intent.putExtra("key_from_scene", 7);
        if (gVar.context instanceof MMActivity) {
            ((MMActivity) gVar.context).ifE = gVar;
            com.tencent.mm.bp.d.a(gVar.context, "card", ".ui.CardListSelectedUI", intent, 13, false);
        }
        AppMethodBeat.o(9533);
        return true;
    }

    static /* synthetic */ boolean U(g gVar, i iVar) {
        AppMethodBeat.i(9534);
        ab.i("MicroMsg.MsgHandler", "doChooseInvoice JSOAUTH");
        String str = (String) iVar.puc.get("appId");
        String str2 = (String) iVar.puc.get("signType");
        String str3 = (String) iVar.puc.get("cardSign");
        int i = bo.getInt((String) iVar.puc.get("timestamp"), 0);
        String str4 = (String) iVar.puc.get("nonceStr");
        Intent intent = new Intent();
        intent.putExtra("app_id", str);
        intent.putExtra("sign_type", str2);
        intent.putExtra("card_sign", str3);
        intent.putExtra("time_stamp", i);
        intent.putExtra("nonce_str", str4);
        intent.putExtra("can_multi_select", 1);
        intent.putExtra("card_type", "INVOICE");
        intent.putExtra("key_from_scene", 7);
        if (gVar.context instanceof MMActivity) {
            ((MMActivity) gVar.context).ifE = gVar;
            com.tencent.mm.bp.d.a(gVar.context, "card", ".ui.CardListSelectedUI", intent, 36, false);
        }
        AppMethodBeat.o(9534);
        return true;
    }

    static /* synthetic */ boolean V(g gVar, i iVar) {
        AppMethodBeat.i(9535);
        String str = (String) iVar.puc.get("card_list");
        String str2 = (String) iVar.puc.get("src_username");
        String str3 = (String) iVar.puc.get("url");
        String str4 = (String) iVar.puc.get("tempalate_id");
        ab.i("MicroMsg.MsgHandler", "doBatchAddCard consumedCardId %s", new Object[]{(String) iVar.puc.get("consumedCardId")});
        ab.i("MicroMsg.MsgHandler", "doBatchAddCard %s", new Object[]{iVar.puc.toString()});
        int i = bo.getInt((String) iVar.puc.get("webview_scene"), 0);
        int i2 = bo.getInt((String) iVar.puc.get("stastic_scene"), 0);
        if (i == 25) {
            i = 16;
        } else {
            i = 7;
        }
        ab.i("MicroMsg.MsgHandler", "doBatchAddCard src_username is %s, scene is %d, stasticScene is %d", new Object[]{str2, Integer.valueOf(i), Integer.valueOf(i2)});
        Intent intent = new Intent();
        intent.putExtra("key_in_card_list", str);
        intent.putExtra("key_from_scene", i);
        intent.putExtra("key_stastic_scene", i2);
        intent.putExtra("src_username", str2);
        intent.putExtra("js_url", str3);
        intent.putExtra("key_consumed_card_id", r4);
        intent.putExtra("key_template_id", str4);
        if (gVar.context instanceof MMActivity) {
            ((MMActivity) gVar.context).ifE = gVar;
            com.tencent.mm.bp.d.a(gVar.context, "card", ".ui.CardAddEntranceUI", intent, 16, false);
        }
        AppMethodBeat.o(9535);
        return true;
    }

    static /* synthetic */ boolean aa(g gVar, i iVar) {
        AppMethodBeat.i(9540);
        String str = (String) iVar.puc.get("appId");
        String str2 = (String) iVar.puc.get("localId");
        l.a(iVar.uII, false, null, str);
        ab.i("MicroMsg.MsgHandler", "doPlayVoice, appId : %s, localId : %s", new Object[]{str, str2});
        if (bo.isNullOrNil(str) || bo.isNullOrNil(str2)) {
            gVar.a(iVar, "playVoice:fail_missing arguments", null);
        } else {
            WebViewJSSDKFileItem aex = com.tencent.mm.plugin.webview.modeltools.g.cYF().aex(str2);
            if (aex != null) {
                al.d(new 93(gVar, aex, str2));
                gVar.a(iVar, "playVoice:ok", null);
            } else {
                gVar.a(iVar, "playVoice:fail_arguments error", null);
            }
        }
        AppMethodBeat.o(9540);
        return true;
    }

    static /* synthetic */ boolean ab(g gVar, i iVar) {
        AppMethodBeat.i(9541);
        String str = (String) iVar.puc.get("appId");
        String str2 = (String) iVar.puc.get("localId");
        l.a(iVar.uII, false, null, str);
        ab.i("MicroMsg.MsgHandler", "doStopVoice, appId : %s, localId : %s", new Object[]{str, str2});
        if (bo.isNullOrNil(str) || bo.isNullOrNil(str2)) {
            gVar.a(iVar, "pauseVoice:fail_missing arguments", null);
        } else {
            WebViewJSSDKFileItem aex = com.tencent.mm.plugin.webview.modeltools.g.cYF().aex(str2);
            if (aex != null) {
                al.d(new 95(gVar, aex));
                gVar.a(iVar, "pauseVoice:ok", null);
            } else {
                gVar.a(iVar, "pauseVoice:fail_not playing", null);
            }
        }
        AppMethodBeat.o(9541);
        return true;
    }

    static /* synthetic */ boolean ac(g gVar, i iVar) {
        AppMethodBeat.i(9542);
        String str = (String) iVar.puc.get("appId");
        String str2 = (String) iVar.puc.get("localId");
        ab.i("MicroMsg.MsgHandler", "doStopVoice, appId : %s, localId : %s", new Object[]{str, str2});
        l.a(iVar.uII, false, null, str);
        if (bo.isNullOrNil(str) || bo.isNullOrNil(str2)) {
            gVar.a(iVar, "stopVoice:fail_missing arguments", null);
        } else {
            WebViewJSSDKFileItem aex = com.tencent.mm.plugin.webview.modeltools.g.cYF().aex(str2);
            if (aex != null) {
                al.d(new 94(gVar, aex));
                gVar.a(iVar, "stopVoice:ok", null);
            } else {
                gVar.a(iVar, "stopVoice:fail_not playing", null);
            }
        }
        AppMethodBeat.o(9542);
        return true;
    }

    static /* synthetic */ boolean aq(g gVar, i iVar) {
        AppMethodBeat.i(9556);
        if (gVar.context instanceof MMActivity) {
            String str = (String) iVar.puc.get("key");
            int i = bo.getInt((String) iVar.puc.get("procint"), 0);
            int i2 = bo.getInt((String) iVar.puc.get("dataint"), 0);
            Intent intent = new Intent();
            intent.putExtra("encryptKey", str);
            intent.putExtra("procInterval", i);
            intent.putExtra("dataInterval", i2);
            intent.putExtra("exdevice_airkiss_open_type", 1);
            ((MMActivity) gVar.context).ifE = gVar;
            com.tencent.mm.bp.d.b(gVar.context, "exdevice", ".ui.ExdeviceConnectWifiUI", intent, 19);
        } else {
            gVar.a(iVar, "configWXDeviceWiFi:fail", null);
        }
        AppMethodBeat.o(9556);
        return true;
    }

    static /* synthetic */ boolean at(g gVar, i iVar) {
        AppMethodBeat.i(9559);
        ab.i("MicroMsg.MsgHandler", "doVerifyWCPayPassword JSOAUTH");
        l.a(iVar.uII, false, null, (String) iVar.puc.get("appId"));
        if (gVar.context instanceof MMActivity) {
            com.tencent.mm.pluginsdk.wallet.g gVar2 = new com.tencent.mm.pluginsdk.wallet.g(iVar.puc);
            Intent intent = new Intent();
            intent.putExtra("appId", gVar2.appId);
            intent.putExtra("timeStamp", gVar2.timeStamp);
            intent.putExtra("nonceStr", gVar2.nonceStr);
            intent.putExtra("packageExt", gVar2.packageExt);
            intent.putExtra("signtype", gVar2.signType);
            intent.putExtra("paySignature", gVar2.cId);
            intent.putExtra("url", gVar2.url);
            intent.putExtra("scene", 1);
            intent.putExtra("pay_channel", gVar2.cvS);
            ((MMActivity) gVar.context).ifE = gVar;
            com.tencent.mm.bp.d.a(gVar.context, "wallet_core", ".ui.WalletCheckPwdUI", intent, 20, false);
        }
        AppMethodBeat.o(9559);
        return true;
    }

    static /* synthetic */ boolean au(g gVar, i iVar) {
        AppMethodBeat.i(9563);
        ab.i("MicroMsg.MsgHandler", "doOpenWCPaySpecificView JSOAUTH");
        l.a(iVar.uII, false, null, (String) iVar.puc.get("appId"));
        if (gVar.context instanceof MMActivity) {
            com.tencent.mm.pluginsdk.wallet.g gVar2 = new com.tencent.mm.pluginsdk.wallet.g(iVar.puc);
            Intent intent = new Intent();
            intent.putExtra("appId", gVar2.appId);
            intent.putExtra("timeStamp", gVar2.timeStamp);
            intent.putExtra("nonceStr", gVar2.nonceStr);
            intent.putExtra("packageExt", gVar2.packageExt);
            intent.putExtra("signtype", gVar2.signType);
            intent.putExtra("paySignature", gVar2.cId);
            intent.putExtra("url", gVar2.url);
            intent.putExtra("pay_channel", gVar2.cvS);
            ((MMActivity) gVar.context).ifE = gVar;
            com.tencent.mm.bp.d.a(gVar.context, "wallet_index", ".ui.WalletSendC2CMsgUI", intent, 18, false);
        }
        AppMethodBeat.o(9563);
        return true;
    }

    static /* synthetic */ boolean av(g gVar, i iVar) {
        AppMethodBeat.i(9564);
        ab.i("MicroMsg.MsgHandler", "doBatchViewCard JSOAUTH");
        String str = (String) iVar.puc.get("card_list");
        String str2 = (String) iVar.puc.get("tempalate_id");
        String str3 = (String) iVar.puc.get("appId");
        Intent intent = new Intent();
        intent.putExtra("key_app_id", str3);
        intent.putExtra("card_list", str);
        intent.putExtra("key_template_id", str2);
        intent.putExtra("key_from_scene", 7);
        if (gVar.context instanceof MMActivity) {
            ((MMActivity) gVar.context).ifE = gVar;
            com.tencent.mm.bp.d.a(gVar.context, "card", ".ui.CardViewEntranceUI", intent, 23, false);
        } else {
            ab.e("MicroMsg.MsgHandler", "doBatchViewCard invalid context");
            gVar.a(iVar, "batch_view_card:fail", null);
        }
        AppMethodBeat.o(9564);
        return true;
    }

    static /* synthetic */ boolean aw(g gVar, i iVar) {
        String str;
        AppMethodBeat.i(9565);
        Object obj = iVar.puc.get(VideoMaterialUtil.CRAZYFACE_LAYER_TYPE);
        if (obj == null) {
            str = "0";
        } else {
            str = obj.toString();
        }
        ab.i("[MicroMsg.FreeWifi.MsgHandler]", "connect to freewifi, type is : %s", new Object[]{str});
        String str2 = (String) iVar.puc.get("src_username");
        if (str.equals("0") || str.equals("1") || str.equals("2")) {
            String str3;
            String str4 = (String) iVar.puc.get("apKey");
            ab.i("[MicroMsg.FreeWifi.MsgHandler]", "connect to freewifi, ap key is : %s", new Object[]{str4});
            if (bo.isNullOrNil(str4)) {
                str3 = "";
            } else {
                str3 = str4;
            }
            if (str.equals("0") && bo.isNullOrNil(str3)) {
                gVar.a(iVar, "connectToFreeWifi:failed_invaildParam", null);
                AppMethodBeat.o(9565);
            } else {
                al.d(new 100(gVar, str, str3, str2, (String) iVar.puc.get("sessionKey")));
                gVar.a(iVar, "connectToFreeWifi:ok", null);
                AppMethodBeat.o(9565);
            }
        } else {
            gVar.a(iVar, "connectToFreeWifi:failed_invaildParam", null);
            AppMethodBeat.o(9565);
        }
        return true;
    }

    static /* synthetic */ boolean aK(g gVar, i iVar) {
        AppMethodBeat.i(9579);
        String str = (String) iVar.puc.get("gameId");
        if (bo.isNullOrNil(str)) {
            str = (String) iVar.puc.get("appId");
        }
        ab.i("MicroMsg.MsgHandler", "openGameDetail, appid = %s", new Object[]{str});
        if (bo.isNullOrNil(str)) {
            gVar.a(iVar, "openGameDetail:fail", null);
            AppMethodBeat.o(9579);
        } else {
            gt gtVar = new gt();
            gtVar.cBv.appId = str;
            gtVar.cBv.scene = 5;
            gtVar.cBv.actionCode = 2;
            gtVar.cBv.context = gVar.context;
            com.tencent.mm.sdk.b.a.xxA.m(gtVar);
            gVar.a(iVar, "openGameDetail:ok", null);
            AppMethodBeat.o(9579);
        }
        return true;
    }

    static /* synthetic */ boolean aL(g gVar, i iVar) {
        AppMethodBeat.i(9580);
        int i = bo.getInt((String) iVar.puc.get("jumpView"), 0);
        int i2 = bo.getInt((String) iVar.puc.get("jumpType"), 0);
        String str = (String) iVar.puc.get("extInfo");
        lw lwVar = new lw();
        lwVar.cHK.cHL = i;
        lwVar.cHK.jumpType = i2;
        lwVar.cHK.extraInfo = str;
        lwVar.cHK.context = gVar.context;
        com.tencent.mm.sdk.b.a.xxA.m(lwVar);
        gVar.a(iVar, "gameCenterJump:ok", null);
        AppMethodBeat.o(9580);
        return true;
    }

    static /* synthetic */ boolean aM(g gVar, i iVar) {
        AppMethodBeat.i(9581);
        int i = bo.getInt((String) iVar.puc.get("downloaderType"), 0);
        String str = (String) iVar.puc.get("countryCode");
        int i2 = bo.getInt((String) iVar.puc.get("showAllLog"), 0);
        gv gvVar = new gv();
        gvVar.cBz.cBA = i;
        gvVar.cBz.cBB = i2;
        gvVar.cBz.countryCode = str;
        com.tencent.mm.sdk.b.a.xxA.m(gvVar);
        gVar.a(iVar, "setGameDebugConfig:ok", null);
        AppMethodBeat.o(9581);
        return true;
    }

    static /* synthetic */ boolean aO(g gVar, i iVar) {
        AppMethodBeat.i(9583);
        ab.i("MicroMsg.MsgHandler", "doGetRecevieBizHongBaoRequest");
        l.a(iVar.uII, false, null, (String) iVar.puc.get("appId"));
        if (gVar.context instanceof MMActivity) {
            com.tencent.mm.pluginsdk.wallet.g gVar2 = new com.tencent.mm.pluginsdk.wallet.g(iVar.puc);
            Intent intent = new Intent();
            intent.putExtra("key_way", 3);
            intent.putExtra("appId", gVar2.appId);
            intent.putExtra("timeStamp", gVar2.timeStamp);
            intent.putExtra("nonceStr", gVar2.nonceStr);
            intent.putExtra("packageExt", gVar2.packageExt);
            intent.putExtra("signtype", gVar2.signType);
            intent.putExtra("paySignature", gVar2.cId);
            intent.putExtra("url", gVar2.url);
            ((MMActivity) gVar.context).ifE = gVar;
            com.tencent.mm.bp.d.b(gVar.context, "luckymoney", ".ui.LuckyMoneyBusiReceiveUI", intent, 22);
        }
        AppMethodBeat.o(9583);
        return true;
    }

    static /* synthetic */ boolean aP(g gVar, i iVar) {
        AppMethodBeat.i(9584);
        ab.d("MicroMsg.MsgHandler", "doOpenMyDeviceProfile");
        if (gVar.context != null) {
            String str = (String) iVar.puc.get("deviceType");
            if (bo.isNullOrNil(str)) {
                ab.e("MicroMsg.MsgHandler", "deviceType is null");
                gVar.a(iVar, "openMyDeviceProfile:fail_no deviceType", null);
            } else {
                String str2 = (String) iVar.puc.get("deviceId");
                if (bo.isNullOrNil(str2)) {
                    ab.e("MicroMsg.MsgHandler", "deviceId is null");
                    gVar.a(iVar, "openMyDeviceProfile:fail_no deviceId", null);
                } else {
                    Intent intent = new Intent();
                    if (!(gVar.context instanceof Activity)) {
                        intent.addFlags(268435456);
                    }
                    intent.putExtra("device_type", str);
                    intent.putExtra("device_id", str2);
                    com.tencent.mm.bp.d.b(gVar.context, "exdevice", ".ui.ExdeviceDeviceProfileUI", intent);
                    gVar.a(iVar, "openMyDeviceProfile:ok", null);
                }
            }
        } else {
            ab.e("MicroMsg.MsgHandler", "context is null");
            gVar.a(iVar, "openMyDeviceProfile:fail", null);
        }
        AppMethodBeat.o(9584);
        return true;
    }

    static /* synthetic */ boolean aQ(g gVar, i iVar) {
        AppMethodBeat.i(9585);
        ab.i("MicroMsg.MsgHandler", "hy: doGetIbgPrepayRequest");
        l.a(iVar.uII, false, null, (String) iVar.puc.get("appId"));
        if (gVar.context instanceof MMActivity) {
            com.tencent.mm.pluginsdk.wallet.g gVar2 = new com.tencent.mm.pluginsdk.wallet.g(iVar.puc);
            gVar2.vwu = 2;
            com.tencent.mm.pluginsdk.wallet.h.a((MMActivity) gVar.context, gVar2, 27, gVar);
            long j = bo.getLong((String) iVar.puc.get("message_id"), 0);
            int i = bo.getInt((String) iVar.puc.get("message_index"), 0);
            h.pYm.e(10593, new Object[]{gVar2.cIe, gVar2.appId, Long.valueOf(j), Integer.valueOf(i), Integer.valueOf(gVar2.cIf), gVar2.url});
            gVar.uGz = gVar.bc(iVar);
        }
        AppMethodBeat.o(9585);
        return true;
    }

    static /* synthetic */ boolean aR(g gVar, i iVar) {
        AppMethodBeat.i(9586);
        ab.i("MicroMsg.MsgHandler", "hy: doGetIbgTransactionRequest");
        if (gVar.context instanceof MMActivity) {
            com.tencent.mm.pluginsdk.wallet.g gVar2 = new com.tencent.mm.pluginsdk.wallet.g(iVar.puc);
            gVar.uGy = bo.getInt((String) iVar.puc.get("closeWebAfterPayDetailBack"), 0);
            ab.i("MicroMsg.MsgHandler", "close window: %s", new Object[]{Integer.valueOf(gVar.uGy)});
            MMActivity mMActivity;
            if (gVar2.foo == 2) {
                com.tencent.mm.sdk.b.a.xxA.c(gVar.uGQ);
                if (gVar2.vws == 1) {
                    ab.i("MicroMsg.MsgHandler", "businessScene: %d", new Object[]{Integer.valueOf(gVar2.foo)});
                    up upVar = new up();
                    upVar.cQN.appId = gVar2.appId;
                    upVar.cQN.timeStamp = gVar2.timeStamp;
                    upVar.cQN.nonceStr = gVar2.nonceStr;
                    upVar.cQN.packageExt = gVar2.packageExt;
                    upVar.cQN.czZ = gVar2.czZ;
                    upVar.cQN.cQO = gVar2.vws;
                    upVar.cQN.signType = gVar2.signType;
                    upVar.cQN.cQF = gVar2.cId;
                    com.tencent.mm.sdk.b.a.xxA.m(upVar);
                } else if (gVar2.vws == 2) {
                    mMActivity = (MMActivity) gVar.context;
                    Intent intent = new Intent();
                    intent.putExtra("appId", gVar2.appId);
                    intent.putExtra("timeStamp", gVar2.timeStamp);
                    intent.putExtra("nonceStr", gVar2.nonceStr);
                    intent.putExtra("packageExt", gVar2.packageExt);
                    intent.putExtra("reqKey", gVar2.czZ);
                    intent.putExtra("signtype", gVar2.signType);
                    intent.putExtra("paySignature", gVar2.cId);
                    intent.putExtra("payScene", gVar2.vws);
                    intent.putExtra("is_jsapi_offline_pay", true);
                    com.tencent.mm.bp.d.c(mMActivity, "wallet_core", ".ui.WalletMixOrderInfoUI", intent);
                }
            } else {
                mMActivity = (MMActivity) gVar.context;
                Intent intent2 = new Intent();
                intent2.putExtra("appId", gVar2.appId);
                intent2.putExtra("timeStamp", gVar2.timeStamp);
                intent2.putExtra("nonceStr", gVar2.nonceStr);
                intent2.putExtra("packageExt", gVar2.packageExt);
                intent2.putExtra("signtype", gVar2.signType);
                intent2.putExtra("paySignature", gVar2.cId);
                intent2.putExtra("url", gVar2.url);
                mMActivity.ifE = gVar;
                ab.i("MicroMsg.WalletManager", "startIbgOrderResult context %s from %s", new Object[]{mMActivity, bo.dpG()});
                com.tencent.mm.bp.d.a(mMActivity, "wallet_core", ".ui.ibg.WalletIbgOrderInfoUI", intent2, 25, true);
            }
            long j = bo.getLong((String) iVar.puc.get("message_id"), 0);
            int i = bo.getInt((String) iVar.puc.get("message_index"), 0);
            h.pYm.e(10593, new Object[]{gVar2.cIe, gVar2.appId, Long.valueOf(j), Integer.valueOf(i), Integer.valueOf(gVar2.cIf), gVar2.url});
        }
        AppMethodBeat.o(9586);
        return true;
    }

    static /* synthetic */ boolean aS(g gVar, i iVar) {
        AppMethodBeat.i(9587);
        ab.i("MicroMsg.MsgHandler", "doJumpToWXWallet");
        l.a(iVar.uII, false, null, (String) iVar.puc.get("appId"));
        if (gVar.context instanceof MMActivity) {
            Intent intent = new Intent();
            intent.putExtra("key_wallet_region", 1);
            com.tencent.mm.bp.d.c(gVar.context, "mall", ".ui.MallIndexUI", intent);
            gVar.a(iVar, "jump_to_wx_wallet:ok", null);
        }
        AppMethodBeat.o(9587);
        return true;
    }

    static /* synthetic */ boolean aT(g gVar, i iVar) {
        AppMethodBeat.i(9588);
        ab.i("MicroMsg.MsgHandler", "doScanCover");
        l.a(iVar.uII, false, null, (String) iVar.puc.get("appId"));
        Intent intent = new Intent();
        intent.putExtra("BaseScanUI_select_scan_mode", 2);
        if (com.tencent.mm.r.a.bI(gVar.context) || com.tencent.mm.bg.e.akI()) {
            ab.i("MicroMsg.MsgHandler", "VoipOutOfPackageUtil.checkCameraUsingAndShowToast fail");
            gVar.a(iVar, "scanCover:fail", null);
        } else {
            com.tencent.mm.bp.d.c(gVar.context, "scanner", ".ui.SingleTopScanUI", intent);
            gVar.a(iVar, "sacnCover:ok", null);
        }
        AppMethodBeat.o(9588);
        return true;
    }

    static /* synthetic */ boolean aU(g gVar, i iVar) {
        AppMethodBeat.i(9589);
        if (gVar.f("nfcIsConnect", 4001, new Bundle())) {
            gVar.a(iVar, "nfcIsConnect:connect", null);
        }
        AppMethodBeat.o(9589);
        return true;
    }

    static /* synthetic */ boolean aV(g gVar, i iVar) {
        AppMethodBeat.i(9590);
        if (gVar.f("nfcConnect", 4002, new Bundle())) {
            gVar.a(iVar, "nfcConnect:connect", null);
        }
        AppMethodBeat.o(9590);
        return true;
    }

    static /* synthetic */ boolean aW(g gVar, i iVar) {
        AppMethodBeat.i(9591);
        if (gVar.f("nfcTransceive", 4002, new Bundle())) {
            Bundle bundle = new Bundle();
            bundle.putString("apdu", (String) iVar.puc.get("apdu"));
            Bundle e = gVar.e("nfcTransceive", 4003, bundle);
            if (e != null) {
                Map hashMap = new HashMap();
                hashMap.put("result", e.getString("result"));
                ab.i("MicroMsg.MsgHandler", "[NFC] nfcTransceive result : " + e.getString("result"));
                gVar.a(iVar, "nfcTransceive:ok", hashMap);
            } else {
                ab.w("MicroMsg.MsgHandler", "[NFC] nfcGetId callback fail!");
                gVar.a(iVar, "nfcTransceive:fail", null);
            }
        }
        AppMethodBeat.o(9591);
        return true;
    }

    static /* synthetic */ boolean aX(g gVar, i iVar) {
        AppMethodBeat.i(9592);
        if (gVar.f("nfcBatchTransceive", 4002, new Bundle())) {
            Bundle bundle = new Bundle();
            bundle.putString("apdus", (String) iVar.puc.get("apdus"));
            bundle.putBoolean("breakIfFail", bo.getInt((String) iVar.puc.get("breakIfFail"), 1) == 1);
            Bundle e = gVar.e("nfcBatchTransceive", 4004, bundle);
            if (e != null) {
                Map hashMap = new HashMap();
                hashMap.put("result", e.getString("result"));
                ab.i("MicroMsg.MsgHandler", "[NFC] nfcBatchTransceive result : " + e.getString("result"));
                gVar.a(iVar, "nfcBatchTransceive:ok", hashMap);
            } else {
                ab.w("MicroMsg.MsgHandler", "[NFC] nfcGetId callback fail!");
                gVar.a(iVar, "nfcBatchTransceive:fail", null);
            }
        }
        AppMethodBeat.o(9592);
        return true;
    }

    static /* synthetic */ boolean aY(g gVar, i iVar) {
        AppMethodBeat.i(9593);
        Bundle bundle = new Bundle();
        if (gVar.f("nfcGetId", 4002, bundle)) {
            bundle = gVar.e("nfcGetId", 4005, bundle);
            if (bundle != null) {
                Map hashMap = new HashMap();
                hashMap.put("id", bundle.getString("id"));
                ab.i("MicroMsg.MsgHandler", "[NFC] nfcGetId result : " + bundle.getString("id"));
                gVar.a(iVar, "nfcGetId:ok", hashMap);
            } else {
                ab.w("MicroMsg.MsgHandler", "[NFC] nfcGetId callback fail!");
                gVar.a(iVar, "nfcGetId:fail", null);
            }
        }
        AppMethodBeat.o(9593);
        return true;
    }

    static /* synthetic */ boolean aZ(g gVar, i iVar) {
        AppMethodBeat.i(9594);
        Bundle bundle = new Bundle();
        if (gVar.f("nfcGetInfo", 4002, bundle)) {
            bundle = gVar.e("nfcGetInfo", 4008, bundle);
            if (bundle != null) {
                Map hashMap = new HashMap();
                hashMap.put("info", bundle.getString("info"));
                gVar.a(iVar, "nfcGetInfo:ok", hashMap);
            } else {
                ab.w("MicroMsg.MsgHandler", "[NFC] nfcGetInfo callback fail!");
                gVar.a(iVar, "nfcGetInfo:fail", null);
            }
        }
        AppMethodBeat.o(9594);
        return true;
    }

    static /* synthetic */ boolean ba(g gVar, final i iVar) {
        int i = 0;
        AppMethodBeat.i(9595);
        int i2 = bo.getInt((String) iVar.puc.get("isShowNfcSwitchGuide"), 1) == 1 ? 1 : 0;
        NfcAdapter defaultAdapter = NfcAdapter.getDefaultAdapter(gVar.context);
        if (defaultAdapter == null) {
            gVar.a(iVar, "nfcCheckState:nfc_not_support", null);
        } else {
            int intValue = ((Integer) com.tencent.mm.kernel.g.RP().Ry().get(ac.a.xLb, Integer.valueOf(0))).intValue();
            int intValue2 = ((Integer) com.tencent.mm.kernel.g.RP().Ry().get(ac.a.xLc, Integer.valueOf(0))).intValue();
            if (intValue == 2 || (intValue == 0 && intValue2 != 1)) {
                i = 1;
            }
            if (i != 0) {
                if (i2 == 0) {
                    gVar.a(iVar, "nfcCheckState:nfc_wechat_setting_off", null);
                } else {
                    al.d(new Runnable() {
                        public final void run() {
                            AppMethodBeat.i(9179);
                            com.tencent.mm.ui.base.h.d(g.this.context, g.this.context.getString(2131301698), "", g.this.context.getString(2131301703), g.this.context.getString(2131296868), new 1(this), new 2(this));
                            AppMethodBeat.o(9179);
                        }
                    });
                }
            } else if (defaultAdapter.isEnabled()) {
                gVar.a(iVar, "nfcCheckState:nfc_ok", null);
            } else if (i2 == 0) {
                gVar.a(iVar, "nfcCheckState:nfc_off", null);
            } else {
                al.d(new 106(gVar, iVar));
            }
        }
        AppMethodBeat.o(9595);
        return true;
    }

    static /* synthetic */ boolean bh(g gVar, i iVar) {
        AppMethodBeat.i(9602);
        gVar.eBB = false;
        com.tencent.mm.plugin.webview.fts.g cYD = com.tencent.mm.plugin.webview.modeltools.g.cYD();
        Map map = iVar.puc;
        int g = bo.g(map.get("webview_instance_id"), -1);
        String t = aa.t(map, "searchId");
        String t2 = aa.t(map, "poiId");
        com.tencent.mm.ai.b.a aVar = new com.tencent.mm.ai.b.a();
        bvp bvp = new bvp();
        bvp.wWD = t2;
        bvp.vQg = t;
        aVar.fsJ = bvp;
        aVar.fsK = new bvq();
        aVar.uri = "/cgi-bin/mmsearch-bin/searchpoi";
        aVar.fsI = 2608;
        w.a(aVar.acD(), new 3(cYD, g, t, t2));
        AppMethodBeat.o(9602);
        return false;
    }

    static /* synthetic */ boolean bi(g gVar, i iVar) {
        AppMethodBeat.i(9603);
        gVar.eBB = false;
        if (bo.ank((String) iVar.puc.get("isSearch")) == 1) {
            boolean lM = aa.lM(bo.anl((String) iVar.puc.get("reddotTimeStamps")));
            AppMethodBeat.o(9603);
            return lM;
        }
        ((com.tencent.mm.plugin.topstory.a.b) com.tencent.mm.kernel.g.M(com.tencent.mm.plugin.topstory.a.b.class)).getRedDotMgr().lC(bo.anl((String) iVar.puc.get("reddotTimeStamps")));
        AppMethodBeat.o(9603);
        return false;
    }

    static /* synthetic */ boolean bn(g gVar, i iVar) {
        AppMethodBeat.i(9608);
        gVar.eBB = false;
        boolean aw = com.tencent.mm.plugin.webview.modeltools.g.cYC().aw(iVar.puc);
        AppMethodBeat.o(9608);
        return aw;
    }

    static /* synthetic */ boolean bo(g gVar, i iVar) {
        AppMethodBeat.i(9609);
        gVar.eBB = false;
        boolean ax = com.tencent.mm.plugin.webview.modeltools.g.cYC().ax(iVar.puc);
        AppMethodBeat.o(9609);
        return ax;
    }

    static /* synthetic */ boolean bp(g gVar, i iVar) {
        AppMethodBeat.i(9610);
        gVar.eBB = false;
        boolean as = com.tencent.mm.plugin.webview.modeltools.g.cYB().as(iVar.puc);
        AppMethodBeat.o(9610);
        return as;
    }

    static /* synthetic */ boolean bq(g gVar, i iVar) {
        AppMethodBeat.i(9611);
        gVar.eBB = false;
        boolean at = com.tencent.mm.plugin.webview.modeltools.g.cYB().at(iVar.puc);
        AppMethodBeat.o(9611);
        return at;
    }

    static /* synthetic */ boolean br(g gVar, i iVar) {
        AppMethodBeat.i(9612);
        gVar.eBB = false;
        boolean au = com.tencent.mm.plugin.webview.modeltools.g.cYB().au(iVar.puc);
        AppMethodBeat.o(9612);
        return au;
    }

    static /* synthetic */ boolean bt(g gVar, i iVar) {
        AppMethodBeat.i(9614);
        gVar.eBB = false;
        boolean a = com.tencent.mm.plugin.webview.modeltools.g.cYC().a(iVar.puc, gVar, "");
        AppMethodBeat.o(9614);
        return a;
    }

    static /* synthetic */ boolean bu(g gVar, i iVar) {
        AppMethodBeat.i(9615);
        gVar.eBB = false;
        com.tencent.mm.plugin.webview.modeltools.g.cYC();
        Map map = iVar.puc;
        ab.i("MicroMsg.FTS.FTSWebViewLogic", "reportSearchStatistics: %s", new Object[]{map.toString()});
        int d = aa.d(map, "logId", 0);
        ab.i("MicroMsg.FTS.FTSWebViewLogic", "reportSearchStatistics reporting %d, logString %s", new Object[]{Integer.valueOf(d), aa.t(map, "logString")});
        an.by(d, r0);
        AppMethodBeat.o(9615);
        return false;
    }

    static /* synthetic */ boolean bv(g gVar, i iVar) {
        AppMethodBeat.i(9616);
        gVar.eBB = false;
        boolean ay = com.tencent.mm.plugin.webview.modeltools.g.cYC().ay(iVar.puc);
        AppMethodBeat.o(9616);
        return ay;
    }

    static /* synthetic */ boolean bw(g gVar, i iVar) {
        AppMethodBeat.i(9617);
        gVar.eBB = false;
        com.tencent.mm.plugin.webview.fts.b cYC = com.tencent.mm.plugin.webview.modeltools.g.cYC();
        Map map = iVar.puc;
        boolean u = aa.u(map, "hasResult");
        String t = aa.t(map, "query");
        int d = aa.d(map, VideoMaterialUtil.CRAZYFACE_LAYER_TYPE, 0);
        int d2 = aa.d(map, "scene", 0);
        ab.d("MicroMsg.FTS.FTSWebViewLogic", "searchDataHashResult %b %s %d", new Object[]{Boolean.valueOf(u), t, Integer.valueOf(d)});
        com.tencent.mm.plugin.webview.fts.b.e eVar = cYC.ufm;
        if (eVar.scene == d2 && eVar.query != null && eVar.query.equals(t) && eVar.mFl == d) {
            eVar.ctn = u;
        } else {
            ab.w("MicroMsg.FTS.FTSWebViewLogic", "setHasResultNotSame: %s VS %s | %d VS %d | %d VS %d", new Object[]{eVar.query, t, Integer.valueOf(eVar.mFl), Integer.valueOf(d), Integer.valueOf(eVar.scene), Integer.valueOf(d2)});
        }
        AppMethodBeat.o(9617);
        return false;
    }

    static /* synthetic */ boolean bx(g gVar, i iVar) {
        AppMethodBeat.i(9618);
        gVar.eBB = false;
        boolean aG = com.tencent.mm.plugin.webview.modeltools.g.cYD().aG(iVar.puc);
        AppMethodBeat.o(9618);
        return aG;
    }

    static /* synthetic */ boolean by(g gVar, i iVar) {
        boolean z = true;
        AppMethodBeat.i(9619);
        gVar.eBB = false;
        com.tencent.mm.plugin.webview.modeltools.g.cYC();
        Map map = iVar.puc;
        ab.i("MicroMsg.FTS.FTSWebViewLogic", "openEmotionPage %s", new Object[]{map});
        int d = aa.d(map, VideoMaterialUtil.CRAZYFACE_LAYER_TYPE, 0);
        int d2 = aa.d(map, "scene", 0);
        String t = aa.t(map, "searchId");
        String t2 = aa.t(map, "activityId");
        String str = "";
        Intent intent = new Intent();
        intent.setFlags(268435456);
        intent.putExtra("extra_scence", d2);
        intent.putExtra("extra_type", d);
        intent.putExtra("searchID", t);
        intent.putExtra("docID", aa.t(map, "docID"));
        intent.putExtra("activityId", t2);
        switch (d) {
            case 1:
                intent.putExtra("extra_id", aa.t(map, "productID"));
                intent.putExtra("preceding_scence", 18);
                intent.putExtra("download_entrance_scene", 27);
                intent.putExtra("searchID", bo.getLong(t, 0));
                str = ".ui.EmojiStoreDetailUI";
                break;
            case 2:
                intent.putExtra("extra_emoji_name", aa.t(map, "express"));
                intent.putExtra("extra_md5", aa.t(map, "md5"));
                intent.putExtra("extra_aeskey", aa.t(map, "aesKey"));
                intent.putExtra("extra_encrypt_url", aa.t(map, "encryptUrl"));
                intent.putExtra("extra_thumb_url", aa.t(map, "thumb"));
                intent.putExtra("id", aa.t(map, "designerId"));
                intent.putExtra("extra_product_id", aa.t(map, "productID"));
                intent.putExtra("productUrl", aa.t(map, "productUrl"));
                intent.putExtra("extra_product_name", aa.t(map, "productName"));
                intent.putExtra("weapp_user_name", aa.t(map, "weappUserName"));
                intent.putExtra("weapp_version", aa.d(map, "weappVersion", 0));
                intent.putExtra("source_type", aa.d(map, "sourceType", 0));
                str = ".ui.fts.FTSEmojiDetailPageUI";
                break;
            case 3:
                intent.putExtra("extra_emoji_name", aa.t(map, "express"));
                intent.putExtra("extra_md5", aa.t(map, "md5"));
                intent.putExtra("extra_aeskey", aa.t(map, "aesKey"));
                intent.putExtra("extra_encrypt_url", aa.t(map, "encryptUrl"));
                intent.putExtra("extra_thumb_url", aa.t(map, "thumb"));
                intent.putExtra("id", aa.t(map, "designerId"));
                intent.putExtra("name", aa.t(map, "designerName"));
                intent.putExtra("headurl", aa.t(map, "designerThumb"));
                intent.putExtra("weapp_user_name", aa.t(map, "weappUserName"));
                intent.putExtra("weapp_version", aa.d(map, "weappVersion", 0));
                intent.putExtra("source_type", aa.d(map, "sourceType", 0));
                str = ".ui.fts.FTSEmojiDetailPageUI";
                break;
            case 4:
                intent.putExtra("extra_emoji_name", aa.t(map, "express"));
                intent.putExtra("extra_encrypt_url", aa.t(map, "encryptUrl"));
                intent.putExtra("extra_thumb_url", aa.t(map, "thumb"));
                intent.putExtra("extra_article_name", aa.t(map, "sourceTitle"));
                intent.putExtra("extra_article_url", aa.t(map, "articleSource"));
                intent.putExtra("disableAddSticker", aa.d(map, "disableAddSticker", 0) > 0);
                str = "needSavePhotosAlbum";
                if (aa.d(map, "needSavePhotosAlbum", 0) <= 0) {
                    z = false;
                }
                intent.putExtra(str, z);
                intent.putExtra("weapp_user_name", aa.t(map, "weappUserName"));
                intent.putExtra("weapp_version", aa.d(map, "weappVersion", 0));
                intent.putExtra("source_type", aa.d(map, "sourceType", 0));
                str = ".ui.fts.FTSEmojiDetailPageUI";
                break;
        }
        if (!bo.isNullOrNil(str)) {
            com.tencent.mm.bp.d.b(ah.getContext(), "emoji", str, intent);
        }
        AppMethodBeat.o(9619);
        return false;
    }

    static /* synthetic */ boolean bz(g gVar, i iVar) {
        AppMethodBeat.i(9620);
        gVar.eBB = false;
        com.tencent.mm.plugin.webview.modeltools.g.cYC();
        boolean aB = com.tencent.mm.plugin.webview.fts.b.aB(iVar.puc);
        AppMethodBeat.o(9620);
        return aB;
    }

    static /* synthetic */ boolean bC(g gVar, i iVar) {
        AppMethodBeat.i(9623);
        gVar.eBB = false;
        boolean av = com.tencent.mm.plugin.webview.modeltools.g.cYC().av(iVar.puc);
        AppMethodBeat.o(9623);
        return av;
    }

    static /* synthetic */ boolean bD(g gVar, i iVar) {
        AppMethodBeat.i(9624);
        int i = bo.getInt((String) iVar.puc.get("cmd"), 0);
        String str = (String) iVar.puc.get("param");
        gx gxVar = new gx();
        gxVar.cBD.Cn = i;
        gxVar.cBD.cBy = str;
        com.tencent.mm.sdk.b.a.xxA.m(gxVar);
        Map hashMap = new HashMap();
        hashMap.put("result", gxVar.cBE.cBF);
        gVar.a(iVar, "getGameMessages:ok", hashMap);
        AppMethodBeat.o(9624);
        return true;
    }

    static /* synthetic */ boolean bE(g gVar, i iVar) {
        AppMethodBeat.i(9625);
        ab.i("MicroMsg.MsgHandler", "doGetWebPayCheckoutCounterRequst start");
        com.tencent.mm.pluginsdk.wallet.g gVar2 = new com.tencent.mm.pluginsdk.wallet.g(iVar.puc);
        Intent intent = new Intent();
        intent.putExtra("appId", gVar2.appId);
        intent.putExtra("timeStamp", gVar2.timeStamp);
        intent.putExtra("nonceStr", gVar2.nonceStr);
        intent.putExtra("packageExt", gVar2.packageExt);
        intent.putExtra("signtype", gVar2.signType);
        intent.putExtra("paySignature", gVar2.cId);
        intent.putExtra("url", gVar2.url);
        intent.putExtra("pay_channel", gVar2.cvS);
        ((MMActivity) gVar.context).ifE = gVar;
        com.tencent.mm.bp.d.a(gVar.context, "wallet", ".pay.ui.WalletLoanRepaymentUI", intent, 28, false);
        AppMethodBeat.o(9625);
        return true;
    }

    static /* synthetic */ boolean bF(g gVar, i iVar) {
        AppMethodBeat.i(9626);
        gVar.eBB = false;
        com.tencent.mm.plugin.webview.fts.b cYC = com.tencent.mm.plugin.webview.modeltools.g.cYC();
        Map map = iVar.puc;
        ab.i("MicroMsg.FTS.FTSWebViewLogic", "setSnsObjectDescList");
        String t = aa.t(map, "data");
        boolean u = aa.u(map, "append");
        com.tencent.mm.plugin.webview.fts.b.a aVar = new com.tencent.mm.plugin.webview.fts.b.a(cYC, (byte) 0);
        aVar.data = t;
        aVar.ufy = u;
        com.tencent.mm.sdk.g.d.post(aVar, "append_music_list_task");
        AppMethodBeat.o(9626);
        return false;
    }

    static /* synthetic */ boolean bG(g gVar, i iVar) {
        AppMethodBeat.i(9627);
        gVar.eBB = false;
        com.tencent.mm.plugin.webview.fts.b cYC = com.tencent.mm.plugin.webview.modeltools.g.cYC();
        Map map = iVar.puc;
        ab.i("MicroMsg.FTS.FTSWebViewLogic", "clickSnsMusicPlayButton %s", new Object[]{map.toString()});
        boolean u = aa.u(map, "isLoop");
        boolean u2 = aa.u(map, "needStartMusicUI");
        String t = aa.t(map, "snsid");
        int g = bo.g(map.get("webview_instance_id"), -1);
        if (com.tencent.mm.aw.a.aie()) {
            com.tencent.mm.aw.e aih = com.tencent.mm.aw.a.aih();
            if (aih.fJS == 9 && aih.fJU.equals(t)) {
                com.tencent.mm.aw.a.aic();
                if (!u2) {
                    AppMethodBeat.o(9627);
                    return false;
                }
            }
        }
        if (u2 && cYC.ufn != null) {
            al.d(new 9(cYC.ufn));
        }
        TimeLineObject tC = ((com.tencent.mm.plugin.sns.b.m) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.sns.b.m.class)).tC(aa.t(map, "objectXmlDesc"));
        com.tencent.mm.kernel.g.RQ();
        com.tencent.mm.aw.e a = com.tencent.mm.aw.g.a(com.tencent.mm.kernel.g.RP().eJM, tC, 9);
        a.fKp = u;
        com.tencent.mm.aw.a.a(a);
        if (u2) {
            Intent intent = new Intent();
            intent.putExtra("key_scene", 4);
            intent.setFlags(268435456);
            com.tencent.mm.bp.d.b(ah.getContext(), "music", ".ui.MusicMainUI", intent);
        }
        cYC.ufg.add(Integer.valueOf(g));
        AppMethodBeat.o(9627);
        return false;
    }

    static /* synthetic */ boolean bP(g gVar, i iVar) {
        AppMethodBeat.i(9636);
        gVar.eBB = false;
        String str = (String) iVar.puc.get("brandUsername");
        Intent cVd = aa.cVd();
        cVd.putExtra("ftsneedkeyboard", true);
        cVd.putExtra("ftsbizscene", 19);
        cVd.putExtra("ftsType", 2);
        Map d = aa.d(19, true, 2);
        d.put("userName", str);
        cVd.putExtra("rawUrl", aa.E(d));
        cVd.putExtra("key_load_js_without_delay", true);
        cVd.putExtra("ftsbizusername", str);
        com.tencent.mm.bp.d.b(ah.getContext(), "webview", ".ui.tools.fts.FTSSearchTabWebViewUI", cVd);
        AppMethodBeat.o(9636);
        return false;
    }

    static /* synthetic */ boolean bR(g gVar, i iVar) {
        AppMethodBeat.i(9638);
        com.tencent.mm.plugin.webview.modelcache.c.cYl();
        gVar.a(iVar, "publicCache:not in white list", null);
        AppMethodBeat.o(9638);
        return true;
    }

    static /* synthetic */ boolean bT(g gVar, i iVar) {
        AppMethodBeat.i(9640);
        String str = (String) iVar.puc.get("cardType");
        if (bo.isNullOrNil(str) || gVar.context == null) {
            gVar.a(iVar, "scanLicence:fail", null);
            AppMethodBeat.o(9640);
        } else {
            if (gVar.uGu.a(str, gVar.context, new 45(gVar, str, iVar))) {
                AppMethodBeat.o(9640);
            } else {
                Map hashMap = new HashMap(1);
                hashMap.put("cardType", str);
                gVar.a(iVar, "scanLicence:type not supported", hashMap);
                AppMethodBeat.o(9640);
            }
        }
        return true;
    }

    static /* synthetic */ boolean bV(g gVar, i iVar) {
        AppMethodBeat.i(9642);
        ab.i("MicroMsg.MsgHandler", "do ecard jsapi check");
        cr crVar = new cr();
        com.tencent.mm.pluginsdk.wallet.g gVar2 = new com.tencent.mm.pluginsdk.wallet.g(iVar.puc);
        crVar.cvM.appId = gVar2.appId;
        crVar.cvM.cvO = gVar2.timeStamp;
        crVar.cvM.nonceStr = gVar2.nonceStr;
        crVar.cvM.packageExt = gVar2.packageExt;
        crVar.cvM.signature = gVar2.cId;
        crVar.cvM.signType = gVar2.signType;
        crVar.cvM.cvP = gVar2.url;
        crVar.cvM.cvQ = (String) iVar.puc.get("ecardType");
        crVar.cvM.cvR = (String) iVar.puc.get("openScene");
        crVar.cvM.aIq = new WeakReference(gVar.context);
        crVar.cvM.token = (String) iVar.puc.get("token");
        crVar.cvM.callback = new 49(gVar, crVar, iVar);
        crVar.cvM.cvS = gVar2.cvS;
        com.tencent.mm.sdk.b.a.xxA.m(crVar);
        AppMethodBeat.o(9642);
        return true;
    }

    static /* synthetic */ boolean cb(g gVar, i iVar) {
        AppMethodBeat.i(9648);
        String str = (String) iVar.puc.get("miniProgramAppId");
        if (!bo.isNullOrNil(str)) {
            ((com.tencent.mm.plugin.appbrand.service.a) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.appbrand.service.a.class)).xk(str).a(new 28(gVar, iVar)).a(new 27(gVar, iVar));
        }
        AppMethodBeat.o(9648);
        return false;
    }

    static /* synthetic */ boolean ci(g gVar, i iVar) {
        AppMethodBeat.i(9655);
        if (com.tencent.mm.model.gdpr.c.aaZ()) {
            ab.i("MicroMsg.MsgHandler", "eu user just return fail");
            gVar.a(iVar, "add_contact:fail EU user failed", null);
            AppMethodBeat.o(9655);
            return true;
        }
        String str = (String) iVar.puc.get("username");
        if (bo.isNullOrNil(str)) {
            ab.e("MicroMsg.MsgHandler", "user name is null or nil");
            gVar.a(iVar, "add_contact:fail", null);
            AppMethodBeat.o(9655);
            return false;
        }
        String str2 = (String) iVar.puc.get("profileReportInfo");
        ab.i("MicroMsg.MsgHandler", "get scene = %s", new Object[]{(String) iVar.puc.get("scene")});
        al.d(new 117(gVar, ((com.tencent.mm.pluginsdk.g) com.tencent.mm.kernel.g.K(com.tencent.mm.pluginsdk.g.class)).a(gVar.context, str, bo.getInt(r0, 91), new 116(gVar, iVar), false, str2)));
        AppMethodBeat.o(9655);
        return true;
    }

    static /* synthetic */ boolean cj(g gVar, i iVar) {
        AppMethodBeat.i(9656);
        String str = (String) iVar.puc.get("consumedCardId");
        String str2 = (String) iVar.puc.get("consumedCode");
        ab.i("MicroMsg.MsgHandler", "doConsumedShareCard consumedCardId is ".concat(String.valueOf(str)));
        if (bo.isNullOrNil(str) || bo.isNullOrNil(str2)) {
            ab.w("MicroMsg.MsgHandler", "doConsumedShareCard failed, illegal params (id : %s, code : %s)", new Object[]{str, str2});
            gVar.a(iVar, "consumedShareCard:fail", null);
            AppMethodBeat.o(9656);
            return false;
        }
        Intent intent = new Intent();
        intent.putExtra("key_from_scene", 1);
        intent.putExtra("key_consumed_card_id", str);
        intent.putExtra("key_consumed_Code", str2);
        ((MMActivity) gVar.context).ifE = gVar;
        com.tencent.mm.bp.d.b(gVar.context, "card", ".sharecard.ui.CardConsumeSuccessUI", intent, 29);
        AppMethodBeat.o(9656);
        return true;
    }

    static /* synthetic */ boolean cp(g gVar, i iVar) {
        AppMethodBeat.i(9662);
        ab.i("MicroMsg.MsgHandler", "doSelectSingleContact selectedMode:%d", new Object[]{Integer.valueOf(bo.getInt((String) iVar.puc.get("selectMode"), 0))});
        Intent intent = new Intent();
        if (bo.getInt((String) iVar.puc.get("selectMode"), 0) == 1) {
            intent.putExtra("Select_Conv_Type", 263);
            intent.putExtra("jsapi_select_mode", 1);
        } else {
            intent.putExtra("Select_Conv_Type", 259);
        }
        intent.putExtra("select_is_ret", true);
        intent.putExtra("Select_block_List", r.Yz());
        intent.putExtra("scene_from", 4);
        if (gVar.context instanceof MMActivity) {
            com.tencent.mm.bp.d.a((MMActivity) gVar.context, ".ui.transmit.SelectConversationUI", intent, 30, gVar);
        }
        AppMethodBeat.o(9662);
        return true;
    }

    static /* synthetic */ boolean cr(g gVar, i iVar) {
        AppMethodBeat.i(9665);
        ab.i("MicroMsg.MsgHandler", "doChooseVideo()");
        boolean a = gVar.a(iVar, 0);
        AppMethodBeat.o(9665);
        return a;
    }

    static /* synthetic */ boolean cu(g gVar, i iVar) {
        AppMethodBeat.i(9670);
        ab.i("MicroMsg.MsgHandler", "openEmoticonTopicList");
        int i = bo.getInt((String) iVar.puc.get("tid"), 0);
        String str = (String) iVar.puc.get("title");
        String str2 = (String) iVar.puc.get("desc");
        String str3 = (String) iVar.puc.get("iconUrl");
        String str4 = (String) iVar.puc.get("secondUrl");
        Intent intent = new Intent();
        intent.putExtra("topic_id", i);
        intent.putExtra("topic_name", str);
        intent.putExtra("topic_desc", str2);
        intent.putExtra("topic_icon_url", str3);
        intent.putExtra("topic_ad_url", str4);
        intent.putExtra("extra_scence", 12);
        com.tencent.mm.bp.d.b(gVar.context, "emoji", ".ui.EmojiStoreTopicUI", intent);
        gVar.a(iVar, "openEmoticonTopicList", null);
        AppMethodBeat.o(9670);
        return true;
    }

    static /* synthetic */ boolean cv(g gVar, i iVar) {
        AppMethodBeat.i(9671);
        ab.i("MicroMsg.MsgHandler", "openEmotionDetailView");
        String str = (String) iVar.puc.get("ProductId");
        ab.d("MicroMsg.MsgHandler", "cpan emoji openEmotionDetailView:%d", new Object[]{Long.valueOf(bo.getLong((String) iVar.puc.get("searchID"), 0))});
        if (bo.isNullOrNil(str)) {
            ab.w("MicroMsg.MsgHandler", "openEmotionDetailView failed product id is null.");
            gVar.a(iVar, "openEmotionDetailView", null);
            AppMethodBeat.o(9671);
            return false;
        }
        Intent intent = new Intent();
        intent.putExtra("extra_id", str);
        intent.putExtra("preceding_scence", 12);
        intent.putExtra("download_entrance_scene", 12);
        intent.putExtra("searchID", r4);
        if (gVar.uGs) {
            ab.i("MicroMsg.MsgHandler", "had start emoji stroe detail ui.");
        } else {
            com.tencent.mm.bp.d.b(gVar.context, "emoji", ".ui.EmojiStoreDetailUI", intent);
            gVar.uGs = true;
        }
        gVar.a(iVar, "openEmotionDetailView", null);
        h.pYm.e(13055, new Object[]{Integer.valueOf(0), str, "", "", Integer.valueOf(com.tencent.mm.ao.a.afW()), Long.valueOf(r4)});
        AppMethodBeat.o(9671);
        return true;
    }

    static /* synthetic */ boolean cw(g gVar, i iVar) {
        AppMethodBeat.i(9672);
        gVar.eBB = false;
        com.tencent.mm.plugin.webview.modeltools.g.cYA();
        Map map = iVar.puc;
        String afU = com.tencent.mm.ao.a.afU();
        if (bo.isNullOrNil(afU)) {
            ab.e("MicroMsg.emoji.EmojiStoreWebViewLogic", "load emojiStore Template Path error");
            AppMethodBeat.o(9672);
            return false;
        }
        int v = com.tencent.mm.plugin.webview.c.a.v(map, VideoMaterialUtil.CRAZYFACE_LAYER_TYPE);
        String t = com.tencent.mm.plugin.webview.c.a.t(map, "pageName");
        String t2 = com.tencent.mm.plugin.webview.c.a.t(map, "keyword");
        int v2 = com.tencent.mm.plugin.webview.c.a.v(map, "scene");
        Intent intent = new Intent();
        intent.putExtra("hardcode_jspermission", JsapiPermissionWrapper.vxI);
        intent.putExtra("hardcode_general_ctrl", GeneralControlWrapper.vxE);
        intent.putExtra("neverGetA8Key", true);
        intent.putExtra("rawUrl", "file://" + afU + "/" + t + "?type=" + v + "&keyword=" + t2 + "&scene=" + v2 + "&lang=" + com.tencent.mm.sdk.platformtools.aa.gw(ah.getContext()) + "&clientType=1&version=" + com.tencent.mm.ao.a.afW());
        intent.putExtra("keyword", t2);
        intent.putExtra(VideoMaterialUtil.CRAZYFACE_LAYER_TYPE, v);
        intent.putExtra("sence", v2);
        com.tencent.mm.bp.d.b(ah.getContext(), "webview", ".ui.tools.emojistore.EmojiStoreSearchWebViewUI", intent);
        h.pYm.e(13055, new Object[]{Integer.valueOf(1), "", "", Integer.valueOf(v), Integer.valueOf(com.tencent.mm.ao.a.afW()), Long.valueOf(0)});
        mq mqVar = new mq();
        mqVar.cIt.type = v;
        mqVar.cIt.query = t2;
        mqVar.cIt.cIu = "";
        com.tencent.mm.sdk.b.a.xxA.m(mqVar);
        AppMethodBeat.o(9672);
        return true;
    }

    static /* synthetic */ boolean cx(g gVar, i iVar) {
        AppMethodBeat.i(9673);
        gVar.eBB = false;
        boolean ar = com.tencent.mm.plugin.webview.modeltools.g.cYA().ar(iVar.puc);
        AppMethodBeat.o(9673);
        return ar;
    }

    static /* synthetic */ boolean cy(g gVar, i iVar) {
        AppMethodBeat.i(9674);
        gVar.eBB = false;
        com.tencent.mm.plugin.webview.modeltools.g.cYA();
        String t = com.tencent.mm.plugin.webview.c.a.t(iVar.puc, "urlString");
        Intent intent = new Intent();
        intent.putExtra("rawUrl", t);
        com.tencent.mm.bp.d.b(ah.getContext(), "webview", ".ui.tools.WebViewUI", intent);
        AppMethodBeat.o(9674);
        return false;
    }

    static /* synthetic */ boolean cC(g gVar, i iVar) {
        AppMethodBeat.i(9678);
        ab.i("MicroMsg.MsgHandler", "hy: start soter auth");
        ((MMActivity) gVar.context).ifE = gVar;
        Bundle aP = i.aP(iVar.puc);
        Intent intent = new Intent(gVar.context, SoterAuthenticationUIWC.class);
        intent.putExtras(aP);
        intent.putExtra("key_soter_fp_mp_scene", 0);
        String bK = gVar.bK(gVar.getCurrentUrl());
        if (bK == null) {
            bK = (String) iVar.puc.get("appId");
        }
        intent.putExtra("key_app_id", bK);
        ((MMActivity) gVar.context).startActivityForResult(intent, 38);
        AppMethodBeat.o(9678);
        return true;
    }

    static /* synthetic */ boolean cD(g gVar, i iVar) {
        int i;
        AppMethodBeat.i(9679);
        ab.i("MicroMsg.MsgHandler", "hy: do get soter support");
        hu huVar = new hu();
        com.tencent.mm.sdk.b.a.xxA.m(huVar);
        Map hashMap = new HashMap();
        hashMap.put("support_mode", Integer.valueOf(huVar.cCM.cCN));
        gVar.a(iVar, "getSupportSoter", hashMap);
        if (huVar.cCM.cCN == 1) {
            i = 1;
        } else {
            i = 0;
        }
        gVar.a(iVar, 0, i);
        AppMethodBeat.o(9679);
        return true;
    }

    static /* synthetic */ boolean cE(g gVar, i iVar) {
        AppMethodBeat.i(9680);
        com.tencent.mm.pluginsdk.wallet.g gVar2 = new com.tencent.mm.pluginsdk.wallet.g(iVar.puc);
        Intent intent = new Intent();
        String str = (String) iVar.puc.get("appId");
        if (gVar.uGh != null) {
            if (TextUtils.isEmpty(str)) {
                str = gVar.uGh.getString("jsapi_args_appid");
            }
            if (TextUtils.isEmpty(str)) {
                str = gVar.uGr.agj(gVar.getCurrentUrl());
            }
        }
        intent.putExtra("appId", str);
        intent.putExtra("timeStamp", gVar2.timeStamp);
        intent.putExtra("nonceStr", gVar2.nonceStr);
        intent.putExtra("packageExt", gVar2.packageExt);
        intent.putExtra("signtype", gVar2.signType);
        intent.putExtra("paySignature", gVar2.cId);
        intent.putExtra("url", gVar.getCurrentUrl());
        ((MMActivity) gVar.context).ifE = gVar;
        com.tencent.mm.bp.d.a(gVar.context, "wallet", ".bind.ui.WalletUnbindBankCardProxyUI", intent, 39, false);
        AppMethodBeat.o(9680);
        return true;
    }

    static /* synthetic */ boolean cJ(g gVar, i iVar) {
        AppMethodBeat.i(9685);
        String nullAsNil = bo.nullAsNil((String) iVar.puc.get("toUsername"));
        String nullAsNil2 = bo.nullAsNil((String) iVar.puc.get("scene"));
        String nullAsNil3 = bo.nullAsNil((String) iVar.puc.get(VideoMaterialUtil.CRAZYFACE_LAYER_TYPE));
        String nullAsNil4 = bo.nullAsNil((String) iVar.puc.get("allowBackCamera"));
        String nullAsNil5 = bo.nullAsNil((String) iVar.puc.get("showOther"));
        String nullAsNil6 = bo.nullAsNil((String) iVar.puc.get("avatarUrl"));
        String nullAsNil7 = bo.nullAsNil((String) iVar.puc.get("context"));
        ab.i("MicroMsg.MsgHandler", "doStartVoipCS,toUserName:" + nullAsNil + ",scene:" + nullAsNil2 + ",type:" + nullAsNil3 + ",allowBackCamera:" + nullAsNil4 + ",showOther:" + nullAsNil5 + ",avatarUrl:" + nullAsNil6 + ",voipCSContext:" + nullAsNil7);
        String str = (String) iVar.puc.get("appId");
        if (str == null || str.equals("") || nullAsNil == null || nullAsNil.equals("")) {
            gVar.a(iVar, "startVoipCall:param invalid", null);
            AppMethodBeat.o(9685);
        } else {
            gVar.uGM = iVar;
            com.tencent.mm.sdk.b.a.xxA.c(gVar.uGN);
            if (nullAsNil.equals("testacs")) {
                Intent intent = new Intent();
                intent.putExtra("voipCSBizId", "gh_e8b085bb67e0");
                intent.putExtra("voipCSAppId", "wx1224160e0adcefd6");
                com.tencent.mm.bp.d.b(ah.getContext(), "voip_cs", ".ui.VoipCSMainUI", intent);
                AppMethodBeat.o(9685);
            } else {
                Intent intent2 = new Intent();
                intent2.putExtra("voipCSBizId", nullAsNil);
                intent2.putExtra("voipCSScene", nullAsNil2);
                intent2.putExtra("voipCSType", nullAsNil3);
                intent2.putExtra("voipCSAppId", str);
                intent2.putExtra("voipCSAllowBackCamera", nullAsNil4);
                intent2.putExtra("voipCSShowOther", nullAsNil5);
                intent2.putExtra("voipCSAvatarUrl", nullAsNil6);
                intent2.putExtra("voipCSContext", nullAsNil7);
                com.tencent.mm.bp.d.b(ah.getContext(), "voip_cs", ".ui.VoipCSMainUI", intent2);
                AppMethodBeat.o(9685);
            }
        }
        return true;
    }

    static /* synthetic */ boolean cN(g gVar, i iVar) {
        AppMethodBeat.i(9689);
        ab.d("MicroMsg.MsgHandler", "doOpenLuckyMoneyDetailView");
        String str = (String) iVar.puc.get("sendId");
        int ank = bo.ank((String) iVar.puc.get("hbKind"));
        if (bo.isNullOrNil(str)) {
            gVar.a(iVar, "openLuckyMoneyDetailView:fail", null);
        } else {
            ab.i("MicroMsg.MsgHandler", "sendId: %s, hbKind: %s", new Object[]{str, Integer.valueOf(ank)});
            Intent intent = new Intent();
            intent.putExtra("key_sendid", str);
            intent.putExtra("key_jump_from", 4);
            if (ank == 2) {
                com.tencent.mm.bp.d.b(gVar.context, "luckymoney", ".ui.LuckyMoneyBusiDetailUI", intent);
            } else {
                com.tencent.mm.bp.d.b(gVar.context, "luckymoney", ".ui.LuckyMoneyBeforeDetailUI", intent);
            }
            gVar.a(iVar, "openLuckyMoneyDetailView:ok", null);
        }
        AppMethodBeat.o(9689);
        return true;
    }

    static /* synthetic */ boolean cO(g gVar, i iVar) {
        AppMethodBeat.i(9690);
        ab.d("MicroMsg.MsgHandler", "doResendRemittanceMsg");
        final String str = (String) iVar.puc.get("transactionId");
        final String str2 = (String) iVar.puc.get("transfer_id");
        final String str3 = (String) iVar.puc.get("receiverName");
        String str4 = (String) iVar.puc.get("title");
        String str5 = (String) iVar.puc.get("pic");
        String str6 = (String) iVar.puc.get("description");
        String str7 = (String) iVar.puc.get("left_button_wording");
        String str8 = (String) iVar.puc.get("right_button_wording");
        if (bo.isNullOrNil(str) || bo.isNullOrNil(str3) || bo.isNullOrNil(str4) || bo.isNullOrNil(str5) || bo.isNullOrNil(str6) || bo.isNullOrNil(str7) || bo.isNullOrNil(str8)) {
            gVar.a(iVar, "doResendRemittanceMsg:fail", null);
        } else {
            final i iVar2 = iVar;
            ((com.tencent.mm.plugin.remittance.a) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.remittance.a.class)).a(gVar.context, str4, str5, str6, str7, str8, new com.tencent.mm.ui.widget.a.e.c() {
                public final void d(boolean z, String str) {
                    AppMethodBeat.i(9104);
                    if (z) {
                        Intent intent = new Intent();
                        intent.putExtra("transaction_id", str);
                        intent.putExtra("transfer_id", str2);
                        intent.putExtra("receiver_name", str3);
                        intent.putExtra("resend_msg_from_flag", 4);
                        com.tencent.mm.bp.d.b(g.this.context, "remittance", ".ui.RemittanceResendMsgUI", intent);
                        g.a(g.this, iVar2, "doResendRemittanceMsg:ok", null);
                        AppMethodBeat.o(9104);
                        return;
                    }
                    g.a(g.this, iVar2, "doResendRemittanceMsg:fail", null);
                    AppMethodBeat.o(9104);
                }
            });
        }
        AppMethodBeat.o(9690);
        return true;
    }

    static /* synthetic */ boolean cQ(g gVar, i iVar) {
        AppMethodBeat.i(9692);
        ab.i("MicroMsg.MsgHandler", "doRecordVideo()");
        boolean a = gVar.a(iVar, 1);
        AppMethodBeat.o(9692);
        return a;
    }

    static /* synthetic */ boolean cR(g gVar, i iVar) {
        AppMethodBeat.i(9693);
        ab.i("MicroMsg.MsgHandler", "doPreviewVideo(), localId:%s", new Object[]{(String) iVar.puc.get("localId")});
        WebViewJSSDKFileItem aex = com.tencent.mm.plugin.webview.modeltools.g.cYF().aex(r0);
        if (aex == null) {
            ab.e("MicroMsg.MsgHandler", "the item is null");
            gVar.a(iVar, "previewVideo:fail", null);
        } else if (TextUtils.isEmpty(aex.heo)) {
            ab.e("MicroMsg.MsgHandler", "the File item not exist for localId:%s", new Object[]{aex.czD});
            gVar.a(iVar, "previewVideo:fail", null);
        } else if (new com.tencent.mm.vfs.b(aex.heo).exists()) {
            Intent intent = new Intent();
            intent.putExtra("key_video_path", aex.heo);
            if (gVar.context instanceof MMActivity) {
                ((MMActivity) gVar.context).ifE = gVar;
                com.tencent.mm.bp.d.b(gVar.context, "card", ".ui.CardGiftVideoUI", intent, 46);
            }
        } else {
            ab.e("MicroMsg.MsgHandler", "the File not exist for origFilePath:%s", new Object[]{aex.heo});
            gVar.a(iVar, "previewVideo:fail", null);
        }
        AppMethodBeat.o(9693);
        return true;
    }

    static /* synthetic */ boolean cX(g gVar, i iVar) {
        AppMethodBeat.i(9700);
        ab.i("MicroMsg.MsgHandler", "getLocalWePkgInfo call");
        al.d(new 35(gVar, iVar));
        AppMethodBeat.o(9700);
        return true;
    }

    /* JADX WARNING: Removed duplicated region for block: B:22:0x010c  */
    /* JADX WARNING: Removed duplicated region for block: B:11:0x0064  */
    /* JADX WARNING: Removed duplicated region for block: B:14:0x007d  */
    static /* synthetic */ boolean cY(com.tencent.mm.plugin.webview.ui.tools.jsapi.g r10, com.tencent.mm.plugin.webview.ui.tools.jsapi.i r11) {
        /*
        r9 = 0;
        r8 = 9701; // 0x25e5 float:1.3594E-41 double:4.793E-320;
        r3 = 0;
        r4 = 1;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r8);
        r0 = r11.puc;
        r1 = "url";
        r0 = r0.get(r1);
        r0 = (java.lang.String) r0;
        r1 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r0);
        if (r1 == 0) goto L_0x002c;
    L_0x0019:
        r0 = "MicroMsg.MsgHandler";
        r1 = "url is null or nil";
        com.tencent.mm.sdk.platformtools.ab.e(r0, r1);
        r0 = "openGameWebView:fail_invalid_url";
        r10.a(r11, r0, r9);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
    L_0x002b:
        return r4;
    L_0x002c:
        r1 = r11.puc;
        r2 = "orientation";
        r1 = r1.get(r2);
        r1 = (java.lang.String) r1;
        r2 = com.tencent.mm.sdk.platformtools.bo.nullAsNil(r1);
        r1 = -1;
        r5 = com.tencent.mm.sdk.platformtools.bo.isNullOrNil(r2);
        if (r5 != 0) goto L_0x010f;
    L_0x0042:
        r5 = "horizontal";
        r5 = r2.equals(r5);
        if (r5 == 0) goto L_0x00f3;
    L_0x004b:
        r2 = r3;
    L_0x004c:
        r1 = r11.puc;
        r5 = "fullscreen";
        r1 = r1.get(r5);
        r1 = (java.lang.String) r1;
        r1 = com.tencent.mm.sdk.platformtools.bo.nullAsNil(r1);
        r5 = "true";
        r1 = r1.equals(r5);
        if (r1 == 0) goto L_0x010c;
    L_0x0064:
        r5 = r4;
    L_0x0065:
        r1 = r11.puc;
        r6 = "disable_swipe_back";
        r1 = r1.get(r6);
        r1 = (java.lang.String) r1;
        r1 = com.tencent.mm.sdk.platformtools.bo.nullAsNil(r1);
        r6 = "1";
        r1 = r1.equals(r6);
        if (r1 == 0) goto L_0x007e;
    L_0x007d:
        r3 = r4;
    L_0x007e:
        r1 = r11.puc;
        r6 = "gameAppid";
        r1 = r1.get(r6);
        r1 = (java.lang.String) r1;
        r1 = com.tencent.mm.sdk.platformtools.bo.nullAsNil(r1);
        r6 = new android.content.Intent;
        r6.<init>();
        r7 = "rawUrl";
        r6.putExtra(r7, r0);
        r0 = "geta8key_scene";
        r7 = 32;
        r6.putExtra(r0, r7);
        r0 = "KPublisherId";
        r7 = "game_webview";
        r6.putExtra(r0, r7);
        r0 = "screen_orientation";
        r6.putExtra(r0, r2);
        r0 = "show_full_screen";
        r6.putExtra(r0, r5);
        r0 = "disable_swipe_back";
        r6.putExtra(r0, r3);
        r0 = "game_hv_menu_appid";
        r6.putExtra(r0, r1);
        r0 = r6.getExtras();
        r2 = "webview";
        r3 = ".ui.tools.game.GameWebViewUI";
        r5 = r10.umI;
        r7 = new com.tencent.mm.plugin.webview.ui.tools.jsapi.g$42;
        r7.<init>(r6);
        com.tencent.mm.plugin.webview.ui.tools.g.a(r0, r2, r3, r5, r7);
        r0 = new com.tencent.mm.g.a.gu;
        r0.<init>();
        r2 = r0.cBw;
        r3 = 2;
        r2.Cn = r3;
        r2 = r0.cBw;
        r2.cBy = r1;
        r1 = com.tencent.mm.sdk.b.a.xxA;
        r1.m(r0);
        r0 = "openGameWebView:ok";
        r10.a(r11, r0, r9);
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        goto L_0x002b;
    L_0x00f3:
        r5 = "vertical";
        r5 = r2.equals(r5);
        if (r5 == 0) goto L_0x00ff;
    L_0x00fc:
        r2 = r4;
        goto L_0x004c;
    L_0x00ff:
        r5 = "sensor";
        r2 = r2.equals(r5);
        if (r2 == 0) goto L_0x010f;
    L_0x0108:
        r1 = 4;
        r2 = r1;
        goto L_0x004c;
    L_0x010c:
        r5 = r3;
        goto L_0x0065;
    L_0x010f:
        r2 = r1;
        goto L_0x004c;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.mm.plugin.webview.ui.tools.jsapi.g.cY(com.tencent.mm.plugin.webview.ui.tools.jsapi.g, com.tencent.mm.plugin.webview.ui.tools.jsapi.i):boolean");
    }

    static /* synthetic */ boolean da(g gVar, i iVar) {
        AppMethodBeat.i(9703);
        ab.i("MicroMsg.MsgHandler", "doLoginOrAuthorize!");
        7 7 = new 7(gVar, iVar);
        if (uGT) {
            uGS.add(7);
            ab.i("MicroMsg.MsgHandler", "add to authJsApiQueue!");
        } else {
            uGT = true;
            7.run();
        }
        AppMethodBeat.o(9703);
        return true;
    }

    static /* synthetic */ boolean db(g gVar, i iVar) {
        AppMethodBeat.i(9704);
        ab.i("MicroMsg.MsgHandler", "hy: start do check is support face detect");
        ht htVar = new ht();
        com.tencent.mm.sdk.b.a.xxA.m(htVar);
        boolean z = htVar.cCH.cCI;
        int i = htVar.cCH.cCJ;
        ab.i("MicroMsg.MsgHandler", "hy: is support: %b, errCode: %d, errMsg: %s, ilbVersion: %d", new Object[]{Boolean.valueOf(z), Integer.valueOf(i), htVar.cCH.cCK, Integer.valueOf(htVar.cCH.cCL)});
        Map hashMap = new HashMap();
        hashMap.put("err_code", String.valueOf(i));
        hashMap.put("err_msg", r3);
        hashMap.put("lib_version_code", String.valueOf(r0));
        gVar.a(iVar, "doCheckIsSupportFaceDetect: ok", hashMap);
        AppMethodBeat.o(9704);
        return true;
    }

    static /* synthetic */ boolean df(g gVar, i iVar) {
        AppMethodBeat.i(9710);
        String nullAsNil = bo.nullAsNil((String) iVar.puc.get("base64DataString"));
        final String nullAsNil2 = bo.nullAsNil((String) iVar.puc.get("thumbUrl"));
        String nullAsNil3 = bo.nullAsNil((String) iVar.puc.get("url"));
        final String nullAsNil4 = bo.nullAsNil((String) iVar.puc.get("activityId"));
        if (!bo.isNullOrNil(nullAsNil)) {
            com.tencent.mm.plugin.webview.a.a.R(new 122(gVar, nullAsNil, iVar, nullAsNil2, nullAsNil4));
        } else if (bo.isNullOrNil(nullAsNil3)) {
            ab.e("MicroMsg.MsgHandler", "doAddToEmoticon base64DataString is null and url is null");
            gVar.a(iVar, "addToEmoticon:fail_base64DataString_and_url_is_null", null);
            AppMethodBeat.o(9710);
            return false;
        } else {
            ab.i("MicroMsg.MsgHandler", "doAddToEmoticon use url:%s", new Object[]{nullAsNil3});
            final com.tencent.mm.vfs.b bVar = new com.tencent.mm.vfs.b(gVar.context.getCacheDir(), com.tencent.mm.a.g.x(nullAsNil3.getBytes()));
            if (bVar.exists()) {
                com.tencent.mm.kernel.g.RS().aa(new Runnable() {
                    public final void run() {
                        AppMethodBeat.i(9200);
                        String atg = com.tencent.mm.vfs.e.atg(com.tencent.mm.vfs.j.w(bVar.mUri));
                        String L = EmojiLogic.L(com.tencent.mm.plugin.emoji.h.b.Yb(), "", atg);
                        if (!com.tencent.mm.vfs.e.ct(L)) {
                            com.tencent.mm.vfs.e.y(com.tencent.mm.vfs.j.w(bVar.dMD()), L);
                        }
                        g.a(g.this, atg, nullAsNil2, nullAsNil4);
                        AppMethodBeat.o(9200);
                    }
                });
            } else {
                com.tencent.mm.at.a.a.c$a c_a = new com.tencent.mm.at.a.a.c$a();
                c_a.ePH = true;
                c_a.ePJ = com.tencent.mm.vfs.j.w(bVar.dMD());
                c_a.eQd = new Object[]{com.tencent.mm.vfs.j.w(bVar.dMD())};
                com.tencent.mm.plugin.emoji.model.j.bjW().a(nullAsNil3, null, c_a.ahG(), new 124(gVar, nullAsNil3, nullAsNil2, nullAsNil4, iVar));
            }
        }
        AppMethodBeat.o(9710);
        return true;
    }

    static /* synthetic */ boolean dg(g gVar, i iVar) {
        AppMethodBeat.i(9711);
        String nullAsNil = bo.nullAsNil((String) iVar.puc.get("base64DataString"));
        String nullAsNil2 = bo.nullAsNil((String) iVar.puc.get("url"));
        String nullAsNil3 = bo.nullAsNil((String) iVar.puc.get("activityId"));
        if (!bo.isNullOrNil(nullAsNil)) {
            com.tencent.mm.plugin.webview.a.a.R(new 126(gVar, nullAsNil, iVar, nullAsNil3));
        } else if (bo.isNullOrNil(nullAsNil2)) {
            ab.e("MicroMsg.MsgHandler", "doShareEmoticon base64DataString is null and url is null");
            gVar.a(iVar, "shareEmoticon:fail_base64DataString_and_url_is_null", null);
            AppMethodBeat.o(9711);
            return false;
        } else {
            ab.i("MicroMsg.MsgHandler", "doShareEmoticon use url:%s", new Object[]{nullAsNil2});
            com.tencent.mm.vfs.b bVar = new com.tencent.mm.vfs.b(gVar.context.getCacheDir(), com.tencent.mm.a.g.x(nullAsNil2.getBytes()));
            if (bVar.exists()) {
                com.tencent.mm.kernel.g.RS().aa(new 127(gVar, bVar, nullAsNil3));
            } else {
                com.tencent.mm.at.a.a.c$a c_a = new com.tencent.mm.at.a.a.c$a();
                c_a.ePH = true;
                c_a.ePJ = com.tencent.mm.vfs.j.w(bVar.dMD());
                c_a.eQd = new Object[]{com.tencent.mm.vfs.j.w(bVar.dMD())};
                com.tencent.mm.plugin.emoji.model.j.bjW().a(nullAsNil2, null, c_a.ahG(), new 128(gVar, nullAsNil2, nullAsNil3, iVar));
            }
        }
        AppMethodBeat.o(9711);
        return true;
    }

    static /* synthetic */ boolean dh(g gVar, i iVar) {
        AppMethodBeat.i(9712);
        ((MMActivity) gVar.context).ifE = gVar;
        Bundle bundle = new Bundle();
        bundle.putBoolean("k_need_signature", true);
        bundle.putInt("k_server_scene", 3);
        bundle.putBoolean("key_is_need_video", false);
        bundle.putBoolean("is_check_dyncfg", false);
        bundle.putString("k_ticket", (String) iVar.puc.get("request_ticket"));
        bundle.putInt("check_alive_type", 0);
        or orVar = new or();
        orVar.cLd.context = gVar.context;
        orVar.cLd.cKY = 50;
        orVar.cLd.extras = bundle;
        com.tencent.mm.sdk.b.a.xxA.m(orVar);
        ab.i("MicroMsg.MsgHandler", "hy: start face register rsa event result: %b", new Object[]{Boolean.valueOf(orVar.cLe.cKV)});
        if (!orVar.cLe.cKV) {
            ((MMActivity) gVar.context).ifE = null;
            gVar.a(iVar, "requestWxFaceRegisterInternal:fail", i.aq(orVar.cLe.extras));
        }
        AppMethodBeat.o(9712);
        return true;
    }

    static /* synthetic */ boolean di(g gVar, i iVar) {
        AppMethodBeat.i(9713);
        ((MMActivity) gVar.context).ifE = gVar;
        Bundle bundle = new Bundle();
        bundle.putBoolean("k_need_signature", true);
        bundle.putString("k_user_name", av.fly.T("login_user_name", ""));
        bundle.putInt("k_server_scene", 4);
        bundle.putBoolean("key_is_need_video", false);
        bundle.putBoolean("is_check_dyncfg", false);
        bundle.putString("k_ticket", (String) iVar.puc.get("request_ticket"));
        bundle.putInt("check_alive_type", 0);
        or orVar = new or();
        orVar.cLd.context = gVar.context;
        orVar.cLd.cKY = 51;
        orVar.cLd.extras = bundle;
        com.tencent.mm.sdk.b.a.xxA.m(orVar);
        ab.i("MicroMsg.MsgHandler", "hy: start face verify rsa event result: %b", new Object[]{Boolean.valueOf(orVar.cLe.cKV)});
        if (!orVar.cLe.cKV) {
            ((MMActivity) gVar.context).ifE = null;
            gVar.a(iVar, "requestWxFaceVerifyInternal:fail", i.aq(orVar.cLe.extras));
        }
        AppMethodBeat.o(9713);
        return true;
    }

    static /* synthetic */ boolean dk(g gVar, i iVar) {
        AppMethodBeat.i(9716);
        String str = (String) iVar.puc.get("selected_user_name");
        Intent intent = new Intent();
        intent.putExtra("list_type", 15);
        intent.putExtra("already_select_contact", str);
        intent.putExtra("titile", gVar.context.getString(2131296486));
        intent.putExtra("list_attr", s.C(new int[]{16384, 1, 4, 1048576}));
        if (gVar.context instanceof MMActivity) {
            com.tencent.mm.bp.d.a((MMActivity) gVar.context, ".ui.contact.SelectContactUI", intent, 54, gVar);
        } else {
            ab.e("MicroMsg.MsgHandler", "doSelectContact invalid context");
            gVar.a(iVar, "selectContact:fail", null);
        }
        AppMethodBeat.o(9716);
        return true;
    }

    static /* synthetic */ boolean dl(g gVar, i iVar) {
        AppMethodBeat.i(9717);
        gVar.eBB = false;
        String str = (String) iVar.puc.get("phoneNumber");
        ab.d("MicroMsg.MsgHandler", "jsapi makePhoneCall num %s", new Object[]{str});
        if (TextUtils.isEmpty(str)) {
            gVar.a(iVar, "makePhoneCall:fail", null);
        } else {
            Intent intent = new Intent("android.intent.action.DIAL", Uri.parse("tel:".concat(String.valueOf(str))));
            intent.addFlags(268435456);
            if (bo.k(gVar.context, intent)) {
                gVar.context.startActivity(intent);
            }
            gVar.a(iVar, "makePhoneCall:succ", null);
        }
        AppMethodBeat.o(9717);
        return true;
    }

    static /* synthetic */ boolean dm(g gVar, i iVar) {
        AppMethodBeat.i(9718);
        com.tencent.mm.pluginsdk.wallet.g gVar2 = new com.tencent.mm.pluginsdk.wallet.g(iVar.puc);
        Intent intent = new Intent();
        intent.putExtra("appId", bo.bc((String) iVar.puc.get("appid"), ""));
        intent.putExtra("timeStamp", gVar2.timeStamp);
        intent.putExtra("nonceStr", gVar2.nonceStr);
        intent.putExtra("packageExt", gVar2.packageExt);
        intent.putExtra("signtype", gVar2.signType);
        intent.putExtra("paySignature", gVar2.cId);
        intent.putExtra("url", gVar2.url);
        intent.putExtra("reset_pwd_token", gVar2.vwv);
        intent.putExtra("pay_channel", gVar2.cvS);
        ((MMActivity) gVar.context).ifE = gVar;
        com.tencent.mm.bp.d.b(gVar.context, "wallet", ".pwd.ui.WalletResetPwdAdapterUI", intent, 55);
        AppMethodBeat.o(9718);
        return true;
    }

    static /* synthetic */ boolean dn(g gVar, i iVar) {
        AppMethodBeat.i(9719);
        l.a(iVar.uII, false, null, (String) iVar.puc.get("appId"));
        ab.i("MicroMsg.MsgHandler", "doChooseInvoiceTitle");
        Intent intent = new Intent();
        intent.putExtra("req_scene", 0);
        intent.putExtra("launch_from_webview", true);
        if (gVar.context instanceof MMActivity) {
            ((MMActivity) gVar.context).ifE = gVar;
            com.tencent.mm.bp.d.a(gVar.context, "address", ".ui.InvoiceListUI", intent, 56, false);
        }
        AppMethodBeat.o(9719);
        return true;
    }

    static /* synthetic */ boolean dt(g gVar, i iVar) {
        int i = 0;
        AppMethodBeat.i(9725);
        gVar.eBB = false;
        com.tencent.mm.plugin.webview.fts.g cYD = com.tencent.mm.plugin.webview.modeltools.g.cYD();
        Map map = iVar.puc;
        Map hashMap = new HashMap();
        hashMap.put("errcode", Integer.valueOf(0));
        hashMap.put("msg", "success");
        if (map != null) {
            int d = aa.d(map, "limit", 3);
            int d2 = aa.d(map, "webview_instance_id", -1);
            if (d2 > 0) {
                String str = String.valueOf(d2) + '_' + String.valueOf(bo.anT() / 300);
                if (cYD.uge.containsKey(str)) {
                    i = ((Integer) cYD.uge.get(str)).intValue();
                }
                if (i < d) {
                    com.tencent.mm.pluginsdk.g.a.a.b.c.dif();
                    com.tencent.mm.pluginsdk.g.a.a.b.Ky(40);
                    cYD.uge.put(str, Integer.valueOf(i + 1));
                } else {
                    hashMap.put("errcode", Integer.valueOf(-1));
                    hashMap.put("msg", "fail:over call");
                }
            }
        } else {
            com.tencent.mm.pluginsdk.g.a.a.b.c.dif();
            com.tencent.mm.pluginsdk.g.a.a.b.Ky(40);
        }
        gVar.a(iVar, "updateWASearchTemplate:succ", hashMap);
        AppMethodBeat.o(9725);
        return true;
    }

    static /* synthetic */ boolean du(g gVar, i iVar) {
        AppMethodBeat.i(9726);
        gVar.eBB = false;
        String t = aa.t(iVar.puc, "userName");
        if (t.length() > 0) {
            ((com.tencent.mm.plugin.appbrand.service.h) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.appbrand.service.h.class)).xO(t);
            gVar.a(iVar, "preloadSearchWeapp:succ", null);
        } else {
            gVar.a(iVar, "preloadSearchWeapp:fail", null);
        }
        AppMethodBeat.o(9726);
        return true;
    }

    static /* synthetic */ boolean dz(g gVar, i iVar) {
        AppMethodBeat.i(9731);
        gVar.eBB = false;
        boolean aC = com.tencent.mm.plugin.webview.modeltools.g.cYC().aC(iVar.puc);
        AppMethodBeat.o(9731);
        return aC;
    }

    static /* synthetic */ boolean dA(g gVar, i iVar) {
        AppMethodBeat.i(9732);
        gVar.eBB = false;
        boolean a = com.tencent.mm.plugin.webview.modeltools.g.cYC().a(iVar.puc, gVar);
        AppMethodBeat.o(9732);
        return a;
    }

    static /* synthetic */ boolean dB(g gVar, i iVar) {
        AppMethodBeat.i(9733);
        gVar.eBB = false;
        HashMap hashMap = new HashMap();
        hashMap.put("query", aa.t(iVar.puc, "query"));
        hashMap.put("scene", Integer.valueOf(33));
        hashMap.put("thirdExtParam", iVar.puc.get("thirdExtParam"));
        if (iVar.puc.containsKey("url")) {
            com.tencent.mm.plugin.webview.modeltools.g.cYD().ugd = new cvf();
            com.tencent.mm.plugin.webview.modeltools.g.cYD().ugd.xrk = new li();
            com.tencent.mm.plugin.webview.modeltools.g.cYD().ugd.xrk.vOV = aa.t(iVar.puc, "url");
        }
        com.tencent.mm.plugin.webview.modeltools.g.cYC();
        String t = aa.t(hashMap, "query");
        if (bo.isNullOrNil(t)) {
            AppMethodBeat.o(9733);
        } else {
            int d = aa.d(hashMap, "scene", 3);
            int d2 = aa.d(hashMap, VideoMaterialUtil.CRAZYFACE_LAYER_TYPE, 0);
            String obj = hashMap.get("thirdExtParam") == null ? "" : hashMap.get("thirdExtParam").toString();
            String HP = aa.HP(d);
            Map d3 = aa.d(d, true, 0);
            d3.put("query", t);
            d3.put("sessionId", HP);
            d3.put("thirdExtParam", com.tencent.mm.compatible.util.q.encode(obj));
            ((com.tencent.mm.plugin.websearch.api.j) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.websearch.api.j.class)).a(ah.getContext(), d, t, HP, d3, d2);
            AppMethodBeat.o(9733);
        }
        return false;
    }

    static /* synthetic */ boolean dK(g gVar, final i iVar) {
        AppMethodBeat.i(9742);
        ab.i("MicroMsg.MsgHandler", "do handle wcpay buffer");
        l.a(iVar.uII, false, null, (String) iVar.puc.get("appId"));
        com.tencent.mm.pluginsdk.wallet.g gVar2 = new com.tencent.mm.pluginsdk.wallet.g(iVar.puc);
        final uk ukVar = new uk();
        ukVar.cQC.action = (String) iVar.puc.get("action");
        ukVar.cQC.buffer = (String) iVar.puc.get("buffer");
        ukVar.cQC.cQG = bo.getInt((String) iVar.puc.get("walletRegion"), 0);
        ukVar.cQC.appId = gVar2.appId;
        ukVar.cQC.cvO = gVar2.timeStamp;
        ukVar.cQC.nonceStr = gVar2.nonceStr;
        ukVar.cQC.cQF = gVar2.cId;
        ukVar.cQC.signType = gVar2.signType;
        ukVar.cQC.cQE = gVar2.packageExt;
        ukVar.cQC.url = gVar2.url;
        ukVar.cQD.cQH = new Runnable() {
            public final void run() {
                AppMethodBeat.i(9103);
                if (ukVar.cQD.retCode == 0) {
                    Map hashMap = new HashMap();
                    hashMap.put("buffer", ukVar.cQD.buffer);
                    g.a(g.this, iVar, "handleWCPayWalletBuffer:ok", hashMap);
                    AppMethodBeat.o(9103);
                } else if (ukVar.cQD.retCode == -2) {
                    g.a(g.this, iVar, "handleWCPayWalletBuffer:null", null);
                    AppMethodBeat.o(9103);
                } else {
                    g.a(g.this, iVar, "handleWCPayWalletBuffer:fail", null);
                    AppMethodBeat.o(9103);
                }
            }
        };
        com.tencent.mm.sdk.b.a.xxA.m(ukVar);
        AppMethodBeat.o(9742);
        return true;
    }

    static /* synthetic */ boolean dQ(g gVar, i iVar) {
        AppMethodBeat.i(9749);
        gVar.eBB = false;
        if ("1".equals(iVar.puc.get("isDeleteAll"))) {
            com.tencent.mm.plugin.webview.modeltools.g.cYC();
            ((com.tencent.mm.plugin.fts.a.n) com.tencent.mm.kernel.g.M(com.tencent.mm.plugin.fts.a.n.class)).deleteSOSHistory();
        } else {
            com.tencent.mm.plugin.webview.modeltools.g.cYC();
            ((com.tencent.mm.plugin.fts.a.n) com.tencent.mm.kernel.g.M(com.tencent.mm.plugin.fts.a.n.class)).deleteSOSHistory((String) iVar.puc.get("query"));
        }
        AppMethodBeat.o(9749);
        return false;
    }

    static /* synthetic */ boolean dT(g gVar, i iVar) {
        AppMethodBeat.i(9752);
        ab.i("MicroMsg.MsgHandler", "do open offline pay view");
        ((MMActivity) gVar.context).ifE = gVar;
        Context context = gVar.context;
        com.tencent.mm.pluginsdk.wallet.g gVar2 = new com.tencent.mm.pluginsdk.wallet.g(iVar.puc);
        Intent intent = new Intent();
        intent.putExtra("appId", gVar2.appId);
        intent.putExtra("timeStamp", gVar2.timeStamp);
        intent.putExtra("nonceStr", gVar2.nonceStr);
        intent.putExtra("packageExt", gVar2.packageExt);
        intent.putExtra("signtype", gVar2.signType);
        intent.putExtra("paySignature", gVar2.cId);
        intent.putExtra("url", gVar2.url);
        intent.putExtra("key_from_scene", 6);
        intent.putExtra("pay_channel", gVar2.cvS);
        com.tencent.mm.bp.d.b(context, "offline", ".ui.WalletOfflineEntranceUI", intent, 60);
        AppMethodBeat.o(9752);
        return true;
    }

    static /* synthetic */ boolean dU(g gVar, i iVar) {
        AppMethodBeat.i(9753);
        com.tencent.mm.pluginsdk.wallet.g gVar2 = new com.tencent.mm.pluginsdk.wallet.g(iVar.puc);
        Intent intent = new Intent();
        intent.putExtra("appId", gVar2.appId);
        intent.putExtra("timeStamp", gVar2.timeStamp);
        intent.putExtra("nonceStr", gVar2.nonceStr);
        intent.putExtra("packageExt", gVar2.packageExt);
        intent.putExtra("signtype", gVar2.signType);
        intent.putExtra("paySignature", gVar2.cId);
        intent.putExtra("url", gVar2.url);
        intent.putExtra("pay_channel", gVar2.cvS);
        intent.putExtra("jsapi_scene", 17);
        intent.putExtra("intent_jump_package", "wallet");
        ab.i("MicroMsg.MsgHandler", "appid %s timeStamp %s nonceStr %s packageExt %s signType %s", new Object[]{bo.bc((String) iVar.puc.get("appid"), ""), gVar2.timeStamp, gVar2.nonceStr, gVar2.packageExt, gVar2.signType});
        intent.putExtra("intent_jump_ui", ".bind.ui.WalletBankcardManageUI");
        ((MMActivity) gVar.context).ifE = gVar;
        com.tencent.mm.bp.d.b(gVar.context, "wallet", ".ui.WalletJsApiAdapterUI", intent, 59);
        AppMethodBeat.o(9753);
        return true;
    }

    static /* synthetic */ boolean ec(g gVar, i iVar) {
        int i;
        String obj;
        String obj2;
        String obj3;
        AppMethodBeat.i(9762);
        ab.i("MicroMsg.MsgHandler", "doFaceDetectForPay");
        ((MMActivity) gVar.context).ifE = gVar;
        if (iVar.puc.containsKey("scene")) {
            i = bo.getInt(iVar.puc.get("scene").toString(), 0);
        } else {
            i = 0;
        }
        if (iVar.puc.containsKey("package")) {
            obj = iVar.puc.get("package").toString();
        } else {
            obj = null;
        }
        if (iVar.puc.containsKey("package_sign")) {
            obj2 = iVar.puc.get("package_sign").toString();
        } else {
            obj2 = null;
        }
        if (iVar.puc.containsKey("other_verify_title")) {
            obj3 = iVar.puc.get("other_verify_title").toString();
        } else {
            obj3 = null;
        }
        h.pYm.a(917, 34, 1, false);
        oo ooVar = new oo();
        ooVar.cKR.scene = i;
        ooVar.cKR.packageName = obj;
        ooVar.cKR.cKT = obj2;
        ooVar.cKR.cKU = obj3;
        ooVar.cKR.requestCode = 63;
        if (gVar.context instanceof Activity) {
            ooVar.cKR.czX = (Activity) gVar.context;
        }
        com.tencent.mm.sdk.b.a.xxA.m(ooVar);
        if (!ooVar.cKS.cKV) {
            ((MMActivity) gVar.context).ifE = null;
            gVar.a(iVar, "faceVerifyForPay:fail", i.aq(ooVar.cKS.extras));
        }
        AppMethodBeat.o(9762);
        return true;
    }

    static /* synthetic */ boolean ed(g gVar, i iVar) {
        AppMethodBeat.i(9763);
        String str = (String) iVar.puc.get("appid");
        Intent intent = new Intent();
        intent.putExtra("appId", str);
        intent.putExtra("view_task", true);
        ((com.tencent.mm.plugin.downloader_app.a.d) com.tencent.mm.kernel.g.K(com.tencent.mm.plugin.downloader_app.a.d.class)).a(gVar.context, intent, new 32(gVar, iVar));
        AppMethodBeat.o(9763);
        return true;
    }

    static /* synthetic */ boolean en(g gVar, i iVar) {
        AppMethodBeat.i(9773);
        boolean a = com.tencent.mm.plugin.webview.preload.e.a(iVar, gVar.umI, new 37(gVar));
        AppMethodBeat.o(9773);
        return a;
    }

    static /* synthetic */ boolean eo(g gVar, i iVar) {
        AppMethodBeat.i(9774);
        com.tencent.mm.plugin.webview.ui.tools.game.i.a(gVar.context, com.tencent.mm.plugin.downloader_app.b.a.H(iVar.puc), new 33(gVar, iVar));
        AppMethodBeat.o(9774);
        return true;
    }

    static /* synthetic */ com.tencent.mm.ui.widget.a.c a(g gVar, String str, String str2, String str3, String str4, String str5, String str6, String str7, String str8, String str9) {
        AppMethodBeat.i(9795);
        if (gVar.context == null || gVar.context.getResources() == null) {
            ab.e("MicroMsg.MsgHandler", "showSendAppMsgDialog fail, context or context.getResources() is null");
            AppMethodBeat.o(9795);
            return null;
        } else if (gVar.context instanceof Activity) {
            String dcx = gVar.dcx();
            com.tencent.mm.pluginsdk.model.app.f bT = com.tencent.mm.pluginsdk.model.app.g.bT(str, true);
            com.tencent.mm.ui.widget.a.c a = com.tencent.mm.pluginsdk.ui.applet.t.a.vlq.a(((MMActivity) gVar.context).mController, str2, str3, str5, true, gVar.context.getResources().getString(2131297041), new 132(gVar, bT, str, str4, str3, str6, str7, dcx, str8, str9));
            AppMethodBeat.o(9795);
            return a;
        } else {
            ab.e("MicroMsg.MsgHandler", "showsSendAppMsgDialog fail, context is not activity");
            AppMethodBeat.o(9795);
            return null;
        }
    }

    static /* synthetic */ void eu(g gVar, i iVar) {
        AppMethodBeat.i(9796);
        if (gVar.context == null) {
            gVar.a(iVar, "chooseIdCard:fail", null);
            AppMethodBeat.o(9796);
            return;
        }
        if (!gVar.uGu.a("identity_pay_auth", gVar.context, new 4(gVar, iVar))) {
            gVar.a(iVar, "chooseIdCard:fail", null);
        }
        AppMethodBeat.o(9796);
    }

    static /* synthetic */ void ev(g gVar, i iVar) {
        AppMethodBeat.i(9797);
        ab.i("MicroMsg.MsgHandler", "real scene = %d", new Object[]{Integer.valueOf(3)});
        ab.d("MicroMsg.MsgHandler", " checkPermission checkcamera[%b]", new Object[]{Boolean.valueOf(com.tencent.mm.pluginsdk.permission.b.a((Activity) gVar.context, "android.permission.CAMERA", 113, "", ""))});
        if (com.tencent.mm.pluginsdk.permission.b.a((Activity) gVar.context, "android.permission.CAMERA", 113, "", "")) {
            Intent intent = new Intent();
            intent.putExtra("key_pick_local_pic_capture", 3);
            intent.putExtra("key_pick_local_pic_query_source_type", 8);
            intent.putExtra("query_media_type", 1);
            intent.putExtra("key_pick_local_pic_count", 1);
            ab.i("MicroMsg.MsgHandler", "doChooseImageIdCard: realScene: %d, querySourceType: %d", new Object[]{Integer.valueOf(3), Integer.valueOf(8)});
            if (gVar.context instanceof MMActivity) {
                ((MMActivity) gVar.context).ifE = gVar;
                com.tencent.mm.bp.d.a(gVar.context, "webview", ".ui.tools.OpenFileChooserUI", intent, 43, false);
            }
            AppMethodBeat.o(9797);
            return;
        }
        gVar.a(iVar, "chooseIdCard:fail", null);
        AppMethodBeat.o(9797);
    }

    static /* synthetic */ void b(g gVar, i iVar, String str, Map map) {
        AppMethodBeat.i(9801);
        if (iVar == null) {
            AppMethodBeat.o(9801);
            return;
        }
        try {
            gVar.uGq.a(iVar.uIG, str, i.aP(map), false);
            AppMethodBeat.o(9801);
        } catch (Exception e) {
            ab.w("MicroMsg.MsgHandler", "callbackWithoutAffectingJsApiQueue, e = %s", new Object[]{e});
            AppMethodBeat.o(9801);
        }
    }
}
