package android.support.transition;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Matrix;
import android.graphics.PointF;
import android.os.Build.VERSION;
import android.support.v4.content.a.c;
import android.support.v4.view.s;
import android.util.AttributeSet;
import android.util.Property;
import android.view.View;
import android.view.ViewGroup;
import org.xmlpull.v1.XmlPullParser;

public class ChangeTransform extends Transition {
    private static final Property<b, float[]> xW = new 1(float[].class, "nonTranslations");
    private static final Property<b, PointF> xX = new 2(PointF.class, "translations");
    private static final boolean xY;
    private static final String[] xk = new String[]{"android:changeTransform:matrix", "android:changeTransform:transforms", "android:changeTransform:parentMatrix"};
    private boolean xZ = true;
    private boolean xt = true;
    private Matrix ya = new Matrix();

    static class b {
        final Matrix mMatrix = new Matrix();
        private final View mView;
        final float[] yh;
        float yi;
        float yj;

        b(View view, float[] fArr) {
            this.mView = view;
            this.yh = (float[]) fArr.clone();
            this.yi = this.yh[2];
            this.yj = this.yh[5];
            cR();
        }

        /* Access modifiers changed, original: final */
        public final void cR() {
            this.yh[2] = this.yi;
            this.yh[5] = this.yj;
            this.mMatrix.setValues(this.yh);
            au.c(this.mView, this.mMatrix);
        }
    }

    static {
        boolean z = true;
        if (VERSION.SDK_INT < 21) {
            z = false;
        }
        xY = z;
    }

    public ChangeTransform(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, ac.zC);
        this.xZ = c.a(obtainStyledAttributes, (XmlPullParser) attributeSet, "reparentWithOverlay", 1, true);
        this.xt = c.a(obtainStyledAttributes, (XmlPullParser) attributeSet, "reparent", 0, true);
        obtainStyledAttributes.recycle();
    }

    public final String[] getTransitionProperties() {
        return xk;
    }

    private void c(ah ahVar) {
        View view = ahVar.view;
        if (view.getVisibility() != 8) {
            Object obj;
            ahVar.values.put("android:changeTransform:parent", view.getParent());
            ahVar.values.put("android:changeTransform:transforms", new c(view));
            Matrix matrix = view.getMatrix();
            if (matrix == null || matrix.isIdentity()) {
                obj = null;
            } else {
                obj = new Matrix(matrix);
            }
            ahVar.values.put("android:changeTransform:matrix", obj);
            if (this.xt) {
                matrix = new Matrix();
                ViewGroup viewGroup = (ViewGroup) view.getParent();
                au.a(viewGroup, matrix);
                matrix.preTranslate((float) (-viewGroup.getScrollX()), (float) (-viewGroup.getScrollY()));
                ahVar.values.put("android:changeTransform:parentMatrix", matrix);
                ahVar.values.put("android:changeTransform:intermediateMatrix", view.getTag(2131820684));
                ahVar.values.put("android:changeTransform:intermediateParentMatrix", view.getTag(2131820647));
            }
        }
    }

    public final void a(ah ahVar) {
        c(ahVar);
        if (!xY) {
            ((ViewGroup) ahVar.view.getParent()).startViewTransition(ahVar.view);
        }
    }

    public final void b(ah ahVar) {
        c(ahVar);
    }

    /* JADX WARNING: Removed duplicated region for block: B:19:0x0061  */
    /* JADX WARNING: Removed duplicated region for block: B:22:0x007a  */
    /* JADX WARNING: Removed duplicated region for block: B:24:0x0086  */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x00f3  */
    /* JADX WARNING: Removed duplicated region for block: B:53:0x01a4  */
    /* JADX WARNING: Removed duplicated region for block: B:32:0x00f7  */
    /* JADX WARNING: Removed duplicated region for block: B:49:0x0124  */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x00ff  */
    /* JADX WARNING: Removed duplicated region for block: B:58:? A:{SYNTHETIC, RETURN} */
    /* JADX WARNING: Removed duplicated region for block: B:52:0x019b  */
    public final android.animation.Animator a(android.view.ViewGroup r15, android.support.transition.ah r16, android.support.transition.ah r17) {
        /*
        r14 = this;
        if (r16 == 0) goto L_0x001e;
    L_0x0002:
        if (r17 == 0) goto L_0x001e;
    L_0x0004:
        r0 = r16;
        r1 = r0.values;
        r2 = "android:changeTransform:parent";
        r1 = r1.containsKey(r2);
        if (r1 == 0) goto L_0x001e;
    L_0x0011:
        r0 = r17;
        r1 = r0.values;
        r2 = "android:changeTransform:parent";
        r1 = r1.containsKey(r2);
        if (r1 != 0) goto L_0x0020;
    L_0x001e:
        r1 = 0;
    L_0x001f:
        return r1;
    L_0x0020:
        r0 = r16;
        r1 = r0.values;
        r2 = "android:changeTransform:parent";
        r1 = r1.get(r2);
        r8 = r1;
        r8 = (android.view.ViewGroup) r8;
        r0 = r17;
        r1 = r0.values;
        r2 = "android:changeTransform:parent";
        r1 = r1.get(r2);
        r1 = (android.view.ViewGroup) r1;
        r2 = r14.xt;
        if (r2 == 0) goto L_0x0121;
    L_0x003f:
        r2 = 0;
        r3 = r14.C(r8);
        if (r3 == 0) goto L_0x004c;
    L_0x0046:
        r3 = r14.C(r1);
        if (r3 != 0) goto L_0x0110;
    L_0x004c:
        if (r8 != r1) goto L_0x010d;
    L_0x004e:
        r1 = 1;
    L_0x004f:
        if (r1 != 0) goto L_0x0121;
    L_0x0051:
        r3 = 1;
    L_0x0052:
        r0 = r16;
        r1 = r0.values;
        r2 = "android:changeTransform:intermediateMatrix";
        r1 = r1.get(r2);
        r1 = (android.graphics.Matrix) r1;
        if (r1 == 0) goto L_0x006b;
    L_0x0061:
        r0 = r16;
        r2 = r0.values;
        r4 = "android:changeTransform:matrix";
        r2.put(r4, r1);
    L_0x006b:
        r0 = r16;
        r1 = r0.values;
        r2 = "android:changeTransform:intermediateParentMatrix";
        r1 = r1.get(r2);
        r1 = (android.graphics.Matrix) r1;
        if (r1 == 0) goto L_0x0084;
    L_0x007a:
        r0 = r16;
        r2 = r0.values;
        r4 = "android:changeTransform:parentMatrix";
        r2.put(r4, r1);
    L_0x0084:
        if (r3 == 0) goto L_0x00d7;
    L_0x0086:
        r0 = r17;
        r1 = r0.values;
        r2 = "android:changeTransform:parentMatrix";
        r1 = r1.get(r2);
        r1 = (android.graphics.Matrix) r1;
        r0 = r17;
        r2 = r0.view;
        r4 = 2131820647; // 0x7f110067 float:1.9274015E38 double:1.053259345E-314;
        r2.setTag(r4, r1);
        r4 = r14.ya;
        r4.reset();
        r1.invert(r4);
        r0 = r16;
        r1 = r0.values;
        r2 = "android:changeTransform:matrix";
        r1 = r1.get(r2);
        r1 = (android.graphics.Matrix) r1;
        if (r1 != 0) goto L_0x01a7;
    L_0x00b4:
        r1 = new android.graphics.Matrix;
        r1.<init>();
        r0 = r16;
        r2 = r0.values;
        r5 = "android:changeTransform:matrix";
        r2.put(r5, r1);
        r2 = r1;
    L_0x00c4:
        r0 = r16;
        r1 = r0.values;
        r5 = "android:changeTransform:parentMatrix";
        r1 = r1.get(r5);
        r1 = (android.graphics.Matrix) r1;
        r2.postConcat(r1);
        r2.postConcat(r4);
    L_0x00d7:
        r0 = r16;
        r1 = r0.values;
        r2 = "android:changeTransform:matrix";
        r1 = r1.get(r2);
        r1 = (android.graphics.Matrix) r1;
        r0 = r17;
        r2 = r0.values;
        r4 = "android:changeTransform:matrix";
        r2 = r2.get(r4);
        r2 = (android.graphics.Matrix) r2;
        if (r1 != 0) goto L_0x00f5;
    L_0x00f3:
        r1 = android.support.transition.p.vt;
    L_0x00f5:
        if (r2 != 0) goto L_0x01a4;
    L_0x00f7:
        r4 = android.support.transition.p.vt;
    L_0x00f9:
        r2 = r1.equals(r4);
        if (r2 == 0) goto L_0x0124;
    L_0x00ff:
        r1 = 0;
    L_0x0100:
        if (r3 == 0) goto L_0x0197;
    L_0x0102:
        if (r1 == 0) goto L_0x0197;
    L_0x0104:
        r2 = r14.xZ;
        if (r2 == 0) goto L_0x0197;
    L_0x0108:
        r14.b(r15, r16, r17);
        goto L_0x001f;
    L_0x010d:
        r1 = 0;
        goto L_0x004f;
    L_0x0110:
        r3 = 1;
        r3 = r14.c(r8, r3);
        if (r3 == 0) goto L_0x01aa;
    L_0x0117:
        r2 = r3.view;
        if (r1 != r2) goto L_0x011e;
    L_0x011b:
        r1 = 1;
        goto L_0x004f;
    L_0x011e:
        r1 = 0;
        goto L_0x004f;
    L_0x0121:
        r3 = 0;
        goto L_0x0052;
    L_0x0124:
        r0 = r17;
        r2 = r0.values;
        r5 = "android:changeTransform:transforms";
        r6 = r2.get(r5);
        r6 = (android.support.transition.ChangeTransform.c) r6;
        r0 = r17;
        r5 = r0.view;
        w(r5);
        r2 = 9;
        r2 = new float[r2];
        r1.getValues(r2);
        r1 = 9;
        r1 = new float[r1];
        r4.getValues(r1);
        r7 = new android.support.transition.ChangeTransform$b;
        r7.<init>(r5, r2);
        r9 = xW;
        r10 = new android.support.transition.f;
        r11 = 9;
        r11 = new float[r11];
        r10.<init>(r11);
        r11 = 2;
        r11 = new float[r11][];
        r12 = 0;
        r11[r12] = r2;
        r12 = 1;
        r11[r12] = r1;
        r9 = android.animation.PropertyValuesHolder.ofObject(r9, r10, r11);
        r10 = r14.Ak;
        r11 = 2;
        r11 = r2[r11];
        r12 = 5;
        r2 = r2[r12];
        r12 = 2;
        r12 = r1[r12];
        r13 = 5;
        r1 = r1[r13];
        r1 = r10.getPath(r11, r2, r12, r1);
        r2 = xX;
        r1 = android.support.transition.v.a(r2, r1);
        r2 = 2;
        r2 = new android.animation.PropertyValuesHolder[r2];
        r10 = 0;
        r2[r10] = r9;
        r9 = 1;
        r2[r9] = r1;
        r9 = android.animation.ObjectAnimator.ofPropertyValuesHolder(r7, r2);
        r1 = new android.support.transition.ChangeTransform$3;
        r2 = r14;
        r1.<init>(r2, r3, r4, r5, r6, r7);
        r9.addListener(r1);
        android.support.transition.a.a(r9, r1);
        r1 = r9;
        goto L_0x0100;
    L_0x0197:
        r2 = xY;
        if (r2 != 0) goto L_0x001f;
    L_0x019b:
        r0 = r16;
        r2 = r0.view;
        r8.endViewTransition(r2);
        goto L_0x001f;
    L_0x01a4:
        r4 = r2;
        goto L_0x00f9;
    L_0x01a7:
        r2 = r1;
        goto L_0x00c4;
    L_0x01aa:
        r1 = r2;
        goto L_0x004f;
        */
        throw new UnsupportedOperationException("Method not decompiled: android.support.transition.ChangeTransform.a(android.view.ViewGroup, android.support.transition.ah, android.support.transition.ah):android.animation.Animator");
    }

    private void b(ViewGroup viewGroup, ah ahVar, ah ahVar2) {
        View view = ahVar2.view;
        Matrix matrix = new Matrix((Matrix) ahVar2.values.get("android:changeTransform:parentMatrix"));
        au.b(viewGroup, matrix);
        j a = k.a(view, viewGroup, matrix);
        if (a != null) {
            Transition thisR;
            a.a((ViewGroup) ahVar.values.get("android:changeTransform:parent"), ahVar.view);
            while (thisR.zY != null) {
                thisR = thisR.zY;
            }
            thisR.a(new a(view, a));
            if (xY) {
                if (ahVar.view != ahVar2.view) {
                    au.c(ahVar.view, 0.0f);
                }
                au.c(view, 1.0f);
            }
        }
    }

    private static void w(View view) {
        a(view, 0.0f, 0.0f, 0.0f, 1.0f, 1.0f, 0.0f, 0.0f, 0.0f);
    }

    private static void a(View view, float f, float f2, float f3, float f4, float f5, float f6, float f7, float f8) {
        view.setTranslationX(f);
        view.setTranslationY(f2);
        s.i(view, f3);
        view.setScaleX(f4);
        view.setScaleY(f5);
        view.setRotationX(f6);
        view.setRotationY(f7);
        view.setRotation(f8);
    }
}
