package com.tencent.ttpic.util;

import android.graphics.Color;
import android.graphics.PointF;
import android.text.TextUtils;
import android.util.Pair;
import com.samsung.android.sdk.look.airbutton.SlookAirButtonRecentMediaAdapter;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.tencentmap.mapsdk.map.BuildConfig;
import com.tencent.ttpic.PTFaceAttr.PTExpression;
import com.tencent.ttpic.baseutils.LogUtils;
import com.tencent.ttpic.filter.FabbyMvPart;
import com.tencent.ttpic.filter.FabbyParts;
import com.tencent.ttpic.gameplaysdk.model.GameParams;
import com.tencent.ttpic.json.XML;
import com.tencent.ttpic.logic.watermark.LogicDataManager;
import com.tencent.ttpic.model.AgeRange;
import com.tencent.ttpic.model.Audio2Text;
import com.tencent.ttpic.model.CanvasItem;
import com.tencent.ttpic.model.CharmRange;
import com.tencent.ttpic.model.CpRange;
import com.tencent.ttpic.model.DistortionItem;
import com.tencent.ttpic.model.ExpressionItem;
import com.tencent.ttpic.model.FaceCropItem;
import com.tencent.ttpic.model.FaceCropItem.CropFrame;
import com.tencent.ttpic.model.FaceExpression;
import com.tencent.ttpic.model.FaceFeatureItem;
import com.tencent.ttpic.model.FaceImageLayer;
import com.tencent.ttpic.model.FaceItem;
import com.tencent.ttpic.model.FaceMeshItem;
import com.tencent.ttpic.model.FaceMoveItem;
import com.tencent.ttpic.model.GenderRange;
import com.tencent.ttpic.model.GridModel;
import com.tencent.ttpic.model.GridSettingModel;
import com.tencent.ttpic.model.ImageWMElement;
import com.tencent.ttpic.model.MultiViewerItem;
import com.tencent.ttpic.model.PhantomItem;
import com.tencent.ttpic.model.PopularRange;
import com.tencent.ttpic.model.Rect;
import com.tencent.ttpic.model.ShakaEffectItem;
import com.tencent.ttpic.model.SizeI;
import com.tencent.ttpic.model.StickerItem;
import com.tencent.ttpic.model.StickerItem.ValueRange;
import com.tencent.ttpic.model.TextWMElement;
import com.tencent.ttpic.model.Transition;
import com.tencent.ttpic.model.VideoFilterEffect;
import com.tencent.ttpic.model.VideoMaterial;
import com.tencent.ttpic.model.WMElement;
import com.tencent.ttpic.model.WMElement.WMType;
import com.tencent.ttpic.model.WMGroup;
import com.tencent.ttpic.model.WMLogic;
import com.tencent.ttpic.model.WMLogicPair;
import com.tencent.ttpic.particle.ParticleConfig;
import com.tencent.ttpic.util.VideoFilterFactory.POSITION_TYPE;
import com.tencent.ttpic.util.VideoFilterFactory.STICKER_TYPE;
import com.tencent.ttpic.util.VideoMaterialUtil.CANVAS_ITEM_FILED;
import com.tencent.ttpic.util.VideoMaterialUtil.CHARM_RANGE_FIELD;
import com.tencent.ttpic.util.VideoMaterialUtil.DISTORTION_ITEM_FILED;
import com.tencent.ttpic.util.VideoMaterialUtil.EXPRESSION_ITEM_FILED;
import com.tencent.ttpic.util.VideoMaterialUtil.FACE_CROP_ITEM;
import com.tencent.ttpic.util.VideoMaterialUtil.FACE_CROP_ITEM_FRAME;
import com.tencent.ttpic.util.VideoMaterialUtil.FACE_EXPRESSION_ITEM_FILED;
import com.tencent.ttpic.util.VideoMaterialUtil.FACE_MESH_ITEM_LIST;
import com.tencent.ttpic.util.VideoMaterialUtil.FACE_MOVE_ITEM_FILED;
import com.tencent.ttpic.util.VideoMaterialUtil.FACE_OFF_ITEM_FIELD;
import com.tencent.ttpic.util.VideoMaterialUtil.FIELD;
import com.tencent.ttpic.util.VideoMaterialUtil.FILTER_EFFECT_FIELD;
import com.tencent.ttpic.util.VideoMaterialUtil.GAME_FIELD;
import com.tencent.ttpic.util.VideoMaterialUtil.ITEM_SOURCE_TYPE;
import com.tencent.ttpic.util.VideoMaterialUtil.PARTICLE_CLEAR_MODE;
import com.tencent.ttpic.util.VideoMaterialUtil.PHANTOM_ITEM_FIELD;
import com.tencent.ttpic.util.VideoMaterialUtil.WATERMARK_ELEMENT;
import com.tencent.util.g;
import java.io.BufferedReader;
import java.io.ByteArrayInputStream;
import java.io.File;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.nio.charset.Charset;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;
import org.json.JSONTokener;

public class VideoTemplateParser {
    public static final String POSTFIX_DAT = "dat";
    private static final String POSTFIX_JSON = "json";
    private static final String TAG = VideoTemplateParser.class.getSimpleName();
    private static final DecryptListener decryptListener = new DecryptListener() {
        public final byte[] decrypt(byte[] bArr) {
            AppMethodBeat.i(84229);
            byte[] drink = Coffee.drink(bArr, Coffee.getDefaultSign());
            AppMethodBeat.o(84229);
            return drink;
        }
    };
    private static Comparator<Pair<Float, Integer>> mDivideValueComp = new 3();
    private static Comparator<Pair<Float, ? extends Object>> mDivideValueCompForObject = new 4();
    private static Comparator<GridModel> mGridModelComparator = new 6();
    private static Comparator<Pair<Float, Double>> mRangeValueComp = new 5();

    static {
        AppMethodBeat.i(84278);
        AppMethodBeat.o(84278);
    }

    public static VideoMaterial parseVideoMaterial(String str) {
        AppMethodBeat.i(84238);
        VideoMaterial parseVideoMaterial = parseVideoMaterial(str, "params", true, decryptListener);
        AppMethodBeat.o(84238);
        return parseVideoMaterial;
    }

    public static VideoMaterial parseVideoMaterial(String str, String str2, boolean z, DecryptListener decryptListener) {
        AppMethodBeat.i(84239);
        VideoMaterial parseVideoMaterial = parseVideoMaterial(str, parseVideoMaterialFileAsJSONObject(str, str2, z, decryptListener), decryptListener);
        AppMethodBeat.o(84239);
        return parseVideoMaterial;
    }

    public static VideoMaterial parseVideoMaterial(String str, DecryptListener decryptListener) {
        AppMethodBeat.i(84240);
        VideoMaterial parseVideoMaterial = parseVideoMaterial(null, parseVideoMaterialString(str, decryptListener), decryptListener);
        AppMethodBeat.o(84240);
        return parseVideoMaterial;
    }

    public static VideoMaterial parseVideoMaterial(String str, String str2, DecryptListener decryptListener) {
        AppMethodBeat.i(84241);
        VideoMaterial parseVideoMaterial = parseVideoMaterial(str, parseVideoMaterialString(str2, decryptListener), decryptListener);
        AppMethodBeat.o(84241);
        return parseVideoMaterial;
    }

    public static Object getVideoMaterialField(String str, FIELD field) {
        Object obj = null;
        AppMethodBeat.i(84242);
        JSONObject parseVideoMaterialFileAsJSONObject = parseVideoMaterialFileAsJSONObject(str, "params", true, decryptListener);
        if (parseVideoMaterialFileAsJSONObject == null) {
            AppMethodBeat.o(84242);
        } else {
            try {
                obj = parseVideoMaterialFileAsJSONObject.get(field.value);
            } catch (JSONException e) {
            }
            AppMethodBeat.o(84242);
        }
        return obj;
    }

    private static VideoMaterial parseVideoMaterial(String str, JSONObject jSONObject, DecryptListener decryptListener) {
        boolean z = false;
        AppMethodBeat.i(84243);
        VideoMaterial videoMaterial = new VideoMaterial();
        videoMaterial.setDataPath(str);
        if (jSONObject == null) {
            AppMethodBeat.o(84243);
        } else {
            int i;
            boolean i2;
            parseBasicParams(str, jSONObject, videoMaterial);
            if (!TextUtils.isEmpty(jSONObject.optString(GAME_FIELD.GAME_NAME.value))) {
                parseGameParams(jSONObject, videoMaterial);
            }
            if (!TextUtils.isEmpty(jSONObject.optString(GAME_FIELD.GAME_NAME.value))) {
                parseAudio3DParams(jSONObject, videoMaterial);
            }
            parseResourceListParams(jSONObject, videoMaterial);
            int[] iArr = new int[]{0};
            boolean[] zArr = new boolean[]{false};
            List parseItemListParams = parseItemListParams(str, jSONObject.optJSONArray(FIELD.ITEM_LIST.value), STICKER_TYPE.NORMAL.type, videoMaterial, videoMaterial.getBlendMode(), zArr, iArr, decryptListener);
            videoMaterial.setTriggerType(iArr[0]);
            videoMaterial.setItemList(parseItemListParams);
            if (zArr[0]) {
                i2 = 1;
            } else {
                i2 = false;
            }
            boolean[] zArr2 = new boolean[]{false};
            parse3DItemListParams(str, jSONObject, videoMaterial, zArr2);
            if (i2 != 0 || zArr2[0]) {
                i2 = true;
            } else {
                i2 = false;
            }
            parseHeadCropItemListParams(jSONObject, videoMaterial);
            videoMaterial.setDistortionItemList(parseDistortionItemListParams(jSONObject.optJSONArray(FIELD.DISTORTION_LIST.value)));
            parseFaceMoveItemListParams(jSONObject, videoMaterial);
            parseFaceMoveTrianglesParams(jSONObject, videoMaterial);
            parseFacePointsListParams(jSONObject, videoMaterial);
            parseFilterEffectParams(jSONObject, videoMaterial);
            List parseFaceOffItemListParams = parseFaceOffItemListParams(jSONObject.optJSONArray(FIELD.FACE_OFF_ITEM_LIST.value));
            if (!TextUtils.isEmpty(videoMaterial.getFaceExchangeImage())) {
                parseFaceOffItemListParams.add(new FaceItem(videoMaterial.getFaceExchangeImage(), (float) videoMaterial.getBlendAlpha(), videoMaterial.getGrayScale(), videoMaterial.getFeatureType(), videoMaterial.getFacePoints()));
            }
            videoMaterial.setFaceOffItemList(parseFaceOffItemListParams);
            parseFaceMeshItemListParams(jSONObject, videoMaterial);
            parseFaceMeshItemListParams(jSONObject, videoMaterial);
            parseFaceImageLayerParams(jSONObject, videoMaterial);
            parseArParticleListParams(jSONObject, videoMaterial);
            zArr2 = new boolean[]{false};
            parseFaceExpressionParams(jSONObject, videoMaterial, zArr2);
            if (i2 || zArr2[0]) {
                z = true;
            }
            parseFaceCropParams(jSONObject, videoMaterial);
            videoMaterial.setHasAudio(z);
            parseFabbyMvItems(str, jSONObject, videoMaterial, decryptListener);
            parseSegmentParams(jSONObject, videoMaterial);
            parseFaceFeatureItemListParams(str, jSONObject, videoMaterial, decryptListener);
            parsePhantomItemListParams(jSONObject, videoMaterial);
            parseAudio2TextParams(jSONObject, videoMaterial);
            VideoMaterialUtil.updateSupportLandscape(videoMaterial);
            VideoMaterialUtil.updateMaxFaceCount(videoMaterial);
            VideoMaterialUtil.updateFaceValueDetectType(videoMaterial);
            VideoMaterialUtil.updateItemImageType(videoMaterial);
            VideoMaterialUtil.updateWatermarkInfo(videoMaterial);
            VideoMaterialUtil.updateNeedFaceInfo(videoMaterial);
            VideoMaterialUtil.updateNeedBodyInfo(videoMaterial);
            try {
                checkValid(videoMaterial);
            } catch (IllegalArgumentException e) {
            }
            AppMethodBeat.o(84243);
        }
        return videoMaterial;
    }

    private static void parsePhantomItemListParams(JSONObject jSONObject, VideoMaterial videoMaterial) {
        AppMethodBeat.i(84244);
        JSONArray optJSONArray = jSONObject.optJSONArray("phantomItemList");
        if (optJSONArray == null) {
            videoMaterial.setPhantomItemList(new ArrayList());
            AppMethodBeat.o(84244);
            return;
        }
        ArrayList arrayList = new ArrayList();
        for (int i = 0; i < optJSONArray.length(); i++) {
            JSONObject optJSONObject = optJSONArray.optJSONObject(i);
            if (optJSONObject != null) {
                PhantomItem parsePhantomItem = parsePhantomItem(optJSONObject, videoMaterial);
                if (parsePhantomItem != null) {
                    arrayList.add(parsePhantomItem);
                }
            }
        }
        videoMaterial.setPhantomItemList(arrayList);
        AppMethodBeat.o(84244);
    }

    private static PhantomItem parsePhantomItem(JSONObject jSONObject, VideoMaterial videoMaterial) {
        AppMethodBeat.i(84245);
        if (jSONObject == null) {
            AppMethodBeat.o(84245);
            return null;
        }
        PhantomItem phantomItem = new PhantomItem();
        phantomItem.setDataPath(videoMaterial.getDataPath());
        phantomItem.setId(jSONObject.optString(PHANTOM_ITEM_FIELD.ID.value));
        phantomItem.setMaskImage(jSONObject.optString(PHANTOM_ITEM_FIELD.MASK_IMAGE.value));
        phantomItem.setBlendMode(jSONObject.optInt(PHANTOM_ITEM_FIELD.BLEND_MODE.value));
        phantomItem.setScale(jSONObject.optDouble(PHANTOM_ITEM_FIELD.SCALE.value));
        phantomItem.setOpacity(jSONObject.optDouble(PHANTOM_ITEM_FIELD.OPACITY.value));
        phantomItem.setxK(jSONObject.optDouble(PHANTOM_ITEM_FIELD.X_K.value));
        phantomItem.setxAsin(jSONObject.optDouble(PHANTOM_ITEM_FIELD.X_A_SIN.value));
        phantomItem.setxBcos(jSONObject.optDouble(PHANTOM_ITEM_FIELD.X_B_COS.value));
        phantomItem.setxPhase(jSONObject.optDouble(PHANTOM_ITEM_FIELD.X_PHASE.value));
        phantomItem.setxOffset(jSONObject.optDouble(PHANTOM_ITEM_FIELD.X_OFFSET.value));
        phantomItem.setxStep(jSONObject.optDouble(PHANTOM_ITEM_FIELD.X_STEP.value));
        double[] dArr = new double[]{0.0d, 360.0d};
        JSONArray optJSONArray = jSONObject.optJSONArray(PHANTOM_ITEM_FIELD.X_RANGE.value);
        if (optJSONArray != null) {
            dArr[0] = optJSONArray.optDouble(0);
            dArr[1] = optJSONArray.optDouble(1);
        }
        phantomItem.setxRange(dArr);
        phantomItem.setyK(jSONObject.optDouble(PHANTOM_ITEM_FIELD.Y_K.value));
        phantomItem.setyAsin(jSONObject.optDouble(PHANTOM_ITEM_FIELD.Y_A_SIN.value));
        phantomItem.setyBcos(jSONObject.optDouble(PHANTOM_ITEM_FIELD.Y_B_COS.value));
        phantomItem.setyPhase(jSONObject.optDouble(PHANTOM_ITEM_FIELD.Y_PHASE.value));
        phantomItem.setyOffset(jSONObject.optDouble(PHANTOM_ITEM_FIELD.Y_OFFSET.value));
        phantomItem.setyStep(jSONObject.optDouble(PHANTOM_ITEM_FIELD.Y_STEP.value));
        JSONArray optJSONArray2 = jSONObject.optJSONArray(PHANTOM_ITEM_FIELD.Y_RANGE.value);
        double[] dArr2 = new double[]{0.0d, 360.0d};
        if (optJSONArray2 != null) {
            dArr2[0] = optJSONArray2.optDouble(0);
            dArr2[1] = optJSONArray2.optDouble(1);
        }
        phantomItem.setyRange(dArr2);
        AppMethodBeat.o(84245);
        return phantomItem;
    }

    private static void parseFaceFeatureItemListParams(String str, JSONObject jSONObject, VideoMaterial videoMaterial, DecryptListener decryptListener) {
        AppMethodBeat.i(84246);
        JSONArray optJSONArray = jSONObject.optJSONArray("faceFeatureItemList");
        if (optJSONArray == null) {
            AppMethodBeat.o(84246);
            return;
        }
        ArrayList arrayList = new ArrayList();
        for (int i = 0; i < optJSONArray.length(); i++) {
            JSONObject optJSONObject = optJSONArray.optJSONObject(i);
            if (optJSONObject != null) {
                FaceFeatureItem parseFaceFeatureItem = parseFaceFeatureItem(str, optJSONObject, videoMaterial, decryptListener);
                if (parseFaceFeatureItem != null) {
                    arrayList.add(parseFaceFeatureItem);
                }
            }
        }
        videoMaterial.setFaceFeatureItemList(arrayList);
        AppMethodBeat.o(84246);
    }

    private static FaceFeatureItem parseFaceFeatureItem(String str, JSONObject jSONObject, VideoMaterial videoMaterial, DecryptListener decryptListener) {
        AppMethodBeat.i(84247);
        if (jSONObject == null) {
            AppMethodBeat.o(84247);
            return null;
        }
        int lastIndexOf;
        JSONObject parseVideoMaterialFileAsJSONObject;
        JSONArray optJSONArray;
        List parseDistortionItemListParams;
        FaceFeatureItem faceFeatureItem = new FaceFeatureItem();
        faceFeatureItem.setId(jSONObject.optString("id"));
        faceFeatureItem.setMaskAnchorPoint(jSONObject.optInt("maskAnchorPoint", -1));
        String str2 = str.endsWith("/") ? str : str + "/" + faceFeatureItem.getId();
        faceFeatureItem.setDataPath(str2);
        String optString = jSONObject.optString("distortionFile");
        if (!TextUtils.isEmpty(optString)) {
            lastIndexOf = optString.lastIndexOf(".");
            if (lastIndexOf >= 0) {
                optString = optString.substring(0, lastIndexOf);
            }
            parseVideoMaterialFileAsJSONObject = parseVideoMaterialFileAsJSONObject(str2, optString, true, decryptListener);
            if (parseVideoMaterialFileAsJSONObject != null) {
                optJSONArray = parseVideoMaterialFileAsJSONObject.optJSONArray("distortionList");
                if (optJSONArray != null && optJSONArray.length() > 0) {
                    parseDistortionItemListParams = parseDistortionItemListParams(optJSONArray);
                    if (parseDistortionItemListParams != null) {
                        faceFeatureItem.setDistortionItemList(parseDistortionItemListParams);
                    }
                }
            }
        }
        optString = jSONObject.optString("faceOffFile");
        if (!TextUtils.isEmpty(optString)) {
            lastIndexOf = optString.lastIndexOf(".");
            if (lastIndexOf >= 0) {
                optString = optString.substring(0, lastIndexOf);
            }
            parseVideoMaterialFileAsJSONObject = parseVideoMaterialFileAsJSONObject(str2, optString, true, decryptListener);
            if (parseVideoMaterialFileAsJSONObject != null) {
                JSONArray jSONArray = new JSONArray();
                jSONArray.put(parseVideoMaterialFileAsJSONObject);
                parseDistortionItemListParams = parseFaceOffItemListParams(jSONArray);
                if (parseDistortionItemListParams != null) {
                    faceFeatureItem.setFaceOffItemList(parseDistortionItemListParams);
                }
            }
        }
        optJSONArray = jSONObject.optJSONArray("itemList");
        if (optJSONArray != null) {
            List parseItemListParams = parseItemListParams(str2, optJSONArray, STICKER_TYPE.FACE_FEATURE.type, videoMaterial, videoMaterial.getBlendMode(), null, null, decryptListener);
            if (parseItemListParams != null) {
                Collections.sort(parseItemListParams, new 2());
                faceFeatureItem.setStickerItems(parseItemListParams);
            }
        }
        AppMethodBeat.o(84247);
        return faceFeatureItem;
    }

    private static void parseSegmentParams(JSONObject jSONObject, VideoMaterial videoMaterial) {
        AppMethodBeat.i(84248);
        videoMaterial.setSegmentFeather(jSONObject.optInt("SegmentFeathering", 0));
        videoMaterial.setSegmentRequired(jSONObject.optInt("SegmentRequired", 0) == 1);
        videoMaterial.setSegmentStrokeWidth(jSONObject.optDouble("SegmentStrokeWidth", 0.0d));
        videoMaterial.setSegmentStrokeGap(jSONObject.optDouble("SegmentStrokeGap", 0.0d));
        String optString = jSONObject.optString("SegmentStrokeColor", BuildConfig.FLAVOR);
        if (!TextUtils.isEmpty(optString)) {
            int parseColor;
            try {
                parseColor = Color.parseColor(optString);
            } catch (Exception e) {
                parseColor = 0;
            }
            videoMaterial.setSegmentStrokeColor(new float[]{((float) Color.red(parseColor)) / 255.0f, ((float) Color.green(parseColor)) / 255.0f, ((float) Color.blue(parseColor)) / 255.0f, ((float) Color.alpha(parseColor)) / 255.0f});
        }
        AppMethodBeat.o(84248);
    }

    private static void parseBasicParams(String str, JSONObject jSONObject, VideoMaterial videoMaterial) {
        boolean z;
        boolean z2 = true;
        AppMethodBeat.i(84249);
        videoMaterial.setId(VideoMaterialUtil.getMaterialId(str));
        videoMaterial.setMinAppVersion(jSONObject.optInt(FIELD.MIN_APP_VERSION.value));
        videoMaterial.setCategoryFlag(jSONObject.optInt(FIELD.CATEGORY_FLAG.value, 0));
        videoMaterial.setShaderType(jSONObject.optInt(FIELD.SHADER_TYPE.value));
        videoMaterial.setFaceoffType(jSONObject.optInt(FIELD.FACE_OFF_TYPE.value));
        videoMaterial.setFaceSwapType(jSONObject.optInt(FIELD.FACE_SWAP_TYPE.value));
        videoMaterial.setMaxFaceCount(jSONObject.optInt(FIELD.MAX_FACE_COUNT.value));
        videoMaterial.setResetWhenStartRecord(jSONObject.optInt(FIELD.RESET_WHEN_START_RECORD.value, 0) == 1);
        if (jSONObject.optInt(FIELD.SUPPORT_PAUSE.value, 0) == 1) {
            z = true;
        } else {
            z = false;
        }
        videoMaterial.setSupportPause(z);
        videoMaterial.setVoicekind(jSONObject.optInt(FIELD.VOICE_KIND.value, -999999));
        videoMaterial.setEnvironment(jSONObject.optInt(FIELD.ENVIRONMENT.value, -999999));
        videoMaterial.setFaceExchangeImage(jSONObject.optString(FIELD.FACE_EXCHANGE_IMAGE.value));
        videoMaterial.setImageFacePointsFileName(jSONObject.optString(FIELD.IMAGE_FACE_POINTS_FILE_NAME.value));
        videoMaterial.setBlendAlpha(jSONObject.optDouble(FIELD.BLEND_ALPHA.value));
        videoMaterial.setGrayScale(jSONObject.optInt(FIELD.GRAY_SCALE.value));
        videoMaterial.setOrderMode(jSONObject.optInt(FIELD.ORDER_MODE.value));
        videoMaterial.setBlendMode(jSONObject.optInt(FIELD.BLEND_MODE.value));
        videoMaterial.setFeatureType(jSONObject.optInt(FIELD.FEATURE_TYPE.value));
        videoMaterial.setFilterId(jSONObject.optString(FIELD.FILTER_ID.value));
        videoMaterial.setFilterBlurStrength(jSONObject.optDouble(FIELD.FILTER_BLUR_STRENGTH.value, 0.0d));
        videoMaterial.setArParticleType(jSONObject.optInt(FIELD.AR_PARTICLE_TYPE.value));
        videoMaterial.setSupportLandscape(jSONObject.optInt(FIELD.SUPPORT_LANDSCAPE.value, 1) == 1);
        videoMaterial.setRandomGroupCount(jSONObject.optInt(FIELD.RANDOM_GROUP_COUNT.value));
        videoMaterial.setTipsText(jSONObject.optString(FIELD.TIPS_TEXT.value));
        videoMaterial.setTipsIcon(jSONObject.optString(FIELD.TIPS_ICON.value));
        videoMaterial.setHandBoostEnable(jSONObject.optInt(FIELD.HAND_BOOST_ENABLE.value));
        if (jSONObject.optInt(FIELD.USE_MESH.value, 0) == 0) {
            z2 = false;
        }
        videoMaterial.setUseMesh(z2);
        if (!TextUtils.isEmpty(jSONObject.optString(FIELD.AD_ICON.value))) {
            videoMaterial.setAdIcon(str + File.separator + jSONObject.optString(FIELD.AD_ICON.value));
        }
        videoMaterial.setAdLink(jSONObject.optString(FIELD.AD_LINK.value));
        videoMaterial.setAdAppLink(jSONObject.optString(FIELD.AD_APP_LINK.value));
        videoMaterial.setWeiboTag(jSONObject.optString("weiboTag"));
        videoMaterial.setDetectorFlag(jSONObject.optInt(FIELD.DETECTOR_FLAG.value));
        videoMaterial.setLipsLutPath(jSONObject.optString(FIELD.LIPS_LUT.value));
        videoMaterial.setSplitScreen((float) jSONObject.optDouble(FIELD.SPLIT_SCREEN.value, 0.0d));
        AppMethodBeat.o(84249);
    }

    private static void parseResourceListParams(JSONObject jSONObject, VideoMaterial videoMaterial) {
        AppMethodBeat.i(84250);
        ArrayList arrayList = new ArrayList();
        JSONArray optJSONArray = jSONObject.optJSONArray(FIELD.RESOURCE_LIST.value);
        if (optJSONArray != null) {
            for (int i = 0; i < optJSONArray.length(); i++) {
                arrayList.add(optJSONArray.optString(i));
            }
            videoMaterial.setResourceList(arrayList);
        }
        AppMethodBeat.o(84250);
    }

    private static void parseFaceCropParams(JSONObject jSONObject, VideoMaterial videoMaterial) {
        AppMethodBeat.i(84251);
        try {
            JSONObject optJSONObject = jSONObject.optJSONObject(FIELD.FACE_CROP.value);
            if (optJSONObject != null) {
                FaceCropItem faceCropItem = new FaceCropItem();
                faceCropItem.frameDuration = optJSONObject.optInt(FACE_CROP_ITEM.FRAME_DURATION.value);
                faceCropItem.frames = optJSONObject.optInt(FACE_CROP_ITEM.FRAMES.value);
                faceCropItem.frameList = new ArrayList();
                JSONArray optJSONArray = optJSONObject.optJSONArray(FACE_CROP_ITEM.FRAME_LIST.value);
                if (optJSONArray != null && optJSONArray.length() > 0) {
                    for (int i = 0; i < optJSONArray.length(); i++) {
                        JSONObject jSONObject2 = optJSONArray.getJSONObject(i);
                        CropFrame cropFrame = new CropFrame();
                        cropFrame.faceAngle = jSONObject2.optDouble(FACE_CROP_ITEM_FRAME.FACE_ANGLE.value);
                        cropFrame.faceWidth = jSONObject2.optDouble(FACE_CROP_ITEM_FRAME.FACE_WIDTH.value);
                        cropFrame.index = jSONObject2.optInt(FACE_CROP_ITEM_FRAME.INDEX.value);
                        JSONArray optJSONArray2 = jSONObject2.optJSONArray(FACE_CROP_ITEM_FRAME.NOSE_POINT.value);
                        if (optJSONArray2 != null && optJSONArray2.length() > 0) {
                            cropFrame.noseX = optJSONArray2.getDouble(0);
                            cropFrame.noseY = optJSONArray2.getDouble(1);
                        }
                        JSONArray optJSONArray3 = jSONObject2.optJSONArray(FACE_CROP_ITEM_FRAME.SIZE.value);
                        if (optJSONArray3 != null && optJSONArray3.length() > 0) {
                            cropFrame.width = optJSONArray3.getDouble(0);
                            cropFrame.height = optJSONArray3.getDouble(1);
                        }
                        faceCropItem.frameList.add(cropFrame);
                    }
                }
                videoMaterial.setFaceCropItem(faceCropItem);
            }
            AppMethodBeat.o(84251);
        } catch (JSONException e) {
            LogUtils.e(TAG, e);
            AppMethodBeat.o(84251);
        }
    }

    private static void parseFaceExpressionParams(JSONObject jSONObject, VideoMaterial videoMaterial, boolean[] zArr) {
        AppMethodBeat.i(84252);
        JSONObject optJSONObject = jSONObject.optJSONObject(FIELD.FACE_EXPRESSION.value);
        if (optJSONObject != null) {
            int i;
            JSONArray optJSONArray;
            FaceExpression faceExpression = new FaceExpression();
            faceExpression.id = optJSONObject.optString(FACE_EXPRESSION_ITEM_FILED.ID.value);
            faceExpression.videoID = optJSONObject.optString(FACE_EXPRESSION_ITEM_FILED.VIDEO_ID.value);
            faceExpression.frameDuration = optJSONObject.optDouble(FACE_EXPRESSION_ITEM_FILED.FRAME_DURATION.value);
            faceExpression.frames = optJSONObject.optInt(FACE_EXPRESSION_ITEM_FILED.FRAMES.value);
            faceExpression.audioID = optJSONObject.optString(FACE_EXPRESSION_ITEM_FILED.AUDIO_ID.value);
            zArr[0] = !TextUtils.isEmpty(faceExpression.audioID);
            JSONArray optJSONArray2 = optJSONObject.optJSONArray(FACE_EXPRESSION_ITEM_FILED.CANVAS_SIZE.value);
            if (optJSONArray2 != null && optJSONArray2.length() == 2) {
                faceExpression.canvasSize = new SizeI();
                faceExpression.canvasSize.width = optJSONArray2.optInt(0);
                faceExpression.canvasSize.height = optJSONArray2.optInt(1);
            }
            faceExpression.canvasResizeMode = optJSONObject.optInt(FACE_EXPRESSION_ITEM_FILED.CANVAS_RESIZE_MODE.value);
            faceExpression.scoreImageID = optJSONObject.optString(FACE_EXPRESSION_ITEM_FILED.SCORE_IMAGE_ID.value);
            faceExpression.expressionNumber = optJSONObject.optInt(FACE_EXPRESSION_ITEM_FILED.EXPRESSION_NUMBER.value);
            JSONArray optJSONArray3 = optJSONObject.optJSONArray(FACE_EXPRESSION_ITEM_FILED.EXPRESSION_LIST.value);
            if (optJSONArray3 != null) {
                faceExpression.expressionList = new ArrayList();
                for (i = 0; i < optJSONArray3.length(); i++) {
                    ExpressionItem expressionItem = new ExpressionItem();
                    JSONObject optJSONObject2 = optJSONArray3.optJSONObject(i);
                    if (optJSONObject2 != null) {
                        int i2;
                        expressionItem.expressionTime = optJSONObject2.optInt(EXPRESSION_ITEM_FILED.EXPRESSION_TIME.value);
                        expressionItem.expressionID = optJSONObject2.optString(EXPRESSION_ITEM_FILED.EXPRESSION_ID.value);
                        optJSONArray = optJSONObject2.optJSONArray(EXPRESSION_ITEM_FILED.EXPRESSION_FEAT_SIZE.value);
                        if (optJSONArray != null && optJSONArray.length() == 2) {
                            expressionItem.expressionFeatSize = new SizeI();
                            expressionItem.expressionFeatSize.width = optJSONArray.optInt(0);
                            expressionItem.expressionFeatSize.height = optJSONArray.optInt(1);
                        }
                        JSONArray optJSONArray4 = optJSONObject2.optJSONArray(EXPRESSION_ITEM_FILED.EXPRESSION_FEAT.value);
                        if (optJSONArray4 != null) {
                            expressionItem.expressionFeat = new ArrayList();
                            for (i2 = 0; i2 < optJSONArray4.length() / 2; i2++) {
                                expressionItem.expressionFeat.add(new PointF((float) optJSONArray4.optInt(i2 * 2), (float) optJSONArray4.optInt((i2 * 2) + 1)));
                            }
                        }
                        optJSONArray = optJSONObject2.optJSONArray(EXPRESSION_ITEM_FILED.EXPRESSION_ANGLE.value);
                        if (optJSONArray != null && optJSONArray.length() == 3) {
                            expressionItem.expressionAngle = new float[3];
                            expressionItem.expressionAngle[0] = (float) optJSONArray.optDouble(0);
                            expressionItem.expressionAngle[1] = (float) optJSONArray.optDouble(1);
                            expressionItem.expressionAngle[2] = (float) optJSONArray.optDouble(2);
                        }
                        expressionItem.scoreImageID = optJSONObject2.optString(EXPRESSION_ITEM_FILED.SCORE_IMAGE_ID.value);
                        JSONArray optJSONArray5 = optJSONObject2.optJSONArray(EXPRESSION_ITEM_FILED.EXPRESSION_WEIGHT.value);
                        if (optJSONArray5 == null || optJSONArray5.length() != 7) {
                            expressionItem.expressionWeight = ActUtil.WEIGHT;
                        } else {
                            expressionItem.expressionWeight = new double[7];
                            for (i2 = 0; i2 < 7; i2++) {
                                expressionItem.expressionWeight[i2] = optJSONArray5.optDouble(i2);
                            }
                        }
                        faceExpression.expressionList.add(expressionItem);
                    }
                }
            }
            optJSONArray = optJSONObject.optJSONArray(FACE_EXPRESSION_ITEM_FILED.CANVAS_ITEM_LIST.value);
            if (optJSONArray != null) {
                faceExpression.canvasItemList = new ArrayList();
                for (i = 0; i < optJSONArray.length(); i++) {
                    optJSONObject = optJSONArray.optJSONObject(i);
                    if (optJSONObject != null) {
                        CanvasItem canvasItem = new CanvasItem();
                        canvasItem.type = optJSONObject.optInt(CANVAS_ITEM_FILED.TYPE.value);
                        canvasItem.index = optJSONObject.optInt(CANVAS_ITEM_FILED.INDEX.value);
                        canvasItem.startTime = optJSONObject.optInt(CANVAS_ITEM_FILED.START_TIME.value);
                        canvasItem.endTime = optJSONObject.optInt(CANVAS_ITEM_FILED.END_TIME.value);
                        canvasItem.zIndex = optJSONObject.optInt(CANVAS_ITEM_FILED.Z_INDEX.value);
                        JSONArray optJSONArray6 = optJSONObject.optJSONArray(CANVAS_ITEM_FILED.ITEM_RECT.value);
                        if (optJSONArray6 != null && optJSONArray6.length() == 4) {
                            canvasItem.itemRect = new Rect();
                            canvasItem.itemRect.x = optJSONArray6.optInt(0);
                            canvasItem.itemRect.y = optJSONArray6.optInt(1);
                            canvasItem.itemRect.width = optJSONArray6.optInt(2);
                            canvasItem.itemRect.height = optJSONArray6.optInt(3);
                        }
                        canvasItem.itemResizeMode = optJSONObject.optInt(CANVAS_ITEM_FILED.ITEM_RESIZE_MODE.value);
                        faceExpression.canvasItemList.add(canvasItem);
                    }
                }
            }
            videoMaterial.setFaceExpression(faceExpression);
        }
        AppMethodBeat.o(84252);
    }

    private static void parseArParticleListParams(JSONObject jSONObject, VideoMaterial videoMaterial) {
        AppMethodBeat.i(84253);
        JSONArray optJSONArray = jSONObject.optJSONArray(FIELD.AR_PARTICLE_LIST.value);
        if (optJSONArray != null) {
            ArrayList arrayList = new ArrayList();
            for (int i = 0; i < optJSONArray.length(); i++) {
                String optString = optJSONArray.optString(i);
                if (optString != null) {
                    arrayList.add(optString);
                }
            }
            videoMaterial.setArParticleList(arrayList);
        }
        AppMethodBeat.o(84253);
    }

    private static void parseFaceImageLayerParams(JSONObject jSONObject, VideoMaterial videoMaterial) {
        int i = 0;
        AppMethodBeat.i(84254);
        JSONObject optJSONObject = jSONObject.optJSONObject("faceAverage");
        if (optJSONObject != null) {
            ArrayList arrayList;
            int i2;
            FaceImageLayer faceImageLayer = new FaceImageLayer();
            faceImageLayer.width = optJSONObject.optDouble("width");
            faceImageLayer.height = optJSONObject.optDouble("height");
            faceImageLayer.x = optJSONObject.optDouble("x");
            faceImageLayer.y = optJSONObject.optDouble("y");
            faceImageLayer.type = optJSONObject.optInt("type");
            faceImageLayer.imagePath = optJSONObject.optString(SlookAirButtonRecentMediaAdapter.IMAGE_TYPE);
            JSONArray optJSONArray = optJSONObject.optJSONArray("imageFacePoint");
            if (optJSONArray != null) {
                arrayList = new ArrayList();
                for (i2 = 0; i2 < optJSONArray.length(); i2++) {
                    arrayList.add(Double.valueOf(optJSONArray.optDouble(i2)));
                }
                faceImageLayer.imageFacePoint = arrayList;
            }
            optJSONArray = optJSONObject.optJSONArray("imageFaceColor");
            if (optJSONArray != null) {
                arrayList = new ArrayList();
                for (i2 = 0; i2 < optJSONArray.length(); i2++) {
                    arrayList.add(Double.valueOf(optJSONArray.optDouble(i2)));
                }
                faceImageLayer.imageFaceColor = arrayList;
            }
            optJSONArray = optJSONObject.optJSONArray("imageFaceColor2");
            if (optJSONArray != null) {
                arrayList = new ArrayList();
                for (i2 = 0; i2 < optJSONArray.length(); i2++) {
                    arrayList.add(Double.valueOf(optJSONArray.optDouble(i2)));
                }
                faceImageLayer.imageFaceColor2 = arrayList;
            }
            optJSONArray = optJSONObject.optJSONArray("faceColorRange");
            if (optJSONArray != null) {
                arrayList = new ArrayList();
                for (i2 = 0; i2 < optJSONArray.length(); i2++) {
                    arrayList.add(Double.valueOf(optJSONArray.optDouble(i2)));
                }
                faceImageLayer.faceColorRange = arrayList;
            }
            faceImageLayer.blendAlpha = optJSONObject.optDouble("blendAlpha", 0.5d);
            faceImageLayer.distortionAlpha = optJSONObject.optDouble("distortionAlpha", 0.5d);
            JSONArray optJSONArray2 = optJSONObject.optJSONArray("distortionList");
            if (optJSONArray2 != null) {
                ArrayList arrayList2 = new ArrayList();
                for (int i3 = 0; i3 < optJSONArray2.length(); i3++) {
                    Object opt = optJSONArray2.opt(i3);
                    if (opt instanceof JSONObject) {
                        JSONObject jSONObject2 = (JSONObject) opt;
                        DistortionItem distortionItem = new DistortionItem();
                        distortionItem.position = jSONObject2.optInt(DISTORTION_ITEM_FILED.POSITION.value);
                        distortionItem.distortion = jSONObject2.optInt(DISTORTION_ITEM_FILED.DISTORTION.value);
                        distortionItem.direction = jSONObject2.optInt(DISTORTION_ITEM_FILED.DIRECTION.value);
                        distortionItem.radius = (float) jSONObject2.optDouble(DISTORTION_ITEM_FILED.RADIUS.value);
                        distortionItem.strength = (float) jSONObject2.optDouble(DISTORTION_ITEM_FILED.STRENGH.value);
                        distortionItem.x = jSONObject2.optInt(DISTORTION_ITEM_FILED.X.value, 0);
                        distortionItem.y = jSONObject2.optInt(DISTORTION_ITEM_FILED.Y.value, 0);
                        arrayList2.add(distortionItem);
                    }
                }
                faceImageLayer.distortionList = arrayList2;
            }
            faceImageLayer.faceMaskImagePath = optJSONObject.optString("faceMaskImage", null);
            optJSONArray = optJSONObject.optJSONArray("faceMaskFacePoint");
            if (optJSONArray != null) {
                arrayList = new ArrayList();
                for (i2 = 0; i2 < optJSONArray.length(); i2++) {
                    arrayList.add(Double.valueOf(optJSONArray.optDouble(i2)));
                }
                faceImageLayer.faceMaskFacePoint = arrayList;
            }
            JSONArray optJSONArray3 = optJSONObject.optJSONArray("faceTriangle");
            if (optJSONArray3 != null) {
                ArrayList arrayList3 = new ArrayList();
                while (i < optJSONArray3.length()) {
                    arrayList3.add(Integer.valueOf(optJSONArray3.optInt(i)));
                    i++;
                }
                faceImageLayer.faceTriangle = arrayList3;
            }
            faceImageLayer.antiWrinkle = optJSONObject.optDouble("antiWrinkle");
            videoMaterial.setFaceImageLayer(faceImageLayer);
        }
        AppMethodBeat.o(84254);
    }

    private static void parseFaceMeshItemListParams(JSONObject jSONObject, VideoMaterial videoMaterial) {
        AppMethodBeat.i(84255);
        JSONArray optJSONArray = jSONObject.optJSONArray(FIELD.FACE_MESH_ITEM_LIST.value);
        if (optJSONArray != null) {
            ArrayList arrayList = new ArrayList();
            for (int i = 0; i < optJSONArray.length(); i++) {
                JSONObject optJSONObject = optJSONArray.optJSONObject(i);
                if (optJSONObject != null) {
                    FaceMeshItem faceMeshItem = new FaceMeshItem();
                    faceMeshItem.id = optJSONObject.optString(FACE_MESH_ITEM_LIST.ID.value);
                    faceMeshItem.personID = optJSONObject.optInt(FACE_MESH_ITEM_LIST.PERSON_ID.value, -1);
                    faceMeshItem.frames = optJSONObject.optInt(FACE_MESH_ITEM_LIST.FRAMES.value);
                    JSONObject optJSONObject2 = optJSONObject.optJSONObject(FIELD.CHARM_RANGE.value);
                    if (optJSONObject2 != null) {
                        faceMeshItem.charmRange = new CharmRange();
                        faceMeshItem.charmRange.min = optJSONObject2.optDouble(CHARM_RANGE_FIELD.MIN.value);
                        faceMeshItem.charmRange.max = optJSONObject2.optDouble(CHARM_RANGE_FIELD.MAX.value);
                    }
                    faceMeshItem.frameType = optJSONObject.optInt("frameType");
                    faceMeshItem.frameDuration = optJSONObject.optDouble("frameDuration");
                    faceMeshItem.triggerType = Math.max(optJSONObject.optInt("triggerType"), 2);
                    if (VideoMaterialUtil.isActionTriggerType(faceMeshItem.triggerType)) {
                        videoMaterial.setTriggerType(faceMeshItem.triggerType);
                    }
                    faceMeshItem.alwaysTriggered = optJSONObject.optInt("alwaysTriggered") == 1;
                    faceMeshItem.featureStatType = optJSONObject.optInt("featureStatType");
                    optJSONObject2 = optJSONObject.optJSONObject("featureStatValueRange");
                    if (optJSONObject2 != null) {
                        faceMeshItem.featureStatValueRange = new ValueRange();
                        faceMeshItem.featureStatValueRange.min = optJSONObject2.optDouble("min");
                        faceMeshItem.featureStatValueRange.max = optJSONObject2.optDouble("max");
                    }
                    arrayList.add(faceMeshItem);
                }
            }
            videoMaterial.setFaceMeshItemList(arrayList);
        }
        AppMethodBeat.o(84255);
    }

    private static List<FaceItem> parseFaceOffItemListParams(JSONArray jSONArray) {
        AppMethodBeat.i(84256);
        ArrayList<FaceItem> arrayList = new ArrayList();
        if (jSONArray != null) {
            int i = 0;
            int i2 = -1;
            for (int i3 = 0; i3 < jSONArray.length(); i3++) {
                JSONObject optJSONObject = jSONArray.optJSONObject(i3);
                if (optJSONObject != null) {
                    FaceItem faceItem = new FaceItem();
                    faceItem.id = optJSONObject.optString(FACE_OFF_ITEM_FIELD.ID.value);
                    faceItem.faceExchangeImage = optJSONObject.optString(FACE_OFF_ITEM_FIELD.FACE_EXCHANGE_IMAGE.value);
                    faceItem.irisImage = optJSONObject.optString(FACE_OFF_ITEM_FIELD.IRIS_IMAGE.value);
                    faceItem.blendAlpha = (float) optJSONObject.optDouble(FACE_OFF_ITEM_FIELD.BLEND_ALPHA.value);
                    faceItem.featureType = FaceOffUtil.getFeatureType(optJSONObject.optInt(FACE_OFF_ITEM_FIELD.FEATURE_TYPE.value));
                    faceItem.grayScale = optJSONObject.optInt(FACE_OFF_ITEM_FIELD.GRAY_SCALE.value);
                    faceItem.blendMode = optJSONObject.optInt(FACE_OFF_ITEM_FIELD.BLEND_MODE.value);
                    faceItem.personID = optJSONObject.optInt(FACE_OFF_ITEM_FIELD.PERSON_ID.value, -1);
                    faceItem.randomGroupNum = optJSONObject.optInt(FACE_OFF_ITEM_FIELD.RANDOM_GROUP_NUM.value);
                    JSONArray optJSONArray = optJSONObject.optJSONArray(FACE_OFF_ITEM_FIELD.FACE_POINTS.value);
                    if (optJSONArray != null) {
                        ArrayList arrayList2 = new ArrayList();
                        for (int i4 = 0; i4 < optJSONArray.length(); i4++) {
                            arrayList2.add(Float.valueOf((float) optJSONArray.optDouble(i4)));
                        }
                        faceItem.facePoints = arrayList2;
                    }
                    JSONObject optJSONObject2 = optJSONObject.optJSONObject(FIELD.CHARM_RANGE.value);
                    if (optJSONObject2 != null) {
                        faceItem.charmRange = new CharmRange();
                        faceItem.charmRange.min = optJSONObject2.optDouble(CHARM_RANGE_FIELD.MIN.value);
                        faceItem.charmRange.max = optJSONObject2.optDouble(CHARM_RANGE_FIELD.MAX.value);
                    }
                    faceItem.frameType = optJSONObject.optInt(FACE_OFF_ITEM_FIELD.FRAME_TYPE.value);
                    faceItem.frames = optJSONObject.optInt(FACE_OFF_ITEM_FIELD.FRAMES.value);
                    faceItem.frameDuration = optJSONObject.optInt(FACE_OFF_ITEM_FIELD.FRAME_DURATION.value);
                    faceItem.width = optJSONObject.optInt("width");
                    faceItem.height = optJSONObject.optInt("height");
                    faceItem.triggerType = optJSONObject.optInt(FACE_OFF_ITEM_FIELD.TRIGGER_TYPE.value, PTExpression.FACE_DETECT.value);
                    faceItem.alwaysTriggered = optJSONObject.optInt("alwaysTriggered", 1) == 1;
                    faceItem.featureStatType = optJSONObject.optInt("featureStatType");
                    optJSONObject2 = optJSONObject.optJSONObject("featureStatValueRange");
                    if (optJSONObject2 != null) {
                        faceItem.featureStatValueRange = new ValueRange();
                        faceItem.featureStatValueRange.min = optJSONObject2.optDouble("min");
                        faceItem.featureStatValueRange.max = optJSONObject2.optDouble("max");
                    }
                    faceItem.activateTriggerType = optJSONObject.optInt("activateTriggerType", 0);
                    faceItem.activateTriggerCount = optJSONObject.optInt("activateTriggerCount", 0);
                    faceItem.activateTriggerTotalCount = optJSONObject.optInt("activateTriggerTotalCount", 0);
                    faceItem.playCount = optJSONObject.optInt("playCount");
                    faceItem.preTriggerType = faceItem.triggerType;
                    faceItem.countTriggerType = faceItem.triggerType;
                    if (i2 == -1) {
                        i2 = faceItem.triggerType;
                    } else {
                        i = Math.max(i, faceItem.triggerType);
                    }
                    arrayList.add(faceItem);
                }
            }
            for (FaceItem faceItem2 : arrayList) {
                faceItem2.preTriggerType = i2;
                faceItem2.countTriggerType = i;
            }
        }
        AppMethodBeat.o(84256);
        return arrayList;
    }

    private static void parseFilterEffectParams(JSONObject jSONObject, VideoMaterial videoMaterial) {
        AppMethodBeat.i(84257);
        JSONObject optJSONObject = jSONObject.optJSONObject(FIELD.FILTER_EFFECT.value);
        if (optJSONObject != null) {
            VideoFilterEffect videoFilterEffect = new VideoFilterEffect();
            videoFilterEffect.type = optJSONObject.optInt(FILTER_EFFECT_FIELD.TYPE.value);
            videoFilterEffect.order = optJSONObject.optInt(FILTER_EFFECT_FIELD.ORDER.value);
            videoMaterial.setVideoFilterEffect(videoFilterEffect);
        }
        AppMethodBeat.o(84257);
    }

    private static void parseFacePointsListParams(JSONObject jSONObject, VideoMaterial videoMaterial) {
        AppMethodBeat.i(84258);
        JSONArray optJSONArray = jSONObject.optJSONArray(FIELD.FACE_POINTS_LIST.value);
        ArrayList arrayList = new ArrayList();
        if (optJSONArray != null) {
            for (int i = 0; i < optJSONArray.length(); i++) {
                arrayList.add(Float.valueOf((float) optJSONArray.optDouble(i)));
            }
            videoMaterial.setFacePoints(arrayList);
        }
        AppMethodBeat.o(84258);
    }

    private static void parseFaceMoveTrianglesParams(JSONObject jSONObject, VideoMaterial videoMaterial) {
        AppMethodBeat.i(84259);
        try {
            JSONArray optJSONArray = jSONObject.optJSONArray(FIELD.FACE_MOVE_TRIANGLE.value);
            if (optJSONArray != null) {
                int[] iArr = new int[optJSONArray.length()];
                for (int i = 0; i < optJSONArray.length(); i++) {
                    iArr[i] = optJSONArray.getInt(i);
                }
                videoMaterial.setFaceMoveTriangles(iArr);
            }
            AppMethodBeat.o(84259);
        } catch (JSONException e) {
            LogUtils.e(TAG, e);
            AppMethodBeat.o(84259);
        }
    }

    private static void parseFaceMoveItemListParams(JSONObject jSONObject, VideoMaterial videoMaterial) {
        AppMethodBeat.i(84260);
        try {
            ArrayList arrayList = new ArrayList();
            JSONArray optJSONArray = jSONObject.optJSONArray(FIELD.FACE_MOVE_LIST.value);
            if (optJSONArray != null) {
                for (int i = 0; i < optJSONArray.length(); i++) {
                    FaceMoveItem faceMoveItem = new FaceMoveItem();
                    JSONObject jSONObject2 = optJSONArray.getJSONObject(i);
                    faceMoveItem.position = jSONObject2.optInt(FACE_MOVE_ITEM_FILED.POSITION.value);
                    faceMoveItem.pos1 = jSONObject2.optInt(FACE_MOVE_ITEM_FILED.POS1.value);
                    faceMoveItem.pos2 = jSONObject2.optInt(FACE_MOVE_ITEM_FILED.POS2.value);
                    faceMoveItem.ratio1 = (float) jSONObject2.optDouble(FACE_MOVE_ITEM_FILED.RATIO1.value);
                    faceMoveItem.ratio2 = (float) jSONObject2.optDouble(FACE_MOVE_ITEM_FILED.RATIO2.value);
                    faceMoveItem.dx = jSONObject2.optInt(FACE_MOVE_ITEM_FILED.X.value);
                    faceMoveItem.dy = jSONObject2.optInt(FACE_MOVE_ITEM_FILED.Y.value);
                    arrayList.add(faceMoveItem);
                }
                videoMaterial.setFaceMoveItemList(arrayList);
            }
            AppMethodBeat.o(84260);
        } catch (JSONException e) {
            LogUtils.e(TAG, e);
            AppMethodBeat.o(84260);
        }
    }

    private static List<DistortionItem> parseDistortionItemListParams(JSONArray jSONArray) {
        AppMethodBeat.i(84261);
        if (jSONArray != null) {
            try {
                ArrayList arrayList = new ArrayList();
                for (int i = 0; i < jSONArray.length(); i++) {
                    DistortionItem distortionItem = new DistortionItem();
                    JSONObject jSONObject = jSONArray.getJSONObject(i);
                    distortionItem.position = jSONObject.optInt(DISTORTION_ITEM_FILED.POSITION.value);
                    distortionItem.distortion = jSONObject.optInt(DISTORTION_ITEM_FILED.DISTORTION.value);
                    distortionItem.direction = jSONObject.optInt(DISTORTION_ITEM_FILED.DIRECTION.value);
                    distortionItem.radius = (float) jSONObject.optDouble(DISTORTION_ITEM_FILED.RADIUS.value);
                    distortionItem.strength = (float) jSONObject.optDouble(DISTORTION_ITEM_FILED.STRENGH.value);
                    distortionItem.x = jSONObject.optInt(DISTORTION_ITEM_FILED.X.value);
                    distortionItem.y = jSONObject.optInt(DISTORTION_ITEM_FILED.Y.value);
                    arrayList.add(distortionItem);
                }
                AppMethodBeat.o(84261);
                return arrayList;
            } catch (JSONException e) {
                LogUtils.e(TAG, e);
            }
        }
        AppMethodBeat.o(84261);
        return null;
    }

    private static void parseHeadCropItemListParams(JSONObject jSONObject, VideoMaterial videoMaterial) {
        AppMethodBeat.i(84262);
        try {
            ArrayList<StickerItem> arrayList = new ArrayList();
            JSONArray optJSONArray = jSONObject.optJSONArray(FIELD.FACE_HEAD_CROP_ITEM_LIST.value);
            if (optJSONArray != null) {
                int i = -1;
                int i2 = 0;
                int i3 = 0;
                while (i3 < optJSONArray.length()) {
                    int i4;
                    JSONObject jSONObject2 = optJSONArray.getJSONObject(i3);
                    StickerItem stickerItem = new StickerItem();
                    stickerItem.id = jSONObject2.optString("id");
                    stickerItem.subFolder = stickerItem.id;
                    stickerItem.type = jSONObject2.optInt("type");
                    stickerItem.triggerType = jSONObject2.optInt("triggerType");
                    stickerItem.alwaysTriggered = jSONObject2.optInt("alwaysTriggered") == 1;
                    stickerItem.featureStatType = jSONObject2.optInt("featureStatType");
                    stickerItem.playCount = jSONObject2.optInt("playCount");
                    if (VideoMaterialUtil.isActionTriggerType(stickerItem.triggerType)) {
                        videoMaterial.setTriggerType(stickerItem.triggerType);
                    }
                    stickerItem.frameType = jSONObject2.optInt("frameType");
                    stickerItem.frameDuration = jSONObject2.optDouble("frameDuration");
                    stickerItem.frames = jSONObject2.optInt("frames");
                    stickerItem.width = jSONObject2.optInt("width");
                    stickerItem.height = jSONObject2.optInt("height");
                    JSONArray optJSONArray2 = jSONObject2.optJSONArray("position");
                    if (optJSONArray2 != null) {
                        stickerItem.position = new double[optJSONArray2.length()];
                        for (i4 = 0; i4 < optJSONArray2.length(); i4++) {
                            stickerItem.position[i4] = optJSONArray2.getDouble(i4);
                        }
                    } else {
                        stickerItem.position = new double[]{0.0d, 0.0d};
                    }
                    optJSONArray2 = jSONObject2.optJSONArray("scalePivots");
                    if (optJSONArray2 != null) {
                        stickerItem.scalePivots = new int[optJSONArray2.length()];
                        for (i4 = 0; i4 < optJSONArray2.length(); i4++) {
                            stickerItem.scalePivots[i4] = optJSONArray2.getInt(i4);
                        }
                    }
                    stickerItem.scaleFactor = jSONObject2.optInt("scaleFactor");
                    stickerItem.blendMode = jSONObject2.optInt("blendMode", -1);
                    if (stickerItem.blendMode == -1) {
                        stickerItem.blendMode = videoMaterial.getBlendMode();
                    }
                    stickerItem.support3D = jSONObject2.optInt("enable3D", 1);
                    stickerItem.personID = jSONObject2.optInt("personID", -1);
                    stickerItem.activateTriggerCount = jSONObject2.optInt("activateTriggerCount", 0);
                    stickerItem.activateTriggerTotalCount = jSONObject2.optInt("activateTriggerTotalCount", 0);
                    arrayList.add(stickerItem);
                    if (i == -1) {
                        i = stickerItem.triggerType;
                        i4 = i2;
                    } else {
                        i4 = Math.max(i2, stickerItem.triggerType);
                    }
                    i3++;
                    i2 = i4;
                }
                for (StickerItem stickerItem2 : arrayList) {
                    stickerItem2.preTriggerType = i;
                    stickerItem2.countTriggerType = i2;
                }
                videoMaterial.setHeadCropItemList(arrayList);
            }
            AppMethodBeat.o(84262);
        } catch (JSONException e) {
            LogUtils.e(TAG, e);
            AppMethodBeat.o(84262);
        }
    }

    /* JADX WARNING: Missing block: B:73:0x0243, code skipped:
            if (r18.contains("/files/olm/camera/video_") != false) goto L_0x0245;
     */
    private static void parse3DItemListParams(java.lang.String r18, org.json.JSONObject r19, com.tencent.ttpic.model.VideoMaterial r20, boolean[] r21) {
        /*
        r2 = 84263; // 0x14927 float:1.18078E-40 double:4.16315E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r2);
        r7 = new java.util.ArrayList;	 Catch:{ JSONException -> 0x01fd }
        r7.<init>();	 Catch:{ JSONException -> 0x01fd }
        r2 = "itemList3D";
        r0 = r19;
        r6 = r0.optJSONArray(r2);	 Catch:{ JSONException -> 0x01fd }
        if (r6 == 0) goto L_0x07d9;
    L_0x0016:
        r3 = 0;
        r2 = 0;
        r5 = r2;
    L_0x0019:
        r2 = r6.length();	 Catch:{ JSONException -> 0x01fd }
        if (r5 >= r2) goto L_0x0669;
    L_0x001f:
        r3 = r6.getJSONObject(r5);	 Catch:{ JSONException -> 0x01fd }
        r8 = new com.tencent.ttpic.gameplaysdk.model.StickerItem3D;	 Catch:{ JSONException -> 0x01fd }
        r8.<init>();	 Catch:{ JSONException -> 0x01fd }
        r2 = "scale";
        r4 = r3.optJSONArray(r2);	 Catch:{ JSONException -> 0x01fd }
        if (r4 == 0) goto L_0x004c;
    L_0x0031:
        r2 = r4.length();	 Catch:{ JSONException -> 0x01fd }
        r2 = new float[r2];	 Catch:{ JSONException -> 0x01fd }
        r8.nodeScale = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = 0;
    L_0x003a:
        r9 = r4.length();	 Catch:{ JSONException -> 0x01fd }
        if (r2 >= r9) goto L_0x004c;
    L_0x0040:
        r9 = r8.nodeScale;	 Catch:{ JSONException -> 0x01fd }
        r10 = r4.getDouble(r2);	 Catch:{ JSONException -> 0x01fd }
        r10 = (float) r10;	 Catch:{ JSONException -> 0x01fd }
        r9[r2] = r10;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2 + 1;
        goto L_0x003a;
    L_0x004c:
        r2 = "position";
        r4 = r3.optJSONArray(r2);	 Catch:{ JSONException -> 0x01fd }
        if (r4 == 0) goto L_0x0070;
    L_0x0055:
        r2 = r4.length();	 Catch:{ JSONException -> 0x01fd }
        r2 = new float[r2];	 Catch:{ JSONException -> 0x01fd }
        r8.nodePosition = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = 0;
    L_0x005e:
        r9 = r4.length();	 Catch:{ JSONException -> 0x01fd }
        if (r2 >= r9) goto L_0x0070;
    L_0x0064:
        r9 = r8.nodePosition;	 Catch:{ JSONException -> 0x01fd }
        r10 = r4.getDouble(r2);	 Catch:{ JSONException -> 0x01fd }
        r10 = (float) r10;	 Catch:{ JSONException -> 0x01fd }
        r9[r2] = r10;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2 + 1;
        goto L_0x005e;
    L_0x0070:
        r2 = "eulerAngles";
        r4 = r3.optJSONArray(r2);	 Catch:{ JSONException -> 0x01fd }
        if (r4 == 0) goto L_0x0094;
    L_0x0079:
        r2 = r4.length();	 Catch:{ JSONException -> 0x01fd }
        r2 = new float[r2];	 Catch:{ JSONException -> 0x01fd }
        r8.nodeEulerAngles = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = 0;
    L_0x0082:
        r9 = r4.length();	 Catch:{ JSONException -> 0x01fd }
        if (r2 >= r9) goto L_0x0094;
    L_0x0088:
        r9 = r8.nodeEulerAngles;	 Catch:{ JSONException -> 0x01fd }
        r10 = r4.getDouble(r2);	 Catch:{ JSONException -> 0x01fd }
        r10 = (float) r10;	 Catch:{ JSONException -> 0x01fd }
        r9[r2] = r10;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2 + 1;
        goto L_0x0082;
    L_0x0094:
        r2 = "id";
        r2 = r3.optString(r2);	 Catch:{ JSONException -> 0x01fd }
        r8.id = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = "frames";
        r2 = r3.optInt(r2);	 Catch:{ JSONException -> 0x01fd }
        r8.frames = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = "frameDuration";
        r10 = r3.optDouble(r2);	 Catch:{ JSONException -> 0x01fd }
        r8.frameDuration = r10;	 Catch:{ JSONException -> 0x01fd }
        r2 = r8.frames;	 Catch:{ JSONException -> 0x01fd }
        if (r2 <= 0) goto L_0x00c7;
    L_0x00b3:
        r2 = new com.tencent.ttpic.gameplaysdk.model.NodeParameter;	 Catch:{ JSONException -> 0x01fd }
        r2.<init>();	 Catch:{ JSONException -> 0x01fd }
        r4 = r8.id;	 Catch:{ JSONException -> 0x01fd }
        r2.nodeId = r4;	 Catch:{ JSONException -> 0x01fd }
        r4 = r8.frames;	 Catch:{ JSONException -> 0x01fd }
        r2.frames = r4;	 Catch:{ JSONException -> 0x01fd }
        r10 = r8.frameDuration;	 Catch:{ JSONException -> 0x01fd }
        r4 = (int) r10;	 Catch:{ JSONException -> 0x01fd }
        r2.frameDuration = r4;	 Catch:{ JSONException -> 0x01fd }
        r8.nodeParameter = r2;	 Catch:{ JSONException -> 0x01fd }
    L_0x00c7:
        r2 = r8.id;	 Catch:{ JSONException -> 0x01fd }
        r4 = ":";
        r2 = r2.contains(r4);	 Catch:{ JSONException -> 0x01fd }
        if (r2 == 0) goto L_0x01f7;
    L_0x00d2:
        r2 = r8.id;	 Catch:{ JSONException -> 0x01fd }
        r4 = ":";
        r2 = r2.split(r4);	 Catch:{ JSONException -> 0x01fd }
        r4 = r2.length;	 Catch:{ JSONException -> 0x01fd }
        r9 = 2;
        if (r4 != r9) goto L_0x00e4;
    L_0x00df:
        r4 = 1;
        r2 = r2[r4];	 Catch:{ JSONException -> 0x01fd }
        r8.subFolder = r2;	 Catch:{ JSONException -> 0x01fd }
    L_0x00e4:
        r2 = "name";
        r2 = r3.optString(r2);	 Catch:{ JSONException -> 0x01fd }
        r8.name = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = "type";
        r2 = r3.optInt(r2);	 Catch:{ JSONException -> 0x01fd }
        r8.type = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = "personID";
        r4 = -1;
        r2 = r3.optInt(r2, r4);	 Catch:{ JSONException -> 0x01fd }
        r8.personID = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = "featureStatType";
        r2 = r3.optInt(r2);	 Catch:{ JSONException -> 0x01fd }
        r8.featureStatType = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = "frameType";
        r2 = r3.optInt(r2);	 Catch:{ JSONException -> 0x01fd }
        r8.frameType = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = "blendMode";
        r4 = -1;
        r2 = r3.optInt(r2, r4);	 Catch:{ JSONException -> 0x01fd }
        r8.blendMode = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = "zIndex";
        r4 = 0;
        r2 = r3.optInt(r2, r4);	 Catch:{ JSONException -> 0x01fd }
        r8.zIndex = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = "audioLoopCount";
        r4 = -1;
        r2 = r3.optInt(r2, r4);	 Catch:{ JSONException -> 0x01fd }
        r8.audioLoopCount = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.FIELD.CHARM_RANGE;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r2 = r3.optJSONObject(r2);	 Catch:{ JSONException -> 0x01fd }
        if (r2 == 0) goto L_0x0159;
    L_0x013a:
        r4 = new com.tencent.ttpic.model.CharmRange;	 Catch:{ JSONException -> 0x01fd }
        r4.<init>();	 Catch:{ JSONException -> 0x01fd }
        r8.charmRange = r4;	 Catch:{ JSONException -> 0x01fd }
        r4 = r8.charmRange;	 Catch:{ JSONException -> 0x01fd }
        r9 = com.tencent.ttpic.util.VideoMaterialUtil.CHARM_RANGE_FIELD.MIN;	 Catch:{ JSONException -> 0x01fd }
        r9 = r9.value;	 Catch:{ JSONException -> 0x01fd }
        r10 = r2.optDouble(r9);	 Catch:{ JSONException -> 0x01fd }
        r4.min = r10;	 Catch:{ JSONException -> 0x01fd }
        r4 = r8.charmRange;	 Catch:{ JSONException -> 0x01fd }
        r9 = com.tencent.ttpic.util.VideoMaterialUtil.CHARM_RANGE_FIELD.MAX;	 Catch:{ JSONException -> 0x01fd }
        r9 = r9.value;	 Catch:{ JSONException -> 0x01fd }
        r10 = r2.optDouble(r9);	 Catch:{ JSONException -> 0x01fd }
        r4.max = r10;	 Catch:{ JSONException -> 0x01fd }
    L_0x0159:
        r2 = r8.blendMode;	 Catch:{ JSONException -> 0x01fd }
        r4 = -1;
        if (r2 != r4) goto L_0x0164;
    L_0x015e:
        r2 = r20.getBlendMode();	 Catch:{ JSONException -> 0x01fd }
        r8.blendMode = r2;	 Catch:{ JSONException -> 0x01fd }
    L_0x0164:
        r2 = "triggerType";
        r2 = r3.optInt(r2);	 Catch:{ JSONException -> 0x01fd }
        r8.triggerType = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = r8.triggerType;	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.isActionTriggerType(r2);	 Catch:{ JSONException -> 0x01fd }
        if (r2 == 0) goto L_0x017c;
    L_0x0175:
        r2 = r8.triggerType;	 Catch:{ JSONException -> 0x01fd }
        r0 = r20;
        r0.setTriggerType(r2);	 Catch:{ JSONException -> 0x01fd }
    L_0x017c:
        r2 = "alwaysTriggered";
        r2 = r3.optInt(r2);	 Catch:{ JSONException -> 0x01fd }
        r4 = 1;
        if (r2 != r4) goto L_0x020a;
    L_0x0186:
        r2 = 1;
    L_0x0187:
        r8.alwaysTriggered = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = "playCount";
        r2 = r3.optInt(r2);	 Catch:{ JSONException -> 0x01fd }
        r8.playCount = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = "stickerType";
        r4 = 0;
        r2 = r3.optInt(r2, r4);	 Catch:{ JSONException -> 0x01fd }
        r8.stickerType = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = r8.stickerType;	 Catch:{ JSONException -> 0x01fd }
        r4 = com.tencent.ttpic.util.VideoFilterFactory.STICKER_TYPE.VIDEO_UP_DOWN;	 Catch:{ JSONException -> 0x01fd }
        r4 = r4.type;	 Catch:{ JSONException -> 0x01fd }
        if (r2 == r4) goto L_0x01ac;
    L_0x01a4:
        r2 = r8.stickerType;	 Catch:{ JSONException -> 0x01fd }
        r4 = com.tencent.ttpic.util.VideoFilterFactory.STICKER_TYPE.VIDEO_LEFT_RIGHT;	 Catch:{ JSONException -> 0x01fd }
        r4 = r4.type;	 Catch:{ JSONException -> 0x01fd }
        if (r2 != r4) goto L_0x01b8;
    L_0x01ac:
        r2 = r8.stickerType;	 Catch:{ JSONException -> 0x01fd }
        r4 = com.tencent.ttpic.util.VideoFilterFactory.STICKER_TYPE.VIDEO_UP_DOWN;	 Catch:{ JSONException -> 0x01fd }
        r4 = r4.type;	 Catch:{ JSONException -> 0x01fd }
        if (r2 != r4) goto L_0x020d;
    L_0x01b4:
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.ITEM_SOURCE_TYPE.VIDEO_UP_DOWN;	 Catch:{ JSONException -> 0x01fd }
    L_0x01b6:
        r8.sourceType = r2;	 Catch:{ JSONException -> 0x01fd }
    L_0x01b8:
        r2 = "width";
        r2 = r3.optInt(r2);	 Catch:{ JSONException -> 0x01fd }
        r8.width = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = "height";
        r2 = r3.optInt(r2);	 Catch:{ JSONException -> 0x01fd }
        r8.height = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = "enable3D";
        r4 = 1;
        r2 = r3.optInt(r2, r4);	 Catch:{ JSONException -> 0x01fd }
        r8.support3D = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = "position";
        r4 = r3.optJSONArray(r2);	 Catch:{ JSONException -> 0x01fd }
        if (r4 == 0) goto L_0x0210;
    L_0x01dd:
        r2 = r4.length();	 Catch:{ JSONException -> 0x01fd }
        r2 = new double[r2];	 Catch:{ JSONException -> 0x01fd }
        r8.position = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = 0;
    L_0x01e6:
        r9 = r4.length();	 Catch:{ JSONException -> 0x01fd }
        if (r2 >= r9) goto L_0x0218;
    L_0x01ec:
        r9 = r8.position;	 Catch:{ JSONException -> 0x01fd }
        r10 = r4.getDouble(r2);	 Catch:{ JSONException -> 0x01fd }
        r9[r2] = r10;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2 + 1;
        goto L_0x01e6;
    L_0x01f7:
        r2 = r8.id;	 Catch:{ JSONException -> 0x01fd }
        r8.subFolder = r2;	 Catch:{ JSONException -> 0x01fd }
        goto L_0x00e4;
    L_0x01fd:
        r2 = move-exception;
        r3 = TAG;
        com.tencent.ttpic.baseutils.LogUtils.e(r3, r2);
        r2 = 84263; // 0x14927 float:1.18078E-40 double:4.16315E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
    L_0x0209:
        return;
    L_0x020a:
        r2 = 0;
        goto L_0x0187;
    L_0x020d:
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.ITEM_SOURCE_TYPE.VIDEO_LEFT_RIGHT;	 Catch:{ JSONException -> 0x01fd }
        goto L_0x01b6;
    L_0x0210:
        r2 = 2;
        r2 = new double[r2];	 Catch:{ JSONException -> 0x01fd }
        r2 = {0, 0};	 Catch:{ JSONException -> 0x01fd }
        r8.position = r2;	 Catch:{ JSONException -> 0x01fd }
    L_0x0218:
        r2 = "audio";
        r2 = r3.optString(r2);	 Catch:{ JSONException -> 0x01fd }
        r8.audio = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = r8.audio;	 Catch:{ JSONException -> 0x01fd }
        r2 = android.text.TextUtils.isEmpty(r2);	 Catch:{ JSONException -> 0x01fd }
        if (r2 != 0) goto L_0x0249;
    L_0x0229:
        r2 = android.text.TextUtils.isEmpty(r18);	 Catch:{ JSONException -> 0x01fd }
        if (r2 != 0) goto L_0x0249;
    L_0x022f:
        r2 = "assets://camera/camera_video/video_";
        r0 = r18;
        r2 = r0.startsWith(r2);	 Catch:{ JSONException -> 0x01fd }
        if (r2 != 0) goto L_0x0245;
    L_0x023a:
        r2 = "/files/olm/camera/video_";
        r0 = r18;
        r2 = r0.contains(r2);	 Catch:{ JSONException -> 0x01fd }
        if (r2 == 0) goto L_0x0249;
    L_0x0245:
        r2 = 0;
        r4 = 1;
        r21[r2] = r4;	 Catch:{ JSONException -> 0x01fd }
    L_0x0249:
        r2 = "anchorPoint";
        r4 = r3.optJSONArray(r2);	 Catch:{ JSONException -> 0x01fd }
        if (r4 == 0) goto L_0x026c;
    L_0x0252:
        r2 = r4.length();	 Catch:{ JSONException -> 0x01fd }
        r2 = new int[r2];	 Catch:{ JSONException -> 0x01fd }
        r8.anchorPoint = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = 0;
    L_0x025b:
        r9 = r4.length();	 Catch:{ JSONException -> 0x01fd }
        if (r2 >= r9) goto L_0x026c;
    L_0x0261:
        r9 = r8.anchorPoint;	 Catch:{ JSONException -> 0x01fd }
        r10 = r4.getInt(r2);	 Catch:{ JSONException -> 0x01fd }
        r9[r2] = r10;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2 + 1;
        goto L_0x025b;
    L_0x026c:
        r2 = "alignFacePoints";
        r4 = r3.optJSONArray(r2);	 Catch:{ JSONException -> 0x01fd }
        if (r4 == 0) goto L_0x028f;
    L_0x0275:
        r2 = r4.length();	 Catch:{ JSONException -> 0x01fd }
        r2 = new int[r2];	 Catch:{ JSONException -> 0x01fd }
        r8.alignFacePoints = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = 0;
    L_0x027e:
        r9 = r4.length();	 Catch:{ JSONException -> 0x01fd }
        if (r2 >= r9) goto L_0x028f;
    L_0x0284:
        r9 = r8.alignFacePoints;	 Catch:{ JSONException -> 0x01fd }
        r10 = r4.getInt(r2);	 Catch:{ JSONException -> 0x01fd }
        r9[r2] = r10;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2 + 1;
        goto L_0x027e;
    L_0x028f:
        r2 = "scalePivots";
        r4 = r3.optJSONArray(r2);	 Catch:{ JSONException -> 0x01fd }
        if (r4 == 0) goto L_0x02b2;
    L_0x0298:
        r2 = r4.length();	 Catch:{ JSONException -> 0x01fd }
        r2 = new int[r2];	 Catch:{ JSONException -> 0x01fd }
        r8.scalePivots = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = 0;
    L_0x02a1:
        r9 = r4.length();	 Catch:{ JSONException -> 0x01fd }
        if (r2 >= r9) goto L_0x02b2;
    L_0x02a7:
        r9 = r8.scalePivots;	 Catch:{ JSONException -> 0x01fd }
        r10 = r4.getInt(r2);	 Catch:{ JSONException -> 0x01fd }
        r9[r2] = r10;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2 + 1;
        goto L_0x02a1;
    L_0x02b2:
        r2 = "scaleFactor";
        r2 = r3.optInt(r2);	 Catch:{ JSONException -> 0x01fd }
        r8.scaleFactor = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = "markMode";
        r2 = r3.optInt(r2);	 Catch:{ JSONException -> 0x01fd }
        r8.markMode = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = "activateTriggerType";
        r4 = 0;
        r2 = r3.optInt(r2, r4);	 Catch:{ JSONException -> 0x01fd }
        r8.activateTriggerType = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = "activateTriggerCount";
        r4 = 0;
        r2 = r3.optInt(r2, r4);	 Catch:{ JSONException -> 0x01fd }
        r8.activateTriggerCount = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = "activateTriggerTotalCount";
        r4 = 0;
        r2 = r3.optInt(r2, r4);	 Catch:{ JSONException -> 0x01fd }
        r8.activateTriggerTotalCount = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = "ageRange";
        r2 = r3.optJSONObject(r2);	 Catch:{ JSONException -> 0x01fd }
        if (r2 == 0) goto L_0x030a;
    L_0x02eb:
        r4 = new com.tencent.ttpic.model.AgeRange;	 Catch:{ JSONException -> 0x01fd }
        r4.<init>();	 Catch:{ JSONException -> 0x01fd }
        r8.ageRange = r4;	 Catch:{ JSONException -> 0x01fd }
        r4 = r8.ageRange;	 Catch:{ JSONException -> 0x01fd }
        r9 = "min";
        r10 = r2.optDouble(r9);	 Catch:{ JSONException -> 0x01fd }
        r9 = (float) r10;	 Catch:{ JSONException -> 0x01fd }
        r4.min = r9;	 Catch:{ JSONException -> 0x01fd }
        r4 = r8.ageRange;	 Catch:{ JSONException -> 0x01fd }
        r9 = "max";
        r10 = r2.optDouble(r9);	 Catch:{ JSONException -> 0x01fd }
        r2 = (float) r10;	 Catch:{ JSONException -> 0x01fd }
        r4.max = r2;	 Catch:{ JSONException -> 0x01fd }
    L_0x030a:
        r2 = "genderRange";
        r2 = r3.optJSONObject(r2);	 Catch:{ JSONException -> 0x01fd }
        if (r2 == 0) goto L_0x0332;
    L_0x0313:
        r4 = new com.tencent.ttpic.model.GenderRange;	 Catch:{ JSONException -> 0x01fd }
        r4.<init>();	 Catch:{ JSONException -> 0x01fd }
        r8.genderRange = r4;	 Catch:{ JSONException -> 0x01fd }
        r4 = r8.genderRange;	 Catch:{ JSONException -> 0x01fd }
        r9 = "min";
        r10 = r2.optDouble(r9);	 Catch:{ JSONException -> 0x01fd }
        r9 = (float) r10;	 Catch:{ JSONException -> 0x01fd }
        r4.min = r9;	 Catch:{ JSONException -> 0x01fd }
        r4 = r8.genderRange;	 Catch:{ JSONException -> 0x01fd }
        r9 = "max";
        r10 = r2.optDouble(r9);	 Catch:{ JSONException -> 0x01fd }
        r2 = (float) r10;	 Catch:{ JSONException -> 0x01fd }
        r4.max = r2;	 Catch:{ JSONException -> 0x01fd }
    L_0x0332:
        r2 = "popularRange";
        r2 = r3.optJSONObject(r2);	 Catch:{ JSONException -> 0x01fd }
        if (r2 == 0) goto L_0x035a;
    L_0x033b:
        r4 = new com.tencent.ttpic.model.PopularRange;	 Catch:{ JSONException -> 0x01fd }
        r4.<init>();	 Catch:{ JSONException -> 0x01fd }
        r8.popularRange = r4;	 Catch:{ JSONException -> 0x01fd }
        r4 = r8.popularRange;	 Catch:{ JSONException -> 0x01fd }
        r9 = "min";
        r10 = r2.optDouble(r9);	 Catch:{ JSONException -> 0x01fd }
        r9 = (float) r10;	 Catch:{ JSONException -> 0x01fd }
        r4.min = r9;	 Catch:{ JSONException -> 0x01fd }
        r4 = r8.popularRange;	 Catch:{ JSONException -> 0x01fd }
        r9 = "max";
        r10 = r2.optDouble(r9);	 Catch:{ JSONException -> 0x01fd }
        r2 = (float) r10;	 Catch:{ JSONException -> 0x01fd }
        r4.max = r2;	 Catch:{ JSONException -> 0x01fd }
    L_0x035a:
        r2 = "cpRange";
        r2 = r3.optJSONObject(r2);	 Catch:{ JSONException -> 0x01fd }
        if (r2 == 0) goto L_0x0382;
    L_0x0363:
        r4 = new com.tencent.ttpic.model.CpRange;	 Catch:{ JSONException -> 0x01fd }
        r4.<init>();	 Catch:{ JSONException -> 0x01fd }
        r8.cpRange = r4;	 Catch:{ JSONException -> 0x01fd }
        r4 = r8.cpRange;	 Catch:{ JSONException -> 0x01fd }
        r9 = "min";
        r10 = r2.optDouble(r9);	 Catch:{ JSONException -> 0x01fd }
        r9 = (float) r10;	 Catch:{ JSONException -> 0x01fd }
        r4.min = r9;	 Catch:{ JSONException -> 0x01fd }
        r4 = r8.cpRange;	 Catch:{ JSONException -> 0x01fd }
        r9 = "max";
        r10 = r2.optDouble(r9);	 Catch:{ JSONException -> 0x01fd }
        r2 = (float) r10;	 Catch:{ JSONException -> 0x01fd }
        r4.max = r2;	 Catch:{ JSONException -> 0x01fd }
    L_0x0382:
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.FIELD.WATERMARK_GROUP;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r9 = r3.optJSONArray(r2);	 Catch:{ JSONException -> 0x01fd }
        if (r9 == 0) goto L_0x065b;
    L_0x038c:
        r10 = new com.tencent.ttpic.model.WMGroup;	 Catch:{ JSONException -> 0x01fd }
        r10.<init>();	 Catch:{ JSONException -> 0x01fd }
        r2 = 0;
        r4 = r2;
    L_0x0393:
        r2 = r9.length();	 Catch:{ JSONException -> 0x01fd }
        if (r4 >= r2) goto L_0x0659;
    L_0x0399:
        r11 = r9.optJSONObject(r4);	 Catch:{ JSONException -> 0x01fd }
        if (r11 == 0) goto L_0x0654;
    L_0x039f:
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.WATERMARK_ELEMENT.WMTYPE;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r12 = r11.optInt(r2);	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.model.WMElement.WMType.TEXT;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        if (r12 != r2) goto L_0x05ec;
    L_0x03ad:
        r2 = new com.tencent.ttpic.model.TextWMElement;	 Catch:{ JSONException -> 0x01fd }
        r2.<init>();	 Catch:{ JSONException -> 0x01fd }
        r3 = r2;
    L_0x03b3:
        r2 = r20.getDataPath();	 Catch:{ JSONException -> 0x01fd }
        r3.dataPath = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = r20.getId();	 Catch:{ JSONException -> 0x01fd }
        r3.sid = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.WATERMARK_ELEMENT.ID;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r2 = r11.optString(r2);	 Catch:{ JSONException -> 0x01fd }
        r3.id = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.WATERMARK_ELEMENT.RELATIVE_ID;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r2 = r11.optString(r2);	 Catch:{ JSONException -> 0x01fd }
        r3.relativeID = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.WATERMARK_ELEMENT.RELATIVE_ANCHOR;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r2 = r11.optJSONArray(r2);	 Catch:{ JSONException -> 0x01fd }
        if (r2 == 0) goto L_0x05f4;
    L_0x03dd:
        r13 = r2.length();	 Catch:{ JSONException -> 0x01fd }
        r14 = 2;
        if (r13 != r14) goto L_0x05f4;
    L_0x03e4:
        r13 = new android.graphics.PointF;	 Catch:{ JSONException -> 0x01fd }
        r14 = 0;
        r14 = r2.getDouble(r14);	 Catch:{ JSONException -> 0x01fd }
        r14 = (float) r14;	 Catch:{ JSONException -> 0x01fd }
        r15 = 1;
        r16 = r2.getDouble(r15);	 Catch:{ JSONException -> 0x01fd }
        r0 = r16;
        r2 = (float) r0;	 Catch:{ JSONException -> 0x01fd }
        r13.<init>(r14, r2);	 Catch:{ JSONException -> 0x01fd }
        r3.relativeAnchor = r13;	 Catch:{ JSONException -> 0x01fd }
    L_0x03f9:
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.WATERMARK_ELEMENT.ANCHOR;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r2 = r11.optJSONArray(r2);	 Catch:{ JSONException -> 0x01fd }
        if (r2 == 0) goto L_0x05ff;
    L_0x0403:
        r13 = r2.length();	 Catch:{ JSONException -> 0x01fd }
        r14 = 2;
        if (r13 != r14) goto L_0x05ff;
    L_0x040a:
        r13 = new android.graphics.PointF;	 Catch:{ JSONException -> 0x01fd }
        r14 = 0;
        r14 = r2.getDouble(r14);	 Catch:{ JSONException -> 0x01fd }
        r14 = (float) r14;	 Catch:{ JSONException -> 0x01fd }
        r15 = 1;
        r16 = r2.getDouble(r15);	 Catch:{ JSONException -> 0x01fd }
        r0 = r16;
        r2 = (float) r0;	 Catch:{ JSONException -> 0x01fd }
        r13.<init>(r14, r2);	 Catch:{ JSONException -> 0x01fd }
        r3.anchor = r13;	 Catch:{ JSONException -> 0x01fd }
    L_0x041f:
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.WATERMARK_ELEMENT.OFFSETX;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r2 = r11.optInt(r2);	 Catch:{ JSONException -> 0x01fd }
        r3.offsetX = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.WATERMARK_ELEMENT.OFFSETY;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r2 = r11.optInt(r2);	 Catch:{ JSONException -> 0x01fd }
        r3.offsetY = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.WATERMARK_ELEMENT.WIDTH;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r2 = r11.optInt(r2);	 Catch:{ JSONException -> 0x01fd }
        r3.width = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.WATERMARK_ELEMENT.HEIGHT;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r2 = r11.optInt(r2);	 Catch:{ JSONException -> 0x01fd }
        r3.height = r2;	 Catch:{ JSONException -> 0x01fd }
        r3.wmtype = r12;	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.WATERMARK_ELEMENT.EDITTYPE;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r2 = r11.optInt(r2);	 Catch:{ JSONException -> 0x01fd }
        r3.edittype = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.WATERMARK_ELEMENT.FMTSTR;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r2 = r11.optString(r2);	 Catch:{ JSONException -> 0x01fd }
        r3.fmtstr = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.WATERMARK_ELEMENT.FONT_NAME;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r2 = r11.optString(r2);	 Catch:{ JSONException -> 0x01fd }
        r3.fontName = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.WATERMARK_ELEMENT.FONT_BOLD;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r2 = r11.optInt(r2);	 Catch:{ JSONException -> 0x01fd }
        r12 = 1;
        if (r2 != r12) goto L_0x060a;
    L_0x0472:
        r2 = 1;
    L_0x0473:
        r3.fontBold = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.WATERMARK_ELEMENT.FONT_ITALICS;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r2 = r11.optInt(r2);	 Catch:{ JSONException -> 0x01fd }
        r12 = 1;
        if (r2 != r12) goto L_0x060d;
    L_0x0480:
        r2 = 1;
    L_0x0481:
        r3.fontItalics = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.WATERMARK_ELEMENT.FONT_TEXTURE;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r2 = r11.optString(r2);	 Catch:{ JSONException -> 0x01fd }
        r3.fontTexture = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.WATERMARK_ELEMENT.FONT_SIZE;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r12 = 4633641066610819072; // 0x404e000000000000 float:0.0 double:60.0;
        r12 = r11.optDouble(r2, r12);	 Catch:{ JSONException -> 0x01fd }
        r2 = (float) r12;	 Catch:{ JSONException -> 0x01fd }
        r3.fontSize = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.WATERMARK_ELEMENT.FONT_FIT;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r2 = r11.optInt(r2);	 Catch:{ JSONException -> 0x01fd }
        r3.fontFit = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.WATERMARK_ELEMENT.KERN;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r2 = r11.optInt(r2);	 Catch:{ JSONException -> 0x01fd }
        r3.kern = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.WATERMARK_ELEMENT.IMG_PATH;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r2 = r11.optString(r2);	 Catch:{ JSONException -> 0x01fd }
        r3.imgPath = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.WATERMARK_ELEMENT.FRAME_DURATION;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r2 = r11.optInt(r2);	 Catch:{ JSONException -> 0x01fd }
        r3.frameDuration = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.WATERMARK_ELEMENT.FRAMES;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r2 = r11.optInt(r2);	 Catch:{ JSONException -> 0x01fd }
        r3.frames = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.WATERMARK_ELEMENT.COLOR;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r12 = "#FFFFFFFF";
        r2 = r11.optString(r2, r12);	 Catch:{ JSONException -> 0x01fd }
        r3.color = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.WATERMARK_ELEMENT.STROKE_COLOR;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r12 = "#FFFFFFFF";
        r2 = r11.optString(r2, r12);	 Catch:{ JSONException -> 0x01fd }
        r3.strokeColor = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.WATERMARK_ELEMENT.STROKE_SIZE;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r12 = -4616189618054758400; // 0xbff0000000000000 float:0.0 double:-1.0;
        r12 = r11.optDouble(r2, r12);	 Catch:{ JSONException -> 0x01fd }
        r2 = (float) r12;	 Catch:{ JSONException -> 0x01fd }
        r3.strokeSize = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.WATERMARK_ELEMENT.SHADOW_COLOR;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r12 = "#FFFFFFFF";
        r2 = r11.optString(r2, r12);	 Catch:{ JSONException -> 0x01fd }
        r3.shadowColor = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.WATERMARK_ELEMENT.SHADOW_SIZE;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r12 = -4616189618054758400; // 0xbff0000000000000 float:0.0 double:-1.0;
        r12 = r11.optDouble(r2, r12);	 Catch:{ JSONException -> 0x01fd }
        r2 = (float) r12;	 Catch:{ JSONException -> 0x01fd }
        r3.shadowSize = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.WATERMARK_ELEMENT.SHADOW_DX;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r12 = -4616189618054758400; // 0xbff0000000000000 float:0.0 double:-1.0;
        r12 = r11.optDouble(r2, r12);	 Catch:{ JSONException -> 0x01fd }
        r2 = (float) r12;	 Catch:{ JSONException -> 0x01fd }
        r3.shadowDx = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.WATERMARK_ELEMENT.SHADOW_DY;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r12 = -4616189618054758400; // 0xbff0000000000000 float:0.0 double:-1.0;
        r12 = r11.optDouble(r2, r12);	 Catch:{ JSONException -> 0x01fd }
        r2 = (float) r12;	 Catch:{ JSONException -> 0x01fd }
        r3.shadowDy = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.WATERMARK_ELEMENT.ALIGNMENT;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r2 = r11.optString(r2);	 Catch:{ JSONException -> 0x01fd }
        r3.alignment = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.WATERMARK_ELEMENT.VERTICAL;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r2 = r11.optInt(r2);	 Catch:{ JSONException -> 0x01fd }
        r3.vertical = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.WATERMARK_ELEMENT.OUTER_STROKE_COLOR;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r12 = "#FFFFFFFF";
        r2 = r11.optString(r2, r12);	 Catch:{ JSONException -> 0x01fd }
        r3.outerStrokeColor = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.WATERMARK_ELEMENT.OUTER_STROKE_SIZE;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r12 = -4616189618054758400; // 0xbff0000000000000 float:0.0 double:-1.0;
        r12 = r11.optDouble(r2, r12);	 Catch:{ JSONException -> 0x01fd }
        r2 = (float) r12;	 Catch:{ JSONException -> 0x01fd }
        r3.outerStrokeSize = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.WATERMARK_ELEMENT.SHADER_BMP;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r12 = 0;
        r2 = r11.optString(r2, r12);	 Catch:{ JSONException -> 0x01fd }
        r3.shaderBmp = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.WATERMARK_ELEMENT.EMBOSS;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r12 = 0;
        r2 = r11.optInt(r2, r12);	 Catch:{ JSONException -> 0x01fd }
        r12 = 1;
        if (r2 != r12) goto L_0x0610;
    L_0x056c:
        r2 = 1;
    L_0x056d:
        r3.emboss = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.WATERMARK_ELEMENT.MULTI_ROW;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r12 = 0;
        r2 = r11.optInt(r2, r12);	 Catch:{ JSONException -> 0x01fd }
        r12 = 1;
        if (r2 != r12) goto L_0x0613;
    L_0x057b:
        r2 = 1;
    L_0x057c:
        r3.multiRow = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.WATERMARK_ELEMENT.ANIMATE_TYPE;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r2 = r11.optString(r2);	 Catch:{ JSONException -> 0x01fd }
        r3.animateType = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil.WATERMARK_ELEMENT.LOGIC;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r11 = r11.optJSONObject(r2);	 Catch:{ JSONException -> 0x01fd }
        if (r11 == 0) goto L_0x064f;
    L_0x0592:
        r12 = new com.tencent.ttpic.model.WMLogic;	 Catch:{ JSONException -> 0x01fd }
        r12.<init>();	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil$WATERMARK_LOGIC.TYPE;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r2 = r11.optString(r2);	 Catch:{ JSONException -> 0x01fd }
        r12.type = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil$WATERMARK_LOGIC.COMPARE;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r2 = r11.optString(r2);	 Catch:{ JSONException -> 0x01fd }
        r13 = r3.sid;	 Catch:{ JSONException -> 0x01fd }
        r12.setCompare(r2, r13);	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil$WATERMARK_LOGIC.DATA;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r2 = r11.optString(r2);	 Catch:{ JSONException -> 0x01fd }
        r12.data = r2;	 Catch:{ JSONException -> 0x01fd }
        r2 = com.tencent.ttpic.util.VideoMaterialUtil$WATERMARK_LOGIC.RANGE;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r13 = r11.optJSONObject(r2);	 Catch:{ JSONException -> 0x01fd }
        if (r13 == 0) goto L_0x061b;
    L_0x05c2:
        r2 = new java.util.ArrayList;	 Catch:{ JSONException -> 0x01fd }
        r2.<init>();	 Catch:{ JSONException -> 0x01fd }
        r12.range = r2;	 Catch:{ JSONException -> 0x01fd }
        r14 = r13.keys();	 Catch:{ JSONException -> 0x01fd }
    L_0x05cd:
        r2 = r14.hasNext();	 Catch:{ JSONException -> 0x01fd }
        if (r2 == 0) goto L_0x0616;
    L_0x05d3:
        r2 = r14.next();	 Catch:{ JSONException -> 0x01fd }
        r2 = (java.lang.String) r2;	 Catch:{ JSONException -> 0x01fd }
        r15 = r13.optString(r2);	 Catch:{ JSONException -> 0x01fd }
        r0 = r12.range;	 Catch:{ JSONException -> 0x01fd }
        r16 = r0;
        r17 = new com.tencent.ttpic.model.WMLogicPair;	 Catch:{ JSONException -> 0x01fd }
        r0 = r17;
        r0.<init>(r2, r15);	 Catch:{ JSONException -> 0x01fd }
        r16.add(r17);	 Catch:{ JSONException -> 0x01fd }
        goto L_0x05cd;
    L_0x05ec:
        r2 = new com.tencent.ttpic.model.ImageWMElement;	 Catch:{ JSONException -> 0x01fd }
        r2.<init>();	 Catch:{ JSONException -> 0x01fd }
        r3 = r2;
        goto L_0x03b3;
    L_0x05f4:
        r2 = new android.graphics.PointF;	 Catch:{ JSONException -> 0x01fd }
        r13 = 0;
        r14 = 0;
        r2.<init>(r13, r14);	 Catch:{ JSONException -> 0x01fd }
        r3.relativeAnchor = r2;	 Catch:{ JSONException -> 0x01fd }
        goto L_0x03f9;
    L_0x05ff:
        r2 = new android.graphics.PointF;	 Catch:{ JSONException -> 0x01fd }
        r13 = 0;
        r14 = 0;
        r2.<init>(r13, r14);	 Catch:{ JSONException -> 0x01fd }
        r3.anchor = r2;	 Catch:{ JSONException -> 0x01fd }
        goto L_0x041f;
    L_0x060a:
        r2 = 0;
        goto L_0x0473;
    L_0x060d:
        r2 = 0;
        goto L_0x0481;
    L_0x0610:
        r2 = 0;
        goto L_0x056d;
    L_0x0613:
        r2 = 0;
        goto L_0x057c;
    L_0x0616:
        r2 = r12.range;	 Catch:{ JSONException -> 0x01fd }
        java.util.Collections.sort(r2);	 Catch:{ JSONException -> 0x01fd }
    L_0x061b:
        r2 = com.tencent.ttpic.util.VideoMaterialUtil$WATERMARK_LOGIC.CASE;	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.value;	 Catch:{ JSONException -> 0x01fd }
        r11 = r11.optJSONObject(r2);	 Catch:{ JSONException -> 0x01fd }
        if (r11 == 0) goto L_0x064d;
    L_0x0625:
        r2 = new java.util.ArrayList;	 Catch:{ JSONException -> 0x01fd }
        r2.<init>();	 Catch:{ JSONException -> 0x01fd }
        r12.wmcase = r2;	 Catch:{ JSONException -> 0x01fd }
        r13 = r11.keys();	 Catch:{ JSONException -> 0x01fd }
    L_0x0630:
        r2 = r13.hasNext();	 Catch:{ JSONException -> 0x01fd }
        if (r2 == 0) goto L_0x064d;
    L_0x0636:
        r2 = r13.next();	 Catch:{ JSONException -> 0x01fd }
        r2 = (java.lang.String) r2;	 Catch:{ JSONException -> 0x01fd }
        r14 = r11.optString(r2);	 Catch:{ JSONException -> 0x01fd }
        r15 = r12.wmcase;	 Catch:{ JSONException -> 0x01fd }
        r16 = new com.tencent.ttpic.model.WMLogicPair;	 Catch:{ JSONException -> 0x01fd }
        r0 = r16;
        r0.<init>(r2, r14);	 Catch:{ JSONException -> 0x01fd }
        r15.add(r16);	 Catch:{ JSONException -> 0x01fd }
        goto L_0x0630;
    L_0x064d:
        r3.logic = r12;	 Catch:{ JSONException -> 0x01fd }
    L_0x064f:
        r2 = r10.wmElements;	 Catch:{ JSONException -> 0x01fd }
        r2.add(r3);	 Catch:{ JSONException -> 0x01fd }
    L_0x0654:
        r2 = r4 + 1;
        r4 = r2;
        goto L_0x0393;
    L_0x0659:
        r8.wmGroup = r10;	 Catch:{ JSONException -> 0x01fd }
    L_0x065b:
        r2 = r8.triggerType;	 Catch:{ JSONException -> 0x01fd }
        r8.preTriggerType = r2;	 Catch:{ JSONException -> 0x01fd }
        r7.add(r8);	 Catch:{ JSONException -> 0x01fd }
        r3 = r8.triggerType;	 Catch:{ JSONException -> 0x01fd }
        r2 = r5 + 1;
        r5 = r2;
        goto L_0x0019;
    L_0x0669:
        r4 = r7.iterator();	 Catch:{ JSONException -> 0x01fd }
    L_0x066d:
        r2 = r4.hasNext();	 Catch:{ JSONException -> 0x01fd }
        if (r2 == 0) goto L_0x068a;
    L_0x0673:
        r2 = r4.next();	 Catch:{ JSONException -> 0x01fd }
        r2 = (com.tencent.ttpic.gameplaysdk.model.StickerItem3D) r2;	 Catch:{ JSONException -> 0x01fd }
        r5 = r2.activateTriggerType;	 Catch:{ JSONException -> 0x01fd }
        if (r5 != 0) goto L_0x0680;
    L_0x067d:
        r2.countTriggerType = r3;	 Catch:{ JSONException -> 0x01fd }
        goto L_0x066d;
    L_0x0680:
        r5 = 0;
        r2.playCount = r5;	 Catch:{ JSONException -> 0x01fd }
        r5 = com.tencent.ttpic.PTFaceAttr.PTExpression.MV_PART_INDEX;	 Catch:{ JSONException -> 0x01fd }
        r5 = r5.value;	 Catch:{ JSONException -> 0x01fd }
        r2.countTriggerType = r5;	 Catch:{ JSONException -> 0x01fd }
        goto L_0x066d;
    L_0x068a:
        r0 = r20;
        r0.setItemList3D(r7);	 Catch:{ JSONException -> 0x01fd }
        r8 = r20.getGameParams();	 Catch:{ JSONException -> 0x01fd }
        if (r8 == 0) goto L_0x07d9;
    L_0x0695:
        r2 = 0;
        r3 = r2;
    L_0x0697:
        r2 = r7.size();	 Catch:{ JSONException -> 0x01fd }
        if (r3 >= r2) goto L_0x07c0;
    L_0x069d:
        r2 = r7.get(r3);	 Catch:{ JSONException -> 0x01fd }
        r2 = (com.tencent.ttpic.gameplaysdk.model.StickerItem3D) r2;	 Catch:{ JSONException -> 0x01fd }
        r5 = 0;
        r4 = "";
        r6 = r2.nodePosition;	 Catch:{ JSONException -> 0x01fd }
        if (r6 == 0) goto L_0x06d5;
    L_0x06ab:
        r6 = r2.nodePosition;	 Catch:{ JSONException -> 0x01fd }
        r6 = r6.length;	 Catch:{ JSONException -> 0x01fd }
        r9 = 3;
        if (r6 != r9) goto L_0x06d5;
    L_0x06b1:
        r5 = 1;
        r9 = r2.nodePosition;	 Catch:{ JSONException -> 0x01fd }
        r10 = r9.length;	 Catch:{ JSONException -> 0x01fd }
        r6 = 0;
    L_0x06b6:
        if (r6 >= r10) goto L_0x06e9;
    L_0x06b8:
        r11 = r9[r6];	 Catch:{ JSONException -> 0x01fd }
        r12 = new java.lang.StringBuilder;	 Catch:{ JSONException -> 0x01fd }
        r12.<init>();	 Catch:{ JSONException -> 0x01fd }
        r4 = r12.append(r4);	 Catch:{ JSONException -> 0x01fd }
        r4 = r4.append(r11);	 Catch:{ JSONException -> 0x01fd }
        r11 = "/";
        r4 = r4.append(r11);	 Catch:{ JSONException -> 0x01fd }
        r4 = r4.toString();	 Catch:{ JSONException -> 0x01fd }
        r6 = r6 + 1;
        goto L_0x06b6;
    L_0x06d5:
        r6 = new java.lang.StringBuilder;	 Catch:{ JSONException -> 0x01fd }
        r6.<init>();	 Catch:{ JSONException -> 0x01fd }
        r4 = r6.append(r4);	 Catch:{ JSONException -> 0x01fd }
        r6 = "0/0/0/";
        r4 = r4.append(r6);	 Catch:{ JSONException -> 0x01fd }
        r4 = r4.toString();	 Catch:{ JSONException -> 0x01fd }
    L_0x06e9:
        r6 = r2.id;	 Catch:{ JSONException -> 0x01fd }
        r9 = "head";
        r6 = r6.equals(r9);	 Catch:{ JSONException -> 0x01fd }
        if (r6 == 0) goto L_0x0736;
    L_0x06f4:
        r6 = new java.lang.StringBuilder;	 Catch:{ JSONException -> 0x01fd }
        r6.<init>();	 Catch:{ JSONException -> 0x01fd }
        r4 = r6.append(r4);	 Catch:{ JSONException -> 0x01fd }
        r6 = "180/0/0/";
        r4 = r4.append(r6);	 Catch:{ JSONException -> 0x01fd }
        r4 = r4.toString();	 Catch:{ JSONException -> 0x01fd }
    L_0x0708:
        r6 = r2.nodeScale;	 Catch:{ JSONException -> 0x01fd }
        if (r6 == 0) goto L_0x0779;
    L_0x070c:
        r6 = r2.nodeScale;	 Catch:{ JSONException -> 0x01fd }
        r6 = r6.length;	 Catch:{ JSONException -> 0x01fd }
        r9 = 3;
        if (r6 != r9) goto L_0x0779;
    L_0x0712:
        r5 = 1;
        r9 = r2.nodeScale;	 Catch:{ JSONException -> 0x01fd }
        r10 = r9.length;	 Catch:{ JSONException -> 0x01fd }
        r6 = 0;
    L_0x0717:
        if (r6 >= r10) goto L_0x078d;
    L_0x0719:
        r11 = r9[r6];	 Catch:{ JSONException -> 0x01fd }
        r12 = new java.lang.StringBuilder;	 Catch:{ JSONException -> 0x01fd }
        r12.<init>();	 Catch:{ JSONException -> 0x01fd }
        r4 = r12.append(r4);	 Catch:{ JSONException -> 0x01fd }
        r4 = r4.append(r11);	 Catch:{ JSONException -> 0x01fd }
        r11 = "/";
        r4 = r4.append(r11);	 Catch:{ JSONException -> 0x01fd }
        r4 = r4.toString();	 Catch:{ JSONException -> 0x01fd }
        r6 = r6 + 1;
        goto L_0x0717;
    L_0x0736:
        r6 = r2.nodeEulerAngles;	 Catch:{ JSONException -> 0x01fd }
        if (r6 == 0) goto L_0x0764;
    L_0x073a:
        r6 = r2.nodeEulerAngles;	 Catch:{ JSONException -> 0x01fd }
        r6 = r6.length;	 Catch:{ JSONException -> 0x01fd }
        r9 = 3;
        if (r6 != r9) goto L_0x0764;
    L_0x0740:
        r5 = 1;
        r9 = r2.nodeEulerAngles;	 Catch:{ JSONException -> 0x01fd }
        r10 = r9.length;	 Catch:{ JSONException -> 0x01fd }
        r6 = 0;
    L_0x0745:
        if (r6 >= r10) goto L_0x0708;
    L_0x0747:
        r11 = r9[r6];	 Catch:{ JSONException -> 0x01fd }
        r12 = new java.lang.StringBuilder;	 Catch:{ JSONException -> 0x01fd }
        r12.<init>();	 Catch:{ JSONException -> 0x01fd }
        r4 = r12.append(r4);	 Catch:{ JSONException -> 0x01fd }
        r4 = r4.append(r11);	 Catch:{ JSONException -> 0x01fd }
        r11 = "/";
        r4 = r4.append(r11);	 Catch:{ JSONException -> 0x01fd }
        r4 = r4.toString();	 Catch:{ JSONException -> 0x01fd }
        r6 = r6 + 1;
        goto L_0x0745;
    L_0x0764:
        r6 = new java.lang.StringBuilder;	 Catch:{ JSONException -> 0x01fd }
        r6.<init>();	 Catch:{ JSONException -> 0x01fd }
        r4 = r6.append(r4);	 Catch:{ JSONException -> 0x01fd }
        r6 = "0/0/0/";
        r4 = r4.append(r6);	 Catch:{ JSONException -> 0x01fd }
        r4 = r4.toString();	 Catch:{ JSONException -> 0x01fd }
        goto L_0x0708;
    L_0x0779:
        r6 = new java.lang.StringBuilder;	 Catch:{ JSONException -> 0x01fd }
        r6.<init>();	 Catch:{ JSONException -> 0x01fd }
        r4 = r6.append(r4);	 Catch:{ JSONException -> 0x01fd }
        r6 = "1/1/1/";
        r4 = r4.append(r6);	 Catch:{ JSONException -> 0x01fd }
        r4 = r4.toString();	 Catch:{ JSONException -> 0x01fd }
    L_0x078d:
        if (r5 == 0) goto L_0x07bb;
    L_0x078f:
        r2 = r2.id;	 Catch:{ JSONException -> 0x01fd }
        r5 = ":";
        r2 = r2.split(r5);	 Catch:{ JSONException -> 0x01fd }
        r5 = new java.lang.StringBuilder;	 Catch:{ JSONException -> 0x01fd }
        r5.<init>();	 Catch:{ JSONException -> 0x01fd }
        r6 = r8.nodeInitialTransform;	 Catch:{ JSONException -> 0x01fd }
        r5 = r5.append(r6);	 Catch:{ JSONException -> 0x01fd }
        r6 = 0;
        r2 = r2[r6];	 Catch:{ JSONException -> 0x01fd }
        r2 = r5.append(r2);	 Catch:{ JSONException -> 0x01fd }
        r5 = "/";
        r2 = r2.append(r5);	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.append(r4);	 Catch:{ JSONException -> 0x01fd }
        r2 = r2.toString();	 Catch:{ JSONException -> 0x01fd }
        r8.nodeInitialTransform = r2;	 Catch:{ JSONException -> 0x01fd }
    L_0x07bb:
        r2 = r3 + 1;
        r3 = r2;
        goto L_0x0697;
    L_0x07c0:
        r2 = r8.nodeInitialTransform;	 Catch:{ JSONException -> 0x01fd }
        r2 = android.text.TextUtils.isEmpty(r2);	 Catch:{ JSONException -> 0x01fd }
        if (r2 != 0) goto L_0x07d9;
    L_0x07c8:
        r2 = r8.nodeInitialTransform;	 Catch:{ JSONException -> 0x01fd }
        r3 = 0;
        r4 = r8.nodeInitialTransform;	 Catch:{ JSONException -> 0x01fd }
        r4 = r4.length();	 Catch:{ JSONException -> 0x01fd }
        r4 = r4 + -1;
        r2 = r2.substring(r3, r4);	 Catch:{ JSONException -> 0x01fd }
        r8.nodeInitialTransform = r2;	 Catch:{ JSONException -> 0x01fd }
    L_0x07d9:
        r2 = 84263; // 0x14927 float:1.18078E-40 double:4.16315E-319;
        com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
        goto L_0x0209;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.ttpic.util.VideoTemplateParser.parse3DItemListParams(java.lang.String, org.json.JSONObject, com.tencent.ttpic.model.VideoMaterial, boolean[]):void");
    }

    private static List<StickerItem> parseItemListParams(String str, JSONArray jSONArray, int i, VideoMaterial videoMaterial, int i2, boolean[] zArr, int[] iArr, DecryptListener decryptListener) {
        AppMethodBeat.i(84264);
        try {
            ArrayList<StickerItem> arrayList = new ArrayList();
            if (jSONArray != null) {
                int i3 = 0;
                for (int i4 = 0; i4 < jSONArray.length(); i4++) {
                    int i5;
                    JSONObject jSONObject = jSONArray.getJSONObject(i4);
                    StickerItem stickerItem = new StickerItem();
                    stickerItem.id = jSONObject.optString("id");
                    stickerItem.subFolder = stickerItem.id;
                    stickerItem.name = jSONObject.optString("name");
                    stickerItem.type = jSONObject.optInt("type");
                    stickerItem.scale = (float) jSONObject.optDouble("scale", 1.0d);
                    stickerItem.angle = (float) jSONObject.optDouble("angle", 0.0d);
                    stickerItem.dx = jSONObject.optInt("dx", 0);
                    stickerItem.dy = jSONObject.optInt("dy", 0);
                    stickerItem.personID = jSONObject.optInt("personID", -1);
                    stickerItem.featureStatType = jSONObject.optInt("featureStatType");
                    stickerItem.frameType = jSONObject.optInt("frameType");
                    stickerItem.blendMode = jSONObject.optInt("blendMode", -1);
                    stickerItem.zIndex = jSONObject.optInt("zIndex");
                    stickerItem.audioLoopCount = jSONObject.optInt("audioLoopCount", -1);
                    stickerItem.randomGroupNum = jSONObject.optInt("randomGroupNum");
                    JSONObject optJSONObject = jSONObject.optJSONObject("featureStatValueRange");
                    if (optJSONObject != null) {
                        stickerItem.featureStatValueRange = new ValueRange();
                        stickerItem.featureStatValueRange.min = optJSONObject.optDouble("min");
                        stickerItem.featureStatValueRange.max = optJSONObject.optDouble("max");
                    }
                    optJSONObject = jSONObject.optJSONObject(FIELD.CHARM_RANGE.value);
                    if (optJSONObject != null) {
                        stickerItem.charmRange = new CharmRange();
                        stickerItem.charmRange.min = optJSONObject.optDouble(CHARM_RANGE_FIELD.MIN.value);
                        stickerItem.charmRange.max = optJSONObject.optDouble(CHARM_RANGE_FIELD.MAX.value);
                    }
                    if (stickerItem.blendMode == -1) {
                        stickerItem.blendMode = i2;
                    }
                    stickerItem.triggerType = jSONObject.optInt("triggerType");
                    stickerItem.audioTriggerType = jSONObject.optInt("audioTriggerType");
                    stickerItem.audioNeedAdjust = jSONObject.optInt("audioNeedAdjust", 1) == 1;
                    optJSONObject = jSONObject.optJSONObject("audioValueRange");
                    if (optJSONObject != null) {
                        stickerItem.audioValueRange = new ValueRange();
                        stickerItem.audioValueRange.min = optJSONObject.optDouble("min");
                        stickerItem.audioValueRange.max = optJSONObject.optDouble("max");
                    }
                    if (VideoMaterialUtil.isActionTriggerType(stickerItem.triggerType) && iArr != null) {
                        iArr[0] = stickerItem.triggerType;
                    }
                    stickerItem.alwaysTriggered = jSONObject.optInt("alwaysTriggered") == 1;
                    stickerItem.playCount = jSONObject.optInt("playCount");
                    stickerItem.frameDuration = jSONObject.optDouble("frameDuration");
                    stickerItem.stickerType = jSONObject.optInt("stickerType", i);
                    if (stickerItem.stickerType == STICKER_TYPE.VIDEO_UP_DOWN.type || stickerItem.stickerType == STICKER_TYPE.VIDEO_LEFT_RIGHT.type) {
                        stickerItem.sourceType = stickerItem.stickerType == STICKER_TYPE.VIDEO_UP_DOWN.type ? ITEM_SOURCE_TYPE.VIDEO_UP_DOWN : ITEM_SOURCE_TYPE.VIDEO_LEFT_RIGHT;
                    }
                    stickerItem.frames = jSONObject.optInt("frames");
                    stickerItem.width = jSONObject.optInt("width");
                    stickerItem.height = jSONObject.optInt("height");
                    stickerItem.support3D = jSONObject.optInt("enable3D", 1);
                    stickerItem.scaleDirection = jSONObject.optInt("scaleDirection");
                    JSONArray optJSONArray = jSONObject.optJSONArray("position");
                    if (optJSONArray != null) {
                        stickerItem.position = new double[optJSONArray.length()];
                        for (i5 = 0; i5 < optJSONArray.length(); i5++) {
                            stickerItem.position[i5] = optJSONArray.getDouble(i5);
                        }
                    } else {
                        stickerItem.position = new double[]{0.0d, 0.0d};
                    }
                    stickerItem.audio = jSONObject.optString(SlookAirButtonRecentMediaAdapter.AUDIO_TYPE);
                    if (!(TextUtils.isEmpty(stickerItem.audio) || zArr == null)) {
                        zArr[0] = true;
                    }
                    optJSONArray = jSONObject.optJSONArray("anchorPoint");
                    if (optJSONArray != null) {
                        stickerItem.anchorPoint = new int[optJSONArray.length()];
                        for (i5 = 0; i5 < optJSONArray.length(); i5++) {
                            stickerItem.anchorPoint[i5] = optJSONArray.getInt(i5);
                        }
                    }
                    optJSONArray = jSONObject.optJSONArray("anchorPointAudio");
                    if (optJSONArray != null) {
                        stickerItem.anchorPointAudio = new double[optJSONArray.length()];
                        for (i5 = 0; i5 < optJSONArray.length(); i5++) {
                            stickerItem.anchorPointAudio[i5] = optJSONArray.getDouble(i5);
                        }
                    } else {
                        stickerItem.anchorPointAudio = new double[]{0.5d, 0.5d};
                    }
                    optJSONArray = jSONObject.optJSONArray("alignFacePoints");
                    if (optJSONArray != null) {
                        stickerItem.alignFacePoints = new int[optJSONArray.length()];
                        for (i5 = 0; i5 < optJSONArray.length(); i5++) {
                            stickerItem.alignFacePoints[i5] = optJSONArray.getInt(i5);
                        }
                    }
                    optJSONArray = jSONObject.optJSONArray("scalePivots");
                    if (optJSONArray != null) {
                        stickerItem.scalePivots = new int[optJSONArray.length()];
                        for (i5 = 0; i5 < optJSONArray.length(); i5++) {
                            stickerItem.scalePivots[i5] = optJSONArray.getInt(i5);
                        }
                    }
                    stickerItem.scaleFactor = jSONObject.optInt("scaleFactor");
                    stickerItem.originalScaleFactor = stickerItem.scaleFactor;
                    stickerItem.markMode = jSONObject.optInt("markMode");
                    stickerItem.activateTriggerType = jSONObject.optInt("activateTriggerType", 0);
                    stickerItem.activateTriggerCount = jSONObject.optInt("activateTriggerCount", 0);
                    stickerItem.activateTriggerTotalCount = jSONObject.optInt("activateTriggerTotalCount", 0);
                    stickerItem.bodyTriggerPoint = jSONObject.optInt("bodyTriggerPoint", 0);
                    stickerItem.bodyTriggerDirection = jSONObject.optInt("bodyTriggerDirection", 0);
                    stickerItem.bodyTriggerDistance = jSONObject.optInt("bodyTriggerDistance", 0);
                    stickerItem.bodyTriggerTimeGap = jSONObject.optDouble("bodyTriggerTimeGap", 0.0d);
                    optJSONObject = jSONObject.optJSONObject("ageRange");
                    if (optJSONObject != null) {
                        stickerItem.ageRange = new AgeRange();
                        stickerItem.ageRange.min = (float) optJSONObject.optDouble("min");
                        stickerItem.ageRange.max = (float) optJSONObject.optDouble("max");
                    }
                    optJSONObject = jSONObject.optJSONObject("genderRange");
                    if (optJSONObject != null) {
                        stickerItem.genderRange = new GenderRange();
                        stickerItem.genderRange.min = (float) optJSONObject.optDouble("min");
                        stickerItem.genderRange.max = (float) optJSONObject.optDouble("max");
                    }
                    optJSONObject = jSONObject.optJSONObject("popularRange");
                    if (optJSONObject != null) {
                        stickerItem.popularRange = new PopularRange();
                        stickerItem.popularRange.min = (float) optJSONObject.optDouble("min");
                        stickerItem.popularRange.max = (float) optJSONObject.optDouble("max");
                    }
                    optJSONObject = jSONObject.optJSONObject("cpRange");
                    if (optJSONObject != null) {
                        stickerItem.cpRange = new CpRange();
                        stickerItem.cpRange.min = (float) optJSONObject.optDouble("min");
                        stickerItem.cpRange.max = (float) optJSONObject.optDouble("max");
                    }
                    JSONObject optJSONObject2 = jSONObject.optJSONObject("audioScaleFactor");
                    if (optJSONObject2 != null) {
                        Iterator keys = optJSONObject2.keys();
                        while (keys.hasNext()) {
                            String str2 = (String) keys.next();
                            stickerItem.audioScaleFactorMap.add(Pair.create(Float.valueOf(str2), Double.valueOf(optJSONObject2.optDouble(str2, 0.0d))));
                        }
                    }
                    Collections.sort(stickerItem.audioScaleFactorMap, mRangeValueComp);
                    optJSONObject2 = jSONObject.optJSONObject("transition");
                    if (optJSONObject2 != null) {
                        stickerItem.transition = new Transition();
                        stickerItem.transition.particleCountMax = optJSONObject2.optInt(VideoMaterialUtil$TRANSITION.PARTICLE_COUNT_MAX.value);
                        stickerItem.transition.life = optJSONObject2.optString(VideoMaterialUtil$TRANSITION.LIFE.value);
                        stickerItem.transition.emissionMode = optJSONObject2.optInt(VideoMaterialUtil$TRANSITION.EMISSION_MODE.value);
                        stickerItem.transition.particleAlwaysUpdate = optJSONObject2.optInt(VideoMaterialUtil$TRANSITION.PARTICLE_ALWAYS_UPDATE.value) == 1;
                        stickerItem.transition.emissionRate = (float) optJSONObject2.optInt(VideoMaterialUtil$TRANSITION.EMISSION_RATE.value);
                        stickerItem.transition.scale = optJSONObject2.optString(VideoMaterialUtil$TRANSITION.SCALE.value);
                        stickerItem.transition.rotate = optJSONObject2.optString(VideoMaterialUtil$TRANSITION.ROTATE.value);
                        stickerItem.transition.positionX = optJSONObject2.optString(VideoMaterialUtil$TRANSITION.POSITION_X.value);
                        stickerItem.transition.positionY = optJSONObject2.optString(VideoMaterialUtil$TRANSITION.POSITION_Y.value);
                        stickerItem.transition.p0 = optJSONObject2.optString(VideoMaterialUtil$TRANSITION.P0.value);
                        stickerItem.transition.p1 = optJSONObject2.optString(VideoMaterialUtil$TRANSITION.P1.value);
                        stickerItem.transition.p2 = optJSONObject2.optString(VideoMaterialUtil$TRANSITION.P2.value);
                        stickerItem.transition.repeatCount = optJSONObject2.optInt(VideoMaterialUtil$TRANSITION.REPEAT_COUNT.value, 1);
                        stickerItem.transition.minUpdateInterval = optJSONObject2.optInt(VideoMaterialUtil$TRANSITION.MIN_UPDATE_INTERVAL.value, 1);
                        stickerItem.transition.clearMode = optJSONObject2.optInt(VideoMaterialUtil$TRANSITION.CLEAR_MODE.value, 0);
                        JSONArray optJSONArray2 = jSONObject.optJSONArray(FIELD.WATERMARK_GROUP.value);
                        if (optJSONArray2 != null) {
                            stickerItem.wmGroupCopies = new ArrayList();
                            i3 = 0;
                            while (true) {
                                if (i3 >= (stickerItem.transition.clearMode == PARTICLE_CLEAR_MODE.CLEAR_ALL.value ? 1 : 0) + (stickerItem.transition.particleCountMax / stickerItem.transition.repeatCount)) {
                                    break;
                                }
                                WMGroup parseWMGroup = parseWMGroup(optJSONArray2, videoMaterial);
                                parseWMGroup.id = i3;
                                stickerItem.wmGroupCopies.add(parseWMGroup);
                                i3++;
                            }
                        }
                    } else {
                        JSONArray optJSONArray3 = jSONObject.optJSONArray(FIELD.WATERMARK_GROUP.value);
                        if (optJSONArray3 != null) {
                            stickerItem.wmGroup = parseWMGroup(optJSONArray3, videoMaterial);
                        }
                    }
                    stickerItem.triggerWords = jSONObject.optString("triggerWords");
                    stickerItem.preTriggerType = stickerItem.triggerType;
                    arrayList.add(stickerItem);
                    i3 = stickerItem.triggerType;
                    stickerItem.particleConfig = parseParticleConfig(str + File.separator + stickerItem.id, jSONObject.optString("dexName"), decryptListener);
                }
                for (StickerItem stickerItem2 : arrayList) {
                    if (stickerItem2.activateTriggerType == 0) {
                        stickerItem2.countTriggerType = i3;
                    } else {
                        stickerItem2.playCount = 0;
                        stickerItem2.countTriggerType = PTExpression.MV_PART_INDEX.value;
                    }
                }
                AppMethodBeat.o(84264);
                return arrayList;
            }
        } catch (JSONException e) {
            LogUtils.e(TAG, e);
        }
        AppMethodBeat.o(84264);
        return null;
    }

    private static WMGroup parseWMGroup(JSONArray jSONArray, VideoMaterial videoMaterial) {
        AppMethodBeat.i(84265);
        WMGroup wMGroup = new WMGroup();
        int i = 0;
        while (i < jSONArray.length()) {
            try {
                JSONObject optJSONObject = jSONArray.optJSONObject(i);
                if (optJSONObject != null) {
                    WMElement textWMElement;
                    boolean z;
                    int optInt = optJSONObject.optInt(WATERMARK_ELEMENT.WMTYPE.value);
                    if (optInt == WMType.TEXT.value) {
                        textWMElement = new TextWMElement();
                    } else {
                        textWMElement = new ImageWMElement();
                    }
                    textWMElement.dataPath = videoMaterial.getDataPath();
                    textWMElement.sid = videoMaterial.getId();
                    textWMElement.id = optJSONObject.optString(WATERMARK_ELEMENT.ID.value);
                    textWMElement.relativeID = optJSONObject.optString(WATERMARK_ELEMENT.RELATIVE_ID.value);
                    JSONArray optJSONArray = optJSONObject.optJSONArray(WATERMARK_ELEMENT.RELATIVE_ANCHOR.value);
                    if (optJSONArray == null || optJSONArray.length() != 2) {
                        textWMElement.relativeAnchor = new PointF(0.0f, 0.0f);
                    } else {
                        textWMElement.relativeAnchor = new PointF((float) optJSONArray.getDouble(0), (float) optJSONArray.getDouble(1));
                    }
                    optJSONArray = optJSONObject.optJSONArray(WATERMARK_ELEMENT.ANCHOR.value);
                    if (optJSONArray == null || optJSONArray.length() != 2) {
                        textWMElement.anchor = new PointF(0.0f, 0.0f);
                    } else {
                        textWMElement.anchor = new PointF((float) optJSONArray.getDouble(0), (float) optJSONArray.getDouble(1));
                    }
                    textWMElement.offsetX = optJSONObject.optInt(WATERMARK_ELEMENT.OFFSETX.value);
                    textWMElement.offsetY = optJSONObject.optInt(WATERMARK_ELEMENT.OFFSETY.value);
                    textWMElement.width = optJSONObject.optInt(WATERMARK_ELEMENT.WIDTH.value);
                    textWMElement.height = optJSONObject.optInt(WATERMARK_ELEMENT.HEIGHT.value);
                    textWMElement.wmtype = optInt;
                    textWMElement.edittype = optJSONObject.optInt(WATERMARK_ELEMENT.EDITTYPE.value);
                    textWMElement.fmtstr = optJSONObject.optString(WATERMARK_ELEMENT.FMTSTR.value);
                    textWMElement.fontName = optJSONObject.optString(WATERMARK_ELEMENT.FONT_NAME.value);
                    if (optJSONObject.optInt(WATERMARK_ELEMENT.FONT_BOLD.value) == 1) {
                        z = true;
                    } else {
                        z = false;
                    }
                    textWMElement.fontBold = z;
                    if (optJSONObject.optInt(WATERMARK_ELEMENT.FONT_ITALICS.value) == 1) {
                        z = true;
                    } else {
                        z = false;
                    }
                    textWMElement.fontItalics = z;
                    textWMElement.fontTexture = optJSONObject.optString(WATERMARK_ELEMENT.FONT_TEXTURE.value);
                    textWMElement.fontSize = (float) optJSONObject.optDouble(WATERMARK_ELEMENT.FONT_SIZE.value, 40.0d);
                    textWMElement.fontFit = optJSONObject.optInt(WATERMARK_ELEMENT.FONT_FIT.value);
                    textWMElement.kern = optJSONObject.optInt(WATERMARK_ELEMENT.KERN.value);
                    textWMElement.imgPath = optJSONObject.optString(WATERMARK_ELEMENT.IMG_PATH.value);
                    textWMElement.frameDuration = optJSONObject.optInt(WATERMARK_ELEMENT.FRAME_DURATION.value);
                    textWMElement.frames = optJSONObject.optInt(WATERMARK_ELEMENT.FRAMES.value);
                    textWMElement.color = optJSONObject.optString(WATERMARK_ELEMENT.COLOR.value, "#FFFFFFFF");
                    textWMElement.strokeColor = optJSONObject.optString(WATERMARK_ELEMENT.STROKE_COLOR.value, "#FFFFFFFF");
                    textWMElement.strokeSize = (float) optJSONObject.optDouble(WATERMARK_ELEMENT.STROKE_SIZE.value, -1.0d);
                    textWMElement.shadowColor = optJSONObject.optString(WATERMARK_ELEMENT.SHADOW_COLOR.value, "#FFFFFFFF");
                    textWMElement.shadowSize = (float) optJSONObject.optDouble(WATERMARK_ELEMENT.SHADOW_SIZE.value, -1.0d);
                    textWMElement.shadowDx = (float) optJSONObject.optDouble(WATERMARK_ELEMENT.SHADOW_DX.value, -1.0d);
                    textWMElement.shadowDy = (float) optJSONObject.optDouble(WATERMARK_ELEMENT.SHADOW_DY.value, -1.0d);
                    textWMElement.alignment = optJSONObject.optString(WATERMARK_ELEMENT.ALIGNMENT.value);
                    textWMElement.vertical = optJSONObject.optInt(WATERMARK_ELEMENT.VERTICAL.value);
                    textWMElement.outerStrokeColor = optJSONObject.optString(WATERMARK_ELEMENT.OUTER_STROKE_COLOR.value, "#FFFFFFFF");
                    textWMElement.outerStrokeSize = (float) optJSONObject.optDouble(WATERMARK_ELEMENT.OUTER_STROKE_SIZE.value, -1.0d);
                    textWMElement.shaderBmp = optJSONObject.optString(WATERMARK_ELEMENT.SHADER_BMP.value, null);
                    textWMElement.emboss = optJSONObject.optInt(WATERMARK_ELEMENT.EMBOSS.value, 0) == 1;
                    if (optJSONObject.optInt(WATERMARK_ELEMENT.MULTI_ROW.value, 0) == 1) {
                        z = true;
                    } else {
                        z = false;
                    }
                    textWMElement.multiRow = z;
                    textWMElement.animateType = optJSONObject.optString(WATERMARK_ELEMENT.ANIMATE_TYPE.value);
                    optJSONObject = optJSONObject.optJSONObject(WATERMARK_ELEMENT.LOGIC.value);
                    if (optJSONObject != null) {
                        String str;
                        WMLogic wMLogic = new WMLogic();
                        wMLogic.type = optJSONObject.optString(VideoMaterialUtil$WATERMARK_LOGIC.TYPE.value);
                        wMLogic.setCompare(optJSONObject.optString(VideoMaterialUtil$WATERMARK_LOGIC.COMPARE.value), textWMElement.sid);
                        wMLogic.data = optJSONObject.optString(VideoMaterialUtil$WATERMARK_LOGIC.DATA.value);
                        JSONObject optJSONObject2 = optJSONObject.optJSONObject(VideoMaterialUtil$WATERMARK_LOGIC.RANGE.value);
                        if (optJSONObject2 != null) {
                            wMLogic.range = new ArrayList();
                            Iterator keys = optJSONObject2.keys();
                            while (keys.hasNext()) {
                                str = (String) keys.next();
                                wMLogic.range.add(new WMLogicPair(str, optJSONObject2.optString(str)));
                            }
                            Collections.sort(wMLogic.range);
                        }
                        optJSONObject = optJSONObject.optJSONObject(VideoMaterialUtil$WATERMARK_LOGIC.CASE.value);
                        if (optJSONObject != null) {
                            wMLogic.wmcase = new ArrayList();
                            Iterator keys2 = optJSONObject.keys();
                            while (keys2.hasNext()) {
                                str = (String) keys2.next();
                                wMLogic.wmcase.add(new WMLogicPair(str, optJSONObject.optString(str)));
                            }
                        }
                        textWMElement.logic = wMLogic;
                    }
                    wMGroup.wmElements.add(textWMElement);
                }
                i++;
            } catch (Exception e) {
                LogUtils.e(e);
            }
        }
        AppMethodBeat.o(84265);
        return wMGroup;
    }

    private static void parseGameParams(JSONObject jSONObject, VideoMaterial videoMaterial) {
        boolean z;
        boolean z2 = true;
        AppMethodBeat.i(84266);
        GameParams gameParams = new GameParams();
        gameParams.mGameName = jSONObject.optString(GAME_FIELD.GAME_NAME.value);
        gameParams.mAnimNames = jSONObject.optString(GAME_FIELD.ANIM_NAMES.value);
        gameParams.mAnimDefaultRotate = jSONObject.optString(GAME_FIELD.ANIM_DEFAULT_ROTATE.value);
        gameParams.mAnimNodeNames = jSONObject.optString(GAME_FIELD.ANIM_NODE_NAMES.value);
        gameParams.mRunningAnimName = jSONObject.optString(GAME_FIELD.RUNNING_ANIM_NAME.value);
        gameParams.mRunningAnimDefaultRotate = jSONObject.optString(GAME_FIELD.RUNNING_ANIM_DEFAULT_ROTATE.value);
        JSONArray optJSONArray = jSONObject.optJSONArray(GAME_FIELD.TEXTURE_IMAGES.value);
        if (optJSONArray != null && optJSONArray.length() > 0) {
            gameParams.textureImages = new String[optJSONArray.length()];
            for (int i = 0; i < optJSONArray.length(); i++) {
                gameParams.textureImages[i] = optJSONArray.optString(i);
            }
            gameParams.usePreload = true;
        }
        gameParams.fov = (float) jSONObject.optDouble(GAME_FIELD.FOV.value, 60.0d);
        if (jSONObject.optInt(GAME_FIELD.NOT_FLATTEN_EAR.value, 0) == 0) {
            z = true;
        } else {
            z = false;
        }
        gameParams.flattenEar = z;
        if (jSONObject.optInt(GAME_FIELD.NOT_FLATTEN_NOSE.value, 0) != 0) {
            z2 = false;
        }
        gameParams.flattenNose = z2;
        videoMaterial.setGameParams(gameParams);
        AppMethodBeat.o(84266);
    }

    private static void parseAudio3DParams(JSONObject jSONObject, VideoMaterial videoMaterial) {
        boolean z;
        boolean z2 = true;
        AppMethodBeat.i(84267);
        GameParams gameParams = new GameParams();
        gameParams.mGameName = jSONObject.optString(GAME_FIELD.GAME_NAME.value);
        gameParams.mAnimNames = jSONObject.optString(GAME_FIELD.ANIM_NAMES.value);
        gameParams.mAnimDefaultRotate = jSONObject.optString(GAME_FIELD.ANIM_DEFAULT_ROTATE.value);
        gameParams.mAnimNodeNames = jSONObject.optString(GAME_FIELD.ANIM_NODE_NAMES.value);
        gameParams.mRunningAnimName = jSONObject.optString(GAME_FIELD.RUNNING_ANIM_NAME.value);
        gameParams.mRunningAnimDefaultRotate = jSONObject.optString(GAME_FIELD.RUNNING_ANIM_DEFAULT_ROTATE.value);
        JSONArray optJSONArray = jSONObject.optJSONArray(GAME_FIELD.TEXTURE_IMAGES.value);
        if (optJSONArray != null && optJSONArray.length() > 0) {
            gameParams.textureImages = new String[optJSONArray.length()];
            for (int i = 0; i < optJSONArray.length(); i++) {
                gameParams.textureImages[i] = optJSONArray.optString(i);
            }
            gameParams.usePreload = true;
        }
        gameParams.fov = (float) jSONObject.optDouble(GAME_FIELD.FOV.value, 60.0d);
        if (jSONObject.optInt(GAME_FIELD.NOT_FLATTEN_EAR.value, 0) == 0) {
            z = true;
        } else {
            z = false;
        }
        gameParams.flattenEar = z;
        if (jSONObject.optInt(GAME_FIELD.NOT_FLATTEN_NOSE.value, 0) != 0) {
            z2 = false;
        }
        gameParams.flattenNose = z2;
        videoMaterial.setAudio3DParams(gameParams);
        AppMethodBeat.o(84267);
    }

    private static void parseFabbyMvItems(String str, JSONObject jSONObject, VideoMaterial videoMaterial, DecryptListener decryptListener) {
        AppMethodBeat.i(84268);
        String optString = jSONObject.optString("mvTemplateFile");
        if (TextUtils.isEmpty(optString)) {
            AppMethodBeat.o(84268);
            return;
        }
        int lastIndexOf = optString.lastIndexOf(".");
        if (lastIndexOf >= 0) {
            optString = optString.substring(0, lastIndexOf);
        }
        JSONObject parseVideoMaterialFileAsJSONObject = parseVideoMaterialFileAsJSONObject(str, optString, true, decryptListener);
        if (parseVideoMaterialFileAsJSONObject == null) {
            AppMethodBeat.o(84268);
            return;
        }
        JSONArray optJSONArray = parseVideoMaterialFileAsJSONObject.optJSONArray("parts");
        if (optJSONArray == null) {
            AppMethodBeat.o(84268);
        } else if (optJSONArray.length() <= 0) {
            AppMethodBeat.o(84268);
        } else {
            optJSONArray.length();
            ArrayList arrayList = new ArrayList();
            int i = 0;
            while (true) {
                int i2 = i;
                if (i2 >= optJSONArray.length()) {
                    break;
                }
                FabbyMvPart fabbyMvPart = new FabbyMvPart();
                JSONObject optJSONObject = optJSONArray.optJSONObject(i2);
                if (optJSONObject != null) {
                    StickerItem stickerItem;
                    String optString2;
                    int lastIndexOf2;
                    Object obj;
                    StickerItem stickerItem2;
                    int lastIndexOf3;
                    double optDouble = optJSONObject.optDouble("duration");
                    JSONObject optJSONObject2 = optJSONObject.optJSONObject("background");
                    if (optJSONObject2 != null) {
                        stickerItem = new StickerItem();
                        optString2 = optJSONObject2.optString("videoFile");
                        optString = optJSONObject2.optString("imageName");
                        if (!(TextUtils.isEmpty(optString2) && TextUtils.isEmpty(optString))) {
                            if (TextUtils.isEmpty(optString2)) {
                                if (optString.endsWith("_")) {
                                    optString = optString.substring(0, optString.length() - 1);
                                }
                                lastIndexOf2 = optString.lastIndexOf("/");
                                stickerItem.id = optString.substring(lastIndexOf2 + 1, optString.length());
                                stickerItem.subFolder = optString.substring(0, lastIndexOf2);
                                obj = null;
                            } else {
                                i = optString2.lastIndexOf("/");
                                stickerItem.id = optString2.substring(i + 1, optString2.length());
                                stickerItem.subFolder = optString2.substring(0, i);
                                obj = 1;
                            }
                            stickerItem.type = 1;
                            stickerItem.alwaysTriggered = true;
                            stickerItem.frames = optJSONObject2.optInt("imageCount", 1);
                            stickerItem.frameDuration = (optJSONObject2.optDouble("imageDuration", optDouble) / ((double) stickerItem.frames)) * 1000.0d;
                            stickerItem.aspectMode = optJSONObject2.optInt("aspectMode", 0);
                            stickerItem.blendMode = optJSONObject2.optInt("blendMode", 0);
                            stickerItem.width = optJSONObject2.optInt("width", 720);
                            stickerItem.height = optJSONObject2.optInt("height", 960);
                            stickerItem.position = new double[]{0.0d, 0.0d};
                            stickerItem.isFabbyMvItem = true;
                            stickerItem.fabbyTotalParts = optJSONArray.length();
                            stickerItem.fabbyPart = i2;
                            if (obj != null) {
                                stickerItem.sourceType = VideoMaterialUtil.getItemSourceType(optJSONObject2.optInt(FIELD.VIDEO_ALPHA_TYPE.value));
                            } else {
                                stickerItem.sourceType = ITEM_SOURCE_TYPE.IMAGE;
                            }
                            fabbyMvPart.bgItem = stickerItem;
                        }
                    }
                    optJSONObject2 = optJSONObject.optJSONObject("foreground");
                    if (optJSONObject2 != null) {
                        stickerItem = new StickerItem();
                        optString2 = optJSONObject2.optString("videoFile");
                        optString = optJSONObject2.optString("imageName");
                        if (!(TextUtils.isEmpty(optString2) && TextUtils.isEmpty(optString))) {
                            if (TextUtils.isEmpty(optString2)) {
                                if (optString.endsWith("_")) {
                                    optString = optString.substring(0, optString.length() - 1);
                                }
                                lastIndexOf2 = optString.lastIndexOf("/");
                                stickerItem.id = optString.substring(lastIndexOf2 + 1, optString.length());
                                stickerItem.subFolder = optString.substring(0, lastIndexOf2);
                                obj = null;
                            } else {
                                i = optString2.lastIndexOf("/");
                                stickerItem.id = optString2.substring(i + 1, optString2.length());
                                stickerItem.subFolder = optString2.substring(0, i);
                                obj = 1;
                            }
                            stickerItem.type = 1;
                            stickerItem.alwaysTriggered = true;
                            stickerItem.frames = optJSONObject2.optInt("imageCount", 1);
                            stickerItem.frameDuration = (optJSONObject2.optDouble("imageDuration", optDouble) / ((double) stickerItem.frames)) * 1000.0d;
                            stickerItem.aspectMode = optJSONObject2.optInt("aspectMode", 0);
                            stickerItem.blendMode = optJSONObject2.optInt("blendMode", 0);
                            stickerItem.width = optJSONObject2.optInt("width", 720);
                            stickerItem.height = optJSONObject2.optInt("height", 1280);
                            stickerItem.position = new double[]{0.0d, 0.0d};
                            stickerItem.isFabbyMvItem = true;
                            stickerItem.fabbyTotalParts = optJSONArray.length();
                            stickerItem.fabbyPart = i2;
                            if (obj != null) {
                                stickerItem.sourceType = VideoMaterialUtil.getItemSourceType(optJSONObject2.optInt(FIELD.VIDEO_ALPHA_TYPE.value));
                            } else {
                                stickerItem.sourceType = ITEM_SOURCE_TYPE.IMAGE;
                            }
                            fabbyMvPart.fgItem = stickerItem;
                        }
                    }
                    JSONObject optJSONObject3 = optJSONObject.optJSONObject("cover");
                    if (optJSONObject3 != null) {
                        stickerItem2 = new StickerItem();
                        optString = optJSONObject3.optString("imageFile");
                        if (!TextUtils.isEmpty(optString)) {
                            if (optString.endsWith("_")) {
                                optString = optString.substring(0, optString.length() - 1);
                            }
                            lastIndexOf3 = optString.lastIndexOf("/");
                            stickerItem2.id = optString.substring(lastIndexOf3 + 1, optString.lastIndexOf("_"));
                            stickerItem2.subFolder = optString.substring(0, lastIndexOf3);
                            stickerItem2.type = 1;
                            stickerItem2.alwaysTriggered = true;
                            stickerItem2.frames = 1;
                            stickerItem2.frameDuration = 1000.0d * optDouble;
                            stickerItem2.aspectMode = optJSONObject3.optInt("aspectMode", 0);
                            stickerItem2.blendMode = optJSONObject3.optInt("blendMode", 0);
                            stickerItem2.width = optJSONObject3.optInt("width", 720);
                            stickerItem2.height = optJSONObject3.optInt("height", 1280);
                            stickerItem2.position = new double[]{0.0d, 0.0d};
                            stickerItem2.isFabbyMvItem = true;
                            stickerItem2.fabbyTotalParts = optJSONArray.length();
                            stickerItem2.fabbyPart = i2;
                            fabbyMvPart.coverItem = stickerItem2;
                        }
                    }
                    optJSONObject2 = optJSONObject.optJSONObject("cameraFrame");
                    if (optJSONObject2 != null) {
                        String str2;
                        JSONObject optJSONObject4;
                        Iterator keys;
                        fabbyMvPart.easeCurve = optJSONObject2.optInt("easeCurve", 0);
                        fabbyMvPart.scaleMap.clear();
                        JSONObject optJSONObject5 = optJSONObject2.optJSONObject("shakaEffect");
                        if (optJSONObject5 != null) {
                            ShakaEffectItem shakaEffectItem = new ShakaEffectItem();
                            shakaEffectItem.setFilterType(optJSONObject5.optInt("filterType"));
                            HashMap hashMap = new HashMap();
                            Iterator keys2 = optJSONObject5.keys();
                            while (keys2.hasNext()) {
                                str2 = (String) keys2.next();
                                optJSONObject4 = optJSONObject5.optJSONObject(str2);
                                new StringBuilder("key = ").append(str2).append(", valueJson = ").append(optJSONObject4);
                                if (optJSONObject4 != null) {
                                    ArrayList arrayList2 = new ArrayList();
                                    Iterator keys3 = optJSONObject4.keys();
                                    while (keys3.hasNext()) {
                                        optString = (String) keys3.next();
                                        arrayList2.add(Pair.create(Float.valueOf(optString), Double.valueOf(optJSONObject4.optDouble(optString, 0.0d))));
                                    }
                                    Collections.sort(arrayList2, mRangeValueComp);
                                    hashMap.put(str2, arrayList2);
                                }
                            }
                            shakaEffectItem.setValueMap(hashMap);
                            fabbyMvPart.setShakaEffectItem(shakaEffectItem);
                        }
                        optJSONObject3 = optJSONObject2.optJSONObject("scale");
                        if (optJSONObject3 != null) {
                            keys = optJSONObject3.keys();
                            while (keys.hasNext()) {
                                optString = (String) keys.next();
                                fabbyMvPart.scaleMap.add(Pair.create(Float.valueOf(optString), Double.valueOf(optJSONObject3.optDouble(optString, 1.0d))));
                            }
                        }
                        Collections.sort(fabbyMvPart.scaleMap, mRangeValueComp);
                        fabbyMvPart.degreeMap.clear();
                        optJSONObject3 = optJSONObject2.optJSONObject("rotate");
                        if (optJSONObject3 != null) {
                            keys = optJSONObject3.keys();
                            while (keys.hasNext()) {
                                optString = (String) keys.next();
                                fabbyMvPart.degreeMap.add(Pair.create(Float.valueOf(optString), Double.valueOf(optJSONObject3.optDouble(optString, 0.0d))));
                            }
                        }
                        Collections.sort(fabbyMvPart.degreeMap, mRangeValueComp);
                        fabbyMvPart.translateXMap.clear();
                        optJSONObject3 = optJSONObject2.optJSONObject("translateX");
                        if (optJSONObject3 != null) {
                            keys = optJSONObject3.keys();
                            while (keys.hasNext()) {
                                optString = (String) keys.next();
                                fabbyMvPart.translateXMap.add(Pair.create(Float.valueOf(optString), Double.valueOf(optJSONObject3.optDouble(optString, 0.0d))));
                            }
                        }
                        Collections.sort(fabbyMvPart.translateXMap, mRangeValueComp);
                        fabbyMvPart.translateYMap.clear();
                        optJSONObject3 = optJSONObject2.optJSONObject("translateY");
                        if (optJSONObject3 != null) {
                            keys = optJSONObject3.keys();
                            while (keys.hasNext()) {
                                optString = (String) keys.next();
                                fabbyMvPart.translateYMap.add(Pair.create(Float.valueOf(optString), Double.valueOf(optJSONObject3.optDouble(optString, 0.0d))));
                            }
                        }
                        Collections.sort(fabbyMvPart.translateYMap, mRangeValueComp);
                        fabbyMvPart.anchorXMap.clear();
                        optJSONObject3 = optJSONObject2.optJSONObject("anchorX");
                        if (optJSONObject3 != null) {
                            keys = optJSONObject3.keys();
                            while (keys.hasNext()) {
                                optString = (String) keys.next();
                                fabbyMvPart.anchorXMap.add(Pair.create(Float.valueOf(optString), Double.valueOf(optJSONObject3.optDouble(optString, 0.0d))));
                            }
                        }
                        Collections.sort(fabbyMvPart.anchorXMap, mRangeValueComp);
                        fabbyMvPart.anchorYMap.clear();
                        optJSONObject3 = optJSONObject2.optJSONObject("anchorY");
                        if (optJSONObject3 != null) {
                            keys = optJSONObject3.keys();
                            while (keys.hasNext()) {
                                optString = (String) keys.next();
                                fabbyMvPart.anchorYMap.add(Pair.create(Float.valueOf(optString), Double.valueOf(optJSONObject3.optDouble(optString, 0.0d))));
                            }
                        }
                        Collections.sort(fabbyMvPart.anchorYMap, mRangeValueComp);
                        fabbyMvPart.alphaMap.clear();
                        optJSONObject3 = optJSONObject2.optJSONObject("alpha");
                        if (optJSONObject3 != null) {
                            keys = optJSONObject3.keys();
                            while (keys.hasNext()) {
                                optString = (String) keys.next();
                                fabbyMvPart.alphaMap.add(Pair.create(Float.valueOf(optString), Double.valueOf(optJSONObject3.optDouble(optString, 1.0d))));
                            }
                        }
                        Collections.sort(fabbyMvPart.alphaMap, mRangeValueComp);
                        fabbyMvPart.blurRadiusMap.clear();
                        optJSONObject3 = optJSONObject2.optJSONObject("blurRadius");
                        if (optJSONObject3 != null) {
                            keys = optJSONObject3.keys();
                            while (keys.hasNext()) {
                                optString = (String) keys.next();
                                fabbyMvPart.blurRadiusMap.add(Pair.create(Float.valueOf(optString), Double.valueOf(optJSONObject3.optDouble(optString, 0.0d))));
                            }
                        }
                        Collections.sort(fabbyMvPart.blurRadiusMap, mRangeValueComp);
                        fabbyMvPart.blurDirectionMap.clear();
                        optJSONObject3 = optJSONObject2.optJSONObject("blurDirection");
                        if (optJSONObject3 != null) {
                            keys = optJSONObject3.keys();
                            while (keys.hasNext()) {
                                optString = (String) keys.next();
                                fabbyMvPart.blurDirectionMap.add(Pair.create(Float.valueOf(optString), Double.valueOf(optJSONObject3.optDouble(optString, 0.0d))));
                            }
                        }
                        Collections.sort(fabbyMvPart.blurDirectionMap, mRangeValueComp);
                        fabbyMvPart.gridTypeMap.clear();
                        optJSONObject3 = optJSONObject2.optJSONObject("gridType");
                        if (optJSONObject3 != null) {
                            keys = optJSONObject3.keys();
                            while (keys.hasNext()) {
                                optString = (String) keys.next();
                                fabbyMvPart.gridTypeMap.add(Pair.create(Float.valueOf(optString), Integer.valueOf(optJSONObject3.optInt(optString, 0))));
                            }
                        }
                        Collections.sort(fabbyMvPart.gridTypeMap, mDivideValueComp);
                        fabbyMvPart.gridSettingMap.clear();
                        optJSONObject5 = optJSONObject2.optJSONObject("gridSettingFile");
                        if (optJSONObject5 != null) {
                            Iterator keys4 = optJSONObject5.keys();
                            while (keys4.hasNext()) {
                                optString = (String) keys4.next();
                                str2 = optJSONObject5.optString(optString);
                                if (!TextUtils.isEmpty(str2)) {
                                    optJSONObject3 = parseVideoMaterialFileAsJSONObject(str, str2, true, decryptListener);
                                    if (optJSONObject3 != null) {
                                        GridSettingModel gridSettingModel = new GridSettingModel();
                                        Rect rect = new Rect(0, 0, 720, 1280);
                                        optJSONObject4 = optJSONObject3.optJSONObject("canvasSize");
                                        if (optJSONObject4 != null) {
                                            rect.width = (int) optJSONObject4.optDouble("width", 720.0d);
                                            rect.height = (int) optJSONObject4.optDouble("height", 1280.0d);
                                        }
                                        JSONArray optJSONArray2 = optJSONObject3.optJSONArray("canvasRectList");
                                        if (optJSONArray2 != null && optJSONArray2.length() > 0) {
                                            for (lastIndexOf = 0; lastIndexOf < optJSONArray2.length(); lastIndexOf++) {
                                                GridModel gridModel = new GridModel();
                                                Rect rect2 = new Rect(0, 0, 720, 1280);
                                                JSONObject optJSONObject6 = optJSONArray2.optJSONObject(lastIndexOf);
                                                if (optJSONObject6 != null) {
                                                    rect2.x = (int) optJSONObject6.optDouble("left", 0.0d);
                                                    rect2.y = (int) optJSONObject6.optDouble("top", 0.0d);
                                                    rect2.width = (int) optJSONObject6.optDouble("width", 720.0d);
                                                    rect2.height = (int) optJSONObject6.optDouble("height", 1280.0d);
                                                    gridModel.renderId = optJSONObject6.optInt("renderId", 0);
                                                    gridModel.zIndex = optJSONObject6.optInt("zIndex", 0);
                                                    gridModel.aspectMode = optJSONObject6.optInt("aspectMode", 0);
                                                    gridModel.positionMode = optJSONObject6.optInt("positionMode", 0);
                                                    gridModel.transformType = optJSONObject6.optInt("transformType", 0);
                                                }
                                                gridModel.canvasRect = rect2;
                                                gridSettingModel.canvasRectList.add(gridModel);
                                            }
                                            Collections.sort(gridSettingModel.canvasRectList, mGridModelComparator);
                                        }
                                        gridSettingModel.canvasRect = rect;
                                        fabbyMvPart.gridSettingMap.add(Pair.create(Float.valueOf(optString), gridSettingModel));
                                    }
                                }
                            }
                        }
                        Collections.sort(fabbyMvPart.gridSettingMap, mDivideValueCompForObject);
                        fabbyMvPart.gridModeMap.clear();
                        optJSONObject3 = optJSONObject2.optJSONObject("gridMode");
                        if (optJSONObject3 != null) {
                            keys = optJSONObject3.keys();
                            while (keys.hasNext()) {
                                optString = (String) keys.next();
                                fabbyMvPart.gridModeMap.add(Pair.create(Float.valueOf(optString), Integer.valueOf(optJSONObject3.optInt(optString, 0))));
                            }
                        }
                        Collections.sort(fabbyMvPart.gridModeMap, mDivideValueComp);
                        fabbyMvPart.gridOrderMap.clear();
                        optJSONObject3 = optJSONObject2.optJSONObject("gridOrder");
                        if (optJSONObject3 != null) {
                            Iterator keys5 = optJSONObject3.keys();
                            while (keys5.hasNext()) {
                                optString = (String) keys5.next();
                                fabbyMvPart.gridOrderMap.add(Pair.create(Float.valueOf(optString), Integer.valueOf(optJSONObject3.optInt(optString, 0))));
                            }
                        }
                        Collections.sort(fabbyMvPart.gridOrderMap, mDivideValueComp);
                    }
                    optJSONObject3 = optJSONObject.optJSONObject("finishTransition");
                    if (optJSONObject3 != null) {
                        stickerItem2 = new StickerItem();
                        String optString3 = optJSONObject3.optString("maskVideoFile");
                        optString = optJSONObject3.optString("maskImageName");
                        lastIndexOf2 = optJSONObject3.optInt("transitionFunction", 0);
                        if (TextUtils.isEmpty(optString3) && TextUtils.isEmpty(optString)) {
                            stickerItem2.id = BuildConfig.FLAVOR;
                            stickerItem2.subFolder = BuildConfig.FLAVOR;
                        } else if (TextUtils.isEmpty(optString3)) {
                            if (optString.endsWith("_")) {
                                optString = optString.substring(0, optString.length() - 1);
                            }
                            lastIndexOf3 = optString.lastIndexOf("/");
                            stickerItem2.id = optString.substring(lastIndexOf3 + 1, optString.length());
                            stickerItem2.subFolder = optString.substring(0, lastIndexOf3);
                        } else {
                            i = optString3.lastIndexOf("/");
                            stickerItem2.id = optString3.substring(i + 1, optString3.length());
                            stickerItem2.subFolder = optString3.substring(0, i);
                        }
                        stickerItem2.frames = optJSONObject3.optInt("maskImageCount", 1);
                        stickerItem2.frameDuration = (optJSONObject3.optDouble("maskImageDuration", 0.0d) / ((double) stickerItem2.frames)) * 1000.0d;
                        stickerItem2.triggerType = optJSONObject3.optInt("triggerType", 0);
                        if (!(stickerItem2.triggerType != 1 || videoMaterial.getItemList() == null || videoMaterial.getItemList().size() == 0)) {
                            stickerItem2.triggerType = ((StickerItem) videoMaterial.getItemList().get(videoMaterial.getItemList().size() - 1)).triggerType;
                        }
                        fabbyMvPart.transitionItem = stickerItem2;
                        fabbyMvPart.transitionDuration = (long) (optJSONObject3.optDouble("duration", 0.0d) * 1000.0d);
                        fabbyMvPart.transitionEase = optJSONObject3.optInt("easeCurve", 0);
                        fabbyMvPart.transitionMaskType = optJSONObject3.optInt("maskType", 1);
                        fabbyMvPart.transitionFunction = lastIndexOf2;
                    }
                    JSONObject optJSONObject7 = optJSONObject.optJSONObject("filterEffect");
                    if (optJSONObject7 != null) {
                        fabbyMvPart.filterType = optJSONObject7.optInt("type", 0);
                        fabbyMvPart.filterId = optJSONObject7.optString("filter");
                        fabbyMvPart.lutFile = optJSONObject7.optString("lutFile");
                        fabbyMvPart.filterParamMap.clear();
                        optJSONObject3 = optJSONObject7.optJSONObject("param");
                        if (optJSONObject3 != null) {
                            Iterator keys6 = optJSONObject3.keys();
                            while (keys6.hasNext()) {
                                optString = (String) keys6.next();
                                fabbyMvPart.filterParamMap.add(Pair.create(Float.valueOf(optString), Integer.valueOf(optJSONObject3.optInt(optString, 0))));
                            }
                            Collections.sort(fabbyMvPart.filterParamMap, mDivideValueComp);
                        }
                    }
                    fabbyMvPart.duration = (long) (1000.0d * optDouble);
                    fabbyMvPart.partIndex = i2;
                    arrayList.add(fabbyMvPart);
                }
                i = i2 + 1;
            }
            optString = parseVideoMaterialFileAsJSONObject.optString("bgmAudio", BuildConfig.FLAVOR);
            if (!TextUtils.isEmpty(optString)) {
                videoMaterial.setHasAudio(true);
            }
            videoMaterial.setFabbyParts(new FabbyParts(arrayList, optString));
            JSONArray optJSONArray3 = jSONObject.optJSONArray(FIELD.MULTI_VIEWER.value);
            ArrayList arrayList3 = new ArrayList();
            if (optJSONArray3 != null) {
                for (i = 0; i < optJSONArray3.length(); i++) {
                    MultiViewerItem multiViewerItem = new MultiViewerItem();
                    JSONObject optJSONObject8 = optJSONArray3.optJSONObject(i);
                    if (optJSONObject8 != null) {
                        multiViewerItem.videoMaterial = parseVideoMaterial(str, optJSONObject8.optString("importMaterial"), true, decryptListener);
                        if (VideoMaterialUtil.isWatermarkMaterial(multiViewerItem.videoMaterial)) {
                            LogicDataManager.getInstance().init(multiViewerItem.videoMaterial);
                        }
                        multiViewerItem.renderId = optJSONObject8.optInt("renderId");
                        JSONArray optJSONArray4 = optJSONObject8.optJSONArray("activeParts");
                        if (optJSONArray4 != null) {
                            for (lastIndexOf = 0; lastIndexOf < optJSONArray4.length(); lastIndexOf++) {
                                multiViewerItem.activeParts.add(Integer.valueOf(optJSONArray4.optInt(lastIndexOf)));
                            }
                        }
                        multiViewerItem.needOriginFrame = optJSONObject8.optInt("needOriginFrame", 1) == 1;
                    }
                    arrayList3.add(multiViewerItem);
                }
            }
            videoMaterial.setMultiViewerItemList(arrayList3);
            AppMethodBeat.o(84268);
        }
    }

    public static void parseAudio2TextParams(JSONObject jSONObject, VideoMaterial videoMaterial) {
        AppMethodBeat.i(84269);
        JSONObject optJSONObject = jSONObject.optJSONObject("audio2text");
        if (optJSONObject != null) {
            Audio2Text audio2Text = new Audio2Text();
            audio2Text.sentenceCount = optJSONObject.optInt("sentenceCount", 0);
            audio2Text.sentenceMode = optJSONObject.optInt("sentenceMode", 0);
            audio2Text.silenceTime = optJSONObject.optDouble("silenceTime", 0.0d);
            audio2Text.segmentCount = optJSONObject.optInt("segmentCount", 0);
            audio2Text.segmentTime = optJSONObject.optDouble("segmentTime", 0.0d);
            audio2Text.triggerWords = optJSONObject.optString("triggerWords", null);
            videoMaterial.setAudio2Text(audio2Text);
        }
        AppMethodBeat.o(84269);
    }

    public static JSONObject parseVideoMaterialString(String str, DecryptListener decryptListener) {
        JSONObject jSONObject;
        AppMethodBeat.i(84270);
        JSONObject jSONObject2 = null;
        CharSequence trim = str.trim();
        if (trim != null) {
            try {
                if (trim.charAt(0) != '{') {
                    BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(drinkACupOfCoffee(new ByteArrayInputStream(trim.getBytes(Charset.forName("UTF-8"))), decryptListener)), 1024);
                    StringBuffer stringBuffer = new StringBuffer();
                    while (true) {
                        String readLine = bufferedReader.readLine();
                        if (readLine == null) {
                            break;
                        }
                        stringBuffer.append(readLine);
                    }
                    trim = stringBuffer.toString();
                }
            } catch (Exception e) {
            }
        }
        if (TextUtils.isEmpty(trim)) {
            jSONObject = null;
        } else {
            jSONObject = (JSONObject) new JSONTokener(trim).nextValue();
        }
        jSONObject2 = jSONObject;
        AppMethodBeat.o(84270);
        return jSONObject2;
    }

    public static JSONObject parseVideoMaterialFileAsJSONObject(String str, String str2, boolean z, DecryptListener decryptListener) {
        AppMethodBeat.i(84271);
        String readMaterialFile = readMaterialFile(str, str2, z, decryptListener);
        LogUtils.d(TAG, "[material str]".concat(String.valueOf(readMaterialFile)));
        if (!(readMaterialFile == null || TextUtils.isEmpty(readMaterialFile))) {
            try {
                JSONObject jSONObject = (JSONObject) new JSONTokener(readMaterialFile).nextValue();
                AppMethodBeat.o(84271);
                return jSONObject;
            } catch (JSONException e) {
            }
        }
        AppMethodBeat.o(84271);
        return null;
    }

    public static JSONArray parseVideoMaterialFileAsJSONArray(String str, String str2, boolean z, DecryptListener decryptListener) {
        AppMethodBeat.i(84272);
        String readMaterialFile = readMaterialFile(str, str2, z, decryptListener);
        if (!(readMaterialFile == null || TextUtils.isEmpty(readMaterialFile))) {
            try {
                JSONArray jSONArray = (JSONArray) new JSONTokener(readMaterialFile).nextValue();
                AppMethodBeat.o(84272);
                return jSONArray;
            } catch (JSONException e) {
            }
        }
        AppMethodBeat.o(84272);
        return null;
    }

    public static ParticleConfig parseParticleConfig(String str, String str2, DecryptListener decryptListener) {
        AppMethodBeat.i(84273);
        if (TextUtils.isEmpty(str) || TextUtils.isEmpty(str2)) {
            AppMethodBeat.o(84273);
        } else {
            try {
                new JSONTokener(XML.toJSONObject(readPexFile(str, str2, decryptListener)).toString()).nextValue();
                AppMethodBeat.o(84273);
            } catch (Exception | JSONException e) {
                AppMethodBeat.o(84273);
            }
        }
        return null;
    }

    /* JADX WARNING: Removed duplicated region for block: B:103:0x017a A:{SYNTHETIC, Splitter:B:103:0x017a} */
    /* JADX WARNING: Removed duplicated region for block: B:106:0x017f A:{Catch:{ IOException -> 0x0190 }} */
    /* JADX WARNING: Removed duplicated region for block: B:108:0x0184 A:{Catch:{ IOException -> 0x0190 }} */
    /* JADX WARNING: Removed duplicated region for block: B:110:0x0189 A:{Catch:{ IOException -> 0x0190 }} */
    /* JADX WARNING: Removed duplicated region for block: B:40:0x00b1 A:{SYNTHETIC, Splitter:B:40:0x00b1} */
    /* JADX WARNING: Removed duplicated region for block: B:43:0x00b6 A:{Catch:{ IOException -> 0x0165 }} */
    /* JADX WARNING: Removed duplicated region for block: B:45:0x00bb A:{Catch:{ IOException -> 0x0165 }} */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x00c0 A:{Catch:{ IOException -> 0x0165 }} */
    /* JADX WARNING: Removed duplicated region for block: B:103:0x017a A:{SYNTHETIC, Splitter:B:103:0x017a} */
    /* JADX WARNING: Removed duplicated region for block: B:106:0x017f A:{Catch:{ IOException -> 0x0190 }} */
    /* JADX WARNING: Removed duplicated region for block: B:108:0x0184 A:{Catch:{ IOException -> 0x0190 }} */
    /* JADX WARNING: Removed duplicated region for block: B:110:0x0189 A:{Catch:{ IOException -> 0x0190 }} */
    /* JADX WARNING: Removed duplicated region for block: B:40:0x00b1 A:{SYNTHETIC, Splitter:B:40:0x00b1} */
    /* JADX WARNING: Removed duplicated region for block: B:43:0x00b6 A:{Catch:{ IOException -> 0x0165 }} */
    /* JADX WARNING: Removed duplicated region for block: B:45:0x00bb A:{Catch:{ IOException -> 0x0165 }} */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x00c0 A:{Catch:{ IOException -> 0x0165 }} */
    /* JADX WARNING: Removed duplicated region for block: B:103:0x017a A:{SYNTHETIC, Splitter:B:103:0x017a} */
    /* JADX WARNING: Removed duplicated region for block: B:106:0x017f A:{Catch:{ IOException -> 0x0190 }} */
    /* JADX WARNING: Removed duplicated region for block: B:108:0x0184 A:{Catch:{ IOException -> 0x0190 }} */
    /* JADX WARNING: Removed duplicated region for block: B:110:0x0189 A:{Catch:{ IOException -> 0x0190 }} */
    /* JADX WARNING: Removed duplicated region for block: B:40:0x00b1 A:{SYNTHETIC, Splitter:B:40:0x00b1} */
    /* JADX WARNING: Removed duplicated region for block: B:43:0x00b6 A:{Catch:{ IOException -> 0x0165 }} */
    /* JADX WARNING: Removed duplicated region for block: B:45:0x00bb A:{Catch:{ IOException -> 0x0165 }} */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x00c0 A:{Catch:{ IOException -> 0x0165 }} */
    /* JADX WARNING: Removed duplicated region for block: B:103:0x017a A:{SYNTHETIC, Splitter:B:103:0x017a} */
    /* JADX WARNING: Removed duplicated region for block: B:106:0x017f A:{Catch:{ IOException -> 0x0190 }} */
    /* JADX WARNING: Removed duplicated region for block: B:108:0x0184 A:{Catch:{ IOException -> 0x0190 }} */
    /* JADX WARNING: Removed duplicated region for block: B:110:0x0189 A:{Catch:{ IOException -> 0x0190 }} */
    /* JADX WARNING: Removed duplicated region for block: B:103:0x017a A:{SYNTHETIC, Splitter:B:103:0x017a} */
    /* JADX WARNING: Removed duplicated region for block: B:106:0x017f A:{Catch:{ IOException -> 0x0190 }} */
    /* JADX WARNING: Removed duplicated region for block: B:108:0x0184 A:{Catch:{ IOException -> 0x0190 }} */
    /* JADX WARNING: Removed duplicated region for block: B:110:0x0189 A:{Catch:{ IOException -> 0x0190 }} */
    /* JADX WARNING: Removed duplicated region for block: B:40:0x00b1 A:{SYNTHETIC, Splitter:B:40:0x00b1} */
    /* JADX WARNING: Removed duplicated region for block: B:43:0x00b6 A:{Catch:{ IOException -> 0x0165 }} */
    /* JADX WARNING: Removed duplicated region for block: B:45:0x00bb A:{Catch:{ IOException -> 0x0165 }} */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x00c0 A:{Catch:{ IOException -> 0x0165 }} */
    /* JADX WARNING: Removed duplicated region for block: B:103:0x017a A:{SYNTHETIC, Splitter:B:103:0x017a} */
    /* JADX WARNING: Removed duplicated region for block: B:106:0x017f A:{Catch:{ IOException -> 0x0190 }} */
    /* JADX WARNING: Removed duplicated region for block: B:108:0x0184 A:{Catch:{ IOException -> 0x0190 }} */
    /* JADX WARNING: Removed duplicated region for block: B:110:0x0189 A:{Catch:{ IOException -> 0x0190 }} */
    /* JADX WARNING: Removed duplicated region for block: B:103:0x017a A:{SYNTHETIC, Splitter:B:103:0x017a} */
    /* JADX WARNING: Removed duplicated region for block: B:106:0x017f A:{Catch:{ IOException -> 0x0190 }} */
    /* JADX WARNING: Removed duplicated region for block: B:108:0x0184 A:{Catch:{ IOException -> 0x0190 }} */
    /* JADX WARNING: Removed duplicated region for block: B:110:0x0189 A:{Catch:{ IOException -> 0x0190 }} */
    /* JADX WARNING: Removed duplicated region for block: B:91:0x014b  */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x0086 A:{SYNTHETIC, Splitter:B:25:0x0086} */
    /* JADX WARNING: Removed duplicated region for block: B:134:0x01cf A:{Splitter:B:64:0x00f7, ExcHandler: Exception (e java.lang.Exception)} */
    /* JADX WARNING: Removed duplicated region for block: B:119:0x01a8 A:{Splitter:B:64:0x00f7, ExcHandler: all (th java.lang.Throwable)} */
    /* JADX WARNING: Removed duplicated region for block: B:76:0x011c  */
    /* JADX WARNING: Removed duplicated region for block: B:77:0x011e  */
    /* JADX WARNING: Removed duplicated region for block: B:74:0x0111 A:{Catch:{ IOException -> 0x0121, Exception -> 0x01cf, all -> 0x01a8 }} */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x0086 A:{SYNTHETIC, Splitter:B:25:0x0086} */
    /* JADX WARNING: Removed duplicated region for block: B:91:0x014b  */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing block: B:41:?, code skipped:
            r6.close();
     */
    /* JADX WARNING: Missing block: B:43:0x00b6, code skipped:
            r5.close();
     */
    /* JADX WARNING: Missing block: B:45:0x00bb, code skipped:
            r7.close();
     */
    /* JADX WARNING: Missing block: B:47:0x00c0, code skipped:
            r1.close();
     */
    /* JADX WARNING: Missing block: B:79:0x0122, code skipped:
            r1 = null;
            r7 = r4;
     */
    /* JADX WARNING: Missing block: B:98:0x0165, code skipped:
            r0 = move-exception;
     */
    /* JADX WARNING: Missing block: B:99:0x0166, code skipped:
            com.tencent.ttpic.baseutils.LogUtils.e(TAG, r0.getMessage(), r0, new java.lang.Object[0]);
     */
    /* JADX WARNING: Missing block: B:119:0x01a8, code skipped:
            r0 = th;
     */
    /* JADX WARNING: Missing block: B:120:0x01a9, code skipped:
            r1 = null;
            r5 = null;
            r6 = null;
            r7 = r4;
     */
    /* JADX WARNING: Missing block: B:134:0x01cf, code skipped:
            r0 = e;
     */
    /* JADX WARNING: Missing block: B:135:0x01d0, code skipped:
            r1 = null;
            r5 = null;
            r6 = null;
            r7 = r4;
     */
    private static java.lang.String readPexFile(java.lang.String r11, java.lang.String r12, com.tencent.ttpic.util.DecryptListener r13) {
        /*
        r1 = 1;
        r10 = 84274; // 0x14932 float:1.18093E-40 double:4.1637E-319;
        r3 = 0;
        r2 = 0;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r10);
        r0 = "dat";
        r0 = r12.endsWith(r0);
        if (r0 != 0) goto L_0x00c8;
    L_0x0012:
        r0 = r1;
    L_0x0013:
        r4 = com.tencent.ttpic.baseutils.FileUtils.getRealPath(r11);
        r5 = new java.lang.StringBuilder;
        r5.<init>();
        r5 = r5.append(r4);
        r6 = "/";
        r5 = r5.append(r6);
        r5 = r5.append(r12);
        r5 = r5.toString();
        r6 = new java.lang.StringBuilder;
        r6.<init>();
        r4 = r6.append(r4);
        r6 = "/";
        r4 = r4.append(r6);
        r4 = r4.append(r12);
        r6 = r4.toString();
        r7 = new java.io.File;	 Catch:{ Exception -> 0x01bb, all -> 0x0173 }
        r7.<init>(r5);	 Catch:{ Exception -> 0x01bb, all -> 0x0173 }
        r8 = new java.io.File;	 Catch:{ Exception -> 0x01bb, all -> 0x0173 }
        r8.<init>(r6);	 Catch:{ Exception -> 0x01bb, all -> 0x0173 }
        r4 = r7.exists();	 Catch:{ Exception -> 0x01bb, all -> 0x0173 }
        if (r4 == 0) goto L_0x005d;
    L_0x0057:
        r4 = r7.isFile();	 Catch:{ Exception -> 0x01bb, all -> 0x0173 }
        if (r4 != 0) goto L_0x0069;
    L_0x005d:
        r4 = r8.exists();	 Catch:{ Exception -> 0x01bb, all -> 0x0173 }
        if (r4 == 0) goto L_0x00e5;
    L_0x0063:
        r4 = r8.isFile();	 Catch:{ Exception -> 0x01bb, all -> 0x0173 }
        if (r4 == 0) goto L_0x00e5;
    L_0x0069:
        r4 = r7.exists();	 Catch:{ Exception -> 0x01bb, all -> 0x0173 }
        if (r4 == 0) goto L_0x00cb;
    L_0x006f:
        r4 = r7.isFile();	 Catch:{ Exception -> 0x01bb, all -> 0x0173 }
        if (r4 == 0) goto L_0x00cb;
    L_0x0075:
        r4 = new java.io.FileInputStream;	 Catch:{ Exception -> 0x01bb, all -> 0x0173 }
        r4.<init>(r7);	 Catch:{ Exception -> 0x01bb, all -> 0x0173 }
    L_0x007a:
        if (r0 != 0) goto L_0x00e2;
    L_0x007c:
        r7 = drinkACupOfCoffee(r4, r13);	 Catch:{ Exception -> 0x01c2, all -> 0x019d }
        com.tencent.util.g.closeQuietly(r4);	 Catch:{ Exception -> 0x01c9, all -> 0x01a3 }
        r1 = r4;
    L_0x0084:
        if (r7 == 0) goto L_0x014b;
    L_0x0086:
        r4 = new java.io.InputStreamReader;	 Catch:{ Exception -> 0x01d6, all -> 0x01ae }
        r4.<init>(r7);	 Catch:{ Exception -> 0x01d6, all -> 0x01ae }
        r6 = new java.io.BufferedReader;	 Catch:{ Exception -> 0x01db, all -> 0x01b2 }
        r0 = 1024; // 0x400 float:1.435E-42 double:5.06E-321;
        r6.<init>(r4, r0);	 Catch:{ Exception -> 0x01db, all -> 0x01b2 }
        r0 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x00a1, all -> 0x01b6 }
        r0.<init>();	 Catch:{ Exception -> 0x00a1, all -> 0x01b6 }
    L_0x0097:
        r5 = r6.readLine();	 Catch:{ Exception -> 0x00a1, all -> 0x01b6 }
        if (r5 == 0) goto L_0x0126;
    L_0x009d:
        r0.append(r5);	 Catch:{ Exception -> 0x00a1, all -> 0x01b6 }
        goto L_0x0097;
    L_0x00a1:
        r0 = move-exception;
        r5 = r4;
    L_0x00a3:
        r4 = TAG;	 Catch:{ all -> 0x01b9 }
        r8 = r0.getMessage();	 Catch:{ all -> 0x01b9 }
        r9 = 0;
        r9 = new java.lang.Object[r9];	 Catch:{ all -> 0x01b9 }
        com.tencent.ttpic.baseutils.LogUtils.e(r4, r8, r0, r9);	 Catch:{ all -> 0x01b9 }
        if (r6 == 0) goto L_0x00b4;
    L_0x00b1:
        r6.close();	 Catch:{ IOException -> 0x0165 }
    L_0x00b4:
        if (r5 == 0) goto L_0x00b9;
    L_0x00b6:
        r5.close();	 Catch:{ IOException -> 0x0165 }
    L_0x00b9:
        if (r7 == 0) goto L_0x00be;
    L_0x00bb:
        r7.close();	 Catch:{ IOException -> 0x0165 }
    L_0x00be:
        if (r1 == 0) goto L_0x00c3;
    L_0x00c0:
        r1.close();	 Catch:{ IOException -> 0x0165 }
    L_0x00c3:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        r0 = r3;
    L_0x00c7:
        return r0;
    L_0x00c8:
        r0 = r2;
        goto L_0x0013;
    L_0x00cb:
        r4 = r8.exists();	 Catch:{ Exception -> 0x01bb, all -> 0x0173 }
        if (r4 == 0) goto L_0x01e3;
    L_0x00d1:
        r4 = r8.isFile();	 Catch:{ Exception -> 0x01bb, all -> 0x0173 }
        if (r4 == 0) goto L_0x01e3;
    L_0x00d7:
        r4 = new java.io.FileInputStream;	 Catch:{ Exception -> 0x01bb, all -> 0x0173 }
        r4.<init>(r8);	 Catch:{ Exception -> 0x01bb, all -> 0x0173 }
        if (r0 != 0) goto L_0x00e0;
    L_0x00de:
        r0 = r1;
        goto L_0x007a;
    L_0x00e0:
        r1 = r2;
        goto L_0x00de;
    L_0x00e2:
        r1 = r4;
        r7 = r4;
        goto L_0x0084;
    L_0x00e5:
        r4 = com.tencent.ttpic.util.VideoGlobalContext.getContext();	 Catch:{ IOException -> 0x00ff }
        r4 = r4.getAssets();	 Catch:{ IOException -> 0x00ff }
        r7 = r4.open(r5);	 Catch:{ IOException -> 0x00ff }
        if (r0 != 0) goto L_0x00fd;
    L_0x00f3:
        r4 = drinkACupOfCoffee(r7, r13);	 Catch:{ IOException -> 0x00ff }
        com.tencent.util.g.closeQuietly(r7);	 Catch:{ IOException -> 0x01e0, Exception -> 0x01cf, all -> 0x01a8 }
        r1 = r3;
        r7 = r4;
        goto L_0x0084;
    L_0x00fd:
        r1 = r3;
        goto L_0x0084;
    L_0x00ff:
        r4 = move-exception;
        r4 = r3;
    L_0x0101:
        r5 = com.tencent.ttpic.util.VideoGlobalContext.getContext();	 Catch:{ IOException -> 0x0121, Exception -> 0x01cf, all -> 0x01a8 }
        r5 = r5.getAssets();	 Catch:{ IOException -> 0x0121, Exception -> 0x01cf, all -> 0x01a8 }
        r7 = r5.open(r6);	 Catch:{ IOException -> 0x0121, Exception -> 0x01cf, all -> 0x01a8 }
        if (r0 != 0) goto L_0x011c;
    L_0x010f:
        if (r1 != 0) goto L_0x011e;
    L_0x0111:
        r4 = drinkACupOfCoffee(r7, r13);	 Catch:{ IOException -> 0x0121, Exception -> 0x01cf, all -> 0x01a8 }
        com.tencent.util.g.closeQuietly(r7);	 Catch:{ IOException -> 0x0121, Exception -> 0x01cf, all -> 0x01a8 }
        r1 = r3;
        r7 = r4;
        goto L_0x0084;
    L_0x011c:
        r1 = r2;
        goto L_0x010f;
    L_0x011e:
        r1 = r3;
        goto L_0x0084;
    L_0x0121:
        r0 = move-exception;
        r1 = r3;
        r7 = r4;
        goto L_0x0084;
    L_0x0126:
        r0 = r0.toString();	 Catch:{ Exception -> 0x00a1, all -> 0x01b6 }
        r6.close();	 Catch:{ IOException -> 0x013e }
        r4.close();	 Catch:{ IOException -> 0x013e }
        if (r7 == 0) goto L_0x0135;
    L_0x0132:
        r7.close();	 Catch:{ IOException -> 0x013e }
    L_0x0135:
        if (r1 == 0) goto L_0x013a;
    L_0x0137:
        r1.close();	 Catch:{ IOException -> 0x013e }
    L_0x013a:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        goto L_0x00c7;
    L_0x013e:
        r1 = move-exception;
        r3 = TAG;
        r4 = r1.getMessage();
        r2 = new java.lang.Object[r2];
        com.tencent.ttpic.baseutils.LogUtils.e(r3, r4, r1, r2);
        goto L_0x013a;
    L_0x014b:
        if (r7 == 0) goto L_0x0150;
    L_0x014d:
        r7.close();	 Catch:{ IOException -> 0x0157 }
    L_0x0150:
        if (r1 == 0) goto L_0x00c3;
    L_0x0152:
        r1.close();	 Catch:{ IOException -> 0x0157 }
        goto L_0x00c3;
    L_0x0157:
        r0 = move-exception;
        r1 = TAG;
        r4 = r0.getMessage();
        r2 = new java.lang.Object[r2];
        com.tencent.ttpic.baseutils.LogUtils.e(r1, r4, r0, r2);
        goto L_0x00c3;
    L_0x0165:
        r0 = move-exception;
        r1 = TAG;
        r4 = r0.getMessage();
        r2 = new java.lang.Object[r2];
        com.tencent.ttpic.baseutils.LogUtils.e(r1, r4, r0, r2);
        goto L_0x00c3;
    L_0x0173:
        r0 = move-exception;
        r1 = r3;
        r5 = r3;
        r6 = r3;
        r7 = r3;
    L_0x0178:
        if (r6 == 0) goto L_0x017d;
    L_0x017a:
        r6.close();	 Catch:{ IOException -> 0x0190 }
    L_0x017d:
        if (r5 == 0) goto L_0x0182;
    L_0x017f:
        r5.close();	 Catch:{ IOException -> 0x0190 }
    L_0x0182:
        if (r7 == 0) goto L_0x0187;
    L_0x0184:
        r7.close();	 Catch:{ IOException -> 0x0190 }
    L_0x0187:
        if (r1 == 0) goto L_0x018c;
    L_0x0189:
        r1.close();	 Catch:{ IOException -> 0x0190 }
    L_0x018c:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r10);
        throw r0;
    L_0x0190:
        r1 = move-exception;
        r3 = TAG;
        r4 = r1.getMessage();
        r2 = new java.lang.Object[r2];
        com.tencent.ttpic.baseutils.LogUtils.e(r3, r4, r1, r2);
        goto L_0x018c;
    L_0x019d:
        r0 = move-exception;
        r1 = r4;
        r5 = r3;
        r6 = r3;
        r7 = r3;
        goto L_0x0178;
    L_0x01a3:
        r0 = move-exception;
        r1 = r4;
        r5 = r3;
        r6 = r3;
        goto L_0x0178;
    L_0x01a8:
        r0 = move-exception;
        r1 = r3;
        r5 = r3;
        r6 = r3;
        r7 = r4;
        goto L_0x0178;
    L_0x01ae:
        r0 = move-exception;
        r5 = r3;
        r6 = r3;
        goto L_0x0178;
    L_0x01b2:
        r0 = move-exception;
        r5 = r4;
        r6 = r3;
        goto L_0x0178;
    L_0x01b6:
        r0 = move-exception;
        r5 = r4;
        goto L_0x0178;
    L_0x01b9:
        r0 = move-exception;
        goto L_0x0178;
    L_0x01bb:
        r0 = move-exception;
        r1 = r3;
        r5 = r3;
        r6 = r3;
        r7 = r3;
        goto L_0x00a3;
    L_0x01c2:
        r0 = move-exception;
        r1 = r4;
        r5 = r3;
        r6 = r3;
        r7 = r3;
        goto L_0x00a3;
    L_0x01c9:
        r0 = move-exception;
        r1 = r4;
        r5 = r3;
        r6 = r3;
        goto L_0x00a3;
    L_0x01cf:
        r0 = move-exception;
        r1 = r3;
        r5 = r3;
        r6 = r3;
        r7 = r4;
        goto L_0x00a3;
    L_0x01d6:
        r0 = move-exception;
        r5 = r3;
        r6 = r3;
        goto L_0x00a3;
    L_0x01db:
        r0 = move-exception;
        r5 = r4;
        r6 = r3;
        goto L_0x00a3;
    L_0x01e0:
        r5 = move-exception;
        goto L_0x0101;
    L_0x01e3:
        r4 = r3;
        goto L_0x007a;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.ttpic.util.VideoTemplateParser.readPexFile(java.lang.String, java.lang.String, com.tencent.ttpic.util.DecryptListener):java.lang.String");
    }

    /* JADX WARNING: Removed duplicated region for block: B:103:0x016b A:{SYNTHETIC, Splitter:B:103:0x016b} */
    /* JADX WARNING: Removed duplicated region for block: B:106:0x0170 A:{Catch:{ IOException -> 0x0181 }} */
    /* JADX WARNING: Removed duplicated region for block: B:108:0x0175 A:{Catch:{ IOException -> 0x0181 }} */
    /* JADX WARNING: Removed duplicated region for block: B:110:0x017a A:{Catch:{ IOException -> 0x0181 }} */
    /* JADX WARNING: Removed duplicated region for block: B:94:0x0154  */
    /* JADX WARNING: Removed duplicated region for block: B:28:0x009c A:{SYNTHETIC, Splitter:B:28:0x009c} */
    /* JADX WARNING: Removed duplicated region for block: B:103:0x016b A:{SYNTHETIC, Splitter:B:103:0x016b} */
    /* JADX WARNING: Removed duplicated region for block: B:106:0x0170 A:{Catch:{ IOException -> 0x0181 }} */
    /* JADX WARNING: Removed duplicated region for block: B:108:0x0175 A:{Catch:{ IOException -> 0x0181 }} */
    /* JADX WARNING: Removed duplicated region for block: B:110:0x017a A:{Catch:{ IOException -> 0x0181 }} */
    /* JADX WARNING: Removed duplicated region for block: B:81:0x0132  */
    /* JADX WARNING: Removed duplicated region for block: B:82:0x0134  */
    /* JADX WARNING: Removed duplicated region for block: B:79:0x0127 A:{Catch:{ IOException -> 0x0137, Exception -> 0x01c1, all -> 0x0190 }} */
    /* JADX WARNING: Removed duplicated region for block: B:28:0x009c A:{SYNTHETIC, Splitter:B:28:0x009c} */
    /* JADX WARNING: Removed duplicated region for block: B:94:0x0154  */
    /* JADX WARNING: Removed duplicated region for block: B:43:0x00bf A:{SYNTHETIC, Splitter:B:43:0x00bf} */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x00c4 A:{Catch:{ IOException -> 0x01a7 }} */
    /* JADX WARNING: Removed duplicated region for block: B:48:0x00c9 A:{Catch:{ IOException -> 0x01a7 }} */
    /* JADX WARNING: Removed duplicated region for block: B:50:0x00ce A:{Catch:{ IOException -> 0x01a7 }} */
    /* JADX WARNING: Removed duplicated region for block: B:103:0x016b A:{SYNTHETIC, Splitter:B:103:0x016b} */
    /* JADX WARNING: Removed duplicated region for block: B:106:0x0170 A:{Catch:{ IOException -> 0x0181 }} */
    /* JADX WARNING: Removed duplicated region for block: B:108:0x0175 A:{Catch:{ IOException -> 0x0181 }} */
    /* JADX WARNING: Removed duplicated region for block: B:110:0x017a A:{Catch:{ IOException -> 0x0181 }} */
    /* JADX WARNING: Removed duplicated region for block: B:43:0x00bf A:{SYNTHETIC, Splitter:B:43:0x00bf} */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x00c4 A:{Catch:{ IOException -> 0x01a7 }} */
    /* JADX WARNING: Removed duplicated region for block: B:48:0x00c9 A:{Catch:{ IOException -> 0x01a7 }} */
    /* JADX WARNING: Removed duplicated region for block: B:50:0x00ce A:{Catch:{ IOException -> 0x01a7 }} */
    /* JADX WARNING: Removed duplicated region for block: B:103:0x016b A:{SYNTHETIC, Splitter:B:103:0x016b} */
    /* JADX WARNING: Removed duplicated region for block: B:106:0x0170 A:{Catch:{ IOException -> 0x0181 }} */
    /* JADX WARNING: Removed duplicated region for block: B:108:0x0175 A:{Catch:{ IOException -> 0x0181 }} */
    /* JADX WARNING: Removed duplicated region for block: B:110:0x017a A:{Catch:{ IOException -> 0x0181 }} */
    /* JADX WARNING: Removed duplicated region for block: B:103:0x016b A:{SYNTHETIC, Splitter:B:103:0x016b} */
    /* JADX WARNING: Removed duplicated region for block: B:106:0x0170 A:{Catch:{ IOException -> 0x0181 }} */
    /* JADX WARNING: Removed duplicated region for block: B:108:0x0175 A:{Catch:{ IOException -> 0x0181 }} */
    /* JADX WARNING: Removed duplicated region for block: B:110:0x017a A:{Catch:{ IOException -> 0x0181 }} */
    /* JADX WARNING: Removed duplicated region for block: B:43:0x00bf A:{SYNTHETIC, Splitter:B:43:0x00bf} */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x00c4 A:{Catch:{ IOException -> 0x01a7 }} */
    /* JADX WARNING: Removed duplicated region for block: B:48:0x00c9 A:{Catch:{ IOException -> 0x01a7 }} */
    /* JADX WARNING: Removed duplicated region for block: B:50:0x00ce A:{Catch:{ IOException -> 0x01a7 }} */
    /* JADX WARNING: Removed duplicated region for block: B:103:0x016b A:{SYNTHETIC, Splitter:B:103:0x016b} */
    /* JADX WARNING: Removed duplicated region for block: B:106:0x0170 A:{Catch:{ IOException -> 0x0181 }} */
    /* JADX WARNING: Removed duplicated region for block: B:108:0x0175 A:{Catch:{ IOException -> 0x0181 }} */
    /* JADX WARNING: Removed duplicated region for block: B:110:0x017a A:{Catch:{ IOException -> 0x0181 }} */
    /* JADX WARNING: Removed duplicated region for block: B:135:0x01c1 A:{Splitter:B:69:0x010d, ExcHandler: Exception (e java.lang.Exception)} */
    /* JADX WARNING: Removed duplicated region for block: B:118:0x0190 A:{Splitter:B:69:0x010d, ExcHandler: all (th java.lang.Throwable)} */
    /* JADX WARNING: Removed duplicated region for block: B:43:0x00bf A:{SYNTHETIC, Splitter:B:43:0x00bf} */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x00c4 A:{Catch:{ IOException -> 0x01a7 }} */
    /* JADX WARNING: Removed duplicated region for block: B:48:0x00c9 A:{Catch:{ IOException -> 0x01a7 }} */
    /* JADX WARNING: Removed duplicated region for block: B:50:0x00ce A:{Catch:{ IOException -> 0x01a7 }} */
    /* JADX WARNING: Removed duplicated region for block: B:103:0x016b A:{SYNTHETIC, Splitter:B:103:0x016b} */
    /* JADX WARNING: Removed duplicated region for block: B:106:0x0170 A:{Catch:{ IOException -> 0x0181 }} */
    /* JADX WARNING: Removed duplicated region for block: B:108:0x0175 A:{Catch:{ IOException -> 0x0181 }} */
    /* JADX WARNING: Removed duplicated region for block: B:110:0x017a A:{Catch:{ IOException -> 0x0181 }} */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing block: B:118:0x0190, code skipped:
            r1 = th;
     */
    /* JADX WARNING: Missing block: B:119:0x0191, code skipped:
            r2 = null;
            r5 = null;
            r6 = null;
            r7 = r0;
     */
    /* JADX WARNING: Missing block: B:135:0x01c1, code skipped:
            r1 = e;
     */
    /* JADX WARNING: Missing block: B:136:0x01c2, code skipped:
            r2 = null;
            r5 = null;
            r6 = null;
            r7 = r0;
     */
    private static java.lang.String readMaterialFile(java.lang.String r9, java.lang.String r10, boolean r11, com.tencent.ttpic.util.DecryptListener r12) {
        /*
        r1 = 1;
        r2 = 0;
        r8 = 84275; // 0x14933 float:1.18094E-40 double:4.16374E-319;
        r3 = 0;
        com.tencent.matrix.trace.core.AppMethodBeat.i(r8);
        r4 = com.tencent.ttpic.baseutils.FileUtils.getRealPath(r9);
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r0 = r0.append(r4);
        r5 = "/";
        r0 = r0.append(r5);
        r0 = r0.append(r10);
        r5 = ".";
        r5 = r0.append(r5);
        if (r11 == 0) goto L_0x00d6;
    L_0x002a:
        r0 = "json";
    L_0x002d:
        r0 = r5.append(r0);
        r5 = r0.toString();
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r0 = r0.append(r4);
        r4 = "/";
        r0 = r0.append(r4);
        r0 = r0.append(r10);
        r4 = ".";
        r4 = r0.append(r4);
        if (r11 != 0) goto L_0x00db;
    L_0x0052:
        r0 = "json";
    L_0x0055:
        r0 = r4.append(r0);
        r4 = r0.toString();
        r0 = new java.io.File;	 Catch:{ Exception -> 0x01aa, all -> 0x0163 }
        r0.<init>(r5);	 Catch:{ Exception -> 0x01aa, all -> 0x0163 }
        r6 = new java.io.File;	 Catch:{ Exception -> 0x01aa, all -> 0x0163 }
        r6.<init>(r4);	 Catch:{ Exception -> 0x01aa, all -> 0x0163 }
        r7 = r0.exists();	 Catch:{ Exception -> 0x01aa, all -> 0x0163 }
        if (r7 == 0) goto L_0x0073;
    L_0x006d:
        r7 = r0.isFile();	 Catch:{ Exception -> 0x01aa, all -> 0x0163 }
        if (r7 != 0) goto L_0x007f;
    L_0x0073:
        r7 = r6.exists();	 Catch:{ Exception -> 0x01aa, all -> 0x0163 }
        if (r7 == 0) goto L_0x00fb;
    L_0x0079:
        r7 = r6.isFile();	 Catch:{ Exception -> 0x01aa, all -> 0x0163 }
        if (r7 == 0) goto L_0x00fb;
    L_0x007f:
        r4 = r0.exists();	 Catch:{ Exception -> 0x01aa, all -> 0x0163 }
        if (r4 == 0) goto L_0x00e0;
    L_0x0085:
        r4 = r0.isFile();	 Catch:{ Exception -> 0x01aa, all -> 0x0163 }
        if (r4 == 0) goto L_0x00e0;
    L_0x008b:
        r4 = new java.io.FileInputStream;	 Catch:{ Exception -> 0x01aa, all -> 0x0163 }
        r4.<init>(r0);	 Catch:{ Exception -> 0x01aa, all -> 0x0163 }
    L_0x0090:
        if (r11 != 0) goto L_0x00f8;
    L_0x0092:
        r7 = drinkACupOfCoffee(r4, r12);	 Catch:{ Exception -> 0x01b2, all -> 0x0183 }
        com.tencent.util.g.closeQuietly(r4);	 Catch:{ Exception -> 0x01ba, all -> 0x018a }
        r2 = r4;
    L_0x009a:
        if (r7 == 0) goto L_0x0154;
    L_0x009c:
        r4 = new java.io.InputStreamReader;	 Catch:{ Exception -> 0x01c8, all -> 0x0196 }
        r4.<init>(r7);	 Catch:{ Exception -> 0x01c8, all -> 0x0196 }
        r6 = new java.io.BufferedReader;	 Catch:{ Exception -> 0x01ce, all -> 0x019b }
        r0 = 1024; // 0x400 float:1.435E-42 double:5.06E-321;
        r6.<init>(r4, r0);	 Catch:{ Exception -> 0x01ce, all -> 0x019b }
        r0 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x00b7, all -> 0x01a0 }
        r0.<init>();	 Catch:{ Exception -> 0x00b7, all -> 0x01a0 }
    L_0x00ad:
        r1 = r6.readLine();	 Catch:{ Exception -> 0x00b7, all -> 0x01a0 }
        if (r1 == 0) goto L_0x013c;
    L_0x00b3:
        r0.append(r1);	 Catch:{ Exception -> 0x00b7, all -> 0x01a0 }
        goto L_0x00ad;
    L_0x00b7:
        r0 = move-exception;
        r1 = r0;
        r5 = r4;
    L_0x00ba:
        r1.getMessage();	 Catch:{ all -> 0x01a4 }
        if (r6 == 0) goto L_0x00c2;
    L_0x00bf:
        r6.close();	 Catch:{ IOException -> 0x01a7 }
    L_0x00c2:
        if (r5 == 0) goto L_0x00c7;
    L_0x00c4:
        r5.close();	 Catch:{ IOException -> 0x01a7 }
    L_0x00c7:
        if (r7 == 0) goto L_0x00cc;
    L_0x00c9:
        r7.close();	 Catch:{ IOException -> 0x01a7 }
    L_0x00cc:
        if (r2 == 0) goto L_0x00d1;
    L_0x00ce:
        r2.close();	 Catch:{ IOException -> 0x01a7 }
    L_0x00d1:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        r0 = r3;
    L_0x00d5:
        return r0;
    L_0x00d6:
        r0 = "dat";
        goto L_0x002d;
    L_0x00db:
        r0 = "dat";
        goto L_0x0055;
    L_0x00e0:
        r0 = r6.exists();	 Catch:{ Exception -> 0x01aa, all -> 0x0163 }
        if (r0 == 0) goto L_0x01da;
    L_0x00e6:
        r0 = r6.isFile();	 Catch:{ Exception -> 0x01aa, all -> 0x0163 }
        if (r0 == 0) goto L_0x01da;
    L_0x00ec:
        r4 = new java.io.FileInputStream;	 Catch:{ Exception -> 0x01aa, all -> 0x0163 }
        r4.<init>(r6);	 Catch:{ Exception -> 0x01aa, all -> 0x0163 }
        if (r11 != 0) goto L_0x00f6;
    L_0x00f3:
        r0 = r1;
    L_0x00f4:
        r11 = r0;
        goto L_0x0090;
    L_0x00f6:
        r0 = r2;
        goto L_0x00f4;
    L_0x00f8:
        r2 = r4;
        r7 = r4;
        goto L_0x009a;
    L_0x00fb:
        r0 = com.tencent.ttpic.util.VideoGlobalContext.getContext();	 Catch:{ IOException -> 0x0115 }
        r0 = r0.getAssets();	 Catch:{ IOException -> 0x0115 }
        r7 = r0.open(r5);	 Catch:{ IOException -> 0x0115 }
        if (r11 != 0) goto L_0x0113;
    L_0x0109:
        r0 = drinkACupOfCoffee(r7, r12);	 Catch:{ IOException -> 0x0115 }
        com.tencent.util.g.closeQuietly(r7);	 Catch:{ IOException -> 0x01d7, Exception -> 0x01c1, all -> 0x0190 }
        r2 = r3;
        r7 = r0;
        goto L_0x009a;
    L_0x0113:
        r2 = r3;
        goto L_0x009a;
    L_0x0115:
        r0 = move-exception;
        r0 = r3;
    L_0x0117:
        r5 = com.tencent.ttpic.util.VideoGlobalContext.getContext();	 Catch:{ IOException -> 0x0137, Exception -> 0x01c1, all -> 0x0190 }
        r5 = r5.getAssets();	 Catch:{ IOException -> 0x0137, Exception -> 0x01c1, all -> 0x0190 }
        r7 = r5.open(r4);	 Catch:{ IOException -> 0x0137, Exception -> 0x01c1, all -> 0x0190 }
        if (r11 != 0) goto L_0x0132;
    L_0x0125:
        if (r1 != 0) goto L_0x0134;
    L_0x0127:
        r0 = drinkACupOfCoffee(r7, r12);	 Catch:{ IOException -> 0x0137, Exception -> 0x01c1, all -> 0x0190 }
        com.tencent.util.g.closeQuietly(r7);	 Catch:{ IOException -> 0x0137, Exception -> 0x01c1, all -> 0x0190 }
        r2 = r3;
        r7 = r0;
        goto L_0x009a;
    L_0x0132:
        r1 = r2;
        goto L_0x0125;
    L_0x0134:
        r2 = r3;
        goto L_0x009a;
    L_0x0137:
        r1 = move-exception;
        r2 = r3;
        r7 = r0;
        goto L_0x009a;
    L_0x013c:
        r0 = r0.toString();	 Catch:{ Exception -> 0x00b7, all -> 0x01a0 }
        r6.close();	 Catch:{ IOException -> 0x01d4 }
        r4.close();	 Catch:{ IOException -> 0x01d4 }
        if (r7 == 0) goto L_0x014b;
    L_0x0148:
        r7.close();	 Catch:{ IOException -> 0x01d4 }
    L_0x014b:
        if (r2 == 0) goto L_0x0150;
    L_0x014d:
        r2.close();	 Catch:{ IOException -> 0x01d4 }
    L_0x0150:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        goto L_0x00d5;
    L_0x0154:
        if (r7 == 0) goto L_0x0159;
    L_0x0156:
        r7.close();	 Catch:{ IOException -> 0x0160 }
    L_0x0159:
        if (r2 == 0) goto L_0x00d1;
    L_0x015b:
        r2.close();	 Catch:{ IOException -> 0x0160 }
        goto L_0x00d1;
    L_0x0160:
        r0 = move-exception;
        goto L_0x00d1;
    L_0x0163:
        r0 = move-exception;
        r1 = r0;
        r2 = r3;
        r5 = r3;
        r6 = r3;
        r7 = r3;
    L_0x0169:
        if (r6 == 0) goto L_0x016e;
    L_0x016b:
        r6.close();	 Catch:{ IOException -> 0x0181 }
    L_0x016e:
        if (r5 == 0) goto L_0x0173;
    L_0x0170:
        r5.close();	 Catch:{ IOException -> 0x0181 }
    L_0x0173:
        if (r7 == 0) goto L_0x0178;
    L_0x0175:
        r7.close();	 Catch:{ IOException -> 0x0181 }
    L_0x0178:
        if (r2 == 0) goto L_0x017d;
    L_0x017a:
        r2.close();	 Catch:{ IOException -> 0x0181 }
    L_0x017d:
        com.tencent.matrix.trace.core.AppMethodBeat.o(r8);
        throw r1;
    L_0x0181:
        r0 = move-exception;
        goto L_0x017d;
    L_0x0183:
        r0 = move-exception;
        r1 = r0;
        r2 = r4;
        r5 = r3;
        r6 = r3;
        r7 = r3;
        goto L_0x0169;
    L_0x018a:
        r0 = move-exception;
        r1 = r0;
        r2 = r4;
        r5 = r3;
        r6 = r3;
        goto L_0x0169;
    L_0x0190:
        r1 = move-exception;
        r2 = r3;
        r5 = r3;
        r6 = r3;
        r7 = r0;
        goto L_0x0169;
    L_0x0196:
        r0 = move-exception;
        r1 = r0;
        r5 = r3;
        r6 = r3;
        goto L_0x0169;
    L_0x019b:
        r0 = move-exception;
        r1 = r0;
        r5 = r4;
        r6 = r3;
        goto L_0x0169;
    L_0x01a0:
        r0 = move-exception;
        r1 = r0;
        r5 = r4;
        goto L_0x0169;
    L_0x01a4:
        r0 = move-exception;
        r1 = r0;
        goto L_0x0169;
    L_0x01a7:
        r0 = move-exception;
        goto L_0x00d1;
    L_0x01aa:
        r0 = move-exception;
        r1 = r0;
        r2 = r3;
        r5 = r3;
        r6 = r3;
        r7 = r3;
        goto L_0x00ba;
    L_0x01b2:
        r0 = move-exception;
        r1 = r0;
        r2 = r4;
        r5 = r3;
        r6 = r3;
        r7 = r3;
        goto L_0x00ba;
    L_0x01ba:
        r0 = move-exception;
        r1 = r0;
        r2 = r4;
        r5 = r3;
        r6 = r3;
        goto L_0x00ba;
    L_0x01c1:
        r1 = move-exception;
        r2 = r3;
        r5 = r3;
        r6 = r3;
        r7 = r0;
        goto L_0x00ba;
    L_0x01c8:
        r0 = move-exception;
        r1 = r0;
        r5 = r3;
        r6 = r3;
        goto L_0x00ba;
    L_0x01ce:
        r0 = move-exception;
        r1 = r0;
        r5 = r4;
        r6 = r3;
        goto L_0x00ba;
    L_0x01d4:
        r1 = move-exception;
        goto L_0x0150;
    L_0x01d7:
        r5 = move-exception;
        goto L_0x0117;
    L_0x01da:
        r4 = r3;
        goto L_0x0090;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.ttpic.util.VideoTemplateParser.readMaterialFile(java.lang.String, java.lang.String, boolean, com.tencent.ttpic.util.DecryptListener):java.lang.String");
    }

    private static InputStream drinkACupOfCoffee(InputStream inputStream, DecryptListener decryptListener) {
        AppMethodBeat.i(84276);
        byte[] toByteArray = g.toByteArray(inputStream);
        if (decryptListener != null) {
            toByteArray = decryptListener.decrypt(toByteArray);
        }
        ByteArrayInputStream byteArrayInputStream = new ByteArrayInputStream(toByteArray);
        AppMethodBeat.o(84276);
        return byteArrayInputStream;
    }

    private static void checkValid(VideoMaterial videoMaterial) {
        AppMethodBeat.i(84277);
        if (videoMaterial == null) {
            AppMethodBeat.o(84277);
            return;
        }
        List<StickerItem> itemList = videoMaterial.getItemList();
        if (itemList == null) {
            AppMethodBeat.o(84277);
            return;
        }
        for (StickerItem stickerItem : itemList) {
            IllegalArgumentException illegalArgumentException;
            if (stickerItem.type == POSITION_TYPE.STATIC.type) {
                if (stickerItem.position == null || stickerItem.position.length < 2) {
                    illegalArgumentException = new IllegalArgumentException("No \"position\" field in static sticker");
                    AppMethodBeat.o(84277);
                    throw illegalArgumentException;
                }
            } else if (stickerItem.type != POSITION_TYPE.DYNAMIC.type) {
                continue;
            } else if (stickerItem.scalePivots == null || stickerItem.scalePivots.length < 2) {
                illegalArgumentException = new IllegalArgumentException("No \"scalePivot\" field in dynamic sticker");
                AppMethodBeat.o(84277);
                throw illegalArgumentException;
            } else if (stickerItem.alignFacePoints == null || stickerItem.alignFacePoints.length == 0) {
                illegalArgumentException = new IllegalArgumentException("No \"alignFacePoints\" field in dynamic sticker");
                AppMethodBeat.o(84277);
                throw illegalArgumentException;
            } else if (stickerItem.anchorPoint == null || stickerItem.anchorPoint.length < 2) {
                illegalArgumentException = new IllegalArgumentException("No \"anchorPoint\" field in dynamic sticker");
                AppMethodBeat.o(84277);
                throw illegalArgumentException;
            }
        }
        AppMethodBeat.o(84277);
    }
}
