package android.support.constraint;

import android.content.Context;
import android.content.res.Resources.NotFoundException;
import android.content.res.TypedArray;
import android.content.res.XmlResourceParser;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.os.Build.VERSION;
import android.support.constraint.a.a.f;
import android.support.constraint.a.a.g;
import android.support.constraint.a.a.i;
import android.support.constraint.b.a;
import android.util.AttributeSet;
import android.util.SparseArray;
import android.util.Xml;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewGroup.LayoutParams;
import java.io.IOException;
import java.util.ArrayList;
import java.util.HashMap;
import org.xmlpull.v1.XmlPullParserException;

public class ConstraintLayout extends ViewGroup {
    SparseArray<View> db = new SparseArray();
    private ArrayList<ConstraintHelper> dc = new ArrayList(4);
    private final ArrayList<f> dd = new ArrayList(100);
    g de = new g();
    private int dg = 0;
    private int dh = 0;
    private int di = Integer.MAX_VALUE;
    private int dj = Integer.MAX_VALUE;
    private boolean dk = true;
    private int dl = 7;
    private a dm = null;
    private int dn = -1;
    /* renamed from: do */
    private HashMap<String, Integer> f0do = new HashMap();
    private int dp = -1;
    private int dq = -1;
    int dr = -1;
    int ds = -1;
    int dt = 0;
    int du = 0;
    private android.support.constraint.a.f dv;

    private void c(Object obj, Object obj2) {
        if ((obj instanceof String) && (obj2 instanceof Integer)) {
            if (this.f0do == null) {
                this.f0do = new HashMap();
            }
            obj = (String) obj;
            int indexOf = obj.indexOf("/");
            if (indexOf != -1) {
                obj = obj.substring(indexOf + 1);
            }
            this.f0do.put(obj, Integer.valueOf(((Integer) obj2).intValue()));
        }
    }

    public final Object f(Object obj) {
        if (obj instanceof String) {
            String str = (String) obj;
            if (this.f0do != null && this.f0do.containsKey(str)) {
                return this.f0do.get(str);
            }
        }
        return null;
    }

    public ConstraintLayout(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        b(attributeSet);
    }

    public ConstraintLayout(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        b(attributeSet);
    }

    public void setId(int i) {
        this.db.remove(getId());
        super.setId(i);
        this.db.put(getId(), this);
    }

    private void b(AttributeSet attributeSet) {
        this.de.iX = this;
        this.db.put(getId(), this);
        this.dm = null;
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, a.ConstraintLayout_Layout);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i = 0; i < indexCount; i++) {
                int index = obtainStyledAttributes.getIndex(i);
                if (index == 3) {
                    this.dg = obtainStyledAttributes.getDimensionPixelOffset(index, this.dg);
                } else if (index == 4) {
                    this.dh = obtainStyledAttributes.getDimensionPixelOffset(index, this.dh);
                } else if (index == 1) {
                    this.di = obtainStyledAttributes.getDimensionPixelOffset(index, this.di);
                } else if (index == 2) {
                    this.dj = obtainStyledAttributes.getDimensionPixelOffset(index, this.dj);
                } else if (index == 59) {
                    this.dl = obtainStyledAttributes.getInt(index, this.dl);
                } else if (index == 8) {
                    int resourceId = obtainStyledAttributes.getResourceId(index, 0);
                    try {
                        this.dm = new a();
                        a aVar = this.dm;
                        Context context = getContext();
                        XmlResourceParser xml = context.getResources().getXml(resourceId);
                        try {
                            for (index = xml.getEventType(); index != 1; index = xml.next()) {
                                switch (index) {
                                    case 0:
                                        xml.getName();
                                        break;
                                    case 2:
                                        String name = xml.getName();
                                        AttributeSet asAttributeSet = Xml.asAttributeSet(xml);
                                        a.a aVar2 = new a.a((byte) 0);
                                        TypedArray obtainStyledAttributes2 = context.obtainStyledAttributes(asAttributeSet, a.ConstraintSet);
                                        a.a(aVar2, obtainStyledAttributes2);
                                        obtainStyledAttributes2.recycle();
                                        if (name.equalsIgnoreCase("Guideline")) {
                                            aVar2.eN = true;
                                        }
                                        aVar.eL.put(Integer.valueOf(aVar2.eO), aVar2);
                                        break;
                                    default:
                                        break;
                                }
                            }
                        } catch (IOException | XmlPullParserException e) {
                        }
                    } catch (NotFoundException e2) {
                        this.dm = null;
                    }
                    this.dn = resourceId;
                }
            }
            obtainStyledAttributes.recycle();
        }
        this.de.dl = this.dl;
    }

    public void addView(View view, int i, LayoutParams layoutParams) {
        super.addView(view, i, layoutParams);
        if (VERSION.SDK_INT < 14) {
            onViewAdded(view);
        }
    }

    public void removeView(View view) {
        super.removeView(view);
        if (VERSION.SDK_INT < 14) {
            onViewRemoved(view);
        }
    }

    public void onViewAdded(View view) {
        if (VERSION.SDK_INT >= 14) {
            super.onViewAdded(view);
        }
        f b = b(view);
        if ((view instanceof Guideline) && !(b instanceof i)) {
            LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
            layoutParams.eH = new i();
            layoutParams.eu = true;
            ((i) layoutParams.eH).setOrientation(layoutParams.orientation);
        }
        if (view instanceof ConstraintHelper) {
            ConstraintHelper constraintHelper = (ConstraintHelper) view;
            constraintHelper.ap();
            ((LayoutParams) view.getLayoutParams()).ev = true;
            if (!this.dc.contains(constraintHelper)) {
                this.dc.add(constraintHelper);
            }
        }
        this.db.put(view.getId(), view);
        this.dk = true;
    }

    public void onViewRemoved(View view) {
        if (VERSION.SDK_INT >= 14) {
            super.onViewRemoved(view);
        }
        this.db.remove(view.getId());
        f b = b(view);
        this.de.f(b);
        this.dc.remove(view);
        this.dd.remove(b);
        this.dk = true;
    }

    public void setMinWidth(int i) {
        if (i != this.dg) {
            this.dg = i;
            requestLayout();
        }
    }

    public void setMinHeight(int i) {
        if (i != this.dh) {
            this.dh = i;
            requestLayout();
        }
    }

    public int getMinWidth() {
        return this.dg;
    }

    public int getMinHeight() {
        return this.dh;
    }

    public void setMaxWidth(int i) {
        if (i != this.di) {
            this.di = i;
            requestLayout();
        }
    }

    public void setMaxHeight(int i) {
        if (i != this.dj) {
            this.dj = i;
            requestLayout();
        }
    }

    public int getMaxWidth() {
        return this.di;
    }

    public int getMaxHeight() {
        return this.dj;
    }

    private final f p(int i) {
        if (i == 0) {
            return this.de;
        }
        View view = (View) this.db.get(i);
        if (view == null) {
            view = findViewById(i);
            if (!(view == null || view == this || view.getParent() != this)) {
                onViewAdded(view);
            }
        }
        if (view == this) {
            return this.de;
        }
        return view == null ? null : ((LayoutParams) view.getLayoutParams()).eH;
    }

    public final f b(View view) {
        if (view == this) {
            return this.de;
        }
        return view == null ? null : ((LayoutParams) view.getLayoutParams()).eH;
    }

    /* Access modifiers changed, original: protected */
    /* JADX WARNING: Removed duplicated region for block: B:206:0x049b  */
    /* JADX WARNING: Removed duplicated region for block: B:168:0x03bb  */
    /* JADX WARNING: Removed duplicated region for block: B:265:0x05e2  */
    /* JADX WARNING: Removed duplicated region for block: B:179:0x03ea  */
    /* JADX WARNING: Removed duplicated region for block: B:267:0x05f9  */
    /* JADX WARNING: Removed duplicated region for block: B:184:0x040c  */
    /* JADX WARNING: Removed duplicated region for block: B:189:0x042e  */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x0119  */
    /* JADX WARNING: Removed duplicated region for block: B:380:0x084e  */
    /* JADX WARNING: Removed duplicated region for block: B:420:0x090f  */
    /* JADX WARNING: Removed duplicated region for block: B:383:0x0861  */
    /* JADX WARNING: Removed duplicated region for block: B:421:0x0912  */
    /* JADX WARNING: Removed duplicated region for block: B:386:0x0869  */
    /* JADX WARNING: Removed duplicated region for block: B:389:0x0882  */
    /* JADX WARNING: Removed duplicated region for block: B:391:0x0888  */
    /* JADX WARNING: Removed duplicated region for block: B:422:0x0915  */
    /* JADX WARNING: Removed duplicated region for block: B:393:0x088e  */
    /* JADX WARNING: Removed duplicated region for block: B:423:0x091e  */
    /* JADX WARNING: Removed duplicated region for block: B:395:0x0897  */
    /* JADX WARNING: Removed duplicated region for block: B:715:0x08ad A:{SYNTHETIC} */
    /* JADX WARNING: Removed duplicated region for block: B:398:0x08a2  */
    /* JADX WARNING: Removed duplicated region for block: B:380:0x084e  */
    /* JADX WARNING: Removed duplicated region for block: B:383:0x0861  */
    /* JADX WARNING: Removed duplicated region for block: B:420:0x090f  */
    /* JADX WARNING: Removed duplicated region for block: B:386:0x0869  */
    /* JADX WARNING: Removed duplicated region for block: B:421:0x0912  */
    /* JADX WARNING: Removed duplicated region for block: B:389:0x0882  */
    /* JADX WARNING: Removed duplicated region for block: B:391:0x0888  */
    /* JADX WARNING: Removed duplicated region for block: B:393:0x088e  */
    /* JADX WARNING: Removed duplicated region for block: B:422:0x0915  */
    /* JADX WARNING: Removed duplicated region for block: B:395:0x0897  */
    /* JADX WARNING: Removed duplicated region for block: B:423:0x091e  */
    /* JADX WARNING: Removed duplicated region for block: B:398:0x08a2  */
    /* JADX WARNING: Removed duplicated region for block: B:715:0x08ad A:{SYNTHETIC} */
    /* JADX WARNING: Removed duplicated region for block: B:414:0x08f8  */
    /* JADX WARNING: Removed duplicated region for block: B:368:0x0810  */
    /* JADX WARNING: Removed duplicated region for block: B:380:0x084e  */
    /* JADX WARNING: Removed duplicated region for block: B:420:0x090f  */
    /* JADX WARNING: Removed duplicated region for block: B:383:0x0861  */
    /* JADX WARNING: Removed duplicated region for block: B:421:0x0912  */
    /* JADX WARNING: Removed duplicated region for block: B:386:0x0869  */
    /* JADX WARNING: Removed duplicated region for block: B:389:0x0882  */
    /* JADX WARNING: Removed duplicated region for block: B:391:0x0888  */
    /* JADX WARNING: Removed duplicated region for block: B:422:0x0915  */
    /* JADX WARNING: Removed duplicated region for block: B:393:0x088e  */
    /* JADX WARNING: Removed duplicated region for block: B:423:0x091e  */
    /* JADX WARNING: Removed duplicated region for block: B:395:0x0897  */
    /* JADX WARNING: Removed duplicated region for block: B:715:0x08ad A:{SYNTHETIC} */
    /* JADX WARNING: Removed duplicated region for block: B:398:0x08a2  */
    /* JADX WARNING: Removed duplicated region for block: B:368:0x0810  */
    /* JADX WARNING: Removed duplicated region for block: B:414:0x08f8  */
    /* JADX WARNING: Removed duplicated region for block: B:380:0x084e  */
    /* JADX WARNING: Removed duplicated region for block: B:383:0x0861  */
    /* JADX WARNING: Removed duplicated region for block: B:420:0x090f  */
    /* JADX WARNING: Removed duplicated region for block: B:386:0x0869  */
    /* JADX WARNING: Removed duplicated region for block: B:421:0x0912  */
    /* JADX WARNING: Removed duplicated region for block: B:389:0x0882  */
    /* JADX WARNING: Removed duplicated region for block: B:391:0x0888  */
    /* JADX WARNING: Removed duplicated region for block: B:393:0x088e  */
    /* JADX WARNING: Removed duplicated region for block: B:422:0x0915  */
    /* JADX WARNING: Removed duplicated region for block: B:395:0x0897  */
    /* JADX WARNING: Removed duplicated region for block: B:423:0x091e  */
    /* JADX WARNING: Removed duplicated region for block: B:398:0x08a2  */
    /* JADX WARNING: Removed duplicated region for block: B:715:0x08ad A:{SYNTHETIC} */
    /* JADX WARNING: Removed duplicated region for block: B:404:0x08ba  */
    /* JADX WARNING: Removed duplicated region for block: B:348:0x07bc  */
    /* JADX WARNING: Removed duplicated region for block: B:405:0x08bd  */
    /* JADX WARNING: Removed duplicated region for block: B:351:0x07c9  */
    /* JADX WARNING: Removed duplicated region for block: B:353:0x07cc  */
    /* JADX WARNING: Removed duplicated region for block: B:355:0x07d5  */
    /* JADX WARNING: Removed duplicated region for block: B:407:0x08d1  */
    /* JADX WARNING: Removed duplicated region for block: B:357:0x07de  */
    /* JADX WARNING: Removed duplicated region for block: B:414:0x08f8  */
    /* JADX WARNING: Removed duplicated region for block: B:368:0x0810  */
    /* JADX WARNING: Removed duplicated region for block: B:380:0x084e  */
    /* JADX WARNING: Removed duplicated region for block: B:420:0x090f  */
    /* JADX WARNING: Removed duplicated region for block: B:383:0x0861  */
    /* JADX WARNING: Removed duplicated region for block: B:421:0x0912  */
    /* JADX WARNING: Removed duplicated region for block: B:386:0x0869  */
    /* JADX WARNING: Removed duplicated region for block: B:389:0x0882  */
    /* JADX WARNING: Removed duplicated region for block: B:391:0x0888  */
    /* JADX WARNING: Removed duplicated region for block: B:422:0x0915  */
    /* JADX WARNING: Removed duplicated region for block: B:393:0x088e  */
    /* JADX WARNING: Removed duplicated region for block: B:423:0x091e  */
    /* JADX WARNING: Removed duplicated region for block: B:395:0x0897  */
    /* JADX WARNING: Removed duplicated region for block: B:715:0x08ad A:{SYNTHETIC} */
    /* JADX WARNING: Removed duplicated region for block: B:398:0x08a2  */
    /* JADX WARNING: Removed duplicated region for block: B:339:0x0798  */
    /* JADX WARNING: Removed duplicated region for block: B:343:0x07a8 A:{SKIP} */
    /* JADX WARNING: Removed duplicated region for block: B:348:0x07bc  */
    /* JADX WARNING: Removed duplicated region for block: B:404:0x08ba  */
    /* JADX WARNING: Removed duplicated region for block: B:351:0x07c9  */
    /* JADX WARNING: Removed duplicated region for block: B:405:0x08bd  */
    /* JADX WARNING: Removed duplicated region for block: B:353:0x07cc  */
    /* JADX WARNING: Removed duplicated region for block: B:355:0x07d5  */
    /* JADX WARNING: Removed duplicated region for block: B:357:0x07de  */
    /* JADX WARNING: Removed duplicated region for block: B:407:0x08d1  */
    /* JADX WARNING: Removed duplicated region for block: B:368:0x0810  */
    /* JADX WARNING: Removed duplicated region for block: B:414:0x08f8  */
    /* JADX WARNING: Removed duplicated region for block: B:380:0x084e  */
    /* JADX WARNING: Removed duplicated region for block: B:383:0x0861  */
    /* JADX WARNING: Removed duplicated region for block: B:420:0x090f  */
    /* JADX WARNING: Removed duplicated region for block: B:386:0x0869  */
    /* JADX WARNING: Removed duplicated region for block: B:421:0x0912  */
    /* JADX WARNING: Removed duplicated region for block: B:389:0x0882  */
    /* JADX WARNING: Removed duplicated region for block: B:391:0x0888  */
    /* JADX WARNING: Removed duplicated region for block: B:393:0x088e  */
    /* JADX WARNING: Removed duplicated region for block: B:422:0x0915  */
    /* JADX WARNING: Removed duplicated region for block: B:395:0x0897  */
    /* JADX WARNING: Removed duplicated region for block: B:423:0x091e  */
    /* JADX WARNING: Removed duplicated region for block: B:398:0x08a2  */
    /* JADX WARNING: Removed duplicated region for block: B:715:0x08ad A:{SYNTHETIC} */
    public void onMeasure(int r37, int r38) {
        /*
        r36 = this;
        java.lang.System.currentTimeMillis();
        r18 = android.view.View.MeasureSpec.getMode(r37);
        r19 = android.view.View.MeasureSpec.getSize(r37);
        r20 = android.view.View.MeasureSpec.getMode(r38);
        r21 = android.view.View.MeasureSpec.getSize(r38);
        r22 = r36.getPaddingLeft();
        r23 = r36.getPaddingTop();
        r0 = r36;
        r2 = r0.de;
        r0 = r22;
        r2.setX(r0);
        r0 = r36;
        r2 = r0.de;
        r0 = r23;
        r2.setY(r0);
        r0 = r36;
        r2 = r0.de;
        r0 = r36;
        r3 = r0.di;
        r2 = r2.is;
        r4 = 0;
        r2[r4] = r3;
        r0 = r36;
        r2 = r0.de;
        r0 = r36;
        r3 = r0.dj;
        r2 = r2.is;
        r4 = 1;
        r2[r4] = r3;
        r2 = android.os.Build.VERSION.SDK_INT;
        r3 = 17;
        if (r2 < r3) goto L_0x005b;
    L_0x004d:
        r0 = r36;
        r3 = r0.de;
        r2 = r36.getLayoutDirection();
        r4 = 1;
        if (r2 != r4) goto L_0x016c;
    L_0x0058:
        r2 = 1;
    L_0x0059:
        r3.hq = r2;
    L_0x005b:
        r8 = android.view.View.MeasureSpec.getMode(r37);
        r5 = android.view.View.MeasureSpec.getSize(r37);
        r9 = android.view.View.MeasureSpec.getMode(r38);
        r2 = android.view.View.MeasureSpec.getSize(r38);
        r3 = r36.getPaddingTop();
        r4 = r36.getPaddingBottom();
        r10 = r3 + r4;
        r3 = r36.getPaddingLeft();
        r4 = r36.getPaddingRight();
        r11 = r3 + r4;
        r7 = android.support.constraint.a.a.f$a.FIXED;
        r4 = android.support.constraint.a.a.f$a.FIXED;
        r6 = 0;
        r3 = 0;
        r36.getLayoutParams();
        switch(r8) {
            case -2147483648: goto L_0x016f;
            case 0: goto L_0x0174;
            case 1073741824: goto L_0x0179;
            default: goto L_0x008b;
        };
    L_0x008b:
        r5 = r6;
    L_0x008c:
        switch(r9) {
            case -2147483648: goto L_0x0184;
            case 0: goto L_0x0189;
            case 1073741824: goto L_0x018e;
            default: goto L_0x008f;
        };
    L_0x008f:
        r2 = r3;
    L_0x0090:
        r0 = r36;
        r3 = r0.de;
        r6 = 0;
        r3.setMinWidth(r6);
        r0 = r36;
        r3 = r0.de;
        r6 = 0;
        r3.setMinHeight(r6);
        r0 = r36;
        r3 = r0.de;
        r3.a(r7);
        r0 = r36;
        r3 = r0.de;
        r3.setWidth(r5);
        r0 = r36;
        r3 = r0.de;
        r3.b(r4);
        r0 = r36;
        r3 = r0.de;
        r3.setHeight(r2);
        r0 = r36;
        r2 = r0.de;
        r0 = r36;
        r3 = r0.dg;
        r4 = r36.getPaddingLeft();
        r3 = r3 - r4;
        r4 = r36.getPaddingRight();
        r3 = r3 - r4;
        r2.setMinWidth(r3);
        r0 = r36;
        r2 = r0.de;
        r0 = r36;
        r3 = r0.dh;
        r4 = r36.getPaddingTop();
        r3 = r3 - r4;
        r4 = r36.getPaddingBottom();
        r3 = r3 - r4;
        r2.setMinHeight(r3);
        r0 = r36;
        r2 = r0.de;
        r24 = r2.getWidth();
        r0 = r36;
        r2 = r0.de;
        r25 = r2.getHeight();
        r2 = 0;
        r0 = r36;
        r3 = r0.dk;
        if (r3 == 0) goto L_0x0e78;
    L_0x00fd:
        r2 = 0;
        r0 = r36;
        r0.dk = r2;
        r4 = r36.getChildCount();
        r2 = 0;
        r3 = 0;
    L_0x0108:
        if (r3 >= r4) goto L_0x0117;
    L_0x010a:
        r0 = r36;
        r5 = r0.getChildAt(r3);
        r5 = r5.isLayoutRequested();
        if (r5 == 0) goto L_0x0199;
    L_0x0116:
        r2 = 1;
    L_0x0117:
        if (r2 == 0) goto L_0x0605;
    L_0x0119:
        r0 = r36;
        r2 = r0.dd;
        r2.clear();
        r16 = r36.isInEditMode();
        r17 = r36.getChildCount();
        if (r16 == 0) goto L_0x019d;
    L_0x012a:
        r2 = 0;
    L_0x012b:
        r0 = r17;
        if (r2 >= r0) goto L_0x019d;
    L_0x012f:
        r0 = r36;
        r4 = r0.getChildAt(r2);
        r3 = r36.getResources();	 Catch:{ NotFoundException -> 0x0e4c }
        r5 = r4.getId();	 Catch:{ NotFoundException -> 0x0e4c }
        r3 = r3.getResourceName(r5);	 Catch:{ NotFoundException -> 0x0e4c }
        r5 = r4.getId();	 Catch:{ NotFoundException -> 0x0e4c }
        r5 = java.lang.Integer.valueOf(r5);	 Catch:{ NotFoundException -> 0x0e4c }
        r0 = r36;
        r0.c(r3, r5);	 Catch:{ NotFoundException -> 0x0e4c }
        r5 = 47;
        r5 = r3.indexOf(r5);	 Catch:{ NotFoundException -> 0x0e4c }
        r6 = -1;
        if (r5 == r6) goto L_0x015d;
    L_0x0157:
        r5 = r5 + 1;
        r3 = r3.substring(r5);	 Catch:{ NotFoundException -> 0x0e4c }
    L_0x015d:
        r4 = r4.getId();	 Catch:{ NotFoundException -> 0x0e4c }
        r0 = r36;
        r4 = r0.p(r4);	 Catch:{ NotFoundException -> 0x0e4c }
        r4.ja = r3;	 Catch:{ NotFoundException -> 0x0e4c }
    L_0x0169:
        r2 = r2 + 1;
        goto L_0x012b;
    L_0x016c:
        r2 = 0;
        goto L_0x0059;
    L_0x016f:
        r6 = android.support.constraint.a.a.f$a.WRAP_CONTENT;
        r7 = r6;
        goto L_0x008c;
    L_0x0174:
        r7 = android.support.constraint.a.a.f$a.WRAP_CONTENT;
        r5 = r6;
        goto L_0x008c;
    L_0x0179:
        r0 = r36;
        r6 = r0.di;
        r5 = java.lang.Math.min(r6, r5);
        r5 = r5 - r11;
        goto L_0x008c;
    L_0x0184:
        r3 = android.support.constraint.a.a.f$a.WRAP_CONTENT;
        r4 = r3;
        goto L_0x0090;
    L_0x0189:
        r4 = android.support.constraint.a.a.f$a.WRAP_CONTENT;
        r2 = r3;
        goto L_0x0090;
    L_0x018e:
        r0 = r36;
        r3 = r0.dj;
        r2 = java.lang.Math.min(r3, r2);
        r2 = r2 - r10;
        goto L_0x0090;
    L_0x0199:
        r3 = r3 + 1;
        goto L_0x0108;
    L_0x019d:
        r2 = 0;
    L_0x019e:
        r0 = r17;
        if (r2 >= r0) goto L_0x01b6;
    L_0x01a2:
        r0 = r36;
        r3 = r0.getChildAt(r2);
        r0 = r36;
        r3 = r0.b(r3);
        if (r3 == 0) goto L_0x01b3;
    L_0x01b0:
        r3.reset();
    L_0x01b3:
        r2 = r2 + 1;
        goto L_0x019e;
    L_0x01b6:
        r0 = r36;
        r2 = r0.dn;
        r3 = -1;
        if (r2 == r3) goto L_0x01e5;
    L_0x01bd:
        r2 = 0;
        r3 = r2;
    L_0x01bf:
        r0 = r17;
        if (r3 >= r0) goto L_0x01e5;
    L_0x01c3:
        r0 = r36;
        r2 = r0.getChildAt(r3);
        r4 = r2.getId();
        r0 = r36;
        r5 = r0.dn;
        if (r4 != r5) goto L_0x01e1;
    L_0x01d3:
        r4 = r2 instanceof android.support.constraint.Constraints;
        if (r4 == 0) goto L_0x01e1;
    L_0x01d7:
        r2 = (android.support.constraint.Constraints) r2;
        r2 = r2.getConstraintSet();
        r0 = r36;
        r0.dm = r2;
    L_0x01e1:
        r2 = r3 + 1;
        r3 = r2;
        goto L_0x01bf;
    L_0x01e5:
        r0 = r36;
        r2 = r0.dm;
        if (r2 == 0) goto L_0x01f4;
    L_0x01eb:
        r0 = r36;
        r2 = r0.dm;
        r0 = r36;
        r2.b(r0);
    L_0x01f4:
        r0 = r36;
        r2 = r0.de;
        r2.bh();
        r0 = r36;
        r2 = r0.dc;
        r4 = r2.size();
        if (r4 <= 0) goto L_0x021c;
    L_0x0205:
        r2 = 0;
        r3 = r2;
    L_0x0207:
        if (r3 >= r4) goto L_0x021c;
    L_0x0209:
        r0 = r36;
        r2 = r0.dc;
        r2 = r2.get(r3);
        r2 = (android.support.constraint.ConstraintHelper) r2;
        r0 = r36;
        r2.a(r0);
        r2 = r3 + 1;
        r3 = r2;
        goto L_0x0207;
    L_0x021c:
        r2 = 0;
        r4 = r2;
    L_0x021e:
        r0 = r17;
        if (r4 >= r0) goto L_0x0266;
    L_0x0222:
        r0 = r36;
        r2 = r0.getChildAt(r4);
        r3 = r2 instanceof android.support.constraint.Placeholder;
        if (r3 == 0) goto L_0x0262;
    L_0x022c:
        r3 = r2;
        r3 = (android.support.constraint.Placeholder) r3;
        r2 = r3.fq;
        r5 = -1;
        if (r2 != r5) goto L_0x023f;
    L_0x0234:
        r2 = r3.isInEditMode();
        if (r2 != 0) goto L_0x023f;
    L_0x023a:
        r2 = r3.ft;
        r3.setVisibility(r2);
    L_0x023f:
        r2 = r3.fq;
        r0 = r36;
        r2 = r0.findViewById(r2);
        r3.fs = r2;
        r2 = r3.fs;
        if (r2 == 0) goto L_0x0262;
    L_0x024d:
        r2 = r3.fs;
        r2 = r2.getLayoutParams();
        r2 = (android.support.constraint.ConstraintLayout.LayoutParams) r2;
        r5 = 1;
        r2.ew = r5;
        r2 = r3.fs;
        r5 = 0;
        r2.setVisibility(r5);
        r2 = 0;
        r3.setVisibility(r2);
    L_0x0262:
        r2 = r4 + 1;
        r4 = r2;
        goto L_0x021e;
    L_0x0266:
        r2 = 0;
        r15 = r2;
    L_0x0268:
        r0 = r17;
        if (r15 >= r0) goto L_0x0605;
    L_0x026c:
        r0 = r36;
        r4 = r0.getChildAt(r15);
        r0 = r36;
        r2 = r0.b(r4);
        if (r2 == 0) goto L_0x02d2;
    L_0x027a:
        r3 = r4.getLayoutParams();
        r10 = r3;
        r10 = (android.support.constraint.ConstraintLayout.LayoutParams) r10;
        r10.validate();
        r3 = r10.eI;
        if (r3 == 0) goto L_0x02d6;
    L_0x0288:
        r3 = 0;
        r10.eI = r3;
    L_0x028b:
        r3 = r4.getVisibility();
        r2.iZ = r3;
        r3 = r10.ew;
        if (r3 == 0) goto L_0x0299;
    L_0x0295:
        r3 = 8;
        r2.iZ = r3;
    L_0x0299:
        r2.iX = r4;
        r0 = r36;
        r3 = r0.de;
        r3.e(r2);
        r3 = r10.es;
        if (r3 == 0) goto L_0x02aa;
    L_0x02a6:
        r3 = r10.er;
        if (r3 != 0) goto L_0x02b1;
    L_0x02aa:
        r0 = r36;
        r3 = r0.dd;
        r3.add(r2);
    L_0x02b1:
        r3 = r10.eu;
        if (r3 == 0) goto L_0x031c;
    L_0x02b5:
        r2 = (android.support.constraint.a.a.i) r2;
        r5 = r10.eE;
        r4 = r10.eF;
        r3 = r10.eG;
        r6 = android.os.Build.VERSION.SDK_INT;
        r7 = 17;
        if (r6 >= r7) goto L_0x02c9;
    L_0x02c3:
        r5 = r10.dw;
        r4 = r10.dz;
        r3 = r10.dA;
    L_0x02c9:
        r6 = -1082130432; // 0xffffffffbf800000 float:-1.0 double:NaN;
        r6 = (r3 > r6 ? 1 : (r3 == r6 ? 0 : -1));
        if (r6 == 0) goto L_0x030e;
    L_0x02cf:
        r2.g(r3);
    L_0x02d2:
        r2 = r15 + 1;
        r15 = r2;
        goto L_0x0268;
    L_0x02d6:
        if (r16 == 0) goto L_0x028b;
    L_0x02d8:
        r3 = r36.getResources();	 Catch:{ NotFoundException -> 0x030b }
        r5 = r4.getId();	 Catch:{ NotFoundException -> 0x030b }
        r3 = r3.getResourceName(r5);	 Catch:{ NotFoundException -> 0x030b }
        r5 = r4.getId();	 Catch:{ NotFoundException -> 0x030b }
        r5 = java.lang.Integer.valueOf(r5);	 Catch:{ NotFoundException -> 0x030b }
        r0 = r36;
        r0.c(r3, r5);	 Catch:{ NotFoundException -> 0x030b }
        r5 = "id/";
        r5 = r3.indexOf(r5);	 Catch:{ NotFoundException -> 0x030b }
        r5 = r5 + 3;
        r3 = r3.substring(r5);	 Catch:{ NotFoundException -> 0x030b }
        r5 = r4.getId();	 Catch:{ NotFoundException -> 0x030b }
        r0 = r36;
        r5 = r0.p(r5);	 Catch:{ NotFoundException -> 0x030b }
        r5.ja = r3;	 Catch:{ NotFoundException -> 0x030b }
        goto L_0x028b;
    L_0x030b:
        r3 = move-exception;
        goto L_0x028b;
    L_0x030e:
        r3 = -1;
        if (r5 == r3) goto L_0x0315;
    L_0x0311:
        r2.B(r5);
        goto L_0x02d2;
    L_0x0315:
        r3 = -1;
        if (r4 == r3) goto L_0x02d2;
    L_0x0318:
        r2.C(r4);
        goto L_0x02d2;
    L_0x031c:
        r3 = r10.dB;
        r4 = -1;
        if (r3 != r4) goto L_0x0376;
    L_0x0321:
        r3 = r10.dC;
        r4 = -1;
        if (r3 != r4) goto L_0x0376;
    L_0x0326:
        r3 = r10.dD;
        r4 = -1;
        if (r3 != r4) goto L_0x0376;
    L_0x032b:
        r3 = r10.dE;
        r4 = -1;
        if (r3 != r4) goto L_0x0376;
    L_0x0330:
        r3 = r10.dO;
        r4 = -1;
        if (r3 != r4) goto L_0x0376;
    L_0x0335:
        r3 = r10.dN;
        r4 = -1;
        if (r3 != r4) goto L_0x0376;
    L_0x033a:
        r3 = r10.dP;
        r4 = -1;
        if (r3 != r4) goto L_0x0376;
    L_0x033f:
        r3 = r10.dQ;
        r4 = -1;
        if (r3 != r4) goto L_0x0376;
    L_0x0344:
        r3 = r10.dF;
        r4 = -1;
        if (r3 != r4) goto L_0x0376;
    L_0x0349:
        r3 = r10.dG;
        r4 = -1;
        if (r3 != r4) goto L_0x0376;
    L_0x034e:
        r3 = r10.dH;
        r4 = -1;
        if (r3 != r4) goto L_0x0376;
    L_0x0353:
        r3 = r10.dI;
        r4 = -1;
        if (r3 != r4) goto L_0x0376;
    L_0x0358:
        r3 = r10.dJ;
        r4 = -1;
        if (r3 != r4) goto L_0x0376;
    L_0x035d:
        r3 = r10.em;
        r4 = -1;
        if (r3 != r4) goto L_0x0376;
    L_0x0362:
        r3 = r10.eo;
        r4 = -1;
        if (r3 != r4) goto L_0x0376;
    L_0x0367:
        r3 = r10.dK;
        r4 = -1;
        if (r3 != r4) goto L_0x0376;
    L_0x036c:
        r3 = r10.width;
        r4 = -1;
        if (r3 == r4) goto L_0x0376;
    L_0x0371:
        r3 = r10.height;
        r4 = -1;
        if (r3 != r4) goto L_0x02d2;
    L_0x0376:
        r14 = r10.ex;
        r13 = r10.ey;
        r6 = r10.ez;
        r5 = r10.eA;
        r7 = r10.eB;
        r4 = r10.eC;
        r3 = r10.eD;
        r8 = android.os.Build.VERSION.SDK_INT;
        r9 = 17;
        if (r8 >= r9) goto L_0x0e72;
    L_0x038a:
        r14 = r10.dB;
        r13 = r10.dC;
        r6 = r10.dD;
        r5 = r10.dE;
        r7 = r10.dR;
        r4 = r10.dT;
        r3 = r10.dX;
        r8 = -1;
        if (r14 != r8) goto L_0x03a5;
    L_0x039b:
        r8 = -1;
        if (r13 != r8) goto L_0x03a5;
    L_0x039e:
        r8 = r10.dO;
        r9 = -1;
        if (r8 == r9) goto L_0x0485;
    L_0x03a3:
        r14 = r10.dO;
    L_0x03a5:
        r8 = -1;
        if (r6 != r8) goto L_0x0e72;
    L_0x03a8:
        r8 = -1;
        if (r5 != r8) goto L_0x0e72;
    L_0x03ab:
        r8 = r10.dP;
        r9 = -1;
        if (r8 == r9) goto L_0x048e;
    L_0x03b0:
        r6 = r10.dP;
        r11 = r3;
        r8 = r4;
        r9 = r5;
        r12 = r6;
    L_0x03b6:
        r3 = r10.dK;
        r4 = -1;
        if (r3 == r4) goto L_0x049b;
    L_0x03bb:
        r3 = r10.dK;
        r0 = r36;
        r4 = r0.p(r3);
        if (r4 == 0) goto L_0x03d3;
    L_0x03c5:
        r8 = r10.dM;
        r6 = r10.dL;
        r3 = android.support.constraint.a.a.e.c.hT;
        r5 = android.support.constraint.a.a.e.c.hT;
        r7 = 0;
        r2.a(r3, r4, r5, r6, r7);
        r2.it = r8;
    L_0x03d3:
        if (r16 == 0) goto L_0x03e6;
    L_0x03d5:
        r3 = r10.em;
        r4 = -1;
        if (r3 != r4) goto L_0x03df;
    L_0x03da:
        r3 = r10.eo;
        r4 = -1;
        if (r3 == r4) goto L_0x03e6;
    L_0x03df:
        r3 = r10.em;
        r4 = r10.eo;
        r2.f(r3, r4);
    L_0x03e6:
        r3 = r10.er;
        if (r3 != 0) goto L_0x05e2;
    L_0x03ea:
        r3 = r10.width;
        r4 = -1;
        if (r3 != r4) goto L_0x05d7;
    L_0x03ef:
        r3 = android.support.constraint.a.a.f$a.MATCH_PARENT;
        r2.a(r3);
        r3 = android.support.constraint.a.a.e.c.hO;
        r3 = r2.a(r3);
        r4 = r10.leftMargin;
        r3.hz = r4;
        r3 = android.support.constraint.a.a.e.c.hQ;
        r3 = r2.a(r3);
        r4 = r10.rightMargin;
        r3.hz = r4;
    L_0x0408:
        r3 = r10.es;
        if (r3 != 0) goto L_0x05f9;
    L_0x040c:
        r3 = r10.height;
        r4 = -1;
        if (r3 != r4) goto L_0x05ee;
    L_0x0411:
        r3 = android.support.constraint.a.a.f$a.MATCH_PARENT;
        r2.b(r3);
        r3 = android.support.constraint.a.a.e.c.hP;
        r3 = r2.a(r3);
        r4 = r10.topMargin;
        r3.hz = r4;
        r3 = android.support.constraint.a.a.e.c.hR;
        r3 = r2.a(r3);
        r4 = r10.bottomMargin;
        r3.hz = r4;
    L_0x042a:
        r3 = r10.dZ;
        if (r3 == 0) goto L_0x0433;
    L_0x042e:
        r3 = r10.dZ;
        r2.B(r3);
    L_0x0433:
        r3 = r10.horizontalWeight;
        r4 = r2.jk;
        r5 = 0;
        r4[r5] = r3;
        r3 = r10.verticalWeight;
        r4 = r2.jk;
        r5 = 1;
        r4[r5] = r3;
        r3 = r10.ec;
        r2.jg = r3;
        r3 = r10.ed;
        r2.jh = r3;
        r3 = r10.ee;
        r4 = r10.eg;
        r5 = r10.ei;
        r6 = r10.ek;
        r2.ib = r3;
        r2.if = r4;
        r2.ig = r5;
        r2.ih = r6;
        r3 = 1065353216; // 0x3f800000 float:1.0 double:5.263544247E-315;
        r3 = (r6 > r3 ? 1 : (r6 == r3 ? 0 : -1));
        if (r3 >= 0) goto L_0x0466;
    L_0x045f:
        r3 = r2.ib;
        if (r3 != 0) goto L_0x0466;
    L_0x0463:
        r3 = 2;
        r2.ib = r3;
    L_0x0466:
        r3 = r10.ef;
        r4 = r10.eh;
        r5 = r10.ej;
        r6 = r10.el;
        r2.ic = r3;
        r2.ii = r4;
        r2.ij = r5;
        r2.ik = r6;
        r3 = 1065353216; // 0x3f800000 float:1.0 double:5.263544247E-315;
        r3 = (r6 > r3 ? 1 : (r6 == r3 ? 0 : -1));
        if (r3 >= 0) goto L_0x02d2;
    L_0x047c:
        r3 = r2.ic;
        if (r3 != 0) goto L_0x02d2;
    L_0x0480:
        r3 = 2;
        r2.ic = r3;
        goto L_0x02d2;
    L_0x0485:
        r8 = r10.dN;
        r9 = -1;
        if (r8 == r9) goto L_0x03a5;
    L_0x048a:
        r13 = r10.dN;
        goto L_0x03a5;
    L_0x048e:
        r8 = r10.dQ;
        r9 = -1;
        if (r8 == r9) goto L_0x0e72;
    L_0x0493:
        r5 = r10.dQ;
        r11 = r3;
        r8 = r4;
        r9 = r5;
        r12 = r6;
        goto L_0x03b6;
    L_0x049b:
        r3 = -1;
        if (r14 == r3) goto L_0x0572;
    L_0x049e:
        r0 = r36;
        r4 = r0.p(r14);
        if (r4 == 0) goto L_0x04af;
    L_0x04a6:
        r3 = android.support.constraint.a.a.e.c.hO;
        r5 = android.support.constraint.a.a.e.c.hO;
        r6 = r10.leftMargin;
        r2.a(r3, r4, r5, r6, r7);
    L_0x04af:
        r3 = -1;
        if (r12 == r3) goto L_0x0588;
    L_0x04b2:
        r0 = r36;
        r4 = r0.p(r12);
        if (r4 == 0) goto L_0x04c4;
    L_0x04ba:
        r3 = android.support.constraint.a.a.e.c.hQ;
        r5 = android.support.constraint.a.a.e.c.hO;
        r6 = r10.rightMargin;
        r7 = r8;
        r2.a(r3, r4, r5, r6, r7);
    L_0x04c4:
        r3 = r10.dF;
        r4 = -1;
        if (r3 == r4) goto L_0x059f;
    L_0x04c9:
        r3 = r10.dF;
        r0 = r36;
        r4 = r0.p(r3);
        if (r4 == 0) goto L_0x04de;
    L_0x04d3:
        r3 = android.support.constraint.a.a.e.c.hP;
        r5 = android.support.constraint.a.a.e.c.hP;
        r6 = r10.topMargin;
        r7 = r10.dS;
        r2.a(r3, r4, r5, r6, r7);
    L_0x04de:
        r3 = r10.dH;
        r4 = -1;
        if (r3 == r4) goto L_0x05bb;
    L_0x04e3:
        r3 = r10.dH;
        r0 = r36;
        r4 = r0.p(r3);
        if (r4 == 0) goto L_0x04f8;
    L_0x04ed:
        r3 = android.support.constraint.a.a.e.c.hR;
        r5 = android.support.constraint.a.a.e.c.hP;
        r6 = r10.bottomMargin;
        r7 = r10.dU;
        r2.a(r3, r4, r5, r6, r7);
    L_0x04f8:
        r3 = r10.dJ;
        r4 = -1;
        if (r3 == r4) goto L_0x0550;
    L_0x04fd:
        r0 = r36;
        r3 = r0.db;
        r4 = r10.dJ;
        r3 = r3.get(r4);
        r3 = (android.view.View) r3;
        r4 = r10.dJ;
        r0 = r36;
        r4 = r0.p(r4);
        if (r4 == 0) goto L_0x0550;
    L_0x0513:
        if (r3 == 0) goto L_0x0550;
    L_0x0515:
        r5 = r3.getLayoutParams();
        r5 = r5 instanceof android.support.constraint.ConstraintLayout.LayoutParams;
        if (r5 == 0) goto L_0x0550;
    L_0x051d:
        r3 = r3.getLayoutParams();
        r3 = (android.support.constraint.ConstraintLayout.LayoutParams) r3;
        r5 = 1;
        r10.et = r5;
        r5 = 1;
        r3.et = r5;
        r3 = android.support.constraint.a.a.e.c.hS;
        r3 = r2.a(r3);
        r5 = android.support.constraint.a.a.e.c.hS;
        r4 = r4.a(r5);
        r5 = 0;
        r6 = -1;
        r7 = android.support.constraint.a.a.e.b.hK;
        r8 = 0;
        r9 = 1;
        r3.a(r4, r5, r6, r7, r8, r9);
        r3 = android.support.constraint.a.a.e.c.hP;
        r3 = r2.a(r3);
        r3.reset();
        r3 = android.support.constraint.a.a.e.c.hR;
        r3 = r2.a(r3);
        r3.reset();
    L_0x0550:
        r3 = 0;
        r3 = (r11 > r3 ? 1 : (r11 == r3 ? 0 : -1));
        if (r3 < 0) goto L_0x055d;
    L_0x0555:
        r3 = 1056964608; // 0x3f000000 float:0.5 double:5.222099017E-315;
        r3 = (r11 > r3 ? 1 : (r11 == r3 ? 0 : -1));
        if (r3 == 0) goto L_0x055d;
    L_0x055b:
        r2.iV = r11;
    L_0x055d:
        r3 = r10.dY;
        r4 = 0;
        r3 = (r3 > r4 ? 1 : (r3 == r4 ? 0 : -1));
        if (r3 < 0) goto L_0x03d3;
    L_0x0564:
        r3 = r10.dY;
        r4 = 1056964608; // 0x3f000000 float:0.5 double:5.222099017E-315;
        r3 = (r3 > r4 ? 1 : (r3 == r4 ? 0 : -1));
        if (r3 == 0) goto L_0x03d3;
    L_0x056c:
        r3 = r10.dY;
        r2.iW = r3;
        goto L_0x03d3;
    L_0x0572:
        r3 = -1;
        if (r13 == r3) goto L_0x04af;
    L_0x0575:
        r0 = r36;
        r4 = r0.p(r13);
        if (r4 == 0) goto L_0x04af;
    L_0x057d:
        r3 = android.support.constraint.a.a.e.c.hO;
        r5 = android.support.constraint.a.a.e.c.hQ;
        r6 = r10.leftMargin;
        r2.a(r3, r4, r5, r6, r7);
        goto L_0x04af;
    L_0x0588:
        r3 = -1;
        if (r9 == r3) goto L_0x04c4;
    L_0x058b:
        r0 = r36;
        r4 = r0.p(r9);
        if (r4 == 0) goto L_0x04c4;
    L_0x0593:
        r3 = android.support.constraint.a.a.e.c.hQ;
        r5 = android.support.constraint.a.a.e.c.hQ;
        r6 = r10.rightMargin;
        r7 = r8;
        r2.a(r3, r4, r5, r6, r7);
        goto L_0x04c4;
    L_0x059f:
        r3 = r10.dG;
        r4 = -1;
        if (r3 == r4) goto L_0x04de;
    L_0x05a4:
        r3 = r10.dG;
        r0 = r36;
        r4 = r0.p(r3);
        if (r4 == 0) goto L_0x04de;
    L_0x05ae:
        r3 = android.support.constraint.a.a.e.c.hP;
        r5 = android.support.constraint.a.a.e.c.hR;
        r6 = r10.topMargin;
        r7 = r10.dS;
        r2.a(r3, r4, r5, r6, r7);
        goto L_0x04de;
    L_0x05bb:
        r3 = r10.dI;
        r4 = -1;
        if (r3 == r4) goto L_0x04f8;
    L_0x05c0:
        r3 = r10.dI;
        r0 = r36;
        r4 = r0.p(r3);
        if (r4 == 0) goto L_0x04f8;
    L_0x05ca:
        r3 = android.support.constraint.a.a.e.c.hR;
        r5 = android.support.constraint.a.a.e.c.hR;
        r6 = r10.bottomMargin;
        r7 = r10.dU;
        r2.a(r3, r4, r5, r6, r7);
        goto L_0x04f8;
    L_0x05d7:
        r3 = android.support.constraint.a.a.f$a.MATCH_CONSTRAINT;
        r2.a(r3);
        r3 = 0;
        r2.setWidth(r3);
        goto L_0x0408;
    L_0x05e2:
        r3 = android.support.constraint.a.a.f$a.FIXED;
        r2.a(r3);
        r3 = r10.width;
        r2.setWidth(r3);
        goto L_0x0408;
    L_0x05ee:
        r3 = android.support.constraint.a.a.f$a.MATCH_CONSTRAINT;
        r2.b(r3);
        r3 = 0;
        r2.setHeight(r3);
        goto L_0x042a;
    L_0x05f9:
        r3 = android.support.constraint.a.a.f$a.FIXED;
        r2.b(r3);
        r3 = r10.height;
        r2.setHeight(r3);
        goto L_0x042a;
    L_0x0605:
        r2 = 1;
        r4 = r2;
    L_0x0607:
        r0 = r36;
        r2 = r0.dl;
        r2 = r2 & 8;
        r3 = 8;
        if (r2 != r3) goto L_0x0689;
    L_0x0611:
        r2 = 1;
        r17 = r2;
    L_0x0614:
        if (r17 == 0) goto L_0x0927;
    L_0x0616:
        r0 = r36;
        r2 = r0.de;
        r2.bb();
        r3 = r2.dl;
        r2.u(r3);
        r0 = r36;
        r2 = r0.de;
        r0 = r24;
        r1 = r25;
        r2.j(r0, r1);
        r2 = r36.getPaddingTop();
        r3 = r36.getPaddingBottom();
        r26 = r2 + r3;
        r2 = r36.getPaddingLeft();
        r3 = r36.getPaddingRight();
        r27 = r2 + r3;
        r28 = r36.getChildCount();
        r2 = 0;
        r7 = r2;
    L_0x0647:
        r0 = r28;
        if (r7 >= r0) goto L_0x0705;
    L_0x064b:
        r0 = r36;
        r8 = r0.getChildAt(r7);
        r2 = r8.getVisibility();
        r3 = 8;
        if (r2 == r3) goto L_0x0685;
    L_0x0659:
        r2 = r8.getLayoutParams();
        r2 = (android.support.constraint.ConstraintLayout.LayoutParams) r2;
        r9 = r2.eH;
        r3 = r2.eu;
        if (r3 != 0) goto L_0x0685;
    L_0x0665:
        r3 = r2.ev;
        if (r3 != 0) goto L_0x0685;
    L_0x0669:
        r3 = r8.getVisibility();
        r9.iZ = r3;
        r6 = r2.width;
        r10 = r2.height;
        if (r6 == 0) goto L_0x0677;
    L_0x0675:
        if (r10 != 0) goto L_0x068d;
    L_0x0677:
        r2 = r9.aM();
        r2.invalidate();
        r2 = r9.aN();
        r2.invalidate();
    L_0x0685:
        r2 = r7 + 1;
        r7 = r2;
        goto L_0x0647;
    L_0x0689:
        r2 = 0;
        r17 = r2;
        goto L_0x0614;
    L_0x068d:
        r3 = 0;
        r5 = 0;
        r11 = -2;
        if (r6 != r11) goto L_0x0693;
    L_0x0692:
        r3 = 1;
    L_0x0693:
        r0 = r37;
        r1 = r27;
        r11 = getChildMeasureSpec(r0, r1, r6);
        r12 = -2;
        if (r10 != r12) goto L_0x069f;
    L_0x069e:
        r5 = 1;
    L_0x069f:
        r0 = r38;
        r1 = r26;
        r12 = getChildMeasureSpec(r0, r1, r10);
        r8.measure(r11, r12);
        r0 = r36;
        r11 = r0.dv;
        if (r11 == 0) goto L_0x06bb;
    L_0x06b0:
        r0 = r36;
        r11 = r0.dv;
        r12 = r11.gd;
        r14 = 1;
        r12 = r12 + r14;
        r11.gd = r12;
    L_0x06bb:
        r11 = -2;
        if (r6 != r11) goto L_0x0701;
    L_0x06be:
        r6 = 1;
    L_0x06bf:
        r9.il = r6;
        r6 = -2;
        if (r10 != r6) goto L_0x0703;
    L_0x06c4:
        r6 = 1;
    L_0x06c5:
        r9.im = r6;
        r6 = r8.getMeasuredWidth();
        r10 = r8.getMeasuredHeight();
        r9.setWidth(r6);
        r9.setHeight(r10);
        if (r3 == 0) goto L_0x06d9;
    L_0x06d7:
        r9.iS = r6;
    L_0x06d9:
        if (r5 == 0) goto L_0x06dd;
    L_0x06db:
        r9.iT = r10;
    L_0x06dd:
        r3 = r2.et;
        if (r3 == 0) goto L_0x06ea;
    L_0x06e1:
        r3 = r8.getBaseline();
        r5 = -1;
        if (r3 == r5) goto L_0x06ea;
    L_0x06e8:
        r9.iR = r3;
    L_0x06ea:
        r3 = r2.er;
        if (r3 == 0) goto L_0x0685;
    L_0x06ee:
        r2 = r2.es;
        if (r2 == 0) goto L_0x0685;
    L_0x06f2:
        r2 = r9.aM();
        r2.E(r6);
        r2 = r9.aN();
        r2.E(r10);
        goto L_0x0685;
    L_0x0701:
        r6 = 0;
        goto L_0x06bf;
    L_0x0703:
        r6 = 0;
        goto L_0x06c5;
    L_0x0705:
        r0 = r36;
        r2 = r0.de;
        r2.ba();
        r2 = 0;
        r16 = r2;
    L_0x070f:
        r0 = r16;
        r1 = r28;
        if (r0 >= r1) goto L_0x0a4e;
    L_0x0715:
        r0 = r36;
        r1 = r16;
        r29 = r0.getChildAt(r1);
        r2 = r29.getVisibility();
        r3 = 8;
        if (r2 == r3) goto L_0x08ad;
    L_0x0725:
        r2 = r29.getLayoutParams();
        r2 = (android.support.constraint.ConstraintLayout.LayoutParams) r2;
        r0 = r2.eH;
        r30 = r0;
        r3 = r2.eu;
        if (r3 != 0) goto L_0x08ad;
    L_0x0733:
        r3 = r2.ev;
        if (r3 != 0) goto L_0x08ad;
    L_0x0737:
        r3 = r29.getVisibility();
        r0 = r30;
        r0.iZ = r3;
        r7 = r2.width;
        r9 = r2.height;
        if (r7 == 0) goto L_0x0747;
    L_0x0745:
        if (r9 != 0) goto L_0x08ad;
    L_0x0747:
        r3 = android.support.constraint.a.a.e.c.hO;
        r0 = r30;
        r3 = r0.a(r3);
        r11 = r3.hv;
        r3 = android.support.constraint.a.a.e.c.hQ;
        r0 = r30;
        r3 = r0.a(r3);
        r12 = r3.hv;
        r3 = android.support.constraint.a.a.e.c.hO;
        r0 = r30;
        r3 = r0.a(r3);
        r3 = r3.hy;
        if (r3 == 0) goto L_0x08b3;
    L_0x0767:
        r3 = android.support.constraint.a.a.e.c.hQ;
        r0 = r30;
        r3 = r0.a(r3);
        r3 = r3.hy;
        if (r3 == 0) goto L_0x08b3;
    L_0x0773:
        r3 = 1;
    L_0x0774:
        r5 = android.support.constraint.a.a.e.c.hP;
        r0 = r30;
        r5 = r0.a(r5);
        r0 = r5.hv;
        r31 = r0;
        r5 = android.support.constraint.a.a.e.c.hR;
        r0 = r30;
        r5 = r0.a(r5);
        r0 = r5.hv;
        r32 = r0;
        r5 = android.support.constraint.a.a.e.c.hP;
        r0 = r30;
        r5 = r0.a(r5);
        r5 = r5.hy;
        if (r5 == 0) goto L_0x08b6;
    L_0x0798:
        r5 = android.support.constraint.a.a.e.c.hR;
        r0 = r30;
        r5 = r0.a(r5);
        r5 = r5.hy;
        if (r5 == 0) goto L_0x08b6;
    L_0x07a4:
        r5 = 1;
        r15 = r5;
    L_0x07a6:
        if (r7 != 0) goto L_0x07ae;
    L_0x07a8:
        if (r9 != 0) goto L_0x07ae;
    L_0x07aa:
        if (r3 == 0) goto L_0x07ae;
    L_0x07ac:
        if (r15 != 0) goto L_0x08ad;
    L_0x07ae:
        r6 = 0;
        r8 = 0;
        r0 = r36;
        r5 = r0.de;
        r5 = r5.aW();
        r10 = android.support.constraint.a.a.f$a.WRAP_CONTENT;
        if (r5 == r10) goto L_0x08ba;
    L_0x07bc:
        r5 = 1;
    L_0x07bd:
        r0 = r36;
        r10 = r0.de;
        r10 = r10.aX();
        r13 = android.support.constraint.a.a.f$a.WRAP_CONTENT;
        if (r10 == r13) goto L_0x08bd;
    L_0x07c9:
        r10 = 1;
    L_0x07ca:
        if (r5 != 0) goto L_0x07d3;
    L_0x07cc:
        r13 = r30.aM();
        r13.invalidate();
    L_0x07d3:
        if (r10 != 0) goto L_0x07dc;
    L_0x07d5:
        r13 = r30.aN();
        r13.invalidate();
    L_0x07dc:
        if (r7 != 0) goto L_0x08d1;
    L_0x07de:
        if (r5 == 0) goto L_0x08c0;
    L_0x07e0:
        r13 = r30.aI();
        if (r13 == 0) goto L_0x08c0;
    L_0x07e6:
        if (r3 == 0) goto L_0x08c0;
    L_0x07e8:
        r3 = r11.bg();
        if (r3 == 0) goto L_0x08c0;
    L_0x07ee:
        r3 = r12.bg();
        if (r3 == 0) goto L_0x08c0;
    L_0x07f4:
        r3 = r12.km;
        r7 = r11.km;
        r3 = r3 - r7;
        r7 = (int) r3;
        r3 = r30.aM();
        r3.E(r7);
        r3 = r6;
    L_0x0802:
        r0 = r37;
        r1 = r27;
        r6 = getChildMeasureSpec(r0, r1, r7);
        r11 = r5;
        r12 = r3;
        r13 = r6;
        r14 = r7;
    L_0x080e:
        if (r9 != 0) goto L_0x08f8;
    L_0x0810:
        if (r10 == 0) goto L_0x08e9;
    L_0x0812:
        r3 = r30.aJ();
        if (r3 == 0) goto L_0x08e9;
    L_0x0818:
        if (r15 == 0) goto L_0x08e9;
    L_0x081a:
        r3 = r31.bg();
        if (r3 == 0) goto L_0x08e9;
    L_0x0820:
        r3 = r32.bg();
        if (r3 == 0) goto L_0x08e9;
    L_0x0826:
        r0 = r32;
        r3 = r0.km;
        r0 = r31;
        r5 = r0.km;
        r3 = r3 - r5;
        r5 = (int) r3;
        r3 = r30.aN();
        r3.E(r5);
        r3 = r8;
    L_0x0838:
        r0 = r38;
        r1 = r26;
        r7 = getChildMeasureSpec(r0, r1, r5);
        r6 = r10;
        r8 = r3;
        r9 = r5;
    L_0x0843:
        r0 = r29;
        r0.measure(r13, r7);
        r0 = r36;
        r3 = r0.dv;
        if (r3 == 0) goto L_0x085e;
    L_0x084e:
        r0 = r36;
        r3 = r0.dv;
        r0 = r3.gd;
        r32 = r0;
        r34 = 1;
        r32 = r32 + r34;
        r0 = r32;
        r3.gd = r0;
    L_0x085e:
        r3 = -2;
        if (r14 != r3) goto L_0x090f;
    L_0x0861:
        r3 = 1;
    L_0x0862:
        r0 = r30;
        r0.il = r3;
        r3 = -2;
        if (r9 != r3) goto L_0x0912;
    L_0x0869:
        r3 = 1;
    L_0x086a:
        r0 = r30;
        r0.im = r3;
        r3 = r29.getMeasuredWidth();
        r5 = r29.getMeasuredHeight();
        r0 = r30;
        r0.setWidth(r3);
        r0 = r30;
        r0.setHeight(r5);
        if (r12 == 0) goto L_0x0886;
    L_0x0882:
        r0 = r30;
        r0.iS = r3;
    L_0x0886:
        if (r8 == 0) goto L_0x088c;
    L_0x0888:
        r0 = r30;
        r0.iT = r5;
    L_0x088c:
        if (r11 == 0) goto L_0x0915;
    L_0x088e:
        r7 = r30.aM();
        r7.E(r3);
    L_0x0895:
        if (r6 == 0) goto L_0x091e;
    L_0x0897:
        r3 = r30.aN();
        r3.E(r5);
    L_0x089e:
        r2 = r2.et;
        if (r2 == 0) goto L_0x08ad;
    L_0x08a2:
        r2 = r29.getBaseline();
        r3 = -1;
        if (r2 == r3) goto L_0x08ad;
    L_0x08a9:
        r0 = r30;
        r0.iR = r2;
    L_0x08ad:
        r2 = r16 + 1;
        r16 = r2;
        goto L_0x070f;
    L_0x08b3:
        r3 = 0;
        goto L_0x0774;
    L_0x08b6:
        r5 = 0;
        r15 = r5;
        goto L_0x07a6;
    L_0x08ba:
        r5 = 0;
        goto L_0x07bd;
    L_0x08bd:
        r10 = 0;
        goto L_0x07ca;
    L_0x08c0:
        r3 = -2;
        r0 = r37;
        r1 = r27;
        r3 = getChildMeasureSpec(r0, r1, r3);
        r6 = 1;
        r5 = 0;
        r11 = r5;
        r12 = r6;
        r13 = r3;
        r14 = r7;
        goto L_0x080e;
    L_0x08d1:
        r3 = -1;
        if (r7 != r3) goto L_0x08e3;
    L_0x08d4:
        r3 = -1;
        r0 = r37;
        r1 = r27;
        r3 = getChildMeasureSpec(r0, r1, r3);
        r11 = r5;
        r12 = r6;
        r13 = r3;
        r14 = r7;
        goto L_0x080e;
    L_0x08e3:
        r3 = -2;
        if (r7 != r3) goto L_0x0e6f;
    L_0x08e6:
        r3 = 1;
        goto L_0x0802;
    L_0x08e9:
        r3 = -2;
        r0 = r38;
        r1 = r26;
        r5 = getChildMeasureSpec(r0, r1, r3);
        r8 = 1;
        r3 = 0;
        r6 = r3;
        r7 = r5;
        goto L_0x0843;
    L_0x08f8:
        r3 = -1;
        if (r9 != r3) goto L_0x0908;
    L_0x08fb:
        r3 = -1;
        r0 = r38;
        r1 = r26;
        r3 = getChildMeasureSpec(r0, r1, r3);
        r6 = r10;
        r7 = r3;
        goto L_0x0843;
    L_0x0908:
        r3 = -2;
        if (r9 != r3) goto L_0x0e6b;
    L_0x090b:
        r3 = 1;
        r5 = r9;
        goto L_0x0838;
    L_0x090f:
        r3 = 0;
        goto L_0x0862;
    L_0x0912:
        r3 = 0;
        goto L_0x086a;
    L_0x0915:
        r3 = r30.aM();
        r7 = 2;
        r3.state = r7;
        goto L_0x0895;
    L_0x091e:
        r3 = r30.aN();
        r5 = 2;
        r3.state = r5;
        goto L_0x089e;
    L_0x0927:
        r2 = r36.getPaddingTop();
        r3 = r36.getPaddingBottom();
        r13 = r2 + r3;
        r2 = r36.getPaddingLeft();
        r3 = r36.getPaddingRight();
        r14 = r2 + r3;
        r15 = r36.getChildCount();
        r2 = 0;
        r11 = r2;
    L_0x0941:
        if (r11 >= r15) goto L_0x0a4e;
    L_0x0943:
        r0 = r36;
        r16 = r0.getChildAt(r11);
        r2 = r16.getVisibility();
        r3 = 8;
        if (r2 == r3) goto L_0x0a0b;
    L_0x0951:
        r2 = r16.getLayoutParams();
        r2 = (android.support.constraint.ConstraintLayout.LayoutParams) r2;
        r0 = r2.eH;
        r26 = r0;
        r3 = r2.eu;
        if (r3 != 0) goto L_0x0a0b;
    L_0x095f:
        r3 = r2.ev;
        if (r3 != 0) goto L_0x0a0b;
    L_0x0963:
        r3 = r16.getVisibility();
        r0 = r26;
        r0.iZ = r3;
        r10 = r2.width;
        r9 = r2.height;
        r3 = r2.er;
        if (r3 != 0) goto L_0x0993;
    L_0x0973:
        r3 = r2.es;
        if (r3 != 0) goto L_0x0993;
    L_0x0977:
        r3 = r2.er;
        if (r3 != 0) goto L_0x0980;
    L_0x097b:
        r3 = r2.ee;
        r5 = 1;
        if (r3 == r5) goto L_0x0993;
    L_0x0980:
        r3 = r2.width;
        r5 = -1;
        if (r3 == r5) goto L_0x0993;
    L_0x0985:
        r3 = r2.es;
        if (r3 != 0) goto L_0x0a10;
    L_0x0989:
        r3 = r2.ef;
        r5 = 1;
        if (r3 == r5) goto L_0x0993;
    L_0x098e:
        r3 = r2.height;
        r5 = -1;
        if (r3 != r5) goto L_0x0a10;
    L_0x0993:
        r3 = 1;
        r6 = r3;
    L_0x0995:
        r3 = 0;
        r5 = 0;
        if (r6 == 0) goto L_0x0e67;
    L_0x0999:
        if (r10 != 0) goto L_0x0a13;
    L_0x099b:
        r3 = -2;
        r0 = r37;
        r3 = getChildMeasureSpec(r0, r14, r3);
        r8 = 1;
        r12 = r3;
    L_0x09a4:
        if (r9 != 0) goto L_0x0a2e;
    L_0x09a6:
        r3 = -2;
        r0 = r38;
        r3 = getChildMeasureSpec(r0, r13, r3);
        r5 = 1;
        r6 = r3;
        r7 = r5;
    L_0x09b0:
        r0 = r16;
        r0.measure(r12, r6);
        r0 = r36;
        r3 = r0.dv;
        if (r3 == 0) goto L_0x09cb;
    L_0x09bb:
        r0 = r36;
        r3 = r0.dv;
        r0 = r3.gd;
        r28 = r0;
        r30 = 1;
        r28 = r28 + r30;
        r0 = r28;
        r3.gd = r0;
    L_0x09cb:
        r3 = -2;
        if (r10 != r3) goto L_0x0a4a;
    L_0x09ce:
        r3 = 1;
    L_0x09cf:
        r0 = r26;
        r0.il = r3;
        r3 = -2;
        if (r9 != r3) goto L_0x0a4c;
    L_0x09d6:
        r3 = 1;
    L_0x09d7:
        r0 = r26;
        r0.im = r3;
        r9 = r16.getMeasuredWidth();
        r5 = r16.getMeasuredHeight();
        r3 = r8;
        r6 = r5;
        r10 = r9;
    L_0x09e6:
        r0 = r26;
        r0.setWidth(r10);
        r0 = r26;
        r0.setHeight(r6);
        if (r3 == 0) goto L_0x09f6;
    L_0x09f2:
        r0 = r26;
        r0.iS = r10;
    L_0x09f6:
        if (r7 == 0) goto L_0x09fc;
    L_0x09f8:
        r0 = r26;
        r0.iT = r6;
    L_0x09fc:
        r2 = r2.et;
        if (r2 == 0) goto L_0x0a0b;
    L_0x0a00:
        r2 = r16.getBaseline();
        r3 = -1;
        if (r2 == r3) goto L_0x0a0b;
    L_0x0a07:
        r0 = r26;
        r0.iR = r2;
    L_0x0a0b:
        r2 = r11 + 1;
        r11 = r2;
        goto L_0x0941;
    L_0x0a10:
        r3 = 0;
        r6 = r3;
        goto L_0x0995;
    L_0x0a13:
        r6 = -1;
        if (r10 != r6) goto L_0x0a20;
    L_0x0a16:
        r6 = -1;
        r0 = r37;
        r6 = getChildMeasureSpec(r0, r14, r6);
        r12 = r6;
        r8 = r3;
        goto L_0x09a4;
    L_0x0a20:
        r6 = -2;
        if (r10 != r6) goto L_0x0a24;
    L_0x0a23:
        r3 = 1;
    L_0x0a24:
        r0 = r37;
        r6 = getChildMeasureSpec(r0, r14, r10);
        r12 = r6;
        r8 = r3;
        goto L_0x09a4;
    L_0x0a2e:
        r3 = -1;
        if (r9 != r3) goto L_0x0a3c;
    L_0x0a31:
        r3 = -1;
        r0 = r38;
        r3 = getChildMeasureSpec(r0, r13, r3);
        r6 = r3;
        r7 = r5;
        goto L_0x09b0;
    L_0x0a3c:
        r3 = -2;
        if (r9 != r3) goto L_0x0e64;
    L_0x0a3f:
        r3 = 1;
    L_0x0a40:
        r0 = r38;
        r5 = getChildMeasureSpec(r0, r13, r9);
        r6 = r5;
        r7 = r3;
        goto L_0x09b0;
    L_0x0a4a:
        r3 = 0;
        goto L_0x09cf;
    L_0x0a4c:
        r3 = 0;
        goto L_0x09d7;
    L_0x0a4e:
        r6 = r36.getChildCount();
        r2 = 0;
        r5 = r2;
    L_0x0a54:
        if (r5 >= r6) goto L_0x0a99;
    L_0x0a56:
        r0 = r36;
        r2 = r0.getChildAt(r5);
        r3 = r2 instanceof android.support.constraint.Placeholder;
        if (r3 == 0) goto L_0x0a95;
    L_0x0a60:
        r2 = (android.support.constraint.Placeholder) r2;
        r3 = r2.fs;
        if (r3 == 0) goto L_0x0a95;
    L_0x0a66:
        r3 = r2.getLayoutParams();
        r3 = (android.support.constraint.ConstraintLayout.LayoutParams) r3;
        r2 = r2.fs;
        r2 = r2.getLayoutParams();
        r2 = (android.support.constraint.ConstraintLayout.LayoutParams) r2;
        r7 = r2.eH;
        r8 = 0;
        r7.iZ = r8;
        r7 = r3.eH;
        r8 = r2.eH;
        r8 = r8.getWidth();
        r7.setWidth(r8);
        r3 = r3.eH;
        r7 = r2.eH;
        r7 = r7.getHeight();
        r3.setHeight(r7);
        r2 = r2.eH;
        r3 = 8;
        r2.iZ = r3;
    L_0x0a95:
        r2 = r5 + 1;
        r5 = r2;
        goto L_0x0a54;
    L_0x0a99:
        r0 = r36;
        r2 = r0.dc;
        r3 = r2.size();
        if (r3 <= 0) goto L_0x0ab0;
    L_0x0aa3:
        r2 = 0;
    L_0x0aa4:
        if (r2 >= r3) goto L_0x0ab0;
    L_0x0aa6:
        r0 = r36;
        r5 = r0.dc;
        r5.get(r2);
        r2 = r2 + 1;
        goto L_0x0aa4;
    L_0x0ab0:
        r2 = r36.getChildCount();
        if (r2 <= 0) goto L_0x0abf;
    L_0x0ab6:
        if (r4 == 0) goto L_0x0abf;
    L_0x0ab8:
        r0 = r36;
        r2 = r0.de;
        android.support.constraint.a.a.a.a(r2);
    L_0x0abf:
        r0 = r36;
        r2 = r0.de;
        r2 = r2.jG;
        if (r2 == 0) goto L_0x0b23;
    L_0x0ac7:
        r0 = r36;
        r2 = r0.de;
        r2 = r2.jH;
        if (r2 == 0) goto L_0x0af5;
    L_0x0acf:
        r2 = -2147483648; // 0xffffffff80000000 float:-0.0 double:NaN;
        r0 = r18;
        if (r0 != r2) goto L_0x0af5;
    L_0x0ad5:
        r0 = r36;
        r2 = r0.de;
        r2 = r2.jJ;
        r0 = r19;
        if (r2 >= r0) goto L_0x0aec;
    L_0x0adf:
        r0 = r36;
        r2 = r0.de;
        r0 = r36;
        r3 = r0.de;
        r3 = r3.jJ;
        r2.setWidth(r3);
    L_0x0aec:
        r0 = r36;
        r2 = r0.de;
        r3 = android.support.constraint.a.a.f$a.FIXED;
        r2.a(r3);
    L_0x0af5:
        r0 = r36;
        r2 = r0.de;
        r2 = r2.jI;
        if (r2 == 0) goto L_0x0b23;
    L_0x0afd:
        r2 = -2147483648; // 0xffffffff80000000 float:-0.0 double:NaN;
        r0 = r20;
        if (r0 != r2) goto L_0x0b23;
    L_0x0b03:
        r0 = r36;
        r2 = r0.de;
        r2 = r2.jK;
        r0 = r21;
        if (r2 >= r0) goto L_0x0b1a;
    L_0x0b0d:
        r0 = r36;
        r2 = r0.de;
        r0 = r36;
        r3 = r0.de;
        r3 = r3.jK;
        r2.setHeight(r3);
    L_0x0b1a:
        r0 = r36;
        r2 = r0.de;
        r3 = android.support.constraint.a.a.f$a.FIXED;
        r2.b(r3);
    L_0x0b23:
        r0 = r36;
        r2 = r0.dl;
        r2 = r2 & 32;
        r3 = 32;
        if (r2 != r3) goto L_0x0ba5;
    L_0x0b2d:
        r0 = r36;
        r2 = r0.de;
        r2 = r2.getWidth();
        r0 = r36;
        r3 = r0.de;
        r3 = r3.getHeight();
        r0 = r36;
        r4 = r0.dp;
        if (r4 == r2) goto L_0x0b53;
    L_0x0b43:
        r4 = 1073741824; // 0x40000000 float:2.0 double:5.304989477E-315;
        r0 = r18;
        if (r0 != r4) goto L_0x0b53;
    L_0x0b49:
        r0 = r36;
        r4 = r0.de;
        r4 = r4.jF;
        r5 = 0;
        android.support.constraint.a.a.a.a(r4, r5, r2);
    L_0x0b53:
        r0 = r36;
        r2 = r0.dq;
        if (r2 == r3) goto L_0x0b69;
    L_0x0b59:
        r2 = 1073741824; // 0x40000000 float:2.0 double:5.304989477E-315;
        r0 = r20;
        if (r0 != r2) goto L_0x0b69;
    L_0x0b5f:
        r0 = r36;
        r2 = r0.de;
        r2 = r2.jF;
        r4 = 1;
        android.support.constraint.a.a.a.a(r2, r4, r3);
    L_0x0b69:
        r0 = r36;
        r2 = r0.de;
        r2 = r2.jH;
        if (r2 == 0) goto L_0x0b87;
    L_0x0b71:
        r0 = r36;
        r2 = r0.de;
        r2 = r2.jJ;
        r0 = r19;
        if (r2 <= r0) goto L_0x0b87;
    L_0x0b7b:
        r0 = r36;
        r2 = r0.de;
        r2 = r2.jF;
        r3 = 0;
        r0 = r19;
        android.support.constraint.a.a.a.a(r2, r3, r0);
    L_0x0b87:
        r0 = r36;
        r2 = r0.de;
        r2 = r2.jI;
        if (r2 == 0) goto L_0x0ba5;
    L_0x0b8f:
        r0 = r36;
        r2 = r0.de;
        r2 = r2.jK;
        r0 = r21;
        if (r2 <= r0) goto L_0x0ba5;
    L_0x0b99:
        r0 = r36;
        r2 = r0.de;
        r2 = r2.jF;
        r3 = 1;
        r0 = r21;
        android.support.constraint.a.a.a.a(r2, r3, r0);
    L_0x0ba5:
        r2 = r36.getChildCount();
        if (r2 <= 0) goto L_0x0bae;
    L_0x0bab:
        r36.ar();
    L_0x0bae:
        r12 = 0;
        r0 = r36;
        r2 = r0.dd;
        r14 = r2.size();
        r2 = r36.getPaddingBottom();
        r15 = r23 + r2;
        r2 = r36.getPaddingRight();
        r16 = r22 + r2;
        if (r14 <= 0) goto L_0x0ddb;
    L_0x0bc5:
        r10 = 0;
        r0 = r36;
        r2 = r0.de;
        r2 = r2.aW();
        r3 = android.support.constraint.a.a.f$a.WRAP_CONTENT;
        if (r2 != r3) goto L_0x0d15;
    L_0x0bd2:
        r2 = 1;
        r5 = r2;
    L_0x0bd4:
        r0 = r36;
        r2 = r0.de;
        r2 = r2.aX();
        r3 = android.support.constraint.a.a.f$a.WRAP_CONTENT;
        if (r2 != r3) goto L_0x0d19;
    L_0x0be0:
        r2 = 1;
        r6 = r2;
    L_0x0be2:
        r0 = r36;
        r2 = r0.de;
        r2 = r2.getWidth();
        r0 = r36;
        r3 = r0.dg;
        r9 = java.lang.Math.max(r2, r3);
        r0 = r36;
        r2 = r0.de;
        r2 = r2.getHeight();
        r0 = r36;
        r3 = r0.dh;
        r11 = java.lang.Math.max(r2, r3);
        r2 = 0;
        r13 = r2;
    L_0x0c04:
        if (r13 >= r14) goto L_0x0d37;
    L_0x0c06:
        r0 = r36;
        r2 = r0.dd;
        r2 = r2.get(r13);
        r2 = (android.support.constraint.a.a.f) r2;
        r3 = r2.iX;
        r3 = (android.view.View) r3;
        if (r3 == 0) goto L_0x0e4f;
    L_0x0c16:
        r4 = r3.getLayoutParams();
        r4 = (android.support.constraint.ConstraintLayout.LayoutParams) r4;
        r7 = r4.ev;
        if (r7 != 0) goto L_0x0e4f;
    L_0x0c20:
        r7 = r4.eu;
        if (r7 != 0) goto L_0x0e4f;
    L_0x0c24:
        r7 = r3.getVisibility();
        r8 = 8;
        if (r7 == r8) goto L_0x0e4f;
    L_0x0c2c:
        if (r17 == 0) goto L_0x0c42;
    L_0x0c2e:
        r7 = r2.aM();
        r7 = r7.bg();
        if (r7 == 0) goto L_0x0c42;
    L_0x0c38:
        r7 = r2.aN();
        r7 = r7.bg();
        if (r7 != 0) goto L_0x0e4f;
    L_0x0c42:
        r7 = r4.width;
        r8 = -2;
        if (r7 != r8) goto L_0x0d1d;
    L_0x0c47:
        r7 = r4.er;
        if (r7 == 0) goto L_0x0d1d;
    L_0x0c4b:
        r7 = r4.width;
        r0 = r37;
        r1 = r16;
        r7 = getChildMeasureSpec(r0, r1, r7);
    L_0x0c55:
        r8 = r4.height;
        r18 = -2;
        r0 = r18;
        if (r8 != r0) goto L_0x0d29;
    L_0x0c5d:
        r8 = r4.es;
        if (r8 == 0) goto L_0x0d29;
    L_0x0c61:
        r8 = r4.height;
        r0 = r38;
        r8 = getChildMeasureSpec(r0, r15, r8);
    L_0x0c69:
        r3.measure(r7, r8);
        r0 = r36;
        r7 = r0.dv;
        if (r7 == 0) goto L_0x0c82;
    L_0x0c72:
        r0 = r36;
        r7 = r0.dv;
        r0 = r7.ge;
        r18 = r0;
        r20 = 1;
        r18 = r18 + r20;
        r0 = r18;
        r7.ge = r0;
    L_0x0c82:
        r7 = r3.getMeasuredWidth();
        r18 = r3.getMeasuredHeight();
        r8 = r2.getWidth();
        if (r7 == r8) goto L_0x0e60;
    L_0x0c90:
        r2.setWidth(r7);
        if (r17 == 0) goto L_0x0c9c;
    L_0x0c95:
        r8 = r2.aM();
        r8.E(r7);
    L_0x0c9c:
        if (r5 == 0) goto L_0x0e5d;
    L_0x0c9e:
        r7 = r2.getRight();
        if (r7 <= r9) goto L_0x0e5d;
    L_0x0ca4:
        r7 = r2.getRight();
        r8 = android.support.constraint.a.a.e.c.hQ;
        r8 = r2.a(r8);
        r8 = r8.aH();
        r7 = r7 + r8;
        r7 = java.lang.Math.max(r9, r7);
    L_0x0cb7:
        r8 = 1;
    L_0x0cb8:
        r9 = r2.getHeight();
        r0 = r18;
        if (r0 == r9) goto L_0x0e5a;
    L_0x0cc0:
        r0 = r18;
        r2.setHeight(r0);
        if (r17 == 0) goto L_0x0cd0;
    L_0x0cc7:
        r8 = r2.aN();
        r0 = r18;
        r8.E(r0);
    L_0x0cd0:
        if (r6 == 0) goto L_0x0e57;
    L_0x0cd2:
        r8 = r2.getBottom();
        if (r8 <= r11) goto L_0x0e57;
    L_0x0cd8:
        r8 = r2.getBottom();
        r9 = android.support.constraint.a.a.e.c.hR;
        r9 = r2.a(r9);
        r9 = r9.aH();
        r8 = r8 + r9;
        r8 = java.lang.Math.max(r11, r8);
    L_0x0ceb:
        r9 = 1;
        r11 = r8;
    L_0x0ced:
        r4 = r4.et;
        if (r4 == 0) goto L_0x0cff;
    L_0x0cf1:
        r4 = r3.getBaseline();
        r8 = -1;
        if (r4 == r8) goto L_0x0cff;
    L_0x0cf8:
        r8 = r2.iR;
        if (r4 == r8) goto L_0x0cff;
    L_0x0cfc:
        r2.iR = r4;
        r9 = 1;
    L_0x0cff:
        r2 = android.os.Build.VERSION.SDK_INT;
        r4 = 11;
        if (r2 < r4) goto L_0x0e53;
    L_0x0d05:
        r2 = r3.getMeasuredState();
        r2 = combineMeasuredStates(r12, r2);
        r10 = r9;
    L_0x0d0e:
        r3 = r13 + 1;
        r12 = r2;
        r13 = r3;
        r9 = r7;
        goto L_0x0c04;
    L_0x0d15:
        r2 = 0;
        r5 = r2;
        goto L_0x0bd4;
    L_0x0d19:
        r2 = 0;
        r6 = r2;
        goto L_0x0be2;
    L_0x0d1d:
        r7 = r2.getWidth();
        r8 = 1073741824; // 0x40000000 float:2.0 double:5.304989477E-315;
        r7 = android.view.View.MeasureSpec.makeMeasureSpec(r7, r8);
        goto L_0x0c55;
    L_0x0d29:
        r8 = r2.getHeight();
        r18 = 1073741824; // 0x40000000 float:2.0 double:5.304989477E-315;
        r0 = r18;
        r8 = android.view.View.MeasureSpec.makeMeasureSpec(r8, r0);
        goto L_0x0c69;
    L_0x0d37:
        if (r10 == 0) goto L_0x0d81;
    L_0x0d39:
        r0 = r36;
        r2 = r0.de;
        r0 = r24;
        r2.setWidth(r0);
        r0 = r36;
        r2 = r0.de;
        r0 = r25;
        r2.setHeight(r0);
        if (r17 == 0) goto L_0x0d54;
    L_0x0d4d:
        r0 = r36;
        r2 = r0.de;
        r2.ba();
    L_0x0d54:
        r36.ar();
        r2 = 0;
        r0 = r36;
        r3 = r0.de;
        r3 = r3.getWidth();
        if (r3 >= r9) goto L_0x0d6a;
    L_0x0d62:
        r0 = r36;
        r2 = r0.de;
        r2.setWidth(r9);
        r2 = 1;
    L_0x0d6a:
        r0 = r36;
        r3 = r0.de;
        r3 = r3.getHeight();
        if (r3 >= r11) goto L_0x0d7c;
    L_0x0d74:
        r0 = r36;
        r2 = r0.de;
        r2.setHeight(r11);
        r2 = 1;
    L_0x0d7c:
        if (r2 == 0) goto L_0x0d81;
    L_0x0d7e:
        r36.ar();
    L_0x0d81:
        r2 = 0;
        r4 = r2;
    L_0x0d83:
        if (r4 >= r14) goto L_0x0ddb;
    L_0x0d85:
        r0 = r36;
        r2 = r0.dd;
        r2 = r2.get(r4);
        r2 = (android.support.constraint.a.a.f) r2;
        r3 = r2.iX;
        r3 = (android.view.View) r3;
        if (r3 == 0) goto L_0x0dd7;
    L_0x0d95:
        r5 = r3.getMeasuredWidth();
        r6 = r2.getWidth();
        if (r5 != r6) goto L_0x0da9;
    L_0x0d9f:
        r5 = r3.getMeasuredHeight();
        r6 = r2.getHeight();
        if (r5 == r6) goto L_0x0dd7;
    L_0x0da9:
        r5 = r2.iZ;
        r6 = 8;
        if (r5 == r6) goto L_0x0dd7;
    L_0x0daf:
        r5 = r2.getWidth();
        r6 = 1073741824; // 0x40000000 float:2.0 double:5.304989477E-315;
        r5 = android.view.View.MeasureSpec.makeMeasureSpec(r5, r6);
        r2 = r2.getHeight();
        r6 = 1073741824; // 0x40000000 float:2.0 double:5.304989477E-315;
        r2 = android.view.View.MeasureSpec.makeMeasureSpec(r2, r6);
        r3.measure(r5, r2);
        r0 = r36;
        r2 = r0.dv;
        if (r2 == 0) goto L_0x0dd7;
    L_0x0dcc:
        r0 = r36;
        r2 = r0.dv;
        r6 = r2.ge;
        r8 = 1;
        r6 = r6 + r8;
        r2.ge = r6;
    L_0x0dd7:
        r2 = r4 + 1;
        r4 = r2;
        goto L_0x0d83;
    L_0x0ddb:
        r0 = r36;
        r2 = r0.de;
        r2 = r2.getWidth();
        r2 = r2 + r16;
        r0 = r36;
        r3 = r0.de;
        r3 = r3.getHeight();
        r3 = r3 + r15;
        r4 = android.os.Build.VERSION.SDK_INT;
        r5 = 11;
        if (r4 < r5) goto L_0x0e3e;
    L_0x0df4:
        r0 = r37;
        r2 = resolveSizeAndState(r2, r0, r12);
        r4 = r12 << 16;
        r0 = r38;
        r3 = resolveSizeAndState(r3, r0, r4);
        r4 = 16777215; // 0xffffff float:2.3509886E-38 double:8.2890456E-317;
        r2 = r2 & r4;
        r4 = 16777215; // 0xffffff float:2.3509886E-38 double:8.2890456E-317;
        r3 = r3 & r4;
        r0 = r36;
        r4 = r0.di;
        r2 = java.lang.Math.min(r4, r2);
        r0 = r36;
        r4 = r0.dj;
        r3 = java.lang.Math.min(r4, r3);
        r0 = r36;
        r4 = r0.de;
        r4 = r4.jM;
        if (r4 == 0) goto L_0x0e25;
    L_0x0e22:
        r4 = 16777216; // 0x1000000 float:2.3509887E-38 double:8.289046E-317;
        r2 = r2 | r4;
    L_0x0e25:
        r0 = r36;
        r4 = r0.de;
        r4 = r4.jN;
        if (r4 == 0) goto L_0x0e30;
    L_0x0e2d:
        r4 = 16777216; // 0x1000000 float:2.3509887E-38 double:8.289046E-317;
        r3 = r3 | r4;
    L_0x0e30:
        r0 = r36;
        r0.setMeasuredDimension(r2, r3);
        r0 = r36;
        r0.dp = r2;
        r0 = r36;
        r0.dq = r3;
    L_0x0e3d:
        return;
    L_0x0e3e:
        r0 = r36;
        r0.setMeasuredDimension(r2, r3);
        r0 = r36;
        r0.dp = r2;
        r0 = r36;
        r0.dq = r3;
        goto L_0x0e3d;
    L_0x0e4c:
        r3 = move-exception;
        goto L_0x0169;
    L_0x0e4f:
        r2 = r12;
        r7 = r9;
        goto L_0x0d0e;
    L_0x0e53:
        r2 = r12;
        r10 = r9;
        goto L_0x0d0e;
    L_0x0e57:
        r8 = r11;
        goto L_0x0ceb;
    L_0x0e5a:
        r9 = r8;
        goto L_0x0ced;
    L_0x0e5d:
        r7 = r9;
        goto L_0x0cb7;
    L_0x0e60:
        r7 = r9;
        r8 = r10;
        goto L_0x0cb8;
    L_0x0e64:
        r3 = r5;
        goto L_0x0a40;
    L_0x0e67:
        r7 = r5;
        r6 = r9;
        goto L_0x09e6;
    L_0x0e6b:
        r3 = r8;
        r5 = r9;
        goto L_0x0838;
    L_0x0e6f:
        r3 = r6;
        goto L_0x0802;
    L_0x0e72:
        r11 = r3;
        r8 = r4;
        r9 = r5;
        r12 = r6;
        goto L_0x03b6;
    L_0x0e78:
        r4 = r2;
        goto L_0x0607;
        */
        throw new UnsupportedOperationException("Method not decompiled: android.support.constraint.ConstraintLayout.onMeasure(int, int):void");
    }

    private void ar() {
        this.de.aZ();
        if (this.dv != null) {
            android.support.constraint.a.f fVar = this.dv;
            fVar.gf++;
        }
    }

    /* Access modifiers changed, original: protected */
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        int i5;
        int aO;
        int childCount = getChildCount();
        boolean isInEditMode = isInEditMode();
        for (i5 = 0; i5 < childCount; i5++) {
            View childAt = getChildAt(i5);
            LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
            f fVar = layoutParams.eH;
            if ((childAt.getVisibility() != 8 || layoutParams.eu || layoutParams.ev || isInEditMode) && !layoutParams.ew) {
                aO = fVar.aO();
                int aP = fVar.aP();
                int width = fVar.getWidth() + aO;
                int height = fVar.getHeight() + aP;
                childAt.layout(aO, aP, width, height);
                if (childAt instanceof Placeholder) {
                    childAt = ((Placeholder) childAt).getContent();
                    if (childAt != null) {
                        childAt.setVisibility(0);
                        childAt.layout(aO, aP, width, height);
                    }
                }
            }
        }
        i5 = this.dc.size();
        if (i5 > 0) {
            for (aO = 0; aO < i5; aO++) {
                ((ConstraintHelper) this.dc.get(aO)).aq();
            }
        }
    }

    public void setOptimizationLevel(int i) {
        this.de.dl = i;
    }

    public int getOptimizationLevel() {
        return this.de.dl;
    }

    protected static LayoutParams as() {
        return new LayoutParams();
    }

    /* Access modifiers changed, original: protected */
    public LayoutParams generateLayoutParams(LayoutParams layoutParams) {
        return new LayoutParams(layoutParams);
    }

    /* Access modifiers changed, original: protected */
    public boolean checkLayoutParams(LayoutParams layoutParams) {
        return layoutParams instanceof LayoutParams;
    }

    public void setConstraintSet(a aVar) {
        this.dm = aVar;
    }

    public final View q(int i) {
        return (View) this.db.get(i);
    }

    public void dispatchDraw(Canvas canvas) {
        super.dispatchDraw(canvas);
        if (isInEditMode()) {
            int childCount = getChildCount();
            float width = (float) getWidth();
            float height = (float) getHeight();
            for (int i = 0; i < childCount; i++) {
                View childAt = getChildAt(i);
                if (childAt.getVisibility() != 8) {
                    Object tag = childAt.getTag();
                    if (tag != null && (tag instanceof String)) {
                        String[] split = ((String) tag).split(",");
                        if (split.length == 4) {
                            int parseInt = Integer.parseInt(split[0]);
                            int parseInt2 = Integer.parseInt(split[1]);
                            int i2 = (int) ((((float) parseInt) / 1080.0f) * width);
                            int i3 = (int) ((((float) parseInt2) / 1920.0f) * height);
                            int parseInt3 = (int) ((((float) Integer.parseInt(split[2])) / 1080.0f) * width);
                            int parseInt4 = (int) ((((float) Integer.parseInt(split[3])) / 1920.0f) * height);
                            Paint paint = new Paint();
                            paint.setColor(-65536);
                            canvas.drawLine((float) i2, (float) i3, (float) (i2 + parseInt3), (float) i3, paint);
                            Canvas canvas2 = canvas;
                            canvas2.drawLine((float) (i2 + parseInt3), (float) i3, (float) (i2 + parseInt3), (float) (i3 + parseInt4), paint);
                            canvas2 = canvas;
                            canvas2.drawLine((float) (i2 + parseInt3), (float) (i3 + parseInt4), (float) i2, (float) (i3 + parseInt4), paint);
                            canvas.drawLine((float) i2, (float) (i3 + parseInt4), (float) i2, (float) i3, paint);
                            paint.setColor(-16711936);
                            canvas2 = canvas;
                            canvas2.drawLine((float) i2, (float) i3, (float) (i2 + parseInt3), (float) (i3 + parseInt4), paint);
                            canvas.drawLine((float) i2, (float) (i3 + parseInt4), (float) (i2 + parseInt3), (float) i3, paint);
                        }
                    }
                }
            }
        }
    }

    public void requestLayout() {
        super.requestLayout();
        this.dk = true;
        this.dp = -1;
        this.dq = -1;
        this.dr = -1;
        this.ds = -1;
        this.dt = 0;
        this.du = 0;
    }

    public boolean shouldDelayChildPressedState() {
        return false;
    }

    /* Access modifiers changed, original: protected|synthetic */
    public /* synthetic */ LayoutParams generateDefaultLayoutParams() {
        return new LayoutParams();
    }
}
