package android.support.v4.media;

import android.graphics.Bitmap;
import android.media.MediaDescription;
import android.media.MediaDescription.Builder;
import android.net.Uri;
import android.os.Build.VERSION;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.Parcelable.Creator;
import android.text.TextUtils;

public final class MediaDescriptionCompat implements Parcelable {
    public static final Creator<MediaDescriptionCompat> CREATOR = new 1();
    final String IS;
    private final CharSequence IT;
    private final CharSequence IU;
    private final CharSequence IV;
    private final Bitmap IW;
    private final Uri IX;
    private final Uri IY;
    private Object IZ;
    private final Bundle mExtras;

    public static final class a {
        String IS;
        CharSequence IT;
        CharSequence IU;
        CharSequence IV;
        Bitmap IW;
        Uri IX;
        Uri IY;
        Bundle mExtras;
    }

    private MediaDescriptionCompat(String str, CharSequence charSequence, CharSequence charSequence2, CharSequence charSequence3, Bitmap bitmap, Uri uri, Bundle bundle, Uri uri2) {
        this.IS = str;
        this.IT = charSequence;
        this.IU = charSequence2;
        this.IV = charSequence3;
        this.IW = bitmap;
        this.IX = uri;
        this.mExtras = bundle;
        this.IY = uri2;
    }

    MediaDescriptionCompat(Parcel parcel) {
        this.IS = parcel.readString();
        this.IT = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
        this.IU = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
        this.IV = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
        this.IW = (Bitmap) parcel.readParcelable(null);
        this.IX = (Uri) parcel.readParcelable(null);
        this.mExtras = parcel.readBundle();
        this.IY = (Uri) parcel.readParcelable(null);
    }

    public final int describeContents() {
        return 0;
    }

    public final void writeToParcel(Parcel parcel, int i) {
        if (VERSION.SDK_INT < 21) {
            parcel.writeString(this.IS);
            TextUtils.writeToParcel(this.IT, parcel, i);
            TextUtils.writeToParcel(this.IU, parcel, i);
            TextUtils.writeToParcel(this.IV, parcel, i);
            parcel.writeParcelable(this.IW, i);
            parcel.writeParcelable(this.IX, i);
            parcel.writeBundle(this.mExtras);
            parcel.writeParcelable(this.IY, i);
            return;
        }
        Object obj;
        if (this.IZ != null || VERSION.SDK_INT < 21) {
            obj = this.IZ;
        } else {
            Bundle bundle;
            Builder builder = new Builder();
            builder.setMediaId(this.IS);
            builder.setTitle(this.IT);
            builder.setSubtitle(this.IU);
            builder.setDescription(this.IV);
            builder.setIconBitmap(this.IW);
            builder.setIconUri(this.IX);
            Bundle bundle2 = this.mExtras;
            if (VERSION.SDK_INT >= 23 || this.IY == null) {
                bundle = bundle2;
            } else {
                if (bundle2 == null) {
                    bundle2 = new Bundle();
                    bundle2.putBoolean("android.support.v4.media.description.NULL_BUNDLE_FLAG", true);
                }
                bundle2.putParcelable("android.support.v4.media.description.MEDIA_URI", this.IY);
                bundle = bundle2;
            }
            builder.setExtras(bundle);
            if (VERSION.SDK_INT >= 23) {
                builder.setMediaUri(this.IY);
            }
            this.IZ = builder.build();
            obj = this.IZ;
        }
        ((MediaDescription) obj).writeToParcel(parcel, i);
    }

    public final String toString() {
        return this.IT + ", " + this.IU + ", " + this.IV;
    }

    /* JADX WARNING: Removed duplicated region for block: B:20:0x0098  */
    /* JADX WARNING: Removed duplicated region for block: B:15:0x0065  */
    public static android.support.v4.media.MediaDescriptionCompat v(java.lang.Object r9) {
        /*
        r1 = 0;
        if (r9 == 0) goto L_0x00a8;
    L_0x0003:
        r0 = android.os.Build.VERSION.SDK_INT;
        r2 = 21;
        if (r0 < r2) goto L_0x00a8;
    L_0x0009:
        r8 = new android.support.v4.media.MediaDescriptionCompat$a;
        r8.<init>();
        r0 = r9;
        r0 = (android.media.MediaDescription) r0;
        r0 = r0.getMediaId();
        r8.IS = r0;
        r0 = r9;
        r0 = (android.media.MediaDescription) r0;
        r0 = r0.getTitle();
        r8.IT = r0;
        r0 = r9;
        r0 = (android.media.MediaDescription) r0;
        r0 = r0.getSubtitle();
        r8.IU = r0;
        r0 = r9;
        r0 = (android.media.MediaDescription) r0;
        r0 = r0.getDescription();
        r8.IV = r0;
        r0 = r9;
        r0 = (android.media.MediaDescription) r0;
        r0 = r0.getIconBitmap();
        r8.IW = r0;
        r0 = r9;
        r0 = (android.media.MediaDescription) r0;
        r0 = r0.getIconUri();
        r8.IX = r0;
        r0 = r9;
        r0 = (android.media.MediaDescription) r0;
        r2 = r0.getExtras();
        if (r2 != 0) goto L_0x007f;
    L_0x004d:
        r3 = r1;
    L_0x004e:
        if (r3 == 0) goto L_0x0096;
    L_0x0050:
        r0 = "android.support.v4.media.description.NULL_BUNDLE_FLAG";
        r0 = r2.containsKey(r0);
        if (r0 == 0) goto L_0x008a;
    L_0x0059:
        r0 = r2.size();
        r4 = 2;
        if (r0 != r4) goto L_0x008a;
    L_0x0060:
        r0 = r1;
    L_0x0061:
        r8.mExtras = r0;
        if (r3 == 0) goto L_0x0098;
    L_0x0065:
        r8.IY = r3;
    L_0x0067:
        r0 = new android.support.v4.media.MediaDescriptionCompat;
        r1 = r8.IS;
        r2 = r8.IT;
        r3 = r8.IU;
        r4 = r8.IV;
        r5 = r8.IW;
        r6 = r8.IX;
        r7 = r8.mExtras;
        r8 = r8.IY;
        r0.<init>(r1, r2, r3, r4, r5, r6, r7, r8);
        r0.IZ = r9;
    L_0x007e:
        return r0;
    L_0x007f:
        r0 = "android.support.v4.media.description.MEDIA_URI";
        r0 = r2.getParcelable(r0);
        r0 = (android.net.Uri) r0;
        r3 = r0;
        goto L_0x004e;
    L_0x008a:
        r0 = "android.support.v4.media.description.MEDIA_URI";
        r2.remove(r0);
        r0 = "android.support.v4.media.description.NULL_BUNDLE_FLAG";
        r2.remove(r0);
    L_0x0096:
        r0 = r2;
        goto L_0x0061;
    L_0x0098:
        r0 = android.os.Build.VERSION.SDK_INT;
        r1 = 23;
        if (r0 < r1) goto L_0x0067;
    L_0x009e:
        r0 = r9;
        r0 = (android.media.MediaDescription) r0;
        r0 = r0.getMediaUri();
        r8.IY = r0;
        goto L_0x0067;
    L_0x00a8:
        r0 = r1;
        goto L_0x007e;
        */
        throw new UnsupportedOperationException("Method not decompiled: android.support.v4.media.MediaDescriptionCompat.v(java.lang.Object):android.support.v4.media.MediaDescriptionCompat");
    }
}
