package com.tencent.tmassistantsdk.downloadservice;

import com.tencent.matrix.trace.core.AppMethodBeat;
import java.util.ArrayList;
import java.util.Comparator;
import java.util.Iterator;
import java.util.PriorityQueue;

public class DownloadThreadPool {
    public static final String TAG = "DownloadThreadPool";
    protected static DownloadThreadPool mDownloadThreadPool = null;
    final ArrayList<TaskThread> mDownloadThreadList = new ArrayList();
    final ArrayList<DownloadTask> mExecList = new ArrayList();
    protected final Comparator<DownloadTask> mPriorityQueueComparator = new Comparator<DownloadTask>() {
        public int compare(DownloadTask downloadTask, DownloadTask downloadTask2) {
            AppMethodBeat.i(75757);
            if (downloadTask.getPriority() > downloadTask2.getPriority()) {
                AppMethodBeat.o(75757);
                return 1;
            } else if (downloadTask.getPriority() == downloadTask2.getPriority()) {
                AppMethodBeat.o(75757);
                return 0;
            } else {
                AppMethodBeat.o(75757);
                return -1;
            }
        }
    };
    final Object mTaskLock = new Object();
    final Object mThreadlock = new Object();
    final PriorityQueue<DownloadTask> mWaitingList = new PriorityQueue(16, this.mPriorityQueueComparator);

    public static DownloadThreadPool getInstance() {
        AppMethodBeat.i(75762);
        if (mDownloadThreadPool == null) {
            mDownloadThreadPool = new DownloadThreadPool();
        }
        DownloadThreadPool downloadThreadPool = mDownloadThreadPool;
        AppMethodBeat.o(75762);
        return downloadThreadPool;
    }

    private DownloadThreadPool() {
        AppMethodBeat.i(75763);
        int maxTaskNum = DownloadSetting.getInstance().getMaxTaskNum();
        for (int i = 0; i < maxTaskNum; i++) {
            this.mDownloadThreadList.add(new TaskThread(this, i));
        }
        AppMethodBeat.o(75763);
    }

    /* Access modifiers changed, original: 0000 */
    public int addDownloadTask(DownloadTask downloadTask) {
        int i;
        int th;
        int i2 = 75764;
        AppMethodBeat.i(75764);
        synchronized (this.mTaskLock) {
            try {
                this.mWaitingList.add(downloadTask);
                i = this.mThreadlock;
                synchronized (i) {
                    this.mThreadlock.notifyAll();
                }
                th = downloadTask.getTaskId();
            } catch (Throwable th2) {
                while (true) {
                    th = th2;
                }
                i = 75764;
            } finally {
                AppMethodBeat.o(
/*
Method generation error in method: com.tencent.tmassistantsdk.downloadservice.DownloadThreadPool.addDownloadTask(com.tencent.tmassistantsdk.downloadservice.DownloadTask):int, dex: 
jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x002b: INVOKE  (wrap: int
  ?: MERGE  (r3_1 int) = (r3_0 'i2' int), (r2_3 'i' int)) com.tencent.matrix.trace.core.AppMethodBeat.o(int):void type: STATIC in method: com.tencent.tmassistantsdk.downloadservice.DownloadThreadPool.addDownloadTask(com.tencent.tmassistantsdk.downloadservice.DownloadTask):int, dex: 
	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:228)
	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:205)
	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:102)
	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:52)
	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:89)
	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:55)
	at jadx.core.codegen.RegionGen.makeRegionIndent(RegionGen.java:95)
	at jadx.core.codegen.RegionGen.makeTryCatch(RegionGen.java:300)
	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:65)
	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:89)
	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:55)
	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:89)
	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:55)
	at jadx.core.codegen.RegionGen.makeRegionIndent(RegionGen.java:95)
	at jadx.core.codegen.RegionGen.makeSynchronizedRegion(RegionGen.java:230)
	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:67)
	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:89)
	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:55)
	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:183)
	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:321)
	at jadx.core.codegen.ClassGen.addMethods(ClassGen.java:259)
	at jadx.core.codegen.ClassGen.addClassBody(ClassGen.java:221)
	at jadx.core.codegen.ClassGen.addClassCode(ClassGen.java:111)
	at jadx.core.codegen.ClassGen.makeClass(ClassGen.java:77)
	at jadx.core.codegen.CodeGen.visit(CodeGen.java:10)
	at jadx.core.ProcessClass.process(ProcessClass.java:38)
	at jadx.api.JadxDecompiler.processClass(JadxDecompiler.java:292)
	at jadx.api.JavaClass.decompile(JavaClass.java:62)
	at jadx.api.JadxDecompiler.lambda$appendSourcesSave$0(JadxDecompiler.java:200)
Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: ?: MERGE  (r3_1 int) = (r3_0 'i2' int), (r2_3 'i' int) in method: com.tencent.tmassistantsdk.downloadservice.DownloadThreadPool.addDownloadTask(com.tencent.tmassistantsdk.downloadservice.DownloadTask):int, dex: 
	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:228)
	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:101)
	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:688)
	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:658)
	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:340)
	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:222)
	... 28 more
Caused by: jadx.core.utils.exceptions.CodegenException: MERGE can be used only in fallback mode
	at jadx.core.codegen.InsnGen.fallbackOnlyInsn(InsnGen.java:539)
	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:511)
	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:213)
	... 33 more

*/

    /* Access modifiers changed, original: 0000 */
    public void cancelDownloadTask(int i) {
        AppMethodBeat.i(75765);
        synchronized (this.mTaskLock) {
            try {
                new Thread(new 2(this, i)).start();
            } finally {
                while (true) {
                }
                AppMethodBeat.o(75765);
            }
        }
    }

    /* Access modifiers changed, original: 0000 */
    public boolean hasWaitingTask() {
        boolean z;
        AppMethodBeat.i(75766);
        synchronized (this.mTaskLock) {
            try {
                z = this.mWaitingList.size() > 0;
            } finally {
                while (true) {
                }
                AppMethodBeat.o(75766);
            }
        }
        return z;
    }

    public DownloadTask getDownloadTask(String str) {
        DownloadTask downloadTask;
        AppMethodBeat.i(75767);
        synchronized (this.mTaskLock) {
            try {
                Iterator it = this.mExecList.iterator();
                while (it.hasNext()) {
                    downloadTask = (DownloadTask) it.next();
                    if (downloadTask.getDownloadURI().equals(str)) {
                    }
                }
                it = this.mWaitingList.iterator();
                while (it.hasNext()) {
                    downloadTask = (DownloadTask) it.next();
                    if (downloadTask.getDownloadURI().equals(str)) {
                        AppMethodBeat.o(75767);
                        return downloadTask;
                    }
                }
                AppMethodBeat.o(75767);
                return null;
            } finally {
                while (true) {
                }
                AppMethodBeat.o(75767);
            }
        }
        return downloadTask;
    }
}
