package org.xwalk.core;

import android.content.Context;
import android.os.AsyncTask;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.io.File;
import org.xwalk.core.XWalkUpdater.UpdateConfig;

public class XWalkLibraryLoader {
    private static final String DEFAULT_DOWNLOAD_FILE_NAME = "xwalk_download.tmp";
    private static final int DOWNLOAD_TYPE_CDN = 2;
    private static final int DOWNLOAD_TYPE_HTTP = 1;
    private static final String DOWNLOAD_WITHOUT_NOTIFICATION = "android.permission.DOWNLOAD_WITHOUT_NOTIFICATION";
    private static final int ERROR_CODE_DOWNLOADER_TIMEOUT = -100;
    private static final int ERROR_CODE_EXCEPTION = -101;
    private static final int ERROR_CODE_FAILED = -1;
    private static final int ERROR_CODE_SUCCESS = 0;
    private static final int ERROR_TYPE_DOWNLOADER = 1;
    private static final int ERROR_TYPE_NONE = 0;
    private static final int ERROR_TYPE_USER = 2;
    private static final String TAG = "XWalkLib";
    private static AsyncTask<Void, Integer, Integer> sActiveTask;

    public interface DownloadListener {
        void onDownloadCancelled();

        void onDownloadCompleted(DownloadInfo downloadInfo);

        void onDownloadFailed(DownloadInfo downloadInfo);

        void onDownloadStarted(int i);

        void onDownloadUpdated(int i);
    }

    public static class HttpDownloadTask extends AsyncTask<Void, Integer, Integer> {
        private static final int DOWNLOAD_FAILED = -1;
        private static final int DOWNLOAD_SUCCESS = 0;
        private static final int UPDATE_INTERVAL_MS = 500;
        private static final String XWALK_DOWNLOAD_DIR = "xwalk_download";
        private DownloadInfo mDownloadInfo;
        private File mDownloadedFile;
        private DownloadListener mListener;
        private long mProgressUpdateTime;

        public HttpDownloadTask(boolean z, DownloadListener downloadListener, String str, String str2) {
            AppMethodBeat.i(85671);
            this.mListener = downloadListener;
            this.mDownloadInfo = new DownloadInfo();
            this.mDownloadInfo.mErrorType = 0;
            this.mDownloadInfo.mErrorCode = 0;
            this.mDownloadInfo.mDownloadType = 1;
            this.mDownloadInfo.mUrl = str;
            this.mDownloadInfo.mSavePath = str2;
            this.mDownloadInfo.mIsRuntime = z;
            AppMethodBeat.o(85671);
        }

        /* Access modifiers changed, original: protected */
        public void onPreExecute() {
            AppMethodBeat.i(85672);
            if (this.mDownloadInfo.mIsRuntime) {
                XWalkLibraryLoader.sActiveTask = this;
                Log.i(XWalkLibraryLoader.TAG, "HttpDownloadTask runtime onPreExecute: " + this.mDownloadInfo.mSavePath);
            } else {
                Log.i(XWalkLibraryLoader.TAG, "HttpDownloadTask other onPreExecute: " + this.mDownloadInfo.mSavePath);
            }
            this.mDownloadedFile = new File(this.mDownloadInfo.mSavePath);
            this.mListener.onDownloadStarted(this.mDownloadInfo.mDownloadType);
            this.mDownloadInfo.mStartTimestamp = System.currentTimeMillis();
            Context applicationContext = XWalkEnvironment.getApplicationContext();
            this.mDownloadInfo.mNetWorkType = NetworkUtil.getCurrentNetWorkStatus(applicationContext);
            AppMethodBeat.o(85672);
        }

        /* Access modifiers changed, original: protected|varargs */
        /* JADX WARNING: Removed duplicated region for block: B:68:0x01d4 A:{SYNTHETIC, Splitter:B:68:0x01d4} */
        /* JADX WARNING: Removed duplicated region for block: B:71:0x01d9 A:{Catch:{ IOException -> 0x0243 }} */
        /* JADX WARNING: Removed duplicated region for block: B:73:0x01de  */
        /* JADX WARNING: Removed duplicated region for block: B:73:0x01de  */
        /* JADX WARNING: Removed duplicated region for block: B:87:0x021a A:{SYNTHETIC, Splitter:B:87:0x021a} */
        /* JADX WARNING: Removed duplicated region for block: B:90:0x021f A:{Catch:{ IOException -> 0x022e }} */
        /* JADX WARNING: Removed duplicated region for block: B:92:0x0224  */
        /* JADX WARNING: Removed duplicated region for block: B:105:0x0245 A:{Splitter:B:1:0x000b, ExcHandler: Exception (e java.lang.Exception), PHI: r3 } */
        /* JADX WARNING: Removed duplicated region for block: B:87:0x021a A:{SYNTHETIC, Splitter:B:87:0x021a} */
        /* JADX WARNING: Removed duplicated region for block: B:90:0x021f A:{Catch:{ IOException -> 0x022e }} */
        /* JADX WARNING: Removed duplicated region for block: B:92:0x0224  */
        /* JADX WARNING: Removed duplicated region for block: B:68:0x01d4 A:{SYNTHETIC, Splitter:B:68:0x01d4} */
        /* JADX WARNING: Removed duplicated region for block: B:71:0x01d9 A:{Catch:{ IOException -> 0x0243 }} */
        /* JADX WARNING: Removed duplicated region for block: B:73:0x01de  */
        /* JADX WARNING: Removed duplicated region for block: B:87:0x021a A:{SYNTHETIC, Splitter:B:87:0x021a} */
        /* JADX WARNING: Removed duplicated region for block: B:90:0x021f A:{Catch:{ IOException -> 0x022e }} */
        /* JADX WARNING: Removed duplicated region for block: B:92:0x0224  */
        /* JADX WARNING: Removed duplicated region for block: B:92:0x0224  */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing block: B:76:?, code skipped:
            r5.flush();
     */
        /* JADX WARNING: Missing block: B:78:?, code skipped:
            r5.close();
     */
        /* JADX WARNING: Missing block: B:79:0x01ef, code skipped:
            if (r6 == null) goto L_0x01f4;
     */
        /* JADX WARNING: Missing block: B:80:0x01f1, code skipped:
            r6.close();
     */
        /* JADX WARNING: Missing block: B:84:0x0214, code skipped:
            r2 = move-exception;
     */
        /* JADX WARNING: Missing block: B:85:0x0215, code skipped:
            r7 = r2;
            r8 = null;
            r6 = null;
     */
        /* JADX WARNING: Missing block: B:106:0x0246, code skipped:
            r6 = null;
     */
        public java.lang.Integer doInBackground(java.lang.Void... r19) {
            /*
            r18 = this;
            r2 = 85673; // 0x14ea9 float:1.20053E-40 double:4.2328E-319;
            com.tencent.matrix.trace.core.AppMethodBeat.i(r2);
            r5 = 0;
            r4 = 0;
            r3 = 0;
            r8 = 0;
            r7 = new java.net.URL;	 Catch:{ Exception -> 0x0245, all -> 0x0214 }
            r0 = r18;
            r2 = r0.mDownloadInfo;	 Catch:{ Exception -> 0x0245, all -> 0x0214 }
            r2 = r2.mUrl;	 Catch:{ Exception -> 0x0245, all -> 0x0214 }
            r7.<init>(r2);	 Catch:{ Exception -> 0x0245, all -> 0x0214 }
            r2 = r7.openConnection();	 Catch:{ Exception -> 0x0245, all -> 0x0214 }
            r2 = (java.net.HttpURLConnection) r2;	 Catch:{ Exception -> 0x0245, all -> 0x0214 }
            r3 = 30000; // 0x7530 float:4.2039E-41 double:1.4822E-319;
            r2.setConnectTimeout(r3);	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r3 = 30000; // 0x7530 float:4.2039E-41 double:1.4822E-319;
            r2.setReadTimeout(r3);	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r2.connect();	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r3 = r2.getResponseCode();	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r6 = 200; // 0xc8 float:2.8E-43 double:9.9E-322;
            if (r3 == r6) goto L_0x0074;
        L_0x0031:
            r3 = r2.getResponseCode();	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r6 = 206; // 0xce float:2.89E-43 double:1.02E-321;
            if (r3 == r6) goto L_0x0074;
        L_0x0039:
            r3 = "XWalkLib";
            r6 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r7 = "Server returned HTTP ";
            r6.<init>(r7);	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r7 = r2.getResponseCode();	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r6 = r6.append(r7);	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r7 = " ";
            r6 = r6.append(r7);	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r7 = r2.getResponseMessage();	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r6 = r6.append(r7);	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r6 = r6.toString();	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            org.xwalk.core.Log.e(r3, r6);	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r3 = -1;
            r3 = java.lang.Integer.valueOf(r3);	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            if (r2 == 0) goto L_0x006c;
        L_0x0069:
            r2.disconnect();
        L_0x006c:
            r2 = 85673; // 0x14ea9 float:1.20053E-40 double:4.2328E-319;
            com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
            r2 = r3;
        L_0x0073:
            return r2;
        L_0x0074:
            r6 = r2.getContentLength();	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r0 = r18;
            r3 = r0.mDownloadedFile;	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r3 = r3.exists();	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            if (r3 == 0) goto L_0x0253;
        L_0x0082:
            r0 = r18;
            r3 = r0.mDownloadedFile;	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r8 = r3.length();	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r10 = (long) r6;	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r3 = (r10 > r8 ? 1 : (r10 == r8 ? 0 : -1));
            if (r3 != 0) goto L_0x00aa;
        L_0x008f:
            r3 = "XWalkLib";
            r6 = "royle:same size in server success";
            org.xwalk.core.Log.i(r3, r6);	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r3 = 0;
            r3 = java.lang.Integer.valueOf(r3);	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            if (r2 == 0) goto L_0x00a2;
        L_0x009f:
            r2.disconnect();
        L_0x00a2:
            r2 = 85673; // 0x14ea9 float:1.20053E-40 double:4.2328E-319;
            com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
            r2 = r3;
            goto L_0x0073;
        L_0x00aa:
            r10 = 0;
            r3 = (r8 > r10 ? 1 : (r8 == r10 ? 0 : -1));
            if (r3 <= 0) goto L_0x00c0;
        L_0x00b0:
            r0 = r18;
            r3 = r0.mDownloadInfo;	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r6 = 1;
            r3.mIsDownloadResume = r6;	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r3 = "XWalkLib";
            r6 = "royle:http download IsDownloadResume";
            org.xwalk.core.Log.i(r3, r6);	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
        L_0x00c0:
            r2.disconnect();	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r3 = r7.openConnection();	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r0 = r3;
            r0 = (java.net.HttpURLConnection) r0;	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r2 = r0;
            r3 = 30000; // 0x7530 float:4.2039E-41 double:1.4822E-319;
            r2.setConnectTimeout(r3);	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r3 = 30000; // 0x7530 float:4.2039E-41 double:1.4822E-319;
            r2.setReadTimeout(r3);	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r3 = "Range";
            r6 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r7 = "bytes=";
            r6.<init>(r7);	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r6 = r6.append(r8);	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r7 = "-";
            r6 = r6.append(r7);	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r6 = r6.toString();	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r2.setRequestProperty(r3, r6);	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r3 = "XWalkLib";
            r6 = "royle:download range begin:";
            r7 = java.lang.String.valueOf(r8);	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r6 = r6.concat(r7);	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            org.xwalk.core.Log.i(r3, r6);	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r2.connect();	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r3 = r2.getResponseCode();	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r6 = 200; // 0xc8 float:2.8E-43 double:9.9E-322;
            if (r3 == r6) goto L_0x0152;
        L_0x010e:
            r3 = r2.getResponseCode();	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r6 = 206; // 0xce float:2.89E-43 double:1.02E-321;
            if (r3 == r6) goto L_0x0152;
        L_0x0116:
            r3 = "XWalkLib";
            r6 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r7 = "Server returned HTTP ";
            r6.<init>(r7);	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r7 = r2.getResponseCode();	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r6 = r6.append(r7);	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r7 = " ";
            r6 = r6.append(r7);	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r7 = r2.getResponseMessage();	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r6 = r6.append(r7);	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r6 = r6.toString();	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            org.xwalk.core.Log.e(r3, r6);	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r3 = -1;
            r3 = java.lang.Integer.valueOf(r3);	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            if (r2 == 0) goto L_0x0149;
        L_0x0146:
            r2.disconnect();
        L_0x0149:
            r2 = 85673; // 0x14ea9 float:1.20053E-40 double:4.2328E-319;
            com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
            r2 = r3;
            goto L_0x0073;
        L_0x0152:
            r6 = r2.getContentLength();	 Catch:{ Exception -> 0x0248, all -> 0x0230 }
            r7 = r6;
            r10 = r8;
            r3 = r2;
        L_0x0159:
            r6 = r3.getInputStream();	 Catch:{ Exception -> 0x0245, all -> 0x0235 }
            r5 = new java.io.FileOutputStream;	 Catch:{ Exception -> 0x024c }
            r0 = r18;
            r2 = r0.mDownloadedFile;	 Catch:{ Exception -> 0x024c }
            r8 = 1;
            r5.<init>(r2, r8);	 Catch:{ Exception -> 0x024c }
            r2 = 4096; // 0x1000 float:5.74E-42 double:2.0237E-320;
            r2 = new byte[r2];	 Catch:{ Exception -> 0x01cb, all -> 0x023e }
            r8 = 0;
        L_0x016d:
            r4 = r6.read(r2);	 Catch:{ Exception -> 0x01cb, all -> 0x023e }
            r12 = -1;
            if (r4 == r12) goto L_0x01e9;
        L_0x0174:
            r12 = r18.isCancelled();	 Catch:{ Exception -> 0x01cb, all -> 0x023e }
            if (r12 == 0) goto L_0x0194;
        L_0x017a:
            r2 = -1;
            r2 = java.lang.Integer.valueOf(r2);	 Catch:{ Exception -> 0x01cb, all -> 0x023e }
            r5.close();	 Catch:{ IOException -> 0x0250 }
            if (r6 == 0) goto L_0x0187;
        L_0x0184:
            r6.close();	 Catch:{ IOException -> 0x0250 }
        L_0x0187:
            if (r3 == 0) goto L_0x018c;
        L_0x0189:
            r3.disconnect();
        L_0x018c:
            r3 = 85673; // 0x14ea9 float:1.20053E-40 double:4.2328E-319;
            com.tencent.matrix.trace.core.AppMethodBeat.o(r3);
            goto L_0x0073;
        L_0x0194:
            r12 = (long) r4;
            r8 = r8 + r12;
            r12 = 0;
            r5.write(r2, r12, r4);	 Catch:{ Exception -> 0x01cb, all -> 0x023e }
            r12 = android.os.SystemClock.uptimeMillis();	 Catch:{ Exception -> 0x01cb, all -> 0x023e }
            r0 = r18;
            r14 = r0.mProgressUpdateTime;	 Catch:{ Exception -> 0x01cb, all -> 0x023e }
            r14 = r12 - r14;
            r16 = 500; // 0x1f4 float:7.0E-43 double:2.47E-321;
            r4 = (r14 > r16 ? 1 : (r14 == r16 ? 0 : -1));
            if (r4 <= 0) goto L_0x016d;
        L_0x01aa:
            r0 = r18;
            r0.mProgressUpdateTime = r12;	 Catch:{ Exception -> 0x01cb, all -> 0x023e }
            r4 = 2;
            r4 = new java.lang.Integer[r4];	 Catch:{ Exception -> 0x01cb, all -> 0x023e }
            r12 = 0;
            r14 = r8 + r10;
            r13 = (int) r14;	 Catch:{ Exception -> 0x01cb, all -> 0x023e }
            r13 = java.lang.Integer.valueOf(r13);	 Catch:{ Exception -> 0x01cb, all -> 0x023e }
            r4[r12] = r13;	 Catch:{ Exception -> 0x01cb, all -> 0x023e }
            r12 = 1;
            r14 = (long) r7;	 Catch:{ Exception -> 0x01cb, all -> 0x023e }
            r14 = r14 + r10;
            r13 = (int) r14;	 Catch:{ Exception -> 0x01cb, all -> 0x023e }
            r13 = java.lang.Integer.valueOf(r13);	 Catch:{ Exception -> 0x01cb, all -> 0x023e }
            r4[r12] = r13;	 Catch:{ Exception -> 0x01cb, all -> 0x023e }
            r0 = r18;
            r0.publishProgress(r4);	 Catch:{ Exception -> 0x01cb, all -> 0x023e }
            goto L_0x016d;
        L_0x01cb:
            r2 = move-exception;
            r4 = r5;
        L_0x01cd:
            r2 = -1;
            r2 = java.lang.Integer.valueOf(r2);	 Catch:{ all -> 0x023a }
            if (r4 == 0) goto L_0x01d7;
        L_0x01d4:
            r4.close();	 Catch:{ IOException -> 0x0243 }
        L_0x01d7:
            if (r6 == 0) goto L_0x01dc;
        L_0x01d9:
            r6.close();	 Catch:{ IOException -> 0x0243 }
        L_0x01dc:
            if (r3 == 0) goto L_0x01e1;
        L_0x01de:
            r3.disconnect();
        L_0x01e1:
            r3 = 85673; // 0x14ea9 float:1.20053E-40 double:4.2328E-319;
            com.tencent.matrix.trace.core.AppMethodBeat.o(r3);
            goto L_0x0073;
        L_0x01e9:
            r5.flush();	 Catch:{ Exception -> 0x01cb, all -> 0x023e }
            r5.close();	 Catch:{ IOException -> 0x024e }
            if (r6 == 0) goto L_0x01f4;
        L_0x01f1:
            r6.close();	 Catch:{ IOException -> 0x024e }
        L_0x01f4:
            if (r3 == 0) goto L_0x01f9;
        L_0x01f6:
            r3.disconnect();
        L_0x01f9:
            r0 = r18;
            r2 = r0.mDownloadInfo;
            r0 = r18;
            r3 = r0.mDownloadedFile;
            r4 = r3.length();
            r2.mFileTotalSize = r4;
            r2 = 0;
            r2 = java.lang.Integer.valueOf(r2);
            r3 = 85673; // 0x14ea9 float:1.20053E-40 double:4.2328E-319;
            com.tencent.matrix.trace.core.AppMethodBeat.o(r3);
            goto L_0x0073;
        L_0x0214:
            r2 = move-exception;
            r7 = r2;
            r8 = r3;
            r6 = r5;
        L_0x0218:
            if (r4 == 0) goto L_0x021d;
        L_0x021a:
            r4.close();	 Catch:{ IOException -> 0x022e }
        L_0x021d:
            if (r6 == 0) goto L_0x0222;
        L_0x021f:
            r6.close();	 Catch:{ IOException -> 0x022e }
        L_0x0222:
            if (r8 == 0) goto L_0x0227;
        L_0x0224:
            r8.disconnect();
        L_0x0227:
            r2 = 85673; // 0x14ea9 float:1.20053E-40 double:4.2328E-319;
            com.tencent.matrix.trace.core.AppMethodBeat.o(r2);
            throw r7;
        L_0x022e:
            r2 = move-exception;
            goto L_0x0222;
        L_0x0230:
            r3 = move-exception;
            r7 = r3;
            r8 = r2;
            r6 = r5;
            goto L_0x0218;
        L_0x0235:
            r2 = move-exception;
            r7 = r2;
            r8 = r3;
            r6 = r5;
            goto L_0x0218;
        L_0x023a:
            r2 = move-exception;
            r7 = r2;
            r8 = r3;
            goto L_0x0218;
        L_0x023e:
            r2 = move-exception;
            r7 = r2;
            r8 = r3;
            r4 = r5;
            goto L_0x0218;
        L_0x0243:
            r4 = move-exception;
            goto L_0x01dc;
        L_0x0245:
            r2 = move-exception;
            r6 = r5;
            goto L_0x01cd;
        L_0x0248:
            r3 = move-exception;
            r3 = r2;
            r6 = r5;
            goto L_0x01cd;
        L_0x024c:
            r2 = move-exception;
            goto L_0x01cd;
        L_0x024e:
            r2 = move-exception;
            goto L_0x01f4;
        L_0x0250:
            r4 = move-exception;
            goto L_0x0187;
        L_0x0253:
            r7 = r6;
            r10 = r8;
            r3 = r2;
            goto L_0x0159;
            */
            throw new UnsupportedOperationException("Method not decompiled: org.xwalk.core.XWalkLibraryLoader$HttpDownloadTask.doInBackground(java.lang.Void[]):java.lang.Integer");
        }

        /* Access modifiers changed, original: protected|varargs */
        public void onProgressUpdate(Integer... numArr) {
            int i = 0;
            AppMethodBeat.i(85674);
            Log.d(XWalkLibraryLoader.TAG, "HttpDownloadTask updated: " + numArr[0] + "/" + numArr[1]);
            if (numArr[1].intValue() > 0) {
                i = (int) ((((double) numArr[0].intValue()) * 100.0d) / ((double) numArr[1].intValue()));
            }
            this.mListener.onDownloadUpdated(i);
            AppMethodBeat.o(85674);
        }

        /* Access modifiers changed, original: protected */
        public void onCancelled(Integer num) {
            AppMethodBeat.i(85675);
            if (this.mDownloadInfo.mIsRuntime) {
                XWalkLibraryLoader.sActiveTask = null;
                Log.i(XWalkLibraryLoader.TAG, "HttpDownloadTask runtime onCancelled: " + this.mDownloadInfo.mSavePath);
            } else {
                Log.i(XWalkLibraryLoader.TAG, "HttpDownloadTask other onCancelled: " + this.mDownloadInfo.mSavePath);
            }
            this.mListener.onDownloadCancelled();
            AppMethodBeat.o(85675);
        }

        /* Access modifiers changed, original: protected */
        public void onPostExecute(Integer num) {
            AppMethodBeat.i(85676);
            if (this.mDownloadInfo.mIsRuntime) {
                XWalkLibraryLoader.sActiveTask = null;
                Log.i(XWalkLibraryLoader.TAG, "HttpDownloadTask runtime onPostExecute result " + num + " " + this.mDownloadInfo.mSavePath);
            } else {
                Log.i(XWalkLibraryLoader.TAG, "HttpDownloadTask other onPostExecute result " + num + " " + this.mDownloadInfo.mSavePath);
            }
            if (num.intValue() == 0) {
                this.mDownloadInfo.mErrorCode = 0;
                this.mListener.onDownloadCompleted(this.mDownloadInfo);
                AppMethodBeat.o(85676);
                return;
            }
            this.mDownloadInfo.mErrorCode = -1;
            this.mListener.onDownloadFailed(this.mDownloadInfo);
            AppMethodBeat.o(85676);
        }
    }

    public static boolean isInitializing() {
        return false;
    }

    public static boolean isDownloading() {
        return sActiveTask != null && (sActiveTask instanceof HttpDownloadTask);
    }

    public static boolean isSharedLibrary() {
        AppMethodBeat.i(85695);
        boolean isSharedMode = XWalkCoreWrapper.getInstance().isSharedMode();
        AppMethodBeat.o(85695);
        return isSharedMode;
    }

    public static boolean isLibraryReady() {
        AppMethodBeat.i(85696);
        if (XWalkCoreWrapper.getInstance() != null) {
            AppMethodBeat.o(85696);
            return true;
        }
        AppMethodBeat.o(85696);
        return false;
    }

    public static int getLibraryStatus() {
        AppMethodBeat.i(85697);
        int coreStatus = XWalkCoreWrapper.getCoreStatus();
        AppMethodBeat.o(85697);
        return coreStatus;
    }

    public static void prepareToInit(Context context) {
        AppMethodBeat.i(85698);
        XWalkEnvironment.init(context);
        XWalkCoreWrapper.handlePreInit(context.getClass().getName());
        AppMethodBeat.o(85698);
    }

    public static void finishInit(Context context) {
        AppMethodBeat.i(85699);
        XWalkCoreWrapper.handlePostInit(context.getClass().getName());
        AppMethodBeat.o(85699);
    }

    public static void startHttpDownload(DownloadListener downloadListener, Context context, UpdateConfig updateConfig) {
        AppMethodBeat.i(85700);
        WXFileDownloaderTask wXFileDownloaderTask = new WXFileDownloaderTask(true, downloadListener, updateConfig.downUrl, updateConfig.getDownloadPath(), updateConfig.getUpdateBizType());
        if (updateConfig.bUseCdn && wXFileDownloaderTask.isValid()) {
            Log.i(TAG, "use wx file downloader");
            wXFileDownloaderTask.execute(new Void[0]);
            AppMethodBeat.o(85700);
            return;
        }
        Log.i(TAG, "use default file downloader");
        new HttpDownloadTask(true, downloadListener, updateConfig.downUrl, updateConfig.getDownloadPath()).execute(new Void[0]);
        AppMethodBeat.o(85700);
    }

    public static boolean cancelHttpDownload() {
        AppMethodBeat.i(85701);
        if (sActiveTask != null && (sActiveTask instanceof HttpDownloadTask) && sActiveTask.cancel(true)) {
            AppMethodBeat.o(85701);
            return true;
        }
        AppMethodBeat.o(85701);
        return false;
    }
}
